(set-info :smt-lib-version 2.6)
(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :category "random")
(set-info :status sat)
(declare-fun y1 () Real)
(declare-fun y2 () Real)
(declare-fun y4 () Real)
(declare-fun x1 () Real)
(assert (forall ((?y1 Real)) (exists ((?y2 Real)) (let ((?v_2 (* 77 ?y1)) (?v_5 (* (- 20) x1)) (?v_4 (* (- 32) ?y2)) (?v_0 (* (- 97) ?y1)) (?v_3 (* (- 42) x1)) (?v_1 (* (- 46) ?y2))) (or (exists ((?y4 Real)) (let ((?v_8 (* 66 ?y1)) (?v_6 (* 40 ?y1)) (?v_7 (* 6 ?y1)) (?v_10 (* 95 ?y1)) (?v_9 (* (- 33) ?y2))) (or (or (or (and (and (and (>= (+ (* (- 52) ?y4) (* (- 70) x1)) (- 77)) (= (+ (+ (* 65 ?y4) (* 96 ?y2)) (* 5 x1)) (- 85))) (or (<= (+ (+ (* (- 98) ?y2) ?v_8) (* 66 x1)) 77) (> (+ (+ (+ (* 52 ?y4) ?v_9) ?v_6) (* (- 14) x1)) (- 72)))) (or (not (= (+ (+ (+ (* (- 16) ?y4) (* (- 5) ?y2)) ?v_6) (* 55 x1)) (- 34))) (< (+ (+ (* (- 95) ?y4) (* (- 45) ?y2)) (* 17 ?y1)) 67))) (or (or (or (>= (+ ?v_7 (* 64 x1)) (- 80)) (< (+ (* 89 ?y1) ?v_5) (- 44))) (> (+ (+ (+ (* 94 ?y4) (* 64 ?y2)) ?v_10) (* (- 76) x1)) (- 13))) (and (not (= (+ (+ (+ (* 59 ?y4) (* 1 ?y2)) ?v_7) (* (- 10) x1)) (- 64))) (<= (+ (+ (+ (* 37 ?y4) (* 24 ?y2)) (* 57 ?y1)) (* (- 56) x1)) 0)))) (and (= (+ (* (- 44) ?y2) (* 33 ?y1)) 69) (= (+ (+ (* 70 ?y4) ?v_4) (* (- 6) x1)) 48))) (and (or (and (= (+ (* 61 ?y4) (* 32 x1)) 0) (and (or (> (+ (+ (* (- 47) ?y4) (* (- 43) ?y2)) ?v_8) 0) (< (+ (+ (+ (* 30 ?y4) (* 66 ?y2)) (* (- 29) ?y1)) (* 20 x1)) 4)) (and (< (+ ?v_8 (* 56 x1)) 0) (> (+ (+ (+ (* 39 ?y4) (* (- 20) ?y2)) (* 2 ?y1)) (* (- 44) x1)) 0)))) (or (and (and (= (+ (* (- 45) ?y4) (* (- 21) x1)) (- 1)) (>= (+ (+ (* 18 ?y2) (* (- 43) ?y1)) (* 27 x1)) 67)) (not (= (* 13 ?y4) 0))) (and (or (not (= (+ (+ (* (- 14) ?y4) (* (- 62) ?y2)) (* (- 58) ?y1)) (- 48))) (< (+ (* 22 ?y4) (* (- 52) x1)) 0)) (and (> (+ (+ (* 99 ?y4) (* 17 ?y2)) (* 51 ?y1)) (- 36)) (<= (+ (+ (* 73 ?y4) (* (- 10) ?y1)) (* 16 x1)) 89))))) (or (or (= (+ (* 46 ?y4) (* 54 ?y2)) 83) (= (+ (+ (+ (* (- 67) ?y4) (* (- 47) ?y2)) (* 20 ?y1)) (* 7 x1)) 14)) (or (= (+ (+ (+ (* (- 60) ?y4) ?v_9) (* (- 48) ?y1)) (* 39 x1)) 0) (< (+ (+ (* 12 ?y4) ?v_10) (* (- 89) x1)) (- 98)))))))) (and (and (and (and (or (not (= (+ (+ (* (- 6) ?y2) (* 93 ?y1)) (* 57 x1)) 3)) (<= (+ (* (- 15) ?y1) (* (- 50) x1)) 86)) (<= (+ (+ (* (- 49) ?y2) (* (- 96) ?y1)) (* (- 36) x1)) 24)) (and (or (< (+ (* (- 33) ?y1) (* (- 99) x1)) 34) (not (= (+ (+ (* 16 ?y2) (* 29 ?y1)) (* 97 x1)) (- 37)))) (or (or (not (= (+ (+ (* 4 ?y2) ?v_0) (* 5 x1)) (- 78))) (not (= (+ (+ (* 91 ?y2) (* (- 61) ?y1)) ?v_3) 69))) (or (= (+ (+ ?v_1 (* 24 ?y1)) (* 30 x1)) 0) (not (= (+ (* 67 ?y2) (* 5 ?y1)) (- 93))))))) (exists ((?y4 Real)) (and (and (and (= (+ (+ (* 53 ?y2) (* (- 5) ?y1)) (* 87 x1)) 24) (> (+ (* (- 7) ?y2) (* (- 95) ?y1)) (- 37))) (or (>= (+ (+ (* (- 40) ?y4) (* (- 92) ?y2)) (* 69 ?y1)) (- 17)) (<= (+ (* 12 ?y4) (* 43 x1)) 63))) (or (not (= (+ (+ (* 1 ?y4) (* 20 ?y2)) (* (- 27) x1)) 27)) (not (= (+ (+ (* (- 62) ?y4) (* (- 82) ?y2)) (* (- 63) x1)) 75)))))) (and (or (and (= ?v_0 (- 39)) (not (= (+ (+ (* 30 ?y2) (* 22 ?y1)) (* (- 87) x1)) (- 28)))) (or (= (+ (+ (* 22 ?y2) (* 23 ?y1)) ?v_5) (- 96)) (<= (+ (+ (* 71 ?y2) (* (- 26) ?y1)) (* 88 x1)) 0))) (or (or (or (or (<= (+ (+ (* 55 ?y2) (* 80 ?y1)) (* 29 x1)) 0) (= (* (- 61) x1) (- 9))) (and (< (+ (+ ?v_4 (* (- 27) ?y1)) (* 82 x1)) (- 11)) (not (= (* 22 x1) (- 49))))) (or (or (<= (+ (* 80 ?y2) (* (- 85) ?y1)) 0) (> (+ (+ ?v_1 (* (- 74) ?y1)) (* (- 19) x1)) 83)) (< (* 33 ?y1) (- 23)))) (and (or (and (and (not (= (* 47 ?y1) 90)) (<= (+ (+ (* (- 34) ?y2) ?v_2) (* (- 88) x1)) (- 28))) (and (> (+ (+ (* (- 27) ?y2) ?v_2) ?v_3) 48) (>= (+ (+ (* 57 ?y2) (* 8 ?y1)) (* (- 96) x1)) (- 20)))) (or (and (> (+ (+ ?v_4 (* 76 ?y1)) (* (- 29) x1)) 0) (not (= (+ (+ (* (- 70) ?y2) (* (- 78) ?y1)) (* (- 76) x1)) 30))) (or (>= (+ (+ (* (- 22) ?y2) (* (- 1) ?y1)) (* 85 x1)) (- 53)) (not (= (+ (* 46 ?y1) ?v_5) 36))))) (and (and (or (>= (+ (* 11 ?y2) (* (- 83) ?y1)) (- 29)) (>= (+ (* 36 ?y1) (* 56 x1)) 40)) (or (not (= (* (- 12) ?y1) (- 33))) (<= (+ (* (- 21) ?y1) (* 61 x1)) (- 79)))) (and (= (* (- 9) x1) (- 84)) (> (+ (+ (* 20 ?y2) (* (- 35) ?y1)) (* 96 x1)) 17))))))))))))
(check-sat)
(exit)
