(set-info :smt-lib-version 2.6)
(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :category "industrial")
(set-info :status sat)
(declare-fun lambda () Real)
(declare-fun lambdaprime () Real)
(declare-fun x4 () Real)
(declare-fun x3 () Real)
(declare-fun bool.b17 () Bool)
(declare-fun bool.b18 () Bool)
(declare-fun bool.b19 () Bool)
(declare-fun bool.b21 () Bool)
(declare-fun bool.b22 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b20 () Bool)
(declare-fun bool.b24 () Bool)
(assert (forall ((?lambda Real)) (let ((?v_12 (+ x3 (* 0 ?lambda)))) (let ((?v_0 (* 1 ?v_12))) (let ((?v_2 (<= ?v_0 0)) (?v_9 (+ x4 (* 30 ?lambda))) (?v_3 (not bool.b22)) (?v_4 (not bool.b23)) (?v_5 (not bool.b20)) (?v_6 (not bool.b19)) (?v_7 (not bool.b18)) (?v_8 (not bool.b17))) (let ((?v_14 (not ?v_2)) (?v_38 (<= ?v_0 30)) (?v_23 (<= ?v_0 20))) (let ((?v_42 (not ?v_23)) (?v_28 (<= ?v_0 40))) (let ((?v_35 (not ?v_28)) (?v_34 (<= ?v_0 45)) (?v_54 (not (<= ?v_0 33))) (?v_10 (<= (+ ?v_0 (* (/ 1 15) ?v_9)) (/ 964 3)))) (let ((?v_25 (not ?v_10))) (let ((?v_1 (not (and ?v_2 ?v_25)))) (let ((?v_39 (not (and bool.b17 ?v_1)))) (let ((?v_57 (not (and (not (and bool.b18 ?v_1)) (not (and ?v_7 (not (and ?v_39 (not (and ?v_8 ?v_14)))))))))) (let ((?v_58 (not (and (not (and bool.b19 ?v_1)) (not (and ?v_6 ?v_57)))))) (let ((?v_59 (not (and (not (and bool.b20 ?v_1)) (not (and ?v_5 ?v_58)))))) (let ((?v_60 (not (and (not (and bool.b23 ?v_1)) (not (and ?v_4 ?v_59))))) (?v_24 (* (- 1) ?v_9))) (let ((?v_21 (<= ?v_24 (- 4500)))) (let ((?v_40 (not ?v_21)) (?v_33 (* (/ (- 1) 20) ?v_9))) (let ((?v_11 (+ ?v_0 ?v_33))) (let ((?v_20 (and (<= ?v_11 (- 205)) (not (<= ?v_11 (- 209)))))) (let ((?v_13 (not ?v_20)) (?v_17 (* (- 1) ?v_12))) (let ((?v_36 (<= ?v_17 (- 30)))) (let ((?v_16 (not ?v_36)) (?v_15 (+ ?v_0 (* (/ (- 1) 80) ?v_9)))) (let ((?v_18 (<= ?v_15 (/ (- 161) 4))) (?v_19 (not (<= ?v_17 (- 20)))) (?v_22 (+ ?v_0 (* (/ 3 20) ?v_9)))) (let ((?v_27 (<= ?v_22 1200))) (let ((?v_41 (not (and ?v_23 (and (not (and ?v_27 (not (<= ?v_22 723)))) (not (and ?v_10 (not (<= (+ ?v_0 (* (/ 1 20) ?v_9)) 241)))))))) (?v_37 (<= ?v_24 (- 4100))) (?v_26 (+ ?v_0 (* (/ 3 40) ?v_9)))) (let ((?v_47 (not (<= ?v_26 (/ 703 2)))) (?v_48 (<= ?v_26 610)) (?v_29 (<= ?v_26 359))) (let ((?v_51 (not ?v_29)) (?v_52 (not (<= ?v_26 (/ 743 2)))) (?v_32 (and ?v_28 ?v_27)) (?v_50 (not (and ?v_35 ?v_29)))) (let ((?v_45 (not (and ?v_47 (and ?v_48 (and (not (and ?v_51 (not (and ?v_52 ?v_32)))) ?v_50))))) (?v_30 (+ ?v_0 (* (/ 1 40) ?v_9)))) (let ((?v_31 (<= ?v_30 133))) (let ((?v_43 (not (and ?v_10 (not (and (not (<= ?v_30 (/ 261 2))) (and (<= ?v_30 (/ 650 3)) (and (not (and (not ?v_31) (not (and ?v_28 (not (<= ?v_30 (/ 823 6))))))) (not (and ?v_31 (not ?v_32)))))))))) (?v_44 (<= ?v_24 (- 4910)))) (let ((?v_46 (not ?v_44)) (?v_53 (not (and (not ?v_34) (not (<= (+ ?v_17 ?v_33) (/ (- 581) 2)))))) (?v_56 (and ?v_35 (not (and (<= (+ ?v_0 (* (/ 1 60) ?v_9)) (/ 400 3)) (<= (+ ?v_17 (* (/ (- 1) 60) ?v_9)) (/ (- 731) 6))))))) (let ((?v_55 (not ?v_56))) (let ((?v_49 (and ?v_53 (not (and ?v_34 (not (and ?v_55 (not (and ?v_28 (not (and ?v_54 (and ?v_36 (<= (+ ?v_17 (* (/ (- 1) 40) ?v_9)) (/ (- 623) 4)))))))))))))) (or (or (exists ((?lambdaprime Real)) (let ((?v_61 (* (- 1) (+ x4 (* 30 ?lambdaprime))))) (and (and (<= 0 ?lambdaprime) (<= ?lambdaprime ?lambda)) (not (and (and (not (and bool.b17 (<= ?v_61 (- 4100)))) (not (and bool.b18 (<= ?v_61 (- 4500))))) (not (and bool.b19 (<= ?v_61 (- 4910))))))))) (< ?lambda 0)) (and (not (and bool.b21 (and (not (and bool.b22 ?v_1)) (not (and ?v_3 ?v_60))))) (not (and (not bool.b21) (and (not (and ?v_3 (not (and (not (and ?v_4 (not (and (not (and ?v_5 (not (and (not (and ?v_6 (not (and (not (and ?v_7 (not (and (not (and ?v_8 ?v_1)) (not (and bool.b17 (not (and (not (and ?v_40 (not (and (not (and ?v_2 (and ?v_10 (not (and (not (and (not ?v_38) ?v_13)) (not (and ?v_16 ?v_13))))))) (not (and ?v_14 (not (and (not (and (not ?v_18) (not (and (<= ?v_15 (/ (- 145) 4)) (and ?v_16 (not (and ?v_19 ?v_13))))))) (not (and ?v_18 (not (and ?v_19 ?v_20)))))))))))) (not (and ?v_21 (not (and (not (and ?v_14 (not (and (not (and (not bool.b24) (not (and ?v_41 (not (and ?v_42 (not (and ?v_37 (and (not (and ?v_25 ?v_45)) ?v_43))))))))) (not (and bool.b24 (not (and ?v_46 ?v_49)))))))) (not (and ?v_2 (and bool.b24 (not (and (not (and (not ?v_37) ?v_10)) (not (and ?v_37 (and (not (and ?v_36 ?v_38)) ?v_10)))))))))))))))))))) (not (and bool.b18 (not (and ?v_39 (not (and ?v_8 (not (and (not (and ?v_40 (and ?v_14 (not (and ?v_23 (not (<= ?v_0 16))))))) (not (and ?v_21 (and ?v_14 (not (and ?v_41 (not (and ?v_42 (not (and ?v_43 (not (and ?v_25 (not (and (not (and ?v_44 ?v_45)) (not (and ?v_46 (not (and ?v_47 (and (not (and (not ?v_48) (not ?v_49))) (not (and ?v_48 (not (and ?v_50 (not (and ?v_51 (not (and ?v_52 (and (not (and (not ?v_27) (not (and ?v_53 (not (and ?v_34 (not (and ?v_54 ?v_55)))))))) (not (and ?v_27 (not (and ?v_53 (not (and ?v_34 ?v_56))))))))))))))))))))))))))))))))))))))))))))) (not (and bool.b19 ?v_57)))))) (not (and bool.b20 ?v_58)))))) (not (and bool.b23 ?v_59)))))) (not (and bool.b22 ?v_60))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
