(set-info :smt-lib-version 2.6)
(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :category "random")
(set-info :status sat)
(declare-fun y1 () Real)
(declare-fun y2 () Real)
(declare-fun y3 () Real)
(declare-fun y5 () Real)
(declare-fun y6 () Real)
(declare-fun x1 () Real)
(declare-fun y4 () Real)
(assert (or (exists ((?y1 Real)) (forall ((?y2 Real)) (forall ((?y3 Real)) (let ((?v_0 (* 10 x1))) (or (forall ((?y5 Real)) (and (exists ((?y6 Real)) (let ((?v_1 (* (- 36) ?y2))) (or (or (or (< (+ (+ (+ (+ (+ (* 12 ?y6) (* 24 ?y5)) (* (- 9) ?y3)) ?v_1) (* (- 26) ?y1)) (* (- 25) x1)) 4) (>= (+ (+ (+ (+ (* (- 11) ?y5) (* 94 ?y3)) (* (- 58) ?y2)) (* 94 ?y1)) (* (- 60) x1)) 0)) (or (>= (+ (+ (+ (+ (+ (* 22 ?y6) (* 46 ?y5)) (* (- 48) ?y3)) (* (- 1) ?y2)) (* 28 ?y1)) (* 67 x1)) 0) (<= (+ (+ (+ (+ (+ (* 6 ?y6) (* (- 29) ?y5)) (* 5 ?y3)) (* (- 54) ?y2)) (* (- 65) ?y1)) (* 15 x1)) 0))) (and (and (<= (+ (+ (+ (+ (* 93 ?y6) (* (- 8) ?y3)) ?v_1) (* 4 ?y1)) (* 31 x1)) 69) (>= (+ (+ (+ (+ (* 41 ?y5) (* 14 ?y3)) (* (- 21) ?y2)) (* 11 ?y1)) (* (- 14) x1)) 64)) (and (= (+ (+ (+ (* (- 98) ?y6) (* 13 ?y5)) (* 68 ?y2)) (* 90 ?y1)) (- 30)) (<= (+ (+ (+ (* 27 ?y5) (* (- 60) ?y3)) (* 43 ?y2)) (* (- 41) ?y1)) 6)))))) (forall ((?y6 Real)) (or (<= (+ (+ (+ (* 17 ?y5) (* 47 ?y3)) (* 15 ?y2)) (* (- 62) ?y1)) 0) (or (or (not (= (+ (+ (+ (* 62 ?y6) (* (- 83) ?y5)) (* 37 ?y1)) (* 80 x1)) 0)) (not (= (+ (+ (* 79 ?y6) (* (- 95) ?y5)) (* (- 77) x1)) 0))) (>= (+ (+ (* (- 35) ?y6) (* (- 1) ?y5)) (* (- 62) ?y3)) (- 29))))))) (or (or (exists ((?y5 Real)) (and (or (and (= (* (- 39) ?y1) (- 36)) (<= (+ (+ (* 16 ?y5) (* 83 ?y1)) (* 30 x1)) 0)) (forall ((?y6 Real)) (<= (+ (+ (+ (+ (+ (* (- 68) ?y6) (* (- 60) ?y5)) (* 17 ?y3)) (* (- 66) ?y2)) (* (- 90) ?y1)) (* 9 x1)) 0))) (exists ((?y6 Real)) (let ((?v_2 (* 73 x1))) (or (<= (+ (+ (+ (+ (+ (* 83 ?y6) (* 73 ?y5)) (* (- 72) ?y3)) (* (- 35) ?y2)) (* 46 ?y1)) ?v_2) 6) (= (+ (+ (+ (* 59 ?y6) (* (- 55) ?y5)) (* 3 ?y1)) ?v_2) 42)))))) (or (and (exists ((?y5 Real)) (or (> (+ (+ (+ (* (- 56) ?y5) (* 35 ?y2)) (* (- 57) ?y1)) (* (- 23) x1)) (- 28)) (= (+ (+ (+ (* (- 76) ?y5) (* 40 ?y2)) (* 60 ?y1)) (* (- 54) x1)) 0))) (<= (+ (+ (* (- 13) ?y3) (* 79 ?y1)) (* (- 95) x1)) 0)) (or (= (+ (+ (+ (* (- 85) ?y3) (* 56 ?y2)) (* (- 9) ?y1)) (* 13 x1)) 6) (not (= (+ (+ (+ (* (- 82) ?y3) (* (- 32) ?y2)) (* 62 ?y1)) ?v_0) 0))))) (and (and (or (or (< (+ (+ (* 74 ?y3) (* 18 ?y2)) (* (- 63) x1)) 0) (exists ((?y5 Real)) (>= (+ (+ (+ (+ (* 58 ?y5) (* (- 70) ?y3)) (* 42 ?y2)) (* (- 87) ?y1)) (* (- 75) x1)) 46))) (forall ((?y4 Real)) (forall ((?y5 Real)) (and (= (+ (+ (+ (* (- 4) ?y4) (* (- 1) ?y3)) (* (- 14) ?y2)) (* (- 94) ?y1)) 0) (<= (+ (+ (+ (* (- 5) ?y5) (* (- 90) ?y4)) (* 12 ?y2)) (* 83 ?y1)) 29))))) (and (>= (+ (+ (* (- 55) ?y3) (* 16 ?y2)) ?v_0) 49) (< (+ (+ (+ (* 27 ?y3) (* 45 ?y2)) (* (- 35) ?y1)) (* 97 x1)) (- 71)))) (forall ((?y4 Real)) (or (and (> (+ (+ (+ (+ (* (- 91) ?y4) (* (- 38) ?y3)) (* 29 ?y2)) (* (- 98) ?y1)) (* 75 x1)) 48) (<= (+ (+ (+ (* (- 79) ?y4) (* 34 ?y2)) (* 75 ?y1)) (* 95 x1)) (- 67))) (forall ((?y6 Real)) (or (>= (+ (+ (+ (+ (+ (* 25 ?y6) (* 63 ?y4)) (* 5 ?y3)) (* (- 44) ?y2)) (* 98 ?y1)) (* (- 4) x1)) (- 11)) (>= (+ (+ (+ (+ (* 74 ?y6) (* (- 22) ?y4)) (* (- 87) ?y3)) (* 9 ?y2)) (* (- 72) x1)) (- 11))))))))))))) (or (and (or (or (and (exists ((?y2 Real)) (exists ((?y3 Real)) (forall ((?y4 Real)) (forall ((?y5 Real)) (exists ((?y6 Real)) (<= (+ (+ (+ (+ (+ (* (- 96) ?y6) (* (- 46) ?y5)) (* 1 ?y4)) (* (- 75) ?y3)) (* 81 ?y2)) (* 67 x1)) 0)))))) (or (exists ((?y2 Real)) (and (forall ((?y4 Real)) (not (= (+ (* (- 56) ?y4) (* (- 80) x1)) 42))) (or (exists ((?y3 Real)) (= (+ (* (- 85) ?y3) (* 82 ?y2)) 48)) (exists ((?y3 Real)) (< (+ (* 72 ?y2) (* (- 88) x1)) 34))))) (or (forall ((?y2 Real)) (and (and (< (+ (* 4 ?y2) (* 79 x1)) 34) (>= (* 47 ?y2) (- 74))) (exists ((?y3 Real)) (<= (+ (+ (* 28 ?y3) (* (- 41) ?y2)) (* (- 84) x1)) 0)))) (or (exists ((?y2 Real)) (< (+ (* 18 ?y2) (* 28 x1)) 16)) (forall ((?y2 Real)) (or (>= (+ (* 98 ?y2) (* 88 x1)) 0) (>= (* (- 91) ?y2) 0))))))) (and (forall ((?y2 Real)) (or (forall ((?y3 Real)) (and (< (+ (* 84 ?y3) (* 33 ?y2)) 0) (= (+ (* 60 ?y3) (* 75 ?y2)) 0))) (and (and (and (<= (+ (* 59 ?y2) (* 12 x1)) (- 72)) (<= (* 26 x1) 0)) (and (> (+ (* 52 ?y2) (* 8 x1)) 14) (>= (+ (* (- 95) ?y2) (* 4 x1)) 76))) (and (or (< (+ (* 76 ?y2) (* (- 97) x1)) 97) (not (= (+ (* 55 ?y2) (* 100 x1)) 0))) (exists ((?y3 Real)) (>= (+ (+ (* 59 ?y3) (* (- 58) ?y2)) (* 43 x1)) (- 35))))))) (or (exists ((?y2 Real)) (forall ((?y3 Real)) (> (+ (* 35 ?y3) (* (- 75) x1)) (- 46)))) (forall ((?y2 Real)) (or (exists ((?y3 Real)) (> (+ (+ (* (- 22) ?y3) (* (- 22) ?y2)) (* 96 x1)) 0)) (exists ((?y3 Real)) (and (>= (+ (+ (* (- 29) ?y3) (* 36 ?y2)) (* (- 86) x1)) 0) (not (= (+ (* 91 ?y2) (* 77 x1)) 0))))))))) (forall ((?y2 Real)) (and (exists ((?y3 Real)) (exists ((?y4 Real)) (and (or (and (<= (+ (+ (* 21 ?y3) (* 30 ?y2)) (* (- 80) x1)) 45) (= (+ (+ (+ (* 71 ?y4) (* (- 83) ?y3)) (* 19 ?y2)) (* 28 x1)) 42)) (and (not (= (+ (+ (* 11 ?y4) (* (- 99) ?y3)) (* (- 77) x1)) 0)) (> (+ (* 65 ?y2) (* (- 61) x1)) (- 64)))) (exists ((?y5 Real)) (and (<= (+ (+ (+ (* (- 95) ?y5) (* 51 ?y4)) (* 73 ?y3)) (* (- 11) x1)) 57) (not (= (+ (+ (+ (* (- 39) ?y5) (* (- 19) ?y4)) (* 50 ?y3)) (* 75 x1)) 0))))))) (forall ((?y5 Real)) (or (<= (* 60 x1) (- 7)) (< (+ (+ (* (- 57) ?y5) (* 42 ?y2)) (* 26 x1)) 0)))))) (exists ((?y2 Real)) (exists ((?y3 Real)) (forall ((?y4 Real)) (forall ((?y5 Real)) (or (and (or (not (= (+ (+ (+ (+ (* (- 38) ?y5) (* 69 ?y4)) (* 99 ?y3)) (* 72 ?y2)) (* 3 x1)) 45)) (not (= (+ (+ (+ (+ (* 29 ?y5) (* 97 ?y4)) (* (- 37) ?y3)) (* 98 ?y2)) (* (- 14) x1)) 96))) (and (<= (+ (+ (+ (* (- 18) ?y5) (* (- 70) ?y4)) (* 60 ?y3)) (* (- 61) ?y2)) 68) (> (+ (+ (+ (* (- 95) ?y5) (* (- 42) ?y4)) (* (- 4) ?y3)) (* 67 ?y2)) (- 51)))) (or (or (not (= (+ (+ (+ (* 47 ?y5) (* 75 ?y4)) (* (- 8) ?y3)) (* (- 18) ?y2)) 42)) (not (= (+ (+ (+ (+ (* 39 ?y5) (* 57 ?y4)) (* 54 ?y3)) (* (- 88) ?y2)) (* (- 5) x1)) 9))) (and (= (+ (+ (+ (+ (* 53 ?y5) (* 95 ?y4)) (* (- 14) ?y3)) (* (- 40) ?y2)) (* 22 x1)) 20) (>= (+ (* (- 14) ?y5) (* 45 ?y2)) (- 2)))))))))) (and (exists ((?y1 Real)) (exists ((?y2 Real)) (or (and (or (exists ((?y4 Real)) (forall ((?y5 Real)) (>= (+ (+ (+ (+ (* 47 ?y5) (* (- 30) ?y4)) (* 27 ?y2)) (* 48 ?y1)) (* (- 94) x1)) 70))) (forall ((?y4 Real)) (and (and (not (= (+ (+ (* 29 ?y4) (* 43 ?y2)) (* (- 30) ?y1)) 0)) (= (+ (+ (* (- 25) ?y2) (* 3 ?y1)) (* (- 87) x1)) 39)) (exists ((?y5 Real)) (< (+ (+ (* 58 ?y4) (* 40 ?y2)) (* (- 15) x1)) (- 2)))))) (or (and (forall ((?y3 Real)) (and (<= (+ (+ (* 19 ?y2) (* 32 ?y1)) (* (- 48) x1)) 0) (exists ((?y4 Real)) (= (+ (+ (* (- 69) ?y2) (* 48 ?y1)) (* (- 19) x1)) (- 58))))) (forall ((?y3 Real)) (forall ((?y5 Real)) (not (= (* (- 83) ?y1) 35))))) (or (or (exists ((?y3 Real)) (and (not (= (+ (+ (* (- 45) ?y3) (* 47 ?y2)) (* 54 ?y1)) (- 21))) (= (+ (+ (+ (* 31 ?y3) (* (- 61) ?y2)) (* (- 51) ?y1)) (* 19 x1)) 0))) (or (or (> (+ (+ (* (- 28) ?y2) (* (- 4) ?y1)) (* 72 x1)) 0) (<= (+ (* (- 53) ?y2) (* 69 ?y1)) (- 13))) (and (<= (+ (+ (* 15 ?y2) (* 38 ?y1)) (* (- 58) x1)) 38) (not (= (+ (+ (* 82 ?y2) (* (- 97) ?y1)) (* (- 76) x1)) 96))))) (or (forall ((?y4 Real)) (= (+ (+ (* (- 60) ?y4) (* 92 ?y1)) (* (- 79) x1)) (- 9))) (forall ((?y4 Real)) (not (= (+ (* 51 ?y2) (* (- 6) ?y1)) (- 88)))))))) (forall ((?y4 Real)) (and (forall ((?y6 Real)) (or (not (= (+ (+ (+ (* 94 ?y6) (* (- 60) ?y4)) (* 59 ?y2)) (* 18 x1)) (- 39))) (<= (+ (+ (+ (* 81 ?y4) (* 41 ?y2)) (* (- 67) ?y1)) (* 90 x1)) 17))) (or (and (< (+ (* 90 ?y4) (* (- 2) x1)) 1) (and (< (+ (+ (* 95 ?y4) (* (- 35) ?y2)) (* 18 x1)) 46) (<= (+ (+ (* (- 69) ?y2) (* (- 3) ?y1)) (* (- 10) x1)) (- 87)))) (forall ((?y6 Real)) (= (+ (+ (+ (+ (* 80 ?y6) (* 68 ?y4)) (* 86 ?y2)) (* (- 19) ?y1)) (* (- 20) x1)) (- 97))))))))) (exists ((?y1 Real)) (or (exists ((?y2 Real)) (exists ((?y4 Real)) (exists ((?y5 Real)) (exists ((?y6 Real)) (let ((?v_3 (* (- 100) ?y5))) (or (or (= (+ (+ (+ (+ (+ (* (- 23) ?y6) ?v_3) (* 80 ?y4)) (* (- 32) ?y2)) (* 90 ?y1)) (* (- 69) x1)) 12) (<= (+ (+ (+ (+ (* (- 33) ?y6) ?v_3) (* (- 71) ?y4)) (* (- 33) ?y2)) (* 49 ?y1)) 0)) (< (+ (+ (+ (+ (* 63 ?y6) (* (- 84) ?y5)) (* 21 ?y4)) (* 98 ?y1)) (* 52 x1)) 34))))))) (exists ((?y2 Real)) (and (forall ((?y3 Real)) (exists ((?y5 Real)) (and (and (< (+ (+ (* (- 23) ?y5) (* (- 75) ?y3)) (* (- 24) x1)) (- 80)) (<= (+ (+ (+ (+ (* 15 ?y5) (* 49 ?y3)) (* (- 45) ?y2)) (* (- 49) ?y1)) (* 44 x1)) 0)) (or (< (+ (+ (+ (* (- 11) ?y5) (* 75 ?y3)) (* 86 ?y1)) (* (- 12) x1)) 43) (<= (+ (+ (* 85 ?y3) (* 90 ?y1)) (* 34 x1)) 60))))) (forall ((?y3 Real)) (or (and (exists ((?y4 Real)) (and (<= (+ (* 21 ?y3) (* (- 62) ?y1)) 71) (> (+ (+ (+ (+ (* 26 ?y4) (* 66 ?y3)) (* (- 4) ?y2)) (* (- 78) ?y1)) (* 14 x1)) (- 75)))) (forall ((?y4 Real)) (or (= (+ (+ (* 88 ?y3) (* 56 ?y2)) (* 21 x1)) 0) (= (+ (+ (* (- 50) ?y4) (* (- 23) ?y3)) (* 83 x1)) 17)))) (exists ((?y4 Real)) (exists ((?y5 Real)) (> (+ (+ (+ (+ (* (- 21) ?y5) (* 47 ?y4)) (* 48 ?y3)) (* 75 ?y1)) (* (- 26) x1)) (- 22))))))))))))))
(check-sat)
(exit)
