(set-info :smt-lib-version 2.6)
(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :category "random")
(set-info :status sat)
(declare-fun y1 () Real)
(declare-fun y3 () Real)
(declare-fun y4 () Real)
(declare-fun y5 () Real)
(declare-fun y6 () Real)
(declare-fun x1 () Real)
(assert (forall ((?y1 Real)) (or (forall ((?y3 Real)) (exists ((?y4 Real)) (or (or (or (forall ((?y5 Real)) (forall ((?y6 Real)) (and (or (< (+ (+ (* 5 ?y4) (* (- 26) ?y3)) (* 82 ?y1)) 49) (and (>= (+ (+ (+ (+ (+ (* 17 ?y6) (* 10 ?y5)) (* 67 ?y4)) (* 6 ?y3)) (* (- 63) ?y1)) (* 40 x1)) 61) (<= (+ (+ (+ (* (- 38) ?y6) (* 84 ?y4)) (* (- 88) ?y3)) (* (- 45) x1)) (- 22)))) (or (or (not (= (+ (+ (* (- 31) ?y6) (* 25 ?y5)) (* 100 ?y3)) 30)) (not (= (+ (+ (* 68 ?y6) (* (- 23) ?y4)) (* 43 x1)) (- 60)))) (or (and (not (= (+ (+ (+ (+ (+ (* (- 78) ?y6) (* 30 ?y5)) (* 79 ?y4)) (* 87 ?y3)) (* 56 ?y1)) (* 77 x1)) (- 94))) (>= (+ (+ (+ (+ (+ (* (- 92) ?y6) (* 42 ?y5)) (* 59 ?y4)) (* (- 30) ?y3)) (* (- 65) ?y1)) (* 70 x1)) (- 47))) (and (= (+ (+ (+ (+ (* 13 ?y6) (* 64 ?y5)) (* 21 ?y4)) (* 36 ?y3)) (* 6 ?y1)) 78) (= (+ (+ (+ (+ (* (- 99) ?y6) (* (- 53) ?y5)) (* 23 ?y4)) (* 60 ?y3)) (* (- 32) ?y1)) (- 96)))))))) (exists ((?y5 Real)) (let ((?v_0 (* (- 49) ?y3))) (or (and (or (= (+ (+ (* 38 ?y3) (* (- 80) ?y1)) (* 92 x1)) (- 60)) (= (+ (+ (* (- 42) ?y4) ?v_0) (* (- 26) x1)) 51)) (and (not (= (+ (+ (+ (* 11 ?y5) (* 84 ?y4)) (* 25 ?y3)) (* (- 5) x1)) 0)) (< (+ (+ (+ (* (- 23) ?y4) (* (- 61) ?y3)) (* (- 48) ?y1)) (* 33 x1)) (- 92)))) (or (or (<= (+ (+ (+ (* 50 ?y5) (* (- 100) ?y4)) (* 9 ?y3)) (* 76 x1)) (- 81)) (< (+ (+ (+ (+ (* (- 35) ?y5) (* 99 ?y4)) ?v_0) (* 90 ?y1)) (* 20 x1)) (- 26))) (or (and (not (= (+ (+ (* 43 ?y5) (* (- 35) ?y4)) (* 71 ?y3)) 33)) (not (= (+ (+ (+ (* 68 ?y4) (* 66 ?y3)) (* 77 ?y1)) (* (- 42) x1)) (- 15)))) (and (>= (+ (+ (* (- 91) ?y3) (* (- 12) ?y1)) (* 9 x1)) (- 68)) (> (+ (+ (* 46 ?y5) (* 6 ?y3)) (* (- 96) x1)) 0)))))))) (forall ((?y6 Real)) (let ((?v_1 (* (- 95) ?y4)) (?v_2 (* (- 56) ?y4))) (or (and (or (or (and (<= (+ (+ (+ (+ (* (- 88) ?y6) (* (- 6) ?y4)) (* 91 ?y3)) (* (- 33) ?y1)) (* (- 89) x1)) 80) (not (= (+ (+ (+ (* (- 25) ?y4) (* (- 15) ?y3)) (* 76 ?y1)) (* 16 x1)) (- 39)))) (= (+ (+ (+ (+ (* 86 ?y6) (* 99 ?y4)) (* 100 ?y3)) (* (- 19) ?y1)) (* (- 52) x1)) (- 51))) (or (or (>= (+ (+ (* (- 38) ?y6) ?v_1) (* (- 16) ?y1)) (- 47)) (< (+ (+ (+ ?v_2 (* 58 ?y3)) (* 52 ?y1)) (* 21 x1)) 0)) (and (> (+ (+ (+ (* (- 34) ?y6) ?v_1) (* (- 52) ?y3)) (* (- 72) x1)) (- 39)) (> (+ (* 39 ?y6) (* (- 20) ?y1)) 0)))) (and (and (< (+ (+ (* (- 54) ?y6) (* (- 20) ?y3)) (* 26 ?y1)) (- 17)) (and (>= (+ (+ (* 34 ?y6) (* (- 39) ?y3)) (* (- 80) x1)) (- 95)) (< (* 31 x1) (- 95)))) (and (or (= (* 97 x1) 0) (<= (+ (+ (* 54 ?y3) (* 38 ?y1)) (* (- 48) x1)) (- 52))) (and (> (+ (+ (+ (+ (* 50 ?y6) (* 55 ?y4)) (* 55 ?y3)) (* 42 ?y1)) (* 87 x1)) (- 36)) (= (+ (+ (+ ?v_2 (* 96 ?y3)) (* (- 29) ?y1)) (* (- 62) x1)) 53))))) (and (and (= (+ (+ (+ (* 7 ?y6) (* 100 ?y4)) (* 86 ?y3)) (* 80 x1)) (- 94)) (and (> (+ (* (- 26) ?y6) (* 79 ?y4)) 98) (not (= (+ (* (- 52) ?y6) (* (- 30) ?y3)) 0)))) (and (and (< (+ (+ (+ (+ (* 85 ?y6) (* 15 ?y4)) (* (- 19) ?y3)) (* 32 ?y1)) (* (- 44) x1)) (- 17)) (= (+ (+ (+ (+ (* 79 ?y6) (* (- 10) ?y4)) (* (- 24) ?y3)) (* (- 56) ?y1)) (* (- 75) x1)) 42)) (and (or (not (= (+ (+ (+ (* 1 ?y6) (* 36 ?y4)) (* (- 57) ?y1)) (* 72 x1)) (- 36))) (not (= (+ (+ (+ (* 10 ?y6) (* (- 9) ?y4)) (* 31 ?y3)) (* 67 ?y1)) (- 90)))) (or (<= (+ (+ (* (- 86) ?y3) (* (- 8) ?y1)) (* (- 74) x1)) (- 55)) (< (+ (+ (+ (+ (* (- 57) ?y6) (* (- 66) ?y4)) (* (- 37) ?y3)) (* (- 28) ?y1)) (* 34 x1)) 0))))))))) (and (exists ((?y5 Real)) (forall ((?y6 Real)) (let ((?v_5 (* (- 14) ?y6)) (?v_3 (* (- 33) ?y3)) (?v_4 (* (- 60) x1))) (and (or (and (and (or (>= (+ (+ (+ (+ (* (- 21) ?y6) (* 63 ?y5)) (* (- 9) ?y3)) (* 29 ?y1)) (* 12 x1)) 0) (= (+ (+ (+ (* (- 64) ?y6) (* 40 ?y5)) (* 36 ?y4)) (* 46 ?y1)) 69)) (or (< (+ (+ (+ (+ ?v_5 (* (- 10) ?y5)) (* (- 14) ?y4)) (* 100 ?y3)) (* 12 ?y1)) (- 17)) (> (+ (+ (+ (+ (* 33 ?y6) (* (- 34) ?y4)) (* 2 ?y3)) (* 65 ?y1)) (* 65 x1)) 35))) (and (or (<= (+ (+ (+ (+ (* 12 ?y6) (* 62 ?y5)) (* 94 ?y4)) (* 45 ?y3)) (* (- 32) x1)) 0) (<= (+ (+ (+ (* (- 45) ?y6) (* 93 ?y5)) (* 31 ?y1)) (* 13 x1)) 0)) (or (>= (+ (+ (+ (+ (+ (* (- 93) ?y6) (* (- 53) ?y5)) (* 73 ?y4)) ?v_3) (* 94 ?y1)) ?v_4) 0) (= (+ (+ (+ (+ (* 38 ?y5) (* (- 97) ?y4)) (* 60 ?y3)) (* 4 ?y1)) (* 46 x1)) 6)))) (and (or (= (+ (+ (+ (+ (* (- 59) ?y6) (* 81 ?y5)) (* 48 ?y3)) (* 15 ?y1)) (* 6 x1)) 0) (< (+ (+ (* (- 42) ?y5) (* 66 ?y4)) (* (- 67) x1)) 49)) (and (not (= (+ (+ (+ (+ (* 10 ?y6) (* (- 54) ?y5)) ?v_3) (* 86 ?y1)) (* (- 38) x1)) 36)) (> (+ (+ (+ (+ (+ (* (- 57) ?y6) (* 1 ?y5)) (* (- 84) ?y4)) (* 49 ?y3)) (* 17 ?y1)) (* 32 x1)) 30)))) (and (or (or (<= (+ (* (- 22) ?y6) ?v_4) (- 55)) (= (* (- 38) ?y6) 0)) (and (= (+ (+ (+ (* 84 ?y6) (* 2 ?y5)) (* (- 27) ?y4)) (* 7 x1)) (- 73)) (not (= (+ (+ (+ (* 49 ?y6) (* (- 28) ?y5)) (* (- 17) ?y3)) (* (- 13) ?y1)) (- 24))))) (and (< (+ (+ (+ (+ (* (- 83) ?y6) (* (- 39) ?y5)) (* (- 36) ?y4)) (* 69 ?y1)) (* (- 30) x1)) (- 23)) (and (<= (+ (+ (+ (+ (* 75 ?y6) (* (- 99) ?y4)) (* (- 66) ?y3)) (* (- 48) ?y1)) (* (- 20) x1)) 5) (<= (+ (+ (+ (+ (+ ?v_5 (* (- 41) ?y5)) (* 47 ?y4)) (* 36 ?y3)) (* (- 17) ?y1)) (* (- 69) x1)) 44)))))))) (and (exists ((?y5 Real)) (forall ((?y6 Real)) (or (and (and (>= (+ (+ (+ (* 15 ?y5) (* 12 ?y3)) (* (- 12) ?y1)) (* 78 x1)) (- 59)) (= (+ (+ (+ (+ (+ (* 91 ?y6) (* 28 ?y5)) (* 11 ?y4)) (* 40 ?y3)) (* 50 ?y1)) (* 65 x1)) (- 97))) (or (> (+ (+ (+ (* (- 76) ?y6) (* (- 9) ?y4)) (* 68 ?y3)) (* 97 x1)) 0) (= (+ (+ (* (- 4) ?y6) (* (- 12) ?y3)) (* (- 58) ?y1)) 83))) (or (or (or (>= (+ (+ (+ (* 2 ?y6) (* 52 ?y4)) (* 75 ?y1)) (* (- 91) x1)) 0) (< (+ (+ (+ (* (- 26) ?y6) (* 3 ?y4)) (* 21 ?y3)) (* (- 91) ?y1)) (- 26))) (or (= (+ (+ (* (- 100) ?y4) (* (- 46) ?y3)) (* (- 70) x1)) (- 36)) (> (+ (+ (+ (* 90 ?y6) (* 5 ?y5)) (* 23 ?y4)) (* 13 x1)) 65))) (and (or (> (+ (+ (* 86 ?y6) (* 44 ?y4)) (* 87 x1)) (- 40)) (> (+ (+ (+ (* 30 ?y6) (* 7 ?y4)) (* 38 ?y3)) (* 45 ?y1)) (- 70))) (and (= (+ (+ (+ (+ (* 96 ?y6) (* (- 18) ?y5)) (* (- 31) ?y3)) (* 40 ?y1)) (* 94 x1)) (- 3)) (< (+ (+ (* 50 ?y5) (* 82 ?y4)) (* 30 ?y1)) 4))))))) (forall ((?y6 Real)) (and (and (<= (+ (+ (* 16 ?y4) (* (- 32) ?y1)) (* 86 x1)) 95) (> (+ (+ (* 25 ?y3) (* 36 ?y1)) (* (- 39) x1)) 27)) (and (and (or (>= (+ (+ (+ (+ (* 96 ?y6) (* 71 ?y4)) (* 23 ?y3)) (* 27 ?y1)) (* 99 x1)) 82) (> (+ (+ (+ (* 68 ?y6) (* (- 74) ?y4)) (* 65 ?y3)) (* 43 x1)) 93)) (not (= (+ (* 36 ?y6) (* (- 14) ?y3)) 0))) (or (> (+ (+ (* 63 ?y4) (* (- 42) ?y3)) (* (- 23) x1)) 89) (<= (+ (+ (+ (* (- 88) ?y6) (* (- 19) ?y4)) (* (- 1) ?y3)) (* (- 47) x1)) 0)))))))))) (or (or (and (or (forall ((?y5 Real)) (and (or (>= (+ (+ (* 32 ?y5) (* 63 ?y1)) (* 48 x1)) (- 8)) (= (+ (* 24 ?y1) (* 88 x1)) (- 78))) (and (exists ((?y6 Real)) (or (< (+ (+ (+ (* 8 ?y6) (* 71 ?y5)) (* 15 ?y1)) (* (- 37) x1)) 94) (= (+ (+ (* 85 ?y6) (* (- 20) ?y1)) (* 22 x1)) 12))) (forall ((?y6 Real)) (or (<= (+ (* 45 ?y6) (* 47 x1)) 0) (< (+ (+ (* (- 88) ?y5) (* 5 ?y1)) (* 57 x1)) 67)))))) (exists ((?y4 Real)) (forall ((?y5 Real)) (let ((?v_6 (* (- 51) ?y1))) (or (or (and (< (+ (+ (* 98 ?y5) (* (- 16) ?y1)) (* (- 92) x1)) 76) (not (= (+ (+ (+ (* 8 ?y5) (* (- 91) ?y4)) ?v_6) (* (- 46) x1)) 0))) (or (< (+ (+ (* 83 ?y5) (* (- 57) ?y1)) (* (- 70) x1)) (- 2)) (>= (+ (+ (* (- 86) ?y5) (* 72 ?y1)) (* 8 x1)) 0))) (or (and (<= (+ (+ (* 5 ?y5) (* (- 100) ?y4)) (* 95 x1)) 24) (> (+ (+ (* (- 63) ?y5) (* 47 ?y4)) (* (- 96) x1)) 86)) (or (not (= (+ (+ (+ (* (- 31) ?y5) (* 4 ?y4)) (* (- 38) ?y1)) (* (- 2) x1)) 0)) (< (+ (+ (* (- 98) ?y5) ?v_6) (* 28 x1)) (- 44))))))))) (and (and (forall ((?y5 Real)) (and (exists ((?y6 Real)) (or (< (+ (* (- 7) ?y6) (* 17 ?y5)) (- 44)) (>= (+ (+ (+ (* (- 51) ?y6) (* 84 ?y5)) (* (- 80) ?y1)) (* 19 x1)) (- 35)))) (or (> (+ (+ (* (- 12) ?y5) (* 93 ?y1)) (* (- 94) x1)) 24) (not (= (+ (+ (* (- 77) ?y5) (* 7 ?y1)) (* 5 x1)) (- 75)))))) (exists ((?y6 Real)) (or (> (+ (+ (* (- 77) ?y6) (* 40 ?y1)) (* 29 x1)) 32) (and (< (* (- 74) x1) (- 44)) (<= (+ (* 78 ?y6) (* 75 x1)) (- 91)))))) (or (or (or (exists ((?y5 Real)) (and (> (+ (+ (* 79 ?y5) (* (- 7) ?y1)) (* (- 27) x1)) (- 88)) (not (= (+ (* (- 60) ?y1) (* 43 x1)) 0)))) (or (or (>= (* 67 ?y1) 0) (<= (+ (* (- 65) ?y1) (* (- 70) x1)) (- 90))) (= (* 10 ?y1) 65))) (and (and (and (<= (+ (* (- 3) ?y1) (* (- 34) x1)) 0) (= (+ (* (- 83) ?y1) (* 85 x1)) (- 54))) (= (* (- 51) ?y1) (- 37))) (not (= (+ (* 65 ?y1) (* (- 46) x1)) 54)))) (and (forall ((?y6 Real)) (= (+ (* (- 83) ?y6) (* (- 66) x1)) (- 79))) (exists ((?y6 Real)) (and (= (+ (* 74 ?y6) (* (- 91) x1)) 0) (<= (+ (+ (* 81 ?y6) (* (- 13) ?y1)) (* (- 33) x1)) (- 85)))))))) (exists ((?y4 Real)) (and (and (and (or (forall ((?y6 Real)) (not (= (+ (+ (* (- 48) ?y4) (* 11 ?y1)) (* (- 40) x1)) 12))) (or (and (not (= (+ (* 45 ?y4) (* 55 ?y1)) 0)) (< (+ (+ (* 9 ?y4) (* 78 ?y1)) (* (- 11) x1)) 91)) (<= (+ (* (- 24) ?y4) (* 30 ?y1)) (- 22)))) (exists ((?y6 Real)) (>= (+ (+ (+ (* 17 ?y6) (* 42 ?y4)) (* (- 38) ?y1)) (* 25 x1)) (- 62)))) (exists ((?y6 Real)) (or (or (or (not (= (+ (+ (* 14 ?y6) (* (- 53) ?y4)) (* 13 ?y1)) 0)) (not (= (+ (+ (+ (* (- 36) ?y6) (* (- 69) ?y4)) (* (- 9) ?y1)) (* (- 35) x1)) (- 28)))) (or (< (+ (* 58 ?y4) (* 98 ?y1)) (- 59)) (< (+ (+ (+ (* 35 ?y6) (* 59 ?y4)) (* (- 50) ?y1)) (* (- 80) x1)) (- 83)))) (or (<= (+ (* 100 ?y1) (* (- 57) x1)) (- 22)) (>= (+ (* (- 15) ?y6) (* 41 ?y4)) 7))))) (forall ((?y6 Real)) (and (and (and (> (+ (+ (+ (* 21 ?y6) (* 82 ?y4)) (* (- 12) ?y1)) (* (- 24) x1)) (- 39)) (>= (+ (+ (* 62 ?y6) (* 74 ?y4)) (* (- 77) x1)) 67)) (and (not (= (+ (* 98 ?y4) (* 36 x1)) 54)) (= (+ (+ (* (- 29) ?y6) (* (- 51) ?y1)) (* (- 51) x1)) 0))) (or (= (+ (+ (* (- 73) ?y6) (* 15 ?y4)) (* 2 ?y1)) 45) (>= (+ (+ (* 25 ?y6) (* 83 ?y4)) (* 21 x1)) 0))))))) (or (and (and (or (exists ((?y4 Real)) (or (and (and (forall ((?y5 Real)) (not (= (+ (+ (* 48 ?y5) (* (- 62) ?y1)) (* 85 x1)) 63))) (forall ((?y5 Real)) (> (+ (+ (* 86 ?y5) (* 1 ?y1)) (* 96 x1)) 87))) (or (forall ((?y5 Real)) (<= (+ (+ (* 32 ?y5) (* 40 ?y4)) (* (- 65) x1)) (- 64))) (forall ((?y5 Real)) (<= (+ (+ (* (- 13) ?y5) (* (- 5) ?y4)) (* 4 ?y1)) (- 52))))) (exists ((?y5 Real)) (forall ((?y6 Real)) (or (>= (+ (+ (* (- 8) ?y5) (* 98 ?y4)) (* (- 13) ?y1)) 16) (not (= (+ (+ (+ (* (- 18) ?y6) (* 62 ?y5)) (* (- 36) ?y4)) (* (- 26) ?y1)) 54))))))) (exists ((?y4 Real)) (and (or (= (+ (* (- 15) ?y4) (* (- 90) ?y1)) 50) (>= (+ (+ (* (- 56) ?y4) (* 9 ?y1)) (* (- 100) x1)) (- 80))) (not (= (+ (+ (* (- 53) ?y4) (* (- 23) ?y1)) (* (- 92) x1)) (- 46)))))) (and (exists ((?y4 Real)) (exists ((?y6 Real)) (and (< (+ (* 1 ?y1) (* 17 x1)) 76) (<= (+ (+ (* (- 96) ?y6) (* (- 35) ?y4)) (* (- 31) ?y1)) 0)))) (and (forall ((?y3 Real)) (exists ((?y5 Real)) (exists ((?y6 Real)) (and (not (= (+ (+ (+ (+ (* (- 78) ?y6) (* (- 86) ?y5)) (* (- 11) ?y3)) (* 25 ?y1)) (* (- 55) x1)) 39)) (not (= (+ (+ (+ (+ (* 6 ?y6) (* 92 ?y5)) (* 73 ?y3)) (* 68 ?y1)) (* 89 x1)) (- 78))))))) (or (and (exists ((?y5 Real)) (= (+ (+ (* 23 ?y5) (* 86 ?y1)) (* (- 38) x1)) 0)) (exists ((?y5 Real)) (> (+ (* 8 ?y1) (* (- 59) x1)) 59))) (forall ((?y4 Real)) (or (<= (* 93 ?y1) (- 69)) (not (= (+ (* (- 22) ?y4) (* 56 x1)) 0)))))))) (forall ((?y3 Real)) (or (or (forall ((?y4 Real)) (exists ((?y5 Real)) (exists ((?y6 Real)) (and (or (<= (+ (+ (+ (+ (+ (* 37 ?y6) (* 7 ?y5)) (* 14 ?y4)) (* 63 ?y3)) (* 37 ?y1)) (* (- 5) x1)) 0) (not (= (+ (+ (+ (+ (* 56 ?y5) (* 58 ?y4)) (* (- 16) ?y3)) (* (- 44) ?y1)) (* (- 18) x1)) 17))) (< (+ (+ (+ (+ (+ (* 92 ?y6) (* (- 60) ?y5)) (* 80 ?y4)) (* 93 ?y3)) (* (- 77) ?y1)) (* (- 31) x1)) 0))))) (forall ((?y4 Real)) (forall ((?y5 Real)) (forall ((?y6 Real)) (and (and (< (+ (+ (+ (+ (* (- 47) ?y6) (* (- 19) ?y5)) (* (- 56) ?y4)) (* (- 7) ?y1)) (* 14 x1)) (- 74)) (< (+ (+ (+ (+ (* 17 ?y6) (* 41 ?y5)) (* (- 13) ?y4)) (* 42 ?y1)) (* 42 x1)) 73)) (or (> (+ (+ (+ (+ (* 65 ?y6) (* 90 ?y4)) (* (- 62) ?y3)) (* (- 82) ?y1)) (* 3 x1)) 65) (< (+ (+ (+ (+ (+ (* 76 ?y6) (* (- 79) ?y5)) (* 51 ?y4)) (* 39 ?y3)) (* (- 10) ?y1)) (* (- 86) x1)) (- 32)))))))) (exists ((?y4 Real)) (exists ((?y6 Real)) (and (and (= (+ (+ (+ (* (- 72) ?y6) (* 38 ?y4)) (* (- 69) ?y1)) (* (- 95) x1)) (- 3)) (>= (+ (+ (+ (* (- 74) ?y6) (* (- 62) ?y4)) (* (- 71) ?y1)) (* 14 x1)) 0)) (or (<= (+ (+ (* (- 18) ?y4) (* (- 93) ?y3)) (* (- 16) ?y1)) 96) (not (= (+ (* 88 ?y6) (* (- 2) ?y4)) 0))))))))) (and (forall ((?y3 Real)) (exists ((?y5 Real)) (exists ((?y6 Real)) (let ((?v_7 (* (- 64) ?y6))) (or (or (and (and (= (+ (+ (+ (* (- 52) ?y5) (* (- 20) ?y3)) (* (- 58) ?y1)) (* 44 x1)) 0) (<= (+ (+ ?v_7 (* 34 ?y3)) (* 48 ?y1)) (- 55))) (and (not (= (+ (+ (+ (+ (* (- 61) ?y6) (* (- 100) ?y5)) (* (- 33) ?y3)) (* 22 ?y1)) (* (- 77) x1)) 51)) (> (+ (+ (+ (* (- 42) ?y6) (* 57 ?y5)) (* (- 49) ?y3)) (* (- 11) x1)) 0))) (or (and (not (= (+ (+ (+ (* (- 6) ?y6) (* (- 69) ?y5)) (* (- 81) ?y3)) (* 98 x1)) 75)) (>= (+ (+ (* (- 18) ?y5) (* (- 46) ?y3)) (* (- 9) ?y1)) 31)) (and (<= (+ (+ (+ (+ (* 100 ?y6) (* (- 1) ?y5)) (* 69 ?y3)) (* (- 16) ?y1)) (* (- 49) x1)) 44) (< (+ (+ (* (- 62) ?y6) (* 45 ?y5)) (* 66 x1)) 0)))) (or (or (and (= (+ (+ (* 35 ?y5) (* 49 ?y3)) (* 15 ?y1)) (- 55)) (not (= (+ (+ (+ (* (- 51) ?y6) (* (- 60) ?y5)) (* (- 18) ?y3)) (* (- 23) x1)) (- 93)))) (and (<= (+ (+ (+ (+ (* 1 ?y6) (* 93 ?y5)) (* (- 82) ?y3)) (* 62 ?y1)) (* 3 x1)) (- 76)) (>= (+ (+ (+ (* 49 ?y6) (* 33 ?y5)) (* 7 ?y3)) (* 11 x1)) 43))) (or (or (not (= (+ (+ (+ (* 34 ?y6) (* 32 ?y5)) (* 9 ?y1)) (* (- 54) x1)) 33)) (< (+ (+ ?v_7 (* 60 ?y1)) (* 71 x1)) 7)) (<= (+ (+ (* (- 11) ?y6) (* 41 ?y3)) (* 38 x1)) (- 99))))))))) (and (or (or (forall ((?y4 Real)) (forall ((?y5 Real)) (and (<= (* 34 ?y5) (- 73)) (> (+ (* (- 34) ?y5) (* 32 ?y1)) (- 45))))) (exists ((?y4 Real)) (exists ((?y5 Real)) (exists ((?y6 Real)) (or (> (+ (+ (+ (* 3 ?y6) (* (- 57) ?y4)) (* (- 93) ?y1)) (* (- 84) x1)) 9) (not (= (+ (+ (+ (* 26 ?y6) (* (- 58) ?y5)) (* (- 74) ?y4)) (* (- 38) ?y1)) (- 60)))))))) (or (and (and (or (or (> (* (- 23) x1) (- 87)) (< (+ (* (- 41) ?y1) (* 19 x1)) 0)) (forall ((?y4 Real)) (<= (* (- 14) ?y1) 20))) (exists ((?y4 Real)) (or (= (+ (* 67 ?y4) (* (- 47) ?y1)) (- 58)) (>= (+ (+ (* (- 24) ?y4) (* 93 ?y1)) (* 63 x1)) 91)))) (exists ((?y4 Real)) (and (and (not (= (+ (* 84 ?y1) (* 100 x1)) (- 12))) (= (* (- 26) x1) 32)) (or (<= (+ (* (- 3) ?y4) (* 54 ?y1)) 2) (= (+ (* (- 83) ?y4) (* 55 x1)) (- 76)))))) (exists ((?y5 Real)) (exists ((?y6 Real)) (or (<= (+ (+ (+ (* (- 37) ?y6) (* 86 ?y5)) (* 93 ?y1)) (* (- 65) x1)) 0) (< (+ (+ (* 76 ?y6) (* 79 ?y1)) (* 69 x1)) (- 86))))))) (or (or (forall ((?y3 Real)) (and (forall ((?y4 Real)) (and (forall ((?y5 Real)) (not (= (+ (+ (* (- 44) ?y4) (* (- 45) ?y1)) (* (- 25) x1)) (- 67)))) (exists ((?y5 Real)) (not (= (+ (* 80 ?y3) (* 70 x1)) 0))))) (exists ((?y6 Real)) (= (+ (+ (* (- 17) ?y6) (* 82 ?y3)) (* 71 ?y1)) (- 45))))) (forall ((?y3 Real)) (forall ((?y4 Real)) (exists ((?y6 Real)) (and (not (= (+ (+ (+ (+ (* (- 19) ?y6) (* (- 50) ?y4)) (* (- 93) ?y3)) (* (- 37) ?y1)) (* 42 x1)) 27)) (= (+ (+ (+ (* 20 ?y6) (* 40 ?y4)) (* (- 2) ?y3)) (* 93 ?y1)) 0)))))) (forall ((?y3 Real)) (and (and (and (<= (+ (* (- 59) ?y3) (* (- 22) x1)) 0) (not (= (* 41 ?y1) 0))) (or (not (= (* (- 27) ?y3) 17)) (<= (+ (+ (* 19 ?y3) (* (- 48) ?y1)) (* (- 85) x1)) 0))) (exists ((?y6 Real)) (and (= (+ (* 72 ?y6) (* 98 ?y3)) 30) (= (* 58 ?y1) (- 51))))))))))))))
(check-sat)
(exit)
