(set-info :smt-lib-version 2.6)
(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :category "random")
(set-info :status unsat)
(declare-fun y1 () Real)
(declare-fun y2 () Real)
(declare-fun y4 () Real)
(declare-fun y6 () Real)
(declare-fun x1 () Real)
(declare-fun y5 () Real)
(assert (forall ((?y1 Real)) (exists ((?y2 Real)) (or (exists ((?y4 Real)) (forall ((?y6 Real)) (let ((?v_20 (* 70 ?y6)) (?v_49 (* 69 ?y6)) (?v_11 (* 97 ?y4)) (?v_6 (* 37 ?y6)) (?v_91 (* 56 ?y4)) (?v_33 (* 66 ?y2)) (?v_7 (* 87 ?y6)) (?v_1 (* 32 ?y6)) (?v_50 (* 48 ?y2)) (?v_8 (* 73 ?y1)) (?v_89 (* 41 x1)) (?v_101 (* 19 ?y1)) (?v_94 (* 70 ?y4)) (?v_55 (* 33 ?y6)) (?v_41 (* 22 ?y6)) (?v_74 (* 2 x1)) (?v_4 (* 63 ?y6)) (?v_84 (* 64 ?y6)) (?v_29 (* 70 ?y2)) (?v_28 (* 43 ?y6)) (?v_99 (* 94 ?y2)) (?v_45 (* 56 ?y6)) (?v_18 (* 61 x1)) (?v_63 (* 37 ?y2)) (?v_65 (* 5 ?y2)) (?v_107 (* 15 ?y1)) (?v_106 (* 55 ?y4)) (?v_21 (* 53 x1)) (?v_122 (* 24 ?y6)) (?v_98 (* 53 ?y4)) (?v_53 (* 58 ?y4)) (?v_78 (* 42 ?y6)) (?v_64 (* 52 ?y4)) (?v_58 (* 13 ?y1)) (?v_35 (* 26 x1)) (?v_87 (* 89 ?y6)) (?v_12 (* 98 ?y2)) (?v_83 (* 37 ?y1)) (?v_119 (* 96 x1)) (?v_24 (* 96 ?y2)) (?v_109 (* 96 ?y4)) (?v_71 (* 59 ?y1)) (?v_79 (* 47 x1)) (?v_46 (* 2 ?y4)) (?v_25 (* 75 ?y6)) (?v_85 (* 14 ?y2)) (?v_88 (* 26 ?y4)) (?v_60 (* 65 ?y2)) (?v_23 (* 57 ?y4)) (?v_34 (* 20 ?y1)) (?v_47 (* 80 ?y2)) (?v_36 (* 56 ?y1)) (?v_61 (* 48 ?y6)) (?v_73 (* 85 ?y2)) (?v_82 (* 23 ?y4)) (?v_27 (* 42 ?y1)) (?v_93 (* 16 x1)) (?v_40 (* 27 ?y1)) (?v_113 (* 76 x1)) (?v_75 (* 77 x1)) (?v_48 (* 43 ?y1)) (?v_120 (* 45 ?y1)) (?v_95 (* 81 ?y2)) (?v_57 (* 25 ?y2)) (?v_67 (* 2 ?y6)) (?v_59 (* 82 ?y4)) (?v_123 (* 79 ?y6)) (?v_72 (* 67 ?y1)) (?v_124 (* 1 ?y4)) (?v_121 (* 36 ?y1)) (?v_0 (* (- 72) ?y2)) (?v_42 (* (- 52) ?y1)) (?v_43 (* (- 47) x1)) (?v_54 (* (- 53) ?y1)) (?v_5 (* (- 50) ?y6)) (?v_13 (* (- 85) x1)) (?v_51 (* (- 82) ?y6)) (?v_56 (* (- 76) ?y4)) (?v_2 (* (- 29) ?y1)) (?v_9 (* (- 40) ?y4)) (?v_44 (* (- 10) ?y2)) (?v_32 (* (- 94) ?y4)) (?v_102 (* (- 86) ?y4)) (?v_3 (* (- 66) ?y1)) (?v_90 (* (- 70) x1)) (?v_22 (* (- 98) x1)) (?v_16 (* (- 73) x1)) (?v_26 (* (- 9) ?y4)) (?v_69 (* (- 75) x1)) (?v_118 (* (- 25) ?y1)) (?v_10 (* (- 81) ?y4)) (?v_14 (* (- 21) ?y4)) (?v_19 (* (- 68) x1)) (?v_17 (* (- 32) ?y6)) (?v_66 (* (- 84) x1)) (?v_15 (* (- 94) ?y6)) (?v_68 (* (- 100) ?y1)) (?v_31 (* (- 25) ?y2)) (?v_92 (* (- 7) ?y1)) (?v_30 (* (- 6) ?y4)) (?v_105 (* (- 38) ?y4)) (?v_39 (* (- 43) ?y2)) (?v_103 (* (- 63) ?y1)) (?v_37 (* (- 4) x1)) (?v_100 (* (- 61) ?y2)) (?v_112 (* (- 83) ?y2)) (?v_108 (* (- 97) x1)) (?v_38 (* (- 21) ?y1)) (?v_111 (* (- 16) ?y6)) (?v_62 (* (- 68) ?y2)) (?v_76 (* (- 24) ?y6)) (?v_80 (* (- 44) ?y1)) (?v_97 (* (- 14) ?y6)) (?v_81 (* (- 39) x1)) (?v_52 (* (- 22) ?y1)) (?v_70 (* (- 69) x1)) (?v_114 (* (- 9) ?y2)) (?v_77 (* (- 20) ?y2)) (?v_104 (* (- 100) ?y6)) (?v_116 (* (- 78) ?y2)) (?v_86 (* (- 47) ?y1)) (?v_96 (* (- 31) ?y2)) (?v_117 (* (- 64) ?y1)) (?v_110 (* (- 89) ?y1)) (?v_115 (* (- 14) x1))) (or (and (or (and (< (+ (+ (+ (* 77 ?y6) (* (- 85) ?y4)) ?v_0) ?v_42) (- 77)) (and (or (and (or (or (= (+ (+ (* (- 89) ?y6) (* 37 ?y4)) (* 66 ?y1)) (- 34)) (>= (+ (* 47 ?y6) (* (- 5) ?y4)) 58)) (and (>= (+ (+ (+ (+ ?v_20 (* 3 ?y4)) ?v_0) (* 91 ?y1)) ?v_43) 55) (> (+ (+ ?v_49 (* 30 ?y1)) (* (- 49) x1)) (- 24)))) (< (+ (+ ?v_11 (* 97 ?y2)) (* 64 x1)) (- 5))) (or (and (not (= (+ ?v_6 (* (- 56) ?y4)) (- 16))) (not (= (+ (+ (+ (+ (* (- 69) ?y6) ?v_91) ?v_33) (* 51 ?y1)) (* 42 x1)) 0))) (or (and (>= (+ (+ (+ ?v_7 (* (- 16) ?y2)) ?v_54) (* 71 x1)) 40) (< (+ (* (- 15) ?y6) (* 28 ?y2)) 0)) (or (not (= (+ (+ (+ ?v_5 (* 84 ?y4)) (* (- 94) ?y2)) (* (- 62) ?y1)) 30)) (< (+ (+ (+ (+ ?v_1 (* (- 42) ?y4)) ?v_50) (* 93 ?y1)) (* (- 37) x1)) 43))))) (and (and (or (or (>= (+ (+ (+ (+ (* (- 48) ?y6) (* 100 ?y4)) (* 8 ?y2)) ?v_8) ?v_13) 67) (>= (+ (+ (+ (+ ?v_51 ?v_56) (* (- 66) ?y2)) ?v_2) ?v_89) (- 92))) (or (= (+ (+ (+ ?v_9 ?v_44) (* 23 ?y1)) (* (- 40) x1)) 0) (= (+ (* (- 70) ?y2) ?v_101) 0))) (and (<= (+ (* (- 28) ?y4) (* 65 ?y1)) (- 45)) (<= (+ (* (- 89) ?y2) (* (- 65) x1)) 0))) (and (or (>= (+ ?v_32 (* (- 81) x1)) (- 95)) (< (+ (+ (+ (* 100 ?y6) ?v_102) (* (- 99) ?y2)) (* 50 ?y1)) 76)) (or (or (<= (+ (+ (+ ?v_1 ?v_94) ?v_3) ?v_90) 17) (< (+ (+ (+ (+ ?v_55 (* (- 78) ?y4)) (* (- 71) ?y2)) (* (- 35) ?y1)) ?v_22) 0)) (or (= (+ (+ (+ ?v_41 (* (- 27) ?y4)) (* 13 ?y2)) ?v_74) (- 22)) (< (+ (+ ?v_4 ?v_2) ?v_16) (- 8)))))))) (or (and (and (and (and (< (+ (+ (+ (+ ?v_84 (* 46 ?y4)) (* 84 ?y2)) ?v_3) (* 15 x1)) (- 80)) (and (< (+ (+ (+ ?v_4 (* 14 ?y4)) ?v_29) (* 30 x1)) 0) (>= ?v_26 13))) (and (not (= (+ (+ (* 14 ?y6) (* (- 69) ?y4)) (* 59 x1)) 0)) (= (+ (* 7 ?y2) (* (- 51) ?y1)) 6))) (and (or (or (< (+ (* 41 ?y2) (* 37 x1)) (- 44)) (>= (+ (+ (+ (+ ?v_28 (* (- 39) ?y4)) ?v_99) (* (- 82) ?y1)) (* (- 91) x1)) (- 20))) (and (< (+ (+ ?v_45 (* 45 ?y4)) ?v_18) 0) (> (+ (+ (* (- 97) ?y6) ?v_63) (* 81 x1)) (- 72)))) (and (or (= (+ (+ (+ (* 95 ?y4) (* (- 38) ?y2)) (* 41 ?y1)) (* (- 60) x1)) 0) (>= (+ (+ ?v_5 ?v_65) ?v_69) 40)) (or (<= (+ (+ (+ (* 96 ?y6) (* (- 95) ?y4)) (* 40 ?y2)) ?v_107) 89) (>= (+ (+ (+ (* 74 ?y6) ?v_106) ?v_118) (* (- 61) x1)) 1))))) (and (or (<= (+ (* (- 76) ?y6) ?v_21) (- 13)) (>= (+ (+ (+ (* (- 84) ?y4) (* (- 2) ?y2)) (* (- 94) ?y1)) (* (- 34) x1)) 64)) (and (>= (+ (+ (+ ?v_122 ?v_10) (* (- 40) ?y2)) (* 29 x1)) 94) (<= (+ (+ (+ ?v_6 (* 77 ?y4)) (* (- 42) ?y2)) (* (- 61) ?y1)) 95)))) (and (or (and (= (+ (+ (+ (* (- 10) ?y6) ?v_98) (* 53 ?y1)) (* 39 x1)) (- 64)) (>= (+ (+ (+ (* (- 65) ?y6) ?v_14) (* (- 51) ?y2)) (* (- 52) x1)) 1)) (or (and (or (= (+ (+ ?v_7 (* (- 100) ?y4)) ?v_19) 59) (not (= (+ (+ (+ ?v_5 ?v_53) (* (- 54) ?y2)) ?v_8) (- 9)))) (or (< (+ ?v_78 (* (- 8) ?y4)) 79) (not (= (+ (+ (+ ?v_17 ?v_64) (* (- 67) ?y1)) ?v_66) 3)))) (or (and (> (+ (+ (* (- 21) ?y2) (* (- 15) ?y1)) (* 21 x1)) 6) (>= (+ (+ (+ ?v_9 (* (- 52) ?y2)) ?v_58) ?v_35) (- 98))) (<= (+ (+ (+ (* (- 78) ?y6) ?v_0) (* 88 ?y1)) (* 38 x1)) 72)))) (and (and (or (or (> (+ (+ (+ (+ ?v_87 ?v_10) ?v_12) ?v_83) ?v_119) 0) (<= (+ (+ (* (- 37) ?y4) ?v_24) (* 7 ?y1)) (- 19))) (< (+ (+ (+ (* (- 51) ?y6) ?v_11) ?v_12) (* (- 23) x1)) (- 56))) (or (and (> (+ (+ (* (- 30) ?y6) ?v_109) (* 17 x1)) 24) (> (+ ?v_71 (* 28 x1)) (- 39))) (and (<= (+ (+ (+ (* (- 23) ?y6) (* 83 ?y4)) (* (- 73) ?y1)) ?v_79) 41) (>= (+ (+ ?v_15 ?v_46) ?v_13) 58)))) (or (or (< (+ ?v_14 (* 30 ?y2)) 37) (not (= (+ (+ ?v_25 (* 57 ?y2)) (* (- 94) x1)) 44))) (and (or (not (= (+ (+ ?v_15 (* 61 ?y4)) ?v_16) 57)) (< (+ (+ (+ ?v_17 (* (- 11) ?y4)) ?v_85) (* (- 77) ?y1)) 0)) (and (not (= (+ (+ (+ (+ (* 36 ?y6) (* (- 70) ?y4)) (* 99 ?y2)) (* (- 57) ?y1)) (* (- 27) x1)) 84)) (<= (+ (+ (* (- 77) ?y6) (* 29 ?y1)) (* 32 x1)) 17)))))))) (or (or (or (or (= (+ (* (- 76) ?y2) ?v_68) 69) (or (< (+ (+ (* 62 ?y6) ?v_31) (* 78 x1)) 0) (> (+ (+ (* 10 ?y6) (* 77 ?y2)) (* (- 45) x1)) 0))) (or (or (>= (+ (+ (+ ?v_88 ?v_60) ?v_92) ?v_18) (- 44)) (>= (+ (+ ?v_30 (* 92 ?y1)) (* 35 x1)) 91)) (and (>= (+ (+ (+ (+ (* (- 1) ?y6) ?v_23) (* (- 15) ?y2)) (* (- 85) ?y1)) ?v_19) (- 56)) (< (+ (+ (+ (+ ?v_20 (* (- 99) ?y4)) (* (- 41) ?y2)) ?v_34) ?v_21) 1)))) (and (or (or (< (+ (+ (* (- 74) ?y6) ?v_47) (* (- 31) ?y1)) 0) (< (+ (+ (+ (* (- 88) ?y6) ?v_105) ?v_36) (* (- 13) x1)) (- 23))) (and (not (= (+ (+ ?v_61 (* (- 41) ?y4)) (* 11 ?y1)) 87)) (> (+ (+ (* (- 2) ?y6) ?v_39) ?v_22) 0))) (and (<= (* (- 12) ?y6) 33) (not (= (+ (+ (+ (+ (* 6 ?y6) ?v_23) ?v_73) ?v_103) (* 22 x1)) (- 97)))))) (or (or (or (and (not (= (+ (+ (* (- 95) ?y6) (* 19 ?y2)) (* 49 x1)) 48)) (not (= (+ (* (- 44) ?y6) (* 85 ?y4)) 3))) (and (> (+ (+ (+ (+ (* (- 61) ?y6) ?v_82) ?v_24) (* 3 ?y1)) (* 58 x1)) (- 6)) (not (= (+ (+ ?v_25 (* 22 ?y4)) ?v_37) 6)))) (and (and (>= (+ (+ (+ ?v_26 (* (- 74) ?y2)) ?v_27) (* 23 x1)) (- 32)) (= (+ (+ (+ (+ (* 51 ?y6) (* (- 23) ?y4)) ?v_100) ?v_27) (* (- 32) x1)) 0)) (> (+ (+ (* 61 ?y6) ?v_112) ?v_108) (- 67)))) (or (or (< (+ (+ (+ ?v_28 (* 51 ?y4)) (* 94 ?y1)) ?v_93) 70) (> (+ (+ (+ (* 19 ?y6) (* (- 1) ?y4)) (* (- 7) ?y2)) ?v_38) (- 67))) (and (>= (+ (+ (+ (+ (* 29 ?y6) (* (- 67) ?y4)) ?v_29) (* (- 81) ?y1)) (* (- 33) x1)) 0) (not (= (+ (+ (+ (+ (* (- 9) ?y6) (* (- 77) ?y4)) (* 100 ?y2)) ?v_40) ?v_113) (- 55)))))))) (or (and (and (or (and (not (= (+ (+ (+ ?v_1 (* (- 10) ?y4)) (* 32 ?y1)) (* (- 31) x1)) 0)) (<= (+ (+ (+ (* (- 6) ?y6) ?v_30) ?v_31) (* 96 ?y1)) 0)) (and (< (+ (+ (+ ?v_111 ?v_32) ?v_62) (* 36 x1)) 61) (<= (+ ?v_76 (* (- 9) x1)) 0))) (and (or (<= (+ (+ (* (- 47) ?y6) (* (- 43) ?y4)) ?v_33) 0) (>= (+ (+ (+ (+ (* 30 ?y6) (* 66 ?y4)) (* (- 29) ?y2)) ?v_34) ?v_35) 4)) (and (>= (+ (+ ?v_33 ?v_36) ?v_37) 0) (<= (+ (+ (+ (* 39 ?y6) (* (- 20) ?y4)) (* 2 ?y2)) ?v_80) 0)))) (and (or (and (not (= (+ (* (- 45) ?y6) ?v_38) (- 1))) (< (+ (+ (+ (* 18 ?y4) ?v_39) ?v_40) (* (- 25) x1)) 67)) (= (* 13 ?y6) 0)) (or (or (= (+ (+ (+ ?v_97 (* (- 62) ?y4)) (* (- 58) ?y2)) (* (- 11) x1)) (- 48)) (>= (+ ?v_41 ?v_42) 0)) (and (<= (+ (+ (+ (* 99 ?y6) (* 17 ?y4)) (* 51 ?y2)) ?v_43) (- 36)) (> (+ (+ (+ (* 73 ?y6) ?v_44) (* 16 ?y1)) ?v_75) 89))))) (and (or (or (or (and (or (and (= (+ (+ (+ ?v_45 ?v_46) (* (- 92) ?y2)) ?v_48) 83) (not (= ?v_120 3))) (not (= (+ (+ (* (- 57) ?y6) ?v_47) ?v_48) 0))) (or (or (> (+ (+ (+ ?v_49 (* 36 ?y4)) (* 22 ?y2)) (* (- 79) x1)) 0) (= (+ (+ (+ (* 66 ?y6) ?v_30) (* 68 ?y2)) ?v_81) 0)) (not (= (+ (+ (+ (* 76 ?y6) ?v_95) (* (- 6) ?y1)) ?v_18) 17)))) (and (and (and (> (+ (+ (* 56 ?y2) (* (- 24) ?y1)) (* 72 x1)) 54) (< (+ (+ (+ (* (- 65) ?y4) ?v_57) (* 31 ?y1)) (* (- 43) x1)) 0)) (or (not (= (+ ?v_50 ?v_52) 63)) (< (+ (+ (+ (+ ?v_51 (* (- 44) ?y4)) (* 33 ?y2)) ?v_52) ?v_70) (- 38)))) (and (not (= (+ (+ (+ ?v_67 ?v_53) (* (- 53) ?y2)) (* 77 ?y1)) 47)) (and (>= (+ (+ (+ (* 9 ?y6) (* (- 71) ?y4)) (* (- 65) ?y2)) ?v_54) (- 71)) (= (+ (+ ?v_55 ?v_56) ?v_57) (- 97)))))) (and (and (or (< (+ (+ ?v_51 (* (- 52) ?y4)) (* 95 ?y2)) 46) (> (+ (+ (+ (* (- 66) ?y6) ?v_59) (* 59 ?y2)) ?v_58) 74)) (< (+ ?v_114 (* 21 ?y1)) 0)) (and (= (+ (+ ?v_59 (* 6 ?y2)) (* 67 x1)) 0) (not (= (+ (+ (+ (* 42 ?y4) ?v_60) ?v_8) (* (- 24) x1)) 21))))) (and (or (or (and (not (= (+ (+ ?v_61 (* (- 16) ?y4)) ?v_62) 14)) (> (+ (+ (+ (* (- 7) ?y6) (* (- 31) ?y4)) ?v_77) (* (- 87) x1)) 44)) (and (< (+ (+ (+ ?v_104 (* 13 ?y4)) ?v_63) (* 25 x1)) 7) (> (+ (+ (+ (* 8 ?y6) (* (- 47) ?y2)) (* (- 9) ?y1)) (* 18 x1)) 50))) (or (and (>= (+ (+ (+ ?v_123 ?v_64) ?v_65) ?v_66) (- 47)) (> (+ (+ (+ (+ ?v_67 (* (- 98) ?y4)) (* 3 ?y2)) ?v_68) ?v_69) (- 25))) (and (= (+ (+ (* (- 59) ?y6) ?v_72) ?v_70) 51) (< (+ (+ (* (- 22) ?y6) (* (- 17) ?y2)) ?v_71) (- 44))))) (or (or (and (not (= (+ (+ (+ (* (- 86) ?y6) (* 40 ?y4)) ?v_72) ?v_21) (- 67))) (>= (+ (+ (* 52 ?y6) ?v_116) (* 81 ?y1)) 0)) (and (> (+ (+ (* 12 ?y4) ?v_73) (* (- 17) ?y1)) 50) (not (= (+ (+ ?v_20 (* 33 ?y4)) ?v_74) 0)))) (and (<= (+ (* (- 63) ?y4) ?v_75) 20) (and (< (+ (+ (+ (+ ?v_76 (* 39 ?y4)) ?v_77) ?v_86) (* 94 x1)) 94) (not (= (+ (+ (+ (+ (* 97 ?y6) (* (- 3) ?y4)) (* 54 ?y2)) (* (- 56) ?y1)) (* 79 x1)) 0))))))) (and (or (and (or (and (not (= (+ (+ (+ ?v_78 (* (- 45) ?y4)) (* (- 45) ?y1)) ?v_79) 0)) (= (+ (+ (+ (* 60 ?y4) ?v_96) (* (- 97) ?y1)) (* 24 x1)) 78)) (or (<= (+ (+ (+ (* 7 ?y4) (* 12 ?y2)) ?v_80) ?v_81) 39) (>= (+ (+ (+ (* (- 96) ?y6) ?v_82) (* 62 ?y2)) (* (- 51) x1)) (- 95)))) (and (not (= (+ (+ (* 80 ?y6) (* (- 32) ?y2)) ?v_83) (- 33))) (< (+ (+ (+ ?v_84 ?v_85) ?v_86) (* (- 10) x1)) 91))) (and (or (and (<= (+ (+ (* (- 35) ?y4) (* (- 6) ?y2)) (* (- 95) x1)) (- 60)) (< (+ (+ (+ ?v_87 ?v_88) (* (- 37) ?y2)) ?v_89) 73)) (or (not (= (+ (+ (+ (+ (* (- 71) ?y6) (* 72 ?y4)) (* 69 ?y2)) (* (- 39) ?y1)) ?v_74) 47)) (= (+ (+ (* 27 ?y4) ?v_117) ?v_90) (- 93)))) (and (or (= (+ (+ (+ (+ (* 94 ?y6) ?v_124) (* 38 ?y2)) (* (- 99) ?y1)) (* 100 x1)) (- 48)) (< (+ (+ (+ (* 81 ?y6) ?v_91) ?v_92) ?v_93) 55)) (or (>= (+ (+ (* (- 46) ?y4) (* 42 ?y2)) (* (- 5) ?y1)) 0) (< (+ (+ (+ (* 65 ?y6) ?v_94) ?v_95) (* (- 33) ?y1)) (- 59)))))) (and (or (or (and (or (< (+ (+ (* (- 99) ?y6) (* 44 ?y4)) ?v_96) (- 98)) (< (+ (+ (+ ?v_97 ?v_98) (* (- 75) ?y2)) (* (- 12) ?y1)) (- 38))) (and (not (= (+ (+ (+ (* 30 ?y4) ?v_99) ?v_110) (* 3 x1)) 6)) (not (= (+ (+ (* 85 ?y6) (* 79 ?y4)) (* (- 49) ?y1)) (- 72))))) (or (or (>= (+ (+ (+ ?v_4 (* 24 ?y4)) (* (- 19) ?y2)) (* (- 34) ?y1)) (- 89)) (= (+ (+ (+ (* 40 ?y6) ?v_100) ?v_101) (* 70 x1)) 0)) (or (>= (+ (+ (+ (+ ?v_61 (* (- 47) ?y4)) ?v_44) ?v_121) (* (- 41) x1)) (- 20)) (= (+ (+ ?v_76 (* 78 ?y1)) (* 1 x1)) 0)))) (and (and (and (< (+ (+ (* 46 ?y6) (* 15 ?y2)) (* (- 58) x1)) 0) (not (= (+ (+ (+ (* (- 90) ?y6) ?v_102) ?v_103) ?v_115) (- 36)))) (and (not (= (+ (+ (* (- 85) ?y6) ?v_29) (* (- 38) ?y1)) 99)) (= (+ (+ (+ ?v_45 ?v_94) ?v_50) (* (- 86) x1)) 32))) (or (and (<= (+ (+ (+ (* (- 58) ?y6) (* 47 ?y2)) (* (- 30) ?y1)) (* 44 x1)) (- 64)) (<= (+ (+ (+ (+ ?v_104 (* (- 66) ?y4)) (* 43 ?y2)) (* 47 ?y1)) (* (- 48) x1)) (- 40))) (or (= (+ (+ (+ (* 12 ?y6) ?v_105) (* (- 86) ?y1)) (* (- 99) x1)) 0) (< (+ (+ (+ ?v_106 (* 17 ?y2)) ?v_107) ?v_108) 0))))) (and (and (or (or (not (= (+ (+ (+ (* (- 73) ?y6) ?v_109) ?v_110) (* (- 89) x1)) 12)) (= (+ (+ (* (- 82) ?y4) (* (- 96) ?y2)) (* (- 80) x1)) 0)) (or (>= (+ (+ (+ (+ ?v_111 (* 25 ?y4)) ?v_112) (* 71 ?y1)) ?v_113) 19) (not (= (+ (+ (+ (* (- 68) ?y6) ?v_114) (* 10 ?y1)) ?v_115) 6)))) (or (<= (+ (+ (+ (+ (* 31 ?y6) (* 78 ?y4)) ?v_116) ?v_117) (* 73 x1)) (- 6)) (not (= (+ (+ (* 64 ?y2) ?v_118) ?v_119) (- 58))))) (or (and (> (+ (+ ?v_87 ?v_31) ?v_120) 95) (<= (+ (+ (+ (+ (* (- 46) ?y6) (* 16 ?y4)) (* (- 63) ?y2)) ?v_121) (* (- 22) x1)) 24)) (and (> (+ (+ (+ ?v_122 (* 9 ?y4)) ?v_77) ?v_81) 20) (>= (+ (+ (+ ?v_123 ?v_124) (* 6 ?y1)) (* (- 59) x1)) 0)))))))))))) (and (and (forall ((?y5 Real)) (exists ((?y6 Real)) (let ((?v_126 (* 47 ?y1)) (?v_139 (* 71 ?y2)) (?v_142 (* 31 ?y2)) (?v_132 (* 55 x1)) (?v_133 (* 6 x1)) (?v_128 (* 63 ?y2)) (?v_149 (* 67 ?y2)) (?v_160 (* 73 ?y6)) (?v_153 (* 35 ?y6)) (?v_155 (* 29 ?y5)) (?v_131 (* 97 x1)) (?v_143 (* 52 ?y6)) (?v_161 (* 22 ?y5)) (?v_159 (* 90 ?y5)) (?v_146 (* 31 x1)) (?v_158 (* 18 ?y6)) (?v_137 (* (- 89) ?y2)) (?v_129 (* (- 73) x1)) (?v_138 (* (- 94) x1)) (?v_135 (* (- 74) ?y2)) (?v_151 (* (- 41) x1)) (?v_141 (* (- 86) x1)) (?v_157 (* (- 22) x1)) (?v_125 (* (- 11) ?y2)) (?v_130 (* (- 21) ?y5)) (?v_154 (* (- 88) x1)) (?v_144 (* (- 7) x1)) (?v_127 (* (- 23) ?y1)) (?v_134 (* (- 28) ?y1)) (?v_150 (* (- 77) ?y2)) (?v_148 (* (- 38) ?y5)) (?v_140 (* (- 56) ?y6)) (?v_136 (* (- 68) ?y5)) (?v_145 (* (- 17) ?y5)) (?v_152 (* (- 3) ?y6)) (?v_147 (* (- 87) ?y2)) (?v_156 (* (- 62) ?y2))) (and (or (and (or (or (and (<= ?v_125 51) (< (+ (* (- 32) ?y6) (* (- 6) ?y2)) 61)) (> (+ (* (- 79) ?y1) (* 48 x1)) 0)) (or (or (<= (+ (+ (+ (+ (* 87 ?y6) (* 71 ?y5)) ?v_139) (* 99 ?y1)) ?v_129) 51) (not (= (+ (+ (+ (+ (* 32 ?y6) (* (- 24) ?y5)) ?v_142) (* 95 ?y1)) ?v_132) 98))) (< (+ (+ (+ (+ (* 89 ?y6) (* (- 40) ?y5)) (* 78 ?y2)) (* 45 ?y1)) (* (- 76) x1)) 0))) (or (or (or (and (not (= (+ (+ (* 4 ?y5) (* (- 98) ?y2)) (* 35 ?y1)) 3)) (> (+ (+ (+ (* (- 23) ?y5) ?v_125) ?v_126) (* (- 28) x1)) 93)) (and (not (= (+ (+ (+ (* 74 ?y6) ?v_130) (* 65 ?y2)) ?v_154) (- 6))) (not (= (+ (+ (+ (* (- 51) ?y6) (* (- 70) ?y5)) (* 23 ?y2)) (* 42 ?y1)) 57)))) (or (> (+ (+ (+ (* (- 15) ?y6) (* 24 ?y5)) (* (- 62) ?y1)) ?v_133) 86) (or (> (+ (+ ?v_128 (* 86 ?y1)) ?v_144) 0) (< (+ (+ (* (- 40) ?y6) (* (- 31) ?y5)) ?v_138) (- 50))))) (or (or (or (> (+ (+ (* (- 65) ?y2) ?v_127) (* (- 60) x1)) 24) (> (+ (+ (+ (+ (* (- 16) ?y6) (* (- 44) ?y5)) ?v_149) (* 28 ?y1)) (* (- 95) x1)) (- 21))) (= (+ (+ (+ ?v_160 (* 60 ?y2)) ?v_126) (* (- 71) x1)) (- 96))) (or (not (= (+ (+ (* (- 17) ?y6) (* 88 ?y5)) ?v_127) (- 49))) (and (not (= (+ (+ (* 80 ?y5) (* (- 93) ?y2)) ?v_134) (- 36))) (not (= (+ (+ (+ ?v_153 (* 12 ?y5)) ?v_128) (* (- 97) x1)) (- 51)))))))) (and (and (or (or (< (+ (+ (* (- 93) ?y5) (* 1 ?y2)) (* (- 52) ?y1)) 34) (= (+ (+ (* (- 58) ?y6) (* (- 59) ?y5)) ?v_150) (- 33))) (and (>= (+ (+ (+ (* 11 ?y6) ?v_148) (* (- 45) ?y1)) (* 10 x1)) 0) (= (+ (+ (+ (* 40 ?y6) ?v_137) (* 34 ?y1)) (* 23 x1)) (- 99)))) (not (= (+ (+ (+ (* 16 ?y6) ?v_155) (* 97 ?y2)) ?v_129) (- 37)))) (and (or (and (and (not (= (+ (+ ?v_140 (* (- 84) ?y1)) ?v_131) (- 78))) (= (+ (+ (* (- 41) ?y6) (* (- 48) ?y1)) (* 42 x1)) (- 97))) (and (>= (+ (+ (* (- 20) ?y6) (* 28 ?y2)) ?v_141) 4) (<= (+ (+ (+ (+ (* 100 ?y6) ?v_130) (* 41 ?y2)) (* (- 80) ?y1)) (* 2 x1)) 5))) (and (= (+ (+ (+ (* (- 61) ?y6) ?v_135) (* 51 ?y1)) ?v_131) 69) (and (>= (+ (+ (* (- 49) ?y5) (* 96 ?y1)) ?v_132) 91) (> (+ (+ (+ (* (- 38) ?y6) ?v_136) (* 39 ?y2)) (* 63 ?y1)) (- 42))))) (and (or (and (= (+ (+ (+ (* 88 ?y6) (* (- 32) ?y2)) (* (- 38) ?y1)) ?v_133) 0) (not (= (+ (+ (* (- 11) ?y6) ?v_145) (* (- 6) x1)) 24))) (or (<= (+ (+ ?v_143 ?v_134) (* 88 x1)) (- 46)) (not (= (+ (+ (+ (* (- 34) ?y6) ?v_161) ?v_135) (* (- 19) x1)) 30)))) (or (and (not (= (+ (* (- 69) ?y5) (* (- 42) ?y2)) (- 93))) (<= (+ (+ (* 23 ?y6) (* 47 ?y2)) (* (- 64) x1)) 5)) (or (>= (+ (+ ?v_136 ?v_137) (* 35 x1)) 67) (= (+ (+ (+ (* (- 75) ?y6) (* 48 ?y5)) (* (- 44) ?y2)) ?v_138) 0))))))) (and (and (and (and (and (>= (+ (+ (+ (+ (* 22 ?y6) (* (- 53) ?y5)) (* (- 4) ?y2)) (* 75 ?y1)) (* 94 x1)) (- 95)) (not (= (+ (+ (+ (* (- 63) ?y5) ?v_139) (* (- 55) ?y1)) (* (- 91) x1)) 0))) (not (= (+ (+ (+ (+ (* (- 96) ?y6) (* (- 95) ?y5)) (* 58 ?y2)) (* 10 ?y1)) (* 12 x1)) 51))) (and (or (>= (+ (+ (+ ?v_140 (* (- 66) ?y5)) (* 84 ?y2)) (* 81 x1)) 0) (< (+ (+ ?v_152 (* 3 ?y2)) (* 78 x1)) 97)) (or (and (= (+ (+ (* 32 ?y2) (* 3 ?y1)) ?v_157) 29) (> (+ (+ (+ (* (- 92) ?y6) ?v_159) (* (- 26) ?y1)) (* 46 x1)) 0)) (and (>= (+ (+ (* (- 90) ?y6) (* (- 10) ?y1)) ?v_141) 19) (<= (+ (+ (+ (+ (* (- 9) ?y6) (* (- 9) ?y5)) ?v_142) ?v_134) (* 87 x1)) (- 70)))))) (and (and (or (= (+ (+ (+ (+ ?v_143 (* (- 71) ?y5)) (* (- 37) ?y2)) (* 90 ?y1)) (* 72 x1)) 69) (not (= (+ (+ (+ (* (- 64) ?y6) (* (- 58) ?y5)) (* (- 49) ?y2)) ?v_144) 0))) (or (and (not (= (+ (+ (+ (* 69 ?y6) ?v_145) (* 48 ?y2)) (* (- 27) x1)) 87)) (= (+ (+ (+ (+ (* 62 ?y6) (* (- 2) ?y5)) ?v_147) (* (- 16) ?y1)) ?v_146) (- 73))) (and (>= (+ (+ (* (- 67) ?y6) (* 45 ?y5)) ?v_146) 46) (<= (+ (+ (* 63 ?y5) (* (- 45) ?y2)) (* 41 x1)) (- 28))))) (and (not (= (+ (+ (* (- 71) ?y6) (* 87 ?y5)) (* 18 ?y1)) (- 66))) (and (and (> (+ (+ (+ ?v_158 (* (- 73) ?y5)) ?v_135) (* (- 3) x1)) 0) (<= (+ (+ (+ (* 44 ?y6) (* (- 19) ?y5)) ?v_147) (* (- 43) ?y1)) 53)) (or (= (+ (* (- 4) ?y5) (* (- 86) ?y1)) (- 94)) (<= (+ (+ (* (- 63) ?y6) ?v_148) (* (- 12) ?y1)) (- 31))))))) (and (or (and (> (+ (+ (* (- 81) ?y5) (* 8 ?y2)) ?v_144) (- 54)) (and (and (= (+ (+ (+ (+ (* 68 ?y6) (* (- 75) ?y5)) ?v_149) (* (- 73) ?y1)) ?v_151) 0) (> (+ (+ (+ (+ (* (- 30) ?y6) (* 5 ?y5)) ?v_150) (* (- 46) ?y1)) (* (- 83) x1)) 99)) (and (<= (+ (+ (* 7 ?y5) ?v_156) ?v_151) 77) (>= (+ (+ (+ ?v_152 (* (- 80) ?y5)) (* (- 85) ?y2)) (* (- 34) ?y1)) (- 71))))) (and (or (or (= (+ (+ (+ (+ (* (- 95) ?y6) (* 16 ?y5)) (* 38 ?y2)) (* (- 51) ?y1)) (* (- 82) x1)) (- 67)) (not (= (+ (+ (+ (+ (* 57 ?y6) (* (- 46) ?y5)) (* (- 21) ?y2)) (* 53 ?y1)) (* 65 x1)) 51))) (and (= (+ (+ (+ (* (- 24) ?y6) (* 12 ?y2)) (* (- 21) ?y1)) (* (- 2) x1)) 0) (<= (+ (+ (+ (* 10 ?y6) (* 53 ?y5)) (* (- 3) ?y2)) (* 36 ?y1)) 26))) (and (or (<= (+ (+ (* (- 37) ?y6) (* (- 15) ?y1)) ?v_131) 44) (>= (+ (+ (+ (+ ?v_153 (* 2 ?y5)) (* (- 95) ?y2)) (* (- 39) ?y1)) ?v_154) 31)) (or (< (+ (+ (* (- 1) ?y6) (* (- 91) ?y2)) (* (- 74) x1)) 43) (<= (+ (+ (+ (* (- 44) ?y6) ?v_155) (* (- 97) ?y2)) (* (- 55) x1)) 11))))) (and (or (> ?v_127 0) (and (not (= (+ (+ ?v_143 ?v_156) ?v_157) 0)) (>= (+ (+ (* 8 ?y6) (* (- 2) ?y1)) (* 66 x1)) 0))) (or (and (<= (+ (+ (+ (* (- 51) ?y5) (* (- 13) ?y2)) (* 29 ?y1)) (* 82 x1)) 57) (or (= (+ (+ (* (- 61) ?y5) (* 76 ?y1)) (* (- 9) x1)) (- 19)) (< (+ (+ (+ ?v_158 (* (- 32) ?y5)) (* (- 36) ?y2)) (* 25 x1)) 0))) (or (and (>= (+ (+ (+ (* 15 ?y6) (* 21 ?y5)) (* (- 46) ?y2)) (* 15 ?y1)) (- 2)) (>= (+ (+ (* (- 45) ?y6) (* (- 41) ?y5)) (* 33 ?y2)) 67)) (and (= (+ (+ (+ (* 50 ?y6) ?v_159) (* 70 ?y2)) (* (- 8) x1)) 0) (not (= (+ (+ (+ (+ ?v_160 ?v_161) (* 4 ?y2)) (* 38 ?y1)) (* 24 x1)) (- 30))))))))))))) (exists ((?y4 Real)) (let ((?v_182 (* 19 ?y1)) (?v_176 (* 65 ?y1)) (?v_181 (* 37 ?y2)) (?v_180 (* 29 x1)) (?v_178 (* 32 x1)) (?v_163 (* 21 ?y1)) (?v_170 (* 17 ?y2)) (?v_173 (* 78 ?y2)) (?v_168 (* 4 ?y2)) (?v_165 (* 58 ?y4)) (?v_171 (* 8 ?y1)) (?v_184 (* 13 x1)) (?v_167 (* 85 ?y1)) (?v_166 (* 83 ?y2)) (?v_174 (* 22 ?y1)) (?v_175 (* 70 ?y4)) (?v_185 (* 34 ?y2)) (?v_183 (* (- 32) x1)) (?v_179 (* (- 30) ?y1)) (?v_164 (* (- 99) x1)) (?v_162 (* (- 5) x1)) (?v_169 (* (- 61) ?y4)) (?v_172 (* (- 2) ?y4)) (?v_177 (* (- 82) ?y2))) (and (and (and (or (or (or (and (= (+ (+ (* (- 86) ?y2) (* 82 ?y1)) ?v_162) 24) (= (+ (+ (* (- 44) ?y4) (* (- 40) ?y2)) (* (- 3) x1)) (- 63))) (not (= (+ (* (- 60) ?y4) (* (- 46) ?y1)) 87))) (and (or (> (+ (+ (* 36 ?y2) (* (- 63) ?y1)) (* 85 x1)) 53) (> (+ ?v_165 (* 45 x1)) 68)) (and (<= (+ (* (- 59) ?y1) (* (- 88) x1)) 0) (< (+ (+ (+ (* (- 27) ?y4) (* (- 22) ?y2)) (* (- 14) ?y1)) (* 79 x1)) 46)))) (and (and (> (+ (* 22 ?y2) (* (- 50) x1)) 0) (>= (+ ?v_173 ?v_171) 25)) (and (< (+ (+ (+ (* (- 58) ?y4) (* (- 44) ?y2)) (* 3 ?y1)) ?v_162) (- 5)) (< (+ (+ (+ (* 33 ?y4) (* 57 ?y2)) (* 97 ?y1)) (* 54 x1)) 22)))) (or (and (and (or (> (+ (+ (+ (* (- 19) ?y4) (* 63 ?y2)) (* (- 23) ?y1)) (* 22 x1)) (- 37)) (<= (+ (+ ?v_169 (* 43 ?y2)) (* 90 x1)) 96)) (or (not (= (+ (+ ?v_172 (* 33 ?y2)) ?v_163) 0)) (>= (+ (+ (+ (* (- 11) ?y4) (* (- 37) ?y2)) (* (- 5) ?y1)) ?v_184) 0))) (or (and (> (+ (+ (* (- 5) ?y4) (* (- 31) ?y2)) (* (- 4) x1)) (- 7)) (< (+ (+ (* 14 ?y4) ?v_167) ?v_164) 4)) (or (not (= (+ ?v_181 (* 2 ?y1)) 0)) (> (+ (+ (* (- 64) ?y2) ?v_163) (* (- 44) x1)) (- 52))))) (and (or (or (<= (* 88 x1) 0) (< (+ (+ (+ (* (- 31) ?y4) (* (- 33) ?y2)) (* 57 ?y1)) ?v_164) 43)) (or (>= (+ (+ ?v_166 (* 99 ?y1)) ?v_162) 67) (not (= (+ (+ (+ ?v_165 ?v_170) (* 49 ?y1)) (* (- 22) x1)) 0)))) (or (and (< (+ (+ (+ (* (- 100) ?y4) ?v_166) (* 42 ?y1)) (* (- 95) x1)) (- 95)) (not (= (+ (+ (* (- 12) ?y4) (* 37 ?y1)) (* 25 x1)) (- 67)))) (= (+ (+ (+ (* (- 67) ?y4) ?v_168) ?v_167) (* 92 x1)) 41))))) (or (and (and (>= (+ (+ (* 6 ?y2) (* (- 98) ?y1)) (* (- 23) x1)) (- 17)) (or (< (+ (* (- 21) ?y4) (* (- 74) ?y1)) (- 92)) (>= (+ (+ ?v_168 (* (- 54) ?y1)) (* (- 77) x1)) 19))) (and (or (or (not (= (+ (+ (+ ?v_169 (* (- 61) ?y2)) ?v_176) (* (- 81) x1)) (- 40))) (not (= (+ ?v_170 (* 33 ?y1)) 11))) (or (> (+ (+ (+ (* (- 97) ?y4) (* (- 25) ?y2)) ?v_174) (* 73 x1)) (- 49)) (> (+ (+ (* 69 ?y2) ?v_171) (* 82 x1)) (- 64)))) (and (and (<= (+ (* (- 84) ?y2) (* (- 19) x1)) 69) (= (+ (+ (* (- 53) ?y4) (* (- 62) ?y2)) (* (- 68) x1)) 33)) (< (+ (+ (+ (* 71 ?y4) (* (- 77) ?y2)) (* 55 ?y1)) (* 44 x1)) 0)))) (or (and (or (> (+ (+ (+ (* (- 47) ?y4) (* 77 ?y2)) (* (- 75) ?y1)) (* 6 x1)) 63) (>= (+ (+ (* (- 65) ?y4) (* 59 ?y2)) (* (- 7) x1)) 43)) (or (and (>= (+ (+ (+ ?v_172 ?v_173) ?v_174) (* (- 9) x1)) 0) (= (+ (+ (* (- 23) ?y2) ?v_182) (* (- 35) x1)) 87)) (or (= (+ (+ (+ (* 27 ?y4) ?v_177) (* 81 ?y1)) ?v_178) 6) (<= (+ (+ ?v_175 ?v_185) (* 23 ?y1)) 0)))) (or (or (or (= (+ (+ (* (- 26) ?y4) (* 68 ?y1)) (* 57 x1)) 12) (not (= (+ (* (- 78) ?y4) (* (- 44) ?y1)) (- 1)))) (or (>= (+ (+ (+ ?v_175 (* 42 ?y2)) ?v_176) ?v_164) 0) (> (+ (+ (+ (* (- 88) ?y4) (* (- 65) ?y2)) (* (- 36) ?y1)) ?v_180) (- 58)))) (or (and (not (= (+ (+ (* (- 3) ?y4) ?v_174) (* 74 x1)) 0)) (> (+ ?v_177 (* 79 ?y1)) (- 40))) (or (> (+ (+ (* (- 6) ?y2) (* 26 ?y1)) ?v_178) 80) (< (+ (+ (+ (* (- 37) ?y4) (* 85 ?y2)) (* (- 93) ?y1)) (* (- 54) x1)) (- 89)))))))) (or (and (and (or (= (+ (+ (+ (* (- 32) ?y4) (* (- 15) ?y2)) ?v_179) (* 31 x1)) 27) (<= (+ (* (- 4) ?y2) (* (- 17) ?y1)) (- 27))) (or (> (+ (* 13 ?y4) (* 25 ?y1)) 20) (> (+ (+ (+ (* 37 ?y4) (* (- 63) ?y2)) ?v_179) (* (- 48) x1)) 32))) (or (or (>= (+ (+ (* (- 93) ?y4) (* (- 32) ?y2)) ?v_180) 1) (>= (+ (+ (* 93 ?y4) (* 61 ?y1)) (* (- 63) x1)) 49)) (or (not (= ?v_183 0)) (>= (+ (+ (+ (* (- 81) ?y4) (* 64 ?y2)) (* (- 13) ?y1)) (* (- 29) x1)) (- 80))))) (and (and (not (= (+ (+ (+ (* (- 63) ?y4) ?v_181) (* 48 ?y1)) (* 11 x1)) 75)) (and (> (+ (+ (+ (* (- 85) ?y4) (* 81 ?y2)) ?v_182) ?v_183) (- 82)) (not (= (+ (+ (* 15 ?y4) (* (- 36) ?y2)) ?v_184) 0)))) (< (+ (+ ?v_185 (* (- 49) ?y1)) (* 84 x1)) (- 62)))))))) (exists ((?y5 Real)) (let ((?v_191 (* 5 ?y2)) (?v_189 (* 35 x1)) (?v_192 (* 85 ?y1)) (?v_188 (* 24 ?y5)) (?v_190 (* 77 ?y5)) (?v_195 (* (- 21) ?y2)) (?v_194 (* (- 25) x1)) (?v_186 (* (- 54) ?y1)) (?v_187 (* (- 19) ?y5)) (?v_193 (* (- 20) ?y1))) (and (or (and (or (and (not (= (+ (+ (+ (* (- 36) ?y5) (* (- 85) ?y2)) (* (- 89) ?y1)) (* 28 x1)) (- 39))) (<= (+ (+ (+ (* (- 3) ?y5) (* (- 72) ?y2)) (* 4 ?y1)) (* (- 8) x1)) (- 97))) (and (> (+ (+ (* 3 ?y5) (* (- 94) ?y1)) (* (- 93) x1)) 0) (> (+ (+ (* (- 91) ?y2) (* (- 44) ?y1)) (* (- 30) x1)) 0))) (and (and (= (+ (+ (* (- 41) ?y5) (* (- 73) ?y2)) (* (- 14) x1)) (- 28)) (>= (+ (+ (+ (* 65 ?y5) (* (- 29) ?y2)) (* 25 ?y1)) (* (- 52) x1)) 22)) (<= (+ (+ (* (- 87) ?y5) (* (- 89) ?y2)) (* 39 x1)) 30))) (or (or (= (+ (* 23 ?y5) ?v_186) (- 96)) (and (>= (+ (+ ?v_187 (* 97 ?y2)) (* (- 28) x1)) 22) (>= (+ (+ (+ ?v_188 (* 67 ?y2)) (* 23 ?y1)) (* 9 x1)) (- 20)))) (and (or (> (+ (+ (+ (* 92 ?y5) (* (- 42) ?y2)) (* 8 ?y1)) (* 99 x1)) 0) (or (< (+ (+ (* (- 28) ?y2) ?v_192) ?v_189) (- 26)) (< (+ (* 32 ?y5) (* 26 x1)) 70))) (and (<= (+ (+ (+ (* 43 ?y5) (* 4 ?y2)) (* (- 46) ?y1)) (* 12 x1)) 71) (< (* (- 67) ?y5) 88))))) (and (and (and (and (and (<= (+ (+ (* 80 ?y5) ?v_193) (* 96 x1)) 0) (< (+ (+ (* 29 ?y5) (* (- 53) ?y2)) (* (- 74) x1)) 55)) (and (and (not (= (+ (+ (* (- 99) ?y5) (* (- 7) ?y1)) (* 1 x1)) (- 9))) (= (+ (+ (+ (* 13 ?y5) (* (- 27) ?y2)) (* 72 ?y1)) (* 16 x1)) 0)) (not (= (+ (+ (* (- 61) ?y5) (* 66 ?y1)) (* (- 45) x1)) 0)))) (or (or (< (+ (+ (* (- 27) ?y5) (* (- 46) ?y2)) (* 80 x1)) (- 11)) (< (+ (+ (* 82 ?y5) (* (- 13) ?y2)) (* (- 32) ?y1)) (- 32))) (or (not (= (* 19 x1) (- 49))) (>= (+ (+ (* 22 ?y5) (* 18 ?y1)) (* 48 x1)) 0)))) (and (and (and (and (> (+ (+ ?v_191 (* 29 ?y1)) (* 37 x1)) 0) (<= (+ (+ (* (- 86) ?y5) (* 25 ?y2)) ?v_186) (- 85))) (> (+ (* 17 ?y2) (* 73 ?y1)) 80)) (and (> (+ (+ (* (- 74) ?y5) (* 55 ?y2)) (* 92 ?y1)) 83) (> (+ (+ ?v_187 (* 59 ?y1)) (* (- 21) x1)) (- 46)))) (and (or (>= (+ (+ (* 35 ?y5) (* 30 ?y1)) (* 61 x1)) (- 23)) (= (+ (+ (* (- 90) ?y5) (* (- 65) ?y1)) (* 88 x1)) 33)) (and (>= (+ (+ (+ ?v_188 (* 62 ?y2)) (* 5 ?y1)) (* (- 58) x1)) 0) (>= (+ (+ (+ (* (- 60) ?y5) ?v_195) (* 54 ?y1)) ?v_189) 0))))) (or (and (and (or (= (+ (* 47 ?y2) (* 100 x1)) 90) (and (<= (+ (+ (+ ?v_190 (* (- 43) ?y2)) (* 90 ?y1)) (* 79 x1)) (- 28)) (<= (+ (+ (* (- 88) ?y5) (* 19 ?y2)) (* 71 x1)) (- 34)))) (or (or (> (+ (+ ?v_190 (* (- 15) ?y2)) (* (- 38) x1)) 48) (not (= (+ (* (- 42) ?y5) (* (- 98) ?y2)) (- 27)))) (or (>= (+ (+ (* 8 ?y5) (* 80 ?y2)) ?v_194) (- 20)) (not (= (+ (+ (* (- 96) ?y5) ?v_191) (* 45 ?y1)) 57))))) (and (or (<= (+ (+ (* (- 32) ?y5) (* 76 ?y2)) (* (- 29) ?y1)) 0) (= (+ (+ (+ (* (- 70) ?y5) (* (- 78) ?y2)) (* (- 76) ?y1)) (* (- 85) x1)) 30)) (or (< (+ (+ (+ (* (- 22) ?y5) (* (- 1) ?y2)) ?v_192) (* 54 x1)) (- 53)) (= (+ (* 46 ?y2) ?v_193) 36)))) (and (or (and (and (>= (+ (+ (* (- 83) ?y5) (* 18 ?y2)) (* 60 ?y1)) (- 29)) (= (+ (* 53 ?y1) ?v_194) 11)) (or (>= (+ (* 36 ?y5) (* 97 x1)) 40) (> (+ (+ (+ (* 56 ?y5) (* 98 ?y2)) (* (- 70) ?y1)) (* 81 x1)) 0))) (or (= (* (- 12) ?y2) (- 33)) (> (+ ?v_195 (* 61 ?y1)) (- 79)))) (and (and (or (not (= (+ (+ (+ (* (- 49) ?y5) (* 53 ?y2)) (* (- 77) ?y1)) (* 58 x1)) (- 84))) (= (+ (* (- 90) ?y1) (* (- 4) x1)) 0)) (and (= (+ (+ (* (- 92) ?y5) (* (- 84) ?y2)) (* 46 x1)) 0) (> (+ (+ (+ (* (- 28) ?y5) (* (- 34) ?y2)) (* 1 ?y1)) (* (- 84) x1)) (- 9)))) (and (> (+ (+ (* (- 35) ?y5) (* 54 ?y2)) (* (- 29) x1)) 17) (> (+ (+ (* 96 ?y5) (* 12 ?y1)) (* 93 x1)) 20))))))))))))))
(check-sat)
(exit)
