(set-info :smt-lib-version 2.6)
(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :category "random")
(set-info :status sat)
(declare-fun y1 () Real)
(declare-fun y2 () Real)
(declare-fun y3 () Real)
(declare-fun y4 () Real)
(declare-fun y5 () Real)
(declare-fun y6 () Real)
(declare-fun x1 () Real)
(assert (exists ((?y1 Real)) (and (or (exists ((?y2 Real)) (exists ((?y3 Real)) (or (and (exists ((?y4 Real)) (forall ((?y5 Real)) (let ((?v_1 (* (- 87) ?y1)) (?v_0 (* (- 80) ?y4))) (or (and (and (exists ((?y6 Real)) (let ((?v_2 (* (- 87) x1))) (or (and (or (>= (+ (+ (+ (* 16 ?y6) (* (- 75) ?y5)) (* 96 ?y4)) (* 58 ?y2)) (- 62)) (>= (+ (+ (+ (+ (+ (+ (* 84 ?y6) (* (- 10) ?y5)) (* (- 24) ?y4)) (* 73 ?y3)) (* (- 62) ?y2)) (* (- 7) ?y1)) (* 92 x1)) 94)) (and (< (+ (+ (+ (+ (* (- 72) ?y5) (* 20 ?y4)) (* 41 ?y3)) (* (- 90) ?y2)) (* (- 73) ?y1)) (- 5)) (not (= (+ (+ (+ (+ (+ (+ (* 97 ?y6) (* (- 81) ?y5)) (* (- 99) ?y4)) (* 63 ?y3)) (* (- 61) ?y2)) (* (- 80) ?y1)) (* (- 39) x1)) (- 9))))) (or (and (> (+ (+ (+ (+ (* 41 ?y5) (* (- 7) ?y4)) (* (- 56) ?y3)) (* (- 88) ?y1)) (* 19 x1)) 39) (>= (+ (+ (+ (+ (* 45 ?y5) (* 1 ?y3)) (* (- 27) ?y2)) (* (- 98) ?y1)) ?v_2) 37)) (or (= (+ (+ (+ (+ (+ (* 90 ?y6) (* (- 11) ?y5)) (* 10 ?y4)) (* (- 17) ?y3)) (* (- 86) ?y1)) ?v_2) (- 76)) (>= (+ (+ (+ (* (- 52) ?y6) (* (- 10) ?y4)) (* 66 ?y3)) (* 14 x1)) (- 20))))))) (forall ((?y6 Real)) (let ((?v_3 (* (- 40) ?y4))) (and (>= (+ (+ (+ (+ (+ (+ (* (- 69) ?y6) (* (- 79) ?y5)) ?v_3) (* (- 12) ?y3)) (* 14 ?y2)) (* (- 63) ?y1)) (* (- 4) x1)) (- 83)) (or (or (< (+ (+ (+ (+ (* 47 ?y4) (* (- 25) ?y3)) (* (- 93) ?y2)) (* (- 68) ?y1)) (* (- 49) x1)) (- 95)) (>= (+ (+ (+ (+ (+ (* (- 27) ?y6) (* (- 13) ?y5)) (* 9 ?y4)) (* (- 27) ?y3)) (* (- 53) ?y1)) (* 81 x1)) 43)) (and (<= (+ (+ (+ (+ (+ (* 6 ?y5) (* (- 71) ?y4)) (* 53 ?y3)) (* 69 ?y2)) (* (- 59) ?y1)) (* 40 x1)) 98) (>= (+ (+ (+ (+ (* (- 8) ?y5) ?v_3) (* 12 ?y2)) (* 9 ?y1)) (* (- 62) x1)) (- 53)))))))) (or (or (exists ((?y6 Real)) (or (not (= (+ (+ (+ (+ (* 64 ?y6) (* (- 10) ?y4)) (* (- 52) ?y3)) (* 69 ?y2)) (* 73 ?y1)) 0)) (and (< (+ (+ (+ (+ (+ (* (- 20) ?y6) (* (- 91) ?y5)) (* 44 ?y3)) (* 83 ?y2)) (* (- 83) ?y1)) (* 21 x1)) (- 20)) (= (+ (+ (+ (+ (+ (* 68 ?y6) (* 41 ?y5)) (* (- 28) ?y4)) (* 30 ?y2)) (* (- 34) ?y1)) (* (- 3) x1)) 11)))) (exists ((?y6 Real)) (or (and (not (= (+ (+ (+ (* 90 ?y4) (* 17 ?y3)) (* (- 79) ?y2)) (* (- 89) ?y1)) (- 93))) (>= (+ (+ (+ (+ (* (- 69) ?y6) (* (- 11) ?y4)) (* (- 55) ?y3)) (* (- 30) ?y1)) (* 1 x1)) (- 32))) (< (+ (+ (+ (+ (* 52 ?y6) (* (- 47) ?y5)) (* (- 24) ?y4)) (* (- 21) ?y3)) (* (- 26) x1)) (- 80))))) (forall ((?y6 Real)) (let ((?v_4 (* 49 ?y6))) (and (and (>= (+ (+ (+ (+ (+ (+ ?v_4 (* (- 39) ?y5)) (* 24 ?y4)) (* (- 36) ?y3)) (* 27 ?y2)) (* 56 ?y1)) (* 4 x1)) 0) (>= (+ (+ (+ (+ (* (- 80) ?y6) (* (- 74) ?y4)) (* 20 ?y3)) ?v_1) (* (- 75) x1)) (- 74))) (and (and (<= (+ (+ (+ (+ (+ (+ ?v_4 (* (- 97) ?y5)) (* (- 40) ?y4)) (* 2 ?y3)) (* (- 39) ?y2)) (* 98 ?y1)) (* (- 86) x1)) 62) (not (= (+ (+ (+ (+ (+ (* (- 71) ?y6) (* (- 5) ?y5)) (* 92 ?y4)) (* (- 10) ?y3)) (* 97 ?y2)) (* 83 x1)) 75))) (or (< (+ (+ (+ (+ (+ (+ (* 95 ?y6) (* (- 69) ?y5)) (* (- 87) ?y4)) (* 35 ?y3)) (* (- 48) ?y2)) (* 89 ?y1)) (* (- 65) x1)) (- 2)) (not (= (+ (* 39 ?y4) (* (- 6) ?y3)) 54))))))))) (and (or (and (or (or (not (= (+ (+ (+ (+ (* (- 78) ?y5) (* 30 ?y4)) (* (- 79) ?y3)) (* 19 ?y2)) (* (- 42) ?y1)) (- 94))) (< (+ (+ (+ (+ (* 16 ?y5) (* 12 ?y4)) (* 45 ?y3)) ?v_1) (* (- 69) x1)) (- 86))) (and (< (+ (+ (+ (* (- 16) ?y5) ?v_0) (* (- 99) ?y2)) (* (- 35) ?y1)) 40) (< (+ (+ (+ (+ (* 12 ?y5) (* (- 25) ?y4)) (* 36 ?y3)) (* 31 ?y2)) (* (- 67) ?y1)) (- 17)))) (or (or (> (+ (+ (+ (* (- 95) ?y5) ?v_0) (* 34 ?y2)) (* 90 ?y1)) (- 19)) (<= (+ (+ (+ (+ (* 5 ?y4) (* 13 ?y3)) (* 44 ?y2)) ?v_1) (* (- 38) x1)) (- 63))) (<= (+ (+ (+ (* 80 ?y5) (* (- 50) ?y4)) (* (- 53) ?y3)) (* 79 ?y1)) (- 37)))) (or (<= (+ (+ (+ (+ (+ (* (- 48) ?y5) (* (- 41) ?y4)) (* (- 25) ?y3)) (* 8 ?y2)) (* 47 ?y1)) (* (- 40) x1)) 0) (> (+ (+ (+ (* (- 80) ?y5) (* (- 95) ?y4)) (* 46 ?y1)) (* (- 30) x1)) (- 67)))) (or (and (> (+ (+ (+ (* 40 ?y5) (* 4 ?y4)) (* (- 67) ?y2)) (* 9 ?y1)) 44) (or (<= (* 75 ?y4) 83) (not (= (+ (+ (+ (+ (* 36 ?y5) (* 10 ?y4)) (* (- 82) ?y3)) (* 20 ?y2)) (* (- 13) ?y1)) 96)))) (and (or (= (+ (+ (+ (* (- 63) ?y5) (* 59 ?y4)) (* 82 ?y3)) (* (- 57) ?y1)) 0) (>= (+ (+ (+ (+ (+ (* (- 31) ?y5) (* (- 38) ?y4)) (* 68 ?y3)) (* 73 ?y2)) (* 74 ?y1)) (* 100 x1)) (- 32))) (and (>= (+ (+ (+ (* 92 ?y5) (* (- 71) ?y3)) (* (- 73) ?y1)) (* 84 x1)) (- 59)) (< (+ (+ (+ (+ (* 55 ?y4) (* 20 ?y3)) (* (- 75) ?y2)) (* 72 ?y1)) (* 57 x1)) 0))))))))) (exists ((?y4 Real)) (exists ((?y5 Real)) (exists ((?y6 Real)) (let ((?v_5 (* 43 x1)) (?v_9 (* 9 ?y3)) (?v_6 (* 57 ?y3)) (?v_14 (* 68 ?y6)) (?v_8 (* 23 ?y4)) (?v_15 (* 76 ?y4)) (?v_12 (* (- 24) ?y1)) (?v_13 (* (- 49) ?y5)) (?v_10 (* (- 58) ?y6)) (?v_11 (* (- 17) ?y5)) (?v_7 (* (- 23) ?y5))) (and (or (or (or (or (>= (+ (+ (* (- 64) ?y6) (* (- 74) ?y5)) (* 40 ?y3)) (- 80)) (> (+ (+ (+ (+ (+ (* (- 94) ?y6) (* 11 ?y5)) (* (- 98) ?y4)) (* (- 21) ?y3)) (* (- 8) ?y2)) (* (- 62) x1)) (- 76))) (and (or (< (+ (+ (+ (* 64 ?y5) (* 56 ?y4)) (* 75 ?y1)) (* (- 74) x1)) 0) (not (= (+ (+ (+ (+ (* 14 ?y5) (* (- 18) ?y3)) (* 77 ?y2)) (* (- 40) ?y1)) ?v_5) 93))) (<= (+ (+ (+ (* (- 67) ?y4) ?v_9) (* 64 ?y2)) (* 60 ?y1)) 0))) (or (and (< (+ (+ (+ (+ (+ (* (- 16) ?y6) (* (- 76) ?y4)) (* (- 90) ?y3)) (* (- 34) ?y2)) ?v_12) ?v_5) (- 71)) (<= (+ (+ (+ (+ (+ (* 19 ?y6) (* 76 ?y5)) (* (- 81) ?y4)) (* 49 ?y2)) (* (- 39) ?y1)) (* 73 x1)) 0)) (and (or (not (= (+ (+ (+ (+ ?v_13 (* (- 79) ?y4)) (* (- 52) ?y3)) (* (- 33) ?y1)) (* 61 x1)) 33)) (> (+ (+ (+ (+ (+ (* (- 4) ?y5) (* 64 ?y4)) (* (- 36) ?y3)) (* 79 ?y2)) (* (- 78) ?y1)) (* (- 29) x1)) 6)) (> (+ (+ (+ (+ (+ (* (- 71) ?y6) (* 26 ?y4)) (* (- 69) ?y3)) (* 73 ?y2)) (* 33 ?y1)) ?v_5) 14)))) (and (or (and (>= (+ (+ (+ (+ (* (- 85) ?y5) (* 11 ?y4)) (* 5 ?y3)) (* (- 42) ?y1)) (* 5 x1)) 0) (or (not (= (+ (+ (+ (+ ?v_10 (* 96 ?y5)) (* 73 ?y4)) (* (- 31) ?y3)) (* (- 51) x1)) 93)) (< (+ (+ (+ (+ (+ (* (- 65) ?y5) (* (- 16) ?y4)) ?v_6) (* 32 ?y2)) (* (- 52) ?y1)) (* 81 x1)) 0))) (and (not (= (+ (+ (+ (+ ?v_14 ?v_11) (* (- 44) ?y3)) (* (- 27) ?y2)) (* 89 x1)) (- 13))) (> (+ (+ (+ (* 54 ?y4) (* (- 92) ?y2)) (* 52 ?y1)) (* (- 93) x1)) 68))) (or (and (> (+ (+ (* 85 ?y4) (* (- 24) ?y3)) (* (- 48) x1)) 77) (or (> (+ (+ (+ (* (- 91) ?y6) (* 47 ?y5)) (* 53 ?y4)) (* 18 ?y3)) 0) (> (+ (+ (+ (+ (+ (* 7 ?y6) (* (- 44) ?y5)) (* 2 ?y4)) (* 66 ?y2)) (* 87 ?y1)) (* (- 8) x1)) 0))) (and (or (= (+ (+ (+ (+ (+ (* (- 14) ?y6) ?v_7) (* 9 ?y4)) (* (- 40) ?y3)) (* 47 ?y2)) (* 80 ?y1)) 80) (< (+ (+ (+ (+ (* 82 ?y6) (* 92 ?y5)) ?v_8) (* 15 ?y3)) (* (- 34) x1)) 100)) (and (< (+ (+ (+ (+ (* (- 53) ?y6) ?v_6) (* (- 51) ?y2)) (* 66 ?y1)) (* 65 x1)) 0) (> (+ (+ (+ (* (- 96) ?y6) ?v_7) (* 62 ?y3)) (* (- 96) ?y2)) 72)))))) (or (and (or (or (> (+ (+ (+ (+ (* 85 ?y6) (* (- 18) ?y5)) (* (- 90) ?y4)) (* (- 74) ?y2)) (* (- 23) ?y1)) 53) (< (+ (+ (+ (+ (+ (+ (* 99 ?y6) (* (- 78) ?y5)) ?v_8) (* 87 ?y3)) (* (- 55) ?y2)) (* 11 ?y1)) (* 11 x1)) 1)) (and (>= (+ ?v_9 (* (- 78) ?y2)) (- 41)) (< (+ (+ (+ (+ (+ (+ (* (- 76) ?y6) (* 7 ?y5)) (* 35 ?y4)) (* 19 ?y3)) (* (- 50) ?y2)) (* 68 ?y1)) (* (- 1) x1)) (- 92)))) (or (or (not (= (+ (+ (+ (+ (+ ?v_10 (* 78 ?y5)) (* 84 ?y4)) (* 84 ?y2)) (* 54 ?y1)) (* 67 x1)) 0)) (>= (+ (+ (+ (+ ?v_11 (* (- 78) ?y4)) (* 88 ?y2)) (* 21 ?y1)) (* (- 11) x1)) 0)) (or (not (= (+ (+ (+ (+ (+ (* (- 22) ?y6) (* 91 ?y5)) ?v_15) (* 62 ?y2)) (* 8 ?y1)) (* (- 82) x1)) 2)) (> (+ (+ (+ (* 67 ?y6) (* 54 ?y3)) (* (- 91) ?y2)) ?v_12) 56)))) (or (or (= (+ (+ (+ (* 78 ?y6) (* 13 ?y4)) (* 25 ?y3)) (* 58 x1)) 0) (>= (+ (+ (+ (+ (+ (* (- 12) ?y6) (* 38 ?y5)) (* (- 13) ?y4)) (* 29 ?y3)) (* 59 ?y1)) (* 1 x1)) 64)) (or (and (>= (+ (+ (+ (+ ?v_13 (* 12 ?y3)) (* 59 ?y2)) (* 99 ?y1)) (* 15 x1)) 0) (> (+ (+ (+ (+ (+ (+ ?v_14 (* 71 ?y5)) (* 12 ?y4)) (* 84 ?y3)) (* 57 ?y2)) (* 10 ?y1)) (* 63 x1)) 59)) (and (< (+ (+ (+ (+ (* (- 68) ?y5) (* (- 86) ?y4)) (* (- 1) ?y3)) (* 96 ?y2)) (* (- 57) ?y1)) 76) (>= (+ (+ (+ (+ (+ (* 8 ?y6) (* 3 ?y5)) ?v_15) (* (- 20) ?y3)) (* 18 ?y2)) (* (- 2) ?y1)) (- 11)))))))))))) (and (exists ((?y4 Real)) (exists ((?y5 Real)) (exists ((?y6 Real)) (let ((?v_16 (* (- 25) x1))) (and (or (or (= (+ (+ (+ (+ (* (- 27) ?y5) (* 59 ?y4)) (* 35 ?y3)) (* 4 ?y2)) (* 52 x1)) 93) (or (and (> (+ (+ (+ (+ (+ (* (- 77) ?y6) (* 55 ?y5)) (* 83 ?y4)) (* 71 ?y3)) (* 86 ?y2)) (* (- 12) x1)) 56) (= (+ (+ (+ (+ (* (- 78) ?y6) (* 52 ?y5)) (* (- 39) ?y4)) (* (- 62) ?y1)) (* 22 x1)) (- 99))) (and (<= (+ (+ (+ (+ (* 19 ?y6) (* (- 52) ?y4)) (* (- 41) ?y3)) (* 65 ?y2)) (* (- 94) x1)) 0) (> (+ (+ (+ (+ (* 58 ?y6) (* 90 ?y5)) (* 44 ?y3)) (* 66 ?y2)) (* 71 ?y1)) (- 22))))) (and (and (<= (+ (+ (+ (+ (+ (* 17 ?y5) (* 68 ?y4)) (* 49 ?y3)) (* (- 86) ?y2)) (* 89 ?y1)) (* (- 100) x1)) 26) (or (<= (+ (+ (+ (+ (+ (* 18 ?y6) (* 78 ?y5)) (* (- 100) ?y3)) (* 1 ?y2)) (* (- 11) ?y1)) ?v_16) 33) (< (+ (+ (+ (+ (+ (* 26 ?y6) (* 57 ?y5)) (* 65 ?y4)) (* (- 63) ?y2)) (* (- 84) ?y1)) (* (- 64) x1)) 94))) (and (>= (+ (+ (+ (+ (* 72 ?y6) (* 36 ?y5)) (* (- 1) ?y3)) (* (- 13) ?y2)) (* 68 x1)) 28) (<= (+ (+ (+ (+ (* (- 69) ?y5) (* (- 30) ?y4)) (* (- 79) ?y2)) (* 75 ?y1)) ?v_16) 20)))) (or (or (or (> (+ (+ (+ (* 73 ?y6) (* (- 29) ?y5)) (* 100 ?y2)) (* 90 ?y1)) 0) (not (= (+ (+ (+ (+ (* 5 ?y6) (* 1 ?y5)) (* 14 ?y4)) (* (- 25) ?y3)) (* 82 ?y2)) (- 57)))) (< (+ (+ (+ (+ (+ (+ (* (- 86) ?y6) (* (- 77) ?y5)) (* (- 71) ?y4)) (* 20 ?y3)) (* (- 24) ?y2)) (* (- 40) ?y1)) (* 27 x1)) 76)) (and (and (not (= (+ (+ (+ (+ (* (- 46) ?y5) (* 81 ?y4)) (* (- 4) ?y2)) (* (- 10) ?y1)) (* 31 x1)) (- 90))) (> (+ (+ (* 95 ?y3) (* 72 ?y2)) (* (- 60) ?y1)) 0)) (and (< (+ (* (- 22) ?y6) (* 44 ?y1)) (- 41)) (< (+ (+ (+ (+ (+ (* 46 ?y6) (* (- 83) ?y5)) (* 30 ?y4)) (* (- 89) ?y3)) (* (- 78) ?y1)) (* (- 1) x1)) 91))))))))) (and (forall ((?y4 Real)) (or (forall ((?y5 Real)) (let ((?v_17 (* 68 ?y5))) (or (exists ((?y6 Real)) (or (or (= (+ (+ (* (- 64) ?y6) (* 38 ?y3)) (* (- 25) ?y2)) 3) (> (+ (+ (+ (* 16 ?y5) (* (- 41) ?y2)) (* (- 36) ?y1)) (* 62 x1)) 32)) (or (and (>= (+ (+ (+ (+ (+ (* (- 59) ?y6) (* (- 37) ?y5)) (* (- 66) ?y4)) (* 34 ?y3)) (* (- 98) ?y2)) (* (- 55) ?y1)) 64) (<= (+ (+ (+ (+ (* (- 100) ?y6) (* 77 ?y5)) (* (- 66) ?y2)) (* (- 54) ?y1)) (* 77 x1)) (- 100))) (and (= (+ (+ (+ (+ (* (- 9) ?y6) (* (- 27) ?y4)) (* 47 ?y2)) (* 26 ?y1)) (* (- 42) x1)) 0) (> (+ (+ (+ (+ (* 65 ?y6) (* 14 ?y5)) (* (- 38) ?y4)) (* (- 38) ?y3)) (* 98 x1)) 48))))) (and (and (or (> (+ (+ (+ (+ (+ (* 49 ?y5) (* 97 ?y4)) (* (- 36) ?y3)) (* (- 27) ?y2)) (* (- 33) ?y1)) (* (- 32) x1)) (- 67)) (not (= (+ (+ (+ (* 5 ?y5) (* 32 ?y4)) (* (- 10) ?y2)) (* (- 33) x1)) 35))) (or (< (+ (+ (+ (+ (+ (* 54 ?y5) (* (- 54) ?y4)) (* 49 ?y3)) (* 8 ?y2)) (* 19 ?y1)) (* 33 x1)) (- 35)) (not (= (+ (+ (+ (* (- 19) ?y4) (* (- 20) ?y2)) (* (- 59) ?y1)) (* (- 91) x1)) 89)))) (or (or (>= (+ (+ (+ (* 60 ?y5) (* 59 ?y2)) (* 5 ?y1)) (* (- 22) x1)) 0) (> (+ (+ (+ (+ (+ ?v_17 (* 58 ?y4)) (* (- 13) ?y3)) (* (- 84) ?y2)) (* (- 57) ?y1)) (* 50 x1)) (- 46))) (or (>= (+ (+ (+ (+ (+ ?v_17 (* (- 87) ?y4)) (* (- 10) ?y3)) (* 99 ?y2)) (* 38 ?y1)) (* (- 11) x1)) 7) (= (+ (+ (+ (+ (* 21 ?y4) (* 3 ?y3)) (* 84 ?y2)) (* 79 ?y1)) (* (- 25) x1)) (- 6)))))))) (and (exists ((?y5 Real)) (exists ((?y6 Real)) (or (and (and (> (+ (+ (+ (+ (* 8 ?y6) (* (- 44) ?y5)) (* 43 ?y4)) (* 1 ?y2)) (* 65 ?y1)) 0) (not (= (+ (+ (+ (+ (* (- 29) ?y5) (* (- 92) ?y4)) (* (- 25) ?y3)) (* (- 53) ?y2)) (* (- 46) ?y1)) (- 84)))) (or (< (+ (+ (+ (+ (+ (* 87 ?y6) (* (- 90) ?y5)) (* (- 93) ?y4)) (* 71 ?y3)) (* 13 ?y2)) (* (- 93) ?y1)) (- 71)) (> (+ (+ (+ (+ (* (- 77) ?y6) (* 33 ?y3)) (* 74 ?y2)) (* 18 ?y1)) (* (- 40) x1)) 0))) (or (or (not (= (+ (+ (+ (* 58 ?y3) (* 94 ?y2)) (* (- 18) ?y1)) (* 99 x1)) (- 54))) (>= (+ (+ (+ (+ (* 86 ?y6) (* (- 27) ?y5)) (* 31 ?y4)) (* 4 ?y2)) (* (- 17) ?y1)) (- 68))) (and (not (= (+ (+ (+ (* (- 47) ?y6) (* (- 84) ?y5)) (* (- 43) ?y2)) (* 31 ?y1)) (- 15))) (not (= (+ (+ (+ (+ (* 19 ?y5) (* 25 ?y3)) (* (- 64) ?y2)) (* 76 ?y1)) (* (- 80) x1)) (- 18)))))))) (forall ((?y5 Real)) (and (and (and (= (+ (+ (+ (* 72 ?y5) (* 58 ?y4)) (* 89 ?y2)) (* (- 1) x1)) 84) (< (+ (+ (+ (+ (* (- 91) ?y5) (* 61 ?y4)) (* 6 ?y3)) (* 15 ?y2)) (* 58 x1)) (- 47))) (and (<= (+ (+ (+ (+ (* 89 ?y5) (* 63 ?y3)) (* 19 ?y2)) (* (- 47) ?y1)) (* 4 x1)) (- 63)) (< (+ (+ (+ (* (- 68) ?y4) (* (- 50) ?y3)) (* 49 ?y2)) (* 79 x1)) 34))) (and (or (>= (+ (+ (+ (+ (* (- 25) ?y4) (* 27 ?y3)) (* 30 ?y2)) (* (- 52) ?y1)) (* 17 x1)) (- 29)) (not (= (+ (+ (+ (+ (* 1 ?y5) (* (- 56) ?y4)) (* (- 95) ?y2)) (* 76 ?y1)) (* 5 x1)) 0))) (and (< (+ (+ (* 14 ?y3) (* 93 ?y2)) (* (- 16) x1)) 19) (<= (+ (+ (* (- 83) ?y5) (* (- 100) ?y1)) (* 43 x1)) (- 72))))))))) (exists ((?y4 Real)) (exists ((?y6 Real)) (let ((?v_19 (* 64 ?y4)) (?v_22 (* 94 ?y6)) (?v_23 (* 67 ?y6)) (?v_20 (* (- 93) x1)) (?v_21 (* (- 90) x1)) (?v_18 (* (- 15) ?y4))) (or (or (or (and (or (< (+ (+ (+ (* 30 ?y4) (* (- 46) ?y2)) (* 7 ?y1)) (* 76 x1)) 7) (> (+ (+ (+ (* 24 ?y6) (* (- 9) ?y4)) (* 15 ?y3)) (* (- 58) ?y2)) 41)) (or (< (+ (+ (+ (* 19 ?y6) (* (- 56) ?y3)) (* 65 ?y1)) ?v_21) 4) (<= (+ (+ (* (- 58) ?y4) (* 86 ?y3)) (* (- 16) x1)) 24))) (and (and (not (= (+ (+ (+ (* 39 ?y6) ?v_18) (* 30 ?y2)) (* 83 ?y1)) (- 46))) (<= (+ (+ (+ (* (- 48) ?y4) (* (- 99) ?y3)) (* 36 ?y1)) (* (- 6) x1)) 57)) (or (>= (+ (+ (+ (* (- 38) ?y6) ?v_19) (* (- 84) ?y3)) (* (- 48) ?y1)) 0) (not (= (+ (+ (+ (+ (* 87 ?y6) ?v_18) (* (- 12) ?y2)) (* (- 79) ?y1)) ?v_20) 0))))) (or (and (or (< (+ (+ (+ (* (- 49) ?y6) ?v_19) (* (- 4) ?y3)) ?v_20) 58) (<= (+ (+ (+ (+ ?v_22 (* (- 50) ?y3)) (* (- 86) ?y2)) (* 67 ?y1)) (* (- 77) x1)) 0)) (and (<= (+ (+ (* (- 42) ?y3) (* (- 33) ?y2)) (* (- 46) x1)) 0) (not (= (+ (+ (+ (* 61 ?y6) (* (- 73) ?y3)) (* 18 ?y2)) (* 47 ?y1)) 11)))) (or (< (+ (+ (+ (+ (* 27 ?y6) (* 91 ?y4)) (* 1 ?y3)) (* (- 15) ?y2)) (* (- 36) x1)) (- 14)) (or (>= (+ (+ (+ (* (- 9) ?y6) (* (- 84) ?y4)) (* (- 1) ?y3)) (* (- 85) ?y1)) (- 77)) (= (+ (+ (* (- 45) ?y6) (* 82 ?y1)) (* 21 x1)) (- 48)))))) (or (or (and (and (not (= (+ (+ (* 33 ?y6) (* (- 82) ?y3)) (* (- 18) ?y2)) 0)) (< (+ (+ (+ (* (- 24) ?y6) (* (- 28) ?y4)) (* 5 ?y3)) (* 99 x1)) 4)) (and (<= (+ (+ (+ (+ (+ (* (- 56) ?y6) (* 56 ?y4)) (* (- 15) ?y3)) (* (- 42) ?y2)) (* 64 ?y1)) (* 37 x1)) 33) (>= (+ (+ (+ (+ (* 37 ?y6) (* (- 81) ?y4)) (* 82 ?y2)) (* 23 ?y1)) (* 46 x1)) 55))) (and (<= (+ (+ (+ (+ (+ (* (- 70) ?y6) (* (- 69) ?y4)) (* 17 ?y3)) (* 80 ?y2)) (* 78 ?y1)) ?v_21) (- 61)) (and (>= (+ (+ (+ ?v_23 (* 6 ?y3)) (* 41 ?y1)) (* 13 x1)) 97) (< (+ (+ (+ (+ (* (- 70) ?y4) (* 37 ?y3)) (* 8 ?y2)) (* 56 ?y1)) (* 5 x1)) 91)))) (or (or (and (< (+ (+ (+ ?v_22 (* (- 95) ?y4)) (* 28 ?y2)) (* (- 28) x1)) (- 41)) (< (+ (+ (+ ?v_23 (* 35 ?y3)) (* 96 ?y1)) (* 71 x1)) (- 17))) (and (= (+ (+ (+ (+ (* 83 ?y6) (* (- 11) ?y4)) (* (- 66) ?y3)) (* (- 17) ?y1)) ?v_20) (- 51)) (> (+ (+ (+ (* 78 ?y6) (* (- 34) ?y2)) (* 72 ?y1)) (* 22 x1)) (- 46)))) (or (and (< (+ (+ (+ (+ (+ (* 52 ?y6) (* 65 ?y4)) (* 57 ?y3)) (* (- 21) ?y2)) (* 46 ?y1)) (* 27 x1)) 49) (> (+ (+ (+ (+ (+ (* (- 76) ?y6) (* 62 ?y4)) (* (- 74) ?y3)) (* (- 51) ?y2)) (* (- 10) ?y1)) (* (- 15) x1)) 5)) (<= (+ (+ (* (- 40) ?y4) (* (- 83) ?y3)) (* 57 ?y1)) 77))))))))))))) (forall ((?y3 Real)) (and (forall ((?y4 Real)) (forall ((?y5 Real)) (and (and (forall ((?y6 Real)) (let ((?v_24 (* (- 37) ?y4)) (?v_25 (* (- 96) ?y6))) (or (and (and (or (>= (+ (+ (* 48 ?y5) (* (- 77) ?y1)) (* 22 x1)) 4) (< (+ (+ (* (- 12) ?y5) ?v_24) (* (- 63) x1)) (- 44))) (or (< (+ (+ (+ (+ (* (- 16) ?y6) (* (- 14) ?y5)) (* (- 55) ?y3)) (* (- 38) ?y1)) (* (- 82) x1)) (- 89)) (> (+ (+ (+ (+ (* (- 18) ?y6) (* (- 9) ?y4)) (* (- 57) ?y3)) (* (- 80) ?y1)) (* (- 45) x1)) 0))) (or (and (<= (+ (+ (+ (+ (* (- 84) ?y5) ?v_24) (* (- 49) ?y3)) (* 68 ?y1)) (* 69 x1)) 2) (> (+ (+ (* 78 ?y5) (* 41 ?y1)) (* (- 9) x1)) (- 96))) (or (>= (+ (+ (+ (+ (* (- 59) ?y6) (* 36 ?y5)) (* (- 20) ?y4)) (* 83 ?y3)) (* 5 ?y1)) 1) (<= (+ (+ (+ (+ (* 25 ?y6) (* (- 17) ?y4)) (* (- 87) ?y3)) (* (- 46) ?y1)) (* (- 5) x1)) 77)))) (and (or (and (>= (+ (+ (* (- 56) ?y5) (* (- 75) ?y4)) (* 95 x1)) (- 92)) (< (+ (+ (* (- 68) ?y6) (* (- 66) ?y4)) (* 94 x1)) (- 68))) (and (> (+ ?v_25 (* (- 47) ?y5)) 90) (not (= (+ (+ (+ (+ (+ (* 55 ?y6) (* 92 ?y5)) (* (- 2) ?y4)) (* 12 ?y3)) (* (- 16) ?y1)) (* (- 35) x1)) 48)))) (and (= (+ (+ (+ (* (- 64) ?y6) (* (- 89) ?y5)) (* (- 85) ?y4)) (* (- 23) ?y1)) 27) (> (+ (+ (+ ?v_25 (* 62 ?y5)) (* 5 ?y4)) (* 41 ?y3)) (- 16))))))) (or (forall ((?y6 Real)) (and (or (<= (+ (+ (+ (+ (* (- 31) ?y5) (* (- 22) ?y4)) (* (- 37) ?y3)) (* 18 ?y1)) (* (- 5) x1)) 0) (< (+ (+ (* 9 ?y5) (* 20 ?y4)) (* (- 4) x1)) 43)) (and (or (>= (+ (+ (+ (* (- 65) ?y5) (* (- 82) ?y4)) (* 58 ?y3)) (* (- 61) x1)) 16) (= (+ (+ (+ (* (- 77) ?y6) (* (- 74) ?y3)) (* (- 20) ?y1)) (* 90 x1)) 0)) (and (>= (+ (+ (+ (* 98 ?y6) (* 76 ?y3)) (* 65 ?y1)) (* (- 92) x1)) (- 86)) (> (+ (+ (+ (* (- 46) ?y6) (* 92 ?y5)) (* (- 28) ?y1)) (* 24 x1)) 0))))) (exists ((?y6 Real)) (let ((?v_26 (* 1 ?y1)) (?v_27 (* (- 75) ?y5))) (or (and (or (or (not (= (+ (+ (+ (* 28 ?y6) (* (- 39) ?y5)) (* (- 31) ?y4)) (* 14 x1)) 0)) (< (+ (+ (+ (+ (* 96 ?y6) (* (- 36) ?y4)) (* 2 ?y3)) (* (- 18) ?y1)) (* (- 22) x1)) 85)) (or (not (= (+ (+ (+ (+ (+ (* (- 43) ?y6) (* 86 ?y5)) (* (- 42) ?y4)) (* 54 ?y3)) (* (- 81) ?y1)) (* 66 x1)) 68)) (= (+ (+ (+ (* 83 ?y6) (* (- 52) ?y5)) (* 22 ?y4)) (* (- 44) ?y3)) 84))) (or (or (<= (+ (+ (+ (+ (* 35 ?y6) (* 47 ?y5)) (* (- 89) ?y3)) (* 97 ?y1)) (* 50 x1)) 0) (> (+ (+ (+ (* 94 ?y6) (* (- 14) ?y5)) (* 18 ?y3)) (* (- 75) x1)) (- 22))) (or (>= (+ (+ (+ (+ (* 99 ?y6) (* 12 ?y4)) (* (- 56) ?y3)) (* (- 47) ?y1)) (* (- 25) x1)) 4) (< (+ (+ (+ (+ (* 40 ?y6) (* (- 91) ?y5)) (* (- 74) ?y4)) ?v_26) (* 34 x1)) (- 62))))) (or (or (= (+ (+ (+ (+ (* 51 ?y6) (* 86 ?y4)) (* (- 99) ?y3)) ?v_26) (* (- 99) x1)) 0) (< (+ (+ (+ (* 38 ?y6) (* 26 ?y4)) (* (- 55) ?y1)) (* (- 5) x1)) 0)) (and (and (< (+ (+ (* 6 ?y6) (* (- 13) ?y4)) (* 12 ?y3)) 4) (> (+ (+ (+ (+ (* (- 98) ?y6) ?v_27) (* 88 ?y3)) (* (- 32) ?y1)) (* (- 84) x1)) (- 13))) (and (> (+ (+ (+ (+ (+ (* 54 ?y6) ?v_27) (* 19 ?y4)) (* (- 22) ?y3)) (* (- 69) ?y1)) (* 27 x1)) (- 43)) (> (+ (+ (+ (+ (+ (* (- 63) ?y6) (* 31 ?y5)) (* (- 81) ?y4)) (* 81 ?y3)) (* 46 ?y1)) (* 55 x1)) 47))))))))) (or (and (forall ((?y6 Real)) (let ((?v_29 (* 69 ?y3)) (?v_28 (* (- 88) ?y4))) (or (and (and (> (+ (+ (* (- 5) ?y5) (* (- 100) ?y4)) (* (- 46) x1)) 57) (or (not (= (+ (+ (+ (+ (* 47 ?y5) (* 43 ?y4)) (* 55 ?y3)) (* (- 51) ?y1)) (* (- 65) x1)) 0)) (= (+ (+ (+ (+ (+ (* (- 31) ?y6) (* 38 ?y5)) (* (- 98) ?y4)) (* (- 64) ?y3)) (* (- 48) ?y1)) (* (- 55) x1)) 84))) (and (or (< (+ (+ (+ (* 85 ?y5) (* (- 8) ?y3)) (* 20 ?y1)) (* 61 x1)) 46) (= (+ (+ (+ (+ (* 77 ?y6) ?v_28) (* 81 ?y3)) (* (- 16) ?y1)) (* 53 x1)) 18)) (and (< (+ (+ (+ (* 27 ?y6) (* (- 98) ?y5)) ?v_29) (* 88 x1)) 4) (> (+ (+ (* 82 ?y6) ?v_28) (* (- 3) ?y1)) 59)))) (and (or (or (< (+ (+ (+ (+ (+ (* 35 ?y6) (* 27 ?y5)) (* 68 ?y4)) (* (- 42) ?y3)) (* (- 12) ?y1)) (* 26 x1)) (- 59)) (not (= (+ (+ (+ (* (- 27) ?y6) (* (- 56) ?y4)) (* 6 ?y3)) (* (- 89) ?y1)) 0))) (>= (+ (+ (+ (+ (+ (* 51 ?y6) (* 98 ?y5)) (* (- 46) ?y4)) (* 5 ?y3)) (* (- 71) ?y1)) (* (- 37) x1)) 1)) (or (and (> (+ (+ (+ (+ (* 100 ?y6) (* 16 ?y5)) (* 40 ?y4)) (* 32 ?y1)) (* 55 x1)) 38) (< (+ (+ (+ (* (- 34) ?y5) ?v_29) (* 75 ?y1)) (* (- 21) x1)) (- 65))) (and (= (+ (+ (* 45 ?y6) (* 14 ?y4)) (* 64 ?y3)) 81) (not (= (+ (+ (+ (* 62 ?y6) (* 92 ?y5)) (* 70 ?y1)) (* (- 56) x1)) 14)))))))) (forall ((?y6 Real)) (and (or (> (+ (+ (* 97 ?y5) (* 64 ?y1)) (* (- 47) x1)) (- 94)) (or (not (= (+ (+ (+ (+ (* 68 ?y5) (* (- 59) ?y4)) (* 18 ?y3)) (* (- 23) ?y1)) (* (- 19) x1)) 54)) (= (+ (+ (+ (+ (* (- 44) ?y6) (* (- 4) ?y5)) (* (- 80) ?y4)) (* (- 98) ?y3)) (* 20 ?y1)) 0))) (or (and (> (+ (+ (+ (+ (* (- 97) ?y6) (* 18 ?y5)) (* (- 46) ?y3)) (* (- 81) ?y1)) (* (- 65) x1)) 0) (<= (+ (+ (+ (+ (* (- 11) ?y6) (* (- 52) ?y5)) (* 67 ?y4)) (* (- 7) ?y3)) (* (- 51) x1)) (- 28))) (<= (+ (+ (* 29 ?y6) (* 64 ?y5)) (* 30 ?y4)) 0))))) (forall ((?y6 Real)) (let ((?v_30 (* (- 86) x1)) (?v_31 (* (- 12) ?y6)) (?v_32 (* (- 41) x1))) (and (and (or (or (= (+ (+ (+ (+ (* (- 84) ?y6) (* (- 36) ?y5)) (* (- 17) ?y4)) (* (- 70) ?y1)) (* 81 x1)) 0) (<= (+ (+ (+ (+ (* (- 46) ?y6) (* 79 ?y5)) (* (- 56) ?y3)) (* 67 ?y1)) (* 52 x1)) 86)) (< (+ (+ (+ (+ (+ (* 57 ?y6) (* 61 ?y5)) (* (- 99) ?y4)) (* 87 ?y3)) (* (- 25) ?y1)) ?v_30) 10)) (or (or (and (> (+ (+ (* 6 ?y6) (* (- 43) ?y1)) (* (- 63) x1)) (- 79)) (> (+ (+ (+ (+ ?v_31 (* (- 74) ?y5)) (* (- 65) ?y4)) (* 77 ?y1)) ?v_30) (- 19))) (or (< (+ (+ (+ (* (- 80) ?y6) (* (- 23) ?y5)) (* (- 94) ?y3)) (* 25 x1)) (- 59)) (>= (+ (+ (+ (+ (* (- 19) ?y6) (* 16 ?y5)) (* (- 85) ?y3)) (* 24 ?y1)) ?v_32) 0))) (or (> (+ (+ (+ (+ (+ (* 64 ?y6) (* 39 ?y5)) (* (- 94) ?y4)) (* (- 25) ?y3)) (* (- 47) ?y1)) (* 97 x1)) (- 54)) (>= (+ (+ (+ (+ (+ (* (- 93) ?y6) (* 12 ?y5)) (* 46 ?y4)) (* 26 ?y3)) (* (- 97) ?y1)) (* 96 x1)) 4)))) (or (or (and (or (> (+ (+ (+ (* 66 ?y6) (* (- 33) ?y5)) (* (- 28) ?y4)) (* 40 ?y1)) 29) (>= (+ (+ (+ (+ (+ (* 87 ?y6) (* 6 ?y5)) (* (- 71) ?y4)) (* (- 30) ?y3)) (* 21 ?y1)) (* 46 x1)) 52)) (or (>= (+ (+ (+ (+ (+ (* 5 ?y6) (* 10 ?y5)) (* 38 ?y4)) (* (- 3) ?y3)) (* (- 9) ?y1)) (* (- 90) x1)) 0) (>= (+ (+ (+ (+ (* 92 ?y6) (* 74 ?y5)) (* (- 46) ?y3)) (* (- 28) ?y1)) (* 68 x1)) (- 32)))) (or (> (+ (+ (+ (+ (* 100 ?y6) (* 54 ?y5)) (* (- 50) ?y4)) (* (- 29) ?y3)) (* (- 69) ?y1)) (- 78)) (< (+ (+ (+ (+ (* 2 ?y6) (* (- 29) ?y4)) (* (- 60) ?y3)) (* 90 ?y1)) (* (- 27) x1)) 0))) (and (and (<= (+ (* (- 10) ?y5) (* (- 43) ?y3)) (- 70)) (<= (+ (+ (+ (+ ?v_31 (* 37 ?y4)) (* (- 93) ?y3)) (* 95 ?y1)) (* (- 15) x1)) 65)) (and (and (not (= (+ (+ (+ (* (- 52) ?y6) (* (- 56) ?y4)) (* (- 13) ?y3)) (* 91 x1)) 0)) (>= (+ (+ (+ (+ (* 19 ?y5) (* 83 ?y4)) (* (- 2) ?y3)) (* 70 ?y1)) (* (- 19) x1)) 0)) (< (+ (+ (+ (+ (+ (* (- 62) ?y6) (* (- 69) ?y5)) (* (- 72) ?y4)) (* 48 ?y3)) (* (- 10) ?y1)) ?v_32) 0))))))))))) (and (exists ((?y4 Real)) (or (forall ((?y5 Real)) (exists ((?y6 Real)) (let ((?v_34 (* 71 ?y1)) (?v_33 (* (- 88) ?y4))) (and (and (and (or (and (< (+ (+ (+ (+ (+ (* 20 ?y6) (* 57 ?y5)) (* (- 54) ?y4)) (* (- 38) ?y3)) (* 2 ?y1)) (* (- 22) x1)) (- 2)) (<= (+ (+ (+ (* (- 78) ?y5) (* (- 23) ?y4)) (* 91 ?y1)) (* 91 x1)) 0)) (and (not (= (+ (+ (* (- 88) ?y6) ?v_33) (* 93 x1)) 0)) (> (+ (+ (+ (* (- 36) ?y6) (* (- 19) ?y5)) (* 44 ?y4)) (* (- 14) ?y3)) (- 91)))) (and (or (not (= (+ (+ (+ (+ (* 100 ?y6) (* 92 ?y5)) (* 97 ?y3)) (* (- 58) ?y1)) (* 5 x1)) 0)) (> (+ (+ (* (- 31) ?y5) (* 24 ?y3)) ?v_34) 65)) (>= (+ (+ (+ (+ (* 95 ?y6) (* (- 66) ?y5)) (* (- 43) ?y4)) (* (- 77) ?y1)) (* (- 62) x1)) 7))) (or (or (< (+ (+ (* (- 73) ?y6) (* 86 ?y4)) (* 89 x1)) 19) (= (+ (+ (+ (+ (+ (* 81 ?y6) (* 75 ?y5)) (* (- 31) ?y4)) (* (- 47) ?y3)) (* 49 ?y1)) (* 79 x1)) 0)) (or (> (+ (+ (+ (+ (* 99 ?y6) (* 78 ?y5)) ?v_33) (* 13 ?y1)) (* (- 66) x1)) 0) (or (>= (+ (+ (+ (* 37 ?y6) (* (- 8) ?y3)) (* (- 89) ?y1)) (* (- 12) x1)) 0) (< (+ (+ (+ (* (- 33) ?y6) (* 76 ?y5)) (* 100 ?y4)) ?v_34) 28))))) (or (or (not (= (+ (+ (+ (* 15 ?y6) (* (- 97) ?y5)) (* 37 ?y4)) (* (- 17) ?y3)) (- 76))) (and (<= (+ (+ (+ (+ (* (- 6) ?y5) (* (- 30) ?y4)) (* (- 76) ?y3)) (* (- 60) ?y1)) (* (- 2) x1)) (- 46)) (= (+ (+ (+ (* 90 ?y5) (* 54 ?y4)) (* (- 87) ?y1)) (* 49 x1)) 0))) (and (or (not (= (+ (+ (+ (* (- 44) ?y5) (* 80 ?y4)) (* (- 88) ?y1)) (* (- 9) x1)) 63)) (> (+ (+ (* (- 26) ?y5) (* (- 83) ?y4)) (* 12 ?y1)) 0)) (<= (+ (+ (+ (+ (* (- 41) ?y6) (* 62 ?y5)) (* 9 ?y4)) (* (- 1) ?y3)) (* 46 x1)) 33))))))) (and (and (and (>= (+ (+ (+ (* (- 14) ?y4) (* (- 93) ?y3)) (* (- 99) ?y1)) (* 2 x1)) 0) (or (>= (* (- 6) x1) (- 74)) (not (= (+ (+ (* 9 ?y4) (* 88 ?y3)) (* (- 90) ?y1)) 18)))) (and (> (+ (+ (* 27 ?y4) (* (- 65) ?y1)) (* (- 16) x1)) 2) (or (> (+ (* 20 ?y1) (* (- 24) x1)) 0) (not (= (+ (+ (+ (* (- 46) ?y4) (* (- 68) ?y3)) (* 100 ?y1)) (* 48 x1)) 90))))) (exists ((?y6 Real)) (let ((?v_35 (* (- 86) ?y4))) (and (or (and (and (>= (+ (+ (* 43 ?y6) (* 76 ?y4)) (* 78 ?y1)) 22) (>= (+ (+ (+ (* 48 ?y4) (* 24 ?y3)) (* 31 ?y1)) (* 8 x1)) (- 47))) (or (> (+ (+ (* 88 ?y6) (* 19 ?y4)) (* 17 ?y1)) 0) (<= (+ (+ (+ (+ (* 99 ?y6) (* 40 ?y4)) (* 87 ?y3)) (* 28 ?y1)) (* 73 x1)) (- 67)))) (and (and (< (+ (* (- 87) ?y4) (* (- 26) x1)) 67) (= (+ (+ (* (- 96) ?y6) (* 76 ?y3)) (* (- 96) ?y1)) (- 34))) (and (= (+ (+ (+ (* 93 ?y6) (* (- 49) ?y4)) (* (- 88) ?y3)) (* (- 93) ?y1)) 0) (> (+ (+ (+ (* (- 23) ?y6) ?v_35) (* (- 83) ?y3)) (* (- 2) ?y1)) (- 45))))) (not (= (+ (+ (+ ?v_35 (* 48 ?y3)) (* (- 87) ?y1)) (* (- 86) x1)) 65)))))))) (or (and (exists ((?y4 Real)) (and (forall ((?y6 Real)) (let ((?v_36 (* 80 ?y1))) (or (or (and (not (= (* (- 16) ?y3) (- 12))) (= (+ (+ (+ (+ (* (- 83) ?y6) (* 96 ?y4)) (* 61 ?y3)) ?v_36) (* 45 x1)) 35)) (and (>= (+ (+ (+ (* 41 ?y4) (* 30 ?y3)) (* 87 ?y1)) (* (- 20) x1)) 100) (= (+ (+ (+ (+ (* 70 ?y6) (* (- 66) ?y4)) (* 9 ?y3)) ?v_36) (* (- 90) x1)) 80))) (or (< (+ (* (- 24) ?y6) (* (- 78) ?y3)) (- 77)) (and (<= (+ (+ (* 99 ?y4) (* (- 56) ?y3)) (* (- 5) ?y1)) 11) (> (+ (+ (+ (* 10 ?y6) (* 64 ?y3)) (* 20 ?y1)) (* (- 80) x1)) 0)))))) (or (and (or (and (= (+ (+ (* 68 ?y4) (* 63 ?y3)) (* 28 x1)) (- 100)) (not (= (+ (+ (* (- 10) ?y4) (* (- 55) ?y1)) (* (- 2) x1)) 21))) (and (not (= (+ (* 5 ?y4) (* (- 89) x1)) (- 27))) (< (+ (+ (+ (* (- 78) ?y4) (* 59 ?y3)) (* (- 2) ?y1)) (* (- 46) x1)) 37))) (and (or (> (+ (+ (+ (* 31 ?y4) (* 97 ?y3)) (* (- 72) ?y1)) (* 40 x1)) 72) (= (+ (+ (+ (* 46 ?y4) (* (- 34) ?y3)) (* 17 ?y1)) (* (- 41) x1)) 59)) (or (= (+ (* (- 20) ?y1) (* (- 8) x1)) 0) (<= (+ (+ (* (- 66) ?y4) (* 54 ?y1)) (* (- 55) x1)) 50)))) (and (< (+ (+ (+ (* (- 95) ?y4) (* (- 31) ?y3)) (* (- 91) ?y1)) (* 7 x1)) (- 17)) (or (< (+ (+ (+ (* 82 ?y4) (* 76 ?y3)) (* (- 82) ?y1)) (* (- 45) x1)) 64) (< (+ (* (- 8) ?y4) (* (- 53) ?y3)) 4)))))) (exists ((?y4 Real)) (or (and (or (and (not (= (+ (+ (+ (* 46 ?y4) (* (- 97) ?y3)) (* 93 ?y1)) (* (- 15) x1)) 0)) (= (+ (+ (* (- 83) ?y4) (* 2 ?y3)) (* (- 41) x1)) 51)) (<= (+ (+ (* (- 43) ?y4) (* (- 61) ?y3)) (* (- 5) ?y1)) (- 7))) (and (and (not (= (+ (+ (+ (* 50 ?y4) (* (- 51) ?y3)) (* 71 ?y1)) (* (- 18) x1)) 0)) (> (+ (+ (* (- 73) ?y4) (* 75 ?y3)) (* 25 ?y1)) 56)) (<= (+ (* 46 ?y3) (* (- 78) x1)) (- 79)))) (and (and (or (not (= (+ (+ (+ (* 30 ?y4) (* 69 ?y3)) (* (- 85) ?y1)) (* 74 x1)) (- 19))) (>= (+ (+ (* 85 ?y3) (* (- 48) ?y1)) (* (- 28) x1)) 0)) (or (= (+ (+ (* 67 ?y4) (* (- 81) ?y1)) (* (- 42) x1)) (- 69)) (>= (+ (* (- 16) ?y3) (* 57 ?y1)) 0))) (or (or (not (= (+ (+ (* (- 37) ?y3) (* (- 38) ?y1)) (* 88 x1)) (- 28))) (> (+ (+ (+ (* (- 100) ?y4) (* (- 77) ?y3)) (* 9 ?y1)) (* 38 x1)) (- 82))) (and (<= (+ (+ (* 63 ?y4) (* 39 ?y3)) (* 95 ?y1)) (- 33)) (> (+ (+ (+ (* (- 35) ?y4) (* 27 ?y3)) (* 45 ?y1)) (* (- 47) x1)) (- 58)))))))) (or (forall ((?y4 Real)) (and (and (forall ((?y5 Real)) (and (or (>= (+ (+ (+ (* (- 63) ?y5) (* (- 96) ?y4)) (* (- 4) ?y1)) (* 97 x1)) 67) (>= (+ (+ (+ (* (- 22) ?y5) (* (- 3) ?y4)) (* 18 ?y3)) (* (- 12) x1)) 79)) (or (not (= (+ (+ (+ (* 76 ?y5) (* (- 77) ?y4)) (* (- 64) ?y3)) (* (- 99) ?y1)) (- 27))) (< (+ (+ (* 25 ?y5) (* (- 40) ?y3)) (* 9 x1)) 0)))) (or (and (<= (+ (+ (* (- 70) ?y3) (* 56 ?y1)) (* 16 x1)) (- 12)) (<= (+ (+ (* 28 ?y4) (* 32 ?y3)) (* (- 90) ?y1)) 0)) (or (not (= (+ (+ (+ (* 24 ?y4) (* (- 17) ?y3)) (* 14 ?y1)) (* (- 78) x1)) 0)) (not (= (+ (* (- 3) ?y3) (* 22 x1)) 0))))) (and (or (and (forall ((?y5 Real)) (exists ((?y6 Real)) (= (+ (+ (+ (* (- 8) ?y5) (* (- 60) ?y3)) (* (- 85) ?y1)) (* (- 13) x1)) 75))) (or (or (>= (+ (+ (* 86 ?y4) (* 59 ?y3)) (* 71 x1)) 0) (>= (+ (+ (+ (* (- 95) ?y4) (* (- 6) ?y3)) (* (- 53) ?y1)) (* (- 93) x1)) 0)) (or (= (+ (* 1 ?y1) (* (- 89) x1)) 27) (> (+ (+ (+ (* 80 ?y4) (* 41 ?y3)) (* (- 72) ?y1)) (* (- 39) x1)) 98)))) (forall ((?y5 Real)) (let ((?v_37 (* 58 ?y3))) (and (or (= (+ (+ (+ (* (- 92) ?y4) ?v_37) (* (- 39) ?y1)) (* 44 x1)) 15) (> (+ (+ (* (- 74) ?y4) (* (- 70) ?y3)) (* 70 x1)) (- 22))) (>= (+ (+ (+ (* 19 ?y4) ?v_37) (* (- 49) ?y1)) (* 69 x1)) 76))))) (and (exists ((?y5 Real)) (and (> (+ (+ (+ (+ (* (- 1) ?y5) (* (- 32) ?y4)) (* (- 64) ?y3)) (* (- 37) ?y1)) (* 98 x1)) 0) (= (+ (+ (+ (+ (* 2 ?y5) (* (- 80) ?y4)) (* (- 90) ?y3)) (* (- 78) ?y1)) (* (- 63) x1)) 0))) (exists ((?y5 Real)) (and (not (= (+ (+ (* (- 31) ?y4) (* (- 24) ?y3)) (* (- 72) ?y1)) 72)) (= (+ (+ (+ (+ (* 95 ?y5) (* (- 70) ?y4)) (* (- 46) ?y3)) (* (- 90) ?y1)) (* 23 x1)) (- 67)))))))) (or (forall ((?y4 Real)) (and (forall ((?y5 Real)) (or (< (+ (+ (* (- 27) ?y4) (* (- 10) ?y3)) (* 6 ?y1)) 88) (or (not (= (+ (+ (+ (* 39 ?y5) (* 5 ?y3)) (* 90 ?y1)) (* (- 44) x1)) (- 30))) (<= (+ (* (- 51) ?y5) (* (- 78) ?y4)) (- 97))))) (and (exists ((?y6 Real)) (or (= (+ (+ (+ (* (- 99) ?y6) (* (- 74) ?y4)) (* 13 ?y3)) (* 43 x1)) (- 52)) (< (+ (+ (+ (+ (* 53 ?y6) (* (- 22) ?y4)) (* (- 53) ?y3)) (* (- 21) ?y1)) (* 7 x1)) 0))) (forall ((?y6 Real)) (and (>= (+ (* (- 88) ?y6) (* 97 ?y4)) (- 17)) (= (+ (+ (+ (* (- 95) ?y6) (* (- 25) ?y4)) (* 1 ?y1)) (* 25 x1)) 41)))))) (exists ((?y4 Real)) (and (and (or (>= (+ (+ (* 26 ?y3) (* 69 ?y1)) (* 41 x1)) (- 5)) (>= (+ (* (- 52) ?y3) (* (- 63) x1)) 0)) (or (and (>= (+ (+ (+ (* 72 ?y4) (* (- 64) ?y3)) (* (- 84) ?y1)) (* 82 x1)) (- 80)) (not (= (+ (* 49 ?y3) (* 67 ?y1)) (- 93)))) (forall ((?y6 Real)) (not (= (+ (+ (* 52 ?y4) (* (- 89) ?y3)) (* 71 x1)) 72))))) (forall ((?y6 Real)) (and (or (> (+ (+ (+ (* 65 ?y6) (* 85 ?y3)) (* (- 48) ?y1)) (* 46 x1)) (- 90)) (<= (+ (+ (+ (+ (* 73 ?y6) (* 26 ?y4)) (* 87 ?y3)) (* (- 23) ?y1)) (* (- 31) x1)) 20)) (>= (+ (+ (* 51 ?y4) (* 3 ?y1)) (* 68 x1)) (- 50))))))))))))) (forall ((?y2 Real)) (forall ((?y3 Real)) (forall ((?y4 Real)) (forall ((?y5 Real)) (let ((?v_172 (* 19 x1)) (?v_137 (* 9 ?y1)) (?v_158 (* 100 x1)) (?v_62 (* 84 x1)) (?v_60 (* 11 ?y1)) (?v_132 (* 67 x1)) (?v_101 (* 44 ?y1)) (?v_179 (* 62 x1)) (?v_130 (* 83 ?y1)) (?v_40 (* 67 ?y1)) (?v_104 (* 41 ?y1)) (?v_92 (* 24 x1)) (?v_123 (* 34 x1)) (?v_119 (* 25 x1)) (?v_116 (* 97 x1)) (?v_122 (* 91 x1)) (?v_50 (* 25 ?y1)) (?v_184 (* 74 x1)) (?v_113 (* 16 x1)) (?v_131 (* 70 x1)) (?v_121 (* 69 ?y1)) (?v_124 (* 3 ?y1)) (?v_110 (* 50 ?y4)) (?v_170 (* 86 x1)) (?v_180 (* 79 ?y3)) (?v_79 (* 38 ?y5)) (?v_108 (* 66 ?y2)) (?v_38 (* 19 ?y3)) (?v_97 (* 64 ?y2)) (?v_155 (* 43 ?y1)) (?v_81 (* 44 ?y4)) (?v_85 (* 87 ?y4)) (?v_177 (* 22 ?y1)) (?v_47 (* 39 ?y5)) (?v_39 (* 50 ?y2)) (?v_64 (* 48 ?y1)) (?v_45 (* 92 ?y3)) (?v_125 (* 26 ?y3)) (?v_176 (* 55 ?y4)) (?v_185 (* 28 ?y2)) (?v_55 (* 64 ?y4)) (?v_53 (* 41 ?y2)) (?v_68 (* 6 ?y5)) (?v_105 (* 50 ?y5)) (?v_103 (* 76 ?y2)) (?v_52 (* 91 ?y2)) (?v_134 (* 30 ?y1)) (?v_58 (* 80 x1)) (?v_87 (* 36 ?y3)) (?v_54 (* 18 x1)) (?v_56 (* 13 ?y3)) (?v_48 (* 90 ?y2)) (?v_154 (* 83 ?y5)) (?v_115 (* 84 ?y3)) (?v_188 (* 57 ?y2)) (?v_59 (* 62 ?y4)) (?v_82 (* 100 ?y2)) (?v_152 (* 15 ?y3)) (?v_51 (* 81 ?y5)) (?v_69 (* 59 ?y3)) (?v_72 (* 47 x1)) (?v_111 (* 5 ?y2)) (?v_80 (* 54 ?y5)) (?v_100 (* 33 ?y3)) (?v_75 (* 62 ?y5)) (?v_76 (* 36 x1)) (?v_78 (* 97 ?y2)) (?v_109 (* 24 ?y3)) (?v_182 (* 9 ?y4)) (?v_127 (* 45 ?y5)) (?v_120 (* 96 ?y4)) (?v_186 (* 36 ?y5)) (?v_128 (* 3 ?y4)) (?v_193 (* 65 ?y5)) (?v_118 (* 93 ?y4)) (?v_146 (* 10 ?y4)) (?v_181 (* 64 x1)) (?v_183 (* 72 ?y2)) (?v_171 (* 80 ?y4)) (?v_178 (* 77 ?y2)) (?v_160 (* 18 ?y4)) (?v_96 (* 47 ?y3)) (?v_106 (* 11 ?y3)) (?v_126 (* 58 ?y1)) (?v_156 (* 16 ?y3)) (?v_145 (* 39 ?y1)) (?v_166 (* 7 ?y4)) (?v_192 (* 93 ?y3)) (?v_191 (* 82 ?y5)) (?v_148 (* (- 39) x1)) (?v_107 (* (- 63) ?y1)) (?v_43 (* (- 30) ?y1)) (?v_163 (* (- 86) x1)) (?v_102 (* (- 82) x1)) (?v_46 (* (- 94) x1)) (?v_150 (* (- 54) ?y1)) (?v_42 (* (- 42) x1)) (?v_169 (* (- 47) ?y1)) (?v_190 (* (- 36) x1)) (?v_161 (* (- 28) x1)) (?v_136 (* (- 63) x1)) (?v_196 (* (- 99) x1)) (?v_89 (* (- 71) ?y1)) (?v_143 (* (- 99) ?y1)) (?v_141 (* (- 90) ?y1)) (?v_173 (* (- 24) x1)) (?v_65 (* (- 96) ?y1)) (?v_112 (* (- 72) ?y1)) (?v_84 (* (- 31) x1)) (?v_90 (* (- 82) ?y4)) (?v_70 (* (- 53) ?y4)) (?v_114 (* (- 41) ?y5)) (?v_93 (* (- 100) ?y4)) (?v_91 (* (- 76) ?y3)) (?v_61 (* (- 66) ?y2)) (?v_74 (* (- 10) ?y4)) (?v_88 (* (- 76) ?y2)) (?v_44 (* (- 28) ?y3)) (?v_57 (* (- 22) ?y1)) (?v_159 (* (- 11) ?y2)) (?v_73 (* (- 91) ?y2)) (?v_142 (* (- 74) ?y4)) (?v_138 (* (- 20) ?y2)) (?v_83 (* (- 88) ?y2)) (?v_49 (* (- 74) ?y3)) (?v_151 (* (- 4) ?y5)) (?v_133 (* (- 54) ?y2)) (?v_41 (* (- 97) ?y5)) (?v_157 (* (- 50) ?y1)) (?v_67 (* (- 19) ?y3)) (?v_71 (* (- 78) ?y2)) (?v_66 (* (- 34) ?y5)) (?v_63 (* (- 100) ?y3)) (?v_168 (* (- 47) ?y2)) (?v_147 (* (- 24) ?y3)) (?v_139 (* (- 52) ?y2)) (?v_175 (* (- 58) ?y2)) (?v_144 (* (- 53) x1)) (?v_99 (* (- 83) ?y2)) (?v_95 (* (- 45) ?y4)) (?v_77 (* (- 76) ?y5)) (?v_135 (* (- 94) ?y1)) (?v_164 (* (- 24) ?y4)) (?v_117 (* (- 88) x1)) (?v_167 (* (- 36) ?y4)) (?v_149 (* (- 31) ?y3)) (?v_94 (* (- 73) ?y5)) (?v_140 (* (- 69) ?y4)) (?v_98 (* (- 8) ?y5)) (?v_153 (* (- 17) ?y2)) (?v_86 (* (- 33) ?y5)) (?v_129 (* (- 7) ?y2)) (?v_195 (* (- 61) ?y2)) (?v_165 (* (- 21) ?y3)) (?v_162 (* (- 58) ?y5)) (?v_174 (* (- 55) ?y5)) (?v_187 (* (- 50) ?y4)) (?v_189 (* (- 19) ?y5)) (?v_194 (* (- 15) ?y4))) (or (or (or (or (or (forall ((?y6 Real)) (and (and (and (> (+ (+ (+ (+ (* 40 ?y6) (* 5 ?y5)) (* 46 ?y2)) (* (- 38) ?y1)) (* 69 x1)) (- 91)) (= (+ (+ (+ (+ (+ (+ (* 51 ?y6) (* 77 ?y5)) ?v_110) (* (- 37) ?y3)) (* (- 14) ?y2)) (* (- 33) ?y1)) ?v_170) (- 27))) (<= (+ (+ (+ (+ (+ (* (- 28) ?y6) (* 29 ?y5)) ?v_90) ?v_180) (* 47 ?y2)) (* 35 ?y1)) 23)) (and (< (+ (+ (+ (* 9 ?y5) (* (- 67) ?y4)) (* (- 6) ?y3)) (* 19 ?y2)) (- 77)) (<= (+ (+ (+ (+ (* 49 ?y6) (* (- 16) ?y5)) (* 23 ?y4)) (* (- 55) ?y3)) (* (- 75) x1)) (- 76))))) (and (and (forall ((?y6 Real)) (or (and (not (= (+ (+ (+ (+ (+ (* (- 16) ?y6) ?v_70) (* (- 98) ?y3)) (* 2 ?y2)) (* 21 ?y1)) (* 11 x1)) (- 3))) (<= (+ (+ (+ (* 65 ?y6) (* (- 92) ?y4)) ?v_180) (* 43 ?y2)) (- 4))) (and (not (= (+ (+ (+ (+ (* (- 56) ?y6) ?v_79) (* 83 ?y3)) (* (- 70) ?y2)) (* 80 ?y1)) (- 27))) (<= (+ (+ (+ (+ (+ (+ (* 76 ?y6) (* 48 ?y5)) (* 70 ?y4)) (* (- 75) ?y3)) (* 37 ?y2)) (* 54 ?y1)) (* 45 x1)) (- 34))))) (and (not (= (+ (+ (+ (+ (* 67 ?y5) (* (- 63) ?y4)) (* (- 96) ?y3)) (* (- 31) ?y2)) (* (- 3) ?y1)) (- 60))) (> (+ (* (- 53) ?y2) (* (- 92) x1)) 0))) (exists ((?y6 Real)) (or (or (and (< (+ (+ (+ (* (- 70) ?y5) (* (- 56) ?y3)) (* (- 94) ?y2)) (* 98 ?y1)) 85) (< (+ (+ (* (- 41) ?y3) (* (- 64) ?y2)) ?v_101) 0)) (and (>= (+ (+ (+ (* 59 ?y6) (* (- 88) ?y4)) (* (- 60) ?y3)) (* (- 6) x1)) (- 92)) (= (+ (+ (+ (+ (* 66 ?y6) (* 31 ?y4)) (* 95 ?y3)) (* (- 23) ?y2)) (* 52 ?y1)) 71))) (and (or (>= (+ (+ (+ (+ (+ (+ (* 43 ?y6) (* (- 88) ?y5)) ?v_90) (* 65 ?y3)) (* 60 ?y2)) (* 80 ?y1)) ?v_190) (- 32)) (>= (+ (+ (+ (+ (+ (* (- 38) ?y6) (* 61 ?y5)) (* (- 80) ?y4)) (* (- 37) ?y3)) (* 78 ?y1)) (* (- 96) x1)) (- 29))) (or (not (= (+ (+ (+ (* 74 ?y6) (* (- 17) ?y5)) (* 61 ?y4)) (* 37 x1)) (- 72))) (>= (+ (+ (+ (+ (+ (* 79 ?y6) (* (- 72) ?y5)) (* (- 31) ?y4)) (* 9 ?y3)) ?v_108) (* (- 79) x1)) (- 8)))))))) (or (and (and (or (<= (+ (+ (* 21 ?y5) ?v_38) (* 2 ?y1)) 98) (and (> (+ (+ (+ ?v_114 ?v_93) ?v_97) (* 65 x1)) (- 40)) (>= (+ (+ (+ (+ (* (- 100) ?y5) (* 12 ?y4)) ?v_91) (* 35 ?y2)) ?v_155) 10))) (or (= (+ (+ (* (- 21) ?y5) ?v_81) (* (- 86) ?y3)) 0) (= (+ (+ (+ (+ (+ (* (- 3) ?y5) ?v_85) (* (- 67) ?y3)) ?v_61) ?v_177) ?v_46) (- 61)))) (or (or (and (>= (+ (+ (+ ?v_47 (* 66 ?y3)) ?v_39) ?v_64) 0) (> (+ (+ (+ (+ (+ (* (- 2) ?y5) ?v_74) ?v_45) (* 70 ?y2)) ?v_60) (* 96 x1)) 80)) (and (<= (+ (+ (+ (+ (* 34 ?y5) (* (- 8) ?y4)) ?v_125) ?v_88) (* (- 86) ?y1)) (- 15)) (> (+ (+ (+ (+ (* 88 ?y5) ?v_176) (* (- 69) ?y3)) (* (- 43) ?y2)) ?v_104) (- 49)))) (and (= (+ (+ (+ (* 73 ?y4) (* (- 16) ?y3)) ?v_185) (* 40 ?y1)) (- 100)) (or (< (+ (+ (+ (+ (+ (* 23 ?y5) ?v_55) ?v_44) (* 79 ?y2)) ?v_40) ?v_190) (- 23)) (< (+ (+ (+ (+ (* 51 ?y5) (* (- 41) ?y4)) (* (- 2) ?y3)) ?v_53) ?v_42) 100))))) (and (or (or (not (= (+ (+ (+ ?v_68 ?v_70) ?v_57) (* 58 x1)) 0)) (<= (+ (+ ?v_105 (* (- 82) ?y3)) ?v_159) 59)) (and (> (+ (+ (+ (+ ?v_79 (* 84 ?y4)) (* 7 ?y3)) ?v_103) (* (- 23) x1)) (- 48)) (not (= (+ (+ (+ (+ ?v_90 (* (- 32) ?y3)) ?v_52) ?v_134) ?v_58) (- 39))))) (and (or (and (<= (+ (+ (+ (+ (+ (* 78 ?y5) (* 66 ?y4)) ?v_87) ?v_73) (* 6 ?y1)) ?v_119) 0) (not (= (+ (+ (+ (+ ?v_142 (* 4 ?y3)) (* 30 ?y2)) ?v_124) (* 7 x1)) 20))) (or (> (+ (+ (* (- 69) ?y5) (* 1 ?y4)) ?v_138) (- 49)) (> (+ (+ ?v_83 (* 82 ?y1)) ?v_122) (- 70)))) (and (or (not (= (+ (+ (+ (* 85 ?y5) (* 96 ?y2)) (* 54 ?y1)) ?v_123) 0)) (>= (+ (+ (* (- 89) ?y5) ?v_38) ?v_39) 64)) (and (> (+ (+ (+ (+ (+ (* 52 ?y5) (* (- 83) ?y4)) ?v_49) (* (- 77) ?y2)) (* (- 37) ?y1)) (* (- 56) x1)) 89) (= (+ (+ (+ (+ (* 95 ?y5) (* 41 ?y3)) (* 93 ?y2)) ?v_169) ?v_184) (- 18)))))))) (or (or (or (or (not (= (+ (+ (+ (+ (+ ?v_151 (* 45 ?y4)) (* 37 ?y3)) ?v_133) ?v_40) ?v_54) (- 58))) (not (= (+ (+ (+ (+ (+ (* (- 94) ?y5) (* 16 ?y4)) (* (- 42) ?y3)) (* (- 36) ?y2)) ?v_150) (* (- 46) x1)) 0))) (not (= (+ (+ (+ (+ (+ ?v_41 (* (- 20) ?y4)) ?v_56) (* (- 90) ?y2)) ?v_89) (* (- 54) x1)) 96))) (and (and (or (= (+ (+ (+ (+ ?v_41 (* (- 92) ?y4)) (* 60 ?y2)) (* 49 ?y1)) (* (- 35) x1)) (- 19)) (<= (+ (+ (+ (+ (* 61 ?y5) (* (- 71) ?y4)) (* 75 ?y3)) ?v_157) (* 31 x1)) 20)) (and (< (+ (+ (+ (* (- 2) ?y4) ?v_67) ?v_43) ?v_42) 0) (not (= (+ (+ (+ (* (- 79) ?y4) (* 56 ?y2)) (* 62 ?y1)) ?v_173) (- 24))))) (or (and (= (+ (+ (+ (* (- 14) ?y4) ?v_71) ?v_43) (* (- 37) x1)) (- 4)) (= (+ (+ (+ ?v_44 ?v_48) (* (- 1) ?y1)) ?v_131) 0)) (and (not (= (+ (+ (+ ?v_154 (* (- 48) ?y2)) ?v_50) ?v_172) 6)) (> (+ (+ (+ (+ ?v_66 (* (- 70) ?y4)) ?v_45) (* 70 ?y1)) ?v_46) 0))))) (and (and (and (and (and (= (+ (+ (+ ?v_47 ?v_63) ?v_48) (* (- 85) ?y1)) (- 15)) (not (= (+ (+ ?v_44 (* 36 ?y2)) (* (- 44) x1)) 92))) (or (< (+ (+ (+ (* 84 ?y5) ?v_115) (* 89 ?y2)) (* (- 2) x1)) (- 92)) (not (= (+ (+ (+ (+ (+ (* (- 71) ?y5) (* 70 ?y4)) ?v_49) ?v_188) ?v_65) ?v_161) (- 28))))) (and (and (>= (+ (+ (+ (+ (* 28 ?y5) ?v_59) ?v_82) (* 98 ?y1)) ?v_62) 0) (not (= (+ (+ (+ (+ (+ (* (- 23) ?y5) (* 49 ?y4)) ?v_152) (* (- 2) ?y2)) (* 20 ?y1)) (* 89 x1)) 23))) (or (not (= (+ (+ (+ ?v_51 ?v_69) ?v_50) ?v_136) 32)) (> (+ (+ (+ (+ ?v_51 ?v_110) (* (- 64) ?y3)) ?v_52) ?v_170) (- 40))))) (or (> (+ (+ (+ (+ (+ (* 1 ?y5) (* 32 ?y4)) (* (- 50) ?y3)) ?v_168) ?v_141) ?v_158) (- 94)) (or (and (>= (+ (+ (+ (+ (+ (* 18 ?y5) (* 28 ?y4)) ?v_147) ?v_53) (* 19 ?y1)) ?v_72) 0) (>= (+ (+ (+ (* (- 56) ?y4) ?v_111) (* (- 66) ?y1)) (* 4 x1)) 0)) (or (< (+ (+ (+ (+ (* (- 13) ?y4) (* (- 4) ?y3)) (* 92 ?y2)) (* (- 32) ?y1)) (* (- 16) x1)) 73) (> (+ (+ (+ (* (- 19) ?y4) ?v_139) (* (- 11) ?y1)) ?v_54) (- 40)))))) (and (and (and (<= (+ (+ ?v_55 ?v_175) (* 55 x1)) 62) (not (= (+ (* (- 87) ?y4) ?v_101) (- 15)))) (and (or (not (= (+ (+ (+ ?v_80 ?v_56) (* 86 ?y2)) (* (- 51) ?y1)) (- 31))) (<= (+ (+ (+ (* (- 46) ?y4) ?v_100) ?v_57) ?v_144) 0)) (and (> (+ (+ (+ (+ (* 60 ?y5) (* 95 ?y3)) ?v_99) (* (- 67) ?y1)) ?v_58) 50) (= (+ (+ (+ (+ (+ ?v_75 ?v_59) (* 2 ?y3)) (* 55 ?y2)) (* 84 ?y1)) ?v_76) 15)))) (or (and (or (<= (+ (+ (+ (+ (* 15 ?y5) ?v_95) ?v_78) ?v_60) ?v_54) (- 27)) (not (= (+ (+ (+ (+ ?v_77 (* 58 ?y4)) (* (- 24) ?y2)) ?v_107) (* 88 x1)) 86))) (or (<= (+ (+ (+ (+ (* (- 29) ?y4) (* (- 58) ?y3)) ?v_61) ?v_135) ?v_62) 90) (>= (+ (+ (+ (+ (+ (* (- 40) ?y5) (* (- 57) ?y4)) (* 88 ?y3)) (* (- 80) ?y2)) (* 46 ?y1)) (* 35 x1)) 0))) (or (or (> (+ (+ (+ (+ (* 9 ?y5) ?v_63) (* (- 32) ?y2)) ?v_64) (* 77 x1)) 95) (> (+ (+ (+ (* 65 ?y4) ?v_109) ?v_65) (* 14 x1)) 95)) (and (not (= (+ (+ (+ (+ (+ ?v_66 ?v_164) ?v_67) (* 12 ?y2)) (* (- 27) ?y1)) ?v_113) (- 7))) (>= (+ (* 37 ?y4) (* 43 x1)) 0)))))))) (exists ((?y6 Real)) (let ((?v_205 (* 99 x1)) (?v_207 (* 45 ?y1)) (?v_200 (* 16 ?y4)) (?v_197 (* 43 ?y5)) (?v_201 (* 81 ?y4)) (?v_216 (* 83 ?y2)) (?v_204 (* 60 ?y4)) (?v_218 (* 65 ?y2)) (?v_214 (* 16 ?y2)) (?v_202 (* 69 ?y2)) (?v_208 (* 6 x1)) (?v_210 (* 56 ?y3)) (?v_215 (* 34 ?y2)) (?v_213 (* 3 ?y5)) (?v_209 (* 79 ?y5)) (?v_217 (* 97 ?y4)) (?v_206 (* (- 56) x1)) (?v_199 (* (- 96) x1)) (?v_198 (* (- 9) ?y3)) (?v_203 (* (- 30) ?y6)) (?v_219 (* (- 34) ?y4)) (?v_211 (* (- 22) ?y5)) (?v_212 (* (- 85) ?y2)) (?v_220 (* (- 68) ?y3))) (and (or (and (or (or (or (= (+ (+ (+ ?v_197 ?v_198) (* 71 ?y1)) (* 83 x1)) (- 54)) (= (+ (+ (+ (+ (+ (* 74 ?y6) (* (- 9) ?y5)) ?v_182) (* 30 ?y3)) (* 17 ?y2)) (* (- 7) ?y1)) (- 87))) (and (<= (+ (+ (+ (+ (+ (* 25 ?y6) (* 69 ?y5)) ?v_74) (* (- 91) ?y3)) ?v_39) (* 27 ?y1)) 0) (> (+ (+ (+ (+ (* 64 ?y5) (* (- 72) ?y4)) (* (- 51) ?y3)) (* 46 ?y2)) (* (- 54) x1)) (- 13)))) (and (or (= (+ (+ (+ (+ (+ (+ (* (- 17) ?y6) (* (- 65) ?y5)) ?v_201) (* (- 7) ?y3)) ?v_175) (* (- 41) ?y1)) (* (- 11) x1)) 3) (= (+ (+ (+ (+ (+ (+ (* 92 ?y6) (* 92 ?y5)) ?v_200) (* 6 ?y3)) ?v_216) ?v_137) (* 26 x1)) 66)) (or (not (= (+ (+ (+ (+ ?v_197 (* (- 83) ?y4)) (* (- 83) ?y3)) (* 18 ?y1)) ?v_199) (- 100))) (< (+ (+ (+ (+ (+ (+ (* (- 27) ?y6) (* (- 92) ?y5)) (* (- 35) ?y4)) ?v_198) (* (- 29) ?y2)) (* (- 37) ?y1)) (* (- 2) x1)) 16)))) (and (and (>= (+ (+ (+ (+ (* 44 ?y6) ?v_77) ?v_204) (* (- 72) ?y2)) ?v_60) (- 11)) (< (+ (+ (+ (* 20 ?y4) ?v_218) ?v_137) ?v_199) (- 68))) (or (>= (+ (+ (+ (+ (* 100 ?y6) (* (- 68) ?y5)) ?v_200) (* 100 ?y3)) (* (- 79) ?y2)) 28) (<= (+ (+ (+ (+ (+ ?v_105 (* (- 56) ?y4)) (* (- 5) ?y3)) (* (- 70) ?y2)) (* (- 88) ?y1)) ?v_205) (- 4))))) (or (or (and (>= (+ (+ (+ (+ (+ (* (- 2) ?y6) (* 18 ?y5)) (* 20 ?y3)) ?v_188) (* 96 ?y1)) (* (- 45) x1)) (- 32)) (or (not (= (+ (+ (+ (* 69 ?y6) ?v_127) (* 3 ?y3)) ?v_214) 0)) (= (+ (+ (+ (+ (+ (+ (* (- 77) ?y6) (* 23 ?y5)) (* 73 ?y4)) ?v_125) (* 73 ?y2)) (* (- 68) ?y1)) (* 29 x1)) 9))) (or (and (>= (+ (+ (+ (+ (* 96 ?y6) ?v_114) (* 53 ?y3)) (* (- 13) ?y2)) (* 85 x1)) (- 11)) (<= (+ (+ (+ (+ (+ (+ ?v_203 (* (- 50) ?y5)) (* 47 ?y4)) (* (- 84) ?y3)) ?v_202) ?v_60) (* 46 x1)) 0)) (or (>= (+ (+ (+ (+ (+ (+ (* 82 ?y6) (* (- 94) ?y5)) ?v_201) (* (- 69) ?y3)) (* 99 ?y2)) ?v_207) ?v_76) 34) (< (+ (+ (+ (+ (+ (* 62 ?y6) (* (- 87) ?y5)) (* (- 22) ?y4)) ?v_202) (* 24 ?y1)) (* (- 51) x1)) 13)))) (or (and (or (>= (+ (+ (+ (+ (+ (* (- 70) ?y6) (* (- 39) ?y5)) (* 6 ?y4)) (* 42 ?y3)) (* 73 ?y1)) ?v_206) 0) (= (+ (+ (+ (+ (+ ?v_203 ?v_90) (* 41 ?y3)) (* 63 ?y2)) (* 61 ?y1)) ?v_208) 99)) (or (<= (+ (+ (* 40 ?y6) (* 75 ?y3)) (* 58 x1)) 0) (= (+ (+ (+ (+ (+ (+ (* (- 14) ?y6) (* 87 ?y5)) ?v_204) (* (- 58) ?y3)) (* (- 16) ?y2)) (* (- 78) ?y1)) ?v_205) (- 75)))) (or (>= (+ (+ (+ (+ (* 89 ?y6) (* 5 ?y3)) (* (- 56) ?y2)) (* (- 56) ?y1)) ?v_206) 46) (and (not (= (+ (+ (+ (+ ?v_120 (* 63 ?y3)) (* 19 ?y2)) (* (- 27) ?y1)) (* 7 x1)) 0)) (> (+ (+ (+ (* (- 76) ?y6) ?v_186) (* (- 28) ?y2)) (* (- 66) x1)) 53)))))) (and (or (or (or (and (<= (+ (+ (+ (+ (+ (* 27 ?y6) (* (- 80) ?y5)) ?v_219) ?v_152) (* (- 82) ?y2)) ?v_207) 0) (= (+ (+ (+ (+ (+ (* (- 5) ?y6) (* 27 ?y5)) (* (- 61) ?y4)) ?v_210) ?v_215) (* (- 69) ?y1)) 81)) (and (< (+ (+ (+ (+ (* (- 37) ?y6) ?v_211) (* (- 87) ?y4)) (* 44 ?y3)) (* (- 18) x1)) 76) (>= (+ (+ (+ (+ (+ ?v_213 (* (- 86) ?y4)) (* 22 ?y3)) (* 4 ?y2)) (* 65 ?y1)) (* (- 3) x1)) 19))) (or (or (= (+ (+ (+ (+ (+ (+ (* (- 86) ?y6) (* (- 91) ?y5)) (* 84 ?y4)) (* (- 15) ?y3)) ?v_212) (* (- 95) ?y1)) ?v_208) 69) (>= (+ (+ (+ (+ (* 28 ?y6) (* 29 ?y5)) (* (- 13) ?y4)) (* 36 ?y2)) (* 51 ?y1)) 34)) (and (>= (+ (+ (+ (+ (* (- 47) ?y6) ?v_220) (* 22 ?y2)) (* (- 49) ?y1)) (* (- 69) x1)) 0) (= (+ (+ (+ (+ (+ (* 3 ?y6) ?v_209) (* (- 18) ?y4)) (* (- 3) ?y2)) ?v_169) (* 52 x1)) 66)))) (and (or (= (+ (+ (+ (+ (+ (* (- 99) ?y6) ?v_209) ?v_210) (* (- 97) ?y2)) ?v_150) (* (- 12) x1)) 71) (> (+ (+ (+ (* 66 ?y5) (* (- 79) ?y4)) (* 80 ?y2)) (* 59 x1)) 0)) (< (+ (+ (+ (+ (* (- 64) ?y6) (* (- 80) ?y4)) (* (- 12) ?y3)) ?v_141) (* (- 83) x1)) 85))) (and (and (and (and (> (+ (+ (+ (+ (+ (+ (* (- 100) ?y6) ?v_211) (* (- 57) ?y4)) (* (- 38) ?y3)) ?v_212) (* (- 4) ?y1)) ?v_119) 95) (not (= (+ (+ (+ (* (- 30) ?y5) (* 66 ?y4)) (* 71 ?y3)) (* (- 40) x1)) 0))) (and (<= (+ (+ (+ (+ (* 53 ?y5) (* 68 ?y4)) ?v_48) (* 77 ?y1)) (* (- 19) x1)) 0) (> (+ (+ (+ (+ ?v_213 ?v_217) ?v_214) ?v_150) ?v_179) 29))) (and (or (> (+ (+ (+ (+ (* (- 51) ?y6) (* (- 46) ?y5)) (* 89 ?y4)) ?v_215) (* 35 ?y1)) 77) (> (+ (+ (+ (+ (+ (+ (* 30 ?y6) (* 89 ?y5)) ?v_70) ?v_152) ?v_216) (* 100 ?y1)) (* 53 x1)) 95)) (not (= (+ (+ (+ (+ (* (- 37) ?y5) (* (- 29) ?y4)) (* (- 20) ?y3)) (* (- 12) ?y1)) (* 77 x1)) 72)))) (and (or (and (>= (+ (+ (+ (+ (+ (* 98 ?y5) ?v_217) (* 91 ?y3)) ?v_108) (* (- 24) ?y1)) (* (- 65) x1)) 0) (<= (+ (+ (+ (+ (* 39 ?y6) (* (- 16) ?y4)) ?v_218) (* (- 16) ?y1)) (* (- 77) x1)) 9)) (or (not (= (+ (+ (+ (+ (+ (* (- 7) ?y5) ?v_219) (* (- 25) ?y3)) (* (- 6) ?y2)) (* (- 5) ?y1)) ?v_62) (- 1))) (<= (+ (+ (+ (* (- 92) ?y6) ?v_70) (* 51 ?y2)) (* (- 38) ?y1)) 0))) (and (> (+ (+ (+ (* 26 ?y5) (* (- 23) ?y4)) (* 54 ?y2)) (* (- 52) x1)) 30) (and (not (= (+ (+ (+ (+ (* (- 35) ?y5) (* (- 9) ?y4)) ?v_220) ?v_61) (* 39 x1)) 0)) (< (+ (+ (+ (* (- 30) ?y4) (* 57 ?y3)) (* 95 ?y1)) (* (- 64) x1)) (- 56))))))))))) (or (or (exists ((?y6 Real)) (let ((?v_223 (* 98 x1)) (?v_227 (* 31 ?y4)) (?v_229 (* 3 ?y3)) (?v_225 (* 59 ?y5)) (?v_221 (* 31 ?y3)) (?v_228 (* (- 29) ?y2)) (?v_222 (* (- 29) ?y3)) (?v_224 (* (- 8) ?y1)) (?v_226 (* (- 65) ?y3)) (?v_230 (* (- 24) ?y6))) (or (or (and (and (or (not (= (+ (+ (+ (+ (+ (* 38 ?y6) (* (- 66) ?y5)) (* (- 57) ?y4)) ?v_222) (* 42 ?y2)) (* 19 ?y1)) 0)) (<= (+ (+ (+ (+ (+ (* (- 78) ?y6) (* 73 ?y5)) (* (- 88) ?y4)) (* 58 ?y3)) (* (- 43) ?y2)) (* 37 x1)) (- 72))) (>= (+ (+ (+ (+ (* (- 16) ?y6) (* 28 ?y4)) ?v_97) (* 8 ?y1)) (* 71 x1)) 31)) (or (or (<= (+ (+ (* (- 81) ?y4) (* (- 80) ?y1)) (* 72 x1)) 27) (not (= (+ (+ (+ (+ (* 14 ?y6) (* 17 ?y5)) (* (- 76) ?y4)) ?v_229) (* (- 64) ?y2)) 29))) (and (>= (+ (+ (+ (* 87 ?y6) (* 62 ?y3)) (* (- 80) ?y2)) ?v_223) 0) (> (+ (+ (+ (+ (+ (+ (* 20 ?y6) ?v_225) (* (- 21) ?y4)) (* (- 32) ?y3)) ?v_185) ?v_64) (* 35 x1)) (- 94))))) (and (and (= (+ (+ (+ (+ (* 98 ?y6) (* 8 ?y5)) (* (- 63) ?y4)) ?v_221) (* (- 33) x1)) 2) (<= (+ (+ (+ (+ (* 26 ?y6) (* (- 89) ?y5)) (* 95 ?y4)) (* 39 ?y3)) (* 84 ?y1)) (- 79))) (and (or (>= (+ (+ (+ (+ (+ (* (- 25) ?y6) (* 93 ?y5)) ?v_221) (* (- 13) ?y2)) ?v_137) (* (- 74) x1)) 31) (>= (+ (+ (* (- 1) ?y6) (* (- 13) ?y5)) (* (- 71) x1)) 0)) (or (< (+ (+ (+ (+ (* (- 88) ?y5) ?v_128) ?v_222) (* 81 ?y2)) ?v_190) 37) (>= (+ (+ (+ (* 48 ?y4) (* 18 ?y3)) ?v_224) (* (- 75) x1)) 0))))) (and (or (or (or (<= (+ (+ (+ (+ (* 7 ?y6) (* (- 14) ?y4)) ?v_53) (* (- 26) ?y1)) (* 46 x1)) 0) (< (+ (+ (+ (+ (* 60 ?y6) (* 72 ?y3)) (* (- 24) ?y2)) (* 15 ?y1)) ?v_223) 1)) (or (and (<= (+ (+ (+ (+ (* 86 ?y6) ?v_114) (* 30 ?y2)) ?v_224) ?v_113) (- 52)) (<= (+ (+ (+ (+ (+ (* (- 37) ?y6) (* 88 ?y5)) (* (- 75) ?y4)) (* (- 97) ?y3)) (* 82 ?y2)) ?v_144) (- 40))) (and (>= (+ (+ (+ (+ (+ (* 11 ?y5) (* 90 ?y4)) (* (- 34) ?y3)) (* 85 ?y2)) (* 45 ?y1)) (* (- 69) x1)) 55) (<= (+ (+ (+ (+ (+ (* 48 ?y6) (* 13 ?y4)) (* (- 62) ?y3)) ?v_228) (* 82 ?y1)) ?v_184) (- 16))))) (or (or (or (< (+ (+ (+ (+ ?v_193 (* (- 80) ?y4)) (* (- 53) ?y3)) (* 16 ?y2)) (* (- 93) ?y1)) 0) (<= (+ (+ (+ (+ (* 87 ?y5) (* 69 ?y3)) (* (- 87) ?y2)) ?v_121) (* (- 93) x1)) (- 94))) (and (> (+ (+ (+ (* 4 ?y6) (* (- 94) ?y5)) (* (- 55) ?y4)) (* 16 ?y1)) 0) (< (+ (+ (+ (+ (+ (* 80 ?y6) (* (- 59) ?y5)) (* (- 96) ?y4)) (* (- 12) ?y3)) (* 65 ?y1)) (* 30 x1)) (- 86)))) (or (and (<= (+ (+ (+ (+ (+ (* 94 ?y6) (* 14 ?y5)) ?v_227) (* (- 87) ?y3)) (* (- 52) ?y1)) (* (- 40) x1)) 98) (< (+ (+ (+ (+ (+ (* (- 41) ?y6) (* 15 ?y4)) ?v_226) (* (- 27) ?y2)) ?v_135) (* (- 34) x1)) 91)) (and (<= (+ (+ (+ (* 37 ?y4) (* (- 77) ?y3)) (* 88 ?y1)) (* 88 x1)) (- 13)) (not (= (+ (+ (+ (* (- 25) ?y5) (* (- 43) ?y4)) (* (- 67) ?y2)) (* (- 14) x1)) 81)))))) (and (and (and (and (< (+ (+ (+ (+ (+ (+ (* (- 54) ?y6) (* 24 ?y5)) ?v_118) (* (- 17) ?y3)) (* (- 68) ?y2)) ?v_134) ?v_161) (- 5)) (= (+ (+ (+ (+ (* (- 22) ?y5) (* 59 ?y4)) (* 77 ?y3)) (* 89 ?y2)) (* 57 x1)) 0)) (or (> (+ (+ (+ (* (- 7) ?y6) ?v_225) ?v_226) (* (- 8) ?y2)) 0) (<= (+ (+ (+ ?v_230 (* (- 7) ?y4)) (* 26 ?y2)) (* 83 x1)) 71))) (or (and (= (+ (+ (+ (+ (+ (* 24 ?y6) (* (- 93) ?y5)) (* 78 ?y4)) ?v_108) (* (- 31) ?y1)) ?v_72) (- 91)) (= (+ (+ (+ (+ (* 58 ?y5) ?v_227) ?v_228) (* (- 23) ?y1)) (* (- 1) x1)) 0)) (or (> (+ (+ (+ (+ (+ (* (- 92) ?y6) (* (- 39) ?y4)) (* (- 5) ?y3)) (* (- 72) ?y2)) (* (- 65) ?y1)) (* 10 x1)) 0) (< (+ (+ (+ (* 57 ?y5) (* (- 94) ?y4)) (* 96 ?y3)) (* 83 ?y2)) 28)))) (and (or (or (< (+ (+ (+ (+ (+ (+ (* (- 21) ?y6) (* 99 ?y5)) (* (- 47) ?y4)) ?v_229) ?v_82) (* 59 ?y1)) ?v_58) (- 17)) (< (+ (+ (+ (+ (+ (+ ?v_230 (* (- 85) ?y5)) (* 84 ?y4)) (* (- 91) ?y3)) ?v_48) (* (- 11) ?y1)) ?v_72) 0)) (= (+ (+ (+ (+ (+ (+ (* (- 60) ?y6) (* 44 ?y5)) (* 61 ?y4)) (* (- 9) ?y3)) (* 37 ?y2)) (* (- 84) ?y1)) (* 17 x1)) 60)) (>= (+ (+ (+ (+ (+ (* 83 ?y6) (* (- 21) ?y5)) (* (- 90) ?y4)) (* (- 54) ?y3)) (* 79 ?y2)) (* 34 ?y1)) 4))))))) (or (and (or (forall ((?y6 Real)) (and (and (and (> (+ (+ ?v_176 (* 41 ?y3)) ?v_196) (- 78)) (>= (+ (+ (+ (+ (+ (* (- 85) ?y6) (* (- 22) ?y5)) (* (- 86) ?y4)) (* (- 85) ?y3)) (* 70 ?y2)) (* (- 43) x1)) (- 62))) (and (> (+ (+ (+ (+ (+ (* (- 95) ?y5) (* (- 57) ?y4)) (* 14 ?y3)) (* 20 ?y2)) (* (- 88) ?y1)) (* (- 93) x1)) 0) (= (+ (+ (* (- 73) ?y4) (* 53 ?y3)) ?v_170) 0))) (or (> (+ (+ (+ (* (- 64) ?y6) (* (- 55) ?y4)) (* (- 94) ?y2)) (* 82 x1)) 5) (or (= (+ (+ (+ (+ (+ (* 96 ?y6) (* (- 82) ?y5)) (* (- 8) ?y4)) (* 89 ?y2)) (* 71 ?y1)) (* 38 x1)) 0) (> (+ (+ (+ (* 81 ?y6) ?v_180) (* 80 ?y2)) (* (- 1) x1)) (- 39)))))) (exists ((?y6 Real)) (and (and (> (+ (+ (+ (* 13 ?y6) (* 22 ?y4)) (* (- 93) ?y2)) ?v_92) (- 82)) (and (= (+ (+ (+ (+ (* 15 ?y6) (* (- 38) ?y5)) (* 93 ?y2)) (* (- 40) ?y1)) (* 50 x1)) 20) (>= (+ (+ (+ (+ (+ (+ (* (- 76) ?y6) (* (- 95) ?y5)) ?v_74) (* 8 ?y3)) (* 79 ?y2)) ?v_40) (* 68 x1)) 49))) (and (> (+ (+ (+ (+ (+ (* (- 53) ?y6) (* (- 5) ?y5)) (* 45 ?y4)) (* 37 ?y3)) (* 62 ?y2)) (* (- 29) ?y1)) (- 43)) (> (+ (+ (+ (+ (+ (* 98 ?y6) (* (- 45) ?y5)) (* (- 89) ?y4)) (* 38 ?y3)) (* 96 ?y1)) (* 71 x1)) (- 55)))))) (and (exists ((?y6 Real)) (let ((?v_231 (* 23 ?y2))) (or (or (or (not (= (+ (+ (+ (* 30 ?y6) ?v_95) (* 48 ?y3)) (* 94 x1)) 15)) (> (+ (+ (+ (+ (* (- 13) ?y6) (* 96 ?y5)) (* (- 83) ?y4)) (* (- 42) ?y2)) (* 45 ?y1)) 0)) (and (> (+ (+ (+ (* (- 22) ?y6) (* (- 34) ?y4)) ?v_231) (* (- 33) ?y1)) 0) (>= (+ (+ (+ (+ (* (- 2) ?y6) (* (- 55) ?y4)) (* 73 ?y3)) ?v_231) (* 61 ?y1)) 13))) (or (and (not (= (+ (+ (+ (+ (+ (+ (* 45 ?y6) (* 48 ?y5)) ?v_146) (* (- 4) ?y3)) (* 79 ?y2)) (* (- 24) ?y1)) ?v_181) 57)) (not (= (+ (+ (+ (+ (+ (+ (* 82 ?y6) (* (- 69) ?y5)) (* (- 49) ?y4)) (* (- 72) ?y3)) (* 75 ?y2)) (* (- 74) ?y1)) ?v_84) 72))) (or (> (+ (+ (+ (+ (* 47 ?y5) (* (- 87) ?y4)) (* (- 27) ?y2)) (* 37 ?y1)) ?v_117) (- 93)) (>= (+ (+ (* (- 87) ?y6) (* (- 10) ?y5)) (* 61 ?y4)) (- 2))))))) (exists ((?y6 Real)) (let ((?v_232 (* 31 ?y6)) (?v_233 (* 43 ?y6))) (or (and (or (>= (+ (+ (+ (+ (+ (+ ?v_232 (* (- 26) ?y5)) (* 25 ?y4)) (* 43 ?y3)) ?v_138) (* 7 ?y1)) (* (- 69) x1)) (- 29)) (< (+ (+ (+ (+ (+ ?v_233 (* 88 ?y5)) (* (- 5) ?y4)) (* 20 ?y3)) (* 93 ?y1)) (* 57 x1)) 0)) (and (< (+ (+ (+ (+ (+ (* 90 ?y6) (* (- 73) ?y4)) (* (- 80) ?y3)) ?v_82) (* (- 3) ?y1)) (* (- 93) x1)) 0) (<= (+ (+ (+ (+ ?v_232 (* 27 ?y5)) (* 56 ?y4)) ?v_40) (* 56 x1)) (- 40)))) (or (or (> (+ (+ (+ (+ (+ (* (- 63) ?y6) (* (- 43) ?y5)) ?v_128) (* 3 ?y2)) (* (- 91) ?y1)) (* 59 x1)) 24) (not (= (+ (+ (+ (+ ?v_233 (* 84 ?y5)) (* 30 ?y3)) (* 37 ?y2)) (* (- 75) x1)) 48))) (and (not (= (+ (* 12 ?y5) (* (- 55) x1)) (- 39))) (not (= (+ (+ (+ (* 17 ?y5) ?v_167) (* (- 67) ?y2)) (* 62 ?y1)) (- 24)))))))))) (exists ((?y6 Real)) (let ((?v_235 (* 93 x1)) (?v_234 (* 22 ?y4))) (or (or (and (<= (+ (+ (+ (+ (* (- 91) ?y6) (* (- 71) ?y4)) (* 98 ?y3)) (* 8 ?y2)) (* (- 8) ?y1)) (- 13)) (or (not (= (+ (+ (+ (* 99 ?y6) (* (- 65) ?y5)) ?v_234) ?v_101) (- 28))) (or (<= (+ (+ (+ (+ (* 16 ?y6) (* 17 ?y5)) (* 17 ?y2)) (* 24 ?y1)) (* 53 x1)) 65) (<= (+ (+ (+ (+ (* (- 59) ?y5) (* 8 ?y4)) (* (- 49) ?y3)) ?v_183) (* (- 49) ?y1)) 86)))) (and (or (and (< (+ (+ (+ (+ (* (- 36) ?y6) (* (- 56) ?y4)) (* (- 58) ?y3)) ?v_78) (* (- 77) ?y1)) (- 35)) (>= (+ (+ (+ (+ (* 84 ?y5) (* 76 ?y4)) (* 71 ?y3)) (* 86 ?y2)) (* (- 51) x1)) 94)) (or (> (+ (+ (+ (+ (+ (+ (* (- 40) ?y6) (* 42 ?y5)) (* (- 55) ?y4)) (* 1 ?y3)) (* 37 ?y2)) (* (- 52) ?y1)) (* (- 55) x1)) 0) (not (= (+ (+ (+ (+ (+ (* 58 ?y6) (* (- 3) ?y5)) (* 33 ?y4)) ?v_149) (* (- 15) ?y2)) (* 7 ?y1)) 57)))) (and (or (< (+ (+ (+ (+ ?v_234 ?v_69) (* (- 10) ?y2)) (* 46 ?y1)) (* 37 x1)) 0) (not (= (+ (+ (+ (+ (* 64 ?y6) (* 34 ?y5)) (* 77 ?y4)) ?v_44) (* 50 ?y1)) (- 21)))) (and (< (+ (+ (+ (+ (+ (+ (* (- 24) ?y6) (* 60 ?y5)) (* (- 38) ?y4)) (* (- 27) ?y3)) ?v_168) (* (- 81) ?y1)) ?v_235) 0) (> (+ (+ (+ (* 57 ?y3) (* (- 26) ?y2)) (* 78 ?y1)) (* (- 97) x1)) 0))))) (or (or (and (= (+ (+ (+ (+ (+ (* (- 96) ?y6) ?v_171) (* 60 ?y3)) (* (- 33) ?y2)) (* 20 ?y1)) (* 92 x1)) 81) (= (+ (+ (+ (+ (+ (* 28 ?y6) (* 44 ?y5)) ?v_55) (* (- 30) ?y3)) (* 73 ?y1)) ?v_235) (- 51))) (or (and (not (= (+ (+ (+ (+ (* 30 ?y6) (* 37 ?y5)) (* 28 ?y4)) (* 34 ?y3)) (* (- 2) ?y2)) (- 6))) (> (+ (+ (+ (* 67 ?y4) (* (- 40) ?y2)) (* 82 ?y1)) (* (- 40) x1)) (- 57))) (or (>= (+ (+ (+ (+ (+ (+ (* 40 ?y6) (* (- 80) ?y5)) (* (- 13) ?y4)) (* 61 ?y3)) (* 29 ?y2)) (* 60 ?y1)) (* 51 x1)) 91) (>= (+ (+ (+ (* 12 ?y4) (* 51 ?y3)) (* (- 6) ?y2)) (* (- 24) ?y1)) 10)))) (or (and (not (= (+ (+ (+ (+ (+ (* 83 ?y6) (* (- 88) ?y5)) (* 16 ?y4)) (* (- 56) ?y3)) (* 31 ?y2)) (* (- 72) x1)) 0)) (not (= (+ (+ (+ (+ (* (- 70) ?y6) (* 27 ?y5)) (* (- 2) ?y4)) (* (- 73) ?y3)) (* 66 x1)) 0))) (or (and (<= (+ (+ (+ (+ (+ (+ (* 79 ?y6) (* 100 ?y5)) (* 82 ?y4)) (* (- 40) ?y3)) (* (- 41) ?y2)) (* 100 ?y1)) (* 54 x1)) 92) (not (= (+ (+ (+ (+ (* 68 ?y6) ?v_94) (* 32 ?y3)) (* 60 ?y2)) ?v_54) 39))) (not (= (+ (+ (+ (+ (+ (* 78 ?y6) (* 91 ?y4)) (* (- 51) ?y3)) (* (- 73) ?y2)) (* 8 ?y1)) (* 55 x1)) 0)))))))))) (and (and (or (or (or (or (and (<= (+ (+ (+ (+ ?v_68 (* 51 ?y4)) (* (- 10) ?y3)) (* (- 34) ?y2)) (* 21 x1)) 36) (> (+ (+ ?v_69 (* 45 ?y2)) (* 54 x1)) 59)) (or (<= (+ (+ (+ (* (- 80) ?y4) (* (- 15) ?y2)) (* 16 ?y1)) (* 49 x1)) (- 72)) (< (+ (+ (+ (* (- 92) ?y5) ?v_70) ?v_71) ?v_72) (- 20)))) (or (and (>= (+ (+ (+ (* (- 29) ?y5) ?v_140) ?v_73) (* 5 ?y1)) 0) (not (= (+ (+ (+ (+ ?v_98 (* 46 ?y3)) (* 71 ?y2)) ?v_40) (* (- 34) x1)) (- 82)))) (or (not (= (+ (+ (+ (+ (* 24 ?y5) ?v_74) (* (- 36) ?y3)) (* (- 59) ?y2)) ?v_84) (- 91))) (<= (+ (+ (+ (* (- 78) ?y5) (* (- 26) ?y4)) (* 78 ?y3)) ?v_178) 0)))) (or (and (> (+ (+ (+ (+ ?v_75 ?v_160) (* 73 ?y3)) (* (- 73) ?y1)) ?v_76) 0) (<= (+ (+ (+ (* (- 32) ?y5) (* (- 17) ?y4)) (* 44 ?y2)) (* 79 ?y1)) 38)) (or (and (>= (+ (+ (+ ?v_77 ?v_153) (* 97 ?y1)) ?v_163) 0) (<= (+ (+ (+ (+ ?v_51 ?v_180) ?v_78) (* 74 ?y1)) ?v_116) 0)) (or (> (+ (+ (+ (* 19 ?y4) ?v_96) (* 78 ?y1)) (* 85 x1)) 89) (= (+ (+ (+ (+ ?v_79 (* 17 ?y4)) (* 65 ?y3)) (* 1 ?y1)) (* (- 95) x1)) 78))))) (and (and (or (<= (+ (+ (+ (+ ?v_80 ?v_81) ?v_106) ?v_82) (* (- 11) x1)) 20) (< (+ (+ (+ (+ (+ ?v_94 (* 30 ?y4)) (* (- 78) ?y3)) ?v_83) ?v_121) ?v_84) 13)) (= (+ (+ (+ (+ (* 29 ?y5) ?v_128) (* (- 35) ?y2)) (* 93 ?y1)) ?v_132) 54)) (and (not (= (+ (+ (+ (+ ?v_86 ?v_182) (* 3 ?y3)) ?v_129) ?v_57) 32)) (> (+ (+ (+ ?v_85 (* 70 ?y3)) ?v_108) ?v_137) (- 82))))) (or (and (or (and (or (= (+ (+ (+ (+ ?v_86 (* (- 68) ?y4)) ?v_87) ?v_88) ?v_89) 96) (>= (+ (+ ?v_77 (* (- 21) ?y4)) (* 52 ?y2)) (- 83))) (>= (+ (+ (+ (+ (* 77 ?y5) ?v_90) (* (- 47) ?y3)) (* (- 85) ?y2)) ?v_92) 46)) (or (or (<= (+ (+ (+ (* (- 55) ?y4) (* (- 93) ?y2)) ?v_130) (* (- 78) x1)) (- 21)) (< (+ (+ (+ (+ (* 22 ?y5) ?v_146) ?v_91) ?v_195) ?v_92) (- 41))) (and (< (+ (+ (+ (* (- 25) ?y5) ?v_93) ?v_165) (* (- 89) x1)) 61) (< (+ (+ (+ (+ ?v_94 ?v_95) ?v_96) ?v_97) ?v_112) 40)))) (and (or (and (= (+ (+ (+ (+ ?v_98 (* (- 99) ?y4)) (* (- 81) ?y3)) ?v_99) (* 41 x1)) (- 60)) (> (+ (+ (+ (+ (+ (* (- 17) ?y5) ?v_85) ?v_100) (* (- 70) ?y2)) (* (- 41) ?y1)) ?v_102) (- 40))) (and (> (+ (+ (+ ?v_162 (* (- 13) ?y3)) ?v_101) ?v_102) (- 64)) (<= (+ (+ (+ (+ (+ ?v_174 ?v_120) (* (- 90) ?y3)) ?v_103) ?v_104) (* (- 38) x1)) 0))) (and (and (not (= (+ (+ (+ (+ (+ ?v_105 ?v_187) ?v_106) (* 38 ?y2)) ?v_107) ?v_148) 98)) (>= (+ (+ (+ (+ (+ (* 58 ?y5) ?v_118) ?v_149) ?v_108) (* (- 53) ?y1)) ?v_117) 0)) (or (<= (+ (+ (+ (* (- 44) ?y5) ?v_109) (* (- 72) ?y2)) (* 80 ?y1)) 48) (>= (+ (+ (+ (+ (+ (* 56 ?y5) ?v_110) (* (- 41) ?y3)) (* 6 ?y2)) ?v_40) (* (- 7) x1)) 4))))) (and (and (> (+ (+ (+ ?v_189 ?v_111) ?v_112) ?v_113) 11) (= (+ (+ (+ ?v_114 ?v_194) ?v_115) ?v_43) (- 9))) (and (or (> (+ (+ (+ (+ (+ (* 3 ?y5) (* (- 33) ?y4)) (* (- 6) ?y3)) (* (- 65) ?y2)) ?v_126) ?v_116) (- 9)) (= (+ (+ (* (- 59) ?y5) ?v_156) ?v_117) (- 55))) (or (or (>= (+ (+ (+ ?v_118 ?v_91) ?v_145) ?v_119) 0) (>= (+ (+ (+ ?v_120 (* (- 92) ?y3)) (* 64 ?y1)) ?v_179) 0)) (and (<= (+ (+ (+ (+ (* 14 ?y5) (* 69 ?y4)) (* 29 ?y2)) ?v_121) ?v_122) (- 33)) (not (= (+ (+ (+ (+ (* 25 ?y5) (* (- 17) ?y3)) (* (- 12) ?y2)) (* 29 ?y1)) ?v_123) (- 34))))))))) (or (and (or (and (or (or (< (+ (+ (+ (* (- 88) ?y5) (* 9 ?y2)) ?v_124) ?v_181) 61) (>= (+ (+ (+ (+ (+ ?v_127 (* (- 76) ?y4)) ?v_125) (* (- 22) ?y2)) ?v_126) (* (- 27) x1)) 0)) (or (< (+ (+ (+ (+ (+ ?v_127 ?v_128) (* (- 93) ?y3)) ?v_129) ?v_130) ?v_131) (- 17)) (not (= (+ (+ (+ (+ (* 20 ?y5) (* 43 ?y4)) (* (- 9) ?y2)) (* 61 ?y1)) ?v_132) 0)))) (or (and (< (+ (+ (+ (+ (* 29 ?y4) (* 5 ?y3)) ?v_133) ?v_134) (* (- 26) x1)) (- 44)) (< (+ (+ (+ (+ ?v_193 (* (- 35) ?y4)) (* 11 ?y2)) ?v_143) (* (- 69) x1)) (- 14))) (and (>= (+ (+ (+ (* (- 35) ?y5) ?v_120) (* 53 ?y3)) ?v_135) (- 83)) (<= (+ (+ (+ (+ (+ (* (- 26) ?y5) ?v_171) ?v_69) (* 49 ?y2)) (* 34 ?y1)) ?v_136) 69)))) (or (and (or (< (+ (+ (+ (+ (* 74 ?y5) ?v_167) (* 9 ?y3)) ?v_137) (* (- 97) x1)) 97) (< (+ (+ (+ ?v_93 (* (- 63) ?y3)) (* (- 41) ?y2)) (* 81 ?y1)) 49)) (<= (+ (+ (+ (* 67 ?y4) ?v_138) (* (- 31) ?y1)) (* (- 8) x1)) (- 19))) (or (and (= (+ (+ (+ (* 4 ?y5) (* (- 87) ?y3)) ?v_139) (* (- 33) ?y1)) (- 45)) (= (+ (+ (+ (* 32 ?y5) ?v_140) ?v_141) (* (- 9) x1)) (- 27))) (< (+ (+ (+ (+ (+ (* (- 20) ?y5) ?v_142) (* (- 97) ?y3)) ?v_183) ?v_143) ?v_144) 37)))) (or (or (and (or (>= (+ (+ (* (- 45) ?y3) ?v_145) (* 69 x1)) 0) (<= (+ (+ (+ ?v_146 ?v_147) (* (- 18) ?y2)) ?v_148) 54)) (and (>= (+ (+ (+ (+ (+ (* (- 65) ?y5) ?v_146) ?v_149) (* (- 99) ?y2)) ?v_150) (* 71 x1)) (- 53)) (> (+ (+ (+ (+ ?v_151 (* 98 ?y4)) ?v_152) ?v_153) (* (- 66) x1)) (- 31)))) (and (= (+ (+ (+ ?v_154 (* (- 75) ?y4)) ?v_155) (* 82 x1)) 0) (not (= (+ (+ (+ (* (- 98) ?y5) (* (- 91) ?y4)) (* 68 ?y3)) ?v_119) 18)))) (and (and (or (< (+ (+ (+ (* (- 83) ?y5) ?v_118) ?v_156) ?v_73) 88) (>= (+ (+ (+ ?v_86 (* 20 ?y4)) (* (- 67) ?y2)) (* (- 19) x1)) 0)) (and (not (= (+ (+ (+ (+ (+ (* (- 16) ?y5) (* 48 ?y4)) (* (- 40) ?y3)) (* 94 ?y2)) ?v_157) ?v_158) (- 7))) (<= (+ (+ (+ (+ (+ ?v_66 (* (- 37) ?y4)) (* 99 ?y3)) ?v_159) (* (- 100) ?y1)) (* (- 40) x1)) 0))) (or (and (not (= (+ (+ (+ (+ (* 7 ?y5) ?v_160) (* (- 34) ?y3)) ?v_137) ?v_161) 0)) (= (+ (+ (+ ?v_162 (* (- 89) ?y2)) (* (- 35) ?y1)) ?v_163) 6)) (and (< (+ (+ (+ (+ (+ (* (- 54) ?y5) ?v_164) ?v_165) (* (- 50) ?y2)) (* (- 28) ?y1)) (* 75 x1)) 82) (> (+ (+ (+ ?v_166 (* 28 ?y3)) ?v_155) (* 5 x1)) (- 73))))))) (or (and (or (or (and (not (= (+ (+ (+ ?v_166 (* (- 16) ?y2)) ?v_43) (* 98 x1)) 0)) (> (+ (+ ?v_167 ?v_91) ?v_119) 23)) (and (= (+ (+ (+ (* 59 ?y4) (* (- 88) ?y3)) ?v_168) (* 23 ?y1)) (- 66)) (<= (+ (+ (+ (* (- 66) ?y5) (* 94 ?y4)) ?v_169) ?v_170) 0))) (or (= (+ (+ (+ (* 41 ?y5) ?v_171) (* (- 10) ?y1)) ?v_172) 0) (> (+ (+ (+ (+ (* 57 ?y5) (* 90 ?y4)) ?v_156) (* (- 93) ?y1)) ?v_173) 0))) (and (> (+ (+ (+ ?v_174 ?v_96) (* 47 ?y2)) (* (- 76) x1)) (- 67)) (or (or (= (+ (+ (+ ?v_186 ?v_128) (* (- 43) ?y3)) ?v_60) 39) (<= (+ (+ (+ (+ (* 89 ?y5) (* 99 ?y4)) (* 54 ?y3)) ?v_175) (* 76 x1)) 0)) (or (< (+ (+ (+ ?v_176 (* (- 30) ?y3)) ?v_177) (* (- 55) x1)) (- 41)) (> (+ (+ (+ (+ (* 30 ?y5) (* (- 3) ?y4)) (* 25 ?y3)) (* 42 ?y1)) (* 20 x1)) (- 94)))))) (or (and (and (and (>= (+ (+ (+ (* (- 89) ?y4) ?v_178) (* (- 89) ?y1)) (* (- 93) x1)) 0) (> (+ (+ (+ (+ (+ (* (- 81) ?y5) ?v_176) (* 85 ?y3)) (* (- 27) ?y2)) (* 18 ?y1)) ?v_179) (- 61))) (or (< (+ (+ (+ (+ (* 70 ?y5) (* 6 ?y4)) ?v_180) (* 10 ?y1)) ?v_181) (- 41)) (< (+ (+ (+ (+ ?v_182 ?v_56) ?v_183) (* 55 ?y1)) ?v_184) 43))) (and (and (= (+ (+ (+ (* (- 50) ?y5) (* 38 ?y4)) (* (- 58) ?y1)) ?v_196) (- 78)) (> (+ (+ (+ (* (- 49) ?y4) ?v_185) (* (- 25) ?y1)) (* (- 65) x1)) (- 91))) (< (+ (+ (+ (+ ?v_186 (* (- 22) ?y3)) ?v_153) (* (- 60) ?y1)) (* (- 12) x1)) 0))) (or (or (= (+ (+ (+ ?v_79 ?v_187) (* 67 ?y3)) ?v_188) (- 34)) (and (>= (+ (+ (+ (+ ?v_189 (* 60 ?y4)) ?v_192) (* (- 15) ?y1)) ?v_190) 31) (< (+ (+ (+ ?v_191 ?v_167) (* (- 84) ?y3)) (* 75 ?y2)) 10))) (or (>= (+ (+ ?v_191 ?v_192) (* (- 36) ?y1)) 22) (< (+ (+ (+ (+ ?v_193 ?v_194) ?v_195) (* (- 17) ?y1)) ?v_196) (- 11))))))))))))))))))
(check-sat)
(exit)
