(set-info :smt-lib-version 2.6)
(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :category "random")
(set-info :status sat)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(assert (exists ((?x1 Real)) (forall ((?x2 Real)) (exists ((?x3 Real)) (let ((?v_2 (* 95 ?x3)) (?v_0 (* 61 ?x2)) (?v_18 (* 64 ?x3)) (?v_6 (* 33 ?x2)) (?v_12 (* 5 ?x1)) (?v_27 (* 4 ?x3)) (?v_9 (* 71 ?x3)) (?v_20 (* 75 ?x3)) (?v_22 (* 59 ?x3)) (?v_17 (* 61 ?x3)) (?v_19 (* (- 68) ?x2)) (?v_29 (* (- 11) ?x1)) (?v_1 (* (- 96) ?x2)) (?v_23 (* (- 37) ?x3)) (?v_14 (* (- 59) ?x2)) (?v_28 (* (- 12) ?x3)) (?v_4 (* (- 9) ?x2)) (?v_3 (* (- 63) ?x1)) (?v_5 (* (- 43) ?x3)) (?v_24 (* (- 15) ?x1)) (?v_13 (* (- 68) ?x1)) (?v_11 (* (- 52) ?x3)) (?v_16 (* (- 65) ?x1)) (?v_7 (* (- 19) ?x2)) (?v_10 (* (- 91) ?x1)) (?v_8 (* (- 1) ?x1)) (?v_26 (* (- 93) ?x2)) (?v_21 (* (- 2) ?x2)) (?v_15 (* (- 8) ?x2)) (?v_25 (* (- 8) ?x1))) (or (or (and (or (or (< (+ (+ (* 18 ?x1) (* 83 ?x2)) ?v_2) (- 47)) (or (= (+ (+ (* 75 ?x1) ?v_19) (* 62 ?x3)) 0) (and (>= (* 37 ?x3) 22) (<= (+ (+ (* 29 ?x1) ?v_0) (* (- 10) ?x3)) 63)))) (and (or (or (< (+ (* 72 ?x2) (* (- 69) ?x3)) (- 44)) (> (+ ?v_29 (* 75 ?x2)) (- 97))) (and (= (+ (+ (* (- 90) ?x1) ?v_0) (* (- 88) ?x3)) (- 51)) (not (= (+ (+ (* 65 ?x1) ?v_1) ?v_18) 0)))) (and (= (+ (* (- 94) ?x1) ?v_23) 0) (<= (+ (+ (* (- 93) ?x1) ?v_1) ?v_2) (- 70))))) (or (or (or (or (not (= (+ (* (- 78) ?x2) (* (- 42) ?x3)) (- 85))) (> (+ (* 45 ?x1) ?v_14) (- 88))) (and (not (= (+ (* (- 18) ?x2) (* (- 51) ?x3)) 0)) (not (= (+ (* (- 20) ?x2) ?v_28) 77)))) (not (= (+ (* 65 ?x2) (* (- 20) ?x3)) 5))) (and (or (and (= (+ (* (- 76) ?x1) (* (- 7) ?x3)) (- 42)) (= (+ (+ (* (- 40) ?x1) ?v_4) (* (- 60) ?x3)) 36)) (or (<= (+ ?v_3 (* (- 45) ?x3)) 0) (< (+ (+ (* 81 ?x1) (* 80 ?x2)) ?v_5) 70))) (and (or (< (+ (+ (* 66 ?x1) (* (- 43) ?x2)) (* 48 ?x3)) (- 56)) (= (+ (* 31 ?x2) (* 54 ?x3)) (- 18))) (> (+ ?v_3 (* 14 ?x2)) 0))))) (or (and (and (and (<= (+ (* (- 72) ?x1) ?v_4) (- 43)) (>= (+ (+ ?v_24 (* (- 5) ?x2)) ?v_5) (- 44))) (or (or (< (+ ?v_13 (* 14 ?x3)) (- 74)) (> (+ (* (- 36) ?x1) ?v_0) (- 7))) (and (> (+ (+ (* 1 ?x1) ?v_6) (* (- 59) ?x3)) 92) (>= (+ (+ ?v_12 (* (- 76) ?x2)) ?v_11) (- 26))))) (or (or (or (>= (+ ?v_16 (* (- 48) ?x3)) (- 86)) (< (+ (* (- 52) ?x2) ?v_27) 16)) (or (< (+ (+ (* 49 ?x1) ?v_1) (* (- 99) ?x3)) 85) (< (+ (* (- 28) ?x2) (* 33 ?x3)) 61))) (and (>= (+ ?v_6 ?v_9) (- 44)) (< (+ (+ (* (- 28) ?x1) ?v_7) (* (- 2) ?x3)) 0)))) (and (or (and (>= (+ (* (- 17) ?x1) (* (- 65) ?x3)) (- 86)) (< (+ (+ (* (- 41) ?x1) (* 93 ?x2)) (* 10 ?x3)) 40)) (and (> (+ (+ (* 88 ?x1) (* 46 ?x2)) (* (- 21) ?x3)) (- 45)) (> (+ (+ ?v_10 (* 84 ?x2)) (* (- 57) ?x3)) 0))) (or (and (<= (+ ?v_8 ?v_20) 59) (<= (+ (* 10 ?x1) ?v_7) (- 76))) (>= (+ ?v_8 ?v_22) 0))))) (or (and (and (or (> (+ (* (- 3) ?x2) (* (- 55) ?x3)) (- 31)) (>= (+ (* 22 ?x2) (* 35 ?x3)) 0)) (or (or (or (<= (+ (* 12 ?x1) (* (- 56) ?x3)) 0) (= (+ (+ (* (- 58) ?x1) (* 28 ?x2)) (* 6 ?x3)) 57)) (or (not (= (+ (* 40 ?x2) ?v_9) (- 70))) (< (+ (+ ?v_10 ?v_26) ?v_9) 58))) (or (and (< (* (- 13) ?x3) 61) (< (+ (+ (* 40 ?x1) (* (- 41) ?x2)) (* (- 61) ?x3)) 43)) (or (> (+ (* 8 ?x2) (* 67 ?x3)) 68) (<= (+ (+ (* (- 9) ?x1) ?v_21) ?v_11) 0))))) (or (or (and (or (= (+ (+ (* (- 83) ?x1) (* (- 60) ?x2)) (* (- 1) ?x3)) 69) (<= (+ ?v_12 (* 11 ?x3)) 0)) (or (>= (+ (* 35 ?x1) (* (- 49) ?x3)) 0) (not (= (+ (* 50 ?x1) (* (- 31) ?x2)) 0)))) (and (< (+ (* 55 ?x1) (* (- 38) ?x3)) 0) (or (not (= (+ (* (- 45) ?x2) (* 82 ?x3)) 0)) (>= (+ (+ (* 38 ?x1) (* 30 ?x2)) (* 26 ?x3)) 0)))) (and (or (and (= (+ (+ (* (- 21) ?x1) ?v_15) ?v_17) (- 27)) (< (+ (* (- 31) ?x1) (* 55 ?x2)) (- 47))) (or (<= (+ (* 47 ?x1) (* 92 ?x3)) (- 60)) (<= (+ (* 6 ?x2) (* (- 79) ?x3)) 60))) (< (+ ?v_13 (* (- 1) ?x2)) (- 86))))) (or (and (or (or (or (< (+ (+ (* 99 ?x1) ?v_14) (* 21 ?x3)) 67) (>= (+ (+ (* 93 ?x1) ?v_15) (* 9 ?x3)) (- 50))) (and (or (< (+ (+ (* (- 39) ?x1) (* 74 ?x2)) (* (- 22) ?x3)) 0) (> (+ (+ (* (- 54) ?x1) (* (- 66) ?x2)) (* 85 ?x3)) 0)) (and (not (= (* (- 78) ?x1) 96)) (= (+ (+ ?v_16 (* (- 100) ?x2)) ?v_17) (- 82))))) (or (or (>= (* (- 89) ?x2) (- 74)) (or (= (+ (* 37 ?x1) (* 58 ?x3)) (- 73)) (< (+ (* (- 14) ?x1) (* 72 ?x3)) 0))) (and (= (* (- 57) ?x1) (- 39)) (and (= (+ (+ (* 57 ?x1) (* 19 ?x2)) (* (- 3) ?x3)) 53) (not (= (+ (+ (* (- 37) ?x1) (* 3 ?x2)) (* (- 71) ?x3)) 54)))))) (and (or (or (= (+ (+ (* (- 48) ?x1) (* (- 69) ?x2)) (* 30 ?x3)) (- 60)) (not (= ?v_0 0))) (or (> (+ (* 98 ?x1) (* 20 ?x2)) (- 28)) (<= (+ (* (- 13) ?x1) ?v_18) (- 39)))) (and (or (or (< (+ ?v_19 ?v_20) 0) (< (+ (* (- 79) ?x1) (* (- 90) ?x3)) 0)) (or (>= (+ (* 15 ?x2) (* 29 ?x3)) (- 44)) (> (+ (* (- 88) ?x1) (* (- 72) ?x2)) 0))) (or (and (> (+ (+ (* 60 ?x1) ?v_21) ?v_22) 0) (= (+ (+ ?v_25 (* 44 ?x2)) ?v_5) 0)) (and (> (* 89 ?x1) 90) (>= (+ (* (- 64) ?x2) ?v_23) 13)))))) (or (or (or (or (<= (+ (* 85 ?x1) (* (- 24) ?x2)) 0) (not (= (+ (+ (* 14 ?x1) (* 12 ?x2)) (* 38 ?x3)) 0))) (and (not (= (+ (* 89 ?x2) (* 12 ?x3)) 0)) (< (+ (* 82 ?x2) (* (- 73) ?x3)) (- 53)))) (and (and (< (+ (+ (* 80 ?x1) (* (- 23) ?x2)) (* (- 66) ?x3)) 67) (<= (+ (* (- 53) ?x2) (* (- 50) ?x3)) 0)) (and (> (+ ?v_24 (* 8 ?x3)) 80) (not (= (+ (* 67 ?x2) (* (- 6) ?x3)) 0))))) (and (and (<= (* (- 56) ?x1) 32) (= (+ (+ ?v_25 ?v_26) ?v_27) 0)) (and (and (or (not (= (* 92 ?x2) (- 18))) (not (= (+ (* 47 ?x2) (* 94 ?x3)) 60))) (and (= (+ (+ (* 82 ?x1) (* (- 37) ?x2)) (* (- 94) ?x3)) 0) (>= ?v_28 (- 44)))) (and (>= (+ (* 11 ?x1) ?v_27) 1) (<= (+ (+ ?v_29 (* 97 ?x2)) (* 83 ?x3)) 0)))))))))))))
(check-sat)
(exit)
