(set-info :smt-lib-version 2.6)
(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :category "random")
(set-info :status sat)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(assert (exists ((?x1 Real)) (forall ((?x2 Real)) (exists ((?x3 Real)) (let ((?v_247 (* 98 ?x3)) (?v_46 (* 79 ?x1)) (?v_78 (* 83 ?x2)) (?v_55 (* 93 ?x2)) (?v_4 (* 7 ?x3)) (?v_282 (* 22 ?x1)) (?v_0 (* 39 ?x2)) (?v_185 (* 10 ?x2)) (?v_66 (* 66 ?x3)) (?v_2 (* 49 ?x2)) (?v_14 (* 86 ?x1)) (?v_182 (* 28 ?x3)) (?v_32 (* 88 ?x2)) (?v_33 (* 88 ?x3)) (?v_1 (* 15 ?x1)) (?v_164 (* 50 ?x1)) (?v_61 (* 43 ?x3)) (?v_10 (* 27 ?x1)) (?v_121 (* 35 ?x3)) (?v_70 (* 13 ?x3)) (?v_186 (* 99 ?x3)) (?v_13 (* 77 ?x2)) (?v_77 (* 82 ?x1)) (?v_194 (* 4 ?x3)) (?v_11 (* 31 ?x1)) (?v_272 (* 55 ?x2)) (?v_45 (* 4 ?x1)) (?v_160 (* 18 ?x2)) (?v_48 (* 41 ?x2)) (?v_56 (* 79 ?x3)) (?v_74 (* 50 ?x2)) (?v_35 (* 21 ?x3)) (?v_246 (* 33 ?x2)) (?v_24 (* 35 ?x2)) (?v_94 (* 60 ?x3)) (?v_253 (* 7 ?x1)) (?v_95 (* 49 ?x1)) (?v_16 (* 51 ?x3)) (?v_23 (* 80 ?x1)) (?v_189 (* 78 ?x3)) (?v_251 (* 84 ?x3)) (?v_60 (* 89 ?x2)) (?v_88 (* 97 ?x1)) (?v_199 (* 27 ?x2)) (?v_130 (* 71 ?x1)) (?v_43 (* 70 ?x3)) (?v_57 (* 95 ?x1)) (?v_41 (* 25 ?x2)) (?v_294 (* 2 ?x3)) (?v_83 (* 82 ?x2)) (?v_113 (* 18 ?x1)) (?v_19 (* 20 ?x1)) (?v_27 (* 51 ?x1)) (?v_20 (* 53 ?x3)) (?v_270 (* 8 ?x3)) (?v_181 (* 85 ?x1)) (?v_103 (* 74 ?x2)) (?v_62 (* 30 ?x1)) (?v_25 (* 57 ?x2)) (?v_283 (* 90 ?x1)) (?v_42 (* 64 ?x2)) (?v_262 (* 37 ?x2)) (?v_224 (* 9 ?x2)) (?v_40 (* 45 ?x3)) (?v_166 (* 37 ?x3)) (?v_37 (* 69 ?x3)) (?v_172 (* 7 ?x2)) (?v_201 (* 69 ?x1)) (?v_120 (* 86 ?x2)) (?v_223 (* 46 ?x2)) (?v_153 (* 76 ?x1)) (?v_151 (* 67 ?x1)) (?v_293 (* 92 ?x2)) (?v_38 (* 9 ?x3)) (?v_237 (* 72 ?x1)) (?v_238 (* 94 ?x3)) (?v_239 (* 6 ?x2)) (?v_82 (* 86 ?x3)) (?v_131 (* 11 ?x1)) (?v_254 (* 87 ?x2)) (?v_129 (* 30 ?x3)) (?v_137 (* 17 ?x1)) (?v_34 (* 73 ?x1)) (?v_134 (* 73 ?x3)) (?v_197 (* 3 ?x1)) (?v_64 (* 91 ?x3)) (?v_68 (* 60 ?x2)) (?v_51 (* 40 ?x1)) (?v_233 (* 64 ?x1)) (?v_273 (* 24 ?x1)) (?v_165 (* 68 ?x1)) (?v_288 (* 44 ?x1)) (?v_211 (* 82 ?x3)) (?v_212 (* 100 ?x3)) (?v_97 (* 68 ?x2)) (?v_240 (* 64 ?x3)) (?v_267 (* 63 ?x2)) (?v_265 (* 61 ?x1)) (?v_149 (* 15 ?x2)) (?v_100 (* 34 ?x1)) (?v_145 (* 57 ?x3)) (?v_157 (* 16 ?x2)) (?v_126 (* 67 ?x2)) (?v_154 (* 58 ?x3)) (?v_125 (* 96 ?x1)) (?v_143 (* 70 ?x1)) (?v_98 (* 12 ?x2)) (?v_135 (* 27 ?x3)) (?v_104 (* 75 ?x1)) (?v_118 (* 59 ?x1)) (?v_89 (* 55 ?x3)) (?v_277 (* 49 ?x3)) (?v_128 (* 91 ?x2)) (?v_228 (* 66 ?x1)) (?v_193 (* 8 ?x1)) (?v_150 (* 29 ?x3)) (?v_144 (* 29 ?x2)) (?v_289 (* 34 ?x2)) (?v_258 (* 24 ?x3)) (?v_176 (* 45 ?x1)) (?v_101 (* 65 ?x1)) (?v_250 (* 65 ?x2)) (?v_102 (* 23 ?x2)) (?v_115 (* 93 ?x3)) (?v_116 (* 76 ?x2)) (?v_301 (* 28 ?x1)) (?v_192 (* 28 ?x2)) (?v_175 (* 33 ?x1)) (?v_148 (* 14 ?x1)) (?v_202 (* 36 ?x2)) (?v_173 (* 19 ?x3)) (?v_158 (* 51 ?x2)) (?v_141 (* 19 ?x2)) (?v_162 (* 96 ?x3)) (?v_169 (* 10 ?x3)) (?v_191 (* 42 ?x1)) (?v_279 (* 39 ?x1)) (?v_198 (* 62 ?x3)) (?v_170 (* 5 ?x3)) (?v_263 (* 43 ?x1)) (?v_204 (* 11 ?x3)) (?v_244 (* 45 ?x2)) (?v_216 (* 97 ?x3)) (?v_218 (* 32 ?x3)) (?v_287 (* 44 ?x3)) (?v_276 (* 84 ?x2)) (?v_300 (* 87 ?x3)) (?v_281 (* 3 ?x2)) (?v_295 (* 62 ?x2)) (?v_275 (* 21 ?x1)) (?v_299 (* 67 ?x3)) (?v_6 (* (- 80) ?x1)) (?v_53 (* (- 78) ?x3)) (?v_92 (* (- 65) ?x1)) (?v_65 (* (- 92) ?x1)) (?v_278 (* (- 53) ?x1)) (?v_9 (* (- 38) ?x1)) (?v_7 (* (- 42) ?x3)) (?v_259 (* (- 76) ?x1)) (?v_5 (* (- 37) ?x1)) (?v_18 (* (- 21) ?x2)) (?v_234 (* (- 10) ?x1)) (?v_15 (* (- 56) ?x2)) (?v_3 (* (- 30) ?x1)) (?v_29 (* (- 1) ?x2)) (?v_31 (* (- 70) ?x3)) (?v_63 (* (- 9) ?x2)) (?v_87 (* (- 54) ?x1)) (?v_96 (* (- 7) ?x2)) (?v_86 (* (- 64) ?x3)) (?v_22 (* (- 35) ?x1)) (?v_73 (* (- 36) ?x1)) (?v_28 (* (- 62) ?x1)) (?v_71 (* (- 59) ?x1)) (?v_205 (* (- 69) ?x1)) (?v_49 (* (- 28) ?x3)) (?v_8 (* (- 19) ?x3)) (?v_30 (* (- 90) ?x3)) (?v_107 (* (- 93) ?x2)) (?v_72 (* (- 61) ?x2)) (?v_58 (* (- 8) ?x2)) (?v_17 (* (- 47) ?x1)) (?v_52 (* (- 89) ?x2)) (?v_167 (* (- 4) ?x1)) (?v_36 (* (- 70) ?x2)) (?v_12 (* (- 60) ?x3)) (?v_119 (* (- 58) ?x2)) (?v_230 (* (- 40) ?x2)) (?v_76 (* (- 68) ?x2)) (?v_67 (* (- 57) ?x1)) (?v_266 (* (- 85) ?x3)) (?v_132 (* (- 99) ?x2)) (?v_39 (* (- 54) ?x2)) (?v_47 (* (- 86) ?x3)) (?v_187 (* (- 92) ?x2)) (?v_138 (* (- 52) ?x2)) (?v_163 (* (- 65) ?x3)) (?v_109 (* (- 85) ?x2)) (?v_147 (* (- 4) ?x3)) (?v_21 (* (- 11) ?x1)) (?v_195 (* (- 27) ?x3)) (?v_69 (* (- 1) ?x1)) (?v_257 (* (- 6) ?x3)) (?v_44 (* (- 75) ?x2)) (?v_241 (* (- 79) ?x3)) (?v_203 (* (- 74) ?x3)) (?v_26 (* (- 17) ?x2)) (?v_236 (* (- 20) ?x1)) (?v_207 (* (- 62) ?x3)) (?v_81 (* (- 82) ?x2)) (?v_177 (* (- 6) ?x2)) (?v_105 (* (- 88) ?x3)) (?v_190 (* (- 85) ?x1)) (?v_114 (* (- 91) ?x3)) (?v_260 (* (- 20) ?x3)) (?v_93 (* (- 59) ?x2)) (?v_142 (* (- 38) ?x3)) (?v_225 (* (- 35) ?x2)) (?v_188 (* (- 23) ?x2)) (?v_155 (* (- 37) ?x3)) (?v_133 (* (- 95) ?x1)) (?v_196 (* (- 87) ?x2)) (?v_117 (* (- 59) ?x3)) (?v_50 (* (- 84) ?x2)) (?v_54 (* (- 25) ?x3)) (?v_161 (* (- 41) ?x1)) (?v_80 (* (- 40) ?x3)) (?v_249 (* (- 78) ?x1)) (?v_59 (* (- 94) ?x1)) (?v_79 (* (- 63) ?x1)) (?v_84 (* (- 77) ?x3)) (?v_122 (* (- 75) ?x1)) (?v_156 (* (- 43) ?x2)) (?v_85 (* (- 97) ?x3)) (?v_75 (* (- 50) ?x3)) (?v_91 (* (- 28) ?x2)) (?v_243 (* (- 51) ?x2)) (?v_214 (* (- 63) ?x3)) (?v_140 (* (- 14) ?x1)) (?v_99 (* (- 52) ?x3)) (?v_255 (* (- 94) ?x3)) (?v_112 (* (- 84) ?x3)) (?v_90 (* (- 29) ?x1)) (?v_139 (* (- 2) ?x3)) (?v_127 (* (- 83) ?x3)) (?v_136 (* (- 12) ?x1)) (?v_268 (* (- 66) ?x2)) (?v_227 (* (- 3) ?x3)) (?v_286 (* (- 57) ?x3)) (?v_297 (* (- 95) ?x3)) (?v_217 (* (- 90) ?x1)) (?v_245 (* (- 81) ?x3)) (?v_222 (* (- 46) ?x1)) (?v_124 (* (- 77) ?x2)) (?v_106 (* (- 16) ?x3)) (?v_226 (* (- 69) ?x2)) (?v_152 (* (- 51) ?x3)) (?v_111 (* (- 41) ?x2)) (?v_123 (* (- 22) ?x1)) (?v_108 (* (- 82) ?x3)) (?v_242 (* (- 71) ?x1)) (?v_180 (* (- 47) ?x3)) (?v_248 (* (- 73) ?x3)) (?v_168 (* (- 26) ?x2)) (?v_210 (* (- 13) ?x1)) (?v_110 (* (- 74) ?x1)) (?v_221 (* (- 32) ?x1)) (?v_229 (* (- 80) ?x3)) (?v_284 (* (- 24) ?x1)) (?v_159 (* (- 69) ?x3)) (?v_213 (* (- 6) ?x1)) (?v_269 (* (- 49) ?x2)) (?v_208 (* (- 83) ?x2)) (?v_184 (* (- 39) ?x1)) (?v_206 (* (- 19) ?x2)) (?v_252 (* (- 33) ?x1)) (?v_174 (* (- 39) ?x3)) (?v_232 (* (- 27) ?x1)) (?v_146 (* (- 46) ?x2)) (?v_220 (* (- 67) ?x1)) (?v_261 (* (- 76) ?x3)) (?v_183 (* (- 44) ?x1)) (?v_219 (* (- 71) ?x2)) (?v_171 (* (- 40) ?x1)) (?v_274 (* (- 34) ?x3)) (?v_178 (* (- 10) ?x3)) (?v_179 (* (- 24) ?x3)) (?v_291 (* (- 10) ?x2)) (?v_292 (* (- 72) ?x2)) (?v_200 (* (- 81) ?x1)) (?v_280 (* (- 8) ?x3)) (?v_296 (* (- 17) ?x1)) (?v_209 (* (- 45) ?x1)) (?v_231 (* (- 68) ?x3)) (?v_264 (* (- 22) ?x2)) (?v_256 (* (- 25) ?x1)) (?v_215 (* (- 60) ?x1)) (?v_235 (* (- 79) ?x2)) (?v_285 (* (- 68) ?x1)) (?v_271 (* (- 33) ?x3)) (?v_298 (* (- 36) ?x2)) (?v_290 (* (- 26) ?x3))) (or (and (or (or (and (and (and (or (or (< (+ ?v_6 (* 34 ?x3)) 4) (= ?v_247 (- 36))) (or (= (+ (+ ?v_46 ?v_78) ?v_53) 24) (> (+ ?v_92 ?v_55) (- 25)))) (or (or (= (+ (+ ?v_65 (* 20 ?x2)) ?v_4) 12) (>= (+ ?v_278 (* 2 ?x2)) (- 26))) (> (+ (+ ?v_9 (* 99 ?x2)) ?v_7) (- 9)))) (or (or (< (+ (* (- 58) ?x1) (* 18 ?x3)) 0) (or (>= (+ ?v_282 (* (- 86) ?x2)) (- 11)) (<= (+ ?v_259 ?v_0) (- 60)))) (and (and (<= (+ (+ ?v_5 ?v_18) (* 63 ?x3)) 0) (< (+ ?v_234 ?v_185) 94)) (>= (+ ?v_15 ?v_66) 94)))) (or (and (and (or (>= (+ (* 57 ?x1) ?v_2) 0) (> (+ (+ ?v_14 (* 94 ?x2)) ?v_182) (- 1))) (or (>= (+ (+ ?v_3 ?v_32) ?v_33) 46) (>= (+ ?v_1 (* (- 21) ?x3)) 67))) (or (and (>= (+ (+ ?v_164 ?v_29) ?v_61) 22) (< ?v_31 28)) (and (= (+ (+ ?v_10 ?v_63) ?v_121) (- 48)) (< (+ ?v_0 ?v_70) (- 59))))) (or (or (> (+ ?v_87 ?v_186) 0) (>= (+ ?v_1 ?v_13) (- 29))) (and (and (= (* (- 91) ?x1) 6) (< (+ (+ ?v_77 ?v_96) ?v_86) (- 65))) (<= (+ ?v_22 (* (- 25) ?x2)) 5))))) (and (and (and (and (> (+ (+ ?v_73 (* (- 5) ?x2)) ?v_194) 69) (< (+ ?v_11 ?v_272) 0)) (or (not (= (+ ?v_45 ?v_160) 93)) (>= (+ (+ ?v_28 ?v_48) ?v_56) (- 8)))) (or (or (and (>= (+ ?v_74 ?v_35) 64) (= ?v_2 (- 21))) (and (> (+ ?v_71 ?v_246) 41) (< (* 80 ?x2) (- 14)))) (and (or (and (= (+ (+ ?v_3 ?v_24) ?v_4) 0) (<= (* (- 29) ?x2) 5)) (and (<= (+ ?v_205 (* 89 ?x3)) 11) (= ?v_49 0))) (or (> (+ ?v_5 ?v_8) 14) (< (+ ?v_6 ?v_30) 34))))) (or (or (and (or (and (not (= (+ (* 100 ?x2) ?v_94) (- 30))) (> (+ ?v_253 ?v_107) (- 63))) (not (= (+ (+ ?v_95 (* (- 74) ?x2)) ?v_16) 68))) (or (< (+ (+ ?v_23 (* (- 24) ?x2)) (* (- 11) ?x3)) 13) (>= (+ (+ (* (- 52) ?x1) ?v_72) ?v_189) 0))) (and (and (< (+ (+ ?v_5 ?v_58) ?v_251) (- 98)) (= (+ ?v_17 ?v_52) 90)) (or (or (= (+ ?v_167 (* (- 17) ?x3)) 0) (< ?v_36 (- 77))) (or (= (+ ?v_60 ?v_7) 0) (>= ?v_88 (- 23)))))) (> (+ ?v_199 ?v_12) 6)))) (or (and (or (and (and (or (and (> (+ (+ (* (- 84) ?x1) ?v_119) ?v_8) 0) (> (+ ?v_9 ?v_230) (- 9))) (or (<= ?v_10 (- 100)) (> (+ ?v_11 ?v_76) 0))) (or (= (+ (+ ?v_67 (* 32 ?x2)) ?v_266) (- 33)) (>= (+ ?v_130 ?v_132) 0))) (and (and (= ?v_39 15) (and (not (= ?v_43 (- 21))) (>= (+ (+ ?v_57 ?v_41) ?v_294) 58))) (and (or (<= (+ (+ (* (- 49) ?x1) ?v_83) ?v_12) (- 19)) (<= (+ (+ ?v_113 ?v_13) ?v_47) 95)) (or (= (+ ?v_19 (* 85 ?x2)) 0) (= (+ (+ ?v_14 ?v_15) ?v_16) (- 25)))))) (and (or (and (and (= (+ (+ ?v_27 ?v_187) ?v_20) 17) (< (+ ?v_138 ?v_163) 0)) (<= (+ (+ ?v_17 ?v_18) ?v_270) 0)) (or (not (= (+ (+ ?v_19 ?v_109) ?v_20) (- 57))) (or (= (+ (+ ?v_181 ?v_103) ?v_147) (- 43)) (>= ?v_21 10)))) (and (or (or (> (+ (+ ?v_62 ?v_25) (* (- 31) ?x3)) 0) (< (+ (+ ?v_283 ?v_42) ?v_195) 0)) (and (< (+ (+ ?v_69 ?v_262) ?v_257) 79) (< (+ (+ ?v_21 ?v_224) ?v_40) 76))) (not (= ?v_166 15))))) (and (or (not (= ?v_37 0)) (< (+ (+ ?v_22 ?v_172) (* (- 18) ?x3)) (- 62))) (and (> (+ (* (- 98) ?x1) ?v_44) 47) (>= (+ ?v_201 ?v_120) 0)))) (and (or (and (= (+ ?v_223 ?v_241) 0) (>= (+ (+ ?v_23 (* 44 ?x2)) ?v_203) (- 83))) (or (or (and (not (= (+ ?v_153 ?v_26) 0)) (>= (+ ?v_236 ?v_24) 0)) (and (or (>= (+ (+ ?v_151 ?v_25) (* (- 1) ?x3)) (- 95)) (not (= ?v_207 (- 90)))) (or (< (+ ?v_293 ?v_38) (- 77)) (> (+ ?v_237 ?v_81) 0)))) (and (>= (+ ?v_177 ?v_238) 79) (or (or (= (+ ?v_26 ?v_105) 0) (= (+ ?v_190 ?v_114) 0)) (or (< (+ (+ ?v_27 ?v_239) ?v_82) 0) (<= (+ (+ ?v_131 (* (- 96) ?x2)) ?v_260) (- 31))))))) (and (or (< (* 17 ?x3) (- 29)) (> ?v_93 (- 1))) (< (+ ?v_28 (* (- 96) ?x3)) (- 35)))))) (or (and (or (and (and (or (not (= (* (- 39) ?x2) (- 36))) (> ?v_142 0)) (<= (* 16 ?x1) 0)) (or (and (> (+ (+ (* (- 66) ?x1) ?v_29) ?v_30) 0) (not (= (+ (+ (* 9 ?x1) ?v_254) ?v_129) (- 60)))) (< (+ (+ ?v_137 (* (- 90) ?x2)) ?v_31) (- 68)))) (or (or (<= (+ (+ ?v_34 ?v_225) ?v_134) 6) (and (<= (* 46 ?x1) 83) (not (= (+ ?v_32 ?v_33) (- 72))))) (and (or (not (= (+ (* 8 ?x2) (* (- 99) ?x3)) 42)) (= (+ (+ ?v_34 (* (- 97) ?x2)) ?v_35) (- 55))) (or (<= (+ ?v_197 ?v_36) 59) (= ?v_64 0))))) (or (or (or (or (<= (+ (* (- 57) ?x2) ?v_37) (- 28)) (>= (+ (+ (* 35 ?x1) ?v_188) ?v_38) (- 56))) (and (not (= (+ ?v_68 ?v_155) 0)) (<= (+ ?v_51 ?v_39) (- 76)))) (or (and (> (+ (+ ?v_133 (* 11 ?x2)) ?v_40) 0) (> ?v_233 0)) (or (and (> (+ (+ ?v_273 ?v_196) ?v_31) (- 13)) (not (= (+ (+ (* 5 ?x1) ?v_41) ?v_117) 0))) (and (< (+ (+ ?v_165 ?v_50) ?v_54) 79) (= (+ ?v_288 (* 56 ?x3)) 9))))) (or (and (and (and (= (+ ?v_161 ?v_211) 6) (< (+ (* (- 87) ?x1) ?v_42) 13)) (= (+ (+ ?v_10 ?v_13) ?v_43) 56)) (and (<= (+ ?v_1 ?v_212) (- 85)) (not (= ?v_44 (- 9))))) (or (or (or (not (= (+ (+ (* (- 61) ?x1) ?v_44) ?v_80) 0)) (< (+ ?v_45 (* 74 ?x3)) 10)) (or (< (+ (+ ?v_46 ?v_97) ?v_47) (- 32)) (> (+ ?v_249 (* (- 32) ?x2)) (- 79)))) (and (<= (+ (+ ?v_59 ?v_48) (* (- 98) ?x3)) (- 82)) (<= (+ (* 56 ?x1) ?v_49) 62)))))) (and (or (and (and (or (and (>= (+ ?v_79 ?v_50) 0) (= (* (- 33) ?x2) 18)) (= ?v_240 74)) (and (or (<= (+ (+ ?v_51 ?v_15) ?v_84) (- 70)) (< (+ ?v_52 ?v_53) 76)) (and (< (+ (+ ?v_122 ?v_267) (* 26 ?x3)) 58) (= ?v_54 42)))) (or (and (and (and (= ?v_55 0) (< (+ (+ ?v_19 ?v_156) ?v_56) (- 14))) (and (<= ?v_57 (- 4)) (> (+ (+ ?v_265 ?v_58) ?v_85) 0))) (and (not (= (+ (+ ?v_59 ?v_60) ?v_61) 0)) (and (= ?v_149 (- 1)) (>= (+ (+ ?v_62 (* (- 63) ?x2)) ?v_75) 16)))) (or (or (> (+ (+ (* 12 ?x1) ?v_25) ?v_49) 29) (<= ?v_91 (- 90))) (and (< (+ (+ (* 83 ?x1) ?v_63) ?v_56) (- 5)) (not (= (* (- 11) ?x2) 0)))))) (and (or (and (< (+ (* 10 ?x1) ?v_64) 49) (>= ?v_100 16)) (and (<= (+ (+ ?v_65 (* (- 45) ?x2)) ?v_66) (- 55)) (= (+ (+ (* 54 ?x1) ?v_243) ?v_145) 0))) (and (or (and (< (+ (+ ?v_67 ?v_68) ?v_214) (- 71)) (>= ?v_69 97)) (or (= (+ (* (- 81) ?x2) ?v_70) 45) (= (* (- 98) ?x2) (- 63)))) (or (> (+ (+ ?v_140 ?v_157) ?v_56) 27) (< ?v_71 (- 35)))))) (and (or (or (or (or (<= (+ (+ (* 98 ?x1) ?v_126) ?v_154) 48) (< (+ (+ ?v_125 ?v_50) ?v_99) (- 98))) (and (or (< (+ ?v_72 (* (- 5) ?x3)) (- 38)) (< (+ (* (- 19) ?x1) ?v_255) 82)) (and (> (+ (+ ?v_143 ?v_98) ?v_112) (- 78)) (> ?v_90 0)))) (or (or (and (<= ?v_73 (- 91)) (<= (+ ?v_74 ?v_135) 44)) (or (not (= ?v_139 75)) (< (+ (+ (* 53 ?x1) (* (- 12) ?x2)) ?v_75) (- 56)))) (or (or (<= ?v_76 29) (< (+ (+ ?v_77 ?v_32) ?v_127) (- 23))) (or (= (+ (+ ?v_136 ?v_78) ?v_33) 0) (> (+ ?v_268 ?v_227) 6))))) (or (and (and (and (<= (* (- 12) ?x3) (- 67)) (= (+ ?v_79 ?v_80) 77)) (<= (+ ?v_81 ?v_286) 75)) (or (or (= ?v_82 0) (>= (+ (+ (* (- 26) ?x1) ?v_83) ?v_84) 31)) (and (> (+ (* (- 30) ?x2) (* (- 41) ?x3)) 0) (= (+ (+ (* 93 ?x1) ?v_78) ?v_85) 0)))) (and (or (and (<= (+ ?v_104 ?v_86) (- 79)) (= (+ (+ ?v_87 (* 72 ?x2)) ?v_297) 0)) (> (+ (+ ?v_217 (* (- 15) ?x2)) (* 42 ?x3)) 95)) (or (< (+ ?v_118 ?v_245) 34) (not (= (+ (+ ?v_88 ?v_0) ?v_80) 0)))))) (or (or (or (and (or (< (+ (+ ?v_222 ?v_124) ?v_89) (- 11)) (> ?v_89 0)) (>= (+ ?v_55 (* 14 ?x3)) (- 44))) (or (and (not (= (+ (+ ?v_90 ?v_91) ?v_106) 63)) (>= (+ ?v_92 ?v_93) (- 98))) (or (<= (+ ?v_226 ?v_94) (- 4)) (> (+ (+ (* (- 77) ?x1) ?v_32) ?v_277) 0)))) (or (or (and (< ?v_152 25) (< (+ (+ ?v_95 ?v_128) (* 22 ?x3)) 0)) (and (<= (+ (+ ?v_228 ?v_96) ?v_30) 98) (< ?v_74 82))) (and (or (<= (+ (+ (* (- 42) ?x1) ?v_36) (* 1 ?x3)) 5) (<= ?v_49 95)) (or (= (+ (+ ?v_193 ?v_111) ?v_150) (- 76)) (>= (+ (+ ?v_123 ?v_97) ?v_108) 73))))) (and (and (or (and (< ?v_98 (- 11)) (= (+ (+ (* 78 ?x1) (* 13 ?x2)) ?v_56) 0)) (or (not (= (+ ?v_242 (* (- 36) ?x3)) 9)) (not (= (+ ?v_144 (* 75 ?x3)) 96)))) (or (and (<= (+ (+ (* (- 79) ?x1) ?v_289) ?v_258) (- 22)) (<= (+ (+ ?v_176 ?v_96) ?v_61) 53)) (or (not (= (+ (+ ?v_101 ?v_250) ?v_99) (- 72))) (>= (+ (+ ?v_100 (* 59 ?x2)) (* (- 66) ?x3)) (- 62))))) (and (and (and (<= (+ (+ ?v_101 ?v_18) ?v_180) 74) (>= (+ ?v_102 (* (- 29) ?x3)) 49)) (>= (+ (+ ?v_1 ?v_102) ?v_248) 0)) (and (or (> (+ ?v_103 (* 16 ?x3)) (- 87)) (not (= (+ ?v_104 ?v_168) 39))) (or (> (* (- 31) ?x2) 0) (>= (+ (+ ?v_210 (* 95 ?x2)) ?v_105) (- 95))))))))))) (or (and (or (or (and (and (and (or (<= ?v_110 0) (= (+ ?v_48 ?v_106) (- 75))) (and (not (= (+ (+ (* 99 ?x1) ?v_107) (* (- 75) ?x3)) (- 46))) (>= (+ (+ (* 89 ?x1) (* 30 ?x2)) ?v_115) 67))) (or (and (= (+ (+ ?v_221 (* (- 4) ?x2)) ?v_49) (- 96)) (= ?v_97 81)) (or (< (+ (+ ?v_65 ?v_116) ?v_229) 1) (< (+ ?v_284 ?v_159) 7)))) (or (and (and (= (+ (* (- 47) ?x2) ?v_108) 42) (< (+ ?v_6 (* (- 67) ?x2)) (- 56))) (not (= (+ ?v_100 ?v_109) 48))) (or (or (< (+ (+ ?v_110 (* 4 ?x2)) (* 47 ?x3)) 34) (<= (+ (+ ?v_301 ?v_111) ?v_112) 0)) (or (>= (+ ?v_113 ?v_192) 16) (>= (+ (* 98 ?x2) ?v_114) 0))))) (and (or (or (and (>= (+ ?v_175 ?v_115) 0) (= (+ ?v_116 ?v_117) 84)) (and (not (= (+ (+ ?v_104 ?v_103) (* (- 87) ?x3)) 0)) (= (* (- 62) ?x2) 60))) (or (> (+ ?v_148 (* 76 ?x3)) (- 72)) (or (< (+ ?v_116 ?v_89) 97) (>= (+ (+ ?v_118 ?v_119) ?v_61) (- 35))))) (or (and (or (> ?v_120 (- 46)) (>= (+ (+ ?v_213 ?v_98) ?v_121) 0)) (= (+ (+ ?v_122 ?v_269) ?v_106) 35)) (or (or (<= (+ (+ ?v_123 ?v_124) ?v_80) 0) (> (+ (+ ?v_125 ?v_126) ?v_127) (- 22))) (and (>= (+ (+ ?v_90 ?v_202) ?v_47) 0) (not (= (+ ?v_128 (* 77 ?x3)) 0))))))) (or (and (and (or (> (+ (* 21 ?x2) ?v_129) 45) (not (= (+ (+ ?v_130 ?v_208) ?v_173) 42))) (or (= (+ ?v_131 ?v_132) 0) (<= (* 65 ?x3) (- 64)))) (and (<= (+ (+ ?v_133 ?v_158) ?v_134) 57) (not (= (+ (+ ?v_184 ?v_206) (* 50 ?x3)) 0)))) (and (and (or (> (+ ?v_100 (* 69 ?x2)) 74) (< (+ (+ ?v_69 ?v_91) (* (- 48) ?x3)) 0)) (and (and (>= (+ (+ ?v_252 ?v_141) ?v_135) 0) (<= (+ ?v_74 ?v_174) (- 75))) (and (= (+ (+ ?v_136 ?v_44) (* 92 ?x3)) 60) (>= (+ (+ ?v_137 ?v_138) ?v_139) 0)))) (and (and (and (>= (* (- 72) ?x3) 0) (<= (+ (+ ?v_140 ?v_141) ?v_142) 84)) (or (= (+ (+ ?v_232 ?v_48) ?v_162) 42) (>= (* 56 ?x2) 0))) (and (or (= (+ (+ (* (- 97) ?x1) ?v_146) (* 36 ?x3)) (- 57)) (> (+ ?v_137 (* (- 64) ?x2)) (- 16))) (or (> (+ (+ ?v_143 ?v_144) ?v_145) 26) (> (+ (+ ?v_220 ?v_146) ?v_147) (- 58)))))))) (and (and (or (and (or (or (= (+ (+ ?v_148 ?v_149) ?v_53) 45) (= (+ (+ (* 38 ?x1) ?v_72) ?v_150) 72)) (and (<= ?v_105 69) (>= (+ ?v_151 ?v_152) 0))) (and (or (>= (+ ?v_153 ?v_261) (- 38)) (<= (+ ?v_24 ?v_154) 3)) (> (+ (+ ?v_183 ?v_219) ?v_155) 99))) (or (or (or (= (+ (+ ?v_171 ?v_156) ?v_274) 96) (> (+ (+ ?v_137 ?v_157) (* (- 43) ?x3)) 98)) (< (+ (+ (* (- 56) ?x1) ?v_158) ?v_159) 97)) (> (+ (+ ?v_5 (* (- 14) ?x2)) ?v_112) 29))) (and (and (or (or (> (+ ?v_153 ?v_160) 68) (> (+ ?v_161 ?v_169) (- 61))) (or (not (= (+ (* 63 ?x1) ?v_162) (- 70))) (< (+ (+ ?v_191 ?v_160) ?v_163) (- 41)))) (<= (* 60 ?x1) (- 18))) (or (or (and (<= (+ (+ ?v_164 ?v_36) (* 20 ?x3)) (- 51)) (< (+ (+ ?v_279 (* 22 ?x2)) ?v_198) 67)) (> (+ ?v_165 ?v_166) (- 42))) (< ?v_167 (- 95))))) (or (or (and (= (+ (+ ?v_104 (* (- 18) ?x2)) ?v_178) 42) (or (<= ?v_179 47) (>= (+ (* 41 ?x1) ?v_168) (- 8)))) (or (and (not (= (+ (+ (* (- 88) ?x1) (* (- 3) ?x2)) ?v_170) 9)) (> (+ ?v_88 ?v_169) 57)) (and (> (+ (* (- 5) ?x1) (* 66 ?x2)) 39) (> (+ (+ ?v_87 ?v_291) ?v_170) 54)))) (or (or (and (= (+ (+ ?v_171 ?v_41) ?v_64) 20) (<= ?v_172 95)) (or (or (> (+ (+ (* 1 ?x1) (* (- 60) ?x2)) ?v_173) 53) (>= ?v_174 22)) (and (>= (+ (+ ?v_175 ?v_292) (* (- 71) ?x3)) (- 14)) (>= (+ (+ ?v_200 ?v_83) ?v_280) 0)))) (or (or (>= (+ ?v_176 (* 46 ?x3)) (- 2)) (< (+ ?v_263 ?v_177) 0)) (or (>= ?v_178 (- 14)) (> (+ ?v_68 ?v_179) 0))))))) (and (and (and (and (or (or (or (< (+ (+ (* 52 ?x1) (* 73 ?x2)) ?v_180) 70) (= (+ (+ ?v_181 ?v_2) ?v_182) 48)) (and (and (not (= (+ ?v_133 ?v_102) (- 30))) (= (+ ?v_183 (* (- 44) ?x2)) 0)) (and (<= (+ (+ ?v_184 ?v_185) ?v_186) (- 70)) (> ?v_187 48)))) (or (and (and (<= (+ (+ ?v_71 ?v_188) ?v_189) 47) (>= (+ ?v_19 (* (- 44) ?x3)) (- 8))) (and (<= (+ (+ ?v_190 ?v_25) (* 3 ?x3)) (- 94)) (< ?v_296 40))) (or (or (> (+ ?v_191 ?v_7) 27) (< (+ ?v_28 (* (- 32) ?x3)) 0)) (and (>= (+ (+ ?v_209 ?v_107) (* 39 ?x3)) 1) (<= (+ (+ ?v_45 ?v_192) ?v_231) (- 64)))))) (and (or (and (and (= ?v_264 0) (>= (+ (+ ?v_193 ?v_177) ?v_194) 43)) (> (+ ?v_3 ?v_195) 29)) (and (= (+ ?v_256 ?v_196) 39) (<= (+ ?v_197 ?v_198) 0))) (or (and (< ?v_199 (- 2)) (< (+ ?v_200 ?v_150) 58)) (and (and (< (+ (+ ?v_201 ?v_202) ?v_203) 0) (> (+ (+ ?v_71 ?v_107) ?v_204) (- 15))) (and (>= (+ (+ ?v_9 ?v_244) ?v_216) 40) (> (+ ?v_215 ?v_157) (- 36))))))) (or (and (or (> (+ ?v_141 ?v_218) 0) (or (not (= (+ (* 48 ?x2) ?v_204) (- 58))) (not (= (+ (+ ?v_205 ?v_206) ?v_207) 0)))) (and (= (+ ?v_208 ?v_287) 35) (> (* 31 ?x3) 0))) (or (and (and (= (+ (+ ?v_209 (* 47 ?x2)) (* 54 ?x3)) (- 21)) (not (= (+ (+ ?v_11 ?v_72) ?v_152) 0))) (and (<= (+ (+ ?v_210 ?v_91) (* (- 53) ?x3)) 0) (> (+ (+ ?v_125 ?v_149) ?v_211) 38))) (and (and (= ?v_235 (- 9)) (= (+ (+ (* 92 ?x1) ?v_187) ?v_212) (- 60))) (and (not (= (+ ?v_27 ?v_8) (- 88))) (not (= (+ (+ ?v_213 ?v_276) ?v_214) 0))))))) (or (and (or (= (+ ?v_215 ?v_216) (- 39)) (and (and (< (+ (+ ?v_285 ?v_177) ?v_163) 94) (= (+ (+ ?v_217 ?v_36) ?v_155) 18)) (or (not (= (+ (* (- 7) ?x1) ?v_218) 59)) (not (= (+ (+ (* (- 9) ?x1) ?v_219) ?v_82) 47))))) (and (or (<= (+ (+ ?v_220 ?v_102) ?v_114) 17) (> (+ (+ ?v_21 ?v_44) ?v_211) 81)) (and (and (not (= (+ ?v_221 ?v_185) 0)) (= (+ ?v_222 (* (- 50) ?x2)) 90)) (<= (+ (+ ?v_220 ?v_177) (* 6 ?x3)) 41)))) (and (and (and (and (>= (+ (+ (* (- 2) ?x1) (* (- 48) ?x2)) ?v_35) 1) (not (= (+ (+ (* 58 ?x1) ?v_223) (* (- 49) ?x3)) 0))) (> (+ ?v_224 ?v_198) 90)) (or (>= (+ ?v_57 ?v_225) 46) (> (+ ?v_226 ?v_227) (- 87)))) (or (and (or (and (= (+ (* 32 ?x1) ?v_189) (- 97)) (< (+ ?v_228 ?v_229) 0)) (or (= (+ ?v_230 ?v_38) (- 19)) (>= (+ ?v_164 ?v_231) (- 86)))) (or (and (<= (+ (* 13 ?x1) (* 90 ?x3)) 68) (= (+ ?v_232 ?v_172) 20)) (and (<= (+ ?v_233 ?v_60) (- 67)) (not (= (+ (+ ?v_234 ?v_235) ?v_182) (- 81)))))) (and (= (+ ?v_236 (* (- 15) ?x3)) 80) (or (> (+ ?v_120 ?v_300) 86) (not (= (+ ?v_237 ?v_281) 0)))))))) (and (or (and (or (or (and (or (not (= ?v_32 12)) (= ?v_238 (- 25))) (or (>= (+ (+ (* 91 ?x1) ?v_239) (* 71 ?x3)) (- 32)) (>= (+ (* (- 43) ?x1) ?v_238) (- 20)))) (and (not (= (+ ?v_123 (* (- 67) ?x3)) (- 100))) (= (+ (* (- 99) ?x1) ?v_240) (- 69)))) (or (and (< (+ (+ ?v_19 (* (- 95) ?x2)) ?v_241) (- 23)) (or (not (= (+ (+ ?v_242 ?v_243) ?v_271) 90)) (< (+ (+ ?v_220 ?v_244) ?v_238) (- 98)))) (and (or (= (+ ?v_68 ?v_245) 80) (= (+ (+ (* 94 ?x1) ?v_246) ?v_247) 0)) (and (>= (+ (+ ?v_28 ?v_72) ?v_248) 76) (> (+ (+ ?v_249 ?v_250) ?v_251) (- 12)))))) (and (or (> (+ (+ ?v_252 (* (- 94) ?x2)) ?v_227) 0) (and (> (+ (+ ?v_253 ?v_254) ?v_255) (- 100)) (not (= (+ (+ ?v_205 (* 14 ?x2)) (* 33 ?x3)) 0)))) (and (or (<= (+ (+ ?v_256 ?v_295) ?v_257) (- 33)) (< (+ (* 38 ?x2) ?v_258) 49)) (and (< (+ (+ ?v_259 ?v_24) ?v_260) (- 71)) (> (+ (+ ?v_65 (* (- 88) ?x2)) ?v_261) (- 40)))))) (and (or (and (or (or (< (+ ?v_275 ?v_262) 34) (> (+ (+ ?v_101 ?v_177) ?v_70) (- 24))) (and (= (+ ?v_87 ?v_160) (- 40)) (<= ?v_298 35))) (or (and (< (* 58 ?x2) 0) (not (= ?v_263 (- 87)))) (>= (+ ?v_17 ?v_264) 0))) (and (and (and (> (+ (+ ?v_265 (* 78 ?x2)) ?v_290) (- 84)) (> (+ ?v_236 ?v_266) (- 24))) (or (<= (+ (* (- 3) ?x1) ?v_267) (- 67)) (<= ?v_268 11))) (and (< (+ ?v_215 ?v_169) 52) (or (< (+ ?v_269 ?v_270) 0) (> (+ (+ (* 84 ?x1) (* 5 ?x2)) ?v_271) 0))))) (or (and (and (= (+ ?v_151 (* (- 14) ?x3)) 63) (= (+ (+ ?v_22 ?v_272) ?v_299) (- 75))) (or (and (<= ?v_36 98) (<= (+ (+ ?v_273 ?v_18) ?v_274) 41)) (or (< (+ (+ ?v_275 ?v_276) ?v_277) 25) (> (+ ?v_278 ?v_61) 0)))) (and (and (or (> (+ (+ ?v_279 ?v_103) ?v_280) 21) (not (= (+ (* (- 82) ?x1) ?v_127) 45))) (or (<= ?v_281 53) (= (+ (+ ?v_282 ?v_44) ?v_204) 44))) (or (or (< (+ (+ ?v_283 ?v_132) ?v_106) 97) (= (+ ?v_5 ?v_264) 14)) (< (+ (+ ?v_21 ?v_41) (* (- 7) ?x3)) (- 5))))))) (and (and (or (and (>= ?v_122 (- 80)) (and (< (+ (+ ?v_284 ?v_116) ?v_47) (- 23)) (>= (+ (+ ?v_285 ?v_149) ?v_286) 0))) (and (> (+ (+ ?v_95 ?v_269) ?v_287) 0) (or (= (+ (+ ?v_288 (* 24 ?x2)) ?v_214) 15) (= (+ (* 100 ?x1) ?v_135) (- 45))))) (or (< (+ ?v_21 (* 75 ?x2)) 43) (or (> (+ ?v_181 (* 90 ?x2)) 60) (< ?v_289 0)))) (or (or (and (and (or (<= (+ (+ ?v_28 ?v_219) ?v_35) 71) (> (* 6 ?x1) 21)) (or (< (+ ?v_262 ?v_290) 0) (> (+ ?v_116 (* 61 ?x3)) 0))) (and (and (> (+ (+ ?v_249 ?v_291) ?v_271) (- 75)) (not (= (+ ?v_95 (* (- 13) ?x3)) 66))) (and (= (+ ?v_148 ?v_292) 26) (= (+ ?v_293 ?v_174) (- 4))))) (and (or (or (= ?v_294 0) (>= (+ (* (- 48) ?x1) ?v_121) 88)) (or (> (+ (+ ?v_275 ?v_138) ?v_134) 0) (= (+ (+ (* 2 ?x1) ?v_295) ?v_82) 56))) (or (not (= (+ (* (- 23) ?x1) ?v_33) 17)) (< ?v_78 (- 50))))) (or (and (or (<= (+ (+ ?v_296 ?v_58) ?v_297) (- 22)) (not (= (+ (+ (* 25 ?x1) ?v_298) ?v_299) (- 93)))) (or (> (+ ?v_110 ?v_173) 0) (not (= (+ (+ ?v_164 ?v_272) ?v_300) 81)))) (or (> (+ (+ ?v_45 ?v_267) (* 80 ?x3)) 47) (< ?v_301 (- 26)))))))))))))))
(check-sat)
(exit)
