(set-info :smt-lib-version 2.6)
(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :category "random")
(set-info :status sat)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(assert (forall ((?x1 Real)) (exists ((?x2 Real)) (forall ((?x3 Real)) (exists ((?x4 Real)) (let ((?v_2 (* 95 ?x3)) (?v_14 (* 100 ?x4)) (?v_0 (* 61 ?x2)) (?v_26 (* 64 ?x3)) (?v_21 (* 12 ?x4)) (?v_33 (* 66 ?x4)) (?v_31 (* 8 ?x4)) (?v_8 (* 33 ?x2)) (?v_17 (* 5 ?x1)) (?v_37 (* 4 ?x3)) (?v_12 (* 71 ?x3)) (?v_28 (* 75 ?x3)) (?v_30 (* 59 ?x3)) (?v_40 (* 22 ?x4)) (?v_25 (* 61 ?x3)) (?v_9 (* (- 71) ?x4)) (?v_27 (* (- 68) ?x2)) (?v_39 (* (- 11) ?x1)) (?v_7 (* (- 12) ?x4)) (?v_1 (* (- 96) ?x2)) (?v_19 (* (- 61) ?x4)) (?v_32 (* (- 37) ?x3)) (?v_16 (* (- 32) ?x4)) (?v_20 (* (- 59) ?x2)) (?v_38 (* (- 12) ?x3)) (?v_23 (* (- 22) ?x4)) (?v_4 (* (- 9) ?x2)) (?v_3 (* (- 63) ?x1)) (?v_5 (* (- 43) ?x3)) (?v_6 (* (- 42) ?x4)) (?v_34 (* (- 15) ?x1)) (?v_18 (* (- 68) ?x1)) (?v_15 (* (- 52) ?x3)) (?v_24 (* (- 65) ?x1)) (?v_10 (* (- 19) ?x2)) (?v_13 (* (- 91) ?x1)) (?v_11 (* (- 1) ?x1)) (?v_36 (* (- 93) ?x2)) (?v_29 (* (- 2) ?x2)) (?v_22 (* (- 8) ?x2)) (?v_35 (* (- 8) ?x1))) (or (or (and (or (or (< (+ (+ (+ (* 18 ?x1) (* 83 ?x2)) ?v_2) ?v_9) (- 47)) (or (= (+ (+ (* 75 ?x1) ?v_27) (* 62 ?x3)) 0) (and (>= (+ (* 37 ?x3) ?v_14) 22) (<= (+ (+ (+ (* 29 ?x1) ?v_0) (* (- 10) ?x3)) (* (- 23) ?x4)) 63)))) (and (or (or (< (+ (* 72 ?x2) (* (- 69) ?x3)) (- 44)) (> (+ (+ ?v_39 (* 75 ?x2)) ?v_7) (- 97))) (and (= (+ (+ (* (- 90) ?x1) ?v_0) (* (- 88) ?x3)) (- 51)) (not (= (+ (+ (+ (* 65 ?x1) ?v_1) ?v_26) ?v_19) 0)))) (and (= (+ (+ (* (- 94) ?x1) ?v_32) ?v_21) 0) (<= (+ (+ (+ (* (- 93) ?x1) ?v_1) ?v_2) (* 11 ?x4)) (- 70))))) (or (or (or (or (not (= (+ (+ (* (- 78) ?x2) (* (- 42) ?x3)) ?v_16) (- 85))) (> (+ (+ (* 45 ?x1) ?v_20) ?v_33) (- 88))) (and (not (= (+ (+ (* (- 18) ?x2) (* (- 51) ?x3)) ?v_31) 0)) (not (= (+ (+ (* (- 20) ?x2) ?v_38) ?v_23) 77)))) (not (= (+ (* 65 ?x2) (* (- 20) ?x3)) 5))) (and (or (and (= (+ (+ (* (- 76) ?x1) (* (- 7) ?x3)) (* 51 ?x4)) (- 42)) (= (+ (+ (+ (* (- 40) ?x1) ?v_4) (* (- 60) ?x3)) (* 82 ?x4)) 36)) (or (<= (+ (+ ?v_3 (* (- 45) ?x3)) (* 79 ?x4)) 0) (< (+ (+ (+ (* 81 ?x1) (* 80 ?x2)) ?v_5) (* (- 9) ?x4)) 70))) (and (or (< (+ (+ (+ (* 66 ?x1) (* (- 43) ?x2)) (* 48 ?x3)) (* (- 13) ?x4)) (- 56)) (= (+ (+ (* 31 ?x2) (* 54 ?x3)) (* (- 21) ?x4)) (- 18))) (> (+ (+ ?v_3 (* 14 ?x2)) (* (- 33) ?x4)) 0))))) (or (and (and (and (<= (+ (+ (* (- 72) ?x1) ?v_4) ?v_6) (- 43)) (>= (+ (+ (+ ?v_34 (* (- 5) ?x2)) ?v_5) ?v_6) (- 44))) (or (or (< (+ ?v_18 (* 14 ?x3)) (- 74)) (> (+ (+ (* (- 36) ?x1) ?v_0) (* 35 ?x4)) (- 7))) (and (> (+ (+ (+ (* 1 ?x1) ?v_8) (* (- 59) ?x3)) (* (- 51) ?x4)) 92) (>= (+ (+ (+ ?v_17 (* (- 76) ?x2)) ?v_15) (* (- 19) ?x4)) (- 26))))) (or (or (or (>= (+ (+ ?v_24 (* (- 48) ?x3)) ?v_7) (- 86)) (< (+ (+ (* (- 52) ?x2) ?v_37) (* 69 ?x4)) 16)) (or (< (+ (+ (* 49 ?x1) ?v_1) (* (- 99) ?x3)) 85) (< (+ (+ (* (- 28) ?x2) (* 33 ?x3)) (* (- 86) ?x4)) 61))) (and (>= (+ (+ ?v_8 ?v_12) (* 70 ?x4)) (- 44)) (< (+ (+ (+ (* (- 28) ?x1) ?v_10) (* (- 2) ?x3)) (* 78 ?x4)) 0)))) (and (or (and (>= (+ (* (- 17) ?x1) (* (- 65) ?x3)) (- 86)) (< (+ (+ (+ (* (- 41) ?x1) (* 93 ?x2)) (* 10 ?x3)) (* (- 80) ?x4)) 40)) (and (> (+ (+ (+ (* 88 ?x1) (* 46 ?x2)) (* (- 21) ?x3)) ?v_9) (- 45)) (> (+ (+ ?v_13 (* 84 ?x2)) (* (- 57) ?x3)) 0))) (or (and (<= (+ (+ ?v_11 ?v_28) (* (- 79) ?x4)) 59) (<= (+ (* 10 ?x1) ?v_10) (- 76))) (>= (+ (+ ?v_11 ?v_30) (* 65 ?x4)) 0))))) (or (and (and (or (> (+ (+ (* (- 3) ?x2) (* (- 55) ?x3)) (* 49 ?x4)) (- 31)) (>= (+ (* 22 ?x2) (* 35 ?x3)) 0)) (or (or (or (<= (+ (+ (* 12 ?x1) (* (- 56) ?x3)) (* 31 ?x4)) 0) (= (+ (+ (+ (* (- 58) ?x1) (* 28 ?x2)) (* 6 ?x3)) (* 41 ?x4)) 57)) (or (not (= (+ (+ (* 40 ?x2) ?v_12) (* (- 82) ?x4)) (- 70))) (< (+ (+ (+ ?v_13 ?v_36) ?v_12) (* 20 ?x4)) 58))) (or (and (< (+ (* (- 13) ?x3) ?v_14) 61) (< (+ (+ (+ (* 40 ?x1) (* (- 41) ?x2)) (* (- 61) ?x3)) (* 13 ?x4)) 43)) (or (> (+ (+ (* 8 ?x2) (* 67 ?x3)) (* (- 3) ?x4)) 68) (<= (+ (+ (* (- 9) ?x1) ?v_29) ?v_15) 0))))) (or (or (and (or (= (+ (+ (+ (* (- 83) ?x1) (* (- 60) ?x2)) (* (- 1) ?x3)) ?v_16) 69) (<= (+ (+ ?v_17 (* 11 ?x3)) (* (- 39) ?x4)) 0)) (or (>= (+ (+ (* 35 ?x1) (* (- 49) ?x3)) (* (- 11) ?x4)) 0) (not (= (+ (+ (* 50 ?x1) (* (- 31) ?x2)) ?v_40) 0)))) (and (< (+ (* 55 ?x1) (* (- 38) ?x3)) 0) (or (not (= (+ (+ (* (- 45) ?x2) (* 82 ?x3)) (* (- 94) ?x4)) 0)) (>= (+ (+ (+ (* 38 ?x1) (* 30 ?x2)) (* 26 ?x3)) (* (- 70) ?x4)) 0)))) (and (or (and (= (+ (+ (+ (* (- 21) ?x1) ?v_22) ?v_25) (* 33 ?x4)) (- 27)) (< (+ (+ (* (- 31) ?x1) (* 55 ?x2)) (* (- 54) ?x4)) (- 47))) (or (<= (+ (+ (* 47 ?x1) (* 92 ?x3)) (* 25 ?x4)) (- 60)) (<= (+ (* 6 ?x2) (* (- 79) ?x3)) 60))) (< (+ (+ ?v_18 (* (- 1) ?x2)) ?v_19) (- 86))))) (or (and (or (or (or (< (+ (+ (+ (* 99 ?x1) ?v_20) (* 21 ?x3)) ?v_21) 67) (and (>= (+ (+ (+ (* 93 ?x1) ?v_22) (* 9 ?x3)) (* (- 98) ?x4)) (- 50)) (> (* 43 ?x4) (- 87)))) (and (or (< (+ (+ (* (- 39) ?x1) (* 74 ?x2)) (* (- 22) ?x3)) 0) (> (+ (+ (* (- 54) ?x1) (* (- 66) ?x2)) (* 85 ?x3)) 0)) (and (not (= (+ (* (- 78) ?x1) ?v_23) 96)) (= (+ (+ ?v_24 (* (- 100) ?x2)) ?v_25) (- 82))))) (or (or (>= (+ (* (- 89) ?x2) (* 28 ?x4)) (- 74)) (or (= (+ (+ (* 37 ?x1) (* 58 ?x3)) (* (- 65) ?x4)) (- 73)) (< (+ (* (- 14) ?x1) (* 72 ?x3)) 0))) (and (= (+ (* (- 57) ?x1) (* (- 67) ?x4)) (- 39)) (and (= (+ (+ (+ (* 57 ?x1) (* 19 ?x2)) (* (- 3) ?x3)) (* (- 100) ?x4)) 53) (not (= (+ (+ (* (- 37) ?x1) (* 3 ?x2)) (* (- 71) ?x3)) 54)))))) (and (or (or (= (+ (+ (+ (* (- 48) ?x1) (* (- 69) ?x2)) (* 30 ?x3)) (* 27 ?x4)) (- 60)) (not (= (+ ?v_0 (* (- 44) ?x4)) 0))) (or (> (+ (+ (* 98 ?x1) (* 20 ?x2)) (* (- 68) ?x4)) (- 28)) (<= (+ (* (- 13) ?x1) ?v_26) (- 39)))) (and (or (or (< (+ (+ ?v_27 ?v_28) (* (- 45) ?x4)) 0) (< (+ (* (- 79) ?x1) (* (- 90) ?x3)) 0)) (or (>= (+ (+ (* 15 ?x2) (* 29 ?x3)) (* 58 ?x4)) (- 44)) (> (+ (+ (* (- 88) ?x1) (* (- 72) ?x2)) (* 94 ?x4)) 0))) (or (and (> (+ (+ (+ (* 60 ?x1) ?v_29) ?v_30) (* (- 87) ?x4)) 0) (= (+ (+ ?v_35 (* 44 ?x2)) ?v_5) 0)) (and (> (+ (* 89 ?x1) ?v_31) 90) (>= (+ (+ (* (- 64) ?x2) ?v_32) (* 19 ?x4)) 13)))))) (or (or (or (or (<= (+ (+ (* 85 ?x1) (* (- 24) ?x2)) (* 50 ?x4)) 0) (not (= (+ (+ (* 14 ?x1) (* 12 ?x2)) (* 38 ?x3)) 0))) (and (not (= (+ (+ (* 89 ?x2) (* 12 ?x3)) (* (- 48) ?x4)) 0)) (< (+ (+ (* 82 ?x2) (* (- 73) ?x3)) (* 5 ?x4)) (- 53)))) (and (and (< (+ (+ (* 80 ?x1) (* (- 23) ?x2)) (* (- 66) ?x3)) 67) (<= (+ (+ (* (- 53) ?x2) (* (- 50) ?x3)) ?v_33) 0)) (and (> (+ ?v_34 (* 8 ?x3)) 80) (not (= (+ (+ (* 67 ?x2) (* (- 6) ?x3)) (* (- 57) ?x4)) 0))))) (and (and (<= (+ (* (- 56) ?x1) (* 99 ?x4)) 32) (= (+ (+ (+ ?v_35 ?v_36) ?v_37) (* 92 ?x4)) 0)) (and (and (or (not (= (+ (* 92 ?x2) (* 62 ?x4)) (- 18))) (not (= (+ (+ (* 47 ?x2) (* 94 ?x3)) (* (- 52) ?x4)) 60))) (and (= (+ (+ (+ (* 82 ?x1) (* (- 37) ?x2)) (* (- 94) ?x3)) (* (- 72) ?x4)) 0) (>= (+ ?v_38 (* (- 89) ?x4)) (- 44)))) (and (>= (+ (* 11 ?x1) ?v_37) 1) (<= (+ (+ (+ ?v_39 (* 97 ?x2)) (* 83 ?x3)) ?v_40) 0))))))))))))))
(check-sat)
(exit)
