(set-info :smt-lib-version 2.6)
(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :category "random")
(set-info :status sat)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(assert (forall ((?x1 Real)) (exists ((?x2 Real)) (forall ((?x3 Real)) (exists ((?x4 Real)) (let ((?v_149 (* 45 ?x2)) (?v_242 (* 82 ?x1)) (?v_141 (* 22 ?x2)) (?v_265 (* 22 ?x4)) (?v_5 (* 33 ?x3)) (?v_206 (* 29 ?x4)) (?v_112 (* 17 ?x1)) (?v_199 (* 10 ?x2)) (?v_192 (* 67 ?x3)) (?v_4 (* 6 ?x4)) (?v_168 (* 84 ?x3)) (?v_94 (* 68 ?x3)) (?v_248 (* 25 ?x4)) (?v_82 (* 64 ?x4)) (?v_164 (* 78 ?x2)) (?v_1 (* 60 ?x3)) (?v_52 (* 30 ?x1)) (?v_61 (* 29 ?x1)) (?v_111 (* 2 ?x3)) (?v_76 (* 25 ?x1)) (?v_78 (* 30 ?x3)) (?v_137 (* 31 ?x4)) (?v_24 (* 33 ?x1)) (?v_27 (* 94 ?x3)) (?v_13 (* 26 ?x1)) (?v_11 (* 61 ?x4)) (?v_208 (* 76 ?x1)) (?v_129 (* 49 ?x4)) (?v_101 (* 90 ?x2)) (?v_278 (* 20 ?x2)) (?v_69 (* 71 ?x1)) (?v_212 (* 54 ?x4)) (?v_45 (* 68 ?x1)) (?v_123 (* 77 ?x2)) (?v_120 (* 9 ?x2)) (?v_28 (* 6 ?x1)) (?v_20 (* 62 ?x4)) (?v_26 (* 62 ?x2)) (?v_171 (* 86 ?x4)) (?v_17 (* 100 ?x1)) (?v_72 (* 39 ?x3)) (?v_21 (* 24 ?x4)) (?v_236 (* 40 ?x4)) (?v_122 (* 54 ?x3)) (?v_53 (* 38 ?x4)) (?v_163 (* 55 ?x2)) (?v_77 (* 42 ?x4)) (?v_59 (* 86 ?x1)) (?v_232 (* 32 ?x1)) (?v_38 (* 28 ?x2)) (?v_50 (* 15 ?x4)) (?v_37 (* 51 ?x1)) (?v_207 (* 18 ?x3)) (?v_198 (* 36 ?x4)) (?v_36 (* 69 ?x1)) (?v_251 (* 63 ?x4)) (?v_42 (* 2 ?x4)) (?v_255 (* 93 ?x2)) (?v_157 (* 81 ?x1)) (?v_176 (* 48 ?x2)) (?v_31 (* 28 ?x4)) (?v_173 (* 15 ?x2)) (?v_167 (* 66 ?x3)) (?v_44 (* 10 ?x4)) (?v_280 (* 86 ?x2)) (?v_245 (* 1 ?x1)) (?v_39 (* 32 ?x3)) (?v_244 (* 17 ?x2)) (?v_68 (* 21 ?x3)) (?v_147 (* 64 ?x2)) (?v_119 (* 7 ?x1)) (?v_60 (* 36 ?x3)) (?v_271 (* 34 ?x1)) (?v_151 (* 71 ?x2)) (?v_196 (* 84 ?x4)) (?v_145 (* 69 ?x2)) (?v_142 (* 41 ?x3)) (?v_226 (* 9 ?x3)) (?v_75 (* 98 ?x1)) (?v_185 (* 72 ?x2)) (?v_41 (* 51 ?x4)) (?v_86 (* 83 ?x3)) (?v_165 (* 76 ?x4)) (?v_63 (* 36 ?x1)) (?v_203 (* 98 ?x2)) (?v_92 (* 47 ?x1)) (?v_85 (* 15 ?x1)) (?v_67 (* 12 ?x2)) (?v_234 (* 86 ?x3)) (?v_55 (* 40 ?x2)) (?v_190 (* 65 ?x3)) (?v_66 (* 11 ?x1)) (?v_57 (* 50 ?x2)) (?v_172 (* 11 ?x3)) (?v_267 (* 100 ?x2)) (?v_95 (* 59 ?x1)) (?v_148 (* 2 ?x1)) (?v_113 (* 52 ?x3)) (?v_81 (* 5 ?x1)) (?v_152 (* 13 ?x3)) (?v_70 (* 23 ?x1)) (?v_105 (* 87 ?x3)) (?v_194 (* 44 ?x1)) (?v_116 (* 7 ?x3)) (?v_126 (* 39 ?x4)) (?v_170 (* 25 ?x3)) (?v_79 (* 27 ?x2)) (?v_205 (* 99 ?x2)) (?v_259 (* 92 ?x4)) (?v_150 (* 46 ?x3)) (?v_96 (* 3 ?x2)) (?v_276 (* 26 ?x3)) (?v_127 (* 75 ?x1)) (?v_88 (* 60 ?x2)) (?v_183 (* 41 ?x1)) (?v_99 (* 74 ?x3)) (?v_143 (* 5 ?x4)) (?v_107 (* 34 ?x3)) (?v_214 (* 20 ?x4)) (?v_159 (* 38 ?x1)) (?v_273 (* 9 ?x4)) (?v_266 (* 57 ?x2)) (?v_288 (* 72 ?x1)) (?v_250 (* 93 ?x4)) (?v_136 (* 4 ?x2)) (?v_252 (* 56 ?x2)) (?v_124 (* 26 ?x4)) (?v_253 (* 58 ?x3)) (?v_160 (* 35 ?x2)) (?v_139 (* 87 ?x1)) (?v_169 (* 48 ?x4)) (?v_256 (* 91 ?x4)) (?v_233 (* 64 ?x3)) (?v_197 (* 94 ?x2)) (?v_161 (* 65 ?x2)) (?v_162 (* 17 ?x3)) (?v_224 (* 34 ?x4)) (?v_189 (* 45 ?x1)) (?v_270 (* 33 ?x2)) (?v_282 (* 79 ?x3)) (?v_191 (* 14 ?x2)) (?v_227 (* 19 ?x2)) (?v_219 (* 88 ?x4)) (?v_243 (* 16 ?x3)) (?v_213 (* 69 ?x3)) (?v_225 (* 24 ?x2)) (?v_272 (* 32 ?x2)) (?v_249 (* 68 ?x4)) (?v_2 (* (- 26) ?x1)) (?v_118 (* (- 61) ?x3)) (?v_114 (* (- 46) ?x4)) (?v_29 (* (- 93) ?x2)) (?v_154 (* (- 26) ?x3)) (?v_0 (* (- 47) ?x1)) (?v_23 (* (- 10) ?x2)) (?v_130 (* (- 60) ?x1)) (?v_54 (* (- 31) ?x2)) (?v_3 (* (- 78) ?x2)) (?v_19 (* (- 96) ?x1)) (?v_15 (* (- 63) ?x3)) (?v_221 (* (- 97) ?x3)) (?v_10 (* (- 52) ?x2)) (?v_6 (* (- 60) ?x3)) (?v_230 (* (- 76) ?x2)) (?v_62 (* (- 57) ?x4)) (?v_87 (* (- 45) ?x4)) (?v_65 (* (- 84) ?x2)) (?v_201 (* (- 18) ?x3)) (?v_222 (* (- 4) ?x4)) (?v_18 (* (- 56) ?x1)) (?v_184 (* (- 25) ?x3)) (?v_49 (* (- 100) ?x1)) (?v_8 (* (- 88) ?x2)) (?v_22 (* (- 37) ?x3)) (?v_34 (* (- 49) ?x1)) (?v_138 (* (- 94) ?x4)) (?v_178 (* (- 35) ?x1)) (?v_25 (* (- 34) ?x3)) (?v_241 (* (- 15) ?x4)) (?v_30 (* (- 42) ?x2)) (?v_9 (* (- 76) ?x3)) (?v_7 (* (- 92) ?x4)) (?v_43 (* (- 12) ?x2)) (?v_103 (* (- 91) ?x1)) (?v_156 (* (- 88) ?x3)) (?v_109 (* (- 96) ?x2)) (?v_51 (* (- 94) ?x3)) (?v_16 (* (- 39) ?x1)) (?v_174 (* (- 6) ?x4)) (?v_285 (* (- 19) ?x1)) (?v_14 (* (- 6) ?x2)) (?v_144 (* (- 66) ?x1)) (?v_186 (* (- 38) ?x2)) (?v_12 (* (- 95) ?x4)) (?v_135 (* (- 34) ?x2)) (?v_97 (* (- 81) ?x3)) (?v_71 (* (- 52) ?x4)) (?v_175 (* (- 80) ?x2)) (?v_100 (* (- 29) ?x4)) (?v_216 (* (- 52) ?x1)) (?v_74 (* (- 1) ?x3)) (?v_58 (* (- 41) ?x3)) (?v_35 (* (- 72) ?x4)) (?v_177 (* (- 8) ?x3)) (?v_132 (* (- 65) ?x3)) (?v_84 (* (- 37) ?x2)) (?v_121 (* (- 10) ?x3)) (?v_131 (* (- 90) ?x1)) (?v_106 (* (- 57) ?x1)) (?v_40 (* (- 66) ?x2)) (?v_134 (* (- 64) ?x3)) (?v_73 (* (- 14) ?x1)) (?v_283 (* (- 45) ?x1)) (?v_155 (* (- 53) ?x4)) (?v_33 (* (- 85) ?x3)) (?v_32 (* (- 30) ?x4)) (?v_46 (* (- 38) ?x3)) (?v_274 (* (- 77) ?x4)) (?v_89 (* (- 78) ?x4)) (?v_102 (* (- 2) ?x4)) (?v_93 (* (- 79) ?x4)) (?v_48 (* (- 46) ?x2)) (?v_108 (* (- 9) ?x4)) (?v_284 (* (- 17) ?x3)) (?v_47 (* (- 91) ?x2)) (?v_286 (* (- 50) ?x2)) (?v_90 (* (- 77) ?x3)) (?v_64 (* (- 20) ?x3)) (?v_223 (* (- 99) ?x1)) (?v_91 (* (- 61) ?x4)) (?v_56 (* (- 51) ?x4)) (?v_200 (* (- 42) ?x4)) (?v_80 (* (- 10) ?x4)) (?v_187 (* (- 76) ?x4)) (?v_117 (* (- 39) ?x4)) (?v_281 (* (- 65) ?x4)) (?v_104 (* (- 68) ?x3)) (?v_211 (* (- 70) ?x3)) (?v_209 (* (- 37) ?x4)) (?v_182 (* (- 40) ?x4)) (?v_238 (* (- 18) ?x1)) (?v_228 (* (- 32) ?x1)) (?v_193 (* (- 92) ?x1)) (?v_83 (* (- 23) ?x2)) (?v_268 (* (- 62) ?x3)) (?v_110 (* (- 74) ?x4)) (?v_254 (* (- 16) ?x4)) (?v_260 (* (- 18) ?x2)) (?v_125 (* (- 42) ?x3)) (?v_98 (* (- 88) ?x1)) (?v_146 (* (- 7) ?x4)) (?v_128 (* (- 7) ?x1)) (?v_140 (* (- 39) ?x3)) (?v_181 (* (- 59) ?x3)) (?v_277 (* (- 58) ?x1)) (?v_202 (* (- 55) ?x4)) (?v_269 (* (- 82) ?x3)) (?v_229 (* (- 89) ?x3)) (?v_195 (* (- 16) ?x3)) (?v_115 (* (- 51) ?x1)) (?v_215 (* (- 70) ?x2)) (?v_217 (* (- 50) ?x3)) (?v_246 (* (- 31) ?x1)) (?v_179 (* (- 98) ?x1)) (?v_204 (* (- 51) ?x3)) (?v_153 (* (- 64) ?x4)) (?v_166 (* (- 7) ?x2)) (?v_158 (* (- 74) ?x3)) (?v_133 (* (- 92) ?x2)) (?v_240 (* (- 46) ?x1)) (?v_257 (* (- 95) ?x2)) (?v_235 (* (- 13) ?x3)) (?v_264 (* (- 33) ?x3)) (?v_258 (* (- 67) ?x4)) (?v_180 (* (- 11) ?x3)) (?v_237 (* (- 13) ?x4)) (?v_239 (* (- 36) ?x3)) (?v_188 (* (- 29) ?x3)) (?v_220 (* (- 49) ?x2)) (?v_279 (* (- 37) ?x1)) (?v_218 (* (- 12) ?x1)) (?v_210 (* (- 56) ?x3)) (?v_231 (* (- 18) ?x4)) (?v_275 (* (- 34) ?x1)) (?v_261 (* (- 2) ?x2)) (?v_247 (* (- 78) ?x1)) (?v_262 (* (- 64) ?x1)) (?v_263 (* (- 100) ?x2)) (?v_287 (* (- 93) ?x3))) (or (or (and (or (or (and (and (and (>= (+ (+ (+ ?v_2 ?v_149) ?v_118) ?v_114) 49) (> (+ ?v_29 ?v_154) 0)) (or (< (+ (+ ?v_242 ?v_141) ?v_265) 0) (<= (+ (+ (+ ?v_0 ?v_23) ?v_5) ?v_206) 5))) (and (< (+ (+ (+ ?v_112 ?v_199) ?v_192) ?v_4) 61) (> (+ (+ (* (- 38) ?x1) ?v_168) (* (- 88) ?x4)) (- 22)))) (and (not (= (+ (+ (+ ?v_130 ?v_54) ?v_94) ?v_248) 30)) (and (not (= (+ (+ (+ ?v_0 ?v_3) (* (- 92) ?x3)) (* 30 ?x4)) (- 94))) (= (+ (+ (+ ?v_19 (* 13 ?x2)) (* (- 99) ?x3)) ?v_82) 78)))) (and (or (or (or (or (= (+ (+ (+ (* (- 80) ?x1) ?v_164) ?v_15) (* (- 98) ?x4)) (- 60)) (<= (+ (* 47 ?x2) ?v_1) 0)) (or (>= (+ (+ (+ (* 92 ?x1) (* 51 ?x2)) ?v_221) (* (- 90) ?x4)) 0) (> (+ (+ ?v_52 ?v_10) ?v_6) 38))) (and (or (= (+ ?v_230 (* 77 ?x4)) 51) (= (+ (+ (+ (* (- 15) ?x1) (* 11 ?x2)) ?v_1) ?v_62) (- 42))) (or (>= (+ (+ ?v_2 (* 90 ?x3)) ?v_87) 0) (not (= (+ (+ (+ ?v_61 ?v_65) ?v_201) ?v_222) (- 49)))))) (or (and (= (+ (* 84 ?x1) ?v_111) 0) (= (+ (+ ?v_76 (* (- 5) ?x2)) (* 28 ?x3)) 11)) (or (or (< (+ (+ (+ (* (- 48) ?x1) ?v_3) ?v_78) (* 3 ?x4)) (- 92)) (< (+ (+ (+ ?v_18 (* (- 64) ?x2)) (* 27 ?x3)) ?v_137) (- 23))) (or (not (= (+ (+ ?v_24 ?v_27) ?v_4) 0)) (not (= (+ ?v_13 ?v_184) (- 61))))))) (and (and (or (> (+ ?v_49 ?v_11) (- 81)) (and (not (= (+ (+ (+ ?v_208 ?v_8) ?v_5) ?v_129) 50)) (= (+ (+ (+ (* 74 ?x1) (* (- 15) ?x2)) (* 51 ?x3)) (* 73 ?x4)) 9))) (or (>= (+ (+ (+ (* 99 ?x1) ?v_101) ?v_22) (* (- 34) ?x4)) (- 26)) (< (+ (+ (+ ?v_34 ?v_278) ?v_6) ?v_138) (- 35)))) (and (and (and (= ?v_178 33) (< (+ (+ ?v_69 ?v_25) ?v_212) 43)) (and (= (+ (+ ?v_45 ?v_123) ?v_241) (- 15)) (<= (+ (+ (+ (* 66 ?x1) ?v_30) ?v_9) ?v_7) 0))) (or (and (< (+ (+ ?v_43 (* 70 ?x3)) (* (- 22) ?x4)) (- 68)) (>= (+ ?v_103 ?v_120) 0)) (or (<= (+ ?v_156 ?v_7) 0) (< (+ (+ (+ ?v_28 ?v_109) ?v_51) ?v_20) 46))))))) (or (or (or (or (> (+ (+ ?v_16 ?v_8) ?v_174) 80) (or (and (= (+ (+ (+ ?v_285 ?v_14) ?v_9) (* (- 73) ?x4)) (- 51)) (= (+ (+ ?v_144 ?v_26) ?v_171) 99)) (<= (+ (+ ?v_17 ?v_10) ?v_11) 86))) (and (< (+ ?v_186 ?v_12) (- 47)) (<= (+ (+ ?v_135 ?v_72) ?v_12) (- 39)))) (and (or (or (and (< (+ (+ ?v_13 (* (- 60) ?x2)) (* 50 ?x4)) (- 17)) (>= (+ (* (- 82) ?x1) ?v_14) 0)) (not (= (+ (+ (* (- 20) ?x1) ?v_97) ?v_21) (- 54)))) (and (or (< (+ ?v_15 ?v_71) (- 95)) (>= (+ (+ (+ ?v_16 ?v_175) (* 23 ?x3)) ?v_11) 34)) (and (>= ?v_236 (- 95)) (<= (+ (* 31 ?x2) (* (- 27) ?x4)) 0)))) (or (<= (+ ?v_122 ?v_53) (- 52)) (and (> (+ (+ (+ (* 50 ?x1) ?v_163) (* 55 ?x3)) ?v_77) (- 36)) (= (+ (+ (* (- 56) ?x2) (* 96 ?x3)) ?v_100) 53))))) (and (and (or (not (= (+ (+ ?v_17 (* (- 83) ?x3)) (* (- 82) ?x4)) (- 94))) (< (+ (+ ?v_59 (* 80 ?x2)) (* 8 ?x3)) 7)) (and (> (+ ?v_2 (* 79 ?x2)) 98) (not (= (+ ?v_216 (* (- 30) ?x3)) 0)))) (and (and (and (or (< (+ (+ (+ ?v_232 ?v_38) ?v_74) ?v_50) (- 17)) (= (+ (+ (+ ?v_37 (* 41 ?x2)) ?v_207) (* 97 ?x4)) 15)) (and (< (+ (+ (* (- 44) ?x1) ?v_8) ?v_58) 85) (> (* (- 53) ?x1) (- 19)))) (or (and (= (+ ?v_18 ?v_35) 42) (> (+ ?v_19 ?v_177) (- 10))) (or (< (+ (+ (+ (* (- 75) ?x1) (* (- 26) ?x2)) ?v_132) ?v_20) 79) (= (+ (+ ?v_84 ?v_121) ?v_21) (- 24))))) (and (= (+ (+ (+ ?v_131 (* 1 ?x2)) (* 10 ?x3)) ?v_198) (- 36)) (and (<= (+ (* (- 86) ?x3) (* (- 8) ?x4)) (- 55)) (< (+ (+ (+ ?v_106 ?v_40) ?v_22) (* (- 28) ?x4)) 0))))))) (or (and (and (and (and (>= (+ (+ (+ ?v_36 (* (- 21) ?x2)) ?v_134) ?v_251) 0) (and (>= (+ (+ (+ ?v_73 ?v_23) (* (- 14) ?x3)) (* 100 ?x4)) (- 17)) (<= (+ (+ ?v_24 ?v_25) ?v_42) 35))) (and (or (> (+ (+ (+ (* 12 ?x1) ?v_26) ?v_27) (* 45 ?x4)) 0) (> (+ ?v_283 ?v_255) 0)) (>= (+ (+ ?v_28 ?v_29) ?v_155) 0))) (and (and (and (= (+ (+ (+ ?v_157 ?v_176) (* 6 ?x3)) ?v_31) 0) (>= (+ (+ ?v_173 ?v_33) ?v_32) (- 59))) (>= (+ ?v_30 ?v_167) 49)) (or (or (not (= (+ (+ (+ (* (- 54) ?x1) (* (- 33) ?x2)) ?v_46) ?v_44) 36)) (< (+ (+ ?v_280 (* 72 ?x3)) ?v_274) 10)) (or (> (+ (+ (+ ?v_245 (* 49 ?x2)) ?v_39) ?v_89) 30) (not (= (+ (+ (* (- 84) ?x1) ?v_244) ?v_68) (- 57))))))) (and (or (or (<= (+ ?v_6 ?v_102) (- 55)) (<= ?v_93 (- 22))) (or (and (and (not (= ?v_147 (- 73))) (> (+ (+ (+ ?v_119 ?v_48) ?v_60) ?v_31) 2)) (or (= ?v_108 84) (= (+ (+ ?v_271 ?v_151) (* (- 32) ?x4)) (- 27)))) (or (or (= (+ (+ (* (- 17) ?x1) (* (- 40) ?x2)) (* 79 ?x4)) (- 24)) (> (+ ?v_284 ?v_32) (- 28))) (and (< (+ (+ (* (- 13) ?x1) ?v_47) ?v_196) 49) (not (= (+ (* (- 83) ?x2) (* 95 ?x3)) 0)))))) (or (or (and (and (< (+ ?v_33 (* 23 ?x4)) (- 23)) (not (= (+ ?v_34 ?v_145) 0))) (or (= (+ (+ ?v_16 ?v_142) (* 47 ?x4)) (- 39)) (= (+ (+ ?v_286 ?v_90) ?v_35) (- 30)))) (or (>= (+ (+ (+ ?v_36 (* (- 16) ?x2)) (* 5 ?x3)) ?v_20) (- 83)) (and (<= (+ (+ ?v_37 ?v_38) ?v_226) (- 36)) (not (= (+ (+ (+ ?v_75 ?v_185) ?v_39) (* (- 41) ?x4)) (- 58)))))) (or (or (<= (+ (+ ?v_40 ?v_64) ?v_41) 5) (not (= (+ (+ (+ ?v_223 (* (- 48) ?x2)) ?v_86) ?v_165) 75))) (or (and (> (+ ?v_63 ?v_41) 44) (< (+ (+ (+ (* (- 69) ?x1) ?v_203) (* 81 ?x3)) ?v_42) (- 41))) (< (+ (+ ?v_92 (* (- 17) ?x2)) ?v_21) (- 14))))))) (and (or (or (or (or (>= (+ (+ (+ ?v_85 ?v_67) (* 78 ?x3)) ?v_91) (- 59)) (= (+ (+ ?v_43 ?v_234) ?v_56) 0)) (or (= (+ (+ (+ (* 28 ?x1) ?v_55) ?v_190) ?v_44) (- 97)) (>= (+ (+ (+ ?v_66 ?v_57) ?v_172) ?v_200) 91))) (or (or (and (<= (+ (+ ?v_45 (* (- 61) ?x2)) ?v_80) 0) (>= (+ (+ (* 97 ?x1) ?v_46) (* 85 ?x4)) 0)) (or (> (+ (+ ?v_267 (* (- 91) ?x3)) ?v_187) (- 76)) (<= (+ (+ (+ ?v_95 (* 42 ?x2)) (* (- 84) ?x3)) ?v_117) (- 9)))) (not (= (+ (* (- 4) ?x1) (* (- 12) ?x4)) 83)))) (and (and (or (< (+ ?v_148 ?v_113) 0) (or (< (+ (* 21 ?x2) ?v_281) (- 26)) (>= (+ (+ (* 3 ?x1) ?v_47) ?v_104) (- 26)))) (or (and (= (+ (+ ?v_48 ?v_211) ?v_209) (- 36)) (<= (+ (+ ?v_49 (* (- 32) ?x3)) ?v_182) 0)) (and (> (+ (+ ?v_81 ?v_152) ?v_50) 65) (= (+ (+ ?v_70 ?v_51) (* (- 17) ?x4)) 90)))) (and (or (or (> ?v_105 (- 40)) (> (+ ?v_194 (* (- 28) ?x3)) 86)) (<= (+ (+ ?v_52 ?v_116) ?v_53) (- 70))) (or (or (= (+ (+ (+ ?v_238 ?v_54) ?v_27) ?v_126) (- 3)) (= (+ (+ ?v_55 ?v_170) ?v_56) 96)) (>= (+ ?v_57 (* 82 ?x3)) 4))))) (and (or (or (or (<= (+ (+ ?v_228 (* (- 43) ?x3)) (* 96 ?x4)) 95) (>= (+ ?v_193 ?v_58) 16)) (and (< (+ (+ ?v_59 ?v_60) (* (- 84) ?x4)) 0) (= (+ (+ (+ ?v_61 ?v_83) ?v_268) ?v_62) 0))) (and (and (> (+ ?v_63 ?v_64) 27) (= (+ (+ (* 18 ?x1) (* (- 28) ?x2)) (* 16 ?x4)) 0)) (and (= (+ (+ (+ ?v_16 ?v_65) (* 31 ?x3)) ?v_110) 0) (>= (+ (+ ?v_66 ?v_67) ?v_68) 25)))) (or (or (or (or (< (+ (+ ?v_69 ?v_79) (* (- 44) ?x3)) 82) (<= (+ (+ (+ ?v_70 ?v_205) ?v_22) ?v_42) 96)) (or (<= (+ (+ (* (- 74) ?x1) (* 100 ?x3)) ?v_259) 93) (not (= (+ (+ (+ (* 65 ?x1) (* 43 ?x2)) ?v_150) ?v_71) 68)))) (or (or (not (= (+ (+ ?v_96 ?v_22) ?v_254) 0)) (>= (+ (+ (+ (* 13 ?x1) ?v_260) ?v_72) ?v_20) 0)) (not (= (+ (+ ?v_73 ?v_276) (* 94 ?x4)) 36)))) (and (> (+ (* 63 ?x2) ?v_125) 89) (<= (+ (+ ?v_98 (* (- 19) ?x2)) ?v_74) 0))))))) (and (and (and (or (or (and (and (and (>= (+ (+ ?v_75 (* 39 ?x2)) (* 67 ?x4)) (- 8)) (= (+ (+ ?v_76 ?v_33) ?v_77) 63)) (or (and (<= (+ (+ (+ ?v_127 ?v_88) ?v_78) ?v_146) 32) (= (+ (+ (+ ?v_183 ?v_79) ?v_99) ?v_44) (- 34))) (and (> (+ (+ ?v_128 ?v_140) (* (- 25) ?x4)) 48) (>= (+ ?v_49 ?v_80) (- 23))))) (and (and (= (+ (+ ?v_81 (* (- 75) ?x3)) ?v_82) (- 78)) (<= (+ ?v_39 ?v_143) 24)) (and (>= (+ (+ ?v_83 (* 45 ?x3)) (* 59 ?x4)) 0) (< (+ (+ (* (- 74) ?x2) ?v_181) ?v_53) 88)))) (and (and (or (< (+ (+ (+ ?v_69 ?v_84) ?v_107) ?v_214) 94) (> (+ (+ ?v_85 ?v_86) ?v_87) 8)) (and (or (not (= (+ (+ (+ (* 22 ?x1) ?v_88) ?v_64) ?v_89) 12)) (> (+ (+ (+ ?v_159 (* (- 4) ?x2)) ?v_90) ?v_91) 0)) (and (< (* 8 ?x4) 85) (>= (+ ?v_277 ?v_202) (- 20))))) (and (and (and (> (+ ?v_92 ?v_93) 0) (< (+ (* 78 ?x1) ?v_94) 0)) (or (not (= (+ (+ ?v_95 ?v_96) ?v_269) 45)) (> (+ (+ (+ ?v_17 (* (- 59) ?x2)) ?v_97) ?v_273) 0))) (or (< (+ (+ (+ ?v_98 ?v_266) ?v_99) ?v_100) 67) (<= (+ (+ (+ ?v_81 ?v_101) ?v_229) ?v_102) 0))))) (and (and (and (>= (+ (+ ?v_75 ?v_195) ?v_7) 76) (and (not (= (+ (+ (+ ?v_103 ?v_48) (* 59 ?x3)) ?v_89) 0)) (> (+ (+ (+ ?v_115 (* (- 24) ?x2)) ?v_104) (* 57 ?x4)) 8))) (or (or (< (+ ?v_215 ?v_105) (- 2)) (> (+ ?v_106 ?v_25) 83)) (or (>= (+ (* 8 ?x2) (* 19 ?x3)) 0) (< (+ ?v_288 ?v_107) (- 86))))) (and (or (or (<= (+ (+ (+ ?v_49 (* 95 ?x2)) ?v_217) ?v_250) 24) (not (= (+ (* (- 71) ?x3) ?v_108) 5))) (or (> (+ (+ ?v_92 ?v_109) ?v_110) 86) (= (+ ?v_111 (* (- 20) ?x4)) (- 63)))) (or (= (+ (+ (+ ?v_246 ?v_136) ?v_46) ?v_102) 0) (>= (+ (+ ?v_179 ?v_204) ?v_31) (- 44)))))) (and (or (and (and (or (< (+ (+ ?v_112 ?v_113) ?v_114) (- 44)) (not (= (+ (+ ?v_252 (* (- 35) ?x3)) ?v_124) (- 7)))) (< (+ (+ (+ ?v_115 (* 84 ?x2)) (* (- 80) ?x3)) (* 19 ?x4)) (- 35))) (or (and (<= (+ (+ (* 93 ?x1) ?v_116) ?v_117) 24) (= (+ (+ (+ (* (- 94) ?x1) (* (- 29) ?x2)) ?v_118) ?v_153) (- 12))) (and (= (+ (+ (+ ?v_119 ?v_120) ?v_253) (* (- 63) ?x4)) (- 75)) (< (+ (+ (+ ?v_81 ?v_30) ?v_121) (* (- 38) ?x4)) (- 77))))) (or (or (and (> (+ (+ ?v_24 ?v_160) ?v_122) 32) (< (+ (+ ?v_123 (* 4 ?x3)) (* 99 ?x4)) 40)) (or (>= (+ (+ (+ ?v_139 (* 83 ?x2)) ?v_118) (* (- 100) ?x4)) (- 77)) (not (= (+ (+ ?v_166 (* (- 40) ?x3)) ?v_124) 29)))) (or (< ?v_158 (- 44)) (and (> (+ (+ ?v_133 ?v_125) ?v_126) (- 91)) (= (+ (+ ?v_127 ?v_60) (* 58 ?x4)) 78))))) (and (or (or (and (or (<= (+ (+ (+ ?v_128 (* (- 89) ?x2)) ?v_64) ?v_129) (- 88)) (>= (* (- 27) ?x1) 79)) (or (= (+ ?v_130 (* (- 46) ?x3)) 0) (> (+ (+ (+ (* 43 ?x1) ?v_47) ?v_64) ?v_169) 0))) (or (>= (+ (+ ?v_131 (* 67 ?x2)) ?v_132) 0) (and (= (+ (* (- 67) ?x2) (* 46 ?x4)) 65) (< (+ (+ (+ (* (- 21) ?x1) ?v_133) ?v_134) (* (- 21) ?x4)) 10)))) (and (and (or (> (+ (+ (+ (* (- 3) ?x1) ?v_135) ?v_104) ?v_256) 0) (not (= (+ (+ (+ (* (- 83) ?x1) (* 85 ?x2)) (* 38 ?x3)) (* (- 5) ?x4)) (- 54)))) (or (= (+ (+ ?v_136 ?v_74) ?v_137) (- 37)) (not (= (+ ?v_233 ?v_44) (- 51))))) (or (and (>= (+ (* (- 3) ?x2) ?v_138) (- 65)) (= (+ (+ (+ ?v_139 (* 36 ?x2)) ?v_140) (* 52 ?x4)) 0)) (and (not (= (+ (+ (+ ?v_240 ?v_141) ?v_142) ?v_91) 54)) (<= (+ (+ ?v_13 ?v_197) (* 83 ?x4)) 65))))) (or (or (or (not (= (+ (+ ?v_47 ?v_105) ?v_143) (- 79))) (< (+ (+ (+ ?v_144 ?v_257) ?v_105) (* (- 96) ?x4)) (- 83))) (or (or (not (= (+ ?v_145 ?v_146) 6)) (= (+ (* 39 ?x1) ?v_147) 0)) (or (not (= (+ (+ (+ ?v_17 ?v_161) ?v_235) (* 98 ?x4)) 60)) (> (+ (+ (+ ?v_148 ?v_149) ?v_150) (* 32 ?x4)) 33)))) (or (or (or (= (+ (* (- 98) ?x2) ?v_162) 0) (< (+ (+ ?v_151 ?v_152) ?v_153) 0)) (and (<= (+ (+ (+ ?v_127 (* (- 90) ?x2)) ?v_154) ?v_155) 74) (<= (+ (+ (+ (* (- 24) ?x1) (* (- 32) ?x2)) ?v_156) ?v_62) (- 91)))) (<= (+ (+ (+ ?v_157 (* (- 13) ?x2)) ?v_264) ?v_44) (- 85))))))) (or (or (and (or (and (or (= (+ (+ (* (- 40) ?x1) ?v_158) ?v_20) 12) (= (+ (+ (+ ?v_159 ?v_160) (* (- 45) ?x3)) ?v_258) (- 48))) (and (not (= (+ (+ (+ ?v_92 ?v_161) ?v_162) (* 12 ?x4)) 0)) (not (= (+ (+ ?v_151 (* (- 58) ?x3)) ?v_224) 11)))) (or (or (not (= (+ (+ ?v_189 ?v_163) ?v_153) 0)) (< (+ (+ (+ (* 9 ?x1) ?v_164) ?v_180) ?v_165) 91)) (and (> (+ (+ (+ ?v_52 ?v_166) ?v_167) (* 44 ?x4)) (- 22)) (= (+ ?v_270 ?v_168) (- 24))))) (or (and (< (+ (+ (+ ?v_76 (* 82 ?x2)) ?v_116) ?v_169) (- 62)) (> (+ (+ (+ ?v_70 ?v_30) (* (- 15) ?x3)) ?v_7) 42)) (or (= (+ (+ (* 30 ?x2) ?v_170) ?v_171) 17) (>= (+ (+ (+ ?v_63 ?v_141) ?v_282) ?v_237) (- 38))))) (or (or (not (= (+ (+ (+ (* (- 28) ?x1) ?v_191) ?v_239) ?v_155) 0)) (and (and (< (+ (+ (* 58 ?x1) ?v_172) ?v_20) (- 59)) (not (= (+ (+ ?v_75 ?v_173) ?v_174) 0))) (and (< (+ (+ (+ ?v_95 ?v_175) ?v_188) ?v_77) (- 83)) (> (+ (+ (* (- 50) ?x1) ?v_176) (* (- 81) ?x4)) 35)))) (or (and (or (> (+ (+ (+ ?v_106 ?v_227) ?v_177) ?v_146) (- 22)) (not (= (+ (+ (* 16 ?x1) ?v_121) (* 80 ?x4)) 0))) (and (and (> (+ (+ ?v_178 (* (- 73) ?x2)) (* 27 ?x4)) 0) (= (+ (+ (+ ?v_179 ?v_220) ?v_180) ?v_219) 0)) (and (>= (+ (+ (+ ?v_279 (* (- 1) ?x2)) ?v_181) ?v_182) 100) (> (+ (+ (+ (* 85 ?x1) ?v_176) (* (- 66) ?x3)) (* (- 43) ?x4)) 0)))) (and (>= (+ (+ ?v_183 ?v_184) (* 41 ?x4)) 7) (and (<= (+ ?v_185 ?v_243) (- 15)) (<= (+ (+ (+ (* (- 23) ?x1) ?v_186) (* 22 ?x3)) ?v_187) 0)))))) (and (and (or (and (and (and (> (+ (+ (+ ?v_95 (* (- 27) ?x2)) ?v_188) (* (- 71) ?x4)) (- 39)) (not (= ?v_58 (- 24)))) (or (>= (+ ?v_189 ?v_47) 82) (< (+ ?v_190 (* (- 47) ?x4)) 0))) (and (and (not (= (+ (+ ?v_218 ?v_38) ?v_210) 21)) (not (= (+ (+ (+ (* (- 36) ?x1) ?v_191) ?v_192) ?v_12) (- 75)))) (= (+ (+ ?v_193 (* 2 ?x2)) ?v_213) (- 12)))) (or (or (or (>= (+ (+ (+ ?v_194 (* (- 68) ?x2)) ?v_195) ?v_231) 67) (>= (+ (* (- 14) ?x2) ?v_196) (- 77))) (> (+ (+ ?v_197 (* (- 55) ?x3)) (* (- 49) ?x4)) 74)) (and (or (= (+ (+ (+ (* (- 10) ?x1) (* (- 30) ?x2)) (* 92 ?x3)) ?v_198) 62) (< (+ (* (- 6) ?x1) ?v_141) 0)) (and (= (+ (+ (+ ?v_115 ?v_199) (* (- 3) ?x3)) ?v_200) 0) (> (+ (+ ?v_189 ?v_201) ?v_202) 0))))) (or (= (+ ?v_203 ?v_198) 54) (not (= (+ (+ (* (- 29) ?x1) ?v_204) ?v_56) 0)))) (and (and (or (or (or (not (= (+ (+ (* 64 ?x1) ?v_205) ?v_206) 45)) (> (+ (+ (+ (* 77 ?x1) ?v_8) ?v_51) ?v_129) 0)) (not (= (+ (+ ?v_275 ?v_207) ?v_114) 0))) (and (= (+ (+ ?v_208 ?v_261) ?v_209) 15) (< (+ (+ (+ (* (- 73) ?x1) (* (- 25) ?x2)) ?v_210) (* 18 ?x4)) 73))) (or (and (and (<= (+ (+ (+ (* (- 68) ?x1) (* (- 9) ?x2)) ?v_211) ?v_32) (- 73)) (<= ?v_212 (- 28))) (or (not (= (+ (+ (+ (* 24 ?x1) ?v_225) ?v_213) (* 82 ?x4)) 90)) (>= (+ (* 35 ?x1) ?v_214) (- 71)))) (and (and (<= ?v_215 2) (>= (+ (+ (+ ?v_216 (* 29 ?x2)) ?v_60) (* 95 ?x4)) 100)) (and (= (+ (+ (* 79 ?x1) (* 71 ?x3)) ?v_187) 0) (> (+ (+ ?v_24 (* (- 44) ?x2)) ?v_152) 0))))) (and (and (or (and (< (+ (+ (* (- 2) ?x1) ?v_217) ?v_126) 0) (>= (+ ?v_173 ?v_132) 34)) (and (> (+ (+ ?v_218 ?v_203) ?v_219) 21) (= (+ (+ (+ (* 40 ?x1) ?v_220) ?v_221) ?v_222) 32))) (and (or (<= (+ (+ ?v_223 ?v_46) ?v_53) 83) (= (+ (+ ?v_101 (* 35 ?x3)) ?v_224) 86)) (< (+ ?v_218 ?v_225) (- 71)))) (and (or (< (+ (+ ?v_194 (* (- 87) ?x3)) (* 72 ?x4)) 25) (and (not (= (+ (+ (* 46 ?x1) ?v_226) (* (- 66) ?x4)) 15)) (> (+ (+ (+ ?v_194 ?v_227) (* 88 ?x3)) ?v_93) (- 57)))) (or (or (> (+ (+ (+ ?v_228 (* 53 ?x2)) ?v_229) ?v_21) 0) (not (= (+ (+ (+ ?v_247 ?v_230) ?v_78) ?v_231) (- 57)))) (or (>= (+ (+ ?v_232 ?v_233) (* (- 35) ?x4)) (- 47)) (< (+ (+ (+ ?v_262 ?v_145) ?v_192) ?v_44) (- 92)))))))))) (and (or (and (and (or (or (not (= (+ (+ ?v_139 ?v_176) ?v_234) 63)) (<= (+ (+ (+ ?v_216 ?v_272) ?v_235) ?v_236) (- 64))) (or (>= (+ (+ (* (- 8) ?x2) (* 98 ?x3)) ?v_237) 16) (not (= (+ (+ (+ ?v_238 ?v_26) ?v_239) (* (- 26) ?x4)) 54)))) (= (+ (+ (+ ?v_240 ?v_175) (* (- 53) ?x3)) ?v_241) 50)) (or (and (or (and (<= (+ (+ (+ ?v_242 (* 26 ?x2)) ?v_243) (* (- 50) ?x4)) 51) (>= (+ ?v_263 (* (- 24) ?x4)) 0)) (>= ?v_129 (- 56))) (or (or (< ?v_244 76) (>= (+ (+ ?v_245 ?v_78) ?v_224) 0)) (or (<= (+ ?v_178 ?v_249) 0) (= (+ (+ ?v_246 ?v_213) (* (- 31) ?x4)) (- 96))))) (and (or (not (= (+ (+ (+ ?v_247 (* (- 86) ?x2)) ?v_180) ?v_248) 39)) (not (= (+ (+ (+ ?v_28 (* 92 ?x2)) (* 73 ?x3)) ?v_249) (- 78)))) (and (not (= (+ (+ ?v_95 (* 23 ?x2)) ?v_171) 0)) (> (+ (* (- 22) ?x3) ?v_250) (- 69)))))) (or (or (and (or (> (+ (+ (+ (* 37 ?x1) (* 7 ?x2)) (* 14 ?x3)) ?v_251) 0) (= (+ (+ ?v_252 ?v_253) ?v_254) 17)) (or (< (+ (+ (+ ?v_130 ?v_255) (* (- 31) ?x3)) ?v_256) 0) (<= (+ (+ (* 80 ?x1) (* (- 77) ?x2)) (* 37 ?x4)) 92))) (or (< (+ (+ (+ (* 73 ?x1) (* (- 47) ?x2)) ?v_162) (* (- 19) ?x4)) (- 74)) (> (+ (+ ?v_228 ?v_161) (* 76 ?x3)) 65))) (and (and (and (not (= (+ (+ (+ ?v_159 (* (- 69) ?x2)) ?v_27) (* 56 ?x4)) (- 3))) (> (+ (+ ?v_257 ?v_134) ?v_137) (- 72))) (or (< (+ (+ (* (- 62) ?x1) (* (- 71) ?x2)) ?v_258) 0) (>= (+ (+ ?v_191 (* (- 48) ?x3)) ?v_259) (- 74)))) (or (<= (+ (+ ?v_260 ?v_287) ?v_254) 96) (not (= (+ (* 88 ?x1) ?v_261) 0)))))) (or (or (or (and (and (= (+ (+ ?v_10 ?v_64) (* (- 58) ?x4)) 0) (<= (+ (+ ?v_262 ?v_107) ?v_169) (- 55))) (and (not (= (+ (+ (+ (* (- 61) ?x1) ?v_263) ?v_264) ?v_265) 51)) (> (+ (+ (* (- 42) ?x1) ?v_266) (* (- 49) ?x3)) 0))) (or (= (+ (+ (* 31 ?x1) ?v_14) (* (- 69) ?x4)) 75) (> (+ (+ ?v_267 ?v_268) (* (- 1) ?x4)) 44))) (or (and (not (= (+ (+ (* (- 93) ?x1) ?v_204) (* 35 ?x4)) (- 55))) (or (<= (+ (+ (+ ?v_245 ?v_255) ?v_269) ?v_20) (- 76)) (>= (+ (+ (* 49 ?x1) ?v_270) ?v_116) 43))) (and (and (not (= (+ (+ ?v_271 ?v_272) ?v_273) 33)) (< (+ ?v_262 (* 60 ?x4)) 7)) (and (> (+ (* 89 ?x3) ?v_71) (- 99)) (< (+ (+ (+ ?v_183 (* 38 ?x2)) ?v_158) ?v_274) (- 11)))))) (and (or (or (or (>= (* (- 60) ?x4) 34) (and (> ?v_271 (- 73)) (<= (+ ?v_275 ?v_39) (- 45)))) (<= (+ (+ ?v_130 ?v_96) ?v_276) 9)) (or (and (> (+ (+ ?v_277 ?v_278) (* 91 ?x3)) (- 87)) (not (= (+ (+ ?v_148 ?v_272) ?v_9) (- 12)))) (and (> (+ (+ (+ ?v_279 ?v_280) (* 93 ?x3)) ?v_281) 0) (>= (+ (+ ?v_208 ?v_282) (* 69 ?x4)) (- 86))))) (and (and (not (= (+ ?v_283 ?v_284) (- 67))) (and (not (= (+ (+ (+ ?v_285 ?v_286) ?v_287) ?v_209) 27)) (= (+ (+ (+ (* 20 ?x1) ?v_55) (* (- 2) ?x3)) ?v_250) 0))) (and (<= (+ ?v_112 (* (- 59) ?x4)) 0) (and (not (= (+ ?v_288 ?v_203) 30)) (not (= ?v_253 (- 51)))))))))))))))))
(check-sat)
(exit)
