(set-info :smt-lib-version 2.6)
(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :category "random")
(set-info :status unsat)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(assert (forall ((?x1 Real)) (exists ((?x2 Real)) (forall ((?x3 Real)) (exists ((?x4 Real)) (let ((?v_90 (* 31 ?x2)) (?v_37 (* 47 ?x3)) (?v_62 (* 33 ?x4)) (?v_71 (* 40 ?x3)) (?v_58 (* 41 ?x4)) (?v_163 (* 4 ?x1)) (?v_21 (* 44 ?x2)) (?v_74 (* 39 ?x2)) (?v_394 (* 42 ?x4)) (?v_377 (* 98 ?x2)) (?v_1 (* 67 ?x4)) (?v_192 (* 56 ?x2)) (?v_54 (* 49 ?x4)) (?v_288 (* 45 ?x2)) (?v_336 (* 9 ?x2)) (?v_81 (* 77 ?x3)) (?v_68 (* 36 ?x4)) (?v_33 (* 91 ?x3)) (?v_112 (* 29 ?x2)) (?v_43 (* 80 ?x3)) (?v_9 (* 89 ?x4)) (?v_225 (* 76 ?x3)) (?v_22 (* 23 ?x2)) (?v_18 (* 35 ?x4)) (?v_397 (* 45 ?x1)) (?v_52 (* 30 ?x3)) (?v_121 (* 77 ?x2)) (?v_135 (* 31 ?x3)) (?v_273 (* 80 ?x2)) (?v_272 (* 41 ?x1)) (?v_13 (* 87 ?x2)) (?v_366 (* 11 ?x4)) (?v_188 (* 50 ?x3)) (?v_387 (* 88 ?x1)) (?v_166 (* 3 ?x3)) (?v_19 (* 53 ?x4)) (?v_70 (* 61 ?x1)) (?v_73 (* 40 ?x2)) (?v_315 (* 59 ?x4)) (?v_298 (* 74 ?x1)) (?v_15 (* 46 ?x4)) (?v_96 (* 42 ?x1)) (?v_262 (* 16 ?x1)) (?v_49 (* 84 ?x1)) (?v_102 (* 91 ?x2)) (?v_97 (* 28 ?x3)) (?v_138 (* 93 ?x2)) (?v_396 (* 17 ?x1)) (?v_277 (* 57 ?x2)) (?v_24 (* 37 ?x2)) (?v_46 (* 12 ?x2)) (?v_206 (* 78 ?x4)) (?v_107 (* 64 ?x1)) (?v_168 (* 66 ?x2)) (?v_28 (* 34 ?x1)) (?v_156 (* 94 ?x3)) (?v_285 (* 23 ?x4)) (?v_175 (* 72 ?x3)) (?v_76 (* 39 ?x3)) (?v_88 (* 93 ?x3)) (?v_36 (* 97 ?x2)) (?v_199 (* 51 ?x3)) (?v_64 (* 98 ?x4)) (?v_144 (* 40 ?x1)) (?v_57 (* 76 ?x4)) (?v_162 (* 42 ?x2)) (?v_235 (* 84 ?x3)) (?v_257 (* 38 ?x2)) (?v_160 (* 79 ?x2)) (?v_63 (* 13 ?x1)) (?v_84 (* 22 ?x3)) (?v_213 (* 52 ?x4)) (?v_189 (* 37 ?x1)) (?v_45 (* 28 ?x1)) (?v_222 (* 92 ?x1)) (?v_48 (* 19 ?x3)) (?v_61 (* 55 ?x1)) (?v_198 (* 14 ?x1)) (?v_53 (* 50 ?x2)) (?v_50 (* 62 ?x3)) (?v_236 (* 63 ?x4)) (?v_398 (* 20 ?x3)) (?v_120 (* 24 ?x4)) (?v_226 (* 77 ?x1)) (?v_131 (* 30 ?x2)) (?v_173 (* 45 ?x3)) (?v_218 (* 1 ?x2)) (?v_325 (* 8 ?x4)) (?v_155 (* 2 ?x1)) (?v_134 (* 26 ?x2)) (?v_122 (* 75 ?x4)) (?v_128 (* 60 ?x4)) (?v_151 (* 79 ?x3)) (?v_140 (* 1 ?x4)) (?v_83 (* 68 ?x2)) (?v_256 (* 86 ?x2)) (?v_341 (* 72 ?x2)) (?v_133 (* 15 ?x3)) (?v_123 (* 54 ?x3)) (?v_287 (* 2 ?x4)) (?v_334 (* 67 ?x1)) (?v_191 (* 28 ?x4)) (?v_212 (* 70 ?x3)) (?v_276 (* 97 ?x1)) (?v_373 (* 83 ?x3)) (?v_324 (* 48 ?x3)) (?v_116 (* 18 ?x2)) (?v_103 (* 7 ?x4)) (?v_109 (* 53 ?x3)) (?v_161 (* 75 ?x3)) (?v_408 (* 15 ?x1)) (?v_205 (* 48 ?x1)) (?v_98 (* 73 ?x4)) (?v_143 (* 92 ?x3)) (?v_254 (* 80 ?x4)) (?v_330 (* 96 ?x2)) (?v_283 (* 22 ?x2)) (?v_292 (* 26 ?x4)) (?v_129 (* 12 ?x1)) (?v_420 (* 12 ?x3)) (?v_153 (* 32 ?x3)) (?v_111 (* 85 ?x1)) (?v_209 (* 53 ?x1)) (?v_243 (* 76 ?x1)) (?v_331 (* 61 ?x3)) (?v_416 (* 75 ?x2)) (?v_108 (* 5 ?x3)) (?v_281 (* 44 ?x3)) (?v_375 (* 55 ?x2)) (?v_248 (* 76 ?x2)) (?v_310 (* 3 ?x1)) (?v_345 (* 31 ?x4)) (?v_141 (* 59 ?x2)) (?v_333 (* 36 ?x1)) (?v_306 (* 74 ?x2)) (?v_210 (* 34 ?x3)) (?v_217 (* 65 ?x3)) (?v_187 (* 47 ?x2)) (?v_267 (* 93 ?x1)) (?v_376 (* 47 ?x1)) (?v_405 (* 37 ?x3)) (?v_185 (* 78 ?x2)) (?v_258 (* 90 ?x1)) (?v_167 (* 87 ?x4)) (?v_294 (* 14 ?x2)) (?v_358 (* 19 ?x4)) (?v_338 (* 48 ?x2)) (?v_180 (* 66 ?x4)) (?v_174 (* 70 ?x1)) (?v_349 (* 71 ?x4)) (?v_261 (* 72 ?x4)) (?v_297 (* 86 ?x3)) (?v_182 (* 32 ?x4)) (?v_234 (* 87 ?x1)) (?v_152 (* 3 ?x2)) (?v_249 (* 84 ?x4)) (?v_265 (* 88 ?x2)) (?v_221 (* 22 ?x4)) (?v_328 (* 98 ?x3)) (?v_171 (* 49 ?x3)) (?v_255 (* 82 ?x4)) (?v_413 (* 94 ?x2)) (?v_193 (* 52 ?x3)) (?v_196 (* 90 ?x3)) (?v_300 (* 62 ?x4)) (?v_186 (* 99 ?x1)) (?v_220 (* 23 ?x1)) (?v_365 (* 29 ?x1)) (?v_323 (* 67 ?x2)) (?v_383 (* 33 ?x1)) (?v_244 (* 27 ?x3)) (?v_404 (* 32 ?x1)) (?v_227 (* 59 ?x3)) (?v_357 (* 64 ?x2)) (?v_239 (* 63 ?x3)) (?v_353 (* 63 ?x1)) (?v_414 (* 57 ?x3)) (?v_237 (* 35 ?x1)) (?v_395 (* 17 ?x4)) (?v_312 (* 39 ?x1)) (?v_296 (* 69 ?x3)) (?v_264 (* 31 ?x1)) (?v_266 (* 95 ?x4)) (?v_271 (* 30 ?x4)) (?v_339 (* 66 ?x1)) (?v_343 (* 27 ?x2)) (?v_241 (* 6 ?x2)) (?v_250 (* 38 ?x3)) (?v_329 (* 81 ?x4)) (?v_352 (* 14 ?x3)) (?v_363 (* 7 ?x3)) (?v_295 (* 56 ?x3)) (?v_307 (* 2 ?x3)) (?v_391 (* 29 ?x4)) (?v_290 (* 18 ?x1)) (?v_418 (* 60 ?x1)) (?v_317 (* 50 ?x4)) (?v_389 (* 26 ?x3)) (?v_374 (* 81 ?x2)) (?v_321 (* 16 ?x3)) (?v_415 (* 26 ?x1)) (?v_384 (* 10 ?x1)) (?v_360 (* 62 ?x2)) (?v_378 (* 88 ?x3)) (?v_342 (* 36 ?x3)) (?v_399 (* 100 ?x4)) (?v_381 (* 24 ?x1)) (?v_422 (* 63 ?x2)) (?v_350 (* 34 ?x2)) (?v_364 (* 12 ?x4)) (?v_4 (* (- 86) ?x3)) (?v_3 (* (- 34) ?x1)) (?v_40 (* (- 95) ?x2)) (?v_355 (* (- 84) ?x4)) (?v_12 (* (- 92) ?x1)) (?v_23 (* (- 62) ?x1)) (?v_95 (* (- 100) ?x2)) (?v_6 (* (- 61) ?x3)) (?v_181 (* (- 96) ?x4)) (?v_17 (* (- 74) ?x1)) (?v_20 (* (- 66) ?x2)) (?v_29 (* (- 99) ?x4)) (?v_11 (* (- 25) ?x1)) (?v_27 (* (- 53) ?x4)) (?v_110 (* (- 85) ?x2)) (?v_60 (* (- 87) ?x4)) (?v_204 (* (- 72) ?x3)) (?v_0 (* (- 4) ?x1))) (let ((?v_280 (+ ?v_0 ?v_288)) (?v_409 (* (- 69) ?x3)) (?v_7 (* (- 53) ?x3)) (?v_8 (* (- 43) ?x4)) (?v_402 (* (- 46) ?x2)) (?v_92 (* (- 57) ?x4)) (?v_347 (* (- 75) ?x2)) (?v_305 (* (- 95) ?x1)) (?v_42 (* (- 97) ?x2)) (?v_10 (* (- 12) ?x4)) (?v_2 (* (- 11) ?x1)) (?v_39 (* (- 5) ?x4)) (?v_5 (* (- 92) ?x3)) (?v_247 (* (- 42) ?x4)) (?v_369 (* (- 1) ?x2)) (?v_197 (* (- 50) ?x4)) (?v_382 (* (- 87) ?x1)) (?v_67 (* (- 62) ?x3)) (?v_55 (* (- 54) ?x1)) (?v_86 (* (- 26) ?x4)) (?v_56 (* (- 100) ?x1)) (?v_30 (* (- 20) ?x2)) (?v_14 (* (- 89) ?x2)) (?v_145 (* (- 99) ?x1)) (?v_319 (* (- 22) ?x3)) (?v_51 (* (- 65) ?x1)) (?v_44 (* (- 2) ?x4)) (?v_47 (* (- 72) ?x1)) (?v_179 (* (- 22) ?x2)) (?v_35 (* (- 18) ?x3)) (?v_114 (* (- 81) ?x4)) (?v_148 (* (- 74) ?x3)) (?v_119 (* (- 70) ?x4)) (?v_125 (* (- 53) ?x1)) (?v_275 (* (- 65) ?x4)) (?v_104 (* (- 17) ?x1)) (?v_32 (* (- 98) ?x3)) (?v_183 (* (- 75) ?x4)) (?v_172 (* (- 12) ?x1)) (?v_34 (* (- 73) ?x2)) (?v_105 (* (- 39) ?x3)) (?v_59 (* (- 73) ?x1)) (?v_252 (* (- 83) ?x2)) (?v_354 (* (- 100) ?x3)) (?v_233 (* (- 51) ?x3)) (?v_303 (* (- 95) ?x3)) (?v_370 (* (- 43) ?x2)) (?v_170 (* (- 42) ?x1)) (?v_208 (* (- 98) ?x1)) (?v_344 (* (- 84) ?x3)) (?v_304 (* (- 61) ?x4)) (?v_177 (* (- 46) ?x4)) (?v_41 (* (- 16) ?x4)) (?v_80 (* (- 99) ?x2)) (?v_16 (* (- 8) ?x3)) (?v_78 (* (- 57) ?x2)) (?v_421 (* (- 7) ?x3)) (?v_407 (* (- 47) ?x4)) (?v_154 (* (- 30) ?x4)) (?v_38 (* (- 53) ?x2)) (?v_94 (* (- 5) ?x1)) (?v_100 (* (- 78) ?x2)) (?v_427 (* (- 100) ?x4)) (?v_412 (* (- 41) ?x1)) (?v_25 (* (- 4) ?x3)) (?v_85 (* (- 57) ?x1)) (?v_176 (* (- 12) ?x2)) (?v_69 (* (- 20) ?x1)) (?v_113 (* (- 64) ?x3)) (?v_66 (* (- 91) ?x2)) (?v_72 (* (- 78) ?x4)) (?v_231 (* (- 17) ?x3)) (?v_31 (* (- 80) ?x1)) (?v_106 (* (- 1) ?x1))) (let ((?v_410 (+ ?v_106 ?v_36)) (?v_269 (* (- 87) ?x2)) (?v_240 (* (- 29) ?x3)) (?v_219 (* (- 30) ?x2)) (?v_348 (* (- 57) ?x3)) (?v_91 (* (- 91) ?x1)) (?v_82 (* (- 49) ?x1)) (?v_26 (* (- 58) ?x2)) (?v_159 (* (- 20) ?x4)) (?v_260 (* (- 85) ?x1)) (?v_253 (* (- 2) ?x3)) (?v_126 (* (- 36) ?x1)) (?v_136 (* (- 98) ?x4)) (?v_77 (* (- 92) ?x2)) (?v_202 (* (- 82) ?x3)) (?v_372 (* (- 59) ?x1)) (?v_246 (* (- 76) ?x3)) (?v_118 (* (- 4) ?x2)) (?v_282 (* (- 81) ?x1)) (?v_245 (* (- 7) ?x4)) (?v_335 (* (- 32) ?x3)) (?v_291 (* (- 45) ?x3)) (?v_386 (* (- 90) ?x2)) (?v_361 (* (- 1) ?x4)) (?v_419 (* (- 69) ?x2)) (?v_117 (* (- 33) ?x3)) (?v_194 (* (- 66) ?x4)) (?v_311 (* (- 85) ?x4)) (?v_301 (* (- 18) ?x1)) (?v_79 (* (- 3) ?x3)) (?v_169 (* (- 70) ?x3)) (?v_403 (* (- 67) ?x4)) (?v_101 (* (- 96) ?x3)) (?v_137 (* (- 97) ?x1)) (?v_146 (* (- 6) ?x2)) (?v_158 (* (- 70) ?x2)) (?v_65 (* (- 89) ?x3)) (?v_400 (* (- 47) ?x1)) (?v_142 (* (- 79) ?x3)) (?v_230 (* (- 24) ?x1)) (?v_316 (* (- 42) ?x2)) (?v_93 (* (- 54) ?x2)) (?v_201 (* (- 33) ?x1)) (?v_207 (* (- 27) ?x2)) (?v_390 (* (- 23) ?x2)) (?v_139 (* (- 29) ?x2)) (?v_75 (* (- 31) ?x1)) (?v_263 (* (- 61) ?x2)) (?v_289 (* (- 15) ?x3)) (?v_392 (* (- 71) ?x4)) (?v_211 (* (- 50) ?x1)) (?v_89 (* (- 39) ?x1)) (?v_87 (* (- 25) ?x4)) (?v_127 (* (- 74) ?x2)) (?v_426 (* (- 62) ?x4)) (?v_214 (* (- 25) ?x2)) (?v_130 (* (- 90) ?x3)) (?v_164 (* (- 47) ?x3)) (?v_367 (* (- 6) ?x1)) (?v_356 (* (- 86) ?x1)) (?v_99 (* (- 75) ?x3)) (?v_393 (* (- 55) ?x4)) (?v_132 (* (- 60) ?x2)) (?v_224 (* (- 2) ?x1)) (?v_150 (* (- 29) ?x4)) (?v_165 (* (- 52) ?x4)) (?v_215 (* (- 36) ?x3)) (?v_124 (* (- 63) ?x4)) (?v_115 (* (- 80) ?x3)) (?v_284 (* (- 76) ?x4)) (?v_229 (* (- 31) ?x3)) (?v_147 (* (- 14) ?x1)) (?v_149 (* (- 43) ?x3)) (?v_299 (* (- 66) ?x1)) (?v_274 (* (- 27) ?x3)) (?v_371 (* (- 59) ?x2)) (?v_314 (* (- 61) ?x1)) (?v_157 (* (- 95) ?x4)) (?v_406 (* (- 41) ?x3)) (?v_346 (* (- 37) ?x1)) (?v_385 (* (- 23) ?x3)) (?v_178 (* (- 22) ?x1)) (?v_195 (* (- 81) ?x2)) (?v_203 (* (- 36) ?x2)) (?v_190 (* (- 13) ?x2)) (?v_184 (* (- 55) ?x3)) (?v_279 (* (- 89) ?x4)) (?v_326 (* (- 33) ?x2)) (?v_216 (* (- 75) ?x1)) (?v_200 (* (- 17) ?x4)) (?v_351 (* (- 34) ?x4)) (?v_309 (* (- 60) ?x4)) (?v_223 (* (- 21) ?x1)) (?v_228 (* (- 19) ?x2)) (?v_320 (* (- 76) ?x2)) (?v_238 (* (- 58) ?x3)) (?v_259 (* (- 28) ?x2)) (?v_362 (* (- 30) ?x1)) (?v_232 (* (- 22) ?x4)) (?v_242 (* (- 88) ?x4)) (?v_327 (* (- 68) ?x2)) (?v_308 (* (- 34) ?x2)) (?v_313 (* (- 94) ?x3)) (?v_401 (* (- 51) ?x2)) (?v_424 (* (- 21) ?x2)) (?v_293 (* (- 48) ?x4)) (?v_268 (* (- 64) ?x4)) (?v_286 (* (- 93) ?x2)) (?v_270 (* (- 21) ?x3)) (?v_251 (* (- 32) ?x4)) (?v_340 (* (- 56) ?x4)) (?v_278 (* (- 60) ?x1)) (?v_423 (* (- 58) ?x4)) (?v_302 (* (- 16) ?x2)) (?v_411 (* (- 66) ?x3)) (?v_318 (* (- 68) ?x1)) (?v_322 (* (- 29) ?x1)) (?v_332 (* (- 82) ?x1)) (?v_368 (* (- 10) ?x4)) (?v_388 (* (- 16) ?x1)) (?v_379 (* (- 52) ?x2)) (?v_337 (* (- 80) ?x2)) (?v_359 (* (- 67) ?x1)) (?v_380 (* (- 94) ?x4)) (?v_417 (* (- 18) ?x4)) (?v_425 (* (- 32) ?x1))) (and (and (or (and (and (and (and (and (or (< ?v_4 64) (< (+ (+ (+ ?v_3 ?v_90) ?v_37) ?v_62) (- 77))) (or (< (+ (+ ?v_40 ?v_71) ?v_355) (- 14)) (<= (+ ?v_12 (* (- 67) ?x2)) 0))) (or (or (= (+ (+ (+ ?v_23 ?v_95) ?v_6) ?v_181) (- 54)) (= (+ (+ ?v_17 ?v_20) ?v_58) (- 48))) (>= (+ (+ ?v_163 ?v_21) ?v_29) 46))) (or (or (<= (+ (+ ?v_74 (* 11 ?x3)) ?v_394) 32) (>= (+ (+ (+ (* (- 79) ?x1) ?v_377) (* 42 ?x3)) ?v_1) (- 29))) (and (or (= (+ (+ ?v_11 ?v_192) ?v_27) (- 39)) (> (+ (+ (* (- 45) ?x1) ?v_110) ?v_60) (- 70))) (or (not (= (+ (+ (* 8 ?x2) ?v_204) ?v_54) 0)) (<= (+ (+ ?v_280 ?v_409) (* 38 ?x4)) 0))))) (and (and (= (+ (+ ?v_336 ?v_7) ?v_8) (- 30)) (<= (+ (+ (+ ?v_0 ?v_402) (* 68 ?x3)) ?v_92) 0)) (or (or (> (+ (+ (* (- 19) ?x1) ?v_347) ?v_1) 84) (not (= (+ (+ (* 50 ?x1) ?v_81) ?v_68) 81))) (or (>= (+ (+ (+ ?v_305 ?v_42) ?v_33) ?v_10) (- 44)) (<= (+ ?v_2 ?v_39) 29))))) (and (and (or (or (> (+ (+ (+ ?v_2 ?v_112) ?v_5) ?v_247) 0) (> (+ ?v_43 ?v_9) 0)) (or (> (+ (+ (+ ?v_3 ?v_369) ?v_225) ?v_197) 0) (<= ?v_382 17))) (or (or (>= (+ (* 52 ?x1) ?v_67) 25) (or (= (+ (+ ?v_55 ?v_4) ?v_86) (- 66)) (>= (+ (+ (+ (* 1 ?x1) ?v_22) (* (- 65) ?x3)) ?v_18) 0))) (or (and (>= (+ (+ (+ ?v_397 (* (- 39) ?x2)) ?v_52) (* (- 86) ?x4)) (- 74)) (>= (+ (+ (+ ?v_56 ?v_30) ?v_5) (* (- 82) ?x4)) 100)) (<= ?v_6 (- 46))))) (or (or (= (+ (+ (* 7 ?x1) ?v_14) ?v_7) 36) (or (>= (+ (+ (+ ?v_145 ?v_121) ?v_319) ?v_8) (- 2)) (>= (+ ?v_51 ?v_44) (- 74)))) (and (or (and (<= (+ (+ (+ ?v_47 ?v_179) ?v_35) ?v_114) 42) (<= (+ (+ (* (- 8) ?x2) ?v_148) ?v_119) 0)) (< (+ (+ ?v_125 ?v_135) ?v_275) 0)) (or (< (+ (+ (+ ?v_104 ?v_273) ?v_32) ?v_183) 0) (< (+ (+ (+ ?v_172 ?v_34) ?v_105) (* 4 ?x4)) 16)))))) (or (or (or (and (and (and (>= (+ (+ ?v_59 ?v_252) ?v_9) 0) (and (<= (+ (+ (* 98 ?x1) ?v_354) (* 20 ?x4)) 62) (not (= (+ ?v_233 ?v_8) (- 9))))) (or (< (+ ?v_272 ?v_303) (- 41)) (and (> (+ ?v_370 (* (- 37) ?x3)) 0) (= (+ (+ ?v_170 (* (- 9) ?x2)) ?v_10) 0)))) (and (< (+ (+ (+ ?v_208 ?v_13) ?v_344) ?v_366) 0) (and (> (+ (+ (+ (* (- 46) ?x1) (* (- 49) ?x2)) ?v_188) ?v_304) (- 1)) (and (< (+ (+ ?v_387 ?v_166) ?v_177) (- 98)) (= (+ ?v_11 ?v_19) 0))))) (or (and (or (>= (+ (+ (+ ?v_70 ?v_73) (* 64 ?x3)) ?v_41) (- 14)) (not (= (+ (+ (+ ?v_12 ?v_80) ?v_16) ?v_315) (- 79)))) (and (or (= (+ (+ (+ ?v_298 ?v_13) (* 10 ?x3)) (* (- 41) ?x4)) 17) (= ?v_15 (- 31))) (and (< (+ (+ (+ ?v_96 ?v_78) ?v_421) ?v_407) (- 20)) (>= (+ (+ ?v_262 ?v_14) (* 99 ?x4)) 19)))) (or (or (< (+ (+ (+ ?v_49 ?v_102) ?v_4) ?v_154) 10) (<= (+ ?v_38 ?v_97) 0)) (or (and (>= (+ (+ ?v_94 ?v_138) (* (- 90) ?x4)) (- 74)) (>= (+ (+ ?v_396 ?v_277) ?v_15) (- 53))) (and (< (+ (+ ?v_24 ?v_16) (* 5 ?x4)) 0) (> (+ (+ ?v_17 ?v_100) ?v_427) 0)))))) (or (and (or (and (= (+ (+ (+ ?v_412 ?v_46) ?v_25) ?v_206) (- 24)) (>= (+ (+ ?v_107 ?v_168) ?v_18) 0)) (and (and (= (+ (+ (+ ?v_85 ?v_176) (* 17 ?x3)) ?v_19) (- 88)) (<= (+ (+ (+ ?v_28 ?v_20) ?v_156) ?v_285) (- 64))) (< (+ (+ ?v_69 ?v_21) ?v_113) 73))) (> (+ ?v_66 ?v_175) 95)) (and (or (and (or (<= (+ (+ ?v_22 ?v_76) ?v_72) (- 79)) (>= (+ ?v_23 ?v_231) 49)) (= (+ ?v_31 ?v_88) 27)) (and (or (= (+ ?v_410 (* (- 97) ?x4)) (- 37)) (> (+ (+ (+ (* 68 ?x1) ?v_269) ?v_240) (* (- 36) ?x4)) 0)) (or (= (+ (+ (* (- 44) ?x1) ?v_219) ?v_348) 0) (<= (+ (+ (+ ?v_91 ?v_24) ?v_199) (* (- 13) ?x4)) (- 4))))) (or (or (= (+ (+ (+ ?v_82 ?v_26) ?v_25) ?v_159) (- 15)) (>= (+ ?v_260 ?v_64) (- 29))) (or (= (+ (+ ?v_144 ?v_253) ?v_57) (- 63)) (<= (+ ?v_26 ?v_27) 39)))))) (or (and (and (or (and (not (= (+ (+ (+ ?v_28 ?v_162) ?v_235) ?v_29) 0)) (< (+ ?v_30 (* 39 ?x4)) (- 35))) (and (> (+ (+ (+ ?v_126 ?v_257) (* (- 93) ?x3)) ?v_136) (- 40)) (< (+ (+ ?v_31 ?v_160) ?v_32) (- 83)))) (and (or (> (+ (* 16 ?x2) ?v_33) (- 55)) (< (+ ?v_77 ?v_202) (- 95))) (> (+ (+ ?v_372 ?v_34) ?v_246) 0))) (and (and (and (and (<= (+ (+ (+ ?v_63 ?v_118) ?v_84) ?v_213) 80) (not (= (+ ?v_13 ?v_35) 15))) (or (= (+ (* (- 16) ?x3) (* 18 ?x4)) 0) (> (+ (+ (+ ?v_282 ?v_36) ?v_37) ?v_245) 0))) (and (or (< (+ (+ ?v_189 (* (- 79) ?x2)) ?v_335) 0) (<= (+ (+ ?v_38 ?v_291) ?v_39) 26)) (or (<= (+ ?v_45 ?v_40) (- 31)) (<= (+ (+ (+ ?v_222 ?v_386) ?v_48) ?v_41) 59)))) (or (or (<= (+ (+ ?v_61 ?v_38) ?v_361) 0) (or (= (+ (+ ?v_42 ?v_43) (* (- 14) ?x4)) 0) (< (+ (+ (+ ?v_198 ?v_419) (* (- 13) ?x3)) ?v_44) (- 89)))) (or (or (<= ?v_117 59) (< (+ (+ (+ ?v_45 ?v_53) ?v_50) ?v_236) 0)) (and (>= (+ ?v_398 ?v_120) 73) (>= (+ (+ (+ ?v_226 ?v_131) ?v_173) (* 44 ?x4)) 10)))))) (or (and (or (or (or (>= (+ (* 51 ?x2) ?v_194) (- 80)) (not (= (+ (* 46 ?x2) ?v_311) (- 21)))) (and (>= (+ (+ ?v_301 ?v_218) ?v_325) (- 32)) (< (+ (+ (+ ?v_155 ?v_134) ?v_79) ?v_122) 13))) (and (> (+ ?v_46 ?v_169) (- 3)) (and (< (+ (+ ?v_47 ?v_48) ?v_403) (- 44)) (> (+ (+ ?v_49 ?v_50) ?v_128) 0)))) (or (and (or (<= (+ (* 5 ?x2) (* (- 85) ?x3)) (- 34)) (>= (+ (+ ?v_3 (* 54 ?x2)) ?v_101) (- 56))) (or (> (+ (+ ?v_51 ?v_52) ?v_27) (- 30)) (>= (+ ?v_137 ?v_53) 34))) (or (or (< (+ (+ ?v_146 ?v_151) ?v_140) 46) (not (= (+ (+ (* 96 ?x1) ?v_158) ?v_54) (- 12)))) (and (= (+ (+ ?v_55 ?v_65) (* (- 80) ?x4)) 0) (>= ?v_83 100))))) (or (and (>= (+ (+ (+ ?v_56 ?v_256) (* 85 ?x3)) ?v_57) 19) (or (= (+ (+ (+ ?v_400 ?v_341) ?v_133) ?v_8) 21) (or (>= ?v_58 1) (= ?v_142 0)))) (and (or (or (< (+ (+ (+ ?v_59 ?v_42) (* (- 20) ?x3)) ?v_60) (- 77)) (not (= (+ (+ ?v_61 ?v_123) ?v_62) (- 33)))) (<= (+ ?v_230 ?v_316) (- 15))) (or (or (not (= (+ ?v_63 ?v_287) 30)) (>= (+ (+ ?v_334 ?v_93) ?v_64) 28)) (or (>= (+ (+ (* (- 15) ?x2) ?v_65) ?v_191) (- 80)) (= (+ (+ ?v_201 ?v_66) ?v_212) 0))))))))) (or (and (and (or (and (and (and (= (+ (+ (+ ?v_276 ?v_207) ?v_67) ?v_68) (- 93)) (not (= (+ (+ ?v_69 ?v_390) ?v_373) (- 19)))) (= (+ (+ (* 94 ?x1) (* 19 ?x2)) ?v_324) 0)) (or (> (+ (+ ?v_70 ?v_139) ?v_71) 75) (= (+ (+ (+ ?v_75 ?v_263) ?v_289) ?v_392) 0))) (or (or (or (<= (+ ?v_211 ?v_72) 0) (> (+ (+ (* 46 ?x1) ?v_116) ?v_103) 38)) (and (< (+ (+ ?v_89 ?v_109) ?v_87) (- 38)) (> (+ (+ (+ (* 9 ?x1) (* (- 41) ?x2)) ?v_161) ?v_54) 71))) (< (+ (+ ?v_408 ?v_73) (* 67 ?x3)) 1))) (or (or (or (and (= (+ (+ (+ (* 65 ?x1) ?v_74) (* (- 49) ?x3)) ?v_10) (- 33)) (= (+ (* (- 38) ?x1) ?v_71) (- 39))) (>= (+ (+ (+ ?v_75 ?v_127) ?v_76) ?v_426) 31)) (or (or (< (+ (* 25 ?x1) ?v_214) 61) (> (+ (+ (+ ?v_205 ?v_36) ?v_130) ?v_98) 38)) (and (= (+ (+ ?v_77 ?v_164) (* (- 40) ?x4)) (- 3)) (not (= (+ (+ (+ ?v_367 ?v_78) ?v_79) ?v_1) 0))))) (and (or (or (<= (+ ?v_80 ?v_143) 0) (< (+ (+ ?v_47 ?v_81) ?v_254) (- 89))) (= (+ (+ ?v_82 ?v_83) ?v_84) (- 91))) (and (and (not (= (+ (+ (+ ?v_85 (* (- 7) ?x2)) (* 82 ?x3)) ?v_86) 0)) (not (= (+ (+ ?v_356 ?v_30) ?v_87) 0))) (or (>= (+ ?v_330 (* (- 9) ?x3)) 0) (<= (+ (+ ?v_283 ?v_88) ?v_292) 72)))))) (and (and (and (and (or (= (+ ?v_89 ?v_90) 3) (or (= (+ (+ (+ ?v_91 ?v_13) ?v_99) ?v_393) 0) (>= (+ (+ (* (- 84) ?x1) ?v_132) ?v_92) 31))) (and (or (= (+ (+ ?v_129 ?v_93) ?v_420) 0) (>= (+ ?v_94 ?v_153) 22)) (and (>= (+ (+ ?v_224 ?v_95) ?v_150) 64) (> (+ (+ ?v_96 ?v_97) ?v_98) (- 96))))) (or (= (+ (+ (+ ?v_111 ?v_78) ?v_99) ?v_165) 0) (< (+ (+ (* 61 ?x2) ?v_215) (* (- 21) ?x4)) 0))) (or (and (< (+ (+ (+ (* (- 88) ?x1) ?v_100) ?v_101) ?v_124) (- 95)) (or (or (< (+ ?v_209 (* 35 ?x2)) 0) (< ?v_92 16)) (and (< (+ (+ (+ ?v_243 ?v_102) ?v_88) ?v_103) 46) (> (+ (+ ?v_104 (* 49 ?x2)) ?v_105) 0)))) (and (and (and (<= (+ ?v_331 (* 56 ?x4)) (- 82)) (not (= (+ (+ (+ ?v_45 ?v_416) ?v_115) (* 61 ?x4)) (- 42)))) (and (= (+ ?v_106 ?v_108) 0) (< (+ (+ ?v_107 (* 58 ?x2)) ?v_281) 0))) (or (or (not (= (+ (+ (+ ?v_85 ?v_375) ?v_108) ?v_284) 39)) (< (+ (+ ?v_28 ?v_248) ?v_109) 0)) (= ?v_110 99))))) (or (and (or (and (<= (+ (+ ?v_310 ?v_229) ?v_345) (- 21)) (< (+ (* 6 ?x1) ?v_141) 76)) (> (+ ?v_111 ?v_67) 0)) (or (and (or (= (+ (+ (+ (* (- 26) ?x1) ?v_112) ?v_113) ?v_114) 0) (= (+ (+ ?v_333 ?v_306) ?v_115) 17)) (or (<= ?v_59 20) (< (+ (+ (+ ?v_104 ?v_116) ?v_210) (* 70 ?x4)) 0))) (and (or (<= (+ ?v_53 ?v_117) 89) (< (+ (+ (+ ?v_147 ?v_118) ?v_149) ?v_92) 13)) (or (>= ?v_119 (- 26)) (> (+ (+ ?v_69 ?v_71) ?v_120) 0))))) (and (or (or (and (< (+ (+ (+ (* 57 ?x1) ?v_121) ?v_217) ?v_122) 0) (<= (+ (+ ?v_55 ?v_123) ?v_124) (- 37))) (or (not (= (+ (+ (+ ?v_125 ?v_187) (* (- 60) ?x3)) (* 85 ?x4)) 96)) (not (= (+ (+ (+ ?v_126 ?v_127) ?v_48) ?v_68) 75)))) (or (> (+ (+ (+ ?v_299 ?v_22) (* 99 ?x3)) ?v_128) (- 67)) (and (>= (+ (+ (+ ?v_129 ?v_20) ?v_130) ?v_10) (- 14)) (not (= ?v_267 57))))) (and (or (> (+ (+ ?v_376 ?v_131) ?v_405) 86) (= (+ (+ ?v_94 ?v_185) ?v_274) 99)) (and (or (> (+ (+ (+ ?v_258 ?v_132) ?v_133) (* (- 49) ?x4)) 0) (> (+ ?v_100 ?v_167) 21)) (or (< ?v_134 0) (< (+ (+ (+ ?v_85 ?v_371) ?v_135) ?v_136) 0)))))))) (or (and (or (and (and (and (and (> (+ (+ (+ ?v_137 ?v_66) (* (- 78) ?x3)) ?v_122) 0) (not (= (+ (+ (+ ?v_314 ?v_294) ?v_65) ?v_157) (- 30)))) (and (not (= (+ (+ ?v_85 ?v_138) ?v_358) (- 84))) (>= (+ (+ (+ (* 11 ?x1) ?v_139) ?v_50) ?v_98) 43))) (or (or (< (+ (+ ?v_69 ?v_338) ?v_140) 0) (> (+ (+ ?v_141 ?v_142) ?v_180) (- 21))) (< (+ (+ ?v_174 ?v_101) ?v_349) 22))) (and (or (and (<= (+ (+ (+ (* (- 94) ?x1) ?v_66) ?v_406) ?v_1) 32) (<= (+ (+ (+ ?v_346 ?v_36) ?v_143) ?v_261) (- 40))) (and (< (+ (+ ?v_144 ?v_297) (* (- 51) ?x4)) 97) (< (+ ?v_110 ?v_385) 0))) (and (or (<= (+ ?v_178 ?v_182) 35) (= (+ (+ (+ ?v_234 ?v_152) (* (- 68) ?x3)) ?v_249) (- 55))) (and (= (+ (+ (+ ?v_145 ?v_146) ?v_50) ?v_98) 0) (>= (+ (+ ?v_147 ?v_195) ?v_148) (- 29)))))) (or (and (and (not (= (+ (+ (* (- 26) ?x2) ?v_149) ?v_15) 23)) (not (= (+ ?v_265 ?v_150) 53))) (or (<= ?v_24 0) (> (+ ?v_151 ?v_221) (- 67)))) (or (and (or (not (= (+ (+ (+ ?v_104 (* 84 ?x2)) ?v_143) (* (- 11) ?x4)) (- 21))) (<= (+ (+ (+ ?v_147 ?v_152) ?v_153) ?v_154) 47)) (and (>= (+ (+ (+ ?v_155 ?v_203) ?v_156) ?v_157) (- 47)) (= ?v_158 0))) (or (and (= ?v_190 8) (< (+ (+ (+ ?v_11 (* 13 ?x2)) (* 100 ?x3)) ?v_159) (- 38))) (and (> (+ (+ ?v_146 ?v_328) (* 48 ?x4)) (- 6)) (< (+ (+ ?v_160 ?v_161) ?v_39) 88)))))) (and (or (or (or (<= (+ (+ ?v_162 ?v_171) ?v_255) (- 69)) (not (= (+ (+ (* (- 40) ?x1) ?v_413) ?v_101) (- 55)))) (and (< (+ (+ (+ (* 54 ?x1) (* (- 32) ?x2)) ?v_193) (* (- 83) ?x4)) 94) (< (+ (+ ?v_163 ?v_196) ?v_300) (- 59)))) (or (or (> (+ (+ (+ ?v_186 ?v_13) ?v_184) ?v_279) 50) (= (+ (+ (+ ?v_28 ?v_80) ?v_164) ?v_39) 42)) (= (+ (+ (+ ?v_220 (* (- 55) ?x2)) (* (- 1) ?x3)) ?v_165) 0))) (and (and (and (>= (+ (+ (+ ?v_365 ?v_326) ?v_166) ?v_167) 0) (< (+ (+ ?v_216 ?v_323) ?v_200) 94)) (and (>= (+ (+ (+ ?v_383 ?v_168) ?v_169) ?v_351) (- 53)) (not (= (+ (+ (+ ?v_47 ?v_83) ?v_244) ?v_309) (- 7))))) (and (or (<= (+ (+ (+ ?v_170 ?v_110) (* (- 87) ?x3)) ?v_19) 0) (< (+ (+ (+ ?v_223 ?v_228) ?v_171) (* (- 45) ?x4)) (- 80))) (or (not (= ?v_172 0)) (> (+ (+ (* 44 ?x1) ?v_42) ?v_173) (- 58))))))) (or (and (and (or (and (< (+ (+ ?v_174 ?v_138) ?v_175) (- 35)) (> (+ (+ (+ ?v_404 ?v_176) ?v_227) ?v_177) (- 10))) (or (not (= (+ (+ (+ ?v_178 ?v_179) (* 97 ?x3)) ?v_180) (- 100))) (not (= (+ (+ ?v_94 ?v_357) ?v_181) 0)))) (and (or (>= (+ (+ ?v_45 ?v_95) ?v_124) 0) (<= (+ (+ ?v_53 ?v_143) ?v_182) 78)) (or (not (= (+ (+ ?v_320 ?v_238) ?v_183) 0)) (not (= (+ (+ (+ ?v_47 (* (- 11) ?x2)) ?v_184) (* 43 ?x4)) 29))))) (or (or (and (= ?v_185 (- 63)) (= (+ ?v_259 (* 71 ?x3)) (- 9))) (or (not (= (+ (+ (+ ?v_186 ?v_146) ?v_6) ?v_154) (- 22))) (not (= (+ ?v_187 ?v_188) (- 4))))) (or (>= (+ (* 75 ?x1) ?v_74) 37) (<= (+ (+ ?v_189 ?v_239) ?v_180) 89)))) (or (and (or (< (+ (+ (+ ?v_353 ?v_190) ?v_25) ?v_191) 46) (<= (+ (+ (+ ?v_362 ?v_192) ?v_193) ?v_194) (- 31))) (and (>= (+ ?v_195 ?v_414) 88) (<= (+ (+ ?v_34 ?v_196) ?v_197) 71))) (and (or (not (= (+ (+ ?v_198 ?v_199) ?v_200) 0)) (<= (+ (+ (+ ?v_237 ?v_162) ?v_161) ?v_395) 86)) (> (+ (+ (+ ?v_201 ?v_121) ?v_202) ?v_167) 2))))))) (and (and (and (or (or (and (and (not (= (+ ?v_11 ?v_232) 51)) (< (+ (+ ?v_203 ?v_204) ?v_182) 58)) (or (= (+ (+ ?v_34 ?v_142) ?v_62) 0) (<= (+ (+ ?v_205 ?v_20) ?v_206) (- 76)))) (and (or (> (+ (+ (+ ?v_82 ?v_207) (* 89 ?x3)) ?v_242) 0) (>= (+ (+ ?v_208 ?v_327) (* (- 19) ?x3)) 67)) (and (and (>= (+ (+ (+ ?v_209 ?v_132) ?v_210) (* 25 ?x4)) (- 53)) (< (+ (+ (+ ?v_211 ?v_139) ?v_212) ?v_213) 85)) (and (<= (+ ?v_214 ?v_215) 84) (<= (+ (+ (+ ?v_129 ?v_308) (* (- 46) ?x3)) ?v_180) 0))))) (or (and (and (<= (+ ?v_216 (* (- 92) ?x4)) (- 61)) (> (+ (+ (+ (* 81 ?x1) (* 43 ?x2)) ?v_313) ?v_68) 0)) (and (< (+ (+ ?v_312 ?v_401) ?v_296) 0) (= (+ (+ (+ ?v_264 ?v_424) ?v_217) ?v_266) 74))) (or (< (+ ?v_75 (* 8 ?x3)) (- 62)) (and (>= (+ (+ ?v_3 ?v_218) ?v_10) (- 95)) (> (+ ?v_219 ?v_200) (- 54)))))) (or (and (or (and (<= (+ ?v_113 ?v_293) (- 7)) (not (= (+ (+ (+ (* (- 13) ?x1) ?v_131) (* 21 ?x3)) ?v_268) (- 36)))) (and (and (<= (+ (+ ?v_220 ?v_112) ?v_221) (- 15)) (= (+ ?v_222 ?v_286) 72)) (and (<= (+ (+ ?v_223 ?v_97) ?v_136) (- 36)) (>= (+ (+ (+ ?v_224 (* 21 ?x2)) ?v_270) ?v_271) 0)))) (or (or (or (>= (+ (+ ?v_49 ?v_225) ?v_86) (- 56)) (>= (+ ?v_112 (* (- 73) ?x3)) 25)) (or (> (+ ?v_226 ?v_227) (- 4)) (>= (+ (+ (+ ?v_339 ?v_228) ?v_52) (* 37 ?x4)) 0))) (and (or (= (+ (+ (* 90 ?x2) ?v_229) ?v_251) 18) (= (+ (+ (+ ?v_230 (* (- 62) ?x2)) ?v_231) ?v_232) (- 63))) (and (< (+ (+ ?v_107 (* (- 84) ?x2)) ?v_233) 13) (not (= (+ (+ (* 72 ?x1) ?v_40) ?v_177) 0)))))) (and (and (or (or (not (= (+ (+ (+ ?v_234 ?v_192) ?v_235) ?v_236) (- 13))) (= ?v_90 27)) (and (<= (+ (+ (+ ?v_237 ?v_343) ?v_238) (* (- 59) ?x4)) 0) (> (+ (+ ?v_241 ?v_239) ?v_10) 20))) (and (not (= (+ ?v_250 ?v_329) (- 51))) (>= (+ (+ (+ ?v_111 ?v_34) ?v_352) ?v_340) 52))) (and (and (= (+ (+ (+ ?v_278 ?v_228) ?v_240) (* (- 4) ?x4)) (- 73)) (and (= (+ ?v_241 ?v_242) (- 6)) (>= (+ (+ (+ ?v_243 (* 17 ?x2)) ?v_244) (* (- 69) ?x4)) 40))) (or (or (not (= (+ (+ ?v_94 ?v_156) ?v_245) (- 100))) (= (+ (+ (+ (* 62 ?x1) (* 85 ?x2)) ?v_235) ?v_423) (- 18))) (or (= (+ (+ (* 4 ?x2) ?v_246) ?v_247) 12) (<= (+ (+ (+ ?v_28 ?v_302) ?v_411) ?v_92) 0))))))) (or (and (and (or (and (not (= (+ (+ ?v_223 ?v_248) ?v_363) (- 66))) (not (= (+ (+ ?v_220 (* (- 44) ?x3)) ?v_249) (- 39)))) (and (<= (+ (+ (+ ?v_318 ?v_22) ?v_250) ?v_251) (- 46)) (= (+ (+ (+ ?v_322 ?v_252) ?v_253) ?v_254) 0))) (and (and (and (< (+ ?v_55 ?v_109) (- 71)) (>= (+ (+ (+ (* (- 27) ?x1) (* 7 ?x2)) ?v_295) ?v_255) 0)) (and (>= (+ (+ ?v_59 ?v_256) (* 95 ?x3)) (- 56)) (= (+ (+ (* 58 ?x1) ?v_257) ?v_181) (- 6)))) (and (and (= (+ (+ (* 33 ?x2) (* (- 25) ?x3)) ?v_27) (- 18)) (= (+ ?v_90 (* 1 ?x3)) 27)) (or (>= (+ (+ ?v_208 ?v_99) (* 94 ?x4)) 0) (= (+ (+ ?v_258 ?v_259) (* 33 ?x3)) (- 3)))))) (and (or (and (or (and (<= (+ (+ (+ ?v_260 ?v_214) ?v_235) ?v_261) 8) (< (+ (+ (+ ?v_262 ?v_263) ?v_117) ?v_72) 0)) (> (+ ?v_264 (* 58 ?x3)) (- 28))) (and (or (> (+ (+ (+ (* (- 77) ?x1) ?v_265) ?v_79) ?v_266) (- 81)) (not (= (+ (+ ?v_267 ?v_26) ?v_268) 21))) (and (>= (+ (+ ?v_269 ?v_270) ?v_271) (- 11)) (> (+ ?v_272 ?v_273) 0)))) (and (or (>= ?v_152 0) (not (= (+ (+ (* (- 69) ?x1) ?v_274) ?v_275) 50))) (and (and (<= (+ (+ (+ ?v_276 ?v_277) ?v_307) (* 57 ?x4)) 83) (< (+ ?v_278 ?v_279) (- 92))) (or (>= ?v_110 7) (< (+ (+ ?v_280 ?v_281) ?v_122) (- 59)))))) (and (and (and (= (+ ?v_282 ?v_391) (- 12)) (>= (+ ?v_234 ?v_283) 55)) (and (not (= (+ (+ (+ ?v_290 (* 52 ?x2)) ?v_231) ?v_284) 0)) (< (+ (+ ?v_418 ?v_22) ?v_285) 55))) (and (and (> (+ (+ (+ (* (- 64) ?x1) ?v_286) ?v_99) ?v_287) 41) (<= (+ (+ (+ (* 82 ?x1) ?v_288) ?v_289) ?v_317) 0)) (> ?v_389 0))))) (and (and (or (or (and (= (+ (+ ?v_290 ?v_291) ?v_292) (- 66)) (not (= (+ (+ (+ ?v_278 ?v_77) ?v_169) ?v_293) (- 7)))) (and (>= (+ (+ ?v_267 ?v_294) ?v_295) 0) (= (+ (+ (* 69 ?x1) ?v_217) ?v_191) 66))) (or (and (> (+ (* 70 ?x2) ?v_296) (- 85)) (not (= (+ (+ (+ ?v_332 (* (- 45) ?x2)) ?v_297) ?v_266) 0))) (or (<= (+ (+ (+ ?v_298 ?v_374) ?v_321) ?v_293) 0) (< (+ (+ ?v_299 ?v_78) ?v_300) (- 80))))) (and (and (and (< (+ ?v_301 ?v_119) (- 77)) (> (+ (+ (+ ?v_415 ?v_302) ?v_303) ?v_10) (- 73))) (and (not (= (+ (+ (* 92 ?x2) ?v_227) ?v_368) 53)) (not (= (+ ?v_265 ?v_304) 95)))) (< (* (- 50) ?x3) (- 26)))) (and (and (and (or (or (<= (+ (+ (* 83 ?x1) ?v_52) ?v_18) 65) (> (+ (+ ?v_91 ?v_273) ?v_165) 0)) (and (> (+ (+ (+ ?v_305 ?v_306) ?v_188) ?v_213) 99) (= (+ (+ ?v_384 (* (- 44) ?x2)) (* (- 38) ?x3)) 0))) (and (and (not (= ?v_218 (- 66))) (<= (+ (+ ?v_388 ?v_195) ?v_307) 32)) (and (> (+ (+ ?v_28 ?v_308) ?v_309) 0) (< (+ (+ ?v_310 ?v_240) ?v_311) 97)))) (> ?v_58 86)) (and (or (and (< (+ (* (- 96) ?x1) (* 69 ?x2)) (- 14)) (= (+ (+ ?v_312 ?v_379) ?v_313) (- 18))) (and (<= (+ (+ (+ ?v_314 ?v_360) ?v_378) ?v_18) 0) (< (+ (+ ?v_125 ?v_93) ?v_315) 13))) (and (and (and (<= (+ (+ (+ (* (- 10) ?x1) ?v_316) ?v_7) ?v_317) 26) (> (+ (+ ?v_318 ?v_342) ?v_72) 63)) (or (= (+ ?v_319 (* (- 33) ?x4)) (- 61)) (> (+ (+ (+ ?v_91 ?v_320) ?v_321) ?v_159) 0))) (or (= ?v_322 (- 78)) (not (= (+ (+ (+ (* (- 90) ?x1) ?v_323) ?v_324) ?v_325) 0))))))))) (and (and (or (or (= (+ (+ (+ ?v_11 ?v_326) ?v_169) ?v_399) (- 85)) (< (+ ?v_104 ?v_74) 0)) (or (< (+ (+ ?v_327 ?v_328) (* (- 6) ?x4)) 0) (= (+ (+ (+ ?v_174 ?v_337) ?v_321) ?v_329) 0))) (and (or (and (and (not (= (+ (+ (+ ?v_208 ?v_330) ?v_331) ?v_167) 33)) (or (> (+ (+ ?v_332 ?v_134) ?v_300) (- 1)) (<= (+ (+ ?v_234 ?v_320) ?v_62) 0))) (and (or (< (+ (+ (+ ?v_333 ?v_13) ?v_25) ?v_114) 76) (> (+ (+ ?v_334 (* (- 71) ?x2)) ?v_335) (- 19))) (< (+ (+ ?v_381 ?v_336) (* 73 ?x3)) (- 98)))) (or (and (or (= (* (- 24) ?x3) (- 81)) (<= (+ (+ ?v_223 ?v_337) ?v_245) 15)) (or (<= (+ ?v_422 ?v_271) 0) (> (+ ?v_224 (* (- 98) ?x2)) 38))) (and (or (> (+ ?v_338 (* 69 ?x4)) 56) (not (= (+ (+ ?v_55 ?v_195) ?v_35) 0))) (and (>= (+ (+ ?v_359 ?v_42) (* 87 ?x3)) (- 68)) (not (= (+ ?v_106 ?v_350) 0)))))) (or (or (or (or (not (= (+ (+ ?v_339 ?v_270) ?v_18) 74)) (>= (+ (+ (+ ?v_312 ?v_327) ?v_142) ?v_340) 0)) (or (= (+ (+ ?v_211 ?v_341) ?v_342) 9) (<= (+ (+ ?v_89 (* 24 ?x2)) ?v_231) (- 54)))) (and (and (< (+ (+ (+ (* 51 ?x1) ?v_343) ?v_344) ?v_183) 10) (> (+ (+ ?v_228 ?v_52) ?v_345) 56)) (or (>= (+ (+ (+ ?v_346 ?v_347) ?v_348) ?v_180) 10) (< (+ (+ ?v_46 ?v_149) ?v_349) (- 92))))) (and (>= (+ ?v_189 (* 77 ?x4)) (- 95)) (or (> (+ (+ (+ ?v_262 ?v_350) (* 13 ?x3)) ?v_351) 84) (not (= (+ (+ (* (- 14) ?x2) ?v_352) ?v_364) 9))))))) (and (or (and (or (and (or (not (= (+ (+ (* 53 ?x2) ?v_296) ?v_325) 11)) (not (= (+ ?v_69 ?v_122) 0))) (and (not (= (+ (+ (+ ?v_353 ?v_192) ?v_354) ?v_355) (- 40))) (or (>= (+ (+ (* 73 ?x1) ?v_288) ?v_142) (- 20)) (= (+ ?v_148 ?v_287) 23)))) (and (and (or (<= (+ (+ (+ ?v_356 ?v_357) (* (- 88) ?x3)) ?v_358) (- 16)) (< (+ (+ (+ ?v_243 (* (- 48) ?x2)) ?v_246) ?v_284) 61)) (or (<= (+ (+ ?v_359 (* 65 ?x2)) ?v_246) 77) (not (= (+ (+ (+ ?v_310 ?v_360) (* 6 ?x3)) (* 16 ?x4)) (- 42))))) (and (not (= (+ (+ (+ (* 80 ?x1) ?v_21) ?v_97) ?v_361) 0)) (or (> (+ (+ (+ ?v_362 ?v_306) ?v_363) ?v_364) 0) (<= (+ (+ ?v_327 ?v_244) ?v_182) (- 73)))))) (or (or (or (< (+ ?v_264 (* (- 35) ?x3)) (- 95)) (>= (+ (+ ?v_125 ?v_347) ?v_235) 70)) (or (or (not (= (+ (+ (+ (* 27 ?x1) ?v_187) ?v_156) ?v_249) (- 48))) (not (= (+ (+ ?v_365 ?v_117) ?v_366) (- 3)))) (< (+ (+ (+ (* (- 51) ?x1) ?v_80) ?v_76) ?v_380) (- 17)))) (or (or (>= (+ (+ ?v_367 ?v_316) ?v_368) 0) (and (> (+ (+ (+ ?v_2 ?v_369) ?v_289) (* (- 93) ?x4)) 51) (< (+ (+ ?v_370 (* (- 12) ?x3)) ?v_251) 0))) (and (> (+ (+ ?v_264 ?v_371) ?v_108) (- 58)) (and (not (= (+ (+ ?v_372 ?v_373) (* 51 ?x4)) (- 27))) (> (+ (+ (+ ?v_96 ?v_374) ?v_151) (* 54 ?x4)) 0)))))) (and (or (or (or (and (<= (+ (+ (+ ?v_63 ?v_375) ?v_48) ?v_279) 80) (not (= (+ (+ (+ ?v_376 ?v_377) ?v_378) ?v_62) (- 24)))) (or (> ?v_379 (- 81)) (= (+ ?v_332 ?v_140) (- 25)))) (or (and (< (+ ?v_326 ?v_380) 0) (<= (+ (+ (+ ?v_381 ?v_77) ?v_240) ?v_213) 47)) (> (+ ?v_382 (* (- 72) ?x4)) 59))) (and (or (not (= (+ ?v_224 ?v_270) (- 19))) (<= (+ ?v_383 (* 9 ?x4)) 12)) (and (= (+ (+ ?v_384 ?v_385) ?v_213) (- 15)) (or (= (+ ?v_386 ?v_417) (- 85)) (> (+ ?v_387 (* 81 ?x3)) 0))))) (or (and (or (>= (+ (+ ?v_388 ?v_389) (* (- 23) ?x4)) (- 98)) (< (+ (+ (* (- 3) ?x1) ?v_323) ?v_221) (- 20))) (and (>= (+ (+ (+ (* 20 ?x1) ?v_308) ?v_84) (* 27 ?x4)) (- 35)) (= (+ (+ (+ ?v_137 ?v_390) ?v_270) ?v_391) (- 15)))) (or (or (not (= (+ ?v_259 ?v_150) 0)) (< (+ ?v_381 ?v_239) (- 62))) (or (>= (+ (+ ?v_223 ?v_135) ?v_392) 0) (not (= (+ (+ (+ ?v_312 ?v_370) ?v_133) ?v_393) 68))))))) (or (and (and (or (and (> (+ (+ (+ ?v_425 ?v_252) ?v_105) ?v_200) 5) (< (+ (* (- 99) ?x3) ?v_394) 97)) (> (+ ?v_77 ?v_395) 0)) (or (or (or (> ?v_337 57) (< (+ (+ ?v_396 (* 15 ?x2)) ?v_304) 0)) (and (<= (+ (+ (+ ?v_397 ?v_219) ?v_398) ?v_399) 11) (< (+ ?v_47 ?v_233) 0))) (and (or (<= (+ ?v_141 ?v_250) (- 85)) (not (= (+ (+ (+ ?v_400 ?v_401) ?v_253) (* (- 8) ?x4)) (- 57)))) (= (+ (+ ?v_155 ?v_402) ?v_403) 6)))) (and (and (or (and (< (+ (+ ?v_404 ?v_228) (* 91 ?x4)) (- 8)) (< (+ (+ (+ ?v_94 (* (- 10) ?x2)) ?v_354) ?v_182) (- 2))) (> (+ (+ (+ (* 89 ?x1) ?v_259) ?v_405) ?v_392) (- 79))) (or (not (= (+ ?v_406 ?v_407) (- 91))) (or (> (+ (+ ?v_59 ?v_377) (* 15 ?x4)) 90) (< (+ (+ (+ ?v_408 (* 41 ?x2)) ?v_409) ?v_140) (- 98))))) (and (or (or (> (+ (+ ?v_410 ?v_411) (* 68 ?x4)) 0) (>= (+ (+ ?v_412 ?v_33) (* 92 ?x4)) (- 74))) (or (<= (+ (+ (+ ?v_174 ?v_413) ?v_414) ?v_329) 14) (= (+ (+ ?v_415 ?v_416) ?v_417) 0))) (or (or (> (+ (+ ?v_223 ?v_161) ?v_236) 99) (< (+ (+ (+ ?v_418 ?v_419) (* (- 59) ?x3)) (* 40 ?x4)) 40)) (and (< (+ ?v_420 ?v_200) (- 35)) (= (+ (+ (* (- 89) ?x1) ?v_421) ?v_391) 0)))))) (or (and (and (and (> (+ ?v_422 ?v_423) (- 6)) (<= ?v_7 38)) (or (< (+ (+ ?v_70 ?v_424) ?v_196) (- 47)) (not (= (+ (+ (* (- 71) ?x1) ?v_42) ?v_181) 3)))) (and (or (> (+ (+ ?v_425 ?v_374) ?v_10) 0) (not (= (+ (+ (+ ?v_396 ?v_22) (* 43 ?x3)) ?v_426) 60))) (or (< (+ (+ (+ (* 43 ?x1) ?v_302) ?v_130) ?v_427) 0) (<= (+ (* (- 5) ?x2) ?v_368) 44)))) (and (< (+ (* 10 ?x2) ?v_392) (- 53)) (< (+ (+ ?v_82 (* (- 63) ?x2)) ?v_255) (- 20)))))))))))))))))
(check-sat)
(exit)
