(set-info :smt-lib-version 2.6)
(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :category "random")
(set-info :status sat)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(assert (forall ((?x1 Real)) (exists ((?x2 Real)) (forall ((?x3 Real)) (exists ((?x4 Real)) (let ((?v_343 (* 16 ?x1)) (?v_380 (* 96 ?x3)) (?v_31 (* 84 ?x1)) (?v_288 (* 73 ?x4)) (?v_194 (* 20 ?x3)) (?v_52 (* 41 ?x4)) (?v_99 (* 97 ?x1)) (?v_274 (* 63 ?x4)) (?v_1 (* 41 ?x2)) (?v_353 (* 45 ?x2)) (?v_243 (* 1 ?x4)) (?v_35 (* 90 ?x1)) (?v_186 (* 10 ?x3)) (?v_164 (* 66 ?x4)) (?v_421 (* 93 ?x2)) (?v_2 (* 90 ?x3)) (?v_418 (* 14 ?x1)) (?v_225 (* 28 ?x3)) (?v_48 (* 6 ?x3)) (?v_298 (* 43 ?x1)) (?v_333 (* 6 ?x4)) (?v_153 (* 73 ?x3)) (?v_360 (* 69 ?x2)) (?v_442 (* 44 ?x4)) (?v_17 (* 68 ?x1)) (?v_45 (* 17 ?x4)) (?v_338 (* 21 ?x4)) (?v_464 (* 56 ?x3)) (?v_386 (* 43 ?x4)) (?v_91 (* 24 ?x1)) (?v_451 (* 27 ?x2)) (?v_8 (* 20 ?x4)) (?v_36 (* 49 ?x1)) (?v_42 (* 2 ?x4)) (?v_273 (* 92 ?x3)) (?v_73 (* 54 ?x1)) (?v_29 (* 95 ?x2)) (?v_292 (* 16 ?x3)) (?v_88 (* 30 ?x4)) (?v_291 (* 12 ?x1)) (?v_363 (* 36 ?x3)) (?v_212 (* 31 ?x4)) (?v_158 (* 79 ?x2)) (?v_20 (* 87 ?x4)) (?v_25 (* 8 ?x1)) (?v_314 (* 32 ?x4)) (?v_205 (* 47 ?x1)) (?v_123 (* 83 ?x1)) (?v_13 (* 72 ?x2)) (?v_130 (* 31 ?x2)) (?v_165 (* 2 ?x3)) (?v_355 (* 23 ?x2)) (?v_47 (* 46 ?x2)) (?v_80 (* 19 ?x2)) (?v_30 (* 11 ?x3)) (?v_255 (* 9 ?x1)) (?v_162 (* 12 ?x2)) (?v_384 (* 79 ?x1)) (?v_174 (* 75 ?x2)) (?v_41 (* 36 ?x1)) (?v_75 (* 59 ?x4)) (?v_22 (* 84 ?x3)) (?v_204 (* 96 ?x4)) (?v_424 (* 55 ?x1)) (?v_188 (* 57 ?x3)) (?v_55 (* 20 ?x1)) (?v_148 (* 40 ?x4)) (?v_46 (* 11 ?x2)) (?v_16 (* 93 ?x1)) (?v_95 (* 64 ?x4)) (?v_21 (* 9 ?x4)) (?v_34 (* 19 ?x1)) (?v_117 (* 76 ?x2)) (?v_128 (* 6 ?x1)) (?v_32 (* 68 ?x2)) (?v_208 (* 80 ?x1)) (?v_126 (* 99 ?x1)) (?v_423 (* 7 ?x2)) (?v_252 (* 35 ?x3)) (?v_38 (* 19 ?x4)) (?v_23 (* 78 ?x2)) (?v_96 (* 91 ?x2)) (?v_26 (* 76 ?x3)) (?v_151 (* 67 ?x1)) (?v_122 (* 54 ?x4)) (?v_142 (* 64 ?x1)) (?v_59 (* 59 ?x1)) (?v_44 (* 68 ?x3)) (?v_300 (* 3 ?x2)) (?v_136 (* 35 ?x2)) (?v_275 (* 39 ?x1)) (?v_49 (* 100 ?x2)) (?v_66 (* 44 ?x1)) (?v_426 (* 86 ?x4)) (?v_485 (* 55 ?x4)) (?v_37 (* 44 ?x2)) (?v_325 (* 71 ?x3)) (?v_141 (* 46 ?x4)) (?v_458 (* 66 ?x2)) (?v_84 (* 89 ?x1)) (?v_93 (* 39 ?x4)) (?v_112 (* 18 ?x1)) (?v_92 (* 57 ?x2)) (?v_71 (* 65 ?x3)) (?v_302 (* 75 ?x1)) (?v_167 (* 37 ?x3)) (?v_77 (* 3 ?x3)) (?v_102 (* 52 ?x2)) (?v_396 (* 71 ?x2)) (?v_313 (* 81 ?x2)) (?v_480 (* 82 ?x1)) (?v_297 (* 39 ?x3)) (?v_260 (* 23 ?x1)) (?v_269 (* 95 ?x4)) (?v_350 (* 75 ?x4)) (?v_86 (* 49 ?x4)) (?v_178 (* 9 ?x3)) (?v_145 (* 68 ?x4)) (?v_83 (* 61 ?x2)) (?v_209 (* 70 ?x3)) (?v_169 (* 57 ?x4)) (?v_171 (* 95 ?x1)) (?v_285 (* 91 ?x4)) (?v_81 (* 72 ?x1)) (?v_378 (* 71 ?x4)) (?v_217 (* 56 ?x2)) (?v_72 (* 97 ?x2)) (?v_94 (* 94 ?x3)) (?v_132 (* 81 ?x4)) (?v_100 (* 83 ?x2)) (?v_193 (* 56 ?x4)) (?v_407 (* 38 ?x4)) (?v_403 (* 16 ?x2)) (?v_105 (* 48 ?x1)) (?v_101 (* 5 ?x1)) (?v_340 (* 60 ?x1)) (?v_82 (* 58 ?x2)) (?v_210 (* 99 ?x4)) (?v_211 (* 21 ?x2)) (?v_441 (* 8 ?x2)) (?v_116 (* 58 ?x4)) (?v_268 (* 31 ?x3)) (?v_191 (* 25 ?x4)) (?v_345 (* 89 ?x4)) (?v_144 (* 15 ?x4)) (?v_296 (* 63 ?x3)) (?v_226 (* 27 ?x3)) (?v_104 (* 1 ?x1)) (?v_139 (* 14 ?x3)) (?v_479 (* 93 ?x4)) (?v_482 (* 41 ?x1)) (?v_119 (* 24 ?x3)) (?v_152 (* 61 ?x3)) (?v_427 (* 4 ?x2)) (?v_107 (* 55 ?x3)) (?v_256 (* 91 ?x3)) (?v_428 (* 94 ?x2)) (?v_487 (* 67 ?x3)) (?v_183 (* 78 ?x3)) (?v_247 (* 65 ?x4)) (?v_150 (* 48 ?x4)) (?v_400 (* 77 ?x3)) (?v_177 (* 62 ?x2)) (?v_143 (* 5 ?x3)) (?v_327 (* 3 ?x4)) (?v_135 (* 59 ?x3)) (?v_461 (* 40 ?x3)) (?v_435 (* 82 ?x3)) (?v_328 (* 17 ?x2)) (?v_323 (* 65 ?x2)) (?v_129 (* 12 ?x4)) (?v_309 (* 92 ?x1)) (?v_175 (* 28 ?x1)) (?v_348 (* 96 ?x1)) (?v_182 (* 35 ?x1)) (?v_254 (* 47 ?x2)) (?v_445 (* 94 ?x1)) (?v_214 (* 51 ?x2)) (?v_271 (* 19 ?x3)) (?v_436 (* 47 ?x4)) (?v_213 (* 4 ?x1)) (?v_187 (* 18 ?x2)) (?v_381 (* 27 ?x4)) (?v_280 (* 51 ?x1)) (?v_411 (* 98 ?x2)) (?v_202 (* 5 ?x4)) (?v_173 (* 81 ?x1)) (?v_452 (* 100 ?x4)) (?v_195 (* 43 ?x2)) (?v_470 (* 29 ?x4)) (?v_192 (* 64 ?x2)) (?v_286 (* 45 ?x1)) (?v_189 (* 76 ?x4)) (?v_349 (* 57 ?x1)) (?v_234 (* 6 ?x2)) (?v_235 (* 39 ?x2)) (?v_361 (* 46 ?x3)) (?v_356 (* 26 ?x4)) (?v_246 (* 20 ?x2)) (?v_261 (* 65 ?x1)) (?v_251 (* 86 ?x3)) (?v_324 (* 37 ?x2)) (?v_315 (* 15 ?x1)) (?v_341 (* 11 ?x4)) (?v_364 (* 28 ?x4)) (?v_347 (* 99 ?x3)) (?v_395 (* 59 ?x2)) (?v_253 (* 7 ?x4)) (?v_276 (* 50 ?x4)) (?v_287 (* 18 ?x3)) (?v_228 (* 76 ?x1)) (?v_453 (* 24 ?x2)) (?v_475 (* 4 ?x4)) (?v_399 (* 53 ?x1)) (?v_413 (* 26 ?x2)) (?v_248 (* 69 ?x3)) (?v_409 (* 77 ?x1)) (?v_284 (* 50 ?x1)) (?v_279 (* 79 ?x4)) (?v_366 (* 83 ?x4)) (?v_438 (* 48 ?x2)) (?v_398 (* 66 ?x1)) (?v_299 (* 10 ?x1)) (?v_371 (* 87 ?x1)) (?v_410 (* 22 ?x2)) (?v_405 (* 34 ?x2)) (?v_320 (* 88 ?x3)) (?v_311 (* 28 ?x2)) (?v_415 (* 38 ?x1)) (?v_310 (* 84 ?x2)) (?v_486 (* 43 ?x3)) (?v_473 (* 37 ?x1)) (?v_460 (* 61 ?x1)) (?v_316 (* 60 ?x2)) (?v_472 (* 49 ?x2)) (?v_448 (* 64 ?x3)) (?v_483 (* 89 ?x3)) (?v_401 (* 90 ?x2)) (?v_419 (* 62 ?x4)) (?v_376 (* 54 ?x2)) (?v_404 (* 62 ?x3)) (?v_434 (* 30 ?x2)) (?v_352 (* 69 ?x1)) (?v_406 (* 50 ?x2)) (?v_391 (* 51 ?x4)) (?v_430 (* 24 ?x4)) (?v_468 (* 45 ?x3)) (?v_443 (* 99 ?x2)) (?v_447 (* 42 ?x4)) (?v_446 (* 58 ?x3)) (?v_484 (* 36 ?x2)) (?v_402 (* 3 ?x1)) (?v_459 (* 46 ?x1)) (?v_449 (* 91 ?x1)) (?v_489 (* 60 ?x4)) (?v_12 (* (- 75) ?x2)) (?v_58 (* (- 10) ?x2)) (?v_230 (* (- 24) ?x3)) (?v_54 (* (- 72) ?x2)) (?v_146 (* (- 81) ?x2)) (?v_11 (* (- 99) ?x3)) (?v_326 (* (- 7) ?x3)) (?v_0 (* (- 56) ?x4)) (?v_18 (* (- 17) ?x4)) (?v_149 (* (- 52) ?x1)) (?v_5 (* (- 10) ?x3)) (?v_166 (* (- 12) ?x1)) (?v_68 (* (- 49) ?x3)) (?v_3 (* (- 63) ?x1)) (?v_10 (* (- 73) ?x2)) (?v_56 (* (- 67) ?x4)) (?v_62 (* (- 4) ?x1)) (?v_7 (* (- 40) ?x2)) (?v_6 (* (- 2) ?x4)) (?v_137 (* (- 27) ?x3)) (?v_4 (* (- 53) ?x1)) (?v_124 (* (- 52) ?x2)) (?v_61 (* (- 10) ?x1)) (?v_301 (* (- 20) ?x1)) (?v_127 (* (- 91) ?x2)) (?v_278 (* (- 28) ?x3)) (?v_140 (* (- 11) ?x3)) (?v_408 (* (- 55) ?x4)) (?v_79 (* (- 47) ?x1)) (?v_431 (* (- 21) ?x2)) (?v_57 (* (- 24) ?x1)) (?v_471 (* (- 26) ?x3)) (?v_227 (* (- 8) ?x4)) (?v_437 (* (- 39) ?x1)) (?v_156 (* (- 36) ?x2)) (?v_27 (* (- 74) ?x3)) (?v_176 (* (- 97) ?x2)) (?v_224 (* (- 40) ?x3)) (?v_9 (* (- 71) ?x1)) (?v_133 (* (- 5) ?x2)) (?v_28 (* (- 10) ?x4)) (?v_15 (* (- 69) ?x4)) (?v_39 (* (- 86) ?x1)) (?v_19 (* (- 78) ?x2)) (?v_14 (* (- 16) ?x1)) (?v_51 (* (- 80) ?x2)) (?v_223 (* (- 99) ?x4)) (?v_87 (* (- 25) ?x2)) (?v_321 (* (- 80) ?x4)) (?v_245 (* (- 50) ?x1)) (?v_108 (* (- 47) ?x4)) (?v_267 (* (- 60) ?x4)) (?v_312 (* (- 40) ?x1)) (?v_397 (* (- 12) ?x4)) (?v_370 (* (- 30) ?x1)) (?v_134 (* (- 100) ?x3)) (?v_196 (* (- 67) ?x1)) (?v_294 (* (- 19) ?x4)) (?v_307 (* (- 3) ?x4)) (?v_222 (* (- 64) ?x3)) (?v_329 (* (- 62) ?x4)) (?v_115 (* (- 82) ?x3)) (?v_454 (* (- 32) ?x1)) (?v_111 (* (- 63) ?x2)) (?v_120 (* (- 31) ?x3)) (?v_69 (* (- 64) ?x1)) (?v_238 (* (- 74) ?x2)) (?v_60 (* (- 94) ?x1)) (?v_477 (* (- 98) ?x3)) (?v_241 (* (- 21) ?x4)) (?v_103 (* (- 76) ?x3)) (?v_78 (* (- 90) ?x4)) (?v_131 (* (- 81) ?x3)) (?v_24 (* (- 49) ?x4)) (?v_64 (* (- 85) ?x4)) (?v_40 (* (- 18) ?x2)) (?v_432 (* (- 90) ?x3)) (?v_318 (* (- 76) ?x1)) (?v_455 (* (- 17) ?x2)) (?v_33 (* (- 78) ?x3)) (?v_220 (* (- 22) ?x1)) (?v_159 (* (- 12) ?x3)) (?v_85 (* (- 68) ?x2)) (?v_387 (* (- 86) ?x3)) (?v_179 (* (- 1) ?x4)) (?v_74 (* (- 20) ?x4)) (?v_110 (* (- 96) ?x1)) (?v_89 (* (- 95) ?x4)) (?v_185 (* (- 2) ?x1)) (?v_65 (* (- 85) ?x2)) (?v_90 (* (- 83) ?x1)) (?v_474 (* (- 20) ?x3)) (?v_43 (* (- 13) ?x2)) (?v_168 (* (- 72) ?x3)) (?v_147 (* (- 9) ?x3)) (?v_263 (* (- 5) ?x4)) (?v_109 (* (- 85) ?x3)) (?v_237 (* (- 99) ?x1)) (?v_221 (* (- 77) ?x2)) (?v_63 (* (- 52) ?x3)) (?v_390 (* (- 14) ?x3)) (?v_154 (* (- 50) ?x2)) (?v_163 (* (- 32) ?x3)) (?v_70 (* (- 100) ?x1)) (?v_272 (* (- 100) ?x4)) (?v_67 (* (- 1) ?x2)) (?v_277 (* (- 48) ?x4)) (?v_216 (* (- 79) ?x1)) (?v_160 (* (- 23) ?x4)) (?v_50 (* (- 25) ?x1)) (?v_53 (* (- 39) ?x4)) (?v_76 (* (- 13) ?x3)) (?v_331 (* (- 41) ?x3)) (?v_172 (* (- 66) ?x2)) (?v_240 (* (- 53) ?x3)) (?v_282 (* (- 2) ?x3)) (?v_203 (* (- 71) ?x2)) (?v_290 (* (- 68) ?x4)) (?v_462 (* (- 50) ?x4)) (?v_289 (* (- 24) ?x2)) (?v_420 (* (- 89) ?x1)) (?v_456 (* (- 76) ?x4)) (?v_417 (* (- 78) ?x1)) (?v_334 (* (- 83) ?x2)) (?v_422 (* (- 1) ?x1)) (?v_161 (* (- 94) ?x3)) (?v_249 (* (- 37) ?x2)) (?v_481 (* (- 66) ?x3)) (?v_97 (* (- 9) ?x2)) (?v_121 (* (- 36) ?x3)) (?v_113 (* (- 27) ?x4)) (?v_114 (* (- 54) ?x2)) (?v_488 (* (- 19) ?x2)) (?v_98 (* (- 84) ?x4)) (?v_197 (* (- 87) ?x2)) (?v_155 (* (- 84) ?x1)) (?v_125 (* (- 44) ?x4)) (?v_181 (* (- 77) ?x3)) (?v_207 (* (- 27) ?x2)) (?v_358 (* (- 84) ?x2)) (?v_170 (* (- 91) ?x1)) (?v_118 (* (- 50) ?x3)) (?v_392 (* (- 56) ?x2)) (?v_198 (* (- 49) ?x2)) (?v_382 (* (- 15) ?x4)) (?v_231 (* (- 70) ?x2)) (?v_157 (* (- 46) ?x1)) (?v_265 (* (- 11) ?x4)) (?v_201 (* (- 83) ?x3)) (?v_373 (* (- 16) ?x2)) (?v_383 (* (- 18) ?x3)) (?v_257 (* (- 14) ?x4)) (?v_106 (* (- 96) ?x2)) (?v_342 (* (- 68) ?x1)) (?v_258 (* (- 68) ?x3)) (?v_463 (* (- 44) ?x2)) (?v_389 (* (- 23) ?x2)) (?v_190 (* (- 89) ?x3)) (?v_138 (* (- 65) ?x2)) (?v_354 (* (- 77) ?x1)) (?v_367 (* (- 74) ?x4)) (?v_262 (* (- 92) ?x3)) (?v_180 (* (- 28) ?x2)) (?v_369 (* (- 39) ?x2)) (?v_303 (* (- 42) ?x3)) (?v_293 (* (- 89) ?x4)) (?v_250 (* (- 14) ?x2)) (?v_379 (* (- 22) ?x4)) (?v_232 (* (- 46) ?x3)) (?v_330 (* (- 7) ?x2)) (?v_236 (* (- 51) ?x3)) (?v_304 (* (- 19) ?x1)) (?v_264 (* (- 19) ?x3)) (?v_184 (* (- 25) ?x4)) (?v_244 (* (- 93) ?x1)) (?v_200 (* (- 93) ?x4)) (?v_218 (* (- 69) ?x2)) (?v_351 (* (- 88) ?x2)) (?v_215 (* (- 43) ?x3)) (?v_199 (* (- 88) ?x3)) (?v_219 (* (- 33) ?x3)) (?v_357 (* (- 41) ?x1)) (?v_317 (* (- 45) ?x2)) (?v_319 (* (- 24) ?x4)) (?v_206 (* (- 96) ?x4)) (?v_365 (* (- 87) ?x1)) (?v_332 (* (- 58) ?x2)) (?v_394 (* (- 11) ?x1)) (?v_476 (* (- 4) ?x3)) (?v_233 (* (- 27) ?x1)) (?v_242 (* (- 95) ?x1)) (?v_229 (* (- 31) ?x2)) (?v_440 (* (- 8) ?x3))) (let ((?v_306 (+ ?v_216 ?v_217)) (?v_308 (* (- 28) ?x1)) (?v_259 (* (- 4) ?x4)) (?v_266 (* (- 70) ?x4)) (?v_239 (* (- 22) ?x2)) (?v_322 (* (- 32) ?x4)) (?v_439 (* (- 63) ?x4)) (?v_270 (* (- 38) ?x3)) (?v_429 (* (- 54) ?x4)) (?v_433 (* (- 82) ?x1)) (?v_465 (* (- 55) ?x1)) (?v_344 (* (- 79) ?x2)) (?v_346 (* (- 56) ?x1)) (?v_478 (* (- 75) ?x4)) (?v_335 (* (- 96) ?x3)) (?v_283 (* (- 53) ?x2)) (?v_362 (* (- 88) ?x4)) (?v_281 (* (- 41) ?x2)) (?v_377 (* (- 21) ?x3)) (?v_375 (* (- 35) ?x4)) (?v_368 (* (- 70) ?x1)) (?v_393 (* (- 95) ?x3)) (?v_295 (* (- 54) ?x1)) (?v_305 (* (- 30) ?x2)) (?v_374 (* (- 16) ?x4)) (?v_372 (* (- 34) ?x4)) (?v_336 (* (- 92) ?x1)) (?v_469 (* (- 14) ?x1)) (?v_337 (* (- 37) ?x3)) (?v_359 (* (- 28) ?x4)) (?v_467 (* (- 34) ?x3)) (?v_414 (* (- 23) ?x3)) (?v_339 (* (- 29) ?x2)) (?v_450 (* (- 57) ?x2)) (?v_385 (* (- 54) ?x3)) (?v_412 (* (- 7) ?x4)) (?v_388 (* (- 38) ?x2)) (?v_444 (* (- 65) ?x4)) (?v_416 (* (- 57) ?x3)) (?v_425 (* (- 16) ?x3)) (?v_457 (* (- 60) ?x3)) (?v_466 (* (- 33) ?x4)) (?v_490 (* (- 15) ?x2))) (and (and (or (or (or (or (or (and (or (and (>= (+ (+ ?v_343 ?v_12) ?v_380) (- 62)) (>= (+ (+ (+ ?v_31 ?v_58) ?v_230) ?v_288) 94)) (or (< (+ (+ ?v_54 ?v_194) ?v_52) (- 5)) (not (= (+ (+ (+ ?v_99 ?v_146) ?v_11) ?v_274) (- 9))))) (or (and (> (+ (+ ?v_1 ?v_326) ?v_0) 39) (>= (+ ?v_353 ?v_243) 37)) (or (= (+ (+ (+ ?v_35 (* (- 11) ?x2)) ?v_186) ?v_18) (- 76)) (>= (+ (+ ?v_149 ?v_5) ?v_164) (- 20))))) (and (or (and (>= (+ (+ ?v_166 ?v_421) ?v_68) (- 83)) (<= (+ (+ (+ ?v_3 ?v_10) ?v_2) ?v_56) (- 79))) (or (not (= (+ (+ ?v_418 (* (- 8) ?x2)) ?v_225) (- 69))) (<= (+ (+ (+ ?v_62 ?v_7) ?v_48) ?v_6) (- 40)))) (or (>= (+ ?v_298 ?v_137) (- 95)) (> (+ ?v_4 ?v_333) 98)))) (and (or (and (and (= (+ (+ ?v_124 ?v_153) ?v_0) 0) (< (+ ?v_61 ?v_360) 64)) (and (< (+ (+ ?v_301 ?v_127) ?v_442) (- 20)) (= (+ (+ ?v_17 ?v_1) ?v_278) 11))) (and (or (not (= (+ ?v_2 ?v_45) (- 93))) (>= (+ (+ (* (- 69) ?x1) ?v_140) ?v_408) (- 32))) (or (>= (+ (+ ?v_79 ?v_431) ?v_338) (- 80)) (>= (+ (+ ?v_57 ?v_471) ?v_227) 52)))) (and (or (and (< (+ (+ (+ ?v_437 ?v_156) ?v_464) ?v_386) 0) (< (+ (+ ?v_91 ?v_451) (* 4 ?x3)) 49)) (>= (+ (+ (* (- 80) ?x1) ?v_27) ?v_8) (- 74))) (and (or (<= (+ (+ (+ ?v_36 ?v_176) ?v_224) ?v_42) 62) (not (= (+ (+ (+ ?v_9 ?v_133) ?v_273) ?v_28) 75))) (>= (+ (+ ?v_73 ?v_29) ?v_15) (- 2)))))) (and (and (and (and (not (= (+ (+ (+ ?v_39 ?v_19) ?v_292) ?v_88) (- 94))) (or (>= (+ (+ ?v_14 ?v_51) ?v_223) 40) (>= (+ (+ (+ ?v_291 ?v_87) ?v_363) ?v_212) (- 17)))) (and (> (+ (+ ?v_3 (* (- 95) ?x2)) ?v_321) (- 19)) (or (<= (+ ?v_245 ?v_108) (- 37)) (<= (+ (+ (+ ?v_4 ?v_158) ?v_5) ?v_20) 80)))) (or (or (or (> (+ (+ ?v_25 (* (- 4) ?x2)) ?v_267) 0) (>= (+ (+ ?v_312 (* (- 22) ?x3)) ?v_314) (- 41))) (and (not (= (+ ?v_205 ?v_397) (- 48))) (<= (+ ?v_123 ?v_13) (- 25)))) (or (or (<= (+ ?v_130 ?v_165) (- 67)) (>= (+ (+ ?v_370 ?v_355) ?v_6) (- 95))) (< (+ ?v_47 ?v_134) (- 80))))) (or (and (and (or (<= (+ (+ ?v_196 ?v_7) ?v_294) 44) (< (+ (+ ?v_80 ?v_30) ?v_307) 4)) (or (< (+ (+ (+ ?v_255 ?v_162) ?v_222) (* (- 87) ?x4)) 40) (> (+ ?v_384 ?v_329) 0))) (and (> ?v_174 83) (= (+ (+ (+ ?v_41 (* 10 ?x2)) ?v_115) ?v_8) 96))) (or (= (+ (+ (+ ?v_454 ?v_111) ?v_120) ?v_75) 0) (and (and (>= ?v_22 (- 59)) (<= (+ (+ (+ ?v_9 ?v_10) ?v_11) ?v_204) 92)) (and (< (+ (+ ?v_424 ?v_12) ?v_188) 0) (> (+ (+ ?v_55 ?v_13) (* (- 30) ?x4)) 0))))))) (and (or (or (or (or (>= (+ (+ ?v_69 ?v_238) ?v_148) (- 80)) (> (+ (+ (+ ?v_60 ?v_46) ?v_477) ?v_241) (- 76))) (or (>= (+ ?v_16 ?v_95) 0) (<= (+ (* (- 67) ?x3) ?v_21) 0))) (or (and (< (+ (+ ?v_14 ?v_103) ?v_78) (- 71)) (<= (+ (+ ?v_34 ?v_117) ?v_131) 0)) (or (= (+ ?v_128 ?v_24) 33) (> (+ (+ ?v_9 (* 26 ?x3)) ?v_15) 14)))) (and (and (< (+ ?v_16 ?v_64) 0) (= (+ (+ ?v_17 ?v_32) ?v_18) (- 13))) (> ?v_208 77))) (or (and (or (and (> (+ (+ (* 85 ?x1) ?v_40) ?v_432) 53) (< (+ (+ (+ ?v_126 ?v_19) (* 23 ?x3)) ?v_20) 1)) (or (>= ?v_21 (- 41)) (< (+ (+ (+ ?v_318 ?v_423) ?v_252) ?v_38) (- 92)))) (and (or (not (= (+ (+ (* (- 58) ?x1) ?v_23) ?v_22) 0)) (>= (+ ?v_455 ?v_33) 0)) (and (not (= (+ (+ ?v_220 ?v_96) ?v_26) 2)) (> (+ ?v_151 ?v_122) 56)))) (and (not (= (+ (+ ?v_142 ?v_23) ?v_159) 0)) (and (< (+ (+ ?v_59 ?v_44) ?v_24) 0) (or (< (+ (+ ?v_85 ?v_387) ?v_179) 76) (>= (+ (+ (+ ?v_25 ?v_300) ?v_26) ?v_74) (- 11)))))))) (or (or (or (and (or (and (and (not (= (+ (+ ?v_110 ?v_27) ?v_89) 93)) (<= (+ (+ ?v_185 ?v_65) ?v_28) 35)) (or (> (+ (+ ?v_90 ?v_29) ?v_474) (- 27)) (= (+ (+ ?v_43 ?v_168) ?v_18) 0))) (or (and (< (+ (+ ?v_136 ?v_147) ?v_263) 0) (< (+ (+ ?v_275 ?v_49) ?v_109) 4)) (or (= (+ ?v_66 ?v_30) 59) (< (+ (+ ?v_31 ?v_32) ?v_426) 52)))) (and (<= (+ (+ (+ ?v_237 ?v_221) ?v_33) ?v_485) 56) (or (<= (+ (+ ?v_34 ?v_63) (* (- 41) ?x4)) 0) (or (<= (+ (+ (+ ?v_35 ?v_37) ?v_325) ?v_141) (- 22)) (>= ?v_458 58))))) (or (or (or (or (<= (+ (+ ?v_36 ?v_37) ?v_38) 26) (<= (+ (+ ?v_84 ?v_390) ?v_93) 17)) (and (= (+ (+ ?v_39 ?v_154) ?v_163) 0) (<= (+ ?v_70 ?v_40) 68))) (and (<= (+ (+ ?v_112 ?v_23) ?v_272) 33) (< (+ (+ (* 26 ?x1) ?v_92) ?v_71) 94))) (or (and (< (+ (+ ?v_41 ?v_67) ?v_42) 28) (= (+ (+ ?v_43 ?v_44) ?v_45) 72)) (or (and (<= (+ (+ ?v_46 ?v_27) (* 85 ?x4)) 20) (not (= (+ (+ (+ ?v_302 ?v_47) ?v_167) ?v_277) (- 69)))) (or (= (+ (+ (+ ?v_216 (* (- 62) ?x2)) ?v_77) ?v_160) 0) (not (= (+ ?v_50 ?v_48) (- 30)))))))) (and (or (or (and (or (> (+ ?v_102 (* (- 79) ?x3)) 0) (>= (+ (+ ?v_35 ?v_396) ?v_53) (- 29))) (>= (+ ?v_49 ?v_18) 73)) (and (and (not (= (+ (+ (+ ?v_50 ?v_51) ?v_76) ?v_52) (- 57))) (< (+ (+ ?v_313 ?v_2) ?v_53) 1)) (and (<= (+ (+ ?v_480 ?v_54) ?v_331) 5) (<= ?v_297 14)))) (and (and (< (+ (+ ?v_55 (* (- 15) ?x3)) ?v_56) 76) (or (< (+ (+ ?v_260 ?v_172) ?v_56) (- 77)) (= (+ (+ ?v_14 (* 15 ?x2)) ?v_269) (- 40)))) (and (>= (+ (+ (+ ?v_57 ?v_58) ?v_240) ?v_350) (- 86)) (and (>= (+ (+ ?v_59 ?v_33) ?v_86) (- 71)) (not (= (+ (+ (+ ?v_60 (* 96 ?x2)) ?v_178) ?v_145) 27)))))) (and (and (or (or (not (= (+ ?v_37 (* (- 13) ?x4)) (- 90))) (<= (+ ?v_61 ?v_282) (- 46))) (and (> (+ (+ ?v_62 ?v_83) ?v_209) 0) (not (= (+ (+ (+ (* 31 ?x1) ?v_203) ?v_63) ?v_169) 81)))) (or (or (> (+ ?v_171 ?v_64) 0) (= (+ (* (- 60) ?x1) ?v_285) 0)) (and (< (+ (+ ?v_81 ?v_65) ?v_378) 0) (> ?v_217 0)))) (and (or (or (< ?v_290 (- 41)) (< (+ ?v_66 (* (- 97) ?x4)) 0)) (or (= (+ (+ ?v_72 ?v_94) ?v_462) (- 22)) (= (+ ?v_289 ?v_132) 0))) (and (or (< (+ (+ (+ ?v_420 ?v_67) ?v_68) ?v_456) 91) (< (+ (+ ?v_417 ?v_100) (* 98 ?x4)) (- 83))) (and (>= (+ (+ ?v_334 (* (- 3) ?x3)) ?v_193) 46) (> (+ ?v_422 ?v_161) 30))))))) (and (or (and (and (and (= (+ ?v_69 ?v_407) 3) (> ?v_403 32)) (or (or (>= (+ (+ (+ (* (- 59) ?x1) ?v_249) ?v_481) (* 34 ?x4)) 64) (<= (+ ?v_70 (* 77 ?x2)) (- 100))) (not (= (+ (+ ?v_105 ?v_97) ?v_71) 0)))) (and (and (and (<= (+ (+ (+ ?v_36 ?v_72) ?v_121) ?v_113) (- 67)) (= (+ (+ ?v_101 (* 32 ?x2)) ?v_28) 35)) (or (>= (+ (+ (+ ?v_73 ?v_114) (* 49 ?x3)) (* 8 ?x4)) (- 35)) (= (+ ?v_488 ?v_74) 89))) (or (and (< (+ ?v_340 ?v_75) 0) (<= (+ (+ (+ ?v_17 ?v_82) ?v_76) ?v_98) (- 46))) (or (< (+ (+ (+ ?v_17 ?v_197) ?v_5) ?v_210) 7) (not (= (+ (+ ?v_211 ?v_77) (* 84 ?x4)) (- 6))))))) (or (or (or (<= (+ (+ ?v_155 ?v_441) ?v_125) 0) (>= (+ (+ (* 87 ?x2) ?v_181) ?v_78) (- 71))) (or (and (not (= ?v_116 (- 54))) (>= (+ (+ (* 86 ?x1) ?v_207) ?v_268) (- 68))) (and (not (= (+ ?v_79 ?v_358) (- 15))) (not (= (+ ?v_80 ?v_191) (- 18)))))) (or (or (or (not (= (+ (+ ?v_81 ?v_82) ?v_345) 84)) (>= (+ (+ (+ ?v_170 ?v_83) ?v_48) ?v_144) (- 47))) (and (> (+ (+ ?v_84 ?v_296) ?v_38) (- 63)) (>= (+ (+ ?v_85 ?v_118) ?v_86) 34))) (or (and (< (+ (+ ?v_87 ?v_226) ?v_88) (- 29)) (= (+ (+ ?v_104 ?v_392) ?v_89) 0)) (and (>= (+ ?v_139 ?v_479) 19) (> ?v_90 (- 72))))))) (or (and (and (or (< (+ (+ ?v_482 ?v_119) ?v_88) 7) (< (+ ?v_91 ?v_80) 4)) (= (+ ?v_92 ?v_93) (- 46))) (or (or (< (+ (+ ?v_198 ?v_94) ?v_95) 58) (<= (+ (* 11 ?x1) ?v_152) 0)) (and (>= (+ (+ (+ (* 27 ?x1) ?v_96) (* 1 ?x3)) ?v_382) (- 14)) (>= (+ (+ (+ (* (- 48) ?x1) ?v_97) (* (- 45) ?x3)) ?v_98) (- 77))))) (and (and (= (+ (+ (+ (* 33 ?x1) ?v_427) ?v_107) (* 33 ?x4)) 0) (<= (+ (+ (+ ?v_99 ?v_231) ?v_256) ?v_15) (- 61))) (and (or (< (+ (+ (+ (* (- 17) ?x1) ?v_428) ?v_487) ?v_89) (- 41)) (= (+ (+ (+ ?v_157 ?v_100) ?v_183) ?v_265) (- 51))) (or (< (+ (+ (+ ?v_101 ?v_102) ?v_103) ?v_247) 49) (> (+ ?v_7 ?v_201) 77)))))))) (or (or (or (or (or (or (>= (+ (* (- 44) ?x1) ?v_150) 4) (< (+ (+ ?v_373 ?v_383) ?v_257) (- 89))) (> (+ (+ ?v_104 ?v_106) ?v_400) 2)) (and (and (>= (+ (+ ?v_342 ?v_258) ?v_0) (- 92)) (> (+ (+ (+ ?v_105 ?v_106) ?v_107) ?v_108) 90)) (or (not (= (+ (+ ?v_69 (* (- 89) ?x2)) ?v_109) 27)) (<= (+ (+ (+ ?v_110 ?v_177) ?v_143) ?v_52) (- 16))))) (and (or (or (and (and (> (+ (* (- 37) ?x1) ?v_463) 0) (= (+ (+ (* (- 5) ?x1) ?v_111) ?v_327) (- 31))) (and (= (+ (+ ?v_112 ?v_85) ?v_135) 0) (<= (+ ?v_389 ?v_461) (- 22)))) (or (and (>= (+ ?v_435 ?v_45) 43) (> (+ (+ (+ ?v_62 ?v_87) (* (- 84) ?x3)) ?v_113) 9)) (and (< (+ ?v_114 ?v_190) 0) (<= (+ (+ ?v_9 ?v_328) (* 98 ?x3)) 20)))) (or (or (< (+ (+ ?v_138 ?v_115) ?v_116) 16) (not (= (+ ?v_354 ?v_367) 0))) (or (and (>= (+ ?v_117 ?v_262) (- 86)) (<= (+ (+ ?v_323 ?v_118) ?v_129) 98)) (or (> (+ (+ ?v_309 ?v_119) (* (- 42) ?x4)) 0) (= (+ ?v_180 (* (- 86) ?x4)) (- 46)))))) (or (or (or (or (= (+ (+ ?v_175 ?v_369) ?v_120) 0) (>= (+ (+ ?v_348 ?v_121) ?v_42) 85)) (and (= (+ (+ (+ (* (- 43) ?x1) (* 86 ?x2)) ?v_303) ?v_122) 68) (not (= (+ (+ (+ ?v_123 ?v_124) (* 22 ?x3)) ?v_125) 84)))) (or (or (> (+ (+ ?v_182 ?v_254) ?v_293) 0) (<= (+ (+ ?v_445 ?v_250) (* 18 ?x4)) (- 22))) (and (< (+ (+ ?v_126 (* 12 ?x3)) ?v_0) 4) (>= (+ (+ (* 40 ?x1) ?v_127) ?v_27) (- 62))))) (and (= (+ ?v_214 (* 38 ?x3)) 0) (and (or (>= (+ (+ ?v_128 ?v_76) ?v_129) 4) (<= (+ (+ (* (- 98) ?x1) ?v_12) (* 88 ?x4)) (- 13))) (and (<= (+ (+ (+ ?v_73 ?v_12) ?v_271) ?v_379) (- 43)) (<= (+ (+ (+ ?v_3 ?v_130) ?v_131) ?v_132) 47))))))) (or (or (or (and (and (<= (+ ?v_133 ?v_134) 57) (not (= (+ (+ ?v_31 ?v_120) ?v_436) 0))) (>= (+ (+ ?v_213 ?v_187) ?v_135) 46)) (or (or (< (+ (+ ?v_136 ?v_137) ?v_381) (- 59)) (< (+ (+ (+ ?v_280 ?v_411) ?v_232) ?v_202) 1)) (<= (+ (+ (+ ?v_173 ?v_138) ?v_139) ?v_452) 38))) (and (and (or (or (<= (+ ?v_140 ?v_45) (- 94)) (>= (+ (+ (+ ?v_79 ?v_114) ?v_103) ?v_141) 97)) (and (> (+ (+ (+ ?v_142 (* (- 48) ?x2)) ?v_140) ?v_98) 0) (> (+ (+ ?v_195 ?v_143) ?v_144) 0))) (not (= (+ (* (- 44) ?x3) ?v_145) 54))) (and (or (and (> (+ (+ (+ ?v_112 (* (- 46) ?x2)) (* (- 65) ?x3)) ?v_470) 0) (<= (+ (+ ?v_146 ?v_147) ?v_148) (- 97))) (or (<= (+ (+ (+ ?v_149 ?v_330) ?v_236) ?v_150) (- 28)) (>= ?v_151 (- 11)))) (or (and (> (+ (+ (* (- 20) ?x2) ?v_152) ?v_8) 0) (>= ?v_192 64)) (and (<= (+ ?v_153 (* (- 46) ?x4)) 29) (not (= (+ (+ ?v_286 ?v_154) ?v_189) 30))))))) (or (and (and (or (not (= (+ (+ ?v_155 ?v_156) (* (- 17) ?x3)) 0)) (> (+ (+ ?v_157 ?v_158) ?v_0) 86)) (>= (+ (+ (+ ?v_349 ?v_83) ?v_11) ?v_20) 10)) (or (or (> (+ (+ ?v_304 ?v_234) ?v_159) (- 79)) (< (+ (+ ?v_51 ?v_264) ?v_160) (- 59))) (and (<= (+ (+ (+ ?v_142 ?v_235) ?v_161) ?v_184) (- 54)) (< (+ (+ (+ ?v_244 ?v_162) ?v_361) ?v_356) 4)))) (and (or (<= (+ (+ ?v_102 ?v_163) ?v_164) 29) (> (+ (+ ?v_49 ?v_165) ?v_122) (- 78))) (and (or (> (+ ?v_58 (* (- 43) ?x4)) (- 70)) (> (+ (+ ?v_166 ?v_167) ?v_200) 65)) (and (not (= ?v_124 0)) (>= (+ (+ (+ (* (- 62) ?x1) ?v_218) ?v_168) ?v_150) 0))))))) (or (and (and (or (or (or (< (+ ?v_246 ?v_169) (- 2)) (not (= (+ (+ ?v_170 ?v_351) ?v_121) 0))) (and (not (= (+ (+ ?v_261 ?v_49) (* 92 ?x4)) 0)) (< (+ (+ ?v_171 ?v_172) ?v_215) 7))) (and (or (>= (+ (* (- 73) ?x1) ?v_251) 19) (not (= (+ (+ (+ ?v_173 ?v_174) ?v_120) ?v_108) 0))) (or (<= (+ (+ ?v_126 ?v_23) ?v_199) 0) (>= (+ (+ ?v_175 ?v_324) ?v_219) 0)))) (and (and (= (+ (+ (+ ?v_315 ?v_176) ?v_167) ?v_18) (- 76)) (<= (* (- 6) ?x4) (- 46))) (or (not (= ?v_125 63)) (> (+ (+ (+ ?v_357 ?v_177) ?v_178) ?v_179) 33)))) (and (and (and (and (or (< (+ (+ (+ (* 2 ?x1) ?v_180) ?v_181) ?v_129) 0) (> (+ (+ (+ ?v_182 ?v_162) ?v_183) ?v_184) (- 93))) (or (< (+ (+ ?v_166 ?v_30) ?v_341) (- 14)) (not (= (+ (+ ?v_185 (* (- 33) ?x2)) ?v_186) (- 99))))) (>= (+ ?v_112 ?v_178) (- 74))) (or (and (or (<= (+ (+ (+ ?v_14 ?v_187) ?v_188) ?v_364) 2) (> (+ (+ ?v_55 ?v_317) ?v_189) 0)) (and (not (= (+ (+ (+ ?v_14 ?v_49) ?v_190) ?v_191) 27)) (< (+ ?v_192 ?v_193) (- 65)))) (and (<= (+ ?v_194 ?v_319) 0) (= (+ (+ (+ ?v_157 ?v_85) (* 100 ?x3)) ?v_150) 90)))) (and (or (and (< (+ (+ ?v_79 ?v_195) ?v_189) 22) (<= (+ (+ (+ ?v_196 (* 88 ?x2)) ?v_347) ?v_38) 0)) (and (and (< ?v_197 67) (= (+ (+ ?v_110 ?v_26) ?v_206) (- 34))) (or (= (+ (+ (+ ?v_16 ?v_198) ?v_199) ?v_200) 0) (> (+ (+ (+ (* (- 23) ?x1) (* (- 86) ?x2)) ?v_201) ?v_6) (- 45))))) (and (or (not (= ?v_365 65)) (or (>= (+ ?v_134 ?v_202) (- 86)) (<= ?v_332 (- 73)))) (and (or (= (+ (+ ?v_394 ?v_203) ?v_204) 0) (< (+ (+ ?v_205 ?v_67) ?v_132) (- 86))) (and (not (= (+ ?v_46 ?v_206) 48)) (<= (+ (+ ?v_207 ?v_476) ?v_56) 95))))))) (and (or (or (or (and (= (+ ?v_182 ?v_201) (- 12)) (< (+ (+ ?v_208 ?v_209) ?v_52) 100)) (and (< (+ ?v_57 ?v_33) (- 77)) (> (+ ?v_186 ?v_210) 11))) (or (or (not (= (+ (+ (+ ?v_233 ?v_211) ?v_167) ?v_145) (- 100))) (<= (+ (+ ?v_395 (* 50 ?x3)) ?v_212) 72)) (and (>= (+ (+ (+ ?v_242 ?v_229) (* (- 91) ?x3)) ?v_253) (- 17)) (< (+ (+ (+ ?v_213 (* 82 ?x2)) ?v_440) ?v_189) 64)))) (and (or (= (+ (+ (+ (* (- 7) ?x1) ?v_214) ?v_215) ?v_141) 0) (= (+ ?v_306 ?v_276) 0)) (not (= (+ (+ ?v_308 ?v_218) ?v_219) (- 19))))) (or (or (or (or (or (>= (+ (+ ?v_3 ?v_106) ?v_259) 67) (>= (+ (+ ?v_220 (* (- 3) ?x2)) ?v_287) 79)) (and (not (= (+ (+ (+ ?v_228 ?v_221) ?v_222) ?v_223) (- 27))) (< (+ (* 25 ?x1) ?v_224) 0))) (and (<= (+ ?v_225 ?v_266) (- 12)) (not (= (+ ?v_453 ?v_18) 0)))) (and (or (= (+ ?v_226 ?v_227) 75) (= (+ ?v_228 ?v_239) 15)) (and (<= (+ (+ ?v_67 ?v_165) ?v_322) 0) (and (not (= (+ (+ ?v_229 ?v_230) (* (- 72) ?x4)) 72)) (= (+ (+ (+ ?v_171 ?v_231) ?v_232) ?v_78) (- 67)))))) (or (or (or (and (>= (+ (+ (+ ?v_233 ?v_234) ?v_71) ?v_475) 88) (= ?v_61 0)) (= (+ (+ (* (- 97) ?x1) ?v_235) ?v_236) (- 30))) (or (and (= (+ (+ ?v_237 ?v_238) (* 13 ?x3)) (- 52)) (< (+ (+ (+ ?v_399 ?v_239) ?v_240) ?v_241) 0)) (and (>= (+ (* (- 88) ?x1) ?v_72) (- 17)) (= (+ (+ ?v_242 ?v_87) ?v_243) 41)))) (or (and (or (< (+ (+ ?v_413 ?v_248) ?v_52) (- 5)) (< (+ ?v_124 ?v_439) 0)) (and (>= (+ (+ ?v_244 ?v_13) (* (- 64) ?x4)) (- 80)) (not (= (+ ?v_102 ?v_190) 72)))) (> (+ (+ ?v_245 ?v_246) ?v_247) (- 90))))))))) (or (and (and (and (and (and (or (or (and (<= (+ ?v_101 ?v_270) (- 91)) (>= (+ (+ ?v_47 ?v_248) ?v_429) 40)) (or (not (= (+ (+ ?v_409 ?v_249) ?v_219) (- 27))) (> (+ (+ (+ ?v_284 ?v_250) ?v_251) (* 72 ?x4)) 51))) (and (> (+ (+ (+ (* 29 ?x1) ?v_158) ?v_252) ?v_253) 23) (not (= (+ ?v_433 ?v_254) (- 28))))) (or (or (>= (+ ?v_255 (* (- 6) ?x2)) (- 77)) (>= (+ ?v_196 ?v_80) 0)) (and (or (<= (+ (+ (+ ?v_465 ?v_133) ?v_256) ?v_257) (- 76)) (<= (+ (+ ?v_344 ?v_258) ?v_259) (- 16))) (< (+ ?v_260 (* (- 75) ?x3)) 49)))) (or (and (or (and (not (= (+ (+ ?v_14 ?v_240) (* (- 98) ?x4)) (- 3))) (<= (+ (+ ?v_261 ?v_262) ?v_279) (- 4))) (or (not (= (+ (+ ?v_346 (* 38 ?x2)) ?v_366) (- 27))) (<= (+ (+ (+ ?v_228 ?v_438) ?v_209) ?v_478) (- 34)))) (and (= (+ (+ (+ ?v_151 ?v_111) ?v_335) (* (- 31) ?x4)) (- 60)) (or (> (+ (+ ?v_283 ?v_262) ?v_263) 0) (= (+ ?v_264 ?v_265) 0)))) (or (and (>= ?v_266 85) (or (>= (+ (+ ?v_59 ?v_199) ?v_267) (- 92)) (= (+ (+ ?v_398 ?v_268) ?v_269) 71))) (and (< (+ (+ (+ (* (- 29) ?x1) ?v_195) ?v_270) ?v_362) (- 32)) (= (+ (+ (+ (* (- 8) ?x1) (* 74 ?x2)) (* 79 ?x3)) ?v_18) (- 72)))))) (and (and (and (or (> (+ (* 21 ?x1) ?v_271) 98) (> (+ (+ (+ ?v_299 ?v_281) ?v_134) ?v_272) (- 40))) (or (and (= ?v_66 0) (not (= (+ (+ ?v_39 ?v_377) ?v_375) (- 21)))) (or (= (+ (+ ?v_371 ?v_172) ?v_161) (- 61)) (not (= (+ (+ (+ ?v_196 ?v_410) ?v_273) ?v_274) (- 3)))))) (and (and (or (< (+ (+ ?v_275 (* 66 ?x3)) ?v_276) 0) (<= (+ (+ (+ ?v_185 ?v_58) ?v_273) (* 70 ?x4)) 80)) (<= (+ (+ (+ (* (- 49) ?x1) ?v_405) ?v_320) ?v_227) (- 15))) (or (and (= (+ (* 73 ?x1) ?v_311) (- 100)) (= (+ (+ (+ ?v_14 (* 40 ?x2)) ?v_135) ?v_277) 0)) (or (>= (+ (+ (+ ?v_260 ?v_192) ?v_278) ?v_279) (- 23)) (>= (+ (+ (+ ?v_280 ?v_281) ?v_282) ?v_52) 100))))) (and (or (or (= (+ ?v_128 ?v_283) 0) (> (+ (+ ?v_284 ?v_115) ?v_265) 59)) (and (<= (+ (+ (+ ?v_415 ?v_310) (* 7 ?x3)) ?v_189) (- 48)) (= (+ (+ (* (- 82) ?x2) ?v_163) ?v_285) (- 39)))) (or (or (<= (+ (+ ?v_55 ?v_23) ?v_164) 0) (> (+ (+ ?v_368 ?v_218) ?v_243) (- 49))) (or (not (= (+ (+ ?v_142 (* 85 ?x2)) ?v_190) 0)) (> (+ (+ (+ (* (- 18) ?x1) ?v_102) (* 95 ?x3)) (* (- 83) ?x4)) 89)))))) (and (or (and (or (or (not (= (+ (+ (+ ?v_286 ?v_114) ?v_287) ?v_288) (- 58))) (or (= (+ (+ (+ ?v_151 ?v_289) ?v_486) ?v_290) (- 4)) (>= (+ (+ (+ ?v_473 ?v_58) (* (- 63) ?x3)) ?v_288) 37))) (and (and (= (+ (* (- 36) ?x1) ?v_393) 0) (>= (+ (+ ?v_157 ?v_76) (* (- 59) ?x4)) 16)) (and (<= (+ (+ (+ ?v_295 ?v_305) ?v_27) ?v_8) (- 94)) (not (= (+ (+ (+ ?v_291 (* (- 2) ?x2)) (* (- 93) ?x3)) ?v_164) (- 42)))))) (or (and (or (not (= (+ (+ (+ ?v_460 ?v_217) ?v_292) ?v_293) 96)) (not (= (+ (+ ?v_101 ?v_180) ?v_294) (- 90)))) (< (+ (+ ?v_295 ?v_296) ?v_75) (- 20))) (and (or (<= (+ (+ (+ ?v_149 (* (- 12) ?x2)) ?v_297) ?v_263) (- 97)) (< (+ (+ (+ ?v_298 ?v_19) ?v_252) ?v_132) (- 71))) (and (< (+ (+ (+ ?v_299 ?v_300) (* (- 55) ?x3)) ?v_374) 13) (< (+ ?v_301 ?v_372) (- 77)))))) (and (and (or (or (= (+ (+ ?v_336 ?v_316) (* (- 35) ?x3)) (- 19)) (<= (+ (+ ?v_472 ?v_448) ?v_276) (- 97))) (and (<= (+ (+ ?v_9 ?v_268) (* 53 ?x4)) 20) (>= (+ (+ ?v_302 ?v_154) ?v_483) 61))) (and (or (< (+ (+ ?v_185 ?v_303) (* 16 ?x4)) 0) (< (+ ?v_304 ?v_305) 0)) (and (not (= (+ (+ ?v_306 ?v_230) ?v_263) (- 24))) (< ?v_177 0)))) (or (and (or (= (+ (+ (+ ?v_469 ?v_19) ?v_337) ?v_359) (- 4)) (= (+ ?v_305 (* 34 ?x3)) 0)) (or (= (+ (+ ?v_401 ?v_209) ?v_307) 0) (= (+ (+ ?v_308 ?v_67) ?v_178) 0))) (not (= (+ ?v_100 ?v_467) 6))))) (or (or (and (or (= (+ ?v_309 ?v_235) (- 15)) (< (+ (+ ?v_308 ?v_310) (* (- 71) ?x3)) (- 92))) (or (>= (+ (+ (+ ?v_260 ?v_311) ?v_414) ?v_419) 0) (not (= (+ (+ ?v_312 ?v_313) (* 81 ?x3)) 32)))) (> (+ (+ (* 1 ?x2) ?v_153) ?v_314) (- 94))) (or (or (<= (+ (* (- 15) ?x1) ?v_95) 62) (and (not (= ?v_376 (- 31))) (> (+ (+ ?v_315 ?v_316) ?v_404) 50))) (or (and (and (> (+ (+ ?v_315 ?v_317) (* 97 ?x4)) (- 27)) (= (+ (+ ?v_318 ?v_82) ?v_319) 86)) (and (> (+ (+ ?v_339 (* (- 58) ?x3)) (* (- 66) ?x4)) 90) (< (+ (+ (+ ?v_312 ?v_450) ?v_320) ?v_321) 0))) (or (or (<= (+ (+ ?v_255 ?v_134) ?v_322) 95) (<= (+ ?v_323 ?v_119) 95)) (and (= (+ (+ (+ (* (- 34) ?x1) ?v_289) ?v_264) ?v_129) (- 7)) (< ?v_324 0)))))))) (or (and (and (and (or (and (or (not (= (+ (+ (+ ?v_298 ?v_97) ?v_325) ?v_223) (- 54))) (= (* 83 ?x3) 0)) (or (not (= (+ (+ (+ (* (- 9) ?x1) ?v_434) ?v_326) ?v_327) (- 87))) (<= (+ ?v_255 ?v_328) 74))) (or (and (> (+ (+ (+ ?v_352 ?v_127) ?v_226) ?v_329) 0) (>= (+ (+ ?v_61 ?v_406) ?v_116) 25)) (and (<= (+ ?v_142 (* (- 51) ?x2)) (- 13)) (< (+ (+ (+ (* (- 72) ?x1) ?v_47) ?v_385) ?v_88) 0)))) (and (and (and (not (= (+ (+ (+ (* (- 65) ?x1) ?v_330) ?v_331) ?v_122) 3)) (< (+ (+ (+ ?v_173 ?v_332) ?v_140) ?v_45) (- 17))) (= (+ (+ (+ ?v_309 (* 92 ?x2)) ?v_292) ?v_333) 66)) (or (and (= (+ (+ (+ ?v_298 ?v_334) ?v_287) ?v_412) (- 100)) (> (+ (+ ?v_90 ?v_335) (* 90 ?x4)) 0)) (or (>= (+ (+ (+ ?v_336 ?v_97) ?v_337) ?v_338) 16) (not (= (+ (+ (+ (* (- 35) ?x1) ?v_339) ?v_282) ?v_391) (- 27))))))) (or (or (or (< (+ ?v_318 ?v_30) (- 11)) (> (+ ?v_340 ?v_54) 44)) (or (>= ?v_178 (- 68)) (>= (+ (+ (+ ?v_55 ?v_323) ?v_335) ?v_341) 0))) (or (and (< (+ ?v_342 ?v_49) 28) (>= (+ (+ ?v_343 ?v_344) (* 23 ?x4)) 100)) (and (> (+ (+ (+ ?v_284 ?v_133) ?v_199) ?v_345) (- 4)) (not (= (+ (+ (+ ?v_346 ?v_231) ?v_347) ?v_24) 0)))))) (or (or (and (or (or (>= ?v_55 (- 32)) (not (= (+ (+ ?v_348 ?v_258) ?v_430) 18))) (or (< (+ (+ (+ ?v_349 ?v_281) ?v_33) ?v_350) (- 2)) (< (+ (+ (* (- 45) ?x1) ?v_351) ?v_107) 0))) (and (not (= (+ (+ ?v_352 ?v_353) ?v_327) 0)) (= (+ (+ (+ ?v_354 ?v_355) ?v_153) ?v_356) 9))) (and (and (and (< (+ ?v_357 (* 53 ?x2)) (- 11)) (not (= (+ (+ ?v_43 (* 85 ?x3)) ?v_129) 96))) (and (> (+ (+ (+ ?v_245 ?v_358) ?v_30) ?v_359) 0) (> (+ (+ (+ ?v_205 ?v_360) ?v_361) ?v_129) (- 30)))) (or (or (< (+ (+ (+ ?v_60 ?v_218) ?v_468) ?v_362) 34) (< (+ (+ (+ ?v_173 ?v_443) ?v_363) ?v_364) 82)) (or (>= (+ (+ ?v_365 ?v_119) ?v_366) 13) (<= (+ (+ (+ ?v_220 ?v_360) ?v_236) ?v_367) 62))))) (or (or (and (>= (+ (+ (+ ?v_368 ?v_369) ?v_48) ?v_447) 0) (= (+ (+ ?v_370 ?v_115) ?v_52) 99)) (or (and (> ?v_174 0) (>= ?v_446 40)) (and (not (= (+ (+ (+ ?v_371 ?v_332) ?v_33) ?v_372) (- 75))) (< (+ (+ (+ ?v_340 ?v_373) ?v_347) ?v_374) (- 14))))) (and (or (or (>= (+ (+ ?v_101 ?v_5) ?v_375) 46) (= (+ (+ ?v_346 ?v_85) ?v_266) 0)) (and (<= (+ (+ (+ ?v_346 ?v_376) ?v_377) ?v_378) 89) (< (+ (+ ?v_346 (* (- 56) ?x3)) ?v_379) 0))) (or (not (= (+ ?v_380 ?v_274) 0)) (> (+ ?v_318 ?v_484) 53)))))) (and (and (or (<= (+ (+ (+ ?v_228 ?v_313) ?v_271) ?v_381) 0) (or (and (= (+ (+ (+ ?v_39 ?v_127) ?v_22) ?v_382) 69) (>= (+ (+ ?v_175 (* 29 ?x2)) ?v_76) 34)) (and (>= (+ ?v_79 ?v_290) 0) (= (+ (+ ?v_402 ?v_158) ?v_383) 66)))) (and (or (and (not (= (+ (+ (+ ?v_384 ?v_217) ?v_385) ?v_386) 71)) (<= (+ (+ ?v_176 ?v_159) ?v_148) (- 99))) (and (or (> (+ (* (- 25) ?x3) ?v_24) 0) (not (= (+ (+ (* (- 92) ?x2) ?v_387) ?v_24) 66))) (or (< (+ (+ (+ ?v_208 ?v_388) ?v_135) ?v_444) 0) (= (+ (+ (+ ?v_59 ?v_388) ?v_219) (* (- 78) ?x4)) (- 79))))) (or (and (< (+ (+ ?v_166 ?v_389) ?v_164) 85) (>= (+ (+ (+ (* (- 90) ?x1) (* (- 93) ?x2)) ?v_390) ?v_391) 0)) (and (and (<= (+ (+ ?v_101 ?v_392) ?v_393) (- 64)) (> (+ (+ ?v_394 ?v_51) ?v_167) 0)) (or (>= (+ (+ (+ ?v_459 ?v_395) ?v_26) ?v_18) (- 80)) (< (+ (+ ?v_315 ?v_218) ?v_271) (- 83))))))) (and (or (or (and (> (+ (+ (+ ?v_70 ?v_239) ?v_416) (* (- 38) ?x4)) 95) (and (= (+ (+ ?v_370 ?v_396) ?v_397) 0) (> (+ (+ ?v_398 ?v_224) ?v_269) 0))) (and (and (> (+ (+ ?v_399 ?v_400) ?v_333) 0) (< (+ (+ (+ ?v_17 ?v_401) ?v_264) ?v_247) 0)) (or (<= (+ (+ ?v_402 ?v_385) ?v_241) 29) (= (+ (+ (+ ?v_99 ?v_403) ?v_404) ?v_52) 0)))) (and (and (and (<= (+ (+ ?v_157 ?v_252) ?v_193) 77) (> (+ (+ ?v_84 ?v_405) ?v_45) (- 51))) (> (+ (+ (+ (* 30 ?x1) (* 89 ?x2)) ?v_240) ?v_144) 95)) (and (or (not (= (+ (+ ?v_301 ?v_133) ?v_215) 72)) (<= (+ (+ ?v_166 ?v_406) ?v_407) (- 37))) (or (> (+ ?v_310 ?v_408) 0) (>= (+ (+ ?v_409 ?v_410) ?v_243) (- 29)))))) (and (and (or (>= (+ (+ ?v_411 (* 97 ?x3)) ?v_285) 0) (<= (+ ?v_275 ?v_425) 9)) (= (+ ?v_262 ?v_412) (- 1))) (and (> (+ ?v_413 ?v_414) 30) (= (+ ?v_346 ?v_375) 0))))))) (or (and (and (or (or (or (and (not (= (+ (+ (+ ?v_415 ?v_172) ?v_416) (* (- 29) ?x4)) 0)) (<= (+ (+ (+ ?v_417 (* 73 ?x2)) ?v_199) ?v_116) (- 72))) (>= (+ ?v_14 ?v_225) 31)) (or (and (<= ?v_131 27) (not (= (+ (+ (+ ?v_418 ?v_328) ?v_103) ?v_327) 29))) (or (>= (+ ?v_371 ?v_419) 0) (> (+ (+ (+ ?v_55 ?v_395) ?v_377) ?v_322) (- 94))))) (or (and (and (not (= (+ (+ ?v_25 ?v_130) ?v_294) 2)) (> (+ (+ ?v_3 ?v_219) ?v_210) 98)) (or (> (+ (+ (+ ?v_420 ?v_235) ?v_22) ?v_241) (- 79)) (> (+ ?v_171 ?v_408) 26))) (and (or (>= (+ (+ ?v_50 ?v_421) ?v_212) 31) (>= (+ ?v_422 ?v_43) 0)) (>= ?v_362 37)))) (and (and (or (> (+ (+ ?v_104 ?v_423) (* 60 ?x3)) 0) (<= (+ (+ (+ ?v_424 ?v_7) ?v_425) ?v_426) (- 52))) (or (and (>= (+ ?v_60 ?v_247) 0) (<= (+ (+ (+ ?v_39 ?v_427) (* 80 ?x3)) (* (- 94) ?x4)) 0)) (or (> (+ (+ (+ ?v_449 ?v_428) ?v_331) (* 14 ?x4)) 98) (> ?v_173 (- 13))))) (and (and (< (+ ?v_325 ?v_429) (- 5)) (= (+ ?v_225 ?v_430) (- 91))) (or (< (+ (+ ?v_340 ?v_457) ?v_241) (- 17)) (>= (+ (+ (+ ?v_123 ?v_431) ?v_432) ?v_429) 4))))) (and (or (> (+ (+ ?v_433 (* 5 ?x2)) ?v_215) (- 78)) (or (or (and (= (+ ?v_434 ?v_76) 15) (<= (+ (+ (* 13 ?x1) ?v_239) ?v_282) 0)) (or (= (+ (+ (+ ?v_81 ?v_353) ?v_435) ?v_150) 57) (<= (+ (+ ?v_185 (* (- 87) ?x3)) ?v_436) (- 93)))) (or (>= (+ ?v_224 ?v_212) (- 29)) (> (+ (+ (+ ?v_437 ?v_438) ?v_230) ?v_439) 24)))) (or (and (and (or (> (+ (+ ?v_411 ?v_440) ?v_191) (- 13)) (> (+ (+ ?v_9 ?v_441) ?v_442) (- 91))) (= (+ (+ (+ ?v_261 ?v_443) ?v_251) ?v_444) (- 28))) (and (or (>= (+ ?v_445 ?v_156) (- 35)) (<= (+ (+ (+ ?v_349 ?v_7) ?v_446) ?v_447) 0)) (and (>= (+ (* (- 21) ?x1) ?v_448) 0) (>= (+ ?v_289 ?v_489) 0)))) (and (or (not (= (+ (+ (* (- 51) ?x1) ?v_106) ?v_225) 81)) (not (= (+ (+ (+ ?v_449 ?v_450) ?v_186) ?v_88) (- 6)))) (and (or (not (= (+ (+ (+ ?v_123 ?v_351) ?v_292) ?v_0) 0)) (not (= (+ (+ (+ ?v_368 ?v_451) ?v_282) (* (- 73) ?x4)) 0))) (and (> (+ (+ (+ ?v_275 ?v_158) ?v_44) ?v_452) 92) (not (= (+ (+ (* 78 ?x1) ?v_256) (* (- 51) ?x4)) 0)))))))) (or (or (and (or (and (and (<= (+ (+ ?v_59 ?v_234) ?v_391) 36) (<= (+ (+ ?v_301 ?v_262) ?v_321) (- 72))) (or (>= (+ (+ (+ ?v_433 ?v_339) ?v_440) ?v_15) 0) (not (= (+ (+ ?v_453 ?v_33) ?v_28) (- 91))))) (or (or (<= (+ (+ (* 62 ?x1) ?v_187) ?v_153) 0) (> (+ (+ ?v_454 ?v_455) ?v_442) 38)) (< (+ (+ ?v_84 ?v_183) ?v_456) 0))) (or (> (+ (+ (+ ?v_73 (* 13 ?x2)) (* 29 ?x3)) ?v_122) 20) (or (or (not (= (+ (+ ?v_255 ?v_330) ?v_267) 32)) (= (+ (+ (+ ?v_402 ?v_239) ?v_457) ?v_144) (- 33))) (and (> (+ (+ ?v_371 ?v_458) ?v_266) (- 82)) (<= (+ (+ (+ (* 70 ?x1) (* 9 ?x2)) (* 54 ?x3)) ?v_436) 0))))) (or (or (or (not (= (+ (+ (+ ?v_459 ?v_334) ?v_400) ?v_466) 96)) (> (+ (+ ?v_460 ?v_281) ?v_461) (- 21))) (or (not (= (+ (+ ?v_69 ?v_7) ?v_227) (- 60))) (and (not (= (+ (+ ?v_406 ?v_446) ?v_462) 98)) (<= (+ (+ ?v_213 ?v_463) ?v_464) 48)))) (and (and (<= (+ ?v_304 ?v_202) 11) (not (= (+ (+ ?v_357 ?v_490) ?v_22) (- 9)))) (or (> (+ (+ (+ ?v_465 ?v_300) (* (- 59) ?x3)) ?v_466) (- 9)) (< (+ (* (- 33) ?x1) ?v_467) 0))))) (and (or (or (and (or (< (+ ?v_351 ?v_468) 61) (< (+ (+ ?v_353 ?v_194) ?v_327) (- 17))) (or (< (+ (+ ?v_469 ?v_71) ?v_470) (- 44)) (>= (+ (+ (+ ?v_352 (* (- 35) ?x2)) ?v_471) ?v_204) (- 83)))) (or (>= (+ (+ ?v_304 ?v_472) (* 74 ?x4)) 97) (not (= (+ (+ (+ ?v_473 ?v_207) ?v_474) ?v_475) (- 45))))) (and (or (and (>= ?v_73 0) (>= (+ (+ (+ (* (- 31) ?x1) ?v_138) ?v_476) (* 10 ?x4)) (- 53))) (= (+ (+ (+ ?v_112 ?v_100) ?v_477) ?v_478) 0)) (or (and (< (+ (+ ?v_334 ?v_219) ?v_479) 88) (not (= (+ (+ ?v_373 ?v_467) ?v_150) (- 7)))) (= (+ (+ (+ ?v_480 ?v_234) (* (- 73) ?x3)) ?v_253) 0)))) (and (or (or (and (not (= (+ ?v_260 ?v_253) 0)) (= (+ ?v_481 ?v_75) (- 66))) (or (not (= (+ ?v_482 (* 80 ?x2)) 0)) (<= (+ (+ ?v_349 ?v_401) ?v_292) 0))) (and (and (> (+ ?v_254 ?v_103) (- 67)) (> (+ (+ ?v_205 ?v_483) ?v_53) (- 55))) (and (= (+ (+ ?v_484 ?v_483) ?v_327) 39) (< (+ (+ ?v_60 (* 30 ?x3)) ?v_485) (- 41))))) (or (or (< (+ (+ ?v_357 (* (- 61) ?x2)) ?v_486) 0) (not (= (+ (+ ?v_127 ?v_363) ?v_462) (- 78)))) (or (and (not (= (+ (+ (+ ?v_415 ?v_154) ?v_487) ?v_169) (- 34))) (>= (+ (+ (+ ?v_299 ?v_488) ?v_435) ?v_489) 31)) (or (< (+ ?v_480 (* 93 ?x3)) 22) (>= (+ (+ ?v_261 ?v_490) (* (- 61) ?x4)) (- 11))))))))))))))))))
(check-sat)
(exit)
