(set-info :smt-lib-version 2.6)
(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :category "random")
(set-info :status unsat)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(assert (forall ((?x1 Real)) (exists ((?x2 Real)) (forall ((?x3 Real)) (exists ((?x4 Real)) (let ((?v_63 (* 18 ?x1)) (?v_333 (* 9 ?x3)) (?v_489 (* 84 ?x4)) (?v_475 (* 99 ?x2)) (?v_4 (* 42 ?x2)) (?v_230 (* 49 ?x4)) (?v_11 (* 30 ?x2)) (?v_339 (* 43 ?x3)) (?v_40 (* 59 ?x4)) (?v_2 (* 25 ?x1)) (?v_0 (* 100 ?x2)) (?v_123 (* 72 ?x4)) (?v_16 (* 91 ?x4)) (?v_31 (* 48 ?x1)) (?v_125 (* 26 ?x2)) (?v_564 (* 93 ?x3)) (?v_21 (* 60 ?x1)) (?v_263 (* 77 ?x2)) (?v_595 (* 81 ?x3)) (?v_252 (* 53 ?x4)) (?v_17 (* 71 ?x2)) (?v_95 (* 46 ?x1)) (?v_343 (* 66 ?x2)) (?v_193 (* 72 ?x3)) (?v_163 (* 23 ?x1)) (?v_215 (* 6 ?x2)) (?v_126 (* 93 ?x1)) (?v_205 (* 1 ?x2)) (?v_24 (* 42 ?x1)) (?v_80 (* 50 ?x3)) (?v_57 (* 33 ?x4)) (?v_419 (* 46 ?x3)) (?v_764 (* 52 ?x3)) (?v_19 (* 71 ?x4)) (?v_229 (* 55 ?x2)) (?v_567 (* 65 ?x3)) (?v_92 (* 56 ?x1)) (?v_103 (* 33 ?x3)) (?v_52 (* 26 ?x1)) (?v_36 (* 9 ?x2)) (?v_79 (* 7 ?x3)) (?v_72 (* 20 ?x4)) (?v_73 (* 66 ?x1)) (?v_45 (* 18 ?x3)) (?v_153 (* 17 ?x3)) (?v_733 (* 69 ?x4)) (?v_29 (* 5 ?x2)) (?v_228 (* 75 ?x1)) (?v_422 (* 64 ?x1)) (?v_432 (* 70 ?x2)) (?v_59 (* 84 ?x2)) (?v_365 (* 68 ?x4)) (?v_177 (* 98 ?x3)) (?v_235 (* 60 ?x2)) (?v_621 (* 74 ?x1)) (?v_272 (* 88 ?x4)) (?v_10 (* 16 ?x2)) (?v_105 (* 35 ?x3)) (?v_298 (* 2 ?x2)) (?v_736 (* 21 ?x2)) (?v_618 (* 48 ?x2)) (?v_18 (* 64 ?x3)) (?v_318 (* 33 ?x2)) (?v_62 (* 40 ?x4)) (?v_22 (* 99 ?x1)) (?v_216 (* 85 ?x2)) (?v_394 (* 68 ?x3)) (?v_467 (* 86 ?x1)) (?v_199 (* 35 ?x1)) (?v_32 (* 18 ?x2)) (?v_68 (* 6 ?x4)) (?v_476 (* 14 ?x4)) (?v_39 (* 44 ?x4)) (?v_50 (* 7 ?x1)) (?v_244 (* 35 ?x2)) (?v_14 (* 88 ?x3)) (?v_160 (* 50 ?x4)) (?v_349 (* 21 ?x1)) (?v_295 (* 56 ?x2)) (?v_77 (* 11 ?x3)) (?v_188 (* 42 ?x4)) (?v_264 (* 76 ?x2)) (?v_544 (* 37 ?x4)) (?v_261 (* 13 ?x2)) (?v_33 (* 77 ?x3)) (?v_151 (* 83 ?x4)) (?v_46 (* 9 ?x1)) (?v_136 (* 91 ?x2)) (?v_113 (* 90 ?x3)) (?v_213 (* 85 ?x1)) (?v_526 (* 40 ?x2)) (?v_173 (* 75 ?x4)) (?v_635 (* 44 ?x2)) (?v_207 (* 58 ?x3)) (?v_224 (* 59 ?x1)) (?v_330 (* 95 ?x4)) (?v_289 (* 17 ?x1)) (?v_657 (* 38 ?x2)) (?v_243 (* 27 ?x4)) (?v_41 (* 65 ?x4)) (?v_579 (* 94 ?x4)) (?v_436 (* 7 ?x2)) (?v_208 (* 47 ?x3)) (?v_480 (* 14 ?x2)) (?v_266 (* 73 ?x4)) (?v_417 (* 85 ?x3)) (?v_121 (* 68 ?x1)) (?v_328 (* 78 ?x4)) (?v_238 (* 69 ?x3)) (?v_65 (* 67 ?x4)) (?v_220 (* 46 ?x2)) (?v_56 (* 30 ?x3)) (?v_466 (* 87 ?x3)) (?v_107 (* 32 ?x1)) (?v_347 (* 55 ?x4)) (?v_281 (* 73 ?x3)) (?v_156 (* 61 ?x3)) (?v_159 (* 23 ?x4)) (?v_304 (* 22 ?x1)) (?v_154 (* 53 ?x1)) (?v_643 (* 23 ?x3)) (?v_472 (* 30 ?x4)) (?v_666 (* 54 ?x1)) (?v_253 (* 15 ?x3)) (?v_683 (* 28 ?x4)) (?v_187 (* 52 ?x2)) (?v_250 (* 37 ?x1)) (?v_247 (* 24 ?x3)) (?v_306 (* 4 ?x1)) (?v_374 (* 59 ?x2)) (?v_237 (* 79 ?x3)) (?v_127 (* 75 ?x2)) (?v_479 (* 13 ?x4)) (?v_48 (* 45 ?x3)) (?v_55 (* 7 ?x4)) (?v_149 (* 45 ?x1)) (?v_88 (* 62 ?x4)) (?v_78 (* 87 ?x1)) (?v_527 (* 50 ?x2)) (?v_321 (* 20 ?x1)) (?v_287 (* 83 ?x2)) (?v_175 (* 29 ?x4)) (?v_773 (* 29 ?x3)) (?v_219 (* 48 ?x4)) (?v_290 (* 28 ?x2)) (?v_129 (* 12 ?x1)) (?v_378 (* 53 ?x2)) (?v_100 (* 51 ?x3)) (?v_109 (* 19 ?x4)) (?v_614 (* 34 ?x2)) (?v_128 (* 22 ?x3)) (?v_262 (* 87 ?x4)) (?v_407 (* 4 ?x2)) (?v_186 (* 56 ?x3)) (?v_139 (* 81 ?x4)) (?v_359 (* 36 ?x3)) (?v_437 (* 71 ?x1)) (?v_106 (* 31 ?x4)) (?v_161 (* 96 ?x2)) (?v_325 (* 84 ?x3)) (?v_501 (* 36 ?x4)) (?v_93 (* 16 ?x1)) (?v_84 (* 11 ?x1)) (?v_608 (* 50 ?x1)) (?v_549 (* 41 ?x4)) (?v_233 (* 35 ?x4)) (?v_502 (* 82 ?x1)) (?v_651 (* 36 ?x2)) (?v_132 (* 33 ?x1)) (?v_637 (* 82 ?x2)) (?v_172 (* 49 ?x3)) (?v_189 (* 65 ?x2)) (?v_120 (* 1 ?x4)) (?v_311 (* 20 ?x3)) (?v_185 (* 92 ?x3)) (?v_722 (* 100 ?x1)) (?v_192 (* 32 ?x2)) (?v_435 (* 73 ?x1)) (?v_195 (* 60 ?x4)) (?v_147 (* 24 ?x2)) (?v_693 (* 63 ?x4)) (?v_155 (* 12 ?x3)) (?v_486 (* 93 ?x4)) (?v_379 (* 2 ?x3)) (?v_171 (* 39 ?x3)) (?v_332 (* 57 ?x4)) (?v_134 (* 47 ?x1)) (?v_115 (* 68 ?x2)) (?v_168 (* 79 ?x1)) (?v_410 (* 96 ?x4)) (?v_498 (* 57 ?x3)) (?v_198 (* 71 ?x3)) (?v_361 (* 76 ?x1)) (?v_334 (* 81 ?x2)) (?v_649 (* 100 ?x4)) (?v_522 (* 61 ?x2)) (?v_430 (* 48 ?x3)) (?v_141 (* 15 ?x2)) (?v_364 (* 86 ?x3)) (?v_143 (* 18 ?x4)) (?v_496 (* 98 ?x1)) (?v_399 (* 12 ?x2)) (?v_256 (* 30 ?x1)) (?v_162 (* 21 ?x4)) (?v_461 (* 97 ?x2)) (?v_681 (* 95 ?x2)) (?v_240 (* 34 ?x4)) (?v_166 (* 89 ?x2)) (?v_341 (* 98 ?x4)) (?v_179 (* 8 ?x1)) (?v_462 (* 24 ?x4)) (?v_322 (* 96 ?x1)) (?v_234 (* 98 ?x2)) (?v_167 (* 92 ?x4)) (?v_463 (* 65 ?x1)) (?v_225 (* 63 ?x1)) (?v_181 (* 5 ?x4)) (?v_503 (* 73 ?x2)) (?v_331 (* 51 ?x2)) (?v_401 (* 66 ?x4)) (?v_395 (* 14 ?x1)) (?v_223 (* 8 ?x3)) (?v_494 (* 100 ?x3)) (?v_400 (* 90 ?x2)) (?v_591 (* 41 ?x3)) (?v_423 (* 77 ?x4)) (?v_316 (* 72 ?x1)) (?v_700 (* 28 ?x1)) (?v_303 (* 55 ?x1)) (?v_329 (* 21 ?x3)) (?v_307 (* 54 ?x2)) (?v_196 (* 79 ?x2)) (?v_393 (* 27 ?x3)) (?v_357 (* 25 ?x3)) (?v_354 (* 2 ?x4)) (?v_356 (* 38 ?x4)) (?v_712 (* 97 ?x4)) (?v_541 (* 13 ?x3)) (?v_377 (* 24 ?x1)) (?v_465 (* 39 ?x4)) (?v_299 (* 9 ?x4)) (?v_245 (* 97 ?x1)) (?v_276 (* 62 ?x1)) (?v_602 (* 94 ?x1)) (?v_445 (* 69 ?x1)) (?v_530 (* 80 ?x2)) (?v_434 (* 31 ?x3)) (?v_358 (* 40 ?x3)) (?v_563 (* 88 ?x2)) (?v_592 (* 5 ?x3)) (?v_669 (* 61 ?x4)) (?v_573 (* 19 ?x3)) (?v_268 (* 54 ?x3)) (?v_242 (* 78 ?x3)) (?v_415 (* 53 ?x3)) (?v_454 (* 27 ?x2)) (?v_426 (* 76 ?x4)) (?v_738 (* 91 ?x3)) (?v_285 (* 44 ?x1)) (?v_539 (* 27 ?x1)) (?v_387 (* 92 ?x2)) (?v_384 (* 31 ?x2)) (?v_249 (* 96 ?x3)) (?v_267 (* 19 ?x2)) (?v_412 (* 78 ?x2)) (?v_320 (* 16 ?x4)) (?v_389 (* 70 ?x1)) (?v_275 (* 22 ?x4)) (?v_338 (* 83 ?x1)) (?v_554 (* 86 ?x2)) (?v_500 (* 94 ?x3)) (?v_740 (* 62 ?x3)) (?v_310 (* 61 ?x1)) (?v_376 (* 94 ?x2)) (?v_512 (* 3 ?x3)) (?v_729 (* 75 ?x3)) (?v_291 (* 45 ?x2)) (?v_548 (* 64 ?x2)) (?v_699 (* 90 ?x1)) (?v_392 (* 57 ?x1)) (?v_679 (* 92 ?x1)) (?v_371 (* 66 ?x3)) (?v_336 (* 40 ?x1)) (?v_373 (* 62 ?x2)) (?v_538 (* 76 ?x3)) (?v_312 (* 26 ?x4)) (?v_471 (* 16 ?x3)) (?v_425 (* 97 ?x3)) (?v_513 (* 74 ?x2)) (?v_634 (* 99 ?x3)) (?v_726 (* 80 ?x1)) (?v_515 (* 82 ?x3)) (?v_636 (* 38 ?x1)) (?v_447 (* 15 ?x1)) (?v_491 (* 54 ?x4)) (?v_470 (* 78 ?x1)) (?v_551 (* 77 ?x1)) (?v_421 (* 46 ?x4)) (?v_676 (* 1 ?x3)) (?v_705 (* 51 ?x1)) (?v_555 (* 3 ?x2)) (?v_383 (* 63 ?x3)) (?v_509 (* 8 ?x4)) (?v_444 (* 45 ?x4)) (?v_362 (* 47 ?x2)) (?v_367 (* 58 ?x2)) (?v_507 (* 95 ?x3)) (?v_366 (* 41 ?x2)) (?v_561 (* 31 ?x1)) (?v_682 (* 10 ?x3)) (?v_720 (* 89 ?x3))) (let ((?v_673 (+ ?v_377 ?v_378)) (?v_765 (* 4 ?x4)) (?v_420 (* 8 ?x2)) (?v_560 (* 34 ?x1)) (?v_547 (* 37 ?x2)) (?v_620 (* 58 ?x1)) (?v_493 (* 81 ?x1)) (?v_578 (* 83 ?x3)) (?v_589 (* 49 ?x2)) (?v_424 (* 52 ?x1)) (?v_529 (* 49 ?x1)) (?v_667 (* 36 ?x1)) (?v_488 (* 29 ?x1)) (?v_511 (* 69 ?x2)) (?v_708 (* 95 ?x1)) (?v_505 (* 80 ?x3)) (?v_601 (* 64 ?x4)) (?v_661 (* 39 ?x1)) (?v_596 (* 67 ?x3)) (?v_556 (* 22 ?x2)) (?v_607 (* 70 ?x3)) (?v_585 (* 6 ?x1)) (?v_487 (* 2 ?x1)) (?v_533 (* 87 ?x2)) (?v_517 (* 32 ?x3)) (?v_650 (* 3 ?x1)) (?v_677 (* 80 ?x4)) (?v_696 (* 15 ?x4)) (?v_543 (* 93 ?x2)) (?v_575 (* 10 ?x1)) (?v_688 (* 72 ?x2)) (?v_582 (* 37 ?x3)) (?v_598 (* 55 ?x3)) (?v_540 (* 39 ?x2)) (?v_566 (* 42 ?x3)) (?v_746 (* 88 ?x1)) (?v_523 (* 34 ?x3)) (?v_599 (* 32 ?x4)) (?v_574 (* 56 ?x4)) (?v_629 (* 44 ?x3)) (?v_562 (* 23 ?x2)) (?v_714 (* 10 ?x4)) (?v_545 (* 82 ?x4)) (?v_520 (* 91 ?x1)) (?v_743 (* 12 ?x4)) (?v_628 (* 20 ?x2)) (?v_656 (* 43 ?x1)) (?v_630 (* 67 ?x2)) (?v_571 (* 17 ?x4)) (?v_739 (* 25 ?x4)) (?v_604 (* 74 ?x4)) (?v_652 (* 26 ?x3)) (?v_603 (* 28 ?x3)) (?v_698 (* 90 ?x4)) (?v_610 (* 89 ?x4)) (?v_744 (* 79 ?x4)) (?v_710 (* 29 ?x2)) (?v_695 (* 57 ?x2)) (?v_731 (* 1 ?x1)) (?v_716 (* 25 ?x2)) (?v_670 (* 19 ?x1)) (?v_719 (* 89 ?x1)) (?v_730 (* 84 ?x1)) (?v_687 (* 17 ?x2)) (?v_761 (* 10 ?x2)) (?v_752 (* 11 ?x4)) (?v_711 (* 52 ?x4)) (?v_748 (* 63 ?x2)) (?v_757 (* 74 ?x3)) (?v_717 (* 6 ?x3)) (?v_734 (* 86 ?x4)) (?v_750 (* 38 ?x3)) (?v_756 (* 43 ?x4)) (?v_1 (* (- 82) ?x1)) (?v_102 (* (- 88) ?x4)) (?v_44 (* (- 75) ?x1)) (?v_314 (* (- 61) ?x3)) (?v_7 (* (- 90) ?x1)) (?v_246 (* (- 68) ?x2)) (?v_30 (* (- 63) ?x3)) (?v_71 (* (- 93) ?x3)) (?v_38 (* (- 52) ?x1)) (?v_110 (* (- 29) ?x4)) (?v_214 (* (- 94) ?x4)) (?v_506 (* (- 91) ?x2)) (?v_20 (* (- 41) ?x3)) (?v_201 (* (- 59) ?x4)) (?v_236 (* (- 27) ?x2)) (?v_70 (* (- 84) ?x4)) (?v_37 (* (- 95) ?x1)) (?v_3 (* (- 19) ?x2)) (?v_137 (* (- 24) ?x3)) (?v_54 (* (- 36) ?x4)) (?v_145 (* (- 56) ?x1)) (?v_47 (* (- 66) ?x2)) (?v_385 (* (- 22) ?x3)) (?v_227 (* (- 96) ?x1)) (?v_5 (* (- 32) ?x2)) (?v_686 (* (- 92) ?x2)) (?v_209 (* (- 78) ?x4)) (?v_519 (* (- 72) ?x2)) (?v_15 (* (- 64) ?x1)) (?v_89 (* (- 80) ?x4)) (?v_202 (* (- 81) ?x2)) (?v_101 (* (- 2) ?x3)) (?v_763 (* (- 8) ?x4)) (?v_76 (* (- 5) ?x2)) (?v_74 (* (- 12) ?x3)) (?v_259 (* (- 30) ?x4)) (?v_6 (* (- 16) ?x1)) (?v_398 (* (- 18) ?x2)) (?v_433 (* (- 45) ?x1)) (?v_12 (* (- 22) ?x4)) (?v_270 (* (- 78) ?x1)) (?v_8 (* (- 38) ?x4)) (?v_226 (* (- 74) ?x4)) (?v_478 (* (- 23) ?x3)) (?v_577 (* (- 12) ?x4)) (?v_483 (* (- 4) ?x1)) (?v_450 (* (- 89) ?x3)) (?v_117 (* (- 76) ?x2)) (?v_631 (* (- 79) ?x4)) (?v_13 (* (- 16) ?x4)) (?v_438 (* (- 45) ?x4)) (?v_273 (* (- 49) ?x3)) (?v_260 (* (- 68) ?x1)) (?v_53 (* (- 74) ?x3)) (?v_418 (* (- 74) ?x1)) (?v_206 (* (- 75) ?x3)) (?v_288 (* (- 31) ?x4)) (?v_504 (* (- 47) ?x1)) (?v_455 (* (- 59) ?x3)) (?v_9 (* (- 34) ?x4)) (?v_98 (* (- 99) ?x4)) (?v_140 (* (- 34) ?x1)) (?v_210 (* (- 28) ?x3)) (?v_26 (* (- 81) ?x4)) (?v_397 (* (- 84) ?x1)) (?v_583 (* (- 39) ?x4)) (?v_49 (* (- 51) ?x4)) (?v_194 (* (- 79) ?x2)) (?v_96 (* (- 18) ?x3)) (?v_346 (* (- 39) ?x2)) (?v_25 (* (- 29) ?x1)) (?v_23 (* (- 49) ?x2)) (?v_58 (* (- 64) ?x3)) (?v_305 (* (- 89) ?x1)) (?v_521 (* (- 85) ?x3)) (?v_61 (* (- 77) ?x1)) (?v_157 (* (- 37) ?x4)) (?v_448 (* (- 16) ?x2)) (?v_659 (* (- 70) ?x3)) (?v_528 (* (- 3) ?x4)) (?v_278 (* (- 6) ?x3)) (?v_108 (* (- 47) ?x3)) (?v_75 (* (- 85) ?x1)) (?v_255 (* (- 56) ?x2)) (?v_200 (* (- 66) ?x3)) (?v_130 (* (- 26) ?x2)) (?v_212 (* (- 70) ?x4)) (?v_27 (* (- 99) ?x1)) (?v_34 (* (- 54) ?x3)) (?v_97 (* (- 1) ?x2)) (?v_411 (* (- 53) ?x1)) (?v_87 (* (- 4) ?x3)) (?v_28 (* (- 13) ?x4)) (?v_60 (* (- 95) ?x2)) (?v_353 (* (- 14) ?x3)) (?v_292 (* (- 97) ?x2)) (?v_148 (* (- 38) ?x3)) (?v_43 (* (- 95) ?x3)) (?v_152 (* (- 17) ?x2)) (?v_274 (* (- 30) ?x2)) (?v_67 (* (- 72) ?x3)) (?v_439 (* (- 28) ?x4)) (?v_35 (* (- 91) ?x1)) (?v_283 (* (- 6) ?x2)) (?v_625 (* (- 66) ?x4)) (?v_297 (* (- 14) ?x1)) (?v_42 (* (- 100) ?x2)) (?v_552 (* (- 56) ?x4)) (?v_82 (* (- 52) ?x2)) (?v_122 (* (- 50) ?x1)) (?v_370 (* (- 11) ?x2)) (?v_248 (* (- 74) ?x2)) (?v_169 (* (- 50) ?x4)) (?v_241 (* (- 69) ?x3)) (?v_114 (* (- 48) ?x4)) (?v_66 (* (- 72) ?x1)) (?v_144 (* (- 85) ?x2)) (?v_482 (* (- 67) ?x2)) (?v_51 (* (- 88) ?x2)) (?v_150 (* (- 60) ?x3)) (?v_429 (* (- 48) ?x1)) (?v_86 (* (- 57) ?x2)) (?v_352 (* (- 58) ?x2)) (?v_639 (* (- 25) ?x4)) (?v_99 (* (- 18) ?x1)) (?v_340 (* (- 41) ?x2)) (?v_118 (* (- 2) ?x4)) (?v_174 (* (- 15) ?x2))) (let ((?v_660 (+ ?v_50 ?v_51)) (?v_481 (* (- 81) ?x3)) (?v_406 (* (- 71) ?x1)) (?v_116 (* (- 47) ?x2)) (?v_469 (* (- 90) ?x4)) (?v_64 (* (- 42) ?x2)) (?v_308 (* (- 21) ?x3)) (?v_135 (* (- 94) ?x2)) (?v_204 (* (- 53) ?x2)) (?v_265 (* (- 83) ?x3)) (?v_623 (* (- 12) ?x1)) (?v_91 (* (- 98) ?x2)) (?v_557 (* (- 35) ?x3)) (?v_468 (* (- 62) ?x4)) (?v_83 (* (- 42) ?x3)) (?v_271 (* (- 75) ?x2)) (?v_81 (* (- 69) ?x4)) (?v_414 (* (- 50) ?x3)) (?v_453 (+ ?v_61 ?v_614)) (?v_90 (* (- 19) ?x1)) (?v_221 (* (- 7) ?x2)) (?v_69 (* (- 5) ?x1)) (?v_184 (* (- 25) ?x3)) (?v_565 (* (- 60) ?x2)) (?v_142 (* (- 54) ?x2)) (?v_456 (* (- 61) ?x2)) (?v_218 (* (- 87) ?x4)) (?v_170 (* (- 7) ?x1)) (?v_390 (* (- 3) ?x2)) (?v_112 (* (- 5) ?x4)) (?v_85 (* (- 43) ?x3)) (?v_104 (* (- 41) ?x4)) (?v_286 (* (- 51) ?x3)) (?v_388 (* (- 96) ?x3)) (?v_131 (* (- 55) ?x4)) (?v_254 (* (- 79) ?x1)) (?v_313 (* (- 21) ?x2)) (?v_111 (* (- 46) ?x3)) (?v_158 (* (- 28) ?x2)) (?v_94 (* (- 55) ?x3)) (?v_326 (* (- 9) ?x2)) (?v_646 (* (- 69) ?x1)) (?v_441 (* (- 93) ?x2)) (?v_644 (* (- 3) ?x1)) (?v_232 (* (- 17) ?x4)) (?v_190 (* (- 31) ?x3)) (?v_182 (* (- 36) ?x2)) (?v_239 (* (- 11) ?x1)) (?v_257 (* (- 46) ?x2)) (?v_532 (* (- 66) ?x1)) (?v_534 (* (- 87) ?x2)) (?v_124 (* (- 86) ?x1)) (?v_301 (* (- 34) ?x2)) (?v_443 (* (- 43) ?x2)) (?v_728 (* (- 82) ?x2)) (?v_191 (* (- 67) ?x1)) (?v_647 (* (- 84) ?x2)) (?v_335 (* (- 32) ?x4)) (?v_119 (* (- 58) ?x1)) (?v_164 (* (- 15) ?x3)) (?v_408 (* (- 92) ?x1)) (?v_351 (* (- 44) ?x4)) (?v_133 (* (- 100) ?x3)) (?v_138 (* (- 24) ?x4)) (?v_495 (* (- 60) ?x4)) (?v_183 (* (- 62) ?x1)) (?v_146 (* (- 8) ?x3)) (?v_269 (* (- 35) ?x4)) (?v_535 (* (- 92) ?x3)) (?v_344 (* (- 98) ?x3)) (?v_416 (* (- 72) ?x4)) (?v_165 (* (- 47) ?x4)) (?v_284 (* (- 93) ?x4)) (?v_641 (* (- 65) ?x4)) (?v_580 (* (- 21) ?x1)) (?v_315 (* (- 62) ?x3)) (?v_323 (* (- 96) ?x2)) (?v_317 (* (- 97) ?x3)) (?v_446 (* (- 78) ?x3)) (?v_375 (* (- 29) ?x3)) (?v_594 (* (- 37) ?x3)) (?v_396 (* (- 2) ?x2)) (?v_514 (* (- 83) ?x1)) (?v_457 (* (- 58) ?x3)) (?v_197 (* (- 21) ?x4)) (?v_203 (* (- 14) ?x2)) (?v_363 (* (- 67) ?x4)) (?v_327 (* (- 45) ?x3)) (?v_176 (* (- 24) ?x1)) (?v_231 (* (- 3) ?x3)) (?v_381 (* (- 15) ?x4)) (?v_518 (* (- 88) ?x3)) (?v_300 (* (- 33) ?x1)) (?v_258 (* (- 11) ?x3)) (?v_178 (* (- 95) ?x4)) (?v_348 (* (- 89) ?x2)) (?v_211 (* (- 76) ?x4)) (?v_180 (* (- 94) ?x1)) (?v_302 (* (- 64) ?x4)) (?v_622 (* (- 44) ?x1)) (?v_386 (* (- 40) ?x1)) (?v_382 (* (- 93) ?x1)) (?v_409 (* (- 57) ?x3)) (?v_508 (* (- 86) ?x3)) (?v_732 (* (- 2) ?x1)) (?v_369 (* (- 55) ?x1)) (?v_217 (* (- 63) ?x4)) (?v_293 (* (- 43) ?x4)) (?v_222 (* (- 65) ?x1)) (?v_721 (* (- 4) ?x2)) (?v_403 (* (- 20) ?x1)) (?v_277 (* (- 99) ?x3)) (?v_745 (* (- 36) ?x3)) (?v_672 (* (- 87) ?x3)) (?v_345 (* (- 73) ?x4)) (?v_282 (* (- 1) ?x1)) (?v_279 (* (- 42) ?x1)) (?v_587 (* (- 53) ?x4)) (?v_404 (* (- 13) ?x2)) (?v_605 (* (- 98) ?x4)) (?v_633 (* (- 20) ?x2)) (?v_627 (* (- 100) ?x1))) (let ((?v_600 (+ ?v_627 ?v_234)) (?v_586 (* (- 67) ?x3)) (?v_653 (* (- 26) ?x1)) (?v_324 (* (- 71) ?x3)) (?v_294 (* (- 10) ?x2)) (?v_440 (* (- 43) ?x1)) (?v_280 (* (- 12) ?x2)) (?v_296 (* (- 83) ?x4)) (?v_492 (* (- 61) ?x1)) (?v_612 (* (- 75) ?x4)) (?v_413 (* (- 19) ?x4)) (?v_350 (* (- 64) ?x2)) (?v_593 (* (- 30) ?x1)) (?v_251 (* (- 8) ?x2)) (?v_770 (* (- 23) ?x1)) (?v_319 (* (- 53) ?x3)) (?v_449 (* (- 71) ?x4)) (?v_473 (* (- 34) ?x3)) (?v_360 (* (- 26) ?x4)) (?v_460 (* (- 52) ?x3)) (?v_372 (* (- 54) ?x4)) (?v_516 (* (- 52) ?x4)) (?v_497 (* (- 15) ?x1)) (?v_402 (* (- 30) ?x3)) (?v_691 (* (- 76) ?x3)) (?v_391 (* (- 32) ?x3)) (?v_737 (* (- 97) ?x4)) (?v_490 (* (- 33) ?x3)) (?v_477 (* (- 5) ?x3)) (?v_767 (* (- 29) ?x2)) (?v_524 (* (- 98) ?x1)) (?v_451 (* (- 28) ?x1)) (?v_337 (* (- 22) ?x2)) (?v_597 (* (- 65) ?x2)) (?v_572 (* (- 38) ?x2)) (?v_309 (* (- 33) ?x4)) (?v_568 (* (- 81) ?x1)) (?v_428 (* (- 86) ?x2)) (?v_355 (* (- 59) ?x1)) (?v_342 (* (- 54) ?x1)) (?v_632 (* (- 60) ?x1)) (?v_569 (* (- 27) ?x1)) (?v_751 (* (- 79) ?x3)) (?v_405 (* (- 10) ?x3)) (?v_769 (* (- 76) ?x1)) (?v_697 (* (- 23) ?x2)) (?v_707 (* (- 17) ?x3)) (?v_662 (* (- 48) ?x2)) (?v_368 (* (- 100) ?x4)) (?v_525 (* (- 40) ?x2)) (?v_442 (* (- 39) ?x3)) (?v_613 (* (- 77) ?x2)) (?v_645 (* (- 85) ?x4)) (?v_499 (* (- 84) ?x3)) (?v_590 (* (- 19) ?x3)) (?v_380 (* (- 8) ?x1)) (?v_706 (* (- 80) ?x1)) (?v_723 (* (- 16) ?x3)) (?v_458 (* (- 38) ?x1)) (?v_427 (* (- 88) ?x1)) (?v_771 (* (- 44) ?x2)) (?v_431 (* (- 11) ?x4)) (?v_718 (* (- 68) ?x3)) (?v_536 (* (- 1) ?x3)) (?v_704 (* (- 22) ?x1)) (?v_474 (* (- 4) ?x4)) (?v_588 (* (- 68) ?x4)) (?v_690 (* (- 10) ?x1)) (?v_452 (* (- 82) ?x3)) (?v_464 (* (- 36) ?x1)) (?v_611 (* (- 77) ?x4)) (?v_655 (* (- 20) ?x4)) (?v_459 (* (- 91) ?x4)) (?v_617 (* (- 99) ?x2)) (?v_619 (* (- 7) ?x4)) (?v_531 (* (- 35) ?x2)) (?v_640 (* (- 62) ?x2)) (?v_702 (* (- 27) ?x3)) (?v_615 (* (- 90) ?x3)) (?v_484 (* (- 73) ?x2)) (?v_510 (* (- 9) ?x3)) (?v_485 (* (- 13) ?x3)) (?v_638 (* (- 26) ?x3)) (?v_609 (* (- 70) ?x2)) (?v_727 (* (- 78) ?x2)) (?v_581 (* (- 25) ?x2)) (?v_553 (* (- 91) ?x3)) (?v_546 (* (- 65) ?x3)) (?v_550 (* (- 80) ?x3)) (?v_759 (* (- 27) ?x4)) (?v_537 (* (- 92) ?x4)) (?v_570 (* (- 90) ?x2)) (?v_724 (* (- 39) ?x1)) (?v_576 (* (- 13) ?x1)) (?v_542 (* (- 51) ?x1)) (?v_559 (* (- 7) ?x3)) (?v_558 (* (- 83) ?x2)) (?v_624 (* (- 56) ?x3)) (?v_713 (* (- 51) ?x2)) (?v_658 (* (- 20) ?x3)) (?v_648 (* (- 96) ?x4)) (?v_626 (* (- 40) ?x3)) (?v_654 (* (- 49) ?x4)) (?v_606 (* (- 17) ?x1)) (?v_584 (* (- 55) ?x2)) (?v_616 (* (- 50) ?x2)) (?v_772 (* (- 57) ?x4)) (?v_689 (* (- 33) ?x2)) (?v_749 (* (- 87) ?x1)) (?v_768 (* (- 89) ?x4)) (?v_680 (* (- 37) ?x1)) (?v_694 (* (- 58) ?x4)) (?v_668 (* (- 82) ?x4)) (?v_742 (* (- 49) ?x1))) (let ((?v_758 (+ ?v_742 ?v_531)) (?v_709 (* (- 73) ?x1)) (?v_642 (* (- 41) ?x1)) (?v_692 (+ ?v_542 ?v_59)) (?v_684 (* (- 69) ?x2))) (let ((?v_685 (+ ?v_338 ?v_684)) (?v_663 (* (- 6) ?x1)) (?v_678 (* (- 9) ?x1)) (?v_665 (* (- 24) ?x2)) (?v_671 (* (- 31) ?x2)) (?v_760 (* (- 46) ?x1)) (?v_664 (* (- 6) ?x4)) (?v_674 (* (- 44) ?x3)) (?v_703 (* (- 86) ?x4)) (?v_762 (* (- 1) ?x4)) (?v_675 (* (- 40) ?x4)) (?v_715 (* (- 80) ?x2)) (?v_701 (* (- 70) ?x1)) (?v_747 (* (- 42) ?x4)) (?v_741 (* (- 48) ?x3)) (?v_754 (* (- 45) ?x2)) (?v_725 (* (- 23) ?x4)) (?v_753 (* (- 97) ?x1)) (?v_735 (* (- 35) ?x1)) (?v_755 (* (- 57) ?x1)) (?v_766 (* (- 73) ?x3))) (and (and (and (and (and (or (and (or (and (< (+ ?v_1 ?v_102) 19) (and (not (= (+ (+ ?v_63 ?v_333) ?v_489) (- 87))) (> (+ (+ ?v_44 ?v_475) ?v_314) (- 78)))) (and (and (< ?v_4 (- 86)) (< (+ (+ (+ ?v_7 ?v_246) ?v_30) ?v_230) 22)) (and (>= (+ ?v_11 ?v_339) (- 20)) (>= ?v_40 70)))) (or (or (not (= (+ (+ (+ ?v_2 ?v_0) ?v_71) ?v_123) 14)) (and (< (+ ?v_0 ?v_16) 10) (< (+ ?v_38 ?v_110) 0))) (or (and (= (+ (+ (+ ?v_31 ?v_125) ?v_564) ?v_214) 0) (< (+ (+ (+ ?v_21 ?v_506) ?v_20) ?v_201) 0)) (and (and (> (+ (+ ?v_1 ?v_236) ?v_70) 14) (not (= (+ (+ ?v_263 ?v_595) ?v_252) (- 97)))) (and (>= (+ (+ ?v_37 ?v_3) ?v_137) (- 17)) (> (+ ?v_17 ?v_54) 86)))))) (or (and (or (or (and (< (+ (+ ?v_145 ?v_47) ?v_385) (- 80)) (not (= (+ (+ ?v_95 ?v_343) ?v_193) 38))) (or (>= ?v_227 0) (<= (+ ?v_163 ?v_215) (- 51)))) (and (and (not (= (+ ?v_126 ?v_205) 20)) (<= (+ (+ (+ ?v_24 ?v_5) ?v_80) ?v_57) (- 42))) (and (>= (+ (+ ?v_686 ?v_419) ?v_209) 0) (< (+ (+ (+ ?v_2 ?v_519) ?v_764) ?v_19) (- 77))))) (or (or (and (or (not (= (+ (+ (+ ?v_15 ?v_229) ?v_567) ?v_89) (- 57))) (= (+ (+ ?v_92 ?v_202) ?v_103) 0)) (or (<= (+ (+ (+ ?v_52 ?v_36) ?v_101) ?v_763) (- 7)) (< (+ (+ ?v_3 ?v_79) ?v_72) 0))) (and (or (> (+ ?v_73 ?v_45) 0) (not (= (+ (+ ?v_76 ?v_74) ?v_259) (- 60)))) (and (not (= (+ (+ (+ ?v_6 ?v_398) ?v_153) ?v_733) (- 69))) (>= (+ (+ ?v_433 ?v_29) ?v_12) 70)))) (and (or (or (< (+ (+ ?v_270 ?v_4) ?v_8) (- 5)) (> (+ (+ ?v_228 ?v_5) ?v_226) 0)) (not (= (+ (+ (+ ?v_422 ?v_432) ?v_478) ?v_577) 11))) (and (>= (+ (+ (+ ?v_483 ?v_59) ?v_450) ?v_365) 0) (> (+ (+ ?v_117 ?v_177) ?v_631) (- 91)))))) (and (or (or (>= (+ (+ ?v_6 ?v_235) ?v_13) (- 23)) (< (+ ?v_621 ?v_438) 7)) (and (>= (+ (+ ?v_7 ?v_273) ?v_272) (- 11)) (<= (+ (+ ?v_10 ?v_105) ?v_8) 0))) (or (or (not (= (+ (+ ?v_260 ?v_298) ?v_53) (- 60))) (or (< (+ (+ (+ ?v_418 ?v_736) ?v_206) ?v_288) (- 92)) (= (+ (+ ?v_504 ?v_455) ?v_9) 48))) (or (or (= (+ (+ ?v_618 ?v_18) ?v_98) (- 33)) (not (= (+ (+ ?v_140 ?v_210) ?v_26) 0))) (or (> (+ (+ ?v_397 ?v_318) ?v_62) (- 43)) (> (+ (+ (+ ?v_22 ?v_216) ?v_394) ?v_583) (- 73)))))))) (or (or (or (or (and (and (>= (+ ?v_467 ?v_9) (- 50)) (or (> (+ (+ ?v_199 ?v_32) ?v_49) 96) (not (= ?v_68 (- 15))))) (or (or (not (= ?v_194 (- 51))) (not (= (+ (+ ?v_10 ?v_96) ?v_476) (- 18)))) (= ?v_39 27))) (or (or (or (<= (+ ?v_50 ?v_11) 20) (< (+ ?v_346 ?v_12) 16)) (= (+ (+ (+ ?v_25 ?v_244) ?v_14) ?v_160) (- 27))) (or (or (> (+ ?v_23 ?v_58) 0) (< (+ (+ (+ ?v_349 ?v_295) ?v_77) ?v_188) 0)) (and (< (+ (+ (+ ?v_305 ?v_264) ?v_521) ?v_13) 0) (= (+ (+ ?v_61 ?v_14) ?v_157) 0))))) (and (or (or (and (<= (+ (+ ?v_448 ?v_659) ?v_544) 32) (= (+ ?v_261 ?v_33) (- 46))) (or (> (+ ?v_15 ?v_151) (- 9)) (= (+ (+ (+ ?v_46 ?v_136) ?v_113) ?v_528) 0))) (or (and (= (+ (+ ?v_213 ?v_526) ?v_278) 11) (> (+ ?v_108 ?v_173) (- 45))) (and (<= (+ (+ (+ ?v_75 ?v_635) ?v_207) ?v_16) 83) (> (+ (+ (+ ?v_224 ?v_17) ?v_18) ?v_19) 0)))) (and (or (>= (+ (+ ?v_255 ?v_200) ?v_330) 0) (<= ?v_289 0)) (or (<= (+ (+ ?v_130 ?v_20) ?v_212) 0) (and (> (+ (+ ?v_21 ?v_657) ?v_243) (- 39)) (<= (+ (+ ?v_27 ?v_34) ?v_41) 74)))))) (or (and (and (= (+ ?v_22 ?v_23) 50) (> (+ ?v_97 ?v_579) 0)) (and (= (+ ?v_24 ?v_436) (- 64)) (< (+ (+ ?v_411 ?v_87) ?v_28) 0))) (and (or (and (and (>= (+ (+ (+ ?v_25 ?v_60) ?v_208) ?v_26) 46) (= (+ (+ (+ ?v_27 ?v_480) ?v_353) ?v_266) 0)) (and (<= (+ (+ ?v_292 ?v_417) ?v_19) 86) (<= (+ (+ (+ ?v_121 ?v_11) ?v_148) ?v_28) 95))) (or (or (> (+ (+ ?v_29 ?v_43) ?v_328) 0) (= (+ (+ ?v_152 ?v_238) ?v_65) 0)) (and (= (+ ?v_220 ?v_30) 0) (<= (+ (+ (+ ?v_31 ?v_274) ?v_67) ?v_439) (- 73))))) (and (or (> ?v_56 (- 4)) (and (not (= (+ (+ ?v_35 ?v_283) ?v_466) 99)) (> (+ ?v_107 ?v_32) 0))) (and (<= (+ ?v_33 ?v_625) 54) (>= (+ (+ (+ ?v_297 ?v_42) ?v_34) ?v_552) 0)))))) (and (or (or (and (or (>= (+ (+ ?v_35 ?v_82) ?v_347) (- 86)) (or (> (+ (+ ?v_122 ?v_36) ?v_281) 0) (>= (+ ?v_37 ?v_370) 70))) (and (or (not (= (+ (+ ?v_38 ?v_10) ?v_39) 75)) (>= (+ ?v_156 ?v_159) (- 26))) (and (< (+ (+ ?v_304 ?v_248) ?v_169) 79) (> (+ (+ ?v_154 ?v_241) ?v_114) 33)))) (or (and (or (<= ?v_66 5) (not (= (+ (+ (+ ?v_24 ?v_144) ?v_643) ?v_472) (- 72)))) (and (= (+ (+ (+ ?v_666 ?v_482) ?v_253) ?v_683) 0) (<= ?v_51 62))) (and (< (+ (+ ?v_187 ?v_150) ?v_40) 37) (>= (+ (+ (+ ?v_429 ?v_86) ?v_18) ?v_41) 97)))) (and (or (or (and (> (+ (+ (+ ?v_250 ?v_42) ?v_247) ?v_9) 0) (< (+ (+ (+ ?v_306 ?v_352) ?v_43) ?v_639) 0)) (> ?v_374 2)) (and (<= (+ (+ ?v_99 ?v_340) ?v_237) 0) (>= (+ ?v_127 ?v_118) (- 68)))) (or (and (< (+ (+ ?v_44 ?v_45) ?v_479) (- 44)) (> (+ (+ ?v_46 ?v_174) ?v_48) 44)) (or (or (> (+ (+ ?v_47 ?v_48) ?v_49) (- 12)) (not (= (+ (+ ?v_660 ?v_481) ?v_55) 27))) (> (+ (+ (+ ?v_52 ?v_23) ?v_53) ?v_54) 98))))) (or (and (or (and (and (>= (+ (+ ?v_406 ?v_116) ?v_469) (- 80)) (not (= (+ (+ (+ ?v_21 ?v_64) ?v_308) ?v_55) (- 27)))) (and (= (+ (+ (+ ?v_149 ?v_135) ?v_56) ?v_88) 0) (<= (+ (+ ?v_204 ?v_265) ?v_57) (- 61)))) (and (= (+ (+ ?v_623 ?v_91) ?v_39) (- 51)) (= (+ (+ ?v_78 ?v_527) ?v_557) (- 48)))) (and (and (< (+ (+ (+ ?v_321 ?v_287) ?v_58) ?v_468) 28) (>= (+ (+ ?v_59 ?v_83) ?v_175) 0)) (and (<= (+ (+ ?v_271 ?v_773) ?v_219) (- 84)) (< (+ ?v_44 ?v_290) (- 98))))) (and (or (and (and (> (+ (+ (+ ?v_129 ?v_378) ?v_100) ?v_81) 0) (> (+ (+ ?v_60 ?v_414) ?v_109) (- 33))) (> (+ (+ ?v_453 ?v_128) ?v_62) 23)) (or (and (> (+ (+ ?v_63 ?v_43) ?v_262) 0) (= (+ (+ ?v_90 ?v_64) ?v_65) 0)) (and (> (+ (+ ?v_66 ?v_221) ?v_67) (- 78)) (< (+ (+ ?v_407 ?v_186) ?v_139) (- 41))))) (and (or (and (= (+ (+ ?v_69 ?v_359) ?v_68) 0) (= (+ (+ ?v_69 ?v_184) ?v_70) 0)) (> (+ (+ (+ ?v_437 ?v_565) ?v_71) ?v_72) (- 97))) (and (and (not (= (+ (+ ?v_73 ?v_142) ?v_74) 21)) (<= (+ (+ ?v_75 ?v_456) ?v_218) 26)) (or (<= (+ (+ (+ ?v_25 ?v_76) ?v_77) ?v_106) 86) (> (+ ?v_170 ?v_390) (- 27)))))))))) (and (and (and (and (and (or (and (and (not (= (+ (+ ?v_73 ?v_161) ?v_325) 69)) (> (+ (+ ?v_78 ?v_79) ?v_501) 57)) (not (= (+ ?v_80 ?v_81) 0))) (and (or (<= (+ (+ (+ ?v_93 ?v_82) ?v_83) ?v_112) (- 97)) (not (= (+ (+ ?v_84 ?v_85) ?v_104) (- 51)))) (and (>= (+ (+ ?v_608 ?v_286) ?v_549) 25) (not (= (+ (+ (+ ?v_84 ?v_3) ?v_388) ?v_131) 81))))) (or (and (and (< (+ (+ (+ ?v_254 ?v_313) ?v_85) ?v_233) 0) (<= (+ (+ (+ ?v_502 ?v_86) ?v_87) ?v_88) 5)) (not (= (+ (+ ?v_651 ?v_111) ?v_68) (- 88)))) (and (or (not (= (+ (+ (+ ?v_132 ?v_158) ?v_94) ?v_89) 63)) (<= (+ ?v_637 ?v_172) (- 85))) (> ?v_189 (- 46))))) (and (and (or (<= (+ (+ ?v_90 ?v_91) ?v_120) 0) (<= (+ (+ ?v_92 ?v_311) ?v_13) 48)) (<= (+ (+ ?v_93 ?v_326) ?v_94) (- 67))) (and (or (>= (+ ?v_646 ?v_185) (- 89)) (not (= ?v_95 (- 43)))) (and (>= (+ (+ ?v_722 ?v_441) ?v_96) 0) (> (+ (+ ?v_644 ?v_17) ?v_232) 53))))) (and (or (and (or (or (>= (+ ?v_192 ?v_67) (- 98)) (> (+ (+ (+ ?v_435 ?v_97) ?v_190) ?v_98) 0)) (and (= (+ (+ (+ ?v_99 ?v_182) ?v_100) ?v_195) 0) (= (+ (+ ?v_239 ?v_101) ?v_102) 0))) (and (< (+ (+ ?v_147 ?v_103) ?v_693) 22) (<= (+ (+ (+ (* 13 ?x1) ?v_257) ?v_155) ?v_486) 72))) (or (not (= (+ (+ (+ ?v_532 ?v_534) ?v_379) ?v_104) (- 24))) (and (or (= (+ ?v_105 ?v_106) 41) (> (+ (+ ?v_107 ?v_171) ?v_332) 0)) (or (>= (+ (+ ?v_134 ?v_115) ?v_108) 28) (<= (+ ?v_168 ?v_410) (- 31)))))) (or (and (and (or (= (+ (+ ?v_124 ?v_301) ?v_498) (- 52)) (>= (+ (+ ?v_6 ?v_443) ?v_198) (- 86))) (and (> (+ (+ ?v_361 ?v_64) ?v_109) 0) (not (= (+ (+ ?v_728 ?v_30) ?v_110) 48)))) (and (or (< (+ (+ (+ ?v_191 ?v_647) ?v_80) ?v_335) 0) (< (+ ?v_111 ?v_112) (- 74))) (and (= (+ (+ (+ ?v_84 ?v_334) ?v_113) ?v_114) 0) (< (+ (+ (+ ?v_119 ?v_115) ?v_164) ?v_649) (- 41))))) (and (and (< (+ ?v_408 ?v_351) 64) (< (+ ?v_116 ?v_133) 16)) (or (and (<= ?v_522 (- 28)) (not (= (+ (+ ?v_7 ?v_430) ?v_54) (- 36)))) (or (= (+ ?v_117 ?v_118) 0) (>= (+ (+ ?v_119 ?v_48) ?v_120) (- 71)))))))) (or (and (and (and (not (= (+ (+ (+ ?v_121 ?v_97) ?v_30) ?v_138) 63)) (= (+ ?v_122 ?v_495) 0)) (and (>= (+ (+ (+ ?v_183 ?v_141) ?v_146) ?v_123) (- 53)) (= (+ (+ (+ ?v_124 ?v_125) ?v_364) ?v_269) 2))) (and (<= (+ (+ (+ ?v_126 ?v_127) ?v_128) ?v_143) 0) (<= (+ (+ ?v_129 ?v_130) ?v_535) 0))) (and (and (> (+ (+ (+ ?v_496 ?v_36) ?v_344) ?v_131) (- 94)) (not (= (+ (+ (+ ?v_132 ?v_399) ?v_133) ?v_416) 0))) (and (or (= (+ (+ (+ ?v_134 ?v_135) ?v_128) ?v_165) (- 1)) (< (+ (+ (+ ?v_66 ?v_136) ?v_137) ?v_138) 0)) (and (>= (+ (+ ?v_256 ?v_58) ?v_284) (- 53)) (< ?v_139 (- 2))))))) (or (or (and (and (or (> (+ (+ ?v_140 ?v_141) ?v_641) 0) (not (= (+ (+ ?v_142 ?v_67) ?v_143) (- 66)))) (and (< (+ (+ ?v_144 ?v_101) ?v_162) 79) (< (+ (+ (+ ?v_145 ?v_461) ?v_146) ?v_123) 73))) (or (and (not (= (+ ?v_580 ?v_137) (- 30))) (= (+ (+ ?v_44 ?v_681) ?v_315) (- 67))) (or (= (+ ?v_147 ?v_148) 0) (>= (+ (+ (+ ?v_149 ?v_323) ?v_150) ?v_151) (- 77))))) (or (or (< (+ (+ (+ ?v_122 ?v_152) ?v_153) ?v_240) (- 74)) (or (not (= (+ (+ ?v_154 ?v_166) ?v_317) 93)) (< (+ ?v_82 ?v_70) (- 32)))) (and (or (<= (+ ?v_155 ?v_341) 8) (= (+ (+ (+ ?v_179 ?v_115) ?v_446) ?v_462) 0)) (and (>= (+ ?v_156 ?v_157) (- 17)) (> (+ (+ (+ ?v_38 ?v_158) ?v_18) ?v_159) 87))))) (and (and (or (and (and (= (+ (+ ?v_322 ?v_234) ?v_375) 15) (< (+ ?v_594 ?v_160) 4)) (and (<= (+ ?v_83 ?v_167) 0) (> ?v_463 59))) (and (and (= (+ (+ ?v_225 ?v_396) ?v_181) (- 24)) (>= (+ ?v_514 ?v_503) 37)) (<= (+ ?v_331 ?v_401) (- 55)))) (and (and (or (> (+ (+ (+ ?v_395 ?v_161) ?v_457) ?v_162) (- 97)) (< (+ (+ ?v_163 ?v_223) ?v_197) (- 5))) (and (= (+ (+ (+ ?v_90 ?v_203) ?v_494) ?v_12) 78) (>= (+ (+ ?v_400 ?v_164) ?v_363) 40))) (and (and (<= (+ (+ (+ ?v_69 (* (- 37) ?x2)) ?v_327) ?v_165) 36) (and (>= (+ (+ (+ ?v_176 ?v_166) ?v_77) ?v_167) 79) (<= (+ (+ ?v_149 ?v_231) ?v_381) 77))) (or (<= (+ (+ ?v_168 ?v_591) ?v_169) 0) (<= (+ ?v_518 ?v_423) 0))))) (and (and (or (and (= (+ (+ (+ ?v_300 ?v_116) ?v_258) ?v_178) 99) (> (+ (+ ?v_170 ?v_348) ?v_171) 80)) (>= (+ (+ ?v_316 ?v_172) ?v_173) (- 47))) (and (or (>= (+ (+ ?v_700 ?v_174) ?v_175) 0) (> (+ (+ (+ ?v_176 ?v_64) ?v_48) ?v_211) 44)) (or (< (+ (+ (+ ?v_303 ?v_130) ?v_177) ?v_178) (- 77)) (> (+ (+ (+ ?v_180 ?v_0) ?v_329) ?v_302) 47)))) (and (and (or (and (< (+ (+ (+ ?v_179 ?v_307) ?v_171) ?v_109) 0) (< (+ (+ ?v_180 ?v_100) ?v_181) 67)) (or (< (+ ?v_182 ?v_39) (- 74)) (= (+ ?v_183 ?v_184) 0))) (or (< (+ ?v_622 ?v_185) (- 17)) (= (+ ?v_82 ?v_186) 21))) (and (or (or (< (+ (+ (+ ?v_386 ?v_196) ?v_393) ?v_9) 0) (< (+ (+ (+ ?v_35 ?v_187) ?v_85) ?v_188) (- 2))) (and (= (+ (+ (+ ?v_382 ?v_189) ?v_357) ?v_354) 5) (< (+ (+ ?v_64 ?v_190) ?v_356) 0))) (and (< (+ (+ (+ ?v_191 ?v_192) ?v_193) ?v_712) 97) (= (+ (+ ?v_154 ?v_194) ?v_409) 75))))))))) (and (or (and (and (and (not (= (+ ?v_541 ?v_195) (- 4))) (> (+ ?v_2 ?v_196) (- 49))) (or (> (+ (+ ?v_377 ?v_74) ?v_197) (- 22)) (not (= (+ (+ ?v_2 ?v_198) ?v_465) 0)))) (or (and (= (+ (+ ?v_199 ?v_200) ?v_201) 0) (<= (+ (* 5 ?x1) ?v_202) 63)) (and (= (+ (+ ?v_203 ?v_508) ?v_299) (- 69)) (< (+ (+ (+ ?v_245 ?v_204) ?v_108) ?v_169) (- 59))))) (or (and (>= (+ (+ ?v_276 ?v_205) ?v_206) (- 65)) (= (+ (+ (+ ?v_602 ?v_11) ?v_207) ?v_104) 0)) (and (or (> (+ (+ ?v_445 ?v_530) ?v_434) 65) (not (= (+ (+ ?v_732 ?v_125) ?v_184) 0))) (< ?v_208 (- 71))))) (or (and (and (and (or (>= (+ (+ (+ ?v_369 ?v_86) ?v_358) ?v_209) (- 92)) (= (+ (+ ?v_82 ?v_210) ?v_211) 0)) (and (= (+ (+ (+ ?v_170 ?v_563) ?v_592) ?v_212) (- 91)) (< (+ (+ (+ ?v_213 ?v_59) ?v_153) ?v_175) (- 74)))) (and (> ?v_217 62) (and (<= (+ (+ ?v_116 ?v_200) ?v_214) (- 7)) (>= (+ (+ (+ ?v_24 ?v_215) ?v_185) ?v_293) 34)))) (and (or (<= (+ (+ ?v_35 ?v_216) ?v_217) (- 42)) (not (= (+ (+ ?v_149 ?v_190) ?v_218) (- 43)))) (or (or (not (= (+ (+ ?v_222 ?v_721) ?v_219) 75)) (= (+ (+ (+ ?v_403 ?v_220) ?v_277) ?v_669) 0)) (or (<= (+ ?v_221 ?v_573) (- 85)) (< (+ (+ ?v_222 ?v_142) ?v_745) 0))))) (and (and (and (not (= (+ ?v_82 ?v_672) 20)) (<= (+ ?v_179 ?v_223) 0)) (and (not (= (+ (+ ?v_27 ?v_268) ?v_345) (- 76))) (= (+ ?v_282 ?v_242) (- 6)))) (or (or (or (> (+ ?v_279 ?v_587) 0) (>= (+ (+ ?v_224 ?v_404) ?v_164) 64)) (or (>= (+ (+ ?v_225 ?v_415) ?v_226) 73) (< (+ (+ ?v_227 ?v_4) ?v_605) 0))) (and (< (+ (+ (+ ?v_228 ?v_229) ?v_146) ?v_230) (- 74)) (> (+ (+ (+ ?v_21 ?v_633) ?v_231) ?v_232) (- 10)))))))) (or (or (or (or (and (and (or (not (= (+ ?v_454 ?v_233) 0)) (> (+ ?v_600 ?v_586) 11)) (or (> (+ (+ ?v_134 ?v_10) ?v_156) (- 91)) (<= (+ (+ (+ ?v_653 ?v_235) ?v_324) ?v_426) 0))) (or (or (>= (+ ?v_236 ?v_738) 0) (not (= (+ (+ ?v_285 ?v_294) ?v_118) 0))) (or (>= (+ (+ ?v_440 ?v_51) ?v_58) 22) (<= (+ ?v_280 ?v_237) 30)))) (and (and (or (<= (+ (+ ?v_78 ?v_185) ?v_296) 0) (> ?v_539 (- 40))) (or (and (< (+ ?v_492 ?v_387) 46) (not (= (+ (+ ?v_203 ?v_238) ?v_612) (- 45)))) (and (<= (+ (+ ?v_384 ?v_249) ?v_413) (- 76)) (>= (+ (+ ?v_239 ?v_350) ?v_240) 25)))) (and (or (and (< (+ ?v_267 ?v_241) 0) (not (= (+ (+ (+ ?v_593 ?v_412) ?v_242) ?v_243) 93))) (< (+ (+ ?v_134 ?v_244) ?v_12) 43)) (and (> (+ (+ ?v_245 ?v_246) ?v_320) 26) (<= (+ (+ (+ ?v_389 ?v_251) ?v_247) ?v_275) 0))))) (and (or (and (>= (+ (+ (+ ?v_338 ?v_554) ?v_500) ?v_110) 88) (>= (+ ?v_11 ?v_238) (- 38))) (not (= (+ (+ (+ ?v_770 ?v_248) ?v_249) ?v_72) 95))) (or (and (or (< (+ (+ (+ ?v_250 ?v_251) ?v_319) ?v_252) 40) (= (+ (+ ?v_121 ?v_253) ?v_449) 15)) (and (< (+ (+ ?v_254 ?v_740) ?v_112) 46) (< (+ (+ ?v_25 ?v_255) ?v_218) (- 26)))) (and (or (< (+ (+ (+ ?v_310 ?v_10) ?v_473) ?v_360) 61) (<= (+ (+ (+ ?v_256 ?v_257) ?v_460) ?v_372) 0)) (= (+ (+ ?v_376 ?v_258) ?v_259) 0))))) (or (or (and (or (and (and (not (= (+ (+ ?v_260 ?v_202) ?v_516) 30)) (> (+ (+ ?v_261 ?v_512) ?v_120) 0)) (or (= (+ (+ ?v_497 ?v_223) ?v_262) 0) (>= (+ (+ ?v_1 ?v_244) ?v_402) (- 41)))) (or (or (< (+ (+ ?v_227 ?v_263) ?v_729) (- 2)) (< (+ (+ ?v_264 ?v_265) ?v_165) 0)) (or (< (+ (+ ?v_291 ?v_148) ?v_266) (- 17)) (> (+ (+ ?v_63 ?v_267) ?v_268) 0)))) (or (and (and (>= (+ (+ (+ ?v_99 ?v_248) ?v_691) ?v_269) (- 29)) (<= (+ (+ ?v_270 ?v_271) ?v_272) 0)) (and (not (= (+ (+ ?v_15 ?v_548) ?v_273) 0)) (not (= (+ ?v_78 ?v_112) 62)))) (or (or (and (not (= (+ (+ (+ ?v_699 ?v_274) ?v_391) ?v_737) 95)) (> (+ ?v_490 ?v_275) 5)) (or (> (+ (+ (+ ?v_276 ?v_251) ?v_277) ?v_226) (- 94)) (>= (+ (+ ?v_392 ?v_267) ?v_278) (- 71)))) (and (or (> (+ (+ (+ ?v_279 ?v_280) ?v_477) ?v_70) (- 37)) (>= ?v_281 0)) (>= (+ (+ ?v_282 ?v_283) ?v_284) (- 59)))))) (or (and (or (or (and (= (+ ?v_285 ?v_286) (- 66)) (= (+ (+ ?v_679 ?v_767) ?v_56) (- 48))) (and (<= (+ (+ (+ ?v_524 ?v_287) ?v_371) ?v_214) 39) (>= (+ (+ ?v_336 ?v_10) ?v_288) 40))) (and (or (>= (+ (+ (+ ?v_289 ?v_373) ?v_538) ?v_275) 16) (= (+ (+ ?v_250 ?v_290) ?v_137) 63)) (or (not (= (+ (+ ?v_451 ?v_291) ?v_104) (- 58))) (>= (+ (* 67 ?x1) ?v_337) 4)))) (or (or (>= (+ (+ (+ ?v_93 ?v_292) ?v_53) ?v_293) 94) (not (= (+ (+ ?v_119 ?v_294) ?v_312) 60))) (or (or (not (= (+ (+ ?v_61 ?v_295) ?v_296) (- 100))) (not (= ?v_77 0))) (and (= (+ (+ (+ ?v_297 ?v_298) ?v_18) ?v_299) 48) (not (= (+ (+ ?v_300 ?v_301) ?v_302) 83)))))) (and (and (or (>= ?v_471 (- 71)) (< (+ ?v_303 ?v_597) 0)) (and (<= (+ ?v_572 ?v_425) (- 28)) (< (+ (+ ?v_304 ?v_216) ?v_309) 0))) (or (= (+ ?v_568 ?v_428) 69) (or (<= (+ (+ (+ ?v_61 ?v_513) ?v_101) ?v_195) 14) (<= (+ (+ (+ ?v_305 ?v_221) ?v_634) ?v_302) (- 10))))))) (and (or (and (or (not (= (+ ?v_170 ?v_181) 8)) (> (+ (+ ?v_306 ?v_307) ?v_151) (- 40))) (< (+ ?v_355 ?v_152) 79)) (and (or (<= (+ ?v_1 ?v_88) 0) (not (= (+ (+ ?v_342 ?v_308) ?v_165) 0))) (= (+ (+ (+ ?v_726 ?v_117) ?v_515) ?v_288) 0))) (and (or (>= (+ ?v_632 ?v_309) 76) (and (>= (+ (+ ?v_310 ?v_311) ?v_312) (- 8)) (> (+ ?v_313 ?v_314) (- 31)))) (and (< (+ (+ ?v_636 ?v_79) ?v_102) 61) (<= (+ (+ ?v_176 ?v_59) ?v_315) 0)))))) (or (or (or (or (or (or (or (or (= (+ (+ (+ ?v_316 ?v_116) ?v_156) ?v_160) (- 90)) (<= (+ (+ ?v_569 ?v_189) ?v_317) 0)) (and (<= (+ (+ (+ ?v_447 ?v_318) ?v_319) ?v_320) 0) (< (+ (+ ?v_321 ?v_751) ?v_167) 97))) (and (and (= (+ ?v_194 ?v_405) 84) (<= (+ (+ (+ ?v_322 ?v_323) ?v_324) ?v_491) (- 39))) (and (not (= (+ (+ ?v_470 ?v_325) ?v_165) (- 55))) (< (+ (+ ?v_22 ?v_326) ?v_327) (- 8))))) (and (and (< ?v_328 61) (= ?v_551 41)) (or (or (> (+ (+ ?v_322 ?v_329) ?v_230) 17) (> (+ (+ (+ ?v_769 ?v_697) ?v_14) ?v_421) 47)) (and (not (= (+ ?v_35 ?v_330) 83)) (> (+ ?v_331 ?v_332) 5))))) (and (or (or (or (< (+ (+ ?v_132 ?v_707) ?v_197) (- 26)) (<= (+ (+ ?v_310 ?v_17) ?v_333) 0)) (or (< (+ (+ (+ ?v_176 ?v_662) ?v_676) ?v_299) (- 2)) (> (+ (+ ?v_121 ?v_334) ?v_335) 71))) (or (<= (+ (+ (+ ?v_336 ?v_337) ?v_327) ?v_28) (- 37)) (= (+ (+ (+ ?v_705 ?v_555) ?v_48) ?v_368) 0))) (and (or (<= (+ (+ ?v_338 ?v_339) ?v_252) 2) (and (<= (+ (+ ?v_176 ?v_525) ?v_383) 21) (= (+ ?v_340 ?v_341) (- 9)))) (or (> (+ ?v_442 ?v_509) 99) (<= (+ (+ (+ ?v_342 ?v_343) ?v_344) ?v_345) (- 37)))))) (and (or (or (and (< (+ ?v_82 ?v_102) (- 86)) (and (>= (+ (+ (+ ?v_134 ?v_346) ?v_242) ?v_347) (- 65)) (= (+ (+ ?v_348 ?v_133) ?v_16) 72))) (or (and (or (not (= (+ (+ (+ ?v_349 ?v_350) ?v_48) ?v_312) (- 99))) (<= (+ (+ (+ ?v_303 ?v_235) ?v_94) ?v_351) (- 19))) (and (= (+ ?v_613 ?v_444) (- 16)) (<= (+ (+ ?v_362 ?v_101) ?v_645) 89))) (and (>= (+ (+ (+ (* (- 31) ?x1) ?v_352) ?v_353) ?v_354) (- 71)) (and (< (+ (+ (+ ?v_355 ?v_86) ?v_499) ?v_356) 0) (>= (+ (+ ?v_76 ?v_357) ?v_217) (- 11)))))) (and (and (not (= (+ (+ ?v_367 ?v_358) ?v_110) 48)) (or (not (= (+ ?v_73 ?v_33) (- 16))) (< (+ ?v_359 ?v_360) (- 2)))) (and (or (< (+ (+ (+ ?v_361 ?v_362) ?v_507) ?v_345) (- 59)) (not (= (+ (+ ?v_179 ?v_43) ?v_363) 26))) (or (>= (+ ?v_364 ?v_365) 97) (< (+ (+ (+ ?v_224 ?v_366) ?v_100) ?v_157) (- 8)))))) (or (or (or (and (and (> (+ ?v_561 ?v_366) (- 75)) (not (= (+ (+ ?v_367 ?v_67) ?v_368) 18))) (and (>= (+ (+ (+ ?v_369 ?v_370) ?v_590) ?v_368) (- 62)) (>= (+ ?v_97 ?v_682) 46))) (and (or (= (+ ?v_371 ?v_372) 0) (= (+ (+ ?v_380 ?v_373) ?v_67) 95)) (not (= (+ (+ ?v_183 ?v_374) ?v_375) 17)))) (and (not (= (+ ?v_376 ?v_67) 30)) (< (+ ?v_194 ?v_720) 0))) (or (and (and (>= (+ (+ ?v_673 ?v_379) ?v_175) 0) (>= (+ (+ ?v_706 ?v_17) ?v_266) (- 83))) (and (and (< (+ (+ ?v_380 ?v_204) ?v_381) (- 98)) (<= (+ (+ (+ ?v_382 ?v_370) ?v_383) ?v_765) (- 16))) (or (<= (+ (+ (+ ?v_126 ?v_384) ?v_385) ?v_131) 53) (> (+ (+ ?v_386 ?v_387) ?v_388) 0)))) (or (or (> ?v_78 (- 76)) (and (> (+ (+ (+ ?v_389 ?v_390) ?v_391) ?v_335) 54) (>= (+ (+ ?v_392 ?v_420) ?v_393) (- 35)))) (and (>= (+ (+ ?v_560 ?v_298) ?v_71) 0) (> (+ ?v_76 ?v_195) (- 88)))))))) (or (and (or (or (<= (+ (+ (+ ?v_44 ?v_116) ?v_394) ?v_8) 0) (>= (+ (+ (+ ?v_282 ?v_547) ?v_155) ?v_211) (- 47))) (or (< (+ ?v_395 ?v_396) (- 65)) (or (= (+ (+ ?v_397 ?v_398) ?v_363) 38) (>= (+ ?v_399 ?v_128) 1)))) (and (< (+ (+ (+ ?v_163 ?v_400) ?v_133) ?v_401) 31) (or (or (<= (+ (+ ?v_620 ?v_346) ?v_402) (- 64)) (> (+ (+ (+ ?v_403 ?v_404) ?v_405) ?v_217) 0)) (or (<= (+ (+ ?v_406 ?v_407) ?v_379) 23) (> (+ (+ ?v_408 ?v_409) ?v_120) 0))))) (or (and (and (<= (+ (+ ?v_99 ?v_290) ?v_268) 0) (<= (+ (+ (+ ?v_493 ?v_59) ?v_723) ?v_410) (- 96))) (and (and (= (+ (+ (+ ?v_411 ?v_291) ?v_172) ?v_104) 0) (<= (+ (+ ?v_412 ?v_578) ?v_162) 26)) (and (not (= (+ (+ ?v_458 ?v_238) ?v_413) (- 99))) (not (= (+ ?v_140 ?v_104) 36))))) (and (or (or (not (= (+ (+ (+ ?v_427 ?v_362) ?v_414) ?v_88) 72)) (>= (+ ?v_93 ?v_399) (- 8))) (or (= (+ (+ (+ ?v_380 ?v_91) ?v_415) ?v_416) 11) (= (+ (+ ?v_37 ?v_771) ?v_417) (- 37)))) (or (and (<= (+ (+ ?v_418 ?v_396) ?v_419) (- 46)) (< (+ (+ ?v_310 ?v_420) ?v_421) (- 26))) (and (= (+ ?v_338 ?v_420) 83) (and (= (+ (+ ?v_589 ?v_113) ?v_211) (- 81)) (>= (+ (+ ?v_248 ?v_286) ?v_112) (- 71))))))))) (or (or (or (and (and (or (= (+ (+ (+ ?v_422 ?v_117) ?v_394) ?v_423) 0) (< (+ (+ (+ ?v_424 ?v_398) ?v_207) ?v_431) 91)) (and (<= (+ (+ ?v_424 ?v_352) ?v_345) (- 76)) (not (= (+ (+ (+ ?v_529 ?v_331) ?v_425) ?v_217) (- 30))))) (or (> (+ (+ (+ ?v_342 ?v_17) ?v_185) ?v_162) 47) (<= (+ (+ ?v_270 ?v_5) ?v_426) 0))) (or (and (or (or (> (+ (+ ?v_427 ?v_428) ?v_20) 44) (> ?v_71 (- 52))) (and (>= (+ ?v_301 ?v_39) 40) (not (= (+ (+ ?v_367 ?v_718) ?v_360) 17)))) (or (>= (+ ?v_429 ?v_430) 67) (not (= (+ (+ ?v_36 ?v_268) ?v_102) 30)))) (and (and (or (>= (+ ?v_304 ?v_536) 0) (< (+ (+ ?v_95 ?v_43) ?v_431) (- 89))) (or (> (+ (+ ?v_667 ?v_274) ?v_359) 68) (= (+ (+ (+ ?v_397 ?v_432) ?v_150) ?v_114) 24))) (and (or (not (= (+ (+ (+ ?v_433 ?v_295) ?v_434) ?v_309) 0)) (> (+ (+ (+ ?v_435 ?v_436) ?v_319) ?v_173) 80)) (= (+ (+ ?v_704 ?v_267) ?v_39) (- 4)))))) (or (or (or (and (= (+ (+ ?v_437 ?v_142) ?v_85) 0) (<= (+ ?v_310 ?v_58) 80)) (or (< (+ ?v_107 ?v_400) (- 5)) (>= (+ (+ ?v_367 ?v_87) ?v_438) 43))) (or (or (= ?v_425 41) (and (not (= (+ (+ ?v_398 ?v_34) ?v_474) 0)) (= (+ (+ ?v_427 ?v_130) ?v_439) (- 3)))) (and (or (not (= (+ ?v_440 ?v_394) 62)) (>= (+ (+ (+ ?v_488 ?v_441) ?v_375) ?v_178) (- 80))) (or (<= (+ (+ ?v_63 ?v_42) ?v_442) 0) (> (+ (+ (+ ?v_145 ?v_5) ?v_210) ?v_139) 32))))) (and (or (>= (+ (+ ?v_180 ?v_511) ?v_109) (- 50)) (< (+ (+ ?v_318 ?v_286) ?v_98) (- 29))) (and (or (<= (+ (+ (+ ?v_708 ?v_443) ?v_505) ?v_588) 98) (or (not (= (+ ?v_298 ?v_601) 0)) (>= (+ (+ (+ ?v_126 ?v_400) ?v_164) ?v_444) (- 23)))) (and (and (< (+ (+ ?v_27 ?v_146) ?v_55) (- 41)) (> (+ ?v_445 ?v_202) 68)) (and (< (+ (+ ?v_441 ?v_446) ?v_347) (- 62)) (>= (+ (+ (+ ?v_447 ?v_246) ?v_133) (* 58 ?x4)) 0))))))) (or (or (and (and (or (>= (+ (+ ?v_690 ?v_448) ?v_449) (- 47)) (< (+ (+ ?v_15 ?v_450) (* 70 ?x4)) 0)) (>= (+ (+ ?v_661 ?v_346) ?v_452) (- 77))) (or (and (or (and (= (+ (+ ?v_464 ?v_367) ?v_80) 0) (>= (+ (+ ?v_451 ?v_430) ?v_611) 79)) (>= (+ ?v_224 ?v_318) (- 47))) (and (or (<= (+ (+ ?v_132 ?v_323) ?v_444) 32) (<= (+ (+ ?v_161 ?v_452) ?v_89) (- 43))) (< (+ ?v_453 ?v_655) (- 77)))) (and (or (and (> (+ (+ ?v_69 ?v_454) ?v_455) 99) (> (+ (+ (+ ?v_132 ?v_456) ?v_457) ?v_459) 0)) (or (= (+ (+ ?v_380 ?v_14) ?v_54) 92) (<= (+ ?v_310 ?v_283) (- 82)))) (or (and (> (+ (+ ?v_458 ?v_343) ?v_459) 0) (not (= ?v_460 (- 93)))) (and (<= (+ (+ ?v_433 ?v_91) ?v_167) (- 91)) (> (+ (+ ?v_297 ?v_617) ?v_619) 42)))))) (or (or (and (and (= (+ (+ ?v_461 ?v_596) ?v_462) (- 51)) (= (+ ?v_263 ?v_57) 18)) (and (or (<= (+ (+ ?v_463 ?v_556) ?v_193) (- 55)) (>= (+ (+ ?v_464 ?v_428) ?v_198) 46)) (< (+ ?v_531 ?v_465) (- 71)))) (and (and (> (+ (+ (+ ?v_338 ?v_640) ?v_466) ?v_240) 14) (<= (+ ?v_286 ?v_459) 93)) (or (and (not (= (+ (+ ?v_447 ?v_607) (* 47 ?x4)) (- 75))) (<= (+ ?v_307 ?v_252) (- 1))) (or (< (+ (+ (+ ?v_467 ?v_91) ?v_249) ?v_468) 0) (<= (+ (+ ?v_24 ?v_415) ?v_469) 47))))) (or (or (or (<= (+ (+ ?v_470 ?v_32) ?v_471) 0) (= (+ (+ ?v_115 ?v_344) ?v_462) 15)) (or (< (+ (+ (+ ?v_585 ?v_261) ?v_357) ?v_159) (- 89)) (> (+ ?v_384 ?v_430) (- 46)))) (and (or (>= (+ (+ ?v_487 ?v_533) ?v_417) 91) (<= (+ (+ ?v_52 ?v_702) ?v_472) 0)) (or (> (+ (+ ?v_382 ?v_142) ?v_473) (- 64)) (< (+ (+ ?v_92 ?v_319) ?v_474) (- 80))))))) (or (and (and (or (and (not (= (+ (+ (+ ?v_270 ?v_475) ?v_517) ?v_138) 0)) (<= (+ (+ (+ ?v_650 ?v_295) ?v_615) ?v_476) 0)) (or (not (= (+ (+ ?v_484 ?v_339) ?v_232) 0)) (<= ?v_242 0))) (and (and (> (+ ?v_37 ?v_477) (- 40)) (>= (+ (+ (+ ?v_424 ?v_348) ?v_478) ?v_479) (- 53))) (<= (+ (+ (+ ?v_107 ?v_64) ?v_184) ?v_266) (- 7)))) (and (and (or (<= (+ ?v_193 ?v_677) 96) (and (= (+ (+ ?v_295 ?v_430) ?v_696) 0) (< (+ (+ ?v_543 ?v_339) ?v_233) 49))) (and (not (= (+ ?v_22 ?v_156) 83)) (not (= (+ (+ ?v_149 ?v_480) ?v_402) 0)))) (or (or (not (= (+ (+ (+ ?v_349 ?v_366) (* 4 ?x3)) ?v_312) 0)) (>= (+ ?v_130 ?v_247) 0)) (and (= (+ (+ (+ ?v_183 ?v_404) ?v_481) ?v_169) 96) (> (+ ?v_140 (* 11 ?x2)) 41))))) (and (and (and (and (= (+ (+ ?v_386 ?v_482) ?v_510) (- 63)) (>= (+ (+ (+ ?v_483 ?v_334) ?v_311) ?v_214) (- 23))) (or (and (> (+ (+ (+ ?v_575 ?v_484) ?v_485) ?v_296) (- 42)) (<= (+ ?v_274 ?v_315) 41)) (or (< (+ (+ (+ ?v_429 ?v_264) ?v_485) ?v_486) (- 62)) (not (= (+ (+ (+ ?v_429 ?v_688) ?v_281) ?v_356) 78))))) (and (and (>= (+ ?v_122 ?v_319) 0) (< (+ ?v_487 ?v_327) (- 86))) (or (< (+ (+ ?v_488 ?v_267) ?v_582) (- 68)) (>= (+ (+ (+ ?v_199 ?v_248) ?v_598) ?v_489) 79)))) (or (and (and (< (+ (+ ?v_482 ?v_490) ?v_421) (- 32)) (and (not (= (+ (+ (+ ?v_464 ?v_51) ?v_96) ?v_110) (- 51))) (<= (+ (+ ?v_435 ?v_30) ?v_491) (- 88)))) (or (and (< (+ (+ ?v_492 ?v_150) ?v_28) 0) (not (= (+ (+ (+ ?v_361 ?v_456) ?v_364) ?v_26) 39))) (and (> (+ (+ (+ ?v_493 ?v_540) ?v_494) ?v_495) 0) (>= (+ (+ (+ ?v_445 ?v_158) ?v_430) (* (- 61) ?x4)) 28)))) (and (and (or (> (+ (+ ?v_407 ?v_164) ?v_479) (- 39)) (= (+ (+ ?v_493 ?v_298) ?v_566) (- 34))) (or (not (= (+ (+ (+ ?v_496 ?v_346) ?v_481) ?v_195) (- 78))) (<= (+ ?v_497 ?v_363) 5))) (or (< (+ (+ ?v_349 ?v_498) ?v_431) 61) (not (= (+ (+ ?v_336 ?v_216) ?v_638) 0)))))))))))) (or (or (and (or (and (or (and (and (and (and (and (<= ?v_499 (- 91)) (<= (+ (+ (+ ?v_746 ?v_384) ?v_523) ?v_599) (- 22))) (or (< (+ (+ ?v_99 ?v_609) ?v_500) 0) (= (+ (+ ?v_382 ?v_419) ?v_574) 0))) (and (<= (+ ?v_191 ?v_727) 93) (or (= (+ (+ (+ ?v_168 ?v_203) ?v_499) ?v_240) 0) (< (+ (+ ?v_346 ?v_100) ?v_501) 0)))) (or (<= (+ (+ ?v_502 ?v_329) ?v_178) 38) (and (<= (+ (+ ?v_458 ?v_367) (* 51 ?x4)) 96) (< (+ (+ ?v_488 ?v_503) ?v_629) 40)))) (or (or (and (and (>= (+ (+ ?v_192 ?v_409) ?v_88) (- 20)) (<= (+ (+ ?v_93 ?v_0) ?v_375) 65)) (and (not (= (+ (+ ?v_504 ?v_466) ?v_9) 30)) (> (+ (+ (+ ?v_170 ?v_562) ?v_237) ?v_469) 3))) (or (and (< (+ (+ ?v_127 ?v_505) ?v_335) 0) (= (+ ?v_213 ?v_71) (- 64))) (and (= (+ (+ ?v_506 ?v_507) ?v_714) (- 91)) (>= (+ (+ (+ ?v_497 ?v_248) ?v_508) ?v_509) 1)))) (and (and (and (<= (+ (+ ?v_429 ?v_267) ?v_402) (- 61)) (>= (+ (+ ?v_310 ?v_142) ?v_510) 82)) (not (= (+ (+ (+ ?v_380 ?v_374) ?v_494) ?v_328) 0))) (and (or (< (+ ?v_352 ?v_123) 40) (<= (+ (+ ?v_451 ?v_511) ?v_211) 80)) (and (not (= (+ ?v_225 ?v_211) 84)) (> (+ (+ ?v_47 ?v_512) ?v_413) (- 81))))))) (and (and (or (>= (+ (+ (+ ?v_433 ?v_144) ?v_442) ?v_232) (- 23)) (> (+ (+ (+ (* (- 32) ?x1) ?v_581) ?v_425) ?v_545) (- 75))) (and (> (+ (+ ?v_7 ?v_271) ?v_553) 0) (< (+ (+ (+ ?v_386 ?v_11) ?v_319) ?v_335) (- 53)))) (or (or (or (not (= (+ ?v_2 (* (- 77) ?x3)) 0)) (= (+ (+ (+ ?v_132 ?v_513) ?v_546) ?v_449) (- 24))) (or (and (>= (+ (+ (+ ?v_124 ?v_64) ?v_156) ?v_296) (- 68)) (>= (+ ?v_514 ?v_253) 85)) (or (>= (+ (+ (+ ?v_502 ?v_291) ?v_515) ?v_516) 52) (>= (+ (+ ?v_97 ?v_517) ?v_347) 52)))) (and (or (and (not (= (+ (+ ?v_520 ?v_507) ?v_462) (- 33))) (= (+ ?v_502 ?v_518) (- 28))) (and (< (+ (+ ?v_519 ?v_153) ?v_209) 0) (< (+ (+ ?v_248 ?v_207) ?v_181) (- 65)))) (and (or (<= (+ (+ ?v_287 ?v_85) ?v_9) (- 79)) (= (+ ?v_436 ?v_329) 0)) (or (> (+ (+ (+ ?v_520 ?v_196) ?v_521) ?v_423) 45) (= (+ (+ ?v_124 ?v_522) ?v_523) 0))))))) (or (and (or (and (= (+ (+ (+ ?v_524 ?v_525) ?v_550) ?v_65) 0) (<= (+ (+ ?v_145 ?v_454) ?v_759) 29)) (<= (+ (+ (+ ?v_69 ?v_526) ?v_477) ?v_356) 0)) (or (and (>= (+ (+ ?v_97 ?v_48) ?v_214) (- 98)) (<= (+ (+ ?v_527 ?v_485) ?v_528) (- 40))) (and (and (<= (+ ?v_529 ?v_477) 0) (< (+ ?v_47 ?v_537) 88)) (or (>= (+ (+ ?v_183 ?v_101) ?v_469) 13) (< (+ (+ (+ ?v_50 ?v_530) ?v_190) ?v_230) (- 11)))))) (or (and (or (or (or (<= (+ (+ ?v_163 ?v_531) ?v_438) (- 70)) (> ?v_532 75)) (or (<= (+ (+ (+ ?v_418 ?v_533) ?v_507) ?v_332) 98) (= (+ (+ (+ ?v_119 ?v_570) ?v_286) ?v_320) 0))) (and (or (= (+ (+ ?v_724 ?v_534) ?v_133) 0) (not (= (+ (+ (+ ?v_1 ?v_461) ?v_535) ?v_320) 42))) (or (not (= (+ (+ ?v_303 ?v_536) ?v_26) 3)) (= ?v_524 0)))) (and (and (> ?v_485 35) (<= (+ (+ (+ ?v_576 ?v_32) ?v_20) ?v_320) 0)) (or (= ?v_315 (- 9)) (<= (+ (+ ?v_542 ?v_30) ?v_743) 87)))) (and (or (or (or (not (= (+ (+ ?v_628 ?v_278) ?v_537) 33)) (< (+ ?v_115 ?v_538) 0)) (and (not (= (+ (+ (+ ?v_539 ?v_540) ?v_541) ?v_516) (- 18))) (< (+ (+ ?v_542 ?v_543) ?v_268) (- 41)))) (and (and (< (+ (+ (+ ?v_180 ?v_221) ?v_172) ?v_211) (- 29)) (>= (+ (+ (+ ?v_2 ?v_374) ?v_329) ?v_9) 13)) (and (= (+ (+ ?v_90 ?v_350) ?v_465) 0) (> (+ (+ (+ ?v_126 ?v_475) ?v_79) ?v_62) 0)))) (and (or (and (< (+ (+ (+ ?v_433 ?v_525) ?v_559) ?v_201) 0) (not (= (+ ?v_475 ?v_544) (- 9)))) (or (>= (+ (+ (+ ?v_179 ?v_558) ?v_512) (* (- 9) ?x4)) (- 26)) (= (+ (+ ?v_64 ?v_371) ?v_302) 0))) (or (not (= (+ (+ (+ ?v_107 (* (- 63) ?x2)) ?v_624) ?v_175) 0)) (or (>= (+ (+ (+ ?v_304 ?v_374) ?v_324) ?v_489) (- 11)) (< (+ (+ (+ ?v_260 ?v_713) ?v_498) ?v_545) 64)))))))) (and (or (and (and (not (= (+ (+ ?v_435 ?v_161) ?v_28) (- 54))) (and (> (+ ?v_527 ?v_546) (- 82)) (<= ?v_51 0))) (or (<= (+ ?v_126 ?v_275) 77) (and (< (+ (+ ?v_547 ?v_393) ?v_143) (- 80)) (not (= (+ (+ (+ ?v_656 ?v_350) ?v_658) ?v_648) (- 82)))))) (or (or (or (<= (+ (+ ?v_532 ?v_548) ?v_549) 0) (= (+ (+ (+ ?v_440 ?v_127) ?v_550) ?v_89) (- 45))) (or (not (= ?v_430 0)) (> (+ (+ (+ ?v_551 ?v_630) ?v_626) ?v_552) 53))) (and (= (+ (+ ?v_267 ?v_207) ?v_571) 98) (or (>= (+ (+ (+ ?v_69 ?v_248) ?v_553) ?v_381) 0) (<= (+ (+ ?v_554 ?v_358) ?v_439) 90))))) (or (or (and (= (+ (+ ?v_542 ?v_555) ?v_537) (- 25)) (<= (+ (+ (+ ?v_25 ?v_556) ?v_171) ?v_544) (- 100))) (or (and (= (+ (+ ?v_369 ?v_333) ?v_320) (- 30)) (not (= (+ (+ ?v_483 ?v_280) ?v_114) (- 52)))) (and (< (+ (+ ?v_107 ?v_105) ?v_88) (- 35)) (< (+ ?v_557 ?v_416) 4)))) (and (and (and (and (> (+ (+ (+ ?v_321 ?v_558) ?v_324) ?v_262) (- 18)) (= (+ (+ ?v_270 ?v_530) ?v_312) 47)) (and (< (+ ?v_395 ?v_559) 0) (>= (+ (+ ?v_51 ?v_414) ?v_654) 85))) (and (and (<= (+ ?v_560 ?v_71) (- 73)) (> (+ (+ ?v_606 ?v_189) ?v_552) 0)) (and (> (+ (+ ?v_561 ?v_584) ?v_739) (- 12)) (= (+ (+ (+ ?v_90 ?v_343) ?v_371) ?v_13) 0)))) (and (or (and (>= (+ (+ (+ ?v_63 ?v_562) ?v_490) ?v_604) 82) (>= (+ (+ ?v_563 ?v_517) ?v_328) 25)) (or (> (+ (+ (+ ?v_551 ?v_248) ?v_652) ?v_72) 0) (<= (+ (+ (+ ?v_180 ?v_158) ?v_564) ?v_65) (- 10)))) (and (> (+ (+ ?v_565 ?v_566) ?v_486) 0) (not (= (+ (+ (+ ?v_306 ?v_301) ?v_567) ?v_486) 18)))))))) (or (and (or (or (or (or (< (+ (+ (+ ?v_568 ?v_283) ?v_353) ?v_197) 82) (>= (+ (+ (+ ?v_569 ?v_527) ?v_603) ?v_698) 43)) (or (= (+ ?v_241 ?v_226) 59) (< (+ (+ ?v_69 ?v_87) ?v_217) (- 11)))) (and (or (>= (+ (+ ?v_342 ?v_616) ?v_353) 4) (< (+ ?v_570 ?v_381) 64)) (and (< (+ (+ ?v_37 ?v_494) ?v_571) (- 92)) (> (+ (+ ?v_406 ?v_206) ?v_8) (- 81))))) (or (and (or (or (or (>= (+ (+ (+ ?v_276 ?v_572) ?v_34) ?v_772) 67) (> (+ (+ (+ ?v_168 ?v_346) ?v_523) ?v_188) 75)) (or (= (+ (+ (+ ?v_107 ?v_689) ?v_573) ?v_574) 50) (<= (+ ?v_575 ?v_87) 80))) (or (and (<= (+ (+ (+ ?v_576 ?v_558) ?v_108) ?v_577) 32) (> (+ (+ ?v_95 ?v_71) ?v_139) 75)) (or (not (= (+ (+ ?v_749 ?v_152) ?v_768) (- 36))) (<= (+ (* (- 63) ?x1) ?v_573) 5)))) (and (or (>= ?v_322 94) (= (+ (+ ?v_350 ?v_578) ?v_232) 99)) (or (< (+ (+ ?v_31 ?v_295) ?v_165) (- 65)) (> (+ (+ ?v_502 ?v_115) ?v_88) 20)))) (and (or (and (and (= (+ (+ ?v_680 ?v_64) ?v_579) (- 25)) (<= (+ (+ (+ ?v_580 ?v_454) ?v_536) ?v_476) 41)) (and (= (+ (+ (+ ?v_270 ?v_581) ?v_582) ?v_610) 0) (> (+ (+ (+ ?v_245 ?v_0) ?v_315) ?v_583) 0))) (and (or (< (+ (+ (+ ?v_397 ?v_584) ?v_550) ?v_744) 100) (not (= (+ (+ (+ ?v_585 ?v_710) ?v_586) ?v_587) (- 45)))) (or (>= (+ (+ (+ ?v_470 ?v_64) ?v_538) ?v_588) (- 83)) (>= (+ (+ ?v_436 ?v_521) ?v_138) (- 53))))) (and (or (= (+ (+ ?v_539 ?v_554) ?v_88) (- 27)) (< (+ (+ (+ ?v_447 ?v_534) ?v_146) ?v_143) (- 5))) (and (<= (+ (+ ?v_589 ?v_85) ?v_694) 21) (< (+ (+ ?v_482 ?v_590) ?v_138) 85)))))) (or (or (and (and (<= (+ (+ ?v_189 ?v_505) ?v_571) (- 31)) (= (+ (+ ?v_115 ?v_591) ?v_668) 0)) (or (= (+ (+ ?v_524 ?v_47) ?v_186) 0) (= (+ (+ (+ ?v_380 ?v_396) ?v_394) ?v_114) (- 58)))) (and (or (= ?v_592 0) (not (= (+ (+ (+ ?v_183 ?v_221) ?v_536) ?v_62) (- 21)))) (and (not (= ?v_289 (- 33))) (> (+ (+ ?v_758 ?v_591) ?v_462) 0)))) (and (>= (+ (+ ?v_593 ?v_91) ?v_111) (- 2)) (or (> (+ (+ ?v_227 ?v_77) ?v_431) 65) (<= (+ (+ ?v_179 ?v_594) ?v_217) 0))))) (or (or (and (and (and (or (and (not (= (+ (+ (+ ?v_90 ?v_695) ?v_595) ?v_114) 33)) (< (+ (+ ?v_93 ?v_253) ?v_219) 0)) (= (+ (+ ?v_709 ?v_566) ?v_178) 69)) (and (or (not (= (+ (+ (+ ?v_731 ?v_64) ?v_596) ?v_12) 99)) (>= (+ (+ (+ ?v_121 ?v_597) ?v_598) ?v_599) 82)) (and (= (+ (+ ?v_569 ?v_570) ?v_151) 0) (<= (+ (+ ?v_600 ?v_277) ?v_601) (- 58))))) (or (> (+ (+ ?v_642 ?v_76) ?v_431) 0) (<= (+ (+ ?v_602 ?v_301) ?v_241) (- 37)))) (or (and (or (or (> (+ (+ ?v_276 ?v_64) ?v_559) 0) (= (+ (+ (+ ?v_338 ?v_340) ?v_33) ?v_159) 0)) (and (not (= (+ (+ ?v_692 ?v_603) ?v_604) (- 54))) (< (+ (+ (+ ?v_228 ?v_36) ?v_521) ?v_605) 91))) (and (and (>= (+ (+ (+ ?v_576 ?v_142) ?v_481) ?v_605) 97) (= (+ (+ ?v_606 ?v_323) ?v_607) 0)) (> (+ (+ ?v_685 ?v_391) ?v_439) (- 79)))) (and (and (and (= (+ (+ ?v_663 ?v_716) ?v_165) 0) (> (+ (+ ?v_569 ?v_48) ?v_106) 0)) (or (< (+ (+ ?v_463 ?v_4) ?v_332) (- 17)) (not (= (+ (+ ?v_191 ?v_76) ?v_98) (- 36))))) (or (< (+ (+ (+ ?v_608 ?v_609) ?v_56) ?v_351) (- 53)) (= (+ (+ (+ ?v_392 ?v_343) ?v_481) (* (- 14) ?x4)) 12))))) (or (or (or (or (< (+ (+ ?v_670 ?v_340) ?v_610) (- 62)) (< (+ (+ (+ ?v_678 ?v_482) ?v_379) ?v_611) (- 98))) (or (> (+ (+ ?v_392 ?v_249) ?v_612) (- 52)) (< ?v_294 70))) (or (and (or (not (= (+ (+ ?v_182 ?v_419) ?v_495) 84)) (<= (+ (+ ?v_613 ?v_77) ?v_139) (- 19))) (and (= (+ (+ (+ ?v_66 ?v_398) ?v_18) ?v_65) 0) (> (+ (+ ?v_580 ?v_614) ?v_164) (- 39)))) (and (or (> (+ ?v_442 ?v_426) 0) (<= (+ (+ (+ ?v_488 ?v_366) ?v_607) ?v_259) 98)) (or (>= (+ ?v_338 ?v_499) 61) (>= (+ (+ ?v_719 ?v_481) ?v_13) (- 26)))))) (or (or (= (+ (+ (+ ?v_403 ?v_4) ?v_268) ?v_112) 0) (>= (+ (+ ?v_260 ?v_615) ?v_501) (- 68))) (not (= (+ (+ (+ ?v_140 ?v_616) ?v_87) ?v_610) (- 43)))))) (or (and (and (= (+ (+ (+ ?v_46 ?v_617) ?v_430) ?v_104) 75) (not (= (+ (+ ?v_618 ?v_286) ?v_284) 0))) (or (= (+ (+ (+ ?v_303 ?v_613) ?v_481) ?v_372) 30) (<= (+ (+ ?v_497 ?v_521) ?v_410) 63))) (or (not (= (+ (+ (+ ?v_392 ?v_292) ?v_592) ?v_72) 24)) (or (or (and (= (+ (+ ?v_183 ?v_618) ?v_278) (- 78)) (> ?v_409 23)) (or (not (= (+ ?v_414 ?v_619) 98)) (>= (+ (+ (+ ?v_310 ?v_4) ?v_184) ?v_288) 0))) (or (or (> (+ (+ ?v_730 ?v_665) ?v_324) (- 67)) (> (+ (+ ?v_119 ?v_340) ?v_417) 71)) (and (> (+ (+ ?v_620 ?v_671) ?v_169) (- 1)) (<= (+ (+ ?v_760 ?v_244) ?v_94) 0))))))))) (and (or (or (and (and (and (and (or (= (+ ?v_621 ?v_414) (- 33)) (<= (+ (+ ?v_134 ?v_563) ?v_208) 0)) (and (>= (+ (+ (+ ?v_622 ?v_313) ?v_53) ?v_12) 0) (>= (+ (+ ?v_623 ?v_42) ?v_19) 0))) (and (or (= (+ (+ ?v_86 ?v_624) ?v_625) 99) (> (+ (+ (+ ?v_539 ?v_246) ?v_591) ?v_159) 38)) (or (< (+ (+ ?v_502 ?v_42) ?v_474) (- 29)) (= (+ (+ ?v_581 ?v_85) ?v_26) 84)))) (or (and (>= (+ (+ ?v_422 ?v_617) ?v_612) (- 17)) (< (+ (+ ?v_493 ?v_626) ?v_217) (- 68))) (and (and (= (+ (+ ?v_179 ?v_687) ?v_371) (- 48)) (<= (+ ?v_627 ?v_240) 18)) (and (>= (+ (+ ?v_628 ?v_629) ?v_230) (- 11)) (> (+ (+ ?v_630 ?v_150) ?v_545) 68))))) (or (and (or (>= (+ (+ (+ ?v_380 ?v_331) ?v_419) ?v_57) (- 17)) (not (= (+ (+ (+ ?v_61 ?v_261) ?v_184) ?v_123) 90))) (or (not (= (+ (+ ?v_529 ?v_531) ?v_177) 45)) (< (+ (+ (+ ?v_27 ?v_475) ?v_450) ?v_631) 79))) (or (and (and (>= (+ (+ ?v_464 ?v_348) ?v_577) 4) (< (+ (+ ?v_487 ?v_432) ?v_573) 55)) (or (> (+ (+ ?v_61 ?v_313) ?v_172) 17) (>= (+ (+ ?v_374 ?v_357) ?v_165) 37))) (and (= (+ (+ (+ ?v_406 ?v_572) ?v_317) ?v_26) (- 13)) (and (> (+ (+ ?v_632 ?v_633) ?v_457) (- 97)) (= (+ (+ (+ ?v_424 ?v_617) ?v_634) ?v_426) (- 90))))))) (and (or (and (or (<= (+ (+ ?v_635 ?v_567) ?v_599) (- 79)) (< (+ (+ ?v_636 ?v_190) ?v_426) 25)) (or (= (+ (+ ?v_342 ?v_229) ?v_317) 62) (< (+ (+ ?v_107 ?v_637) ?v_58) 0))) (or (not (= (+ (+ ?v_294 ?v_358) ?v_159) (- 1))) (and (<= (+ (+ ?v_31 ?v_638) ?v_188) (- 85)) (>= (+ (+ ?v_126 ?v_221) ?v_639) 4)))) (or (or (and (> (+ (+ (+ ?v_52 ?v_558) ?v_518) ?v_426) 0) (or (<= (+ ?v_386 ?v_640) 51) (< (+ (+ ?v_116 ?v_359) ?v_230) (- 62)))) (and (or (not (= (+ (+ ?v_187 ?v_80) ?v_459) 56)) (not (= (+ (+ ?v_338 ?v_137) ?v_641) (- 82)))) (not (= (+ (+ ?v_642 ?v_507) ?v_302) (- 39))))) (or (and (<= (+ ?v_483 ?v_489) 53) (not (= (+ (+ ?v_576 ?v_319) ?v_160) (- 12)))) (and (or (= (+ (+ ?v_408 ?v_352) ?v_607) 78) (< (+ ?v_225 ?v_71) 31)) (not (= (+ ?v_331 ?v_156) 29))))))) (or (or (and (and (and (= (+ (+ ?v_377 ?v_280) ?v_643) 53) (< (+ (+ (+ ?v_644 ?v_10) ?v_538) ?v_645) 0)) (and (<= ?v_178 98) (< (+ (+ ?v_646 ?v_647) ?v_247) 0))) (and (<= (+ (+ ?v_429 ?v_268) ?v_296) 78) (or (not (= (+ (+ (+ ?v_250 ?v_215) ?v_598) ?v_372) (- 51))) (>= (+ (+ ?v_276 ?v_558) ?v_296) 25)))) (and (and (or (= (+ ?v_396 ?v_664) 0) (< (+ (+ ?v_437 ?v_194) ?v_648) 0)) (or (> (+ (+ (+ ?v_440 ?v_513) ?v_391) ?v_649) 0) (>= (+ (+ ?v_254 ?v_292) ?v_545) (- 5)))) (and (and (>= (+ (+ (+ ?v_650 ?v_618) ?v_500) ?v_243) 25) (> (+ (+ ?v_651 ?v_598) ?v_28) (- 3))) (<= (+ (+ (+ ?v_650 ?v_60) ?v_652) ?v_574) 0)))) (and (and (not (= (+ (+ ?v_256 ?v_150) ?v_335) (- 13))) (<= (+ (+ ?v_653 ?v_388) ?v_654) 24)) (or (and (and (and (> (+ (+ ?v_316 ?v_761) ?v_162) (- 61)) (= (+ (+ ?v_97 ?v_101) ?v_312) (- 93))) (or (not (= (+ (+ (+ ?v_487 ?v_340) ?v_101) ?v_655) 0)) (not (= (+ (+ ?v_540 ?v_638) ?v_410) 23)))) (or (and (= (+ ?v_119 ?v_226) (- 42)) (not (= (+ (+ ?v_261 ?v_674) ?v_114) 95))) (or (not (= (+ (+ (+ ?v_656 ?v_657) ?v_494) ?v_655) (- 73))) (<= (+ (+ (+ ?v_433 ?v_562) ?v_128) ?v_703) 90)))) (or (or (or (> (+ (+ ?v_454 ?v_193) ?v_104) 71) (< (+ (+ ?v_78 ?v_346) ?v_207) (- 92))) (or (not (= (+ (+ ?v_644 ?v_210) ?v_302) 0)) (<= (+ (+ (+ ?v_304 ?v_562) ?v_485) ?v_138) (- 66)))) (and (and (<= (+ (+ (+ ?v_361 ?v_82) ?v_357) ?v_421) 0) (> ?v_762 47)) (or (= (+ (+ (+ ?v_542 ?v_554) ?v_249) ?v_28) (- 48)) (not (= (+ (+ (+ ?v_568 ?v_565) ?v_658) ?v_167) 89))))))))) (and (and (and (and (or (or (or (<= (+ ?v_616 ?v_233) 0) (<= (+ (+ (+ ?v_2 ?v_513) ?v_659) ?v_752) 0)) (or (= (+ (+ ?v_93 ?v_202) ?v_419) 93) (< (+ (+ ?v_124 ?v_584) ?v_18) (- 26)))) (or (and (or (< (+ (+ ?v_660 ?v_133) ?v_49) 58) (< (+ ?v_321 ?v_559) 61)) (>= (+ (+ ?v_661 ?v_662) ?v_157) (- 83))) (or (or (>= (+ (+ (+ ?v_663 ?v_628) ?v_494) ?v_465) (- 65)) (>= (+ ?v_227 ?v_274) (- 77))) (not (= (+ (+ (+ ?v_256 ?v_86) ?v_324) ?v_341) 26))))) (or (and (<= (+ (+ ?v_27 ?v_255) ?v_481) 14) (< (+ (+ (+ ?v_90 ?v_554) ?v_30) ?v_421) 0)) (or (and (not (= (+ (+ (+ ?v_227 ?v_64) ?v_329) ?v_240) 32)) (<= (+ (+ ?v_380 ?v_448) ?v_299) 0)) (or (not (= (+ ?v_490 ?v_259) 0)) (<= (+ (+ ?v_35 ?v_485) ?v_664) 42))))) (or (< (+ (+ (+ ?v_107 ?v_235) ?v_409) ?v_438) 0) (or (> (+ ?v_242 ?v_110) (- 76)) (>= (+ ?v_371 ?v_552) 0)))) (and (or (and (or (>= (+ ?v_558 ?v_249) 79) (> (+ (+ ?v_119 ?v_142) ?v_655) (- 57))) (or (> (+ ?v_427 ?v_114) (- 93)) (= (+ (+ (+ ?v_222 ?v_456) ?v_659) ?v_114) (- 40)))) (or (and (= (+ (+ ?v_285 ?v_128) ?v_675) 0) (= (+ (+ ?v_542 ?v_294) ?v_296) (- 55))) (and (= (+ (+ ?v_665 ?v_100) ?v_109) 0) (<= (+ (+ ?v_78 ?v_287) ?v_217) 71)))) (or (or (or (or (> (+ (+ (+ ?v_666 ?v_628) ?v_359) ?v_410) 14) (< (+ (+ (+ ?v_31 ?v_220) ?v_460) ?v_12) 10)) (and (<= (+ (+ (+ ?v_289 ?v_484) ?v_508) ?v_545) 0) (< (+ (+ ?v_667 ?v_215) ?v_668) (- 59)))) (and (< (+ ?v_569 ?v_598) 73) (<= (+ ?v_113 ?v_669) 20))) (and (or (or (<= (+ (+ ?v_662 ?v_71) ?v_574) (- 96)) (> (+ (+ ?v_667 ?v_334) ?v_315) 5)) (or (> (+ ?v_670 ?v_263) (- 37)) (< (+ ?v_199 ?v_671) (- 83)))) (or (and (>= (+ ?v_386 ?v_226) (- 53)) (<= (+ (+ ?v_257 ?v_672) ?v_9) 0)) (or (= (+ ?v_673 ?v_112) (- 30)) (<= (+ (+ (+ ?v_627 ?v_255) ?v_674) ?v_160) 27))))))) (or (and (or (or (and (< (+ ?v_52 ?v_711) 40) (>= (+ (+ ?v_176 ?v_337) ?v_596) (- 50))) (or (> (+ (+ (+ ?v_493 ?v_144) ?v_379) ?v_648) 0) (< (+ (+ ?v_432 ?v_103) ?v_675) 61))) (or (or (<= (+ (+ (+ ?v_620 ?v_340) ?v_676) ?v_8) 14) (= (+ (+ ?v_395 ?v_340) ?v_277) 0)) (and (< (+ (+ (+ ?v_321 ?v_715) ?v_277) ?v_604) 76) (= (+ (+ (+ ?v_539 ?v_616) ?v_629) ?v_675) 0)))) (and (or (or (<= (+ (* (- 59) ?x2) ?v_148) 11) (< (+ (+ ?v_670 ?v_244) ?v_293) 0)) (and (or (not (= (+ (+ ?v_539 ?v_364) ?v_677) 0)) (> (+ (+ ?v_589 ?v_339) ?v_120) (- 52))) (or (and (< (+ ?v_678 ?v_177) 0) (= (+ (+ ?v_679 ?v_556) ?v_293) (- 70))) (or (> (+ (+ ?v_680 ?v_547) ?v_669) 0) (<= (+ (+ ?v_149 ?v_681) ?v_682) 2))))) (or (and (and (>= (+ (+ ?v_496 ?v_505) ?v_574) 0) (= (+ (+ (+ ?v_124 ?v_506) ?v_567) ?v_683) (- 69))) (< (+ (+ ?v_61 ?v_103) ?v_335) 67)) (or (and (= ?v_748 75) (not (= (+ (+ (+ ?v_1 ?v_584) ?v_757) ?v_449) 0))) (and (>= (+ (+ ?v_623 ?v_618) ?v_507) 0) (<= (+ (+ (+ ?v_222 ?v_202) ?v_591) ?v_363) 0)))))) (or (or (and (or (and (>= (+ ?v_350 ?v_272) (- 5)) (< (+ (+ ?v_684 ?v_512) ?v_426) 19)) (= (+ (+ ?v_685 ?v_379) ?v_587) 0)) (and (or (<= (+ (+ (+ ?v_37 ?v_291) ?v_494) ?v_619) 0) (> (+ (+ ?v_321 ?v_686) ?v_583) 68)) (<= ?v_362 17))) (and (or (or (> (+ (+ ?v_437 ?v_687) ?v_105) (- 10)) (>= (+ ?v_371 ?v_178) 16)) (or (<= ?v_649 48) (= (+ (+ (+ ?v_632 ?v_630) ?v_193) ?v_81) (- 87)))) (or (>= (+ (+ ?v_688 ?v_385) ?v_495) (- 74)) (and (< ?v_625 70) (> ?v_275 (- 82)))))) (or (and (and (and (> (+ (+ ?v_191 ?v_688) ?v_238) 23) (<= (+ (+ (+ ?v_322 ?v_526) ?v_101) ?v_413) 42)) (and (>= ?v_490 0) (<= (+ (+ ?v_205 ?v_538) ?v_426) 0))) (or (<= (+ (+ ?v_254 ?v_198) ?v_65) 2) (or (> (+ (+ ?v_179 ?v_689) ?v_155) 41) (>= (+ (+ (+ ?v_73 ?v_47) ?v_113) ?v_610) 76)))) (and (or (and (not (= (+ (+ (+ ?v_690 ?v_584) ?v_402) ?v_197) 59)) (not (= ?v_701 (- 31)))) (or (< (+ (+ ?v_205 ?v_691) ?v_98) 88) (>= (+ (+ ?v_127 ?v_100) ?v_747) 100))) (or (or (> (+ ?v_692 ?v_30) 23) (<= (+ (+ (+ ?v_382 ?v_115) ?v_573) ?v_345) (- 3))) (or (< (+ (+ ?v_255 ?v_477) ?v_469) (- 59)) (<= (+ (+ ?v_637 ?v_329) ?v_693) (- 87))))))))))) (or (and (or (and (or (or (or (and (and (<= (+ (+ ?v_35 ?v_60) ?v_375) (- 78)) (and (not (= (+ (+ ?v_166 ?v_268) ?v_104) (- 60))) (< ?v_179 0))) (and (or (not (= (+ ?v_289 ?v_19) 63)) (>= (+ (+ ?v_622 ?v_182) ?v_672) (- 95))) (and (<= (+ (+ ?v_642 ?v_79) ?v_641) (- 52)) (= (+ (+ ?v_560 ?v_681) ?v_510) (- 25))))) (and (or (>= (+ ?v_521 ?v_694) 0) (>= (+ (+ ?v_561 ?v_695) ?v_327) 0)) (and (and (>= (+ (+ (+ ?v_355 ?v_194) ?v_113) ?v_468) 97) (<= (+ (+ (+ ?v_145 ?v_534) ?v_566) ?v_552) 8)) (or (= (+ (+ (+ ?v_661 ?v_352) ?v_490) ?v_309) 86) (< (+ (+ ?v_547 ?v_172) ?v_696) 4))))) (or (or (or (or (= (+ (+ ?v_342 ?v_402) ?v_587) 0) (not (= (+ (+ ?v_298 ?v_741) ?v_677) (- 6)))) (and (<= (+ ?v_666 ?v_194) 17) (<= (+ ?v_656 ?v_159) (- 4)))) (or (or (= (+ (+ (+ ?v_25 ?v_697) ?v_499) ?v_472) (- 85)) (< (+ (+ ?v_168 ?v_628) ?v_698) (- 89))) (= (+ (+ ?v_524 ?v_687) ?v_574) 90))) (or (or (= (+ (+ (+ ?v_699 ?v_313) ?v_133) ?v_211) 3) (= (+ ?v_700 ?v_138) (- 15))) (or (<= (+ ?v_754 ?v_48) 0) (<= (+ (+ ?v_24 ?v_638) ?v_489) 0))))) (and (or (or (and (or (> (+ (+ ?v_701 ?v_609) ?v_357) 0) (= (+ (+ (+ ?v_458 ?v_695) ?v_546) ?v_262) (- 79))) (and (= (+ ?v_76 ?v_702) 0) (= (+ ?v_632 ?v_468) 0))) (or (and (< (+ (+ (+ ?v_27 ?v_147) ?v_198) ?v_703) 0) (> (+ (+ ?v_701 ?v_221) ?v_13) 0)) (or (<= (+ (+ (+ ?v_678 (* (- 71) ?x2)) ?v_375) ?v_138) 2) (>= (+ (+ (+ ?v_704 ?v_196) ?v_535) ?v_104) (- 68))))) (or (or (<= (+ (+ ?v_338 ?v_498) ?v_219) 6) (or (not (= (+ (+ (+ ?v_514 ?v_10) ?v_405) ?v_648) 72)) (<= (+ (+ (+ ?v_75 ?v_617) ?v_676) ?v_549) (- 1)))) (and (= (+ (+ (+ ?v_170 ?v_480) ?v_425) ?v_243) 72) (or (= (+ (+ ?v_300 ?v_115) ?v_320) 0) (> (+ ?v_488 ?v_519) (- 9)))))) (and (or (and (or (>= (+ (+ ?v_656 ?v_584) ?v_402) (- 98)) (not (= (+ (+ ?v_526 ?v_559) ?v_426) (- 27)))) (or (>= (+ (+ (+ ?v_529 ?v_64) ?v_485) ?v_479) 7) (= (+ (+ (+ ?v_705 ?v_665) ?v_517) ?v_588) 35))) (and (or (> (+ (+ ?v_22 ?v_584) ?v_159) 0) (= (+ (+ ?v_706 ?v_707) ?v_49) 71)) (>= (+ ?v_680 ?v_53) 43))) (and (and (and (> (+ (+ ?v_406 ?v_236) ?v_185) 0) (> (+ ?v_520 ?v_592) 0)) (or (> ?v_258 0) (< (+ (+ (+ ?v_708 ?v_572) ?v_498) ?v_365) 0))) (and (>= (+ ?v_708 ?v_229) 55) (or (not (= (+ (+ ?v_709 ?v_710) ?v_138) 42)) (>= (+ ?v_1 ?v_588) 25))))))) (or (or (and (and (and (or (< (+ (+ ?v_642 ?v_317) ?v_259) (- 68)) (< (+ (+ ?v_29 ?v_101) ?v_468) 0)) (and (<= (+ (+ ?v_526 ?v_417) ?v_711) 68) (<= (+ (+ ?v_257 ?v_658) ?v_335) 59))) (or (>= (+ ?v_432 ?v_712) (- 92)) (and (< (+ ?v_606 (* (- 94) ?x3)) 0) (<= (+ ?v_575 ?v_219) (- 31))))) (and (or (<= (+ (+ (+ ?v_593 ?v_547) ?v_717) ?v_693) 57) (<= (+ (+ (+ ?v_129 ?v_29) ?v_184) ?v_110) 87)) (and (not (= (+ (+ (+ ?v_427 ?v_713) ?v_590) ?v_645) 11)) (and (not (= (+ (+ (+ ?v_467 ?v_189) ?v_508) ?v_612) 51)) (not (= (+ ?v_616 ?v_89) (- 24))))))) (or (or (or (>= (+ ?v_117 ?v_573) (- 80)) (or (> (+ ?v_399 ?v_269) 0) (> (+ (+ ?v_602 ?v_359) ?v_332) 78))) (or (< (+ (+ (+ ?v_44 ?v_640) ?v_481) ?v_372) (- 2)) (or (not (= (+ ?v_38 ?v_725) 33)) (> ?v_713 (- 72))))) (or (and (= (+ (+ ?v_620 ?v_290) ?v_341) (- 60)) (not (= (+ (+ ?v_168 ?v_710) ?v_68) 0))) (or (>= (+ (+ (+ ?v_75 ?v_144) ?v_672) ?v_472) 0) (<= (+ ?v_298 ?v_598) 0))))) (and (and (and (and (or (> (+ (+ (+ ?v_270 ?v_432) ?v_457) ?v_439) 27) (> (+ (+ ?v_5 ?v_595) ?v_272) 0)) (not (= (+ (+ ?v_661 ?v_522) ?v_26) 0))) (and (< (+ (+ (+ ?v_224 ?v_689) ?v_43) ?v_714) 13) (or (> (+ (+ (+ ?v_122 ?v_614) ?v_314) ?v_26) 0) (> (+ (+ ?v_369 ?v_715) ?v_371) (- 12))))) (or (and (or (> (+ (+ ?v_445 ?v_412) ?v_641) 0) (< (+ (+ ?v_670 ?v_505) ?v_288) (- 41))) (or (= (+ (+ ?v_716 ?v_594) ?v_104) 0) (>= (+ (+ ?v_306 ?v_391) ?v_175) (- 50)))) (and (or (>= (+ ?v_464 ?v_385) (- 44)) (>= (+ (+ ?v_2 ?v_555) ?v_62) 31)) (and (not (= (+ (+ ?v_369 ?v_499) ?v_537) 84)) (<= (+ (+ ?v_440 ?v_466) ?v_625) (- 82)))))) (or (or (and (> (+ (+ (+ ?v_666 ?v_229) ?v_371) ?v_335) (- 16)) (not (= (+ (+ ?v_681 ?v_273) ?v_351) 71))) (and (and (= (+ (+ ?v_260 ?v_710) ?v_164) 0) (not (= ?v_717 (- 63)))) (and (> (+ (+ ?v_636 ?v_371) ?v_734) 12) (= (+ ?v_140 ?v_448) 32)))) (and (or (and (< (+ (+ ?v_78 ?v_414) ?v_252) 0) (not (= (+ (+ ?v_408 ?v_396) ?v_718) 42))) (or (> (+ ?v_719 ?v_546) 0) (<= (+ ?v_480 ?v_238) 95))) (or (> (+ (+ ?v_279 ?v_346) ?v_299) (- 49)) (and (<= ?v_277 86) (= (+ (+ ?v_623 ?v_51) ?v_677) 0)))))))) (and (or (or (and (or (and (>= (+ (+ ?v_609 ?v_430) ?v_211) 97) (>= (+ (+ ?v_653 ?v_570) ?v_720) (- 35))) (and (>= (+ (+ ?v_21 ?v_477) ?v_211) 40) (> (+ (+ ?v_6 ?v_318) ?v_345) (- 76)))) (and (or (>= (+ ?v_141 (* 60 ?x3)) 0) (> (+ (+ (+ ?v_403 ?v_721) ?v_314) ?v_131) (- 88))) (or (> (+ (+ ?v_291 ?v_164) ?v_356) 68) (<= (+ (+ (+ ?v_435 ?v_287) ?v_402) ?v_711) 0)))) (and (and (and (> (+ ?v_593 ?v_404) (- 70)) (<= (+ (+ (+ ?v_61 ?v_633) ?v_446) ?v_40) 24)) (or (not (= (+ (+ ?v_287 ?v_541) ?v_619) 0)) (<= (+ ?v_77 ?v_89) (- 39)))) (and (or (> (+ (+ (+ ?v_656 ?v_334) ?v_485) ?v_335) 74) (not (= (+ (+ ?v_145 ?v_412) ?v_157) 0))) (and (and (<= (+ ?v_369 ?v_64) (- 37)) (>= (+ (+ (+ ?v_99 ?v_526) ?v_278) ?v_476) 70)) (or (not (= (+ (+ (+ ?v_163 ?v_681) ?v_676) ?v_677) 90)) (not (= (+ (+ (+ ?v_524 ?v_367) ?v_603) ?v_588) 15))))))) (or (or (and (or (> (+ (+ ?v_551 ?v_713) ?v_358) 5) (> (+ (+ ?v_722 ?v_142) ?v_368) (- 22))) (or (>= (+ (+ ?v_467 ?v_407) ?v_266) 76) (> (+ (+ ?v_387 ?v_559) ?v_372) 98))) (and (= (+ (+ ?v_189 ?v_208) ?v_703) 0) (or (< (+ (+ ?v_192 ?v_18) ?v_465) (- 50)) (< (+ (+ (+ ?v_126 ?v_343) ?v_210) ?v_312) (- 77))))) (or (and (> (+ (+ ?v_622 ?v_404) ?v_315) 0) (and (not (= (+ (+ ?v_50 ?v_334) ?v_241) (- 10))) (>= (+ (+ ?v_355 ?v_352) ?v_272) 0))) (or (> (+ (+ (+ ?v_38 ?v_236) ?v_473) ?v_102) (- 57)) (>= (+ (+ (+ ?v_279 ?v_506) ?v_324) ?v_588) 22))))) (and (or (or (and (>= (+ (+ ?v_422 ?v_202) ?v_536) (- 92)) (= (+ ?v_297 ?v_275) 20)) (or (<= (+ (+ ?v_355 ?v_657) ?v_641) 44) (or (>= (+ (+ (+ ?v_451 ?v_10) ?v_108) ?v_645) (- 50)) (> (+ (+ ?v_753 ?v_723) ?v_114) 53)))) (or (or (and (< (+ (+ (+ ?v_380 ?v_125) ?v_237) ?v_459) (- 74)) (= (+ (+ (+ ?v_724 ?v_91) ?v_535) ?v_468) (- 63))) (and (<= (+ ?v_66 ?v_220) 0) (not (= (+ (+ (+ ?v_656 ?v_475) ?v_518) ?v_65) (- 31))))) (and (or (<= (+ (+ (+ ?v_369 ?v_432) ?v_425) ?v_489) 39) (>= (+ (+ ?v_90 ?v_324) ?v_574) 0)) (or (= ?v_301 (- 33)) (not (= (+ (+ (+ ?v_239 ?v_205) ?v_375) ?v_725) (- 13))))))) (and (or (or (or (< (+ ?v_66 ?v_658) 61) (>= (+ (+ (+ ?v_84 ?v_662) ?v_691) ?v_65) 0)) (>= (+ (+ (+ ?v_726 ?v_727) ?v_707) ?v_26) (- 47))) (or (and (<= (+ (+ (+ ?v_316 ?v_47) ?v_659) ?v_269) (- 99)) (not (= (+ (+ (+ ?v_620 ?v_280) ?v_319) ?v_372) (- 4)))) (and (< (+ ?v_336 ?v_8) (- 53)) (= (+ ?v_420 ?v_237) (- 87))))) (or (or (not (= (+ (+ (+ ?v_661 ?v_728) ?v_729) ?v_714) (- 3))) (> (+ (+ ?v_730 ?v_125) ?v_128) 75)) (or (and (>= (+ (+ ?v_300 ?v_614) ?v_181) 0) (= (+ (+ ?v_229 ?v_198) ?v_588) (- 36))) (and (< (+ (+ (+ ?v_349 ?v_556) ?v_315) ?v_468) (- 23)) (<= (+ ?v_202 ?v_712) (- 66))))))))) (or (or (or (and (and (or (> (+ ?v_608 ?v_169) (- 21)) (and (= (+ (+ ?v_305 ?v_130) ?v_354) 30) (>= (+ (+ ?v_699 ?v_74) ?v_712) 22))) (or (or (not (= ?v_450 71)) (>= (+ (+ (+ ?v_701 ?v_331) ?v_538) ?v_714) 88)) (< (+ (+ (+ ?v_470 ?v_404) ?v_457) ?v_583) 0))) (or (and (or (<= (+ ?v_129 ?v_555) (- 78)) (< (+ ?v_731 ?v_181) (- 65))) (and (and (> (+ (+ (+ ?v_735 ?v_125) ?v_242) ?v_272) 96) (>= (+ ?v_620 ?v_703) 64)) (and (= (+ (+ (+ ?v_180 ?v_216) ?v_481) ?v_368) 74) (>= (+ (+ ?v_458 ?v_236) ?v_416) (- 11))))) (or (<= (+ (+ (+ ?v_670 ?v_617) ?v_590) ?v_528) 29) (and (> (+ (+ ?v_722 ?v_313) ?v_615) 35) (<= (+ (+ ?v_670 ?v_511) ?v_353) 63))))) (and (or (and (or (and (< (+ (+ (+ ?v_732 ?v_235) ?v_615) ?v_275) (- 11)) (not (= (+ (+ (+ ?v_24 ?v_540) ?v_594) ?v_733) 15))) (or (= (+ ?v_207 ?v_269) 26) (= (+ (+ ?v_730 ?v_443) ?v_18) 0))) (or (< (+ ?v_652 ?v_181) 76) (> (+ (+ (+ ?v_24 ?v_0) ?v_507) ?v_28) (- 100)))) (and (and (and (<= (+ (+ ?v_715 ?v_634) ?v_188) 59) (= (+ (+ ?v_680 ?v_687) ?v_472) (- 31))) (and (> (+ ?v_728 ?v_698) 0) (< (+ (+ (+ ?v_755 ?v_432) ?v_265) ?v_68) 61))) (or (or (> (+ (+ ?v_4 ?v_718) ?v_734) 9) (< (+ (+ ?v_514 ?v_584) ?v_707) 94)) (and (>= (+ (+ ?v_107 ?v_278) ?v_330) (- 86)) (not (= (+ (+ ?v_22 ?v_614) ?v_281) 99)))))) (or (or (and (and (>= (+ ?v_562 ?v_288) 70) (<= (+ (+ (+ ?v_735 ?v_158) ?v_590) ?v_151) (- 91))) (and (= (+ (+ ?v_736 ?v_253) ?v_737) 38) (> (+ ?v_738 ?v_240) (- 99)))) (or (or (<= (+ (+ ?v_701 ?v_586) ?v_320) (- 85)) (< (+ (+ ?v_93 ?v_194) ?v_381) 70)) (and (<= (+ (+ ?v_576 ?v_750) ?v_649) 86) (= (+ (+ (+ ?v_429 ?v_665) ?v_643) ?v_579) 0)))) (or (and (or (not (= (+ (+ (+ ?v_627 ?v_135) ?v_277) ?v_299) (- 9))) (= ?v_306 0)) (or (>= (+ (+ ?v_670 ?v_635) ?v_16) (- 5)) (> (+ ?v_514 ?v_597) (- 30)))) (or (and (not (= (+ (+ (+ ?v_467 ?v_5) ?v_536) ?v_169) (- 66))) (not (= (+ (+ ?v_660 ?v_308) ?v_102) 36))) (and (not (= (+ ?v_412 ?v_501) (- 15))) (>= (+ (+ ?v_234 ?v_325) ?v_739) 4))))))) (or (and (or (and (= (+ (+ ?v_287 ?v_43) ?v_341) (- 25)) (not (= (+ (+ ?v_44 ?v_192) ?v_740) (- 15)))) (and (< (+ (+ (+ ?v_575 ?v_51) ?v_113) ?v_57) 0) (< (+ (+ ?v_389 ?v_741) ?v_474) 0))) (and (and (<= (+ (+ (+ ?v_709 ?v_203) ?v_184) ?v_544) (- 79)) (< (+ ?v_488 ?v_173) 0)) (>= (+ ?v_207 ?v_574) 0))) (and (and (and (>= ?v_246 85) (< (+ (+ ?v_305 ?v_203) ?v_231) (- 5))) (and (> (+ (+ ?v_742 ?v_684) ?v_249) 39) (= (+ (+ ?v_670 ?v_205) ?v_674) 0))) (and (not (= (+ (+ ?v_503 ?v_592) ?v_743) 0)) (or (not (= (+ ?v_445 ?v_171) 72)) (<= (+ (+ (+ ?v_705 ?v_695) ?v_137) ?v_365) (- 46))))))) (and (and (and (and (or (or (>= (+ (+ (+ ?v_321 ?v_637) ?v_253) ?v_744) 79) (> ?v_679 (- 25))) (or (< (+ (+ (+ ?v_678 ?v_570) ?v_707) ?v_218) (- 68)) (= (+ (+ (+ ?v_380 ?v_727) ?v_538) ?v_266) (- 90)))) (and (and (or (>= (+ (+ ?v_542 ?v_567) ?v_698) (- 65)) (not (= (+ (+ ?v_285 ?v_728) ?v_325) 78))) (and (> (+ ?v_425 ?v_639) 0) (< (+ (+ (+ ?v_483 ?v_116) ?v_745) ?v_269) 85))) (and (= (+ (+ ?v_435 ?v_630) ?v_601) 3) (or (not (= (+ (+ ?v_746 ?v_527) ?v_226) (- 66))) (<= (+ (+ ?v_6 ?v_517) ?v_537) 77))))) (or (and (or (not (= (+ (+ ?v_441 ?v_460) ?v_747) (- 31))) (< (+ (+ (+ ?v_561 ?v_343) ?v_105) ?v_544) (- 17))) (and (and (> (+ ?v_620 ?v_720) 54) (= (+ ?v_84 ?v_748) 0)) (or (not (= (+ (+ (+ ?v_749 ?v_318) ?v_682) ?v_218) 48)) (>= (+ (+ ?v_529 ?v_36) ?v_265) 13)))) (or (> (+ (+ ?v_640 ?v_30) ?v_284) (- 60)) (and (= ?v_142 87) (> (+ (+ (+ ?v_63 ?v_313) ?v_720) ?v_12) (- 31)))))) (and (or (or (and (or (< (+ (+ ?v_593 ?v_716) ?v_114) 37) (< (+ (+ (+ ?v_463 ?v_713) ?v_750) ?v_416) 0)) (>= (+ (+ (+ ?v_632 ?v_215) ?v_364) ?v_413) (- 89))) (and (or (not (= (+ (+ (+ ?v_632 ?v_376) ?v_113) ?v_426) 87)) (>= (+ (+ (+ ?v_636 ?v_294) ?v_414) ?v_275) 82)) (and (not (= ?v_744 (- 9))) (<= ?v_29 (- 55))))) (or (or (or (> (+ ?v_504 ?v_366) (- 24)) (>= (+ ?v_382 ?v_136) (- 56))) (and (>= (+ (+ ?v_716 ?v_634) ?v_491) 88) (> (+ (+ (+ ?v_134 ?v_398) ?v_329) ?v_501) 0))) (or (and (> (+ (+ ?v_551 ?v_271) ?v_30) 0) (= (+ (+ ?v_527 ?v_137) (* (- 46) ?x4)) (- 25))) (and (not (= (+ (+ ?v_403 ?v_135) ?v_208) 72)) (= (+ ?v_97 ?v_421) (- 43)))))) (or (or (or (= (+ (+ (+ ?v_61 ?v_246) ?v_207) ?v_169) (- 3)) (or (not (= (+ (+ ?v_679 ?v_567) ?v_588) 24)) (= (+ (+ ?v_75 ?v_370) ?v_509) 0))) (or (<= (+ ?v_582 ?v_162) 0) (>= (+ (+ (+ ?v_732 ?v_376) ?v_58) (* 85 ?x4)) 0))) (or (and (and (> (+ (+ ?v_144 ?v_385) ?v_347) 0) (> (+ (+ ?v_75 ?v_519) ?v_741) 0)) (and (not (= (+ ?v_91 ?v_457) (- 87))) (> (+ (+ ?v_183 ?v_573) ?v_737) 96))) (or (<= (+ ?v_492 ?v_477) (- 18)) (or (> (+ ?v_526 ?v_357) 0) (= (+ (+ ?v_260 ?v_637) ?v_573) 0))))))) (or (or (and (and (> (+ ?v_257 ?v_668) (- 87)) (>= (+ (+ (+ ?v_504 ?v_229) ?v_71) ?v_413) 34)) (and (>= (+ (+ ?v_748 ?v_751) ?v_320) (- 74)) (<= (+ (+ ?v_532 ?v_531) ?v_752) (- 55)))) (or (>= (+ (+ ?v_440 ?v_36) ?v_668) 0) (and (>= (+ (+ ?v_37 ?v_570) ?v_756) 70) (< (+ (+ (+ ?v_470 ?v_547) ?v_676) ?v_426) 67)))) (or (and (and (> (+ (+ (+ ?v_46 ?v_526) ?v_146) ?v_619) 0) (or (> (+ (+ ?v_753 ?v_48) ?v_655) 92) (>= (+ (+ ?v_69 ?v_484) ?v_155) (- 26)))) (or (and (< (+ (+ ?v_228 ?v_399) ?v_510) (- 2)) (or (>= (+ (+ (+ ?v_90 ?v_235) ?v_629) ?v_70) 37) (< (+ (+ (+ ?v_749 ?v_370) ?v_553) ?v_131) 0))) (or (and (<= (+ (+ (+ ?v_145 ?v_448) ?v_425) ?v_501) (- 91)) (>= (+ (+ ?v_722 ?v_518) ?v_112) (- 95))) (and (= (+ (+ ?v_644 ?v_591) ?v_752) 0) (<= (+ (+ (+ ?v_180 ?v_684) ?v_101) ?v_19) 14))))) (or (or (and (and (>= (+ (+ ?v_224 ?v_261) ?v_83) 7) (<= (+ (+ ?v_352 ?v_286) ?v_288) 59)) (or (= (+ (+ ?v_458 ?v_754) ?v_363) 0) (< (+ (+ ?v_59 ?v_471) ?v_645) 0))) (or (>= (+ (+ (+ ?v_191 ?v_234) ?v_324) ?v_604) 0) (and (< (+ ?v_755 ?v_110) 0) (< (+ (+ (+ ?v_392 ?v_280) ?v_333) ?v_118) 0)))) (or (or (>= (+ (+ (+ ?v_24 ?v_142) ?v_67) ?v_698) 0) (not (= (+ (+ (+ ?v_467 ?v_525) ?v_249) ?v_368) 0))) (and (> (+ (+ ?v_504 ?v_390) ?v_19) (- 43)) (> (+ (+ (+ ?v_63 ?v_234) ?v_559) ?v_363) (- 1)))))))))) (and (and (and (and (or (or (and (not (= (+ ?v_36 ?v_55) 3)) (<= (+ (+ ?v_701 ?v_11) ?v_393) (- 34))) (>= (+ (+ ?v_403 ?v_628) ?v_375) (- 20))) (and (> (+ (+ (+ ?v_542 ?v_283) ?v_498) ?v_744) (- 85)) (<= (+ (+ ?v_520 ?v_550) ?v_89) 12))) (and (or (and (and (>= (+ (+ ?v_704 ?v_11) ?v_603) 0) (not (= (+ (+ (+ ?v_349 ?v_29) ?v_745) ?v_19) (- 1)))) (>= ?v_394 (- 20))) (and (and (<= (+ ?v_704 ?v_484) 0) (> (+ (+ ?v_735 ?v_87) ?v_118) (- 61))) (or (< (+ ?v_277 ?v_739) 58) (not (= (+ ?v_316 ?v_345) (- 91)))))) (and (or (and (= ?v_41 (- 42)) (= (+ (+ ?v_304 ?v_442) ?v_167) (- 99))) (> (+ ?v_182 ?v_766) 0)) (or (>= (+ ?v_433 ?v_756) 25) (> (+ ?v_708 ?v_637) (- 36)))))) (or (and (or (and (not (= (+ (+ ?v_310 ?v_86) ?v_552) 51)) (or (<= (+ (+ (+ ?v_524 ?v_60) ?v_598) ?v_209) 0) (>= (+ (+ (+ ?v_690 ?v_76) ?v_757) ?v_65) 0))) (< (+ (+ ?v_52 ?v_412) ?v_106) 43)) (and (or (= (+ (+ ?v_633 ?v_324) ?v_737) 0) (= (+ (+ ?v_576 ?v_172) ?v_175) 0)) (or (not (= (+ (+ ?v_514 ?v_202) (* (- 18) ?x4)) 69)) (< (+ (+ ?v_532 ?v_394) ?v_501) 0)))) (and (or (and (> (+ (+ ?v_667 ?v_246) ?v_94) 48) (>= (+ (+ ?v_724 ?v_286) ?v_197) (- 29))) (or (<= (+ (+ (+ ?v_361 ?v_613) ?v_536) ?v_552) (- 1)) (>= (+ ?v_546 ?v_157) 91))) (or (and (= (+ (+ (+ ?v_154 ?v_454) ?v_557) ?v_426) 56) (not (= (+ ?v_480 ?v_455) (- 90)))) (and (<= (+ (+ ?v_758 ?v_473) ?v_28) (- 4)) (<= (+ ?v_331 ?v_324) (- 40))))))) (and (or (or (or (not (= (+ (+ ?v_663 ?v_246) ?v_557) (- 27))) (< (+ (+ ?v_349 ?v_536) ?v_759) 82)) (or (< (+ ?v_630 ?v_486) (- 20)) (not (= (+ ?v_199 ?v_378) 90)))) (and (= (+ ?v_397 ?v_442) (- 42)) (> (+ (+ ?v_760 ?v_572) ?v_368) 80))) (and (and (and (or (and (= (+ (+ (+ ?v_427 ?v_366) ?v_30) ?v_583) (- 69)) (< (+ (+ (+ ?v_361 ?v_454) ?v_371) ?v_431) (- 44))) (or (>= (+ (+ (+ ?v_732 ?v_597) ?v_53) ?v_668) 55) (<= (+ (+ ?v_121 ?v_236) ?v_372) 0))) (or (and (not (= (+ (+ ?v_736 ?v_281) ?v_162) 0)) (not (= (+ (+ ?v_451 ?v_294) ?v_198) 0))) (or (> (+ (+ ?v_504 ?v_402) ?v_611) 32) (= (+ (+ (+ ?v_338 ?v_147) ?v_247) ?v_118) 66)))) (or (and (<= (+ (+ ?v_493 ?v_375) ?v_209) 92) (> (+ ?v_61 ?v_590) 0)) (or (or (> (+ (+ ?v_183 ?v_566) ?v_269) 74) (> (+ ?v_359 ?v_479) 92)) (or (= (+ (+ ?v_10 ?v_113) ?v_664) 21) (<= (+ (+ ?v_336 ?v_32) ?v_729) 0))))) (and (and (not (= (+ (+ ?v_542 ?v_748) ?v_535) 0)) (or (< (+ (+ ?v_636 ?v_729) ?v_28) (- 26)) (< ?v_738 0))) (or (>= (+ (+ (+ ?v_433 ?v_761) ?v_79) ?v_762) 61) (>= (+ (+ ?v_27 ?v_471) ?v_654) 0)))))) (and (and (and (or (or (> ?v_159 92) (<= (+ ?v_720 ?v_763) 78)) (and (and (= (+ (+ ?v_205 ?v_729) ?v_476) (- 40)) (<= (+ ?v_64 ?v_629) 50)) (and (= (+ (+ (+ ?v_724 ?v_461) ?v_79) ?v_351) 89) (= (+ ?v_701 ?v_229) 0)))) (or (or (or (and (<= (+ (+ ?v_506 ?v_764) ?v_8) (- 87)) (> (+ (+ (+ ?v_132 ?v_5) ?v_590) ?v_765) (- 70))) (< (+ (+ ?v_140 ?v_391) ?v_669) 88)) (or (and (>= (+ ?v_85 ?v_299) 0) (= ?v_672 (- 12))) (or (not (= (+ (+ ?v_644 ?v_618) ?v_430) 0)) (<= (+ ?v_433 ?v_413) (- 63))))) (or (or (<= (+ (+ (+ ?v_38 ?v_475) ?v_325) ?v_648) (- 10)) (>= (+ (+ ?v_686 ?v_473) ?v_138) 10)) (or (or (> (+ ?v_71 ?v_173) (- 100)) (< (+ (+ ?v_21 ?v_457) ?v_703) 25)) (or (> ?v_158 (- 25)) (not (= (+ (+ (+ ?v_349 ?v_263) ?v_507) ?v_465) 86))))))) (and (or (and (> (+ ?v_422 ?v_628) (- 79)) (< (+ (+ ?v_646 ?v_766) ?v_544) 19)) (or (<= (+ ?v_38 ?v_87) (- 90)) (>= (+ (+ ?v_646 ?v_767) ?v_416) 64))) (or (or (and (> (+ (+ ?v_179 ?v_471) ?v_768) 0) (not (= (+ (+ (* 41 ?x1) ?v_251) ?v_177) (- 33)))) (or (and (< (+ (+ (+ ?v_179 ?v_399) ?v_329) ?v_762) 100) (<= (+ (+ (+ ?v_678 ?v_396) ?v_394) ?v_552) 0)) (or (< (+ (+ ?v_27 ?v_192) ?v_87) 64) (< (+ (+ ?v_191 ?v_161) ?v_546) 55)))) (and (or (or (= (+ (+ ?v_769 ?v_716) ?v_659) (- 18)) (< (+ (+ ?v_661 ?v_630) ?v_702) 10)) (not (= (+ (+ (+ ?v_338 ?v_221) ?v_79) ?v_159) (- 6)))) (and (or (> (+ (+ ?v_316 ?v_210) ?v_335) 62) (>= (+ (+ (+ ?v_770 ?v_548) ?v_319) ?v_552) (- 74))) (and (not (= (+ (+ ?v_334 ?v_415) ?v_243) (- 16))) (not (= (+ (+ (+ ?v_451 ?v_771) ?v_500) ?v_157) (- 13))))))))) (or (or (and (and (or (> (+ (+ ?v_470 ?v_190) ?v_240) 0) (>= (+ (+ (+ ?v_254 ?v_689) ?v_241) ?v_413) (- 74))) (or (<= (+ (+ ?v_715 ?v_702) ?v_138) 17) (= (+ (+ (+ ?v_397 ?v_565) ?v_184) ?v_587) 0))) (and (and (>= (+ (+ ?v_690 ?v_220) ?v_104) (- 65)) (<= (+ (+ ?v_542 ?v_205) ?v_415) 71)) (or (= (+ (+ ?v_585 ?v_137) ?v_772) (- 67)) (not (= (+ ?v_128 ?v_649) 33))))) (and (or (> (+ ?v_298 ?v_566) 23) (and (not (= (+ (+ ?v_336 ?v_189) ?v_151) 72)) (= (+ (+ (+ ?v_560 ?v_748) ?v_327) ?v_612) (- 49)))) (or (<= (+ (+ (+ ?v_732 ?v_337) ?v_773) ?v_577) 0) (or (> (+ (+ (+ ?v_608 ?v_373) ?v_394) ?v_102) (- 15)) (> (+ (+ ?v_570 ?v_409) ?v_151) 72))))) (and (or (or (or (<= (+ (+ ?v_342 ?v_637) ?v_139) 38) (= (+ (+ ?v_633 ?v_317) ?v_230) 0)) (or (<= (+ (+ ?v_176 ?v_189) ?v_508) (- 94)) (> ?v_196 0))) (and (or (> (+ (+ ?v_191 ?v_350) ?v_165) 0) (> (+ (+ ?v_686 ?v_773) ?v_604) 6)) (>= (+ (+ ?v_562 ?v_206) ?v_696) 0))) (and (and (or (>= (+ ?v_134 ?v_60) (- 71)) (>= (+ (+ ?v_279 ?v_428) ?v_109) (- 71))) (or (not (= (+ (+ ?v_337 ?v_457) ?v_226) (- 60))) (= (+ (+ (+ ?v_755 ?v_456) ?v_521) ?v_694) 0))) (and (and (not (= (+ (+ ?v_136 ?v_507) ?v_677) 15)) (<= (+ (+ (+ ?v_256 ?v_503) ?v_379) ?v_173) (- 100))) (> (+ (+ (+ ?v_239 ?v_684) ?v_364) ?v_472) (- 55))))))))))))))))))))))
(check-sat)
(exit)
