(set-info :smt-lib-version 2.6)
(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :category "random")
(set-info :status unsat)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(assert (forall ((?x1 Real)) (exists ((?x2 Real)) (forall ((?x3 Real)) (exists ((?x4 Real)) (let ((?v_605 (* 18 ?x2)) (?v_359 (* 88 ?x3)) (?v_10 (* 82 ?x4)) (?v_351 (* 33 ?x1)) (?v_182 (* 98 ?x2)) (?v_50 (* 99 ?x3)) (?v_17 (* 47 ?x1)) (?v_436 (* 16 ?x4)) (?v_6 (* 62 ?x2)) (?v_427 (* 36 ?x4)) (?v_418 (* 40 ?x1)) (?v_98 (* 100 ?x2)) (?v_140 (* 23 ?x1)) (?v_610 (* 79 ?x1)) (?v_5 (* 42 ?x2)) (?v_161 (* 23 ?x4)) (?v_34 (* 68 ?x4)) (?v_266 (* 14 ?x4)) (?v_517 (* 9 ?x1)) (?v_257 (* 38 ?x2)) (?v_36 (* 41 ?x2)) (?v_388 (* 89 ?x4)) (?v_23 (* 27 ?x2)) (?v_39 (* 65 ?x2)) (?v_264 (* 44 ?x1)) (?v_600 (* 20 ?x4)) (?v_11 (* 87 ?x1)) (?v_345 (* 26 ?x2)) (?v_665 (* 95 ?x2)) (?v_13 (* 39 ?x1)) (?v_31 (* 11 ?x1)) (?v_12 (* 67 ?x1)) (?v_18 (* 40 ?x3)) (?v_394 (* 61 ?x1)) (?v_169 (* 71 ?x3)) (?v_45 (* 64 ?x4)) (?v_429 (* 71 ?x2)) (?v_310 (* 56 ?x1)) (?v_445 (* 76 ?x3)) (?v_87 (* 34 ?x4)) (?v_92 (* 49 ?x1)) (?v_26 (* 44 ?x2))) (let ((?v_46 (+ ?v_92 ?v_26)) (?v_522 (* 16 ?x2)) (?v_614 (* 62 ?x1)) (?v_244 (* 97 ?x3)) (?v_113 (* 38 ?x1)) (?v_249 (* 89 ?x2)) (?v_101 (* 80 ?x3)) (?v_446 (* 4 ?x1)) (?v_672 (* 54 ?x2)) (?v_72 (* 16 ?x3)) (?v_131 (* 63 ?x2)) (?v_493 (* 25 ?x4)) (?v_43 (* 65 ?x4)) (?v_607 (* 82 ?x2)) (?v_712 (* 64 ?x2)) (?v_91 (* 68 ?x3)) (?v_19 (* 45 ?x4)) (?v_476 (* 74 ?x1)) (?v_54 (* 72 ?x3)) (?v_35 (* 90 ?x2)) (?v_25 (* 44 ?x3)) (?v_274 (* 52 ?x4)) (?v_114 (* 53 ?x2)) (?v_778 (* 93 ?x2)) (?v_149 (* 38 ?x4)) (?v_532 (* 64 ?x3)) (?v_298 (* 28 ?x4)) (?v_215 (* 10 ?x3)) (?v_379 (* 36 ?x1)) (?v_103 (* 32 ?x2)) (?v_153 (* 48 ?x4)) (?v_535 (* 94 ?x4)) (?v_48 (* 77 ?x1)) (?v_40 (* 93 ?x3)) (?v_305 (* 54 ?x1)) (?v_255 (* 17 ?x4)) (?v_177 (* 1 ?x1)) (?v_272 (* 24 ?x4)) (?v_126 (* 12 ?x1)) (?v_204 (* 38 ?x3)) (?v_56 (* 75 ?x2)) (?v_88 (* 95 ?x3)) (?v_483 (* 7 ?x2)) (?v_332 (* 18 ?x3)) (?v_166 (* 95 ?x1)) (?v_290 (* 5 ?x4)) (?v_65 (* 89 ?x1)) (?v_444 (* 84 ?x1)) (?v_59 (* 80 ?x1)) (?v_137 (* 61 ?x3)) (?v_519 (* 22 ?x2)) (?v_30 (* 74 ?x3)) (?v_134 (* 2 ?x4)) (?v_57 (* 17 ?x2)) (?v_152 (* 62 ?x3)) (?v_51 (* 58 ?x4)) (?v_128 (* 35 ?x1)) (?v_62 (* 4 ?x2)) (?v_61 (* 69 ?x3)) (?v_106 (* 21 ?x1)) (?v_178 (* 90 ?x3)) (?v_544 (* 91 ?x4)) (?v_225 (* 51 ?x2)) (?v_400 (* 67 ?x4)) (?v_116 (* 6 ?x3)) (?v_256 (* 26 ?x1)) (?v_449 (* 50 ?x3)) (?v_385 (* 27 ?x4)) (?v_150 (* 32 ?x1)) (?v_104 (* 84 ?x3)) (?v_331 (* 28 ?x2)) (?v_151 (* 42 ?x4)) (?v_250 (* 60 ?x3)) (?v_111 (* 17 ?x3)) (?v_341 (* 18 ?x4)) (?v_312 (* 77 ?x2)) (?v_576 (* 97 ?x4)) (?v_206 (* 16 ?x1)) (?v_288 (* 45 ?x2)) (?v_485 (* 31 ?x1)) (?v_63 (* 22 ?x3)) (?v_553 (* 15 ?x1)) (?v_218 (* 45 ?x3)) (?v_687 (* 40 ?x4)) (?v_494 (* 55 ?x1)) (?v_569 (* 34 ?x2)) (?v_362 (* 11 ?x4)) (?v_509 (* 41 ?x4)) (?v_245 (* 21 ?x2)) (?v_554 (* 81 ?x4)) (?v_84 (* 37 ?x4)) (?v_117 (* 93 ?x1)) (?v_453 (* 1 ?x3)) (?v_139 (* 17 ?x1)) (?v_563 (* 19 ?x1)) (?v_678 (* 13 ?x4)) (?v_430 (* 59 ?x3)) (?v_89 (* 76 ?x4)) (?v_237 (* 99 ?x4)) (?v_277 (* 75 ?x1)) (?v_241 (* 53 ?x4)) (?v_246 (* 20 ?x2)) (?v_189 (* 75 ?x3)) (?v_276 (* 66 ?x4)) (?v_143 (* 95 ?x4)) (?v_187 (* 22 ?x4)) (?v_336 (* 77 ?x4)) (?v_265 (* 2 ?x3)) (?v_78 (* 29 ?x3)) (?v_102 (* 14 ?x2)) (?v_119 (* 57 ?x1)) (?v_410 (* 11 ?x2)) (?v_207 (* 73 ?x2)) (?v_368 (* 85 ?x4)) (?v_743 (* 41 ?x1)) (?v_184 (* 76 ?x2)) (?v_109 (* 73 ?x1)) (?v_185 (* 96 ?x3)) (?v_417 (* 79 ?x4)) (?v_625 (* 3 ?x1)) (?v_135 (* 53 ?x1)) (?v_706 (* 37 ?x1)) (?v_565 (* 98 ?x3)) (?v_127 (* 31 ?x3)) (?v_192 (* 88 ?x4)) (?v_538 (* 65 ?x3)) (?v_197 (* 59 ?x2)) (?v_339 (* 30 ?x3)) (?v_287 (* 10 ?x4)) (?v_367 (* 33 ?x3)) (?v_275 (* 2 ?x2)) (?v_542 (* 46 ?x1)) (?v_168 (* 98 ?x4)) (?v_316 (* 1 ?x2)) (?v_333 (* 78 ?x3)) (?v_129 (* 99 ?x2)) (?v_693 (* 60 ?x2)) (?v_413 (* 3 ?x3)) (?v_148 (* 54 ?x4)) (?v_590 (* 43 ?x4)) (?v_714 (* 33 ?x4)) (?v_295 (* 28 ?x1)) (?v_384 (* 31 ?x2)) (?v_247 (* 70 ?x3)) (?v_136 (* 46 ?x2)) (?v_156 (* 24 ?x3)) (?v_294 (* 14 ?x3)) (?v_196 (* 5 ?x1)) (?v_219 (* 47 ?x2)) (?v_477 (* 94 ?x3)) (?v_539 (* 82 ?x1)) (?v_141 (* 91 ?x3)) (?v_138 (* 35 ?x4)) (?v_643 (* 78 ?x2)) (?v_329 (* 86 ?x3)) (?v_157 (* 71 ?x4)) (?v_142 (* 63 ?x4)) (?v_252 (* 63 ?x1)) (?v_145 (* 49 ?x2)) (?v_723 (* 52 ?x3)) (?v_205 (* 57 ?x4)) (?v_552 (* 61 ?x4)) (?v_599 (* 61 ?x2)) (?v_202 (* 20 ?x1)) (?v_299 (* 9 ?x2)) (?v_573 (* 72 ?x1)) (?v_315 (* 90 ?x4)) (?v_163 (* 48 ?x1)) (?v_561 (* 8 ?x3)) (?v_171 (* 48 ?x2)) (?v_211 (* 36 ?x2)) (?v_348 (* 68 ?x2)) (?v_527 (* 34 ?x3)) (?v_258 (* 24 ?x1)) (?v_217 (* 6 ?x2)) (?v_214 (* 22 ?x1)) (?v_213 (* 66 ?x3)) (?v_233 (* 5 ?x2)) (?v_724 (* 39 ?x4)) (?v_726 (* 4 ?x3)) (?v_240 (* 9 ?x3)) (?v_259 (* 9 ?x4)) (?v_635 (* 49 ?x3)) (?v_208 (* 32 ?x4)) (?v_545 (* 74 ?x4)) (?v_662 (* 29 ?x4)) (?v_199 (* 31 ?x4)) (?v_641 (* 26 ?x4)) (?v_251 (* 47 ?x3)) (?v_296 (* 80 ?x4)) (?v_656 (* 69 ?x4)) (?v_343 (* 75 ?x4)) (?v_260 (* 50 ?x1)) (?v_729 (* 53 ?x3)) (?v_224 (* 50 ?x4)) (?v_404 (* 42 ?x1)) (?v_572 (* 11 ?x3)) (?v_504 (* 81 ?x3)) (?v_426 (* 97 ?x1)) (?v_284 (* 78 ?x4)) (?v_281 (* 91 ?x2)) (?v_497 (* 19 ?x3)) (?v_360 (* 47 ?x4)) (?v_220 (* 91 ?x1)) (?v_540 (* 96 ?x2)) (?v_776 (* 15 ?x3)) (?v_371 (* 52 ?x1)) (?v_585 (* 21 ?x3)) (?v_306 (* 29 ?x2)) (?v_557 (* 13 ?x2)) (?v_286 (* 70 ?x4)) (?v_322 (* 32 ?x3)) (?v_515 (* 18 ?x1)) (?v_330 (* 73 ?x4)) (?v_675 (* 86 ?x4)) (?v_370 (* 1 ?x4)) (?v_660 (* 23 ?x2)) (?v_374 (* 94 ?x2)) (?v_654 (* 57 ?x3)) (?v_438 (* 68 ?x1)) (?v_465 (* 69 ?x1)) (?v_558 (* 43 ?x3)) (?v_649 (* 35 ?x3)) (?v_651 (* 33 ?x2)) (?v_686 (* 25 ?x2)) (?v_564 (* 45 ?x1)) (?v_283 (* 46 ?x4)) (?v_473 (* 62 ?x4)) (?v_669 (* 8 ?x1)) (?v_364 (* 80 ?x2)) (?v_431 (* 42 ?x3)) (?v_701 (* 57 ?x2)) (?v_480 (* 55 ?x3)) (?v_618 (* 51 ?x4)) (?v_375 (* 39 ?x3)) (?v_304 (* 76 ?x1)) (?v_503 (* 59 ?x1)) (?v_297 (* 83 ?x1)) (?v_324 (* 73 ?x3)) (?v_415 (* 83 ?x2)) (?v_372 (* 39 ?x2)) (?v_342 (* 93 ?x4)) (?v_425 (* 60 ?x1)) (?v_376 (* 8 ?x2)) (?v_406 (* 29 ?x1)) (?v_307 (* 83 ?x3)) (?v_482 (* 92 ?x2)) (?v_317 (* 97 ?x2)) (?v_389 (* 84 ?x2)) (?v_661 (* 23 ?x3)) (?v_326 (* 40 ?x2)) (?v_390 (* 41 ?x3)) (?v_365 (* 98 ?x1)) (?v_463 (* 49 ?x4)) (?v_628 (* 84 ?x4)) (?v_536 (* 85 ?x1)) (?v_475 (* 51 ?x3)) (?v_531 (* 81 ?x1)) (?v_387 (* 87 ?x3)) (?v_567 (* 100 ?x1)) (?v_393 (* 59 ?x4)) (?v_500 (* 12 ?x4)) (?v_521 (* 2 ?x1)) (?v_659 (* 60 ?x4)) (?v_488 (* 27 ?x1)) (?v_534 (* 96 ?x4)) (?v_631 (* 43 ?x1)) (?v_435 (* 28 ?x3)) (?v_699 (* 82 ?x3)) (?v_523 (* 67 ?x2)) (?v_432 (* 15 ?x2)) (?v_424 (* 4 ?x4)) (?v_457 (* 7 ?x1)) (?v_592 (* 100 ?x4)) (?v_577 (* 86 ?x1)) (?v_420 (* 30 ?x1)) (?v_673 (* 92 ?x3)) (?v_447 (* 96 ?x1)) (?v_704 (* 30 ?x2)) (?v_601 (* 13 ?x1)) (?v_481 (* 58 ?x3)) (?v_555 (* 37 ?x2)) (?v_773 (* 48 ?x3)) (?v_541 (* 56 ?x3)) (?v_454 (* 25 ?x3)) (?v_742 (* 44 ?x4)) (?v_633 (* 27 ?x3)) (?v_681 (* 78 ?x1)) (?v_560 (* 21 ?x4)) (?v_549 (* 99 ?x1)) (?v_717 (* 81 ?x2)) (?v_739 (* 15 ?x4)) (?v_505 (* 10 ?x2)) (?v_479 (* 85 ?x3)) (?v_484 (* 54 ?x3)) (?v_525 (* 92 ?x1)) (?v_543 (* 85 ?x2)) (?v_487 (* 56 ?x4)) (?v_489 (* 43 ?x2)) (?v_638 (* 30 ?x4)) (?v_759 (* 12 ?x2)) (?v_624 (* 87 ?x2)) (?v_606 (* 50 ?x2)) (?v_750 (* 79 ?x3)) (?v_537 (* 72 ?x2)) (?v_533 (* 24 ?x2)) (?v_781 (* 19 ?x2)) (?v_516 (* 70 ?x2)) (?v_591 (* 63 ?x3)) (?v_756 (* 19 ?x4)) (?v_755 (* 34 ?x1)) (?v_609 (* 13 ?x3)) (?v_574 (* 51 ?x1)) (?v_584 (* 35 ?x2)) (?v_747 (* 37 ?x3)) (?v_580 (* 20 ?x3)) (?v_684 (* 52 ?x2)) (?v_640 (* 46 ?x3)) (?v_597 (* 83 ?x4)) (?v_671 (* 90 ?x1)) (?v_708 (* 6 ?x4)) (?v_666 (* 7 ?x4)) (?v_703 (* 74 ?x2)) (?v_692 (* 14 ?x1)) (?v_589 (* 66 ?x1)) (?v_696 (* 56 ?x2)) (?v_683 (* 25 ?x1)) (?v_685 (* 94 ?x1)) (?v_667 (* 88 ?x1))) (let ((?v_752 (+ ?v_542 ?v_333)) (?v_642 (* 3 ?x2)) (?v_664 (* 12 ?x3)) (?v_740 (* 26 ?x3)) (?v_644 (* 7 ?x3)) (?v_695 (* 77 ?x3)) (?v_705 (* 5 ?x3)) (?v_727 (* 86 ?x2)) (?v_713 (* 87 ?x4)) (?v_745 (* 65 ?x1)) (?v_718 (* 6 ?x1)) (?v_744 (* 67 ?x3)) (?v_775 (* 10 ?x1)) (?v_748 (* 70 ?x1)) (?v_767 (* 100 ?x3)) (?v_771 (* 89 ?x3)) (?v_782 (* 8 ?x4)) (?v_0 (* (- 41) ?x3)) (?v_158 (* (- 45) ?x4)) (?v_7 (* (- 87) ?x1)) (?v_14 (* (- 21) ?x2)) (?v_21 (* (- 47) ?x4)) (?v_8 (* (- 6) ?x1)) (?v_159 (* (- 34) ?x2)) (?v_460 (* (- 49) ?x3)) (?v_279 (* (- 65) ?x2)) (?v_49 (* (- 14) ?x3)) (?v_1 (* (- 60) ?x4)) (?v_769 (* (- 94) ?x1)) (?v_455 (* (- 42) ?x4)) (?v_27 (* (- 84) ?x1)) (?v_167 (* (- 35) ?x2)) (?v_80 (* (- 35) ?x3)) (?v_492 (* (- 51) ?x3)) (?v_198 (* (- 23) ?x3)) (?v_616 (* (- 56) ?x4)) (?v_86 (* (- 22) ?x2)) (?v_709 (* (- 63) ?x3)) (?v_422 (* (- 16) ?x4)) (?v_70 (* (- 91) ?x2)) (?v_33 (* (- 50) ?x3)) (?v_118 (* (- 94) ?x3)) (?v_64 (* (- 39) ?x1)) (?v_4 (* (- 85) ?x3)) (?v_2 (* (- 96) ?x1)) (?v_228 (* (- 83) ?x1)) (?v_403 (* (- 92) ?x3)) (?v_41 (* (- 41) ?x4)) (?v_24 (* (- 47) ?x2)) (?v_380 (* (- 27) ?x3)) (?v_373 (* (- 66) ?x4)) (?v_3 (* (- 66) ?x1)) (?v_97 (* (- 73) ?x3)) (?v_144 (* (- 25) ?x1)) (?v_401 (* (- 43) ?x3)) (?v_82 (* (- 26) ?x4)) (?v_107 (* (- 39) ?x4)) (?v_124 (* (- 99) ?x2)) (?v_242 (* (- 44) ?x3)) (?v_16 (* (- 82) ?x3)) (?v_397 (* (- 68) ?x4)) (?v_9 (* (- 69) ?x1)) (?v_85 (* (- 32) ?x4)) (?v_123 (* (- 99) ?x3)) (?v_318 (* (- 9) ?x4)) (?v_357 (* (- 31) ?x4)) (?v_551 (* (- 72) ?x2)) (?v_195 (* (- 54) ?x4)) (?v_154 (* (- 50) ?x2))) (let ((?v_783 (+ ?v_394 ?v_154)) (?v_416 (* (- 11) ?x3)) (?v_751 (* (- 57) ?x4)) (?v_715 (* (- 58) ?x2)) (?v_546 (* (- 95) ?x3)) (?v_355 (* (- 51) ?x4)) (?v_121 (* (- 53) ?x2)) (?v_53 (* (- 84) ?x4)) (?v_268 (* (- 92) ?x2)) (?v_133 (* (- 79) ?x4)) (?v_690 (* (- 85) ?x2)) (?v_28 (* (- 66) ?x3)) (?v_90 (* (- 95) ?x2)) (?v_15 (* (- 81) ?x3)) (?v_269 (* (- 67) ?x3)) (?v_231 (* (- 33) ?x3)) (?v_650 (* (- 46) ?x4)) (?v_209 (* (- 82) ?x1)) (?v_212 (* (- 4) ?x2)) (?v_191 (* (- 55) ?x3)) (?v_105 (* (- 63) ?x4)) (?v_221 (* (- 98) ?x3)) (?v_112 (* (- 10) ?x4)) (?v_655 (* (- 66) ?x2)) (?v_226 (* (- 40) ?x4)) (?v_405 (* (- 94) ?x4)) (?v_323 (* (- 58) ?x4)) (?v_193 (* (- 24) ?x3)) (?v_67 (* (- 43) ?x1)) (?v_548 (* (- 38) ?x2)) (?v_694 (* (- 51) ?x1)) (?v_55 (* (- 70) ?x3)) (?v_292 (* (- 67) ?x1)) (?v_68 (* (- 44) ?x2)) (?v_320 (* (- 57) ?x1)) (?v_115 (* (- 2) ?x3)) (?v_58 (* (- 37) ?x4)) (?v_71 (* (- 30) ?x3)) (?v_20 (* (- 42) ?x1)) (?v_42 (* (- 82) ?x2)) (?v_29 (* (- 34) ?x4)) (?v_302 (* (- 90) ?x1)) (?v_125 (* (- 25) ?x4)) (?v_66 (* (- 59) ?x3)) (?v_77 (* (- 12) ?x1)) (?v_381 (* (- 63) ?x2)) (?v_38 (* (- 79) ?x3)) (?v_278 (* (- 2) ?x4)) (?v_271 (* (- 77) ?x2)) (?v_147 (* (- 7) ?x3)) (?v_462 (* (- 28) ?x3)) (?v_22 (* (- 5) ?x1)) (?v_60 (* (- 75) ?x2)) (?v_270 (* (- 7) ?x4)) (?v_595 (* (- 10) ?x2)) (?v_711 (* (- 12) ?x3)) (?v_337 (* (- 88) ?x4)) (?v_81 (* (- 24) ?x1)) (?v_648 (* (- 18) ?x3)) (?v_338 (* (- 25) ?x2)) (?v_328 (* (- 96) ?x4)) (?v_234 (* (- 90) ?x4)) (?v_130 (* (- 50) ?x1)) (?v_120 (* (- 94) ?x2))) (let ((?v_736 (+ ?v_130 ?v_120)) (?v_411 (* (- 24) ?x2)) (?v_47 (* (- 3) ?x4)) (?v_556 (* (- 92) ?x4)) (?v_419 (* (- 62) ?x1)) (?v_437 (* (- 31) ?x2)) (?v_75 (* (- 69) ?x3)) (?v_52 (* (- 26) ?x1)) (?v_74 (* (- 75) ?x4)) (?v_32 (* (- 3) ?x2)) (?v_37 (* (- 86) ?x1)) (?v_44 (* (- 8) ?x4)) (?v_83 (* (- 42) ?x3)) (?v_190 (* (- 82) ?x4)) (?v_458 (* (- 60) ?x1)) (?v_327 (* (- 54) ?x3)) (?v_632 (* (- 26) ?x2)) (?v_179 (* (- 20) ?x1)) (?v_682 (* (- 79) ?x2)) (?v_79 (* (- 61) ?x1)) (?v_502 (* (- 15) ?x3)) (?v_254 (* (- 56) ?x1)) (?v_122 (* (- 100) ?x2)) (?v_395 (* (- 71) ?x1)) (?v_94 (* (- 43) ?x4)) (?v_630 (* (- 43) ?x2)) (?v_321 (* (- 22) ?x1)) (?v_96 (* (- 15) ?x4)) (?v_186 (* (- 2) ?x1)) (?v_99 (* (- 30) ?x4)) (?v_507 (* (- 81) ?x1)) (?v_344 (* (- 70) ?x2)) (?v_95 (* (- 99) ?x1)) (?v_73 (* (- 58) ?x3)) (?v_291 (* (- 70) ?x1)) (?v_172 (* (- 52) ?x1)) (?v_439 (* (- 31) ?x3)) (?v_428 (* (- 97) ?x3)) (?v_382 (* (- 65) ?x1)) (?v_396 (* (- 86) ?x3)) (?v_293 (* (- 16) ?x2)) (?v_334 (* (- 57) ?x3)) (?v_175 (* (- 98) ?x1)) (?v_300 (* (- 6) ?x4)) (?v_210 (* (- 73) ?x1)) (?v_110 (* (- 68) ?x2)) (?v_160 (* (- 64) ?x3)) (?v_511 (* (- 61) ?x4)) (?v_586 (* (- 40) ?x2)) (?v_69 (* (- 100) ?x1)) (?v_441 (* (- 74) ?x2)) (?v_263 (* (- 52) ?x4)) (?v_155 (* (- 17) ?x1)) (?v_200 (* (- 60) ?x3)) (?v_363 (* (- 44) ?x1)) (?v_461 (* (- 19) ?x2)) (?v_164 (* (- 95) ?x4)) (?v_347 (* (- 95) ?x1)) (?v_76 (* (- 83) ?x2)) (?v_165 (* (- 55) ?x1)) (?v_354 (* (- 96) ?x3)) (?v_170 (* (- 11) ?x1)) (?v_559 (* (- 59) ?x4)) (?v_496 (* (- 1) ?x4)) (?v_216 (* (- 19) ?x1)) (?v_183 (* (- 78) ?x2)) (?v_412 (* (- 81) ?x4)) (?v_253 (* (- 81) ?x2)) (?v_303 (* (- 53) ?x4)) (?v_779 (* (- 21) ?x3)) (?v_201 (* (- 30) ?x2)) (?v_562 (* (- 46) ?x2)) (?v_700 (* (- 17) ?x2)) (?v_402 (* (- 89) ?x4)) (?v_746 (* (- 33) ?x2)) (?v_470 (* (- 29) ?x1)) (?v_93 (* (- 26) ?x3)) (?v_238 (* (- 16) ?x1)) (?v_227 (* (- 45) ?x2)) (?v_100 (* (- 45) ?x1)) (?v_108 (* (- 36) ?x1)) (?v_174 (* (- 8) ?x1)) (?v_603 (* (- 11) ?x4)) (?v_314 (* (- 41) ?x1)) (?v_236 (* (- 3) ?x3)) (?v_173 (* (- 13) ?x1)) (?v_440 (* (- 71) ?x4)) (?v_308 (* (- 47) ?x1)) (?v_501 (* (- 4) ?x3)) (?v_273 (* (- 33) ?x4)) (?v_423 (* (- 51) ?x2)) (?v_132 (* (- 39) ?x3)) (?v_478 (* (- 20) ?x4)) (?v_325 (* (- 89) ?x1)) (?v_223 (* (- 21) ?x4)) (?v_674 (* (- 34) ?x3)) (?v_596 (* (- 30) ?x1)) (?v_239 (* (- 1) ?x2)) (?v_188 (* (- 53) ?x1)) (?v_369 (* (- 90) ?x2)) (?v_203 (* (- 88) ?x2)) (?v_448 (* (- 77) ?x4)) (?v_222 (* (- 62) ?x4)) (?v_414 (* (- 49) ?x1)) (?v_620 (* (- 6) ?x3)) (?v_280 (* (- 38) ?x4)) (?v_194 (* (- 15) ?x1)) (?v_407 (* (- 73) ?x4)) (?v_146 (* (- 78) ?x1)) (?v_383 (* (- 75) ?x3)) (?v_181 (* (- 4) ?x1)) (?v_232 (* (- 47) ?x3)) (?v_176 (* (- 29) ?x2)) (?v_472 (* (- 8) ?x2)) (?v_626 (* (- 39) ?x2)) (?v_289 (* (- 72) ?x3)) (?v_235 (* (- 64) ?x1)) (?v_180 (* (- 93) ?x3)) (?v_361 (* (- 91) ?x1)) (?v_261 (* (- 9) ?x3)) (?v_313 (* (- 22) ?x4)) (?v_243 (* (- 14) ?x1)) (?v_566 (* (- 41) ?x2)) (?v_508 (* (- 15) ?x2)) (?v_162 (* (- 70) ?x4)) (?v_285 (* (- 6) ?x2)) (?v_637 (* (- 97) ?x1)) (?v_594 (* (- 87) ?x4)) (?v_471 (* (- 27) ?x4)) (?v_579 (* (- 72) ?x4)) (?v_456 (* (- 100) ?x4)) (?v_301 (* (- 36) ?x3))) (let ((?v_398 (+ ?v_183 ?v_343)) (?v_474 (* (- 52) ?x2)) (?v_282 (* (- 98) ?x4)) (?v_530 (* (- 18) ?x2)) (?v_230 (* (- 5) ?x2)) (?v_629 (* (- 97) ?x2)) (?v_464 (* (- 93) ?x1)) (?v_229 (* (- 98) ?x2)) (?v_593 (* (- 100) ?x3)) (?v_526 (* (- 80) ?x2)) (?v_513 (* (- 59) ?x2)) (?v_248 (* (- 13) ?x3)) (?v_443 (* (- 29) ?x4)) (?v_450 (* (- 76) ?x1)) (?v_309 (* (- 35) ?x4)) (?v_340 (* (- 61) ?x2)) (?v_262 (* (- 63) ?x1)) (?v_721 (* (- 7) ?x1)) (?v_780 (* (- 29) ?x3)) (?v_391 (* (- 79) ?x1)) (?v_613 (* (- 32) ?x1))) (let ((?v_728 (+ ?v_188 ?v_230)) (?v_583 (* (- 67) ?x4)) (?v_670 (* (- 23) ?x4)) (?v_267 (* (- 20) ?x2)) (?v_408 (* (- 92) ?x1)) (?v_311 (* (- 1) ?x3)) (?v_568 (* (- 54) ?x1)) (?v_358 (* (- 2) ?x2)) (?v_784 (* (- 86) ?x4)) (?v_518 (* (- 33) ?x1)) (?v_738 (* (- 18) ?x4)) (?v_335 (* (- 24) ?x4)) (?v_467 (* (- 11) ?x2)) (?v_349 (* (- 85) ?x4)) (?v_452 (* (- 64) ?x4)) (?v_319 (* (- 87) ?x2)) (?v_547 (* (- 84) ?x3)) (?v_498 (* (- 84) ?x2)) (?v_468 (* (- 89) ?x3)) (?v_356 (* (- 45) ?x3)) (?v_353 (* (- 69) ?x4)) (?v_366 (* (- 85) ?x1)) (?v_399 (* (- 37) ?x3)) (?v_392 (* (- 86) ?x2)) (?v_486 (* (- 83) ?x3)) (?v_490 (* (- 52) ?x3)) (?v_578 (* (- 19) ?x4)) (?v_617 (* (- 77) ?x1)) (?v_575 (* (- 48) ?x3)) (?v_514 (* (- 65) ?x4)) (?v_749 (* (- 56) ?x2)) (?v_350 (* (- 37) ?x2)) (?v_529 (* (- 27) ?x1)) (?v_710 (* (- 78) ?x4)) (?v_386 (* (- 37) ?x1)) (?v_409 (* (- 80) ?x1)) (?v_588 (* (- 55) ?x2)) (?v_346 (* (- 62) ?x3)) (?v_352 (* (- 28) ?x2)) (?v_615 (* (- 48) ?x1)) (?v_520 (* (- 22) ?x3)) (?v_466 (* (- 49) ?x2)) (?v_433 (* (- 77) ?x3)) (?v_378 (* (- 40) ?x1)) (?v_550 (* (- 12) ?x2)) (?v_377 (* (- 46) ?x3)) (?v_442 (* (- 36) ?x4)) (?v_622 (* (- 53) ?x3)) (?v_730 (* (- 67) ?x2)) (?v_421 (* (- 99) ?x4)) (?v_469 (* (- 14) ?x2)) (?v_510 (* (- 87) ?x3)) (?v_611 (* (- 27) ?x2)) (?v_582 (* (- 42) ?x2)) (?v_499 (* (- 40) ?x3)) (?v_524 (* (- 14) ?x4)) (?v_679 (* (- 68) ?x3)) (?v_707 (* (- 48) ?x2)) (?v_451 (* (- 93) ?x4)) (?v_763 (* (- 60) ?x2)) (?v_646 (* (- 71) ?x2)) (?v_760 (* (- 61) ?x3)) (?v_434 (* (- 50) ?x4)) (?v_491 (* (- 13) ?x2)) (?v_459 (* (- 57) ?x2)) (?v_645 (* (- 62) ?x2))) (let ((?v_722 (+ ?v_450 ?v_358)) (?v_602 (* (- 20) ?x3)) (?v_612 (* (- 8) ?x3)) (?v_720 (* (- 69) ?x2)) (?v_653 (* (- 1) ?x1)) (?v_619 (* (- 78) ?x3)) (?v_495 (* (- 76) ?x2)) (?v_581 (* (- 21) ?x1)) (?v_657 (* (- 93) ?x2)) (?v_604 (* (- 96) ?x2)) (?v_506 (* (- 68) ?x1)) (?v_598 (* (- 36) ?x2)) (?v_658 (* (- 10) ?x3)) (?v_512 (* (- 31) ?x1)) (?v_765 (* (- 56) ?x3)) (?v_528 (* (- 28) ?x4)) (?v_663 (* (- 55) ?x4)) (?v_571 (* (- 88) ?x3)) (?v_570 (* (- 64) ?x2)) (?v_623 (* (- 4) ?x4)) (?v_697 (* (- 74) ?x3)) (?v_636 (* (- 38) ?x3)) (?v_689 (* (- 90) ?x3)) (?v_754 (* (- 17) ?x3)) (?v_774 (* (- 9) ?x2)) (?v_652 (* (- 5) ?x3)) (?v_732 (+ ?v_146 ?v_540)) (?v_639 (* (- 91) ?x4)) (?v_621 (* (- 32) ?x2)) (?v_680 (* (- 72) ?x1)) (?v_608 (* (- 17) ?x4)) (?v_587 (* (- 5) ?x4)) (?v_753 (+ ?v_12 ?v_469)) (?v_634 (* (- 80) ?x4)) (?v_716 (* (- 9) ?x1)) (?v_627 (* (- 25) ?x3)) (?v_702 (* (- 89) ?x2)) (?v_757 (* (- 44) ?x4)) (?v_725 (* (- 83) ?x4)) (?v_758 (* (- 34) ?x1)) (?v_787 (+ ?v_573 ?v_441)) (?v_668 (* (- 18) ?x1)) (?v_777 (* (- 23) ?x1)) (?v_647 (* (- 3) ?x1))) (let ((?v_770 (+ ?v_647 ?v_102)) (?v_766 (* (- 75) ?x1)) (?v_734 (* (- 28) ?x1)) (?v_688 (* (- 46) ?x1)) (?v_677 (* (- 23) ?x2)) (?v_676 (* (- 76) ?x3)) (?v_698 (* (- 49) ?x4)) (?v_719 (* (- 88) ?x1)) (?v_691 (+ ?v_408 ?v_690)) (?v_735 (* (- 10) ?x1)) (?v_785 (* (- 76) ?x4)) (?v_768 (* (- 65) ?x3)) (?v_764 (* (- 59) ?x1)) (?v_741 (* (- 80) ?x3)) (?v_731 (* (- 74) ?x4)) (?v_733 (* (- 38) ?x1)) (?v_737 (* (- 35) ?x1)) (?v_772 (* (- 16) ?x3)) (?v_762 (* (- 73) ?x2)) (?v_761 (* (- 12) ?x4)) (?v_786 (* (- 58) ?x1))) (and (and (or (and (and (and (and (and (or (or (or (< (+ (+ ?v_605 ?v_0) ?v_158) 64) (<= (+ (+ ?v_7 ?v_14) ?v_21) 0)) (and (>= (+ (+ ?v_8 ?v_159) ?v_460) 0) (< (+ (+ ?v_279 ?v_359) ?v_10) (- 86)))) (or (or (< (+ (+ ?v_351 ?v_49) ?v_1) (- 77)) (< (+ (+ ?v_769 ?v_182) ?v_50) 31)) (= (+ (+ ?v_17 ?v_0) ?v_455) (- 34)))) (or (and (or (< (+ (+ (+ ?v_27 ?v_167) ?v_80) ?v_436) (- 14)) (>= (+ (+ ?v_6 ?v_492) ?v_427) (- 95))) (> (+ (+ (+ ?v_418 ?v_98) ?v_198) ?v_616) 0)) (and (or (<= (+ (+ ?v_86 ?v_709) ?v_422) 0) (> (+ (+ ?v_140 ?v_70) ?v_33) (- 67))) (or (< (+ (+ ?v_610 ?v_118) ?v_1) (- 92)) (<= (+ (+ (+ ?v_64 ?v_5) ?v_4) ?v_161) 0))))) (or (or (or (or (= (+ ?v_2 ?v_34) (- 54)) (not (= (+ (+ ?v_228 ?v_403) ?v_41) (- 100)))) (or (< (+ (+ (+ ?v_2 ?v_24) ?v_380) ?v_266) (- 62)) (> (+ (+ ?v_517 ?v_257) ?v_373) (- 61)))) (and (not (= (+ (+ (+ ?v_3 ?v_36) ?v_97) ?v_388) (- 48))) (and (< (+ (+ (+ ?v_144 ?v_23) ?v_401) ?v_82) (- 74)) (<= (+ (+ ?v_3 ?v_39) ?v_107) 0)))) (and (< (+ (+ (+ ?v_264 ?v_124) ?v_242) ?v_600) 46) (or (< (+ (+ (+ ?v_11 ?v_345) ?v_16) ?v_397) 4) (< (+ (+ (+ ?v_9 ?v_665) ?v_4) ?v_85) 0))))) (or (or (or (> (+ (+ (+ ?v_13 ?v_5) ?v_123) ?v_318) 32) (<= (+ (+ ?v_31 ?v_6) ?v_357) 0)) (or (or (>= (+ (+ (+ ?v_12 ?v_551) ?v_18) ?v_195) (- 29)) (<= (+ (+ ?v_783 ?v_416) ?v_751) 98)) (and (= (+ (+ ?v_715 ?v_169) ?v_45) (- 79)) (not (= (+ (+ ?v_429 ?v_546) ?v_355) 42))))) (and (or (or (not (= (+ (+ (+ ?v_310 ?v_121) ?v_445) ?v_53) (- 39))) (<= (+ ?v_268 ?v_133) (- 25))) (and (or (> (+ (+ ?v_7 ?v_690) ?v_28) (- 70)) (> (+ (+ (+ ?v_8 ?v_90) ?v_15) ?v_87) (- 85))) (not (= ?v_269 (- 45))))) (or (or (or (not (= (+ (+ ?v_46 ?v_231) ?v_650) 0)) (> (+ (+ (+ ?v_209 ?v_212) ?v_191) ?v_105) 8)) (or (not (= (+ (+ (+ ?v_7 ?v_522) ?v_221) ?v_112) 0)) (<= (+ (+ (+ ?v_614 ?v_655) ?v_244) ?v_226) (- 72)))) (and (and (<= (+ (+ (+ ?v_113 ?v_249) ?v_101) ?v_405) 0) (<= (+ (+ (+ ?v_446 ?v_672) ?v_72) ?v_323) 45)) (<= (+ (+ (+ ?v_9 ?v_131) ?v_193) ?v_493) (- 4))))))) (and (and (or (and (= (+ (+ ?v_67 ?v_548) ?v_43) (- 30)) (= (+ (+ ?v_694 ?v_607) ?v_55) 9)) (and (>= (+ (+ (+ ?v_292 ?v_712) ?v_91) ?v_19) 0) (>= (+ (+ (+ ?v_476 ?v_68) ?v_54) ?v_10) (- 53)))) (or (<= (+ (+ (+ ?v_320 ?v_35) ?v_25) ?v_274) 0) (> (+ (+ (+ ?v_11 ?v_114) ?v_115) ?v_58) (- 46)))) (or (or (and (and (> (+ (+ (+ ?v_12 ?v_778) ?v_71) ?v_149) 84) (> (+ (+ ?v_20 ?v_532) ?v_298) (- 75))) (or (<= (+ ?v_42 ?v_29) (- 19)) (= (+ (+ ?v_302 ?v_215) ?v_125) 0))) (or (or (not (= (+ (+ (+ ?v_379 ?v_103) ?v_66) ?v_153) 81)) (= (+ (+ (+ ?v_13 ?v_14) ?v_15) ?v_535) 0)) (> (+ ?v_48 ?v_16) 50))) (or (or (and (>= (+ (+ ?v_77 ?v_381) ?v_38) (- 44)) (<= (+ (+ ?v_17 ?v_40) ?v_278) (- 97))) (or (>= (+ (+ (+ ?v_305 ?v_271) ?v_147) ?v_255) (- 95)) (>= (+ (+ ?v_177 ?v_462) ?v_272) 91))) (or (or (<= (+ ?v_22 ?v_60) 29) (= (+ (+ ?v_126 ?v_18) ?v_19) 0)) (or (>= (+ ?v_204 ?v_270) (- 11)) (> (+ ?v_56 ?v_88) 0))))))) (and (and (or (or (and (or (> (+ (+ (+ ?v_20 ?v_483) ?v_332) ?v_21) 0) (<= (+ ?v_166 ?v_595) 29)) (and (>= (+ (+ (+ ?v_22 ?v_23) ?v_711) ?v_337) (- 11)) (>= (+ (+ (+ ?v_81 ?v_24) ?v_648) ?v_290) (- 92)))) (and (and (> (+ (+ ?v_65 ?v_338) ?v_25) 0) (> (+ (+ ?v_444 ?v_18) ?v_328) 0)) (not (= (+ (+ ?v_59 ?v_26) ?v_234) 0)))) (or (and (or (> (+ ?v_736 ?v_137) 0) (= (+ ?v_27 ?v_411) (- 1))) (and (<= (+ (+ (+ ?v_12 ?v_519) ?v_30) ?v_134) (- 34)) (< (+ ?v_57 ?v_47) 76))) (and (> ?v_152 17) (= (+ ?v_28 ?v_51) (- 87))))) (or (or (and (< ?v_556 25) (< (+ (+ (+ ?v_419 ?v_437) ?v_75) ?v_29) 52)) (or (and (and (= (+ (+ ?v_52 ?v_30) ?v_74) (- 66)) (>= (+ ?v_31 ?v_32) 0)) (not (= (+ (+ (+ ?v_37 ?v_32) ?v_33) ?v_34) (- 54)))) (or (or (>= (+ (+ (+ ?v_128 ?v_62) ?v_61) ?v_44) 0) (not (= (+ ?v_106 ?v_35) 23))) (or (>= (+ (+ (+ ?v_7 ?v_36) ?v_178) ?v_544) 1) (>= ?v_83 (- 65)))))) (or (and (and (or (>= (+ (+ ?v_37 ?v_225) ?v_190) (- 74)) (= (+ (+ ?v_458 ?v_327) ?v_400) (- 39))) (or (= (+ (+ ?v_632 ?v_38) ?v_1) 45) (= (+ (+ ?v_39 ?v_40) ?v_41) 30))) (or (< (+ (+ ?v_179 ?v_42) ?v_116) 100) (and (> (+ (+ ?v_256 ?v_449) ?v_385) (- 100)) (>= (+ (+ (+ ?v_150 ?v_682) ?v_104) ?v_43) (- 92))))) (and (> (+ ?v_18 ?v_44) (- 46)) (not (= (+ (+ (+ ?v_79 ?v_331) ?v_502) ?v_151) 0)))))) (or (or (and (or (= (+ ?v_23 ?v_250) 36) (>= (+ (+ ?v_254 ?v_122) ?v_45) (- 89))) (and (>= (+ ?v_395 ?v_94) 7) (< (+ ?v_46 ?v_47) (- 53)))) (or (or (< (+ (+ (+ ?v_48 ?v_630) ?v_111) ?v_341) (- 2)) (= (+ (+ (+ ?v_321 ?v_312) ?v_49) ?v_96) (- 99))) (and (and (>= (+ (+ ?v_186 ?v_50) ?v_576) (- 74)) (> (+ (+ ?v_206 ?v_288) ?v_51) 0)) (and (< ?v_52 (- 65)) (= (+ (+ ?v_485 ?v_4) ?v_99) 0))))) (and (or (and (and (and (<= (+ (+ ?v_507 ?v_63) ?v_53) 42) (not (= (+ (+ (+ ?v_553 ?v_344) ?v_218) ?v_687) (- 22)))) (or (= (+ (+ (+ ?v_494 ?v_569) ?v_54) ?v_362) (- 72)) (= (+ (+ ?v_95 ?v_73) ?v_509) (- 18)))) (or (or (<= (+ (+ ?v_291 ?v_245) ?v_55) 0) (< (+ (+ (+ ?v_172 ?v_56) ?v_439) ?v_554) (- 8))) (and (<= ?v_428 0) (< (+ ?v_14 ?v_84) (- 74))))) (or (or (< (+ (+ ?v_382 ?v_24) ?v_396) 0) (= (+ (+ ?v_117 ?v_57) ?v_453) 0)) (or (< (+ (+ (+ ?v_139 ?v_293) (* (- 91) ?x3)) ?v_58) (- 53)) (>= (+ (+ ?v_563 ?v_334) ?v_678) 31)))) (or (or (>= (+ (+ ?v_59 ?v_60) ?v_61) 0) (< (+ ?v_175 ?v_300) (- 17))) (or (>= (+ (+ ?v_210 ?v_62) ?v_63) 16) (= (+ (+ ?v_64 ?v_430) ?v_89) (- 12)))))))) (or (or (or (and (and (and (or (or (>= (+ (+ (+ ?v_65 ?v_110) ?v_66) ?v_237) 0) (>= (+ (+ ?v_277 ?v_160) ?v_511) (- 83))) (<= (+ ?v_586 ?v_241) (- 73))) (and (and (> ?v_246 62) (> (+ (+ ?v_69 ?v_441) ?v_263) 98)) (and (and (not (= (+ (+ (+ ?v_67 ?v_68) ?v_189) ?v_276) (- 9))) (< (+ (+ ?v_69 ?v_70) ?v_71) 0)) (or (= (+ ?v_155 ?v_200) 0) (> (+ (+ (+ ?v_363 ?v_461) ?v_72) ?v_164) (- 51)))))) (or (and (>= (+ ?v_73 ?v_143) (- 41)) (<= (+ ?v_347 ?v_74) 41)) (and (or (or (> (+ (+ ?v_76 ?v_75) ?v_187) 0) (= (+ (+ (+ ?v_165 ?v_76) ?v_354) ?v_336) (- 43))) (and (> ?v_265 0) (<= (+ ?v_78 ?v_58) (- 37)))) (or (and (= (+ (+ ?v_77 ?v_102) ?v_40) 0) (not (= (+ ?v_170 ?v_559) (- 9)))) (and (> (+ ?v_119 ?v_496) (- 42)) (< (+ (+ (+ ?v_216 ?v_183) ?v_78) ?v_412) 0)))))) (and (and (>= (+ ?v_11 ?v_410) 0) (< (+ (+ ?v_27 ?v_207) ?v_368) (- 98))) (and (and (and (> (+ (+ (+ ?v_79 ?v_253) ?v_80) ?v_303) (- 1)) (> (+ (+ ?v_743 ?v_62) ?v_40) (- 49))) (and (> (+ (+ ?v_81 ?v_184) ?v_779) (- 46)) (not (= (+ (+ ?v_109 ?v_201) ?v_82) 50)))) (and (and (>= (+ (+ ?v_562 ?v_185) ?v_417) (- 98)) (< (+ (+ (+ ?v_625 ?v_700) ?v_83) ?v_402) 88)) (or (or (= (+ (+ ?v_135 ?v_746) ?v_15) 0) (> (+ (+ ?v_470 ?v_93) ?v_84) 0)) (or (<= (+ (+ ?v_706 ?v_565) ?v_85) (- 25)) (> (+ (+ (+ ?v_7 ?v_86) ?v_127) ?v_87) 0))))))) (or (and (or (or (or (>= (+ (+ (+ ?v_238 ?v_227) ?v_88) ?v_192) (- 14)) (< (+ (+ ?v_100 ?v_538) ?v_89) 40)) (or (>= (+ (+ (+ ?v_108 ?v_90) ?v_91) ?v_45) 61) (< (+ (+ ?v_92 ?v_93) ?v_94) 64))) (or (= (+ (+ (+ ?v_95 ?v_197) ?v_339) ?v_96) (- 79)) (>= (+ (+ (+ ?v_174 ?v_42) ?v_97) ?v_603) (- 92)))) (and (or (and (or (= (+ ?v_314 ?v_287) 17) (not (= (+ (+ ?v_98 ?v_367) ?v_99) 87))) (and (<= (+ ?v_69 ?v_236) 74) (>= (+ ?v_100 ?v_275) 10))) (or (or (= (+ (+ (+ ?v_542 ?v_60) ?v_38) ?v_168) (- 31)) (< (+ ?v_173 ?v_101) 0)) (not (= (+ ?v_316 ?v_440) 0)))) (and (and (or (< (+ (+ (+ ?v_308 ?v_102) ?v_501) ?v_273) (- 20)) (not (= (+ (+ ?v_103 ?v_104) ?v_105) (- 57)))) (and (not (= (+ (+ ?v_106 ?v_333) ?v_107) 42)) (<= (+ (+ ?v_423 ?v_132) ?v_478) (- 7)))) (and (< (+ (+ ?v_325 ?v_129) ?v_223) 19) (and (>= (+ (+ (+ ?v_108 ?v_693) ?v_674) ?v_84) 16) (> (+ (+ (+ ?v_109 ?v_110) ?v_111) ?v_112) 0)))))) (or (or (and (and (< (+ (+ (+ ?v_596 ?v_239) ?v_413) ?v_148) 10) (< (+ (+ (+ ?v_113 ?v_114) ?v_50) ?v_590) 91)) (not (= (+ (+ ?v_37 ?v_115) ?v_74) 84))) (and (> (+ (+ ?v_188 ?v_116) ?v_714) 0) (= (+ (+ ?v_295 ?v_384) ?v_247) 0))) (or (and (or (< (+ (+ (+ ?v_117 ?v_369) ?v_118) ?v_44) (- 74)) (>= (+ ?v_203 ?v_448) (- 5))) (or (< (+ (+ (+ ?v_119 ?v_136) ?v_156) ?v_58) (- 53)) (> ?v_294 17))) (and (or (or (< (+ (+ ?v_196 ?v_219) ?v_222) 0) (< (+ (+ (+ ?v_414 ?v_120) ?v_620) ?v_280) 37)) (or (< (+ (+ ?v_194 ?v_42) ?v_477) 0) (>= (+ (+ (+ ?v_539 ?v_121) ?v_141) ?v_407) (- 8)))) (and (<= (+ (+ (+ ?v_146 ?v_122) ?v_123) ?v_138) 0) (< (+ (+ ?v_124 ?v_383) ?v_125) (- 74)))))))) (or (and (or (and (or (not (= (+ (+ (+ ?v_126 ?v_643) ?v_329) ?v_157) (- 24))) (>= (+ (+ ?v_181 ?v_127) ?v_142) (- 41))) (and (and (>= (+ (+ ?v_128 ?v_129) ?v_232) 0) (= (+ (+ ?v_130 ?v_131) ?v_132) 66)) (or (>= (+ (+ ?v_252 ?v_176) ?v_133) 64) (>= (+ (+ ?v_145 ?v_40) ?v_134) 0)))) (and (and (or (or (= (+ (+ (+ ?v_135 ?v_136) ?v_723) ?v_205) (- 88)) (not (= (+ (+ ?v_22 ?v_137) ?v_138) (- 12)))) (<= (+ (+ (+ ?v_139 ?v_472) ?v_80) ?v_552) (- 57))) (and (and (<= (+ ?v_140 ?v_599) (- 64)) (> (+ (+ ?v_202 ?v_626) ?v_141) (- 66))) (and (>= (+ ?v_68 ?v_142) 34) (< (+ ?v_299 ?v_143) 94)))) (and (and (< (+ ?v_42 ?v_44) 73) (not (= (+ (+ ?v_144 ?v_145) ?v_289) 44))) (< (+ (+ (+ ?v_235 ?v_42) ?v_180) (* 3 ?x4)) (- 20))))) (and (<= (+ (+ ?v_361 ?v_261) ?v_313) 95) (= (+ ?v_573 ?v_25) 0))) (and (or (and (or (or (or (<= (+ (+ ?v_146 ?v_86) ?v_315) (- 79)) (= (+ (+ (+ ?v_243 ?v_5) ?v_147) ?v_148) 23)) (or (> (+ (+ ?v_163 ?v_561) ?v_149) 0) (> (+ (+ ?v_150 ?v_566) ?v_151) 39))) (or (and (>= (+ (+ ?v_171 ?v_152) ?v_153) 49) (> (+ (+ ?v_154 ?v_80) ?v_87) 0)) (>= (+ (+ (+ ?v_155 ?v_508) ?v_156) ?v_157) (- 62)))) (or (or (= ?v_211 27) (>= (+ (+ ?v_348 ?v_527) ?v_162) 0)) (or (>= (+ (+ ?v_285 ?v_49) ?v_158) (- 80)) (= ?v_159 93)))) (and (or (and (or (= (+ (+ (+ ?v_637 ?v_32) ?v_160) ?v_161) (- 37)) (>= (+ ?v_26 ?v_594) 97)) (and (<= (+ (+ (+ ?v_258 ?v_217) ?v_137) ?v_471) (- 1)) (= (+ (+ (+ ?v_214 ?v_24) ?v_213) ?v_162) 0))) (or (or (> (+ (+ (+ ?v_108 ?v_233) ?v_152) ?v_724) 0) (not (= (+ (+ ?v_163 ?v_116) ?v_164) (- 87)))) (and (<= (+ (+ ?v_165 ?v_123) ?v_579) 68) (>= (+ (+ (+ ?v_166 ?v_167) ?v_726) ?v_168) (- 29))))) (or (and (or (= (+ (+ ?v_36 ?v_169) ?v_456) 0) (> (+ (+ ?v_170 ?v_171) ?v_151) (- 30))) (or (>= (+ (+ ?v_39 ?v_240) ?v_259) (- 44)) (not (= (+ (+ ?v_172 ?v_635) ?v_43) (- 57))))) (and (and (<= (+ (+ ?v_173 ?v_32) ?v_208) (- 4)) (< (+ (+ ?v_174 ?v_0) ?v_545) 37)) (and (<= (+ (+ (+ ?v_175 ?v_176) ?v_301) ?v_143) (- 91)) (not (= (+ (+ ?v_177 ?v_178) ?v_662) 51))))))) (or (or (and (and (= (+ (+ ?v_179 ?v_180) ?v_199) (- 15)) (> ?v_641 (- 58))) (<= (+ (+ (+ ?v_181 ?v_176) ?v_251) ?v_296) (- 49))) (or (< (+ (+ ?v_182 ?v_33) ?v_656) (- 29)) (<= ?v_398 (- 85)))) (or (or (not (= (+ ?v_184 ?v_185) (- 63))) (< (+ (+ (+ ?v_186 ?v_474) ?v_80) ?v_187) 40)) (or (or (<= (+ (+ (+ ?v_188 ?v_167) ?v_189) ?v_190) 39) (not (= (+ (+ ?v_260 ?v_729) ?v_282) (- 58)))) (= (+ (+ ?v_530 ?v_191) ?v_224) 0))))))) (or (and (and (or (and (and (= (+ (+ ?v_404 ?v_124) ?v_112) 0) (and (< ?v_192 34) (<= (+ (+ ?v_109 ?v_39) ?v_96) 84))) (or (and (< (+ (+ ?v_13 ?v_193) ?v_190) (- 35)) (< (+ (+ ?v_194 ?v_63) ?v_195) (- 20))) (or (<= (+ (+ ?v_196 ?v_197) ?v_198) 0) (>= (+ ?v_572 ?v_199) 0)))) (and (and (or (> (+ ?v_175 ?v_230) (- 40)) (> (+ (+ ?v_629 ?v_504) ?v_112) 38)) (> (+ (+ (+ ?v_464 ?v_114) ?v_200) ?v_82) (- 36))) (and (and (< ?v_201 (- 83)) (< (+ (+ (+ ?v_202 ?v_203) ?v_204) ?v_205) 79)) (and (< (+ (+ (+ ?v_426 ?v_229) ?v_72) ?v_284) (- 80)) (< (+ (+ ?v_281 ?v_497) ?v_142) (- 98)))))) (and (or (or (<= (+ (+ ?v_206 ?v_198) ?v_360) (- 55)) (< (+ (+ ?v_220 ?v_207) ?v_593) 0)) (and (and (< ?v_526 (- 95)) (>= (+ (+ ?v_540 ?v_104) ?v_208) (- 92))) (> (+ (+ (+ ?v_209 ?v_513) ?v_248) ?v_443) 0))) (or (<= (+ ?v_210 ?v_776) 0) (>= (+ (+ (+ ?v_450 ?v_211) ?v_97) ?v_45) (- 59))))) (and (and (and (and (or (and (<= (+ (+ (+ ?v_371 ?v_212) ?v_585) ?v_309) 80) (<= (+ (+ (+ ?v_166 ?v_306) ?v_213) ?v_87) (- 4))) (< (+ (+ ?v_214 ?v_154) ?v_215) 13)) (or (and (not (= (+ ?v_557 ?v_286) 15)) (not (= ?v_103 87))) (or (> (+ (+ (+ ?v_2 ?v_32) ?v_322) ?v_94) 0) (not (= (+ (+ (+ ?v_216 ?v_217) ?v_218) ?v_99) (- 18)))))) (or (or (or (= (+ (+ ?v_515 ?v_23) ?v_330) 0) (> (+ ?v_219 ?v_85) 0)) (and (> (+ (+ (+ ?v_220 ?v_340) ?v_221) ?v_222) 0) (= (+ ?v_262 ?v_223) (- 16)))) (and (or (> (+ (+ (+ ?v_721 ?v_217) ?v_780) ?v_224) 0) (>= (+ (+ ?v_9 ?v_225) ?v_226) 97)) (and (not (= ?v_227 (- 81))) (<= (+ (+ ?v_228 ?v_213) ?v_675) 47))))) (and (or (and (>= ?v_391 0) (< (+ (+ (+ ?v_613 ?v_229) ?v_72) ?v_370) 37)) (or (> (+ (+ ?v_728 ?v_231) ?v_583) 26) (<= (+ ?v_100 ?v_232) 0))) (or (or (and (<= (+ ?v_233 ?v_234) (- 31)) (>= (+ (+ (+ ?v_235 ?v_129) ?v_236) ?v_670) (- 95))) (>= (+ (+ ?v_183 ?v_191) ?v_237) 28)) (or (or (<= (+ ?v_238 ?v_660) 59) (not (= (+ (+ ?v_69 ?v_136) ?v_152) (- 90)))) (and (<= (+ ?v_374 ?v_654) 92) (>= (+ (+ ?v_438 ?v_267) ?v_157) 19)))))) (or (or (or (> (+ (+ (+ ?v_188 ?v_239) ?v_240) ?v_241) 0) (and (< (+ ?v_408 ?v_242) 55) (<= (+ ?v_465 ?v_105) 0))) (or (or (or (= (+ (+ (+ ?v_243 ?v_229) ?v_244) ?v_205) 0) (<= (+ (+ (+ ?v_9 ?v_245) ?v_558) (* 72 ?x4)) (- 97))) (and (= (+ ?v_39 ?v_311) 0) (= (+ (+ ?v_568 ?v_141) ?v_148) 80))) (and (>= (+ ?v_9 ?v_358) (- 89)) (> (+ (+ (+ ?v_173 ?v_246) ?v_247) ?v_199) 14)))) (or (or (and (and (<= (+ ?v_219 ?v_248) 59) (< (+ (+ ?v_249 ?v_250) ?v_784) 0)) (not (= (+ (+ (+ ?v_518 ?v_176) ?v_251) ?v_738) 0))) (and (or (< (+ (+ (+ ?v_252 ?v_253) ?v_72) ?v_335) 0) (<= (+ (+ (+ ?v_254 ?v_467) ?v_649) ?v_255) 50)) (and (>= (+ (+ ?v_256 ?v_651) ?v_349) 28) (<= (+ (+ ?v_196 ?v_257) ?v_452) 62)))) (and (and (or (>= (+ (+ ?v_258 ?v_91) ?v_259) 73) (> (+ ?v_113 ?v_156) 0)) (or (> (+ (+ ?v_260 ?v_261) ?v_237) 0) (<= (+ (+ ?v_262 ?v_319) ?v_263) 20))) (and (and (>= (+ (+ ?v_264 ?v_686) ?v_547) 10) (not (= (+ (+ ?v_108 ?v_265) ?v_148) 30))) (not (= (+ (+ (+ ?v_564 ?v_498) ?v_468) ?v_138) 77)))))))) (or (and (or (or (or (or (or (>= (+ ?v_3 ?v_266) (- 80)) (> (+ (+ (+ ?v_13 ?v_267) ?v_356) ?v_353) 51)) (>= (+ ?v_60 ?v_283) 0)) (and (and (not (= (+ (+ (+ ?v_366 ?v_268) ?v_269) ?v_270) (- 21))) (< (+ ?v_271 ?v_473) 46)) (or (> (+ ?v_399 ?v_272) 0) (> (+ (+ ?v_245 ?v_50) ?v_273) 0)))) (and (and (and (>= (+ (+ ?v_669 ?v_200) ?v_226) (- 32)) (>= (+ (+ (+ ?v_264 ?v_364) ?v_431) ?v_274) 1)) (and (not (= (+ (+ (+ ?v_172 ?v_701) ?v_480) ?v_618) (- 18))) (> (+ (+ ?v_275 ?v_375) ?v_276) 0))) (or (or (< (+ (+ ?v_277 ?v_54) ?v_278) 13) (<= (+ (+ ?v_392 ?v_486) ?v_19) 26)) (or (= (+ (+ ?v_304 ?v_279) ?v_280) 2) (not (= (+ (+ ?v_503 ?v_281) ?v_282) (- 3))))))) (and (or (and (and (= ?v_283 (- 4)) (= (+ ?v_93 ?v_284) 0)) (or (< (+ (+ ?v_297 ?v_285) ?v_286) 0) (= (+ (+ (+ ?v_140 ?v_32) ?v_213) ?v_287) 0))) (or (or (> (+ ?v_288 ?v_324) (- 3)) (not (= (+ (+ (+ ?v_109 ?v_56) ?v_289) ?v_290) 12))) (>= (+ (+ ?v_291 ?v_415) ?v_180) 0))) (and (and (or (< (+ (+ (+ ?v_292 ?v_293) ?v_294) ?v_85) (- 44)) (> (+ (+ ?v_295 ?v_70) ?v_296) 0)) (or (not (= (+ (+ (+ ?v_297 ?v_372) ?v_72) ?v_342) (- 72))) (>= (+ (+ (+ (* 64 ?x1) (* 55 ?x2)) ?v_490) ?v_298) 19))) (or (or (> (+ (+ ?v_425 ?v_299) ?v_30) 0) (< (+ ?v_376 ?v_300) 0)) (and (not (= (+ ?v_406 ?v_301) 84)) (= (+ (+ (+ ?v_302 ?v_281) ?v_307) ?v_303) 62)))))) (or (and (or (and (> (+ (+ ?v_196 ?v_156) ?v_578) (- 34)) (and (= (+ (+ (+ ?v_304 ?v_281) ?v_242) ?v_282) 0) (<= (+ (+ ?v_617 ?v_575) ?v_514) (- 85)))) (or (< ?v_305 (- 56)) (not (= (+ (+ ?v_2 ?v_749) ?v_222) (- 34))))) (or (or (or (> (+ (+ ?v_188 ?v_482) ?v_138) (- 30)) (= (+ (+ (+ ?v_210 ?v_306) ?v_307) ?v_278) 0)) (and (< (+ (+ ?v_308 ?v_229) ?v_309) (- 65)) (> (+ (+ (+ ?v_310 ?v_317) ?v_311) ?v_19) 30))) (or (or (>= (+ (+ ?v_312 ?v_75) ?v_313) 34) (<= (+ (+ (+ ?v_314 ?v_389) ?v_63) ?v_315) 50)) (not (= (+ (+ ?v_350 ?v_289) ?v_187) (- 97)))))) (or (or (and (>= (+ (+ (+ ?v_8 ?v_316) ?v_101) ?v_313) 46) (and (< (+ (+ (+ ?v_529 ?v_317) ?v_198) ?v_318) 0) (>= (+ (+ ?v_319 ?v_49) ?v_710) 79))) (or (or (not (= (+ ?v_92 ?v_159) (- 12))) (<= (+ (+ ?v_320 ?v_23) ?v_661) (- 70))) (and (> (+ (+ ?v_386 ?v_326) ?v_390) 96) (= (+ (+ (+ ?v_321 ?v_62) ?v_322) ?v_323) 0)))) (and (and (or (= (+ (+ ?v_409 ?v_57) ?v_324) 0) (= (+ (+ (+ ?v_365 ?v_588) ?v_247) ?v_298) 0)) (= (+ (+ (+ ?v_325 ?v_326) ?v_327) ?v_328) (- 54))) (or (or (>= (+ (+ ?v_317 ?v_329) ?v_330) 100) (= (+ (+ ?v_3 ?v_331) ?v_332) 68)) (or (> (+ ?v_333 ?v_463) 0) (< (+ (+ ?v_291 ?v_334) ?v_628) 0))))))) (or (and (or (and (>= (+ (+ ?v_304 ?v_257) ?v_335) 19) (<= (+ (+ ?v_67 ?v_346) ?v_336) 86)) (not (= (+ (+ (+ ?v_536 ?v_352) ?v_25) ?v_337) (- 100)))) (or (and (and (= (+ ?v_67 ?v_317) 21) (= (+ (+ ?v_302 ?v_338) ?v_266) 72)) (and (>= (+ (+ ?v_615 ?v_6) ?v_339) (- 47)) (<= (+ (+ ?v_340 ?v_475) ?v_341) 15))) (or (or (< (+ ?v_36 ?v_342) 1) (not (= (+ ?v_26 ?v_250) 0))) (or (= (+ (+ ?v_302 ?v_520) ?v_343) 0) (<= (+ (+ ?v_531 ?v_344) ?v_387) (- 79)))))) (and (or (or (or (and (< (+ (+ ?v_7 ?v_466) ?v_111) (- 77)) (<= (+ (+ ?v_345 ?v_346) ?v_96) (- 97))) (and (<= (+ (+ (+ ?v_347 ?v_348) ?v_83) ?v_349) (- 73)) (>= (+ ?v_350 ?v_82) (- 20)))) (or (or (not (= (+ (+ (+ ?v_351 ?v_352) ?v_433) ?v_353) (- 33))) (> (+ (+ (+ ?v_567 ?v_257) ?v_354) ?v_355) 0)) (or (>= (+ ?v_117 ?v_237) 55) (not (= (+ (+ ?v_378 ?v_356) ?v_393) 54))))) (and (> (+ ?v_20 ?v_500) (- 15)) (not (= (+ ?v_6 ?v_357) (- 24))))) (or (or (and (or (not (= (+ (+ (+ ?v_521 ?v_358) ?v_359) ?v_360) 30)) (= (+ (+ (+ ?v_361 ?v_550) ?v_359) ?v_272) 0)) (and (>= (+ ?v_347 ?v_362) 13) (= (+ (+ (+ ?v_363 ?v_364) ?v_111) ?v_659) 0))) (and (and (>= (+ (+ ?v_365 ?v_271) ?v_160) 28) (not (= (+ (+ (+ ?v_366 ?v_98) ?v_367) ?v_368) (- 54)))) (or (< (+ (+ (+ ?v_488 ?v_369) ?v_33) ?v_370) 67) (< (+ (+ ?v_371 ?v_102) ?v_377) 0)))) (or (or (or (>= (+ (+ ?v_295 ?v_372) ?v_185) (- 80)) (> (+ ?v_163 ?v_373) (- 15))) (or (< (+ (+ ?v_325 ?v_374) ?v_442) 0) (>= (+ (+ (+ ?v_108 ?v_207) ?v_375) ?v_21) (- 89)))) (or (or (= (+ (+ ?v_376 ?v_377) ?v_1) 0) (<= (+ ?v_378 ?v_362) (- 91))) (or (not (= (+ ?v_238 ?v_111) (- 33))) (< (+ (+ ?v_126 ?v_110) ?v_622) 70))))))))))) (or (and (and (or (and (and (and (and (or (= (+ (+ ?v_379 ?v_380) ?v_44) (- 93)) (= (+ (+ (+ ?v_130 ?v_381) ?v_132) ?v_168) (- 27))) (or (< (+ (+ (+ ?v_382 ?v_227) ?v_247) ?v_158) 97) (< (+ ?v_233 ?v_383) (- 62)))) (and (and (not (= (+ ?v_131 ?v_45) (- 19))) (< (+ (+ ?v_384 ?v_40) ?v_534) (- 23))) (or (< (+ (+ ?v_631 ?v_435) ?v_385) (- 20)) (> (+ (+ (+ ?v_386 ?v_730) ?v_387) ?v_34) 83)))) (or (or (= (+ ?v_268 ?v_388) 0) (>= (+ (+ (+ ?v_173 ?v_389) ?v_390) ?v_421) 19)) (or (>= (+ (+ ?v_391 ?v_392) ?v_307) 94) (not (= (+ (+ (+ ?v_64 ?v_469) ?v_301) ?v_393) 48))))) (or (> (+ (+ ?v_394 ?v_176) ?v_18) 75) (and (and (= (+ (+ ?v_395 ?v_396) ?v_397) 0) (<= (+ (+ ?v_325 ?v_183) ?v_699) (- 61))) (> (+ ?v_194 ?v_523) (- 31))))) (or (or (or (and (> ?v_398 0) (< (+ (+ ?v_432 ?v_25) ?v_424) (- 50))) (or (or (> (+ (+ (+ ?v_457 ?v_293) ?v_383) ?v_105) 38) (= (+ (+ ?v_95 ?v_213) ?v_592) 18)) (or (< (+ (+ ?v_135 ?v_510) ?v_51) 46) (>= (+ (+ ?v_201 ?v_399) ?v_400) 0)))) (and (and (or (< (+ (+ (+ ?v_144 ?v_611) ?v_401) ?v_402) (- 38)) (<= (+ (+ (+ ?v_117 ?v_14) ?v_403) ?v_208) 0)) (and (<= (+ (+ ?v_404 ?v_39) ?v_341) (- 39)) (> (+ ?v_582 ?v_274) 53))) (or (<= (+ (+ ?v_314 ?v_145) ?v_405) 71) (and (<= (+ (+ ?v_406 ?v_265) ?v_407) 9) (= ?v_183 75))))) (or (and (< (+ (+ ?v_293 ?v_499) ?v_112) 1) (< ?v_577 40)) (and (= (+ (+ ?v_408 ?v_233) ?v_94) 15) (< (+ (+ ?v_409 ?v_410) ?v_93) 67))))) (or (or (or (and (and (and (= (+ (+ (+ ?v_77 ?v_411) ?v_28) ?v_412) (- 33)) (= (+ (+ ?v_420 ?v_413) ?v_223) 39)) (<= (+ (+ ?v_414 ?v_415) ?v_143) 65)) (and (not (= (+ ?v_416 ?v_417) (- 39))) (< (+ ?v_418 ?v_149) (- 38)))) (and (or (>= (+ (+ (+ ?v_419 ?v_239) ?v_265) ?v_524) 31) (>= (+ (+ (+ ?v_420 ?v_288) ?v_332) ?v_421) (- 74))) (and (= (+ (+ ?v_126 ?v_673) ?v_337) (- 31)) (not (= (+ (+ ?v_447 ?v_704) ?v_28) 39))))) (or (or (and (or (< (+ (+ ?v_372 ?v_679) ?v_422) 61) (> (+ (+ ?v_423 ?v_147) ?v_315) (- 25))) (or (< (+ (+ ?v_601 ?v_707) ?v_424) 25) (>= (+ ?v_425 ?v_451) 0))) (and (<= (+ (+ (+ ?v_426 ?v_207) ?v_97) ?v_427) 38) (or (<= (+ (+ (+ ?v_9 ?v_763) ?v_428) ?v_168) 48) (= (+ (+ ?v_176 ?v_481) ?v_47) (- 90))))) (and (and (and (= (+ (+ (+ ?v_378 ?v_555) ?v_250) ?v_222) (- 3)) (< ?v_773 (- 92))) (and (>= (+ (+ ?v_429 ?v_430) ?v_105) 0) (< (+ (+ ?v_113 ?v_646) ?v_431) (- 47)))) (or (or (not (= (+ (+ ?v_12 ?v_39) ?v_541) 0)) (<= (+ (+ ?v_256 ?v_60) ?v_232) (- 57))) (or (<= (+ (+ (+ ?v_119 ?v_432) ?v_91) ?v_278) (- 6)) (= (+ (+ ?v_344 ?v_760) ?v_434) (- 3))))))) (and (or (or (and (> (+ (+ ?v_95 ?v_433) ?v_134) 0) (and (not (= (+ (+ ?v_423 ?v_403) ?v_434) 0)) (> (+ (+ (+ ?v_11 ?v_36) ?v_454) ?v_424) 92))) (and (or (< (+ (+ (+ ?v_59 ?v_212) ?v_132) ?v_29) (- 89)) (not (= (+ (+ ?v_95 ?v_435) ?v_436) 0))) (not (= (+ (+ ?v_48 ?v_437) ?v_204) (- 72))))) (and (not (= (+ ?v_438 ?v_742) (- 91))) (not (= (+ (+ ?v_214 ?v_197) ?v_439) (- 49))))) (and (and (or (and (not (= (+ (+ ?v_52 ?v_197) ?v_440) 0)) (> (+ (+ ?v_395 ?v_441) ?v_341) (- 7))) (or (<= (+ (+ (+ ?v_20 ?v_491) ?v_25) ?v_153) (- 57)) (>= (+ (+ (+ ?v_166 ?v_459) ?v_231) ?v_442) 82))) (or (= (+ (+ (+ ?v_179 ?v_338) ?v_333) ?v_443) 0) (or (>= (+ (+ ?v_444 ?v_445) ?v_255) (- 86)) (<= (+ (+ ?v_446 ?v_645) ?v_633) 0)))) (or (or (< (+ (+ ?v_447 ?v_248) ?v_448) 0) (or (>= (+ (+ ?v_361 ?v_183) ?v_449) 0) (= (+ (+ ?v_722 ?v_72) ?v_451) (- 9)))) (and (or (<= (+ (+ ?v_256 ?v_93) ?v_452) 72) (>= ?v_121 22)) (and (<= (+ ?v_681 ?v_453) 0) (= (+ (+ ?v_420 ?v_76) ?v_602) 93)))))))) (and (and (and (and (or (and (or (= (+ ?v_293 ?v_560) 3) (< (+ (+ ?v_549 ?v_376) ?v_248) 31)) (> (+ (+ ?v_249 ?v_454) ?v_455) (- 39))) (or (or (or (= (+ (+ (+ ?v_165 ?v_717) ?v_612) ?v_456) 0) (not (= ?v_288 87))) (or (<= ?v_321 (- 91)) (not (= (+ ?v_457 ?v_367) (- 75))))) (and (< (+ (+ ?v_458 ?v_459) ?v_54) 31) (or (> ?v_118 (- 84)) (= (+ (+ ?v_720 ?v_460) ?v_134) 0))))) (and (or (and (and (= (+ ?v_35 ?v_421) 0) (not (= (+ (+ (+ ?v_37 ?v_461) ?v_462) ?v_463) (- 54)))) (and (not (= (+ ?v_186 ?v_10) 12)) (> (+ (+ ?v_464 ?v_376) ?v_54) 12))) (and (< (+ ?v_132 ?v_47) 22) (and (< (+ (+ ?v_465 ?v_466) ?v_396) (- 5)) (<= (+ (+ (+ ?v_653 ?v_467) ?v_468) ?v_739) 32)))) (and (or (< (+ (+ (+ ?v_69 ?v_176) ?v_193) ?v_99) 64) (and (< (+ ?v_469 ?v_333) (- 2)) (= (+ ?v_470 ?v_362) 0))) (or (<= (+ (+ ?v_207 ?v_232) ?v_471) (- 96)) (and (> (+ (+ ?v_163 ?v_358) ?v_451) 42) (< (+ (+ ?v_17 ?v_472) ?v_473) 28)))))) (or (or (not (= (+ (+ ?v_320 ?v_474) ?v_619) 0)) (or (< (+ (+ (+ ?v_446 ?v_495) ?v_475) ?v_278) 85) (> (+ (+ ?v_108 ?v_197) ?v_383) (- 75)))) (or (and (< (+ ?v_581 ?v_455) 0) (>= (+ (+ ?v_260 ?v_505) ?v_53) 61)) (or (> ?v_476 0) (> (+ (+ ?v_365 ?v_123) ?v_168) (- 36)))))) (or (and (or (or (< (+ (+ (+ ?v_262 ?v_657) ?v_137) ?v_161) (- 95)) (not (= (+ (+ ?v_415 ?v_356) ?v_208) (- 78)))) (or (<= (+ (+ ?v_32 ?v_479) ?v_94) (- 88)) (not (= (+ ?v_35 ?v_477) (- 96))))) (or (or (or (or (< (+ ?v_484 ?v_421) 0) (<= (+ (+ ?v_2 ?v_269) ?v_478) 35)) (or (= (+ ?v_411 ?v_479) 53) (> (+ ?v_525 ?v_480) 0))) (or (or (< (+ (+ (+ ?v_320 ?v_129) ?v_481) ?v_142) 16) (= (+ ?v_395 ?v_482) 0)) (and (> (+ (+ ?v_186 ?v_227) ?v_255) 0) (= (+ (+ ?v_277 ?v_543) ?v_10) 0)))) (and (and (>= (+ (+ (+ ?v_220 ?v_483) ?v_333) ?v_187) 46) (< (+ (+ (+ ?v_117 ?v_201) ?v_215) ?v_448) 76)) (or (<= (+ (+ ?v_92 ?v_484) ?v_463) 0) (>= (+ (+ ?v_64 ?v_218) ?v_138) (- 17)))))) (and (and (and (<= (+ ?v_137 ?v_487) (- 82)) (or (or (not (= (+ (+ ?v_394 ?v_392) ?v_287) (- 42))) (not (= (+ (+ (+ ?v_485 ?v_489) ?v_486) ?v_149) 75))) (and (>= (+ (+ ?v_225 ?v_307) ?v_487) 28) (>= (+ (+ ?v_488 ?v_489) ?v_490) (- 80))))) (and (and (or (= (+ (+ ?v_114 ?v_218) ?v_309) 0) (= (+ (+ ?v_196 ?v_491) ?v_475) 0)) (or (<= (+ (+ (+ ?v_305 ?v_604) ?v_433) ?v_638) (- 1)) (= (+ (+ ?v_506 ?v_36) ?v_492) 5))) (and (or (< ?v_461 0) (< (+ (+ ?v_214 ?v_271) ?v_456) 58)) (and (< (+ ?v_68 ?v_493) 64) (= (+ (+ ?v_302 ?v_354) ?v_393) 44))))) (or (or (or (= (+ (+ (+ ?v_494 ?v_495) ?v_91) ?v_336) 39) (<= (+ (+ ?v_196 ?v_598) ?v_496) (- 57))) (and (and (< (+ ?v_759 ?v_497) 0) (< (+ (+ (+ ?v_27 ?v_498) ?v_499) ?v_500) 76)) (or (>= (+ (+ ?v_136 ?v_501) ?v_337) 34) (= (+ (+ ?v_7 ?v_338) ?v_237) 53)))) (and (not (= ?v_366 99)) (and (>= (+ (+ (+ ?v_314 ?v_312) ?v_502) ?v_427) 0) (>= (+ (+ (+ ?v_297 ?v_624) ?v_658) ?v_263) 0))))))) (or (and (or (and (and (> (+ ?v_384 ?v_193) (- 21)) (> (+ ?v_512 ?v_606) 3)) (or (>= (+ ?v_503 ?v_168) 76) (or (= (+ (+ ?v_297 ?v_374) ?v_750) 6) (>= (+ ?v_537 ?v_504) 0)))) (and (and (> (+ (+ ?v_505 ?v_327) ?v_284) 0) (> (+ (+ (+ ?v_506 ?v_466) (* (- 71) ?x3)) ?v_393) 0)) (and (>= (+ (+ (+ ?v_488 ?v_392) ?v_71) ?v_436) 85) (< (+ (+ (+ ?v_194 ?v_182) ?v_231) ?v_222) (- 62))))) (or (and (or (and (or (= (+ (+ ?v_507 ?v_182) ?v_244) 0) (= (+ ?v_304 ?v_449) 29)) (< (+ (+ ?v_235 ?v_508) ?v_105) (- 26))) (or (not (= (+ (+ ?v_476 ?v_80) ?v_509) 17)) (= (+ (+ (+ ?v_409 ?v_533) ?v_510) ?v_402) 36))) (or (and (or (<= ?v_511 20) (> (+ (+ (+ ?v_512 ?v_513) ?v_765) ?v_514) 0)) (and (<= (+ (+ ?v_512 ?v_57) ?v_528) (- 73)) (< (+ (+ ?v_781 ?v_481) ?v_337) 0))) (and (>= (+ (+ (+ ?v_515 ?v_516) ?v_591) ?v_756) 0) (< (+ (+ (+ ?v_755 ?v_516) ?v_609) ?v_45) (- 17))))) (and (or (and (and (<= (+ ?v_42 ?v_148) 89) (<= (+ (+ (+ ?v_517 ?v_167) ?v_185) ?v_1) 50)) (not (= (+ (+ (+ ?v_518 ?v_519) ?v_520) ?v_158) 0))) (and (or (< (+ (+ ?v_320 ?v_333) ?v_385) 13) (= (+ (+ ?v_521 ?v_522) ?v_40) (- 4))) (and (< (+ (+ ?v_574 ?v_523) ?v_524) (- 14)) (<= (+ (+ (+ ?v_525 ?v_415) ?v_178) ?v_663) (- 43))))) (or (or (or (>= (+ (+ (+ ?v_291 ?v_526) ?v_527) ?v_528) (- 26)) (< (+ (+ (+ ?v_529 ?v_530) ?v_571) ?v_452) 0)) (or (> (+ (+ (+ ?v_531 ?v_56) ?v_532) ?v_164) 0) (> ?v_30 0))) (and (<= (+ (+ ?v_533 ?v_38) ?v_534) 0) (or (>= (+ (+ (+ ?v_17 ?v_249) ?v_383) ?v_535) (- 20)) (>= (+ (+ ?v_570 ?v_236) ?v_1) 40))))))) (and (or (or (and (or (and (< (+ (+ ?v_277 ?v_584) ?v_511) 0) (= (+ (+ ?v_536 ?v_537) ?v_496) 77)) (or (not (= (+ (+ ?v_109 ?v_376) ?v_538) 57)) (<= (+ (+ ?v_539 ?v_429) ?v_45) 65))) (or (or (<= (+ ?v_262 ?v_524) (- 37)) (> (+ (+ (+ ?v_174 ?v_540) ?v_541) ?v_623) 0)) (and (> (+ (+ ?v_542 ?v_372) ?v_180) (- 54)) (> (+ (+ ?v_81 ?v_39) ?v_54) 54)))) (or (or (= (+ (+ (+ ?v_17 ?v_543) ?v_697) ?v_436) 96) (and (>= (+ ?v_3 ?v_61) (- 53)) (not (= (+ (+ ?v_176 ?v_387) ?v_544) (- 60))))) (and (and (not (= (+ (+ ?v_379 ?v_399) ?v_455) 75)) (< (+ (+ ?v_438 ?v_747) ?v_545) (- 74))) (or (not (= (+ (+ (+ ?v_446 ?v_384) ?v_546) ?v_336) (- 36))) (>= (+ (+ (+ ?v_31 ?v_369) ?v_636) ?v_443) 19))))) (or (and (or (> (+ (+ ?v_425 ?v_530) ?v_547) (- 67)) (> (+ (+ ?v_13 ?v_548) ?v_10) 23)) (not (= (+ (+ ?v_549 ?v_580) ?v_125) (- 66)))) (and (or (< (+ (+ (+ ?v_3 ?v_550) ?v_689) ?v_524) (- 14)) (= (+ (+ (+ ?v_302 ?v_684) ?v_640) ?v_385) 12)) (and (and (not (= (+ (+ ?v_120 ?v_236) ?v_385) 57)) (= (+ (+ ?v_292 ?v_460) ?v_362) 0)) (or (not (= (+ (+ (+ ?v_181 ?v_526) ?v_55) ?v_456) 93)) (= (+ (+ ?v_551 ?v_499) ?v_190) 0)))))) (and (or (and (and (> (+ (+ ?v_312 ?v_50) ?v_544) 86) (<= (+ (+ (+ ?v_188 ?v_197) ?v_301) ?v_309) 30)) (and (> (+ (+ ?v_117 ?v_103) ?v_43) 47) (< (+ (+ (+ ?v_258 ?v_374) ?v_232) ?v_223) 37))) (and (and (= (+ (+ ?v_381 ?v_251) ?v_597) 99) (= (+ (+ (+ ?v_119 ?v_131) ?v_754) ?v_440) 78)) (and (< (+ (+ (+ ?v_22 ?v_774) ?v_652) ?v_276) (- 5)) (= (+ (+ ?v_67 ?v_489) ?v_552) (- 27))))) (and (or (or (<= (+ (+ ?v_458 ?v_466) ?v_475) 0) (= (+ ?v_553 ?v_313) 90)) (and (and (> (+ (+ ?v_11 ?v_275) ?v_554) 21) (> (+ (+ (+ ?v_671 ?v_555) ?v_433) ?v_708) (- 78))) (>= (+ (+ ?v_24 ?v_396) ?v_666) 0))) (or (or (>= (+ ?v_256 ?v_556) 0) (and (< (+ (+ (+ ?v_52 ?v_557) ?v_236) ?v_94) 0) (> (+ ?v_521 ?v_240) 0))) (or (or (< (+ (+ ?v_175 ?v_54) ?v_509) 0) (>= (+ (+ ?v_292 ?v_558) ?v_559) (- 59))) (and (> (+ ?v_139 ?v_338) (- 57)) (>= (+ (+ ?v_529 ?v_703) ?v_560) 31)))))))))) (or (and (or (and (and (and (and (and (<= (+ (+ (+ ?v_361 ?v_56) ?v_558) ?v_153) 0) (> (+ (+ ?v_732 ?v_333) ?v_199) (- 97))) (and (= (+ (+ ?v_692 ?v_90) ?v_327) (- 30)) (or (= (+ (+ ?v_130 ?v_561) ?v_53) (- 61)) (< (+ (+ (+ ?v_172 ?v_562) ?v_403) ?v_148) (- 89))))) (and (or (or (not (= (+ (+ (+ ?v_563 ?v_299) ?v_480) ?v_87) (- 84))) (not (= (+ (+ ?v_564 ?v_522) ?v_534) 93))) (or (not (= (+ (+ ?v_139 ?v_279) ?v_134) (- 57))) (= (+ (+ ?v_2 ?v_565) ?v_639) 0))) (and (or (>= (+ (+ (+ ?v_109 ?v_566) ?v_38) ?v_471) 43) (>= (+ (+ (+ ?v_567 ?v_466) ?v_248) ?v_195) (- 29))) (and (<= ?v_436 11) (<= (+ (+ (+ ?v_568 ?v_543) ?v_204) (* (- 97) ?x4)) 62))))) (or (or (or (or (< (+ (+ (+ ?v_177 ?v_569) ?v_66) ?v_134) 0) (not (= (+ (+ (+ ?v_108 ?v_570) ?v_571) ?v_41) 48))) (< (+ ?v_621 ?v_454) (- 20))) (or (and (> (+ (+ ?v_589 ?v_538) ?v_276) (- 21)) (<= (+ (+ (+ ?v_680 ?v_344) ?v_289) ?v_608) 59)) (not (= (+ (+ (+ ?v_391 ?v_271) ?v_572) ?v_255) 0)))) (and (>= (+ (+ ?v_429 ?v_346) ?v_587) 22) (>= (+ (+ ?v_2 ?v_390) ?v_412) 70)))) (and (or (and (or (and (<= (+ (+ ?v_753 ?v_198) ?v_282) 32) (<= (+ ?v_18 ?v_328) (- 91))) (not (= (+ (+ ?v_314 ?v_533) ?v_509) (- 94)))) (and (or (<= (+ (+ (+ ?v_573 ?v_288) ?v_445) ?v_634) (- 40)) (< (+ (+ ?v_214 ?v_696) ?v_236) 97)) (or (<= (+ (+ ?v_574 ?v_83) ?v_149) (- 37)) (<= (+ (+ ?v_369 ?v_575) ?v_318) 92)))) (and (or (>= (+ (+ ?v_423 ?v_111) ?v_576) 97) (< (+ (+ ?v_577 ?v_0) ?v_578) 40)) (and (and (< (+ (+ ?v_245 ?v_322) ?v_579) 0) (= (+ ?v_580 ?v_41) (- 85))) (and (= (+ (+ ?v_568 ?v_481) ?v_313) 0) (>= (+ ?v_581 ?v_336) (- 23)))))) (and (or (or (and (<= (+ (+ ?v_150 ?v_36) ?v_18) 35) (> (+ (+ ?v_69 ?v_533) ?v_156) 0)) (and (<= (+ (+ ?v_488 ?v_582) ?v_509) (- 22)) (> (+ ?v_577 ?v_153) 0))) (or (or (= (+ (+ (+ ?v_444 ?v_461) ?v_380) ?v_583) (- 55)) (not (= (+ ?v_564 ?v_66) 3))) (or (> (+ (+ ?v_379 ?v_584) ?v_585) 87) (< (+ (+ ?v_432 ?v_269) ?v_328) (- 68))))) (and (and (and (= (+ (+ ?v_109 ?v_491) ?v_50) 0) (> (+ (+ (+ ?v_252 ?v_586) ?v_91) ?v_10) (- 6))) (or (> (+ (+ ?v_683 ?v_533) ?v_587) (- 99)) (<= (+ ?v_150 ?v_303) 62))) (or (< (+ (+ ?v_507 ?v_413) ?v_133) (- 29)) (< (+ (+ (+ (* (- 74) ?x1) ?v_203) ?v_169) ?v_133) (- 14))))))) (or (and (and (or (= (+ (+ (+ ?v_52 ?v_136) ?v_115) ?v_443) 23) (or (not (= (+ ?v_588 ?v_572) 0)) (> (+ (+ (+ ?v_685 ?v_526) ?v_401) ?v_286) (- 43)))) (or (= (+ (+ ?v_667 ?v_176) ?v_442) 53) (or (not (= (+ (+ ?v_589 ?v_566) ?v_590) 0)) (>= (+ ?v_752 ?v_341) 0)))) (or (or (and (<= (+ (+ ?v_299 ?v_480) ?v_192) 0) (< (+ (+ (+ ?v_52 ?v_459) ?v_591) ?v_10) 37)) (= (+ (+ ?v_642 ?v_664) ?v_592) 0)) (or (and (> (+ (+ (+ ?v_214 ?v_345) ?v_593) ?v_443) (- 67)) (not (= (+ ?v_12 ?v_496) 0))) (and (not (= (+ (+ (+ ?v_536 ?v_225) ?v_250) ?v_594) 0)) (>= (+ (+ ?v_595 ?v_439) ?v_583) 79))))) (or (and (or (and (= (+ (+ ?v_444 ?v_467) ?v_559) (- 21)) (< (+ (+ (+ ?v_525 ?v_338) ?v_193) ?v_290) (- 17))) (or (or (<= (+ (+ (+ ?v_596 ?v_6) ?v_740) ?v_337) 47) (not (= (+ (+ ?v_588 ?v_200) ?v_241) 3))) (and (< (+ (+ (+ ?v_186 ?v_60) ?v_232) ?v_597) (- 14)) (<= (+ (+ (+ ?v_529 ?v_429) ?v_28) ?v_199) 32)))) (and (>= (+ (+ (+ ?v_521 ?v_598) ?v_477) ?v_164) (- 47)) (or (not (= (+ (+ ?v_291 ?v_356) ?v_96) 0)) (>= (+ ?v_312 ?v_148) 0)))) (or (and (or (or (= (+ ?v_312 ?v_416) 8) (<= (+ (+ (+ ?v_716 ?v_598) ?v_401) ?v_162) (- 13))) (and (< (+ (+ (+ ?v_37 ?v_201) ?v_435) ?v_222) 0) (< (+ ?v_599 ?v_600) 0))) (or (>= (+ (+ (+ ?v_601 ?v_267) ?v_248) ?v_278) (- 38)) (> (+ (+ (+ ?v_567 ?v_35) ?v_602) ?v_427) (- 25)))) (and (or (or (> (+ (+ (+ ?v_163 ?v_56) ?v_75) ?v_434) (- 6)) (not (= (+ (+ ?v_495 ?v_88) ?v_603) (- 6)))) (and (= (+ ?v_604 ?v_644) 0) (<= (+ ?v_605 ?v_356) 98))) (or (or (< (+ (+ ?v_22 ?v_519) ?v_585) 88) (>= (+ (+ ?v_64 ?v_516) ?v_627) 79)) (and (= (+ (+ (+ ?v_172 ?v_606) ?v_367) ?v_241) 0) (not (= (+ ?v_319 ?v_430) 75))))))))) (and (or (or (or (or (> (+ (+ (+ ?v_404 ?v_607) ?v_486) ?v_608) (- 69)) (= (+ (+ ?v_92 ?v_609) ?v_493) 0)) (and (and (not (= (+ (+ ?v_392 ?v_127) ?v_44) (- 55))) (>= (+ (+ ?v_610 ?v_611) ?v_477) 94)) (or (> (+ ?v_8 ?v_244) (- 40)) (<= (+ (+ ?v_8 ?v_516) ?v_612) (- 96))))) (and (and (>= (+ (+ (+ ?v_613 ?v_76) ?v_169) ?v_58) 94) (> (+ (+ ?v_371 ?v_486) ?v_587) 54)) (and (and (< (+ (+ (+ ?v_614 ?v_249) ?v_520) ?v_552) (- 59)) (<= (+ (+ ?v_615 ?v_499) ?v_616) 0)) (or (>= (+ (+ ?v_617 ?v_319) ?v_417) 4) (= (+ (+ ?v_235 ?v_93) ?v_618) 90))))) (or (or (or (<= (+ (+ (+ ?v_11 ?v_702) ?v_619) ?v_151) 50) (not (= (+ ?v_165 ?v_281) 99))) (and (and (= (+ (+ ?v_22 ?v_73) ?v_757) 42) (<= (+ (+ ?v_567 ?v_620) ?v_343) (- 99))) (< (+ (+ (+ ?v_308 ?v_621) ?v_72) ?v_187) 34))) (or (not (= (+ (+ (+ ?v_165 ?v_474) ?v_622) ?v_448) 0)) (or (<= (+ (+ (+ (* 58 ?x1) ?v_570) ?v_189) ?v_623) 23) (<= (+ ?v_599 ?v_430) (- 1)))))) (and (and (and (or (< (+ (+ ?v_518 ?v_624) ?v_189) 0) (<= (+ (+ ?v_625 ?v_413) ?v_725) 29)) (and (and (< (+ (+ ?v_155 ?v_191) ?v_53) 94) (>= (+ (+ ?v_258 ?v_626) ?v_481) 67)) (or (= (+ (+ (+ ?v_2 ?v_411) ?v_627) ?v_400) (- 75)) (>= (+ (+ (+ ?v_3 ?v_86) ?v_428) ?v_85) 0)))) (and (and (or (>= (+ (+ ?v_758 ?v_389) ?v_298) (- 53)) (<= (+ ?v_77 ?v_628) 66)) (> (+ (+ ?v_291 ?v_219) ?v_362) 33)) (and (or (not (= (+ (+ ?v_458 ?v_629) ?v_509) (- 7))) (> (+ (+ (+ ?v_512 ?v_630) ?v_49) ?v_134) 68)) (or (<= (+ (+ ?v_631 ?v_632) ?v_263) (- 72)) (<= (+ (+ ?v_483 ?v_561) ?v_94) 27))))) (and (or (and (or (<= (+ (+ ?v_135 ?v_633) ?v_143) 0) (> (+ (+ ?v_573 ?v_322) ?v_634) (- 85))) (or (= (+ (+ ?v_563 ?v_459) ?v_572) (- 42)) (<= (+ (+ (+ ?v_238 ?v_129) ?v_475) ?v_153) (- 87)))) (< (+ (+ (+ ?v_581 ?v_461) ?v_635) ?v_158) (- 80))) (or (and (or (not (= (+ ?v_627 ?v_53) 0)) (<= (+ (+ (+ ?v_8 ?v_543) ?v_322) ?v_496) 0)) (or (<= (+ ?v_312 ?v_636) (- 12)) (not (= (+ ?v_268 ?v_509) 0)))) (or (<= (+ (+ ?v_637 ?v_218) ?v_10) (- 58)) (and (> (+ ?v_12 ?v_638) 44) (<= (+ (+ (+ ?v_64 ?v_39) ?v_477) ?v_639) 45)))))))) (or (and (and (or (and (or (>= (+ (+ ?v_117 ?v_265) ?v_355) (- 35)) (>= (+ (+ ?v_787 ?v_4) ?v_241) 70)) (or (<= (+ (+ (+ ?v_77 ?v_562) ?v_640) ?v_300) (- 10)) (and (> (+ (+ (+ ?v_668 ?v_607) ?v_178) ?v_641) 32) (not (= (+ (+ (+ ?v_165 ?v_642) ?v_468) (* 55 ?x4)) 59))))) (or (and (and (not (= (+ ?v_589 ?v_38) (- 100))) (not (= (+ (+ ?v_643 ?v_644) ?v_89) (- 22)))) (= (+ (+ (+ ?v_426 ?v_374) ?v_244) ?v_463) (- 22))) (or (or (not (= (+ (+ (+ ?v_2 ?v_645) ?v_387) ?v_456) 0)) (< (+ (+ (+ ?v_777 ?v_110) ?v_532) ?v_142) 64)) (or (< (+ ?v_380 ?v_328) (- 5)) (>= (+ (+ ?v_81 ?v_466) ?v_695) 0))))) (and (or (and (or (>= (+ (+ ?v_262 ?v_268) ?v_270) 0) (not (= (+ (+ (+ ?v_647 ?v_646) ?v_250) ?v_597) (- 100)))) (>= (+ ?v_14 ?v_558) 28)) (or (or (<= (+ (+ ?v_150 ?v_269) ?v_456) 78) (not (= (+ (+ ?v_770 ?v_648) ?v_313) 50))) (or (>= (+ ?v_599 ?v_649) 0) (not (= (+ (+ (+ ?v_220 ?v_364) ?v_307) ?v_422) 92))))) (or (or (or (not (= (+ (+ ?v_766 ?v_229) ?v_375) 0)) (not (= (+ (+ ?v_525 ?v_334) ?v_650) (- 76)))) (and (not (= (+ (+ ?v_209 ?v_651) ?v_152) 0)) (not (= (+ (+ (+ ?v_7 ?v_212) ?v_104) ?v_368) (- 58))))) (and (and (not (= ?v_631 29)) (>= (+ ?v_217 ?v_652) (- 11))) (and (<= (+ (+ (+ ?v_653 ?v_183) ?v_654) ?v_53) (- 72)) (not (= ?v_497 (- 55)))))))) (or (or (and (and (and (= (+ ?v_338 ?v_349) (- 63)) (= (+ (+ (+ ?v_363 ?v_655) ?v_137) ?v_656) 78)) (and (>= (+ ?v_209 ?v_311) 0) (<= ?v_657 0))) (and (not (= (+ (+ ?v_734 ?v_658) ?v_133) (- 9))) (or (>= (+ ?v_410 ?v_475) 0) (> (+ (+ (+ ?v_256 ?v_211) ?v_50) ?v_82) 71)))) (or (and (and (not (= (+ ?v_596 ?v_659) (- 22))) (= (+ (+ (+ ?v_525 ?v_513) ?v_431) ?v_597) (- 6))) (or (= (+ (+ ?v_279 ?v_705) ?v_357) 99) (> (+ (+ (+ ?v_59 ?v_36) ?v_454) ?v_556) (- 61)))) (or (and (not (= (+ ?v_251 ?v_496) (- 4))) (> (+ (+ ?v_625 ?v_6) ?v_561) 47)) (and (<= (+ (+ ?v_660 ?v_356) ?v_634) 0) (> (+ (+ (+ ?v_52 ?v_167) ?v_501) ?v_514) 50))))) (or (and (and (>= (+ ?v_4 ?v_422) 37) (not (= (+ (+ ?v_727 ?v_661) ?v_164) 39))) (and (not (= (+ (+ ?v_419 ?v_389) ?v_356) 75)) (> (+ (+ ?v_257 ?v_97) ?v_662) 0))) (and (and (<= (+ (+ ?v_589 ?v_472) ?v_296) 89) (> (+ ?v_531 ?v_132) 0)) (and (< (+ (+ ?v_688 ?v_498) ?v_309) 37) (not (= (+ ?v_175 ?v_663) 63))))))) (or (and (or (and (or (< (+ (+ (+ ?v_295 ?v_159) ?v_664) ?v_362) 46) (= ?v_94 (- 13))) (and (> (+ (+ (+ ?v_518 ?v_665) ?v_619) ?v_560) 63) (<= (+ (+ (+ ?v_438 ?v_642) ?v_160) ?v_666) (- 4)))) (or (or (<= (+ (+ (+ ?v_3 ?v_358) ?v_307) ?v_336) (- 31)) (<= (+ (+ ?v_667 ?v_489) ?v_301) 56)) (or (not (= (+ (+ ?v_668 ?v_454) ?v_148) (- 30))) (< (+ (+ (+ ?v_150 ?v_110) ?v_541) ?v_276) 52)))) (and (and (and (>= (+ (+ ?v_344 ?v_648) ?v_303) 88) (not (= (+ (+ ?v_293 ?v_648) ?v_556) (- 81)))) (or (< (+ (+ (+ ?v_669 ?v_466) ?v_658) ?v_670) 0) (> (+ (+ (+ ?v_100 ?v_677) ?v_431) ?v_478) 57))) (or (or (<= (+ (+ ?v_130 ?v_630) ?v_676) 71) (= (+ ?v_665 ?v_644) (- 73))) (not (= (+ (+ ?v_671 ?v_505) ?v_622) 0))))) (and (or (and (and (not (= (+ ?v_155 ?v_672) 0)) (= (+ (+ ?v_366 ?v_389) ?v_673) 0)) (> (+ (+ (+ ?v_574 ?v_372) ?v_356) ?v_280) 14)) (and (> (+ (+ (+ ?v_404 ?v_57) ?v_674) ?v_675) 86) (and (<= (+ (+ ?v_581 ?v_676) ?v_618) 35) (not (= (+ ?v_677 ?v_678) 75))))) (and (and (> (+ (+ (+ ?v_11 ?v_423) ?v_123) ?v_500) 2) (> (+ (+ ?v_536 ?v_253) ?v_679) 77)) (not (= (+ (+ (+ ?v_209 ?v_423) ?v_673) ?v_698) (- 33)))))))))) (and (and (and (or (or (and (and (or (and (not (= (+ (+ ?v_321 (* (- 19) ?x3)) ?v_552) 51)) (< (+ (+ (+ ?v_108 ?v_566) ?v_221) ?v_303) 0)) (and (<= (+ (+ ?v_13 ?v_35) ?v_650) (- 25)) (< (+ (+ (+ ?v_470 ?v_543) ?v_527) ?v_678) 0))) (and (or (< (+ (+ ?v_150 ?v_645) ?v_25) 58) (not (= (+ (+ ?v_77 ?v_215) ?v_559) (- 36)))) (<= (+ (+ (+ ?v_680 ?v_68) ?v_673) ?v_226) 0))) (or (and (not (= (+ (+ (+ ?v_210 ?v_651) ?v_38) ?v_149) 0)) (not (= (+ ?v_391 ?v_142) 0))) (or (and (<= ?v_681 (- 76)) (not (= (+ (+ ?v_81 ?v_271) ?v_10) (- 66)))) (= (+ ?v_480 ?v_157) 48)))) (and (or (and (and (> (+ (+ ?v_719 ?v_178) ?v_496) 0) (> (+ (+ ?v_447 ?v_390) ?v_335) (- 27))) (> (+ (+ (+ ?v_65 ?v_682) ?v_240) ?v_223) (- 49))) (or (and (>= (+ ?v_35 ?v_153) 67) (>= (+ (+ ?v_446 ?v_215) ?v_343) (- 68))) (>= (+ (+ ?v_216 ?v_497) ?v_134) (- 98)))) (and (and (or (and (>= (+ (+ (+ ?v_683 ?v_684) ?v_118) ?v_353) (- 53)) (= (+ (+ ?v_297 ?v_110) ?v_237) (- 60))) (and (not (= (+ (+ (+ ?v_165 ?v_306) ?v_115) ?v_208) 53)) (< (+ ?v_685 ?v_336) 34))) (and (or (< (+ (+ (+ ?v_371 ?v_60) ?v_54) ?v_594) 85) (< (+ (+ ?v_686 ?v_116) ?v_579) (- 29))) (and (< (+ (+ ?v_563 ?v_584) ?v_499) (- 50)) (>= (+ ?v_2 ?v_319) 70)))) (and (and (or (<= (+ (+ ?v_203 ?v_63) ?v_422) 84) (> (+ (+ ?v_457 ?v_411) ?v_674) (- 25))) (= (+ (+ ?v_108 ?v_72) ?v_402) 0)) (and (or (<= (+ (+ ?v_589 ?v_212) ?v_421) 0) (> (+ (+ (+ ?v_108 ?v_632) ?v_25) ?v_687) (- 34))) (not (= (+ (+ ?v_688 ?v_689) ?v_284) 12))))))) (or (and (and (or (or (<= ?v_691 (- 61)) (> (+ (+ (+ ?v_108 ?v_201) ?v_575) ?v_328) 0)) (or (not (= (+ (+ ?v_691 ?v_50) ?v_290) (- 75))) (< (+ (+ ?v_692 ?v_693) ?v_524) 0))) (or (<= (+ (+ ?v_631 ?v_211) ?v_636) 0) (or (not (= (+ (+ (+ ?v_126 ?v_582) ?v_307) ?v_336) 81)) (= (+ (+ (+ ?v_735 ?v_331) ?v_244) ?v_713) (- 94))))) (and (or (>= (+ (+ ?v_694 ?v_633) ?v_362) 0) (and (not (= (+ (+ ?v_304 ?v_606) ?v_393) 39)) (not (= (+ (+ (+ ?v_745 ?v_690) ?v_322) ?v_639) 69)))) (and (and (= (+ (+ ?v_166 ?v_115) ?v_53) 74) (not (= (+ (+ ?v_615 ?v_695) ?v_255) (- 21)))) (and (< (+ (+ (+ ?v_9 ?v_696) ?v_189) ?v_284) 31) (= (+ (+ ?v_365 ?v_697) ?v_616) 65))))) (or (or (or (< (+ (+ ?v_182 ?v_502) ?v_785) (- 62)) (<= ?v_492 0)) (and (not (= (+ (+ (+ ?v_165 ?v_684) ?v_375) ?v_698) (- 31))) (> (+ ?v_470 ?v_462) 8))) (and (and (and (>= (+ (+ (+ ?v_77 ?v_498) ?v_565) ?v_360) (- 95)) (< (+ (+ ?v_392 ?v_699) ?v_205) 1)) (and (<= (+ (+ ?v_271 ?v_147) ?v_400) (- 34)) (> (+ ?v_156 ?v_687) 0))) (or (<= (+ (+ (+ ?v_596 ?v_700) ?v_61) ?v_286) (- 54)) (>= (+ (+ ?v_32 ?v_15) ?v_641) 0)))))) (or (and (or (and (and (and (<= (+ (+ ?v_615 ?v_24) ?v_634) (- 7)) (> (+ (+ (+ ?v_476 ?v_624) ?v_200) ?v_608) 0)) (and (= (+ (+ (+ ?v_106 ?v_701) ?v_541) ?v_583) 0) (<= (+ (+ ?v_474 ?v_504) ?v_393) (- 64)))) (and (= (+ (+ ?v_420 ?v_570) ?v_215) (- 36)) (or (<= (+ (+ (+ ?v_361 ?v_540) ?v_115) ?v_373) (- 13)) (> (+ (+ (+ ?v_718 ?v_429) ?v_33) ?v_370) 21)))) (and (and (<= (+ (+ ?v_140 ?v_306) ?v_187) (- 15)) (or (or (= (+ (+ ?v_285 ?v_169) ?v_528) 72) (= (+ (+ (+ ?v_135 ?v_537) ?v_679) ?v_578) (- 93))) (or (> (+ (+ (+ ?v_258 ?v_129) ?v_327) ?v_451) 92) (= (+ (+ ?v_702 ?v_652) ?v_440) 0)))) (and (or (> (+ ?v_229 ?v_413) (- 36)) (and (<= (+ ?v_703 ?v_47) (- 21)) (>= (+ (+ ?v_12 ?v_423) ?v_224) 28))) (or (< (+ (+ (+ ?v_106 ?v_704) ?v_221) ?v_328) 0) (>= (+ ?v_581 ?v_768) (- 2)))))) (or (or (or (and (< (+ (+ ?v_632 ?v_289) ?v_278) (- 56)) (not (= (+ (+ ?v_304 ?v_350) ?v_676) 84))) (or (or (>= (+ ?v_14 ?v_137) 25) (not (= (+ ?v_81 ?v_358) 29))) (or (<= ?v_128 0) (> (+ (+ ?v_108 ?v_477) ?v_153) (- 73))))) (or (and (and (> ?v_519 (- 4)) (not (= (+ ?v_83 ?v_587) 0))) (or (not (= (+ ?v_361 ?v_245) 77)) (> (+ (+ ?v_314 ?v_705) ?v_84) 59))) (or (or (>= (+ (+ (+ ?v_706 ?v_707) ?v_88) ?v_708) 0) (not (= (+ (+ ?v_69 ?v_384) ?v_524) (- 19)))) (not (= (+ (+ (+ ?v_420 ?v_32) ?v_403) ?v_639) 66))))) (and (or (and (not (= (+ (+ (+ ?v_671 ?v_621) ?v_383) ?v_105) 18)) (= (+ ?v_512 ?v_479) 0)) (or (or (= (+ ?v_321 ?v_519) (- 63)) (< (+ ?v_358 ?v_709) (- 62))) (or (= (+ (+ ?v_467 ?v_644) ?v_608) (- 24)) (>= (+ ?v_115 ?v_687) (- 17))))) (and (or (or (< ?v_223 13) (= (+ (+ ?v_660 ?v_654) ?v_463) (- 84))) (and (< (+ (+ ?v_470 ?v_423) ?v_16) 64) (= (+ ?v_593 ?v_710) (- 51)))) (or (= (+ (+ ?v_347 ?v_562) ?v_670) 0) (and (= (+ (+ ?v_257 ?v_744) ?v_300) 72) (<= (+ (+ (+ ?v_305 ?v_121) ?v_538) ?v_578) 0))))))) (and (and (or (or (and (or (not (= (+ (+ ?v_252 ?v_700) ?v_481) (- 13))) (> (+ (+ ?v_667 ?v_700) ?v_75) 56)) (and (<= (+ ?v_277 ?v_635) 87) (<= (+ ?v_204 ?v_659) 84))) (and (or (= (+ ?v_156 ?v_493) 27) (< (+ (+ ?v_172 ?v_711) ?v_509) 31)) (> (+ (+ ?v_712 ?v_248) ?v_388) 0))) (and (or (or (<= (+ (+ ?v_764 ?v_268) ?v_362) 0) (= (+ (+ ?v_275 ?v_565) ?v_623) 27)) (or (not (= (+ (+ ?v_419 ?v_145) ?v_710) 35)) (not (= (+ (+ ?v_67 ?v_236) ?v_112) (- 58))))) (and (and (> (+ (+ ?v_77 ?v_537) ?v_471) 20) (<= (+ ?v_220 ?v_143) 6)) (= (+ ?v_252 ?v_401) 0)))) (and (or (or (not (= (+ (+ ?v_531 ?v_741) ?v_133) (- 51))) (= (+ (+ ?v_378 ?v_129) ?v_713) 0)) (>= (+ ?v_113 ?v_714) 0)) (or (or (>= (+ (+ (+ ?v_254 ?v_630) ?v_572) ?v_280) 52) (<= ?v_715 (- 73))) (and (>= (+ ?v_716 ?v_35) 85) (<= (+ (+ ?v_425 ?v_717) ?v_71) 14))))) (and (and (or (and (= (+ (+ ?v_181 ?v_359) ?v_417) (- 73)) (<= (+ (+ ?v_718 ?v_376) ?v_66) (- 19))) (or (not (= (+ (+ (+ ?v_3 ?v_62) ?v_156) ?v_112) (- 60))) (>= (+ (+ (+ ?v_109 ?v_348) ?v_454) ?v_237) (- 29)))) (and (or (and (= ?v_719 (- 6)) (= (+ ?v_325 ?v_199) 6)) (and (<= (+ (+ (+ ?v_418 ?v_39) ?v_232) ?v_149) 0) (<= (+ (+ (+ ?v_140 ?v_643) ?v_575) ?v_594) 0))) (and (< (+ (+ (+ ?v_139 ?v_720) ?v_572) ?v_300) 40) (or (>= (+ ?v_404 ?v_704) 76) (<= (+ (+ ?v_573 ?v_90) ?v_502) 27))))) (or (or (or (and (not (= (+ (+ ?v_721 ?v_23) ?v_85) (- 100))) (>= (+ (+ ?v_344 ?v_334) ?v_731) 0)) (or (>= (+ ?v_39 ?v_105) (- 5)) (< ?v_36 94))) (and (not (= (+ (+ ?v_536 ?v_715) ?v_66) (- 18))) (and (> ?v_595 62) (<= (+ ?v_379 ?v_490) 84)))) (or (or (not (= (+ (+ (+ ?v_446 ?v_582) ?v_439) ?v_330) 12)) (> (+ ?v_722 ?v_247) 0)) (and (or (<= (+ (+ (+ ?v_320 ?v_24) ?v_33) ?v_608) 0) (> (+ (+ ?v_130 ?v_480) ?v_112) (- 16))) (<= (+ ?v_261 ?v_89) (- 66))))))))) (or (and (and (or (and (or (and (not (= (+ ?v_723 ?v_724) (- 66))) (>= ?v_79 76)) (or (not (= (+ (+ ?v_292 ?v_519) ?v_224) (- 21))) (>= (+ (+ (+ ?v_775 ?v_703) ?v_673) ?v_616) 7))) (or (= (+ ?v_389 ?v_502) (- 39)) (not (= (+ (+ (+ ?v_363 ?v_392) ?v_137) ?v_276) 23)))) (and (and (or (<= (+ ?v_613 ?v_14) (- 46)) (<= (+ (+ (+ ?v_409 ?v_114) ?v_396) ?v_725) 23)) (>= (+ (+ (+ ?v_113 ?v_696) ?v_367) ?v_263) (- 68))) (or (or (= (+ (+ (+ ?v_59 ?v_316) ?v_499) ?v_44) 0) (>= (+ (+ ?v_179 ?v_131) ?v_261) (- 83))) (or (>= (+ (+ ?v_340 ?v_479) ?v_560) (- 29)) (>= (+ ?v_423 ?v_168) (- 2)))))) (and (and (and (and (>= (+ ?v_726 ?v_133) (- 71)) (> (+ ?v_135 ?v_586) (- 54))) (and (< (+ (+ ?v_457 ?v_607) ?v_502) 0) (and (= (+ ?v_170 ?v_652) (- 27)) (> (+ (+ ?v_225 ?v_180) ?v_43) 56)))) (and (>= (+ (+ ?v_210 ?v_727) ?v_88) (- 56)) (or (not (= (+ (+ (+ ?v_113 ?v_604) ?v_261) ?v_84) (- 6))) (>= (+ (+ ?v_14 ?v_726) ?v_241) 58)))) (and (and (and (or (= (+ (+ ?v_728 ?v_30) ?v_448) (- 18)) (<= (+ (+ ?v_515 ?v_288) ?v_101) 33)) (and (<= (+ (+ ?v_386 ?v_57) ?v_213) 0) (not (= (+ ?v_629 ?v_673) (- 25))))) (or (or (= ?v_18 27) (< (+ (+ (+ ?v_179 ?v_599) ?v_454) ?v_559) 31)) (> (+ (+ (+ ?v_177 ?v_326) ?v_428) ?v_125) 0))) (or (and (or (>= (+ ?v_685 ?v_729) 0) (not (= (+ (+ ?v_625 ?v_184) ?v_666) 0))) (or (< (+ ?v_322 ?v_443) (- 98)) (<= (+ (+ ?v_631 ?v_39) ?v_448) (- 75)))) (or (or (= (+ (+ ?v_24 ?v_250) ?v_455) (- 3)) (> (+ (+ ?v_611 ?v_572) ?v_559) (- 28))) (and (<= (+ (+ (+ ?v_577 ?v_154) ?v_28) ?v_336) 90) (<= (+ ?v_414 ?v_78) 33))))))) (and (or (and (or (and (or (and (<= (+ (+ ?v_573 ?v_432) ?v_723) 8) (= (+ ?v_301 ?v_514) (- 25))) (and (<= (+ (+ ?v_414 ?v_459) ?v_269) (- 85)) (not (= (+ (+ ?v_730 ?v_481) ?v_594) 84)))) (and (and (< (+ (+ ?v_146 ?v_68) ?v_156) 0) (<= (+ (+ ?v_599 ?v_416) ?v_514) (- 61))) (or (< (+ (+ ?v_521 ?v_519) ?v_287) 16) (> (+ (+ (+ ?v_238 ?v_124) ?v_242) ?v_85) (- 33))))) (and (and (> (+ ?v_137 ?v_192) (- 28)) (not (= (+ (+ ?v_253 ?v_640) ?v_427) 0))) (and (< (+ (+ (+ ?v_214 ?v_540) ?v_654) ?v_731) 31) (< (+ (+ ?v_732 ?v_673) ?v_286) 58)))) (and (or (or (<= (+ (+ (+ ?v_667 ?v_665) ?v_54) ?v_603) (- 81)) (< (+ (+ (+ ?v_647 ?v_230) ?v_301) ?v_587) (- 77))) (and (or (not (= (+ ?v_235 ?v_279) 21)) (<= (+ (+ ?v_589 ?v_555) ?v_38) (- 58))) (and (not (= (+ ?v_13 ?v_34) 93)) (= (+ (+ (+ ?v_302 ?v_24) ?v_16) ?v_342) 0)))) (and (or (and (>= (+ ?v_420 ?v_313) (- 11)) (> (+ (+ ?v_718 ?v_167) ?v_670) (- 87))) (or (< (+ ?v_431 ?v_421) 0) (not (= (+ ?v_396 ?v_287) (- 21))))) (and (and (> (+ (+ ?v_176 ?v_193) ?v_587) 0) (= (+ (+ ?v_488 ?v_620) ?v_417) 80)) (or (<= (+ (+ ?v_186 ?v_245) ?v_509) 41) (< (+ (+ ?v_92 ?v_575) ?v_263) 0)))))) (and (or (and (or (>= (+ ?v_703 ?v_710) 0) (<= (+ (+ ?v_65 ?v_730) ?v_355) 3)) (or (not (= (+ (+ ?v_12 ?v_690) ?v_578) 0)) (= (+ ?v_651 ?v_480) 0))) (or (and (not (= (+ (+ (+ ?v_382 ?v_211) ?v_80) ?v_473) 50)) (>= (+ (+ ?v_69 ?v_217) ?v_380) 0)) (and (= (+ ?v_584 ?v_552) (- 69)) (= (+ (+ ?v_525 ?v_103) ?v_413) (- 27))))) (and (and (or (> (+ (+ (+ ?v_119 ?v_701) ?v_294) ?v_89) 83) (or (>= (+ ?v_256 ?v_393) 97) (= (+ (+ ?v_52 ?v_16) ?v_208) 2))) (and (or (< (+ (+ ?v_325 ?v_236) ?v_287) (- 92)) (< (+ ?v_589 ?v_505) 0)) (or (not (= (+ (+ ?v_733 ?v_49) ?v_634) (- 60))) (< (+ (+ (+ ?v_379 ?v_482) ?v_269) ?v_192) 0)))) (or (and (< (+ (+ ?v_366 ?v_502) ?v_82) 7) (not (= (+ ?v_499 ?v_656) 0))) (and (and (< (+ (+ ?v_277 ?v_505) ?v_66) (- 59)) (> (+ (+ ?v_202 ?v_324) ?v_330) 45)) (> (+ (+ ?v_264 ?v_459) ?v_723) (- 4))))))) (and (and (and (and (or (= (+ (+ ?v_406 ?v_499) ?v_405) (- 12)) (not (= (+ (+ ?v_733 ?v_38) ?v_385) 0))) (not (= (+ ?v_630 ?v_609) (- 81)))) (or (< (+ (+ ?v_214 ?v_356) ?v_195) 55) (> (+ ?v_540 ?v_341) 87))) (and (or (or (not (= (+ (+ (+ ?v_450 ?v_523) ?v_333) ?v_168) 0)) (< (+ ?v_206 ?v_268) 52)) (or (<= (+ (+ ?v_262 ?v_562) ?v_300) 18) (< (+ (+ (+ ?v_295 ?v_288) ?v_137) ?v_556) (- 17)))) (and (or (< (+ (+ (+ ?v_140 ?v_665) ?v_593) ?v_85) 55) (not (= ?v_89 23))) (and (= (+ ?v_104 ?v_528) 60) (<= (+ ?v_359 ?v_349) 0))))) (and (and (or (<= (+ (+ (+ ?v_464 ?v_275) ?v_334) ?v_168) 41) (or (not (= ?v_641 (- 64))) (<= (+ (+ ?v_165 ?v_472) ?v_502) (- 75)))) (or (or (<= (+ (+ (+ ?v_260 ?v_693) ?v_375) ?v_556) 0) (= (+ ?v_734 ?v_290) 45)) (and (>= (+ (+ ?v_391 ?v_183) ?v_328) 82) (= (+ (+ (+ ?v_77 ?v_389) ?v_674) ?v_500) (- 15))))) (and (and (> (+ (+ ?v_626 ?v_73) ?v_724) 0) (> (+ (+ (+ ?v_52 ?v_345) ?v_439) ?v_323) 0)) (<= (+ (+ (+ ?v_256 ?v_389) ?v_454) ?v_353) 0)))))) (and (and (or (or (and (and (or (= (+ (+ ?v_256 ?v_462) ?v_337) (- 66)) (>= (+ (+ ?v_614 ?v_299) ?v_276) 0)) (not (= (+ ?v_100 ?v_699) 18))) (and (and (not (= (+ (+ (+ ?v_615 ?v_682) ?v_193) ?v_618) (- 7))) (>= (+ (+ (+ ?v_206 ?v_712) ?v_591) ?v_451) (- 92))) (or (= (+ (+ ?v_391 ?v_651) ?v_633) (- 60)) (> (+ (+ (+ ?v_668 ?v_550) ?v_375) ?v_313) (- 70))))) (and (or (or (>= (+ (+ ?v_57 ?v_322) ?v_53) 0) (> (+ (+ (+ ?v_144 ?v_230) ?v_468) ?v_385) 14)) (and (<= (+ (+ ?v_610 ?v_201) ?v_251) 93) (not (= (+ (+ ?v_22 ?v_160) ?v_357) 56)))) (and (not (= ?v_331 66)) (and (= (+ (+ (+ ?v_531 ?v_154) ?v_705) ?v_373) 69) (> ?v_444 65))))) (or (and (and (<= (+ (+ ?v_748 ?v_80) ?v_616) (- 85)) (> (+ (+ ?v_465 ?v_689) ?v_603) 0)) (and (= (+ (+ ?v_100 ?v_665) (* 36 ?x3)) 0) (<= (+ (+ ?v_577 ?v_244) ?v_443) (- 82)))) (or (or (> (+ (+ ?v_531 ?v_707) ?v_628) 0) (or (> (+ ?v_214 ?v_547) 74) (>= (+ (+ (+ ?v_685 ?v_660) ?v_127) ?v_713) 16))) (or (and (< (+ ?v_614 ?v_587) (- 80)) (<= (+ (+ ?v_513 ?v_593) ?v_545) (- 57))) (and (<= (+ ?v_116 ?v_587) (- 66)) (<= ?v_281 0)))))) (and (and (and (or (>= (+ (+ ?v_344 ?v_231) ?v_87) (- 77)) (and (<= (+ (+ ?v_166 ?v_423) ?v_265) (- 18)) (not (= (+ (+ ?v_382 ?v_648) ?v_330) 0)))) (or (<= (+ (+ ?v_238 ?v_550) ?v_105) (- 73)) (= (+ (+ (+ ?v_347 ?v_56) ?v_137) ?v_337) 26))) (and (or (and (not (= (+ ?v_735 ?v_70) 53)) (> (+ (+ ?v_665 (* (- 32) ?x3)) ?v_417) 92)) (and (not (= (+ ?v_529 ?v_455) 0)) (not (= (+ ?v_736 ?v_580) 59)))) (or (and (not (= (+ ?v_79 ?v_346) 95)) (< (+ ?v_719 ?v_677) 88)) (or (not (= (+ (+ ?v_95 ?v_622) ?v_151) 0)) (not (= (+ (+ ?v_737 ?v_381) ?v_673) 0)))))) (= (+ (+ (+ ?v_130 ?v_288) ?v_501) ?v_157) 0))) (and (and (and (or (or (or (> (+ (+ ?v_584 ?v_91) ?v_341) 65) (and (= (+ ?v_591 ?v_1) 83) (not (= (+ (+ (+ ?v_406 ?v_660) ?v_66) ?v_343) 30)))) (and (<= (+ (+ (+ ?v_59 ?v_474) ?v_72) ?v_1) 0) (> (+ ?v_322 ?v_451) (- 91)))) (and (and (<= (+ ?v_476 ?v_684) 99) (< (+ (+ ?v_260 ?v_118) ?v_53) (- 95))) (or (not (= (+ ?v_363 ?v_714) 0)) (>= (+ (+ ?v_733 ?v_495) ?v_232) 10)))) (and (and (or (and (not (= ?v_591 (- 66))) (>= (+ (+ ?v_320 ?v_607) ?v_97) 1)) (or (> (+ (+ ?v_737 ?v_538) ?v_738) 0) (> (+ (+ ?v_214 ?v_499) ?v_259) 0))) (and (and (<= (+ (+ ?v_57 ?v_723) ?v_739) 32) (not (= (+ ?v_11 ?v_502) (- 81)))) (or (<= (+ (+ ?v_614 ?v_642) ?v_370) (- 16)) (= (+ (+ (+ ?v_291 ?v_102) ?v_723) ?v_710) 2)))) (and (and (or (> (+ (+ ?v_458 ?v_6) ?v_300) 0) (<= (+ (+ ?v_235 ?v_396) ?v_330) (- 34))) (or (>= (+ ?v_426 ?v_740) 34) (= (+ (+ ?v_145 ?v_741) ?v_742) 0))) (or (or (< (+ (+ ?v_366 ?v_431) ?v_272) 97) (= (+ (+ (+ ?v_438 ?v_345) ?v_433) ?v_576) 0)) (and (> (+ (+ (+ ?v_386 ?v_598) ?v_247) ?v_650) 3) (>= (+ (+ ?v_2 ?v_632) ?v_30) (- 29))))))) (or (or (> (+ ?v_743 ?v_237) 86) (<= (+ (+ ?v_458 ?v_717) ?v_710) 0)) (and (<= (+ (+ ?v_549 ?v_334) ?v_153) 0) (not (= (+ (+ ?v_410 ?v_481) ?v_552) 0))))) (and (and (and (or (<= (+ ?v_128 ?v_723) 0) (not (= (+ (+ (+ ?v_194 ?v_285) ?v_481) ?v_58) 62))) (and (> (+ (+ ?v_371 ?v_744) ?v_579) (- 61)) (>= (+ (+ (+ ?v_745 ?v_483) ?v_481) ?v_234) 88))) (or (>= (+ (+ ?v_568 ?v_197) ?v_633) 13) (or (>= ?v_336 (- 53)) (>= (+ (+ ?v_36 ?v_772) ?v_650) 0)))) (and (and (and (and (> (+ (+ (+ ?v_20 ?v_606) ?v_767) ?v_639) 26) (and (= (+ (+ (+ ?v_277 ?v_182) ?v_327) ?v_273) (- 10)) (>= (+ (+ ?v_77 ?v_301) ?v_226) (- 53)))) (or (and (> (+ ?v_146 ?v_456) 63) (> (+ (+ (+ ?v_542 ?v_197) ?v_78) ?v_270) 0)) (and (>= ?v_4 (- 68)) (> (+ (+ ?v_136 ?v_771) ?v_478) 36)))) (or (and (not (= (+ (+ ?v_746 ?v_16) ?v_616) (- 61))) (or (= (+ (+ ?v_110 ?v_78) ?v_738) 0) (<= (+ (+ (+ ?v_254 ?v_245) ?v_502) ?v_153) (- 22)))) (and (and (> (+ (+ (+ ?v_179 ?v_124) ?v_462) ?v_509) 0) (= (+ (+ ?v_526 ?v_265) ?v_405) (- 76))) (and (= ?v_210 (- 91)) (>= (+ (+ ?v_681 ?v_651) ?v_215) 16))))) (or (or (not (= ?v_747 (- 78))) (or (< (+ ?v_737 ?v_257) (- 29)) (>= (+ (+ ?v_491 ?v_435) ?v_1) 0))) (and (and (not (= (+ ?v_669 ?v_579) 0)) (< (+ ?v_712 ?v_571) 67)) (and (= (+ (+ ?v_748 ?v_586) ?v_349) (- 90)) (<= (+ (+ ?v_325 ?v_93) ?v_362) 48)))))))))) (and (and (or (or (or (and (= (+ (+ (+ ?v_567 (* 58 ?x2)) ?v_565) ?v_274) (- 85)) (not (= (+ (+ ?v_106 ?v_468) ?v_698) (- 33)))) (and (= (+ (+ ?v_128 ?v_472) ?v_283) (- 25)) (<= (+ (+ ?v_409 ?v_749) ?v_335) (- 70)))) (and (>= (+ (+ ?v_13 ?v_532) ?v_125) 0) (or (>= (+ (+ ?v_444 ?v_595) ?v_200) (- 17)) (= (+ ?v_186 ?v_466) 0)))) (or (and (>= (+ (+ (+ ?v_506 ?v_285) ?v_61) ?v_282) 0) (>= (+ (+ (+ ?v_365 ?v_201) ?v_744) ?v_434) 0)) (and (not (= (+ (+ (+ ?v_409 ?v_717) ?v_462) ?v_223) 0)) (< (+ (+ ?v_206 ?v_246) ?v_125) 70)))) (and (or (and (and (and (= (+ (+ (+ ?v_447 ?v_624) ?v_301) ?v_87) 33) (and (>= (+ ?v_750 ?v_576) (- 98)) (>= (+ ?v_465 ?v_84) 61))) (or (or (and (> (+ (+ (+ ?v_614 ?v_312) ?v_169) ?v_313) (- 1)) (> (+ (+ ?v_748 ?v_131) ?v_608) 26)) (and (> (+ ?v_494 ?v_171) (- 82)) (>= (+ ?v_256 ?v_66) 0))) (or (and (<= (+ (+ (+ ?v_351 ?v_203) ?v_403) ?v_554) 0) (> (+ (+ ?v_308 ?v_642) ?v_54) (- 76))) (or (= (+ (+ ?v_671 ?v_91) ?v_29) 87) (not (= (+ (+ ?v_155 ?v_626) ?v_751) 0)))))) (and (or (or (>= (+ (+ ?v_11 ?v_253) ?v_105) 76) (and (= (+ ?v_752 ?v_698) 36) (> (+ (+ (+ ?v_175 ?v_39) ?v_193) ?v_524) (- 4)))) (or (and (> (+ ?v_86 ?v_463) (- 19)) (>= (+ ?v_734 ?v_516) (- 71))) (>= (+ ?v_613 ?v_762) 67))) (and (>= (+ (+ ?v_517 ?v_572) ?v_107) (- 98)) (<= (+ (+ (+ ?v_109 ?v_472) ?v_635) ?v_400) 24)))) (or (and (or (and (and (= (+ (+ ?v_632 ?v_416) ?v_511) (- 81)) (>= (+ (+ ?v_507 ?v_665) ?v_666) 0)) (and (<= (+ ?v_573 ?v_416) 0) (<= ?v_753 (- 24)))) (and (or (<= (+ (+ (+ ?v_721 ?v_184) ?v_664) ?v_222) 15) (< (+ (+ ?v_76 ?v_244) ?v_342) (- 80))) (and (= (+ ?v_525 ?v_85) (- 21)) (not (= (+ (+ (+ ?v_77 (* 66 ?x2)) ?v_527) ?v_600) 0))))) (or (or (and (<= (+ (+ ?v_420 ?v_703) ?v_63) 0) (<= (+ (+ (+ ?v_214 ?v_604) ?v_307) ?v_224) 63)) (> (+ ?v_160 ?v_205) 0)) (or (<= (+ ?v_175 ?v_390) 38) (< (+ (+ ?v_338 ?v_754) ?v_761) (- 2))))) (and (or (and (and (> (+ (+ ?v_465 ?v_339) ?v_678) 56) (= (+ (+ ?v_529 ?v_14) ?v_460) 48)) (or (<= (+ (+ ?v_351 ?v_611) ?v_164) 0) (>= (+ (+ ?v_196 ?v_236) ?v_385) 0))) (and (= ?v_507 0) (and (= (+ (+ ?v_498 ?v_591) ?v_85) (- 54)) (<= ?v_145 (- 18))))) (and (and (or (>= (+ (+ ?v_677 ?v_399) (* (- 13) ?x4)) (- 68)) (> (+ (+ (+ ?v_419 ?v_611) ?v_88) ?v_731) (- 97))) (or (> (+ (+ ?v_525 ?v_570) ?v_416) (- 67)) (= (+ ?v_601 ?v_120) 87))) (and (= (+ (+ ?v_755 ?v_93) ?v_427) 0) (= (+ ?v_491 ?v_55) (- 1))))))) (or (or (or (or (and (= (+ (+ ?v_584 ?v_198) ?v_355) 74) (and (= (+ ?v_22 ?v_385) 66) (= (+ (+ (+ ?v_365 ?v_467) ?v_334) ?v_756) (- 21)))) (or (or (>= (+ (+ ?v_254 ?v_504) ?v_757) 0) (< (+ ?v_573 ?v_451) (- 68))) (or (= (+ (+ (+ ?v_503 ?v_555) ?v_244) ?v_473) 39) (> (+ (+ ?v_8 ?v_495) ?v_723) (- 79))))) (or (or (and (= ?v_383 9) (<= (+ (+ ?v_450 ?v_159) ?v_510) 72)) (and (>= (+ ?v_165 ?v_661) (- 50)) (= (+ (+ (+ ?v_614 ?v_23) ?v_332) ?v_58) 36))) (or (> (+ (+ ?v_258 ?v_497) ?v_608) (- 54)) (not (= (+ (+ ?v_155 ?v_301) ?v_29) (- 39)))))) (and (and (and (>= (+ (+ (+ ?v_488 ?v_60) ?v_740) ?v_742) 10) (not (= (+ ?v_27 ?v_136) 51))) (or (or (> (+ (+ ?v_485 ?v_704) ?v_597) 56) (> (+ (+ (+ ?v_194 ?v_338) ?v_510) ?v_353) (- 19))) (or (<= (+ (+ ?v_446 ?v_152) ?v_341) 0) (<= (+ (+ ?v_577 ?v_643) ?v_592) 30)))) (or (or (or (>= (+ (+ (+ ?v_589 ?v_6) ?v_55) ?v_266) 10) (= (+ (+ (+ ?v_292 ?v_595) ?v_354) ?v_282) (- 75))) (and (not (= (+ (+ ?v_758 ?v_483) ?v_192) (- 37))) (= (+ (+ (+ ?v_194 ?v_693) ?v_118) ?v_616) (- 57)))) (and (and (< (+ (+ (+ (* 71 ?x1) ?v_389) ?v_50) ?v_436) (- 92)) (= (+ ?v_598 ?v_431) 12)) (and (<= (+ (+ ?v_358 ?v_250) ?v_21) 0) (not (= (+ (+ (+ ?v_378 ?v_655) ?v_204) ?v_600) (- 43)))))))) (and (or (or (>= (+ (+ ?v_48 ?v_604) ?v_327) (- 95)) (<= (+ (+ (+ ?v_113 ?v_759) ?v_244) ?v_397) 0)) (or (< (+ (+ (+ ?v_9 ?v_271) ?v_591) ?v_556) 37) (not (= (+ (+ (+ ?v_408 ?v_384) ?v_760) ?v_335) 0)))) (or (and (<= (+ (+ (+ ?v_755 ?v_159) ?v_428) ?v_142) 84) (< (+ (+ (+ ?v_601 ?v_253) ?v_741) ?v_353) 16)) (or (and (not (= (+ (+ ?v_126 ?v_432) ?v_761) 9)) (< (+ (+ ?v_386 ?v_475) ?v_161) (- 14))) (or (< (+ ?v_704 ?v_618) 0) (<= (+ (+ ?v_704 ?v_4) ?v_463) 14)))))))) (and (or (and (or (and (or (or (= (+ (+ (+ ?v_135 ?v_376) ?v_673) ?v_400) 11) (or (not (= (+ ?v_35 ?v_61) 0)) (<= (+ (+ ?v_488 ?v_762) ?v_269) 69))) (and (and (not (= (+ (+ ?v_277 ?v_246) ?v_89) 0)) (<= (+ (+ ?v_406 ?v_642) ?v_82) 0)) (or (< (+ (+ ?v_755 ?v_747) ?v_318) (- 20)) (<= (+ (+ ?v_706 ?v_763) ?v_628) 0)))) (and (and (and (not (= (+ (+ (+ ?v_27 ?v_197) ?v_460) ?v_368) (- 40))) (not (= (+ (+ ?v_11 ?v_326) ?v_33) 56))) (or (= (+ ?v_69 ?v_349) 63) (> (+ (+ ?v_485 ?v_364) ?v_44) (- 100)))) (or (and (or (>= (+ (+ ?v_469 ?v_593) ?v_89) (- 20)) (not (= ?v_415 45))) (or (< (+ (+ ?v_764 ?v_605) ?v_380) 73) (<= (+ ?v_637 ?v_730) (- 79)))) (or (and (= (+ (+ ?v_521 ?v_251) ?v_241) 23) (< (+ (+ ?v_76 ?v_433) ?v_496) 0)) (and (> (+ (+ ?v_696 ?v_307) ?v_397) 0) (< (+ (+ ?v_505 ?v_83) ?v_89) (- 74))))))) (and (and (or (or (and (<= (+ (+ ?v_563 ?v_609) ?v_286) (- 16)) (>= (+ (+ ?v_584 ?v_327) ?v_199) 64)) (>= (+ (+ (+ ?v_719 ?v_372) ?v_55) ?v_134) (- 86))) (or (or (< (+ (+ ?v_450 ?v_90) ?v_355) 61) (not (= (+ (+ (+ ?v_470 ?v_712) ?v_765) ?v_751) (- 48)))) (and (>= (+ (+ (+ ?v_206 ?v_606) ?v_189) ?v_656) 76) (= (+ ?v_492 ?v_600) (- 76))))) (or (or (and (<= ?v_6 77) (<= (+ (+ ?v_786 ?v_541) ?v_259) 65)) (> (+ (+ (+ ?v_450 ?v_167) ?v_492) ?v_112) (- 67))) (or (= (+ (+ (+ ?v_614 ?v_522) ?v_244) ?v_583) (- 42)) (and (not (= (+ (+ ?v_716 ?v_39) ?v_640) 3)) (not (= (+ (+ ?v_382 ?v_289) ?v_576) 6)))))) (and (or (= (+ (+ ?v_264 ?v_239) ?v_751) 0) (= (+ (+ (+ ?v_295 ?v_331) ?v_480) ?v_544) 80)) (or (and (and (> (+ (+ (+ ?v_126 ?v_338) ?v_0) ?v_360) 0) (<= (+ (+ (+ ?v_766 ?v_410) ?v_767) ?v_634) 74)) (and (not (= (+ (+ ?v_363 ?v_611) ?v_149) (- 30))) (< (+ (+ ?v_577 ?v_281) ?v_269) 7))) (or (or (<= (+ (+ ?v_150 ?v_654) ?v_623) (- 73)) (>= (+ (+ ?v_735 ?v_762) ?v_161) (- 68))) (and (> (+ (+ ?v_610 ?v_673) ?v_290) 0) (> (+ (+ (+ ?v_450 ?v_98) ?v_132) ?v_590) 27))))))) (or (or (or (or (or (< (+ ?v_152 ?v_21) (- 95)) (<= (+ ?v_65 ?v_471) 0)) (and (< (+ (+ (+ ?v_17 ?v_621) ?v_127) ?v_782) 31) (< (+ ?v_685 ?v_652) (- 35)))) (and (or (>= (+ ?v_532 ?v_385) 70) (= (+ (+ (+ ?v_564 ?v_14) ?v_178) (* 92 ?x4)) (- 75))) (and (>= (+ (+ ?v_7 ?v_768) ?v_407) (- 53)) (= (+ (+ ?v_320 ?v_80) ?v_463) 84)))) (or (or (and (and (not (= (+ (+ (+ ?v_444 ?v_588) ?v_475) ?v_148) (- 48))) (= (+ (+ ?v_450 ?v_469) ?v_456) 47)) (and (> (+ (+ ?v_512 ?v_339) ?v_274) 27) (>= (+ (+ ?v_485 ?v_482) ?v_509) 94))) (and (or (not (= (+ (+ ?v_31 ?v_390) ?v_34) (- 3))) (> (+ (+ (+ ?v_625 ?v_629) ?v_403) ?v_21) 0)) (and (= (+ ?v_548 ?v_744) 29) (not (= (+ (+ (+ ?v_214 ?v_249) ?v_15) ?v_514) (- 33)))))) (and (and (< (+ (+ ?v_769 ?v_410) ?v_190) (- 17)) (= (+ (+ ?v_310 ?v_551) ?v_283) (- 99))) (and (= (+ (+ ?v_685 ?v_704) ?v_500) (- 51)) (<= (+ (+ (+ ?v_170 ?v_384) ?v_221) ?v_496) 39))))) (or (or (or (and (>= (+ ?v_735 ?v_103) 0) (= ?v_770 (- 42))) (and (<= (+ ?v_212 ?v_473) (- 6)) (not (= (+ (+ ?v_508 ?v_602) ?v_162) 0)))) (and (or (and (> (+ (+ ?v_464 ?v_115) ?v_514) 51) (<= ?v_542 (- 1))) (or (< (+ (+ (+ ?v_165 ?v_584) ?v_711) ?v_393) (- 11)) (not (= (+ (+ ?v_291 ?v_730) ?v_440) (- 15))))) (or (>= (+ (+ ?v_67 ?v_621) ?v_754) 0) (or (< (+ (+ ?v_228 ?v_183) ?v_148) 0) (not (= (+ (+ ?v_573 ?v_396) ?v_303) (- 12))))))) (and (or (<= (+ (+ ?v_764 ?v_620) ?v_443) (- 58)) (>= (+ (+ ?v_196 ?v_454) ?v_405) 31)) (and (or (and (not (= (+ ?v_574 ?v_697) (- 27))) (= (+ (+ ?v_64 ?v_319) ?v_481) 0)) (>= (+ (+ ?v_98 ?v_771) ?v_687) (- 59))) (or (and (> (+ (+ ?v_305 ?v_218) ?v_148) 0) (not (= (+ (+ ?v_702 ?v_71) ?v_44) 81))) (and (not (= (+ ?v_438 ?v_672) 42)) (>= (+ (+ (+ ?v_446 ?v_68) ?v_754) ?v_149) 79)))))))) (and (or (or (or (and (and (or (<= (+ (+ (+ ?v_325 ?v_672) ?v_269) ?v_412) 80) (>= (+ (+ (+ ?v_458 ?v_660) ?v_765) ?v_143) 55)) (>= (+ (+ (+ ?v_563 ?v_629) ?v_332) ?v_583) 13)) (or (= (+ (+ ?v_365 ?v_651) ?v_346) (- 24)) (> (+ (+ (+ ?v_667 ?v_566) ?v_772) ?v_618) 47))) (or (and (or (> (+ ?v_66 ?v_138) (- 81)) (<= (+ (+ ?v_667 ?v_773) ?v_761) (- 52))) (and (= (+ (+ ?v_774 ?v_413) ?v_44) 0) (= (+ ?v_207 ?v_487) 0))) (and (not (= (+ (+ ?v_316 ?v_289) ?v_578) (- 25))) (> (+ (+ ?v_606 ?v_622) ?v_45) (- 82))))) (or (and (or (and (< (+ (+ (+ ?v_769 ?v_348) ?v_73) ?v_417) 0) (not (= (+ (+ ?v_404 ?v_288) ?v_592) (- 33)))) (>= (+ ?v_73 ?v_142) 0)) (and (or (<= (+ (+ ?v_371 ?v_275) ?v_34) 47) (< (+ ?v_279 ?v_143) (- 92))) (= (+ ?v_470 ?v_702) 24))) (or (and (> (+ (+ ?v_680 ?v_279) ?v_742) 59) (not (= (+ (+ (+ ?v_297 ?v_6) ?v_30) ?v_323) 0))) (and (<= (+ ?v_589 ?v_5) (- 87)) (<= (+ (+ ?v_140 ?v_551) ?v_528) 0))))) (and (or (or (= ?v_397 (- 19)) (< (+ (+ (+ ?v_581 ?v_36) ?v_294) ?v_84) (- 2))) (and (or (<= (+ (+ ?v_517 ?v_127) ?v_662) 12) (not (= (+ (+ ?v_392 ?v_160) ?v_590) 0))) (or (= (+ (+ ?v_529 ?v_344) ?v_767) 33) (not (= (+ ?v_174 ?v_41) 0))))) (and (= (+ (+ ?v_775 ?v_198) ?v_274) (- 15)) (or (and (and (= (+ (+ ?v_668 ?v_682) ?v_142) (- 85)) (not (= (+ ?v_350 ?v_545) (- 90)))) (and (= (+ (+ ?v_735 ?v_474) ?v_373) 0) (> (+ (+ (+ ?v_733 ?v_171) ?v_740) ?v_708) 0))) (and (and (> (+ ?v_504 ?v_148) 0) (> ?v_54 0)) (or (>= (+ (+ ?v_470 ?v_774) ?v_609) 88) (not (= (+ (+ (+ ?v_719 (* 79 ?x2)) ?v_776) ?v_125) 81)))))))) (or (and (or (or (and (>= (+ (+ (+ ?v_777 ?v_778) ?v_204) ?v_45) (- 98)) (not (= (+ (+ ?v_70 ?v_180) ?v_434) 0))) (and (> ?v_266 (- 16)) (not (= (+ (+ ?v_601 ?v_621) ?v_576) 26)))) (or (or (< (+ (+ ?v_214 ?v_593) ?v_328) (- 20)) (< (+ ?v_254 ?v_286) 67)) (> (+ (+ ?v_660 ?v_744) ?v_427) (- 3)))) (and (and (and (>= (+ ?v_488 ?v_557) (- 35)) (not (= (+ (+ ?v_716 ?v_707) ?v_74) (- 34)))) (or (not (= (+ ?v_230 ?v_0) 20)) (< (+ ?v_18 ?v_608) 22))) (or (and (= (+ (+ (+ ?v_406 ?v_331) ?v_78) ?v_434) (- 15)) (< ?v_94 (- 23))) (or (> (+ (+ (+ ?v_426 ?v_23) ?v_468) ?v_107) (- 97)) (= ?v_40 (- 21)))))) (or (or (not (= (+ ?v_352 ?v_443) 0)) (and (or (< (+ (+ ?v_682 ?v_779) ?v_134) (- 62)) (>= (+ (+ (+ ?v_613 ?v_526) ?v_575) ?v_53) 0)) (or (= (+ ?v_320 ?v_159) 24) (= (+ (+ ?v_395 ?v_301) ?v_237) 63)))) (or (or (and (>= (+ (+ (+ ?v_395 ?v_696) ?v_481) ?v_323) 0) (not (= (+ ?v_672 ?v_572) 0))) (and (<= (+ (+ ?v_581 ?v_403) ?v_138) (- 21)) (< (+ (+ (+ ?v_220 ?v_201) ?v_497) ?v_456) 31))) (or (or (not (= (+ (+ (+ ?v_165 ?v_90) ?v_354) ?v_514) 68)) (> (+ (+ ?v_122 ?v_15) ?v_455) (- 43))) (and (= (+ (+ ?v_447 ?v_122) ?v_597) 39) (= (+ (+ (+ ?v_409 ?v_595) ?v_289) ?v_471) 15)))))))) (or (and (and (or (and (and (<= (+ (+ (+ ?v_228 ?v_700) ?v_261) ?v_698) 5) (< (+ (+ ?v_64 ?v_18) ?v_143) (- 32))) (and (and (< (+ ?v_404 ?v_479) 97) (<= (+ (+ ?v_297 ?v_502) ?v_608) 0)) (and (<= (+ (+ (+ ?v_444 ?v_411) ?v_244) ?v_731) 0) (<= (+ (+ ?v_279 ?v_73) ?v_84) (- 99))))) (and (or (> (+ (+ (+ ?v_139 ?v_530) ?v_18) ?v_341) 0) (>= (+ (+ (+ ?v_536 ?v_211) ?v_83) ?v_362) (- 92))) (>= (+ (+ ?v_239 ?v_754) ?v_443) 0))) (or (or (or (or (<= (+ ?v_409 ?v_431) 57) (not (= (+ ?v_182 ?v_771) 0))) (or (and (< (+ (+ (+ ?v_79 ?v_212) ?v_322) ?v_355) 0) (> (+ (+ (+ ?v_64 ?v_239) ?v_401) ?v_1) 15)) (and (= (+ ?v_776 ?v_286) 17) (< (+ (+ ?v_595 ?v_430) ?v_99) 0)))) (and (and (or (<= (+ (+ ?v_567 ?v_111) ?v_443) 11) (not (= ?v_507 (- 30)))) (= (+ (+ (+ ?v_202 ?v_645) ?v_15) ?v_493) 45)) (and (or (< (+ ?v_369 ?v_141) 0) (> (+ (+ (+ ?v_386 ?v_374) ?v_359) ?v_417) 0)) (or (> (+ (+ (+ ?v_647 ?v_686) ?v_729) ?v_89) (- 72)) (not (= (+ ?v_748 ?v_780) (- 51))))))) (and (or (and (or (<= (+ (+ ?v_704 ?v_649) ?v_283) (- 85)) (<= (+ (+ ?v_485 ?v_98) ?v_708) 59)) (or (< (+ (+ ?v_321 ?v_627) ?v_393) 0) (<= (+ (+ (+ ?v_476 ?v_483) ?v_387) ?v_87) 38))) (or (= (+ (+ ?v_694 ?v_472) ?v_421) (- 57)) (or (>= (+ (+ ?v_150 ?v_441) ?v_580) (- 47)) (< (+ (+ (+ ?v_144 ?v_171) ?v_689) ?v_283) (- 2))))) (or (and (= (+ (+ ?v_292 ?v_781) ?v_558) 6) (> (+ (+ ?v_581 ?v_306) ?v_591) (- 46))) (and (not (= (+ (+ ?v_719 ?v_167) ?v_445) 2)) (not (= (+ (+ ?v_632 ?v_430) ?v_349) 0))))))) (and (and (or (and (and (and (< (+ (+ (+ ?v_220 ?v_660) ?v_104) ?v_270) (- 8)) (= (+ ?v_568 ?v_384) (- 19))) (or (<= (+ ?v_446 ?v_338) 32) (> (+ (+ ?v_692 ?v_306) ?v_388) 0))) (and (and (< (+ (+ (+ ?v_150 ?v_730) ?v_401) ?v_96) (- 2)) (= (+ (+ ?v_371 ?v_124) ?v_34) (- 10))) (>= (+ (+ (+ ?v_69 ?v_774) ?v_396) ?v_353) (- 5)))) (and (<= (+ (+ (+ ?v_734 ?v_646) ?v_185) ?v_300) (- 79)) (or (not (= (+ (+ ?v_379 ?v_127) ?v_190) 89)) (< (+ (+ (+ ?v_262 ?v_703) ?v_232) ?v_554) 37)))) (or (or (= (+ (+ ?v_24 ?v_244) ?v_85) (- 91)) (or (<= (+ ?v_166 ?v_646) 0) (< (+ (+ (+ ?v_525 ?v_6) ?v_116) ?v_51) (- 41)))) (or (or (or (> (+ (+ (+ ?v_553 ?v_120) ?v_593) ?v_34) 90) (= (+ (+ ?v_671 ?v_776) ?v_272) 98)) (and (<= (+ (+ ?v_79 ?v_137) ?v_138) (- 73)) (< (+ (+ ?v_489 ?v_740) ?v_670) 0))) (and (>= (+ (+ (+ ?v_743 ?v_316) ?v_91) ?v_237) (- 98)) (= ?v_9 15))))) (and (or (or (and (<= (+ (+ (+ ?v_426 ?v_348) ?v_116) ?v_74) 0) (or (<= (+ ?v_570 ?v_442) (- 1)) (> (+ (+ ?v_685 ?v_665) ?v_94) (- 66)))) (or (< (+ (+ ?v_482 ?v_327) ?v_335) (- 74)) (>= (+ (+ (+ ?v_220 ?v_271) ?v_454) ?v_739) (- 41)))) (or (or (> (+ ?v_685 ?v_717) 14) (and (>= (+ (+ (+ ?v_476 ?v_376) ?v_25) ?v_698) 70) (> (+ ?v_128 ?v_1) 57))) (= (+ (+ ?v_256 ?v_56) ?v_738) 0))) (or (or (or (and (> (+ ?v_252 ?v_689) 99) (< (+ (+ ?v_494 (* (- 54) ?x2)) ?v_782) 0)) (or (not (= ?v_783 (- 21))) (> (+ (+ ?v_106 ?v_66) ?v_224) 75))) (or (and (< (+ (+ (+ ?v_418 ?v_411) ?v_674) ?v_784) 40) (not (= (+ (+ ?v_615 ?v_344) ?v_357) (- 69)))) (and (> (+ ?v_113 ?v_781) 60) (< (+ ?v_185 ?v_535) (- 59))))) (and (and (and (< (+ (+ ?v_155 ?v_715) ?v_448) (- 35)) (> (+ (+ ?v_488 ?v_390) ?v_168) 0)) (and (< (+ (+ (+ ?v_395 ?v_203) ?v_193) ?v_190) 0) (not (= (+ ?v_135 ?v_73) 12)))) (and (not (= (+ (+ ?v_306 ?v_546) ?v_785) 0)) (< (+ (+ (+ ?v_721 ?v_513) ?v_664) ?v_407) (- 89)))))))) (or (and (and (and (or (and (> (+ (+ (+ ?v_786 ?v_219) ?v_689) ?v_663) (- 6)) (> (+ (+ (+ ?v_406 ?v_249) ?v_104) ?v_29) 63)) (and (= (+ (+ ?v_364 ?v_93) ?v_96) 0) (> (+ ?v_787 ?v_96) 0))) (and (and (<= (+ (+ ?v_660 ?v_431) ?v_400) 38) (> ?v_309 0)) (>= (+ (+ (+ ?v_188 ?v_459) ?v_101) ?v_323) 0))) (or (and (or (< (+ ?v_288 ?v_609) (- 47)) (not (= (+ ?v_128 ?v_121) (- 21)))) (or (>= (+ (+ (+ ?v_166 ?v_6) ?v_189) ?v_143) 61) (not (= (+ (+ (+ ?v_52 ?v_60) ?v_247) ?v_133) 90)))) (or (or (not (= (+ (+ (+ ?v_2 ?v_136) ?v_399) ?v_687) 3)) (<= (+ (+ ?v_630 ?v_200) ?v_284) (- 97))) (or (< (+ (+ ?v_37 ?v_530) ?v_724) (- 71)) (> (+ (+ ?v_563 ?v_124) ?v_468) 0))))) (and (or (or (and (> (+ (+ (+ ?v_77 ?v_229) ?v_247) ?v_296) 0) (not (= (+ (+ ?v_77 ?v_122) ?v_43) 81))) (and (< (+ (+ (+ ?v_515 ?v_376) ?v_492) ?v_587) (- 32)) (= (+ (+ ?v_216 ?v_376) ?v_367) 0))) (and (and (not (= (+ ?v_419 ?v_141) 60)) (= (+ (+ (+ ?v_721 ?v_704) ?v_93) ?v_724) 23)) (and (<= (+ (+ ?v_668 ?v_572) ?v_742) 17) (< (+ (+ ?v_631 ?v_555) ?v_583) 43)))) (or (or (>= (+ (+ (+ ?v_238 ?v_122) ?v_178) ?v_434) 0) (< (+ (+ (+ ?v_302 ?v_606) ?v_620) ?v_603) 43)) (and (and (<= (+ (+ ?v_735 ?v_740) ?v_675) 44) (>= (+ (+ (+ ?v_694 ?v_701) ?v_673) ?v_199) (- 5))) (or (= (+ (+ ?v_507 ?v_324) ?v_199) 0) (= (+ (+ (+ ?v_775 ?v_230) ?v_251) ?v_164) 0)))))) (and (and (and (< (+ (+ ?v_395 ?v_211) ?v_590) (- 53)) (< (+ (+ (+ ?v_755 ?v_281) ?v_591) ?v_552) 10)) (or (>= (+ (+ ?v_52 ?v_657) ?v_336) 0) (= (+ (+ ?v_209 ?v_584) ?v_40) 0))) (and (or (< (+ (+ ?v_539 ?v_781) ?v_649) (- 20)) (<= (+ (+ ?v_745 ?v_57) ?v_761) (- 63))) (<= (+ (+ ?v_677 ?v_689) ?v_731) (- 49))))))))))))))))))))))))
(check-sat)
(exit)
