(set-info :smt-lib-version 2.6)
(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :category "random")
(set-info :status unsat)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(assert (forall ((?x1 Real)) (exists ((?x2 Real)) (forall ((?x3 Real)) (exists ((?x4 Real)) (let ((?v_23 (* 75 ?x1)) (?v_100 (* 17 ?x4)) (?v_226 (* 23 ?x2)) (?v_136 (* 60 ?x4)) (?v_50 (* 65 ?x2)) (?v_241 (* 76 ?x3)) (?v_125 (* 83 ?x4)) (?v_29 (* 98 ?x4)) (?v_15 (* 3 ?x3)) (?v_211 (* 26 ?x1)) (?v_59 (* 76 ?x2)) (?v_224 (* 33 ?x4)) (?v_193 (* 61 ?x2)) (?v_1 (* 2 ?x3)) (?v_53 (* 47 ?x3)) (?v_422 (* 63 ?x1)) (?v_173 (* 77 ?x2)) (?v_484 (* 37 ?x3)) (?v_7 (* 1 ?x4)) (?v_417 (* 10 ?x4)) (?v_58 (* 74 ?x1)) (?v_4 (* 57 ?x4)) (?v_55 (* 58 ?x2)) (?v_12 (* 92 ?x3)) (?v_18 (* 58 ?x1)) (?v_57 (* 50 ?x2)) (?v_154 (* 100 ?x2)) (?v_22 (* 49 ?x3)) (?v_113 (* 100 ?x1)) (?v_150 (* 63 ?x2)) (?v_132 (* 84 ?x1)) (?v_202 (* 46 ?x2)) (?v_505 (* 84 ?x4)) (?v_137 (* 93 ?x1)) (?v_90 (* 93 ?x2)) (?v_192 (* 69 ?x4)) (?v_533 (* 16 ?x1)) (?v_37 (* 30 ?x4)) (?v_19 (* 7 ?x1)) (?v_244 (* 37 ?x2)) (?v_545 (* 80 ?x3)) (?v_78 (* 94 ?x4)) (?v_228 (* 52 ?x4)) (?v_36 (* 72 ?x1)) (?v_28 (* 6 ?x3)) (?v_9 (* 53 ?x4)) (?v_171 (* 31 ?x2)) (?v_35 (* 27 ?x4)) (?v_33 (* 18 ?x1)) (?v_51 (* 4 ?x4)) (?v_258 (* 49 ?x1)) (?v_54 (* 35 ?x3)) (?v_210 (* 45 ?x1)) (?v_104 (* 67 ?x2)) (?v_6 (* 46 ?x4)) (?v_8 (* 24 ?x1)) (?v_67 (* 21 ?x3)) (?v_198 (* 28 ?x1)) (?v_10 (* 70 ?x2)) (?v_140 (* 11 ?x4)) (?v_85 (* 73 ?x1)) (?v_188 (* 9 ?x3)) (?v_316 (* 82 ?x2)) (?v_529 (* 55 ?x1)) (?v_61 (* 86 ?x1)) (?v_564 (* 32 ?x3)) (?v_69 (* 89 ?x1)) (?v_121 (* 56 ?x2)) (?v_190 (* 54 ?x4)) (?v_27 (* 32 ?x1)) (?v_481 (* 54 ?x2)) (?v_143 (* 95 ?x4)) (?v_83 (* 20 ?x3)) (?v_392 (* 43 ?x1)) (?v_288 (* 81 ?x2)) (?v_175 (* 95 ?x3)) (?v_39 (* 27 ?x3)) (?v_270 (* 8 ?x4)) (?v_261 (* 30 ?x3)) (?v_217 (* 79 ?x4)) (?v_236 (* 35 ?x4)) (?v_103 (* 26 ?x3)) (?v_42 (* 50 ?x1)) (?v_181 (* 17 ?x2)) (?v_260 (* 67 ?x1)) (?v_182 (* 86 ?x3)) (?v_215 (* 27 ?x2)) (?v_306 (* 90 ?x1)) (?v_438 (* 81 ?x1)) (?v_199 (* 76 ?x4)) (?v_307 (* 37 ?x1)) (?v_73 (* 60 ?x2)) (?v_219 (* 12 ?x4)) (?v_404 (* 28 ?x2)) (?v_76 (* 16 ?x4)) (?v_239 (* 14 ?x4)) (?v_147 (* 75 ?x4)) (?v_146 (* 94 ?x2)) (?v_149 (* 61 ?x3)) (?v_41 (* 36 ?x4)) (?v_427 (* 37 ?x4)) (?v_86 (* 100 ?x4)) (?v_209 (* 99 ?x4)) (?v_157 (* 20 ?x2)) (?v_46 (* 14 ?x3)) (?v_230 (* 54 ?x1)) (?v_191 (* 43 ?x2)) (?v_169 (* 79 ?x3)) (?v_326 (* 36 ?x1)) (?v_165 (* 80 ?x2)) (?v_218 (* 52 ?x2)) (?v_172 (* 12 ?x1)) (?v_377 (* 78 ?x2)) (?v_379 (* 45 ?x2)) (?v_428 (* 19 ?x2)) (?v_445 (* 96 ?x1)) (?v_509 (* 95 ?x2)) (?v_409 (* 96 ?x3)) (?v_84 (* 77 ?x3)) (?v_344 (* 18 ?x4)) (?v_406 (* 70 ?x1)) (?v_145 (* 62 ?x3)) (?v_414 (* 15 ?x2)) (?v_158 (* 83 ?x1)) (?v_204 (* 34 ?x2)) (?v_106 (* 66 ?x1)) (?v_352 (* 96 ?x4)) (?v_396 (* 23 ?x1)) (?v_71 (* 5 ?x2)) (?v_237 (* 38 ?x1)) (?v_177 (* 66 ?x4)) (?v_216 (* 2 ?x1)) (?v_490 (* 31 ?x4)) (?v_117 (* 81 ?x4)) (?v_197 (* 83 ?x3)) (?v_153 (* 47 ?x4)) (?v_93 (* 38 ?x2)) (?v_152 (* 88 ?x3)) (?v_195 (* 87 ?x3)) (?v_332 (* 92 ?x2)) (?v_553 (* 13 ?x1)) (?v_203 (* 25 ?x3)) (?v_403 (* 32 ?x4)) (?v_240 (* 87 ?x1)) (?v_324 (* 34 ?x4)) (?v_452 (* 55 ?x4)) (?v_105 (* 7 ?x4)) (?v_338 (* 71 ?x2)) (?v_185 (* 91 ?x1)) (?v_212 (* 18 ?x2)) (?v_333 (* 20 ?x1)) (?v_301 (* 53 ?x1)) (?v_478 (* 94 ?x1)) (?v_142 (* 4 ?x3)) (?v_340 (* 62 ?x1)) (?v_134 (* 17 ?x3)) (?v_389 (* 72 ?x2)) (?v_206 (* 89 ?x3)) (?v_354 (* 99 ?x3)) (?v_208 (* 8 ?x2)) (?v_144 (* 29 ?x2)) (?v_223 (* 84 ?x3)) (?v_295 (* 51 ?x2)) (?v_462 (* 60 ?x1)) (?v_194 (* 68 ?x3)) (?v_552 (* 93 ?x4)) (?v_312 (* 44 ?x4)) (?v_402 (* 94 ?x3)) (?v_266 (* 7 ?x2)) (?v_205 (* 39 ?x2)) (?v_305 (* 15 ?x3)) (?v_337 (* 74 ?x3)) (?v_329 (* 24 ?x3)) (?v_544 (* 90 ?x4)) (?v_362 (* 47 ?x1)) (?v_250 (* 22 ?x1)) (?v_176 (* 59 ?x1)) (?v_289 (* 23 ?x3)) (?v_350 (* 77 ?x1)) (?v_387 (* 19 ?x4)) (?v_542 (* 25 ?x2)) (?v_186 (* 68 ?x2)) (?v_262 (* 90 ?x2)) (?v_265 (* 45 ?x3)) (?v_479 (* 71 ?x3)) (?v_180 (* 97 ?x1)) (?v_455 (* 11 ?x2)) (?v_492 (* 75 ?x2)) (?v_482 (* 6 ?x2)) (?v_309 (* 29 ?x4)) (?v_435 (* 46 ?x3)) (?v_472 (* 92 ?x4)) (?v_371 (* 78 ?x1)) (?v_275 (* 43 ?x3)) (?v_331 (* 69 ?x2)) (?v_231 (* 75 ?x3)) (?v_323 (* 51 ?x3)) (?v_249 (* 82 ?x1)) (?v_232 (* 73 ?x2)) (?v_283 (* 14 ?x1)) (?v_225 (* 30 ?x1)) (?v_273 (* 63 ?x4)) (?v_497 (* 11 ?x3)) (?v_493 (* 51 ?x4)) (?v_292 (* 98 ?x3)) (?v_366 (* 16 ?x3)) (?v_294 (* 27 ?x1)) (?v_421 (* 8 ?x1)) (?v_495 (* 33 ?x2)) (?v_365 (* 61 ?x1)) (?v_320 (* 67 ?x3)) (?v_415 (* 87 ?x2)) (?v_322 (* 65 ?x1)) (?v_297 (* 86 ?x2)) (?v_296 (* 2 ?x4)) (?v_308 (* 35 ?x2)) (?v_446 (* 70 ?x3)) (?v_556 (* 12 ?x2)) (?v_374 (* 74 ?x4)) (?v_444 (* 10 ?x3)) (?v_474 (* 18 ?x3)) (?v_285 (* 65 ?x4)) (?v_317 (* 40 ?x3)) (?v_287 (* 59 ?x4)) (?v_342 (* 62 ?x4)) (?v_466 (* 38 ?x4)) (?v_453 (* 51 ?x1)) (?v_300 (* 86 ?x4)) (?v_397 (* 55 ?x2)) (?v_473 (* 85 ?x2)) (?v_475 (* 10 ?x1)) (?v_439 (* 14 ?x2)) (?v_321 (* 72 ?x4)) (?v_310 (* 57 ?x1)) (?v_522 (* 21 ?x1)) (?v_304 (* 91 ?x4)) (?v_390 (* 26 ?x4)) (?v_373 (* 78 ?x3)) (?v_549 (* 65 ?x3)) (?v_557 (* 24 ?x4)) (?v_349 (* 19 ?x1)) (?v_388 (* 25 ?x4)) (?v_356 (* 41 ?x4)) (?v_540 (* 1 ?x2)) (?v_520 (* 99 ?x2)) (?v_504 (* 93 ?x3)) (?v_343 (* 100 ?x3)) (?v_382 (* 76 ?x1)) (?v_538 (* 91 ?x3)) (?v_515 (* 31 ?x3)) (?v_517 (* 48 ?x3)) (?v_543 (* 66 ?x3)) (?v_437 (* 80 ?x4)) (?v_531 (* 98 ?x1)) (?v_412 (* 81 ?x3)) (?v_550 (* 9 ?x4)) (?v_413 (* 73 ?x3)) (?v_410 (* 42 ?x1)) (?v_432 (* 89 ?x2)) (?v_480 (* 11 ?x1)) (?v_418 (* 13 ?x4)) (?v_424 (* 17 ?x1)) (?v_394 (* 6 ?x4)) (?v_498 (* 34 ?x3)) (?v_425 (* 4 ?x1)) (?v_442 (* 3 ?x2)) (?v_449 (* 50 ?x4)) (?v_471 (* 32 ?x2)) (?v_467 (* 53 ?x2)) (?v_554 (* 55 ?x3)) (?v_483 (* 79 ?x1)) (?v_526 (* 29 ?x3)) (?v_477 (* 28 ?x3)) (?v_558 (* 83 ?x2)) (?v_503 (* 41 ?x2)) (?v_519 (* 85 ?x3)) (?v_547 (* 73 ?x4)) (?v_566 (* 39 ?x1)) (?v_565 (* 88 ?x4)) (?v_541 (* 63 ?x3)) (?v_528 (* 45 ?x4)) (?v_535 (* 15 ?x1)) (?v_3 (* (- 16) ?x1)) (?v_433 (* (- 17) ?x3)) (?v_313 (* (- 15) ?x4)) (?v_166 (* (- 28) ?x2)) (?v_34 (* (- 23) ?x3)) (?v_346 (* (- 95) ?x3)) (?v_96 (* (- 77) ?x3)) (?v_213 (* (- 35) ?x2)) (?v_189 (* (- 59) ?x2)) (?v_0 (* (- 99) ?x4)) (?v_49 (* (- 41) ?x3)) (?v_5 (* (- 62) ?x4)) (?v_160 (* (- 81) ?x1)) (?v_114 (* (- 40) ?x3)) (?v_24 (* (- 21) ?x1)) (?v_2 (* (- 17) ?x4)) (?v_420 (* (- 93) ?x4)) (?v_20 (* (- 10) ?x4)) (?v_11 (* (- 83) ?x4)) (?v_220 (* (- 29) ?x3)) (?v_284 (* (- 82) ?x3)) (?v_52 (* (- 57) ?x2)) (?v_159 (* (- 93) ?x3)) (?v_330 (* (- 18) ?x4)) (?v_133 (* (- 12) ?x1)) (?v_269 (* (- 61) ?x3)) (?v_407 (* (- 12) ?x2)) (?v_32 (* (- 48) ?x3)) (?v_384 (* (- 23) ?x2)) (?v_98 (* (- 43) ?x3)) (?v_26 (* (- 70) ?x3)) (?v_66 (* (- 79) ?x2)) (?v_128 (* (- 89) ?x3)) (?v_274 (* (- 1) ?x1)) (?v_79 (* (- 4) ?x2)) (?v_115 (* (- 97) ?x4)) (?v_14 (* (- 97) ?x3)) (?v_124 (* (- 74) ?x2)) (?v_16 (* (- 79) ?x4)) (?v_25 (* (- 29) ?x2)) (?v_47 (* (- 23) ?x4)) (?v_253 (* (- 16) ?x3)) (?v_88 (* (- 87) ?x3)) (?v_112 (* (- 94) ?x1)) (?v_151 (* (- 64) ?x2)) (?v_13 (* (- 81) ?x3)) (?v_97 (* (- 20) ?x4)) (?v_89 (* (- 44) ?x1)) (?v_318 (* (- 28) ?x1)) (?v_355 (* (- 64) ?x1)) (?v_30 (* (- 71) ?x2)) (?v_496 (* (- 65) ?x3)) (?v_272 (* (- 46) ?x4)) (?v_43 (* (- 66) ?x1)) (?v_101 (* (- 1) ?x4)) (?v_74 (* (- 30) ?x2)) (?v_64 (* (- 67) ?x4)) (?v_129 (* (- 49) ?x1)) (?v_17 (* (- 22) ?x4)) (?v_434 (* (- 84) ?x2)) (?v_423 (* (- 13) ?x4)) (?v_102 (* (- 14) ?x1)) (?v_530 (* (- 75) ?x3)) (?v_82 (* (- 28) ?x4)) (?v_252 (* (- 59) ?x1)) (?v_416 (* (- 44) ?x2))) (let ((?v_126 (+ ?v_252 ?v_416)) (?v_120 (* (- 30) ?x1)) (?v_21 (* (- 10) ?x2)) (?v_92 (* (- 22) ?x3)) (?v_161 (* (- 49) ?x2)) (?v_221 (* (- 31) ?x4)) (?v_56 (* (- 12) ?x4)) (?v_62 (* (- 18) ?x3)) (?v_162 (* (- 14) ?x4)) (?v_68 (* (- 2) ?x2)) (?v_254 (* (- 47) ?x4)) (?v_164 (* (- 21) ?x4)) (?v_334 (* (- 68) ?x2)) (?v_31 (* (- 46) ?x3)) (?v_110 (* (- 61) ?x4)) (?v_395 (* (- 17) ?x1)) (?v_156 (* (- 42) ?x4)) (?v_183 (* (- 85) ?x3)) (?v_108 (* (- 24) ?x3)) (?v_139 (* (- 56) ?x1)) (?v_518 (* (- 19) ?x2)) (?v_469 (* (- 15) ?x2)) (?v_81 (* (- 54) ?x3)) (?v_282 (* (- 51) ?x4)) (?v_111 (* (- 56) ?x3)) (?v_500 (* (- 47) ?x1)) (?v_45 (* (- 36) ?x1)) (?v_40 (* (- 91) ?x2)) (?v_70 (* (- 100) ?x3)) (?v_222 (* (- 7) ?x1)) (?v_502 (* (- 18) ?x2)) (?v_138 (* (- 33) ?x3)) (?v_38 (* (- 70) ?x1)) (?v_372 (* (- 55) ?x2)) (?v_131 (* (- 38) ?x4)) (?v_196 (* (- 19) ?x1)) (?v_286 (* (- 80) ?x3)) (?v_44 (* (- 66) ?x3)) (?v_155 (* (- 92) ?x3)) (?v_118 (* (- 32) ?x3)) (?v_468 (* (- 56) ?x4)) (?v_521 (* (- 95) ?x4)) (?v_60 (* (- 39) ?x4)) (?v_48 (* (- 91) ?x1)) (?v_450 (* (- 69) ?x2)) (?v_443 (* (- 93) ?x2)) (?v_72 (* (- 60) ?x4)) (?v_63 (* (- 54) ?x1)) (?v_163 (* (- 42) ?x1)) (?v_385 (* (- 55) ?x4)) (?v_65 (* (- 81) ?x2)) (?v_109 (* (- 16) ?x4)) (?v_263 (* (- 21) ?x2)) (?v_456 (* (- 68) ?x4)) (?v_87 (* (- 38) ?x3)) (?v_94 (* (- 42) ?x3)) (?v_248 (* (- 87) ?x4)) (?v_75 (* (- 75) ?x1)) (?v_167 (* (- 49) ?x3)) (?v_168 (* (- 64) ?x4)) (?v_99 (* (- 21) ?x3)) (?v_116 (* (- 53) ?x1)) (?v_229 (* (- 86) ?x2)) (?v_431 (* (- 47) ?x3)) (?v_441 (* (- 59) ?x4)) (?v_380 (* (- 32) ?x1)) (?v_91 (* (- 66) ?x2)) (?v_238 (* (- 30) ?x3)) (?v_77 (* (- 48) ?x1)) (?v_119 (* (- 27) ?x2)) (?v_80 (* (- 5) ?x3)) (?v_178 (* (- 7) ?x2)) (?v_351 (* (- 75) ?x2)) (?v_141 (* (- 9) ?x1)) (?v_460 (* (- 37) ?x3)) (?v_302 (* (- 22) ?x1)) (?v_127 (* (- 31) ?x1)) (?v_325 (* (- 99) ?x1)) (?v_227 (* (- 63) ?x3)) (?v_429 (* (- 78) ?x4)) (?v_243 (* (- 57) ?x1)) (?v_386 (* (- 66) ?x4)) (?v_95 (* (- 14) ?x2)) (?v_458 (* (- 31) ?x3)) (?v_257 (* (- 97) ?x1)) (?v_299 (* (- 94) ?x4)) (?v_281 (* (- 90) ?x3)) (?v_256 (* (- 98) ?x3)) (?v_276 (* (- 8) ?x3)) (?v_347 (* (- 69) ?x1)) (?v_123 (* (- 38) ?x1)) (?v_135 (* (- 35) ?x1)) (?v_315 (* (- 26) ?x1)) (?v_560 (* (- 45) ?x2)) (?v_335 (* (- 73) ?x3)) (?v_107 (* (- 57) ?x4)) (?v_122 (* (- 77) ?x4)) (?v_200 (* (- 33) ?x1)) (?v_259 (* (- 53) ?x2)) (?v_381 (* (- 60) ?x3)) (?v_214 (* (- 43) ?x1)) (?v_401 (* (- 36) ?x2)) (?v_513 (* (- 87) ?x2)) (?v_562 (* (- 23) ?x1)) (?v_303 (* (- 5) ?x1)) (?v_130 (* (- 1) ?x2)) (?v_516 (* (- 74) ?x4)) (?v_539 (* (- 13) ?x2)) (?v_201 (* (- 25) ?x3)) (?v_278 (* (- 99) ?x2)) (?v_485 (* (- 3) ?x2)) (?v_235 (* (- 15) ?x3)) (?v_463 (* (- 41) ?x2)) (?v_179 (* (- 10) ?x3)) (?v_364 (* (- 90) ?x1)) (?v_184 (* (- 34) ?x4)) (?v_242 (* (- 100) ?x1)) (?v_148 (* (- 25) ?x4)) (?v_489 (* (- 56) ?x2)) (?v_279 (* (- 11) ?x3)) (?v_512 (* (- 50) ?x2)) (?v_440 (* (- 39) ?x3)) (?v_551 (* (- 18) ?x1)) (?v_170 (* (- 86) ?x1)) (?v_271 (* (- 74) ?x1)) (?v_187 (* (- 89) ?x4)) (?v_291 (* (- 27) ?x4)) (?v_174 (* (- 6) ?x3)) (?v_569 (* (- 68) ?x3)) (?v_328 (* (- 11) ?x2)) (?v_499 (* (- 92) ?x4)) (?v_234 (* (- 89) ?x2)) (?v_447 (* (- 75) ?x4)) (?v_293 (* (- 100) ?x4)) (?v_457 (* (- 6) ?x2)) (?v_268 (* (- 20) ?x2)) (?v_470 (* (- 26) ?x2)) (?v_514 (* (- 25) ?x2)) (?v_245 (* (- 78) ?x3)) (?v_465 (* (- 12) ?x3)) (?v_361 (* (- 52) ?x4)) (?v_359 (* (- 38) ?x2)) (?v_567 (* (- 43) ?x4)) (?v_408 (* (- 48) ?x4)) (?v_207 (* (- 4) ?x1)) (?v_411 (* (- 99) ?x3)) (?v_336 (* (- 73) ?x2)) (?v_327 (* (- 81) ?x4)) (?v_345 (* (- 60) ?x1)) (?v_264 (* (- 31) ?x2)) (?v_247 (* (- 2) ?x4)) (?v_233 (* (- 47) ?x2)) (?v_277 (* (- 96) ?x3)) (?v_491 (* (- 80) ?x4)) (?v_393 (* (- 20) ?x3)) (?v_255 (* (- 58) ?x1)) (?v_341 (* (- 35) ?x3)) (?v_251 (* (- 17) ?x2)) (?v_339 (* (- 96) ?x4)) (?v_507 (* (- 51) ?x1)) (?v_246 (* (- 34) ?x2)) (?v_358 (* (- 100) ?x2)) (?v_290 (* (- 76) ?x3)) (?v_353 (* (- 62) ?x1)) (?v_368 (* (- 85) ?x1)) (?v_311 (* (- 53) ?x3)) (?v_383 (* (- 88) ?x3)) (?v_267 (* (- 77) ?x1)) (?v_280 (* (- 24) ?x2)) (?v_546 (* (- 40) ?x1)) (?v_451 (* (- 74) ?x3)) (?v_436 (* (- 37) ?x2)) (?v_298 (* (- 97) ?x2)) (?v_376 (* (- 44) ?x3)) (?v_510 (* (- 68) ?x1)) (?v_314 (* (- 88) ?x4)) (?v_464 (+ ?v_475 (* (- 33) ?x2))) (?v_375 (* (- 11) ?x1)) (?v_459 (* (- 25) ?x1)) (?v_559 (* (- 60) ?x2)) (?v_319 (* (- 3) ?x3)) (?v_568 (* (- 6) ?x1)) (?v_348 (* (- 6) ?x4)) (?v_363 (* (- 93) ?x1)) (?v_426 (* (- 69) ?x3)) (?v_357 (* (- 65) ?x4)) (?v_534 (* (- 96) ?x2)) (?v_511 (* (- 24) ?x1)) (?v_527 (* (- 55) ?x3)) (?v_399 (* (- 78) ?x1)) (?v_486 (* (- 70) ?x4)) (?v_561 (* (- 29) ?x4)) (?v_369 (* (- 7) ?x3)) (?v_370 (* (- 64) ?x3)) (?v_360 (* (- 71) ?x3)) (?v_405 (* (- 67) ?x1)) (?v_400 (* (- 8) ?x4)) (?v_506 (* (- 19) ?x3)) (?v_536 (* (- 79) ?x1)) (?v_367 (* (- 50) ?x4)) (?v_524 (* (- 48) ?x2)) (?v_548 (* (- 61) ?x2)) (?v_378 (* (- 39) ?x1)) (?v_454 (* (- 4) ?x4)) (?v_487 (* (- 8) ?x1)) (?v_391 (* (- 76) ?x2)) (?v_448 (* (- 49) ?x4)) (?v_563 (* (- 43) ?x2)) (?v_419 (* (- 80) ?x1)) (?v_398 (* (- 50) ?x3)) (?v_494 (* (- 20) ?x1)) (?v_488 (* (- 84) ?x3)) (?v_476 (* (- 58) ?x2)) (?v_532 (* (- 2) ?x1)) (?v_430 (* (- 13) ?x1)) (?v_537 (* (- 30) ?x4)) (?v_501 (* (- 42) ?x2)) (?v_461 (* (- 65) ?x1)) (?v_508 (* (- 16) ?x2)) (?v_525 (* (- 77) ?x2)) (?v_523 (* (- 61) ?x1)) (?v_555 (* (- 19) ?x4)) (?v_570 (* (- 40) ?x2))) (and (or (and (or (and (and (or (or (>= (+ (+ ?v_3 ?v_433) ?v_313) 94) (not (= (+ (+ (+ ?v_23 ?v_166) ?v_34) ?v_100) (- 33)))) (and (or (<= (+ (+ (+ (* (- 29) ?x1) ?v_226) ?v_346) ?v_136) 0) (= (+ ?v_50 ?v_96) 24)) (and (> (+ ?v_241 ?v_125) 56) (<= (+ ?v_213 ?v_29) (- 93))))) (or (or (or (> (+ (+ ?v_189 ?v_15) ?v_0) (- 64)) (> (+ (+ (+ ?v_211 ?v_59) ?v_49) ?v_224) (- 88))) (and (<= (+ (+ ?v_193 ?v_1) ?v_0) 0) (= (+ (+ (* (- 82) ?x1) ?v_53) ?v_5) (- 6)))) (or (and (> (+ (+ (+ ?v_422 ?v_173) ?v_484) ?v_7) (- 73)) (< (+ (+ ?v_160 ?v_114) ?v_417) 49)) (or (<= (+ ?v_58 ?v_4) 0) (< (+ (+ (+ ?v_24 ?v_55) ?v_12) ?v_2) (- 41)))))) (or (and (= (+ (+ ?v_18 ?v_57) ?v_420) 87) (< (+ (+ ?v_154 ?v_22) ?v_20) 94)) (or (= (+ (+ (+ ?v_113 ?v_150) ?v_1) ?v_11) 75) (not (= (+ (+ (* 91 ?x2) ?v_1) ?v_2) 0))))) (and (or (and (or (>= (+ (+ ?v_132 ?v_202) ?v_505) 49) (or (>= (+ (+ (+ ?v_137 ?v_90) ?v_220) ?v_192) 0) (not (= (+ (+ ?v_533 ?v_284) ?v_37) 0)))) (or (or (not (= (+ (+ (+ ?v_19 ?v_244) ?v_545) ?v_78) 8)) (>= (+ (+ (+ ?v_3 ?v_52) ?v_159) ?v_228) 0)) (and (<= (+ (+ ?v_36 ?v_28) ?v_9) (- 36)) (>= (+ ?v_171 ?v_330) 1)))) (or (or (> (+ (+ ?v_133 ?v_269) ?v_35) (- 12)) (and (> (+ ?v_407 ?v_32) (- 19)) (not (= (+ (+ ?v_33 ?v_384) ?v_51) 29)))) (or (and (<= ?v_98 93) (>= (+ (+ ?v_258 ?v_54) ?v_4) (- 20))) (<= (+ (+ (+ ?v_210 ?v_104) ?v_26) ?v_6) (- 76))))) (and (and (or (or (not (= (+ (+ ?v_8 ?v_66) ?v_67) 68)) (< (+ (+ ?v_198 ?v_10) ?v_5) (- 68))) (or (= (+ (+ (* 49 ?x2) ?v_128) ?v_140) (- 78)) (not (= (+ (+ ?v_274 ?v_79) ?v_6) 59)))) (or (= (+ (+ ?v_85 ?v_188) ?v_115) 0) (> (+ ?v_316 ?v_14) 0))) (and (or (or (<= (+ ?v_529 ?v_7) 0) (= (+ (+ ?v_8 ?v_124) ?v_16) 78)) (= (+ ?v_25 ?v_9) (- 58))) (or (or (not (= (+ (+ (+ ?v_61 ?v_10) ?v_564) ?v_47) 2)) (not (= (+ (+ ?v_69 ?v_253) ?v_11) 0))) (and (< (+ (+ (+ (* (- 55) ?x1) ?v_121) ?v_88) ?v_190) 55) (<= (+ (+ ?v_112 ?v_151) ?v_12) 0))))))) (or (or (or (or (or (or (>= (+ (+ (+ ?v_27 ?v_481) ?v_13) ?v_97) (- 14)) (<= (+ ?v_89 ?v_143) 0)) (or (>= (+ (+ ?v_318 (* (- 82) ?x2)) ?v_13) (- 44)) (< (+ (+ (+ ?v_355 ?v_30) ?v_496) ?v_272) 91))) (and (and (>= (+ (+ ?v_43 ?v_14) ?v_101) 0) (= (+ (+ (* 57 ?x2) (* 97 ?x3)) ?v_6) (- 18))) (or (<= (+ ?v_74 ?v_64) 0) (<= (+ (+ ?v_129 ?v_83) ?v_17) 39)))) (or (and (and (<= (+ (+ ?v_392 ?v_434) ?v_423) 0) (= (+ (+ (+ ?v_102 ?v_288) ?v_15) ?v_16) 75)) (or (> (+ ?v_530 ?v_82) (- 64)) (not (= (+ (+ ?v_126 ?v_175) ?v_17) 92)))) (or (and (< (+ (+ ?v_120 ?v_39) ?v_270) (- 23)) (< (+ (+ ?v_18 ?v_261) ?v_217) 19)) (or (= (+ (+ (+ ?v_19 ?v_21) ?v_92) ?v_236) (- 36)) (> (+ (+ ?v_161 ?v_103) ?v_20) (- 49)))))) (and (and (and (and (< (+ (+ (* 99 ?x1) ?v_21) ?v_221) (- 2)) (>= (+ (+ (* (- 10) ?x1) (* 47 ?x2)) ?v_56) 0)) (or (<= (+ (+ (+ ?v_42 ?v_181) ?v_62) ?v_162) 0) (<= (+ (+ (+ ?v_260 ?v_68) ?v_22) ?v_254) 93))) (and (and (< ?v_23 73) (< (+ (+ (+ ?v_24 ?v_25) ?v_182) ?v_164) 97)) (or (>= (+ (+ (+ (* (- 52) ?x1) ?v_334) ?v_31) ?v_110) 0) (>= (+ (+ ?v_395 ?v_215) ?v_26) 0)))) (or (and (and (> (+ (+ ?v_27 ?v_28) ?v_156) 77) (>= (+ (+ (+ ?v_306 (* (- 54) ?x2)) ?v_183) ?v_29) 0)) (and (not (= (* 57 ?x3) (- 43))) (>= (+ (+ (+ ?v_438 ?v_30) ?v_108) ?v_199) 0))) (or (and (not (= (+ (+ (+ ?v_139 ?v_518) ?v_31) (* (- 7) ?x4)) 0)) (not (= (+ ?v_307 ?v_32) 14))) (and (<= (+ (+ (* 31 ?x1) ?v_73) ?v_219) 0) (<= (+ (+ ?v_469 ?v_81) ?v_282) (- 39))))))) (or (and (and (or (not (= (+ (+ (+ ?v_33 ?v_404) ?v_34) ?v_76) (- 63))) (or (< (+ ?v_111 (* 40 ?x4)) 82) (= (+ (+ ?v_500 ?v_10) (* (- 54) ?x4)) (- 45)))) (or (or (= (+ (+ ?v_45 ?v_40) ?v_22) (- 48)) (<= (+ (+ ?v_23 ?v_70) ?v_239) 0)) (or (not (= (+ (+ (+ ?v_222 ?v_502) ?v_138) ?v_35) 0)) (not (= (+ ?v_38 (* 16 ?x2)) 0))))) (and (and (and (= (+ ?v_372 ?v_147) 42) (>= (+ (+ (+ ?v_36 ?v_146) (* 8 ?x3)) ?v_131) 0)) (or (<= (+ ?v_149 ?v_41) 78) (> (+ (+ ?v_196 ?v_286) ?v_37) (- 91)))) (and (and (not (= (+ (+ (+ (* (- 34) ?x1) (* 4 ?x2)) ?v_44) ?v_427) 0)) (<= (+ (* (- 88) ?x2) (* (- 86) ?x4)) 0)) (or (= ?v_86 42) (not (= (+ (+ (+ ?v_38 (* (- 52) ?x2)) ?v_39) ?v_209) 0)))))) (or (and (< (+ (+ ?v_40 ?v_155) ?v_41) (- 5)) (not (= (+ (+ ?v_42 ?v_118) ?v_468) 0))) (or (or (not (= (+ (+ (+ ?v_43 ?v_157) ?v_46) ?v_521) (- 36))) (< (+ (+ ?v_230 ?v_191) ?v_169) 0)) (and (not (= (+ (+ (+ ?v_326 ?v_165) ?v_44) ?v_60) (- 48))) (> (+ (+ ?v_48 ?v_218) (* 56 ?x3)) (- 90)))))))) (and (or (and (and (and (and (and (> (+ (+ ?v_45 (* (- 63) ?x2)) (* (- 9) ?x3)) 14) (< ?v_46 (- 14))) (and (<= (+ (+ ?v_172 ?v_450) ?v_47) 0) (> (+ (+ (+ ?v_48 ?v_443) ?v_49) ?v_72) (- 28)))) (and (and (or (not (= (+ ?v_377 ?v_32) 93)) (<= (+ ?v_50 ?v_44) (- 67))) (<= (+ (+ ?v_63 ?v_379) ?v_51) 45)) (or (= (+ (+ ?v_163 ?v_428) (* 5 ?x3)) 18) (> (+ (+ ?v_445 ?v_52) ?v_385) (- 28))))) (and (and (and (< (+ (+ ?v_509 ?v_53) ?v_41) (- 35)) (>= (+ (+ (+ (* (- 87) ?x1) ?v_65) ?v_54) ?v_109) 0)) (and (= (+ (+ ?v_55 ?v_409) ?v_56) (- 27)) (= ?v_263 (- 99)))) (or (> (+ (+ ?v_30 ?v_84) ?v_344) 0) (>= (+ (+ (+ ?v_406 ?v_57) ?v_31) ?v_456) (- 5))))) (or (or (or (or (>= (+ ?v_87 (* (- 36) ?x4)) (- 35)) (>= (+ (+ (+ ?v_58 ?v_59) ?v_31) ?v_60) 0)) (and (< (+ ?v_94 (* (- 98) ?x4)) 10) (>= (+ (+ ?v_61 ?v_145) ?v_248) (- 83)))) (or (or (not (= ?v_62 50)) (>= (+ ?v_63 ?v_414) 0)) (and (<= (+ (+ (+ ?v_158 ?v_204) ?v_39) ?v_64) 0) (not (= (+ ?v_106 (* 13 ?x3)) 2))))) (and (and (or (not (= (+ (+ (+ ?v_75 ?v_65) ?v_167) ?v_352) 0)) (>= (+ (+ (+ ?v_396 ?v_66) ?v_67) ?v_168) 0)) (and (and (<= (+ (+ ?v_24 ?v_68) ?v_99) 74) (<= (+ (+ ?v_69 ?v_71) ?v_47) 32)) (and (not (= (+ (+ ?v_116 ?v_229) ?v_70) 27)) (>= (+ (+ (+ ?v_237 ?v_71) ?v_431) ?v_441) (- 77))))) (and (or (< (+ (+ (+ ?v_380 ?v_91) ?v_238) ?v_177) 1) (= (+ (+ (+ ?v_77 ?v_119) (* (- 83) ?x3)) ?v_72) 36)) (or (> (+ (+ ?v_216 ?v_80) ?v_490) 74) (< (+ ?v_73 ?v_117) 55)))))) (or (and (and (and (<= (+ (+ ?v_74 (* 12 ?x3)) (* 97 ?x4)) 83) (or (= (+ (+ (+ ?v_75 ?v_178) ?v_197) ?v_76) 12) (>= (+ (+ ?v_77 (* 97 ?x2)) ?v_153) (- 41)))) (or (or (not (= (+ ?v_93 ?v_72) 0)) (< (+ ?v_69 ?v_152) 52)) (and (= (+ (+ ?v_351 ?v_195) ?v_78) 0) (not (= (+ (+ (+ ?v_141 ?v_79) ?v_460) ?v_4) (- 91)))))) (and (and (or (= (+ (+ ?v_302 ?v_80) ?v_5) 99) (> (+ (+ (+ ?v_127 ?v_332) ?v_81) ?v_82) 98)) (or (<= (+ (+ (+ ?v_325 (* 66 ?x2)) ?v_227) ?v_429) 69) (<= (+ ?v_553 ?v_83) 0))) (or (or (< (+ (+ (+ ?v_243 ?v_25) ?v_84) ?v_386) (- 35)) (not (= (+ (+ (+ ?v_85 ?v_95) ?v_203) ?v_86) (- 28)))) (and (< (+ (+ (* (- 62) ?x2) ?v_87) ?v_403) 55) (<= (+ (* 74 ?x2) ?v_458) 0))))) (and (or (>= (+ (+ ?v_257 ?v_88) ?v_299) 0) (or (not (= (+ (+ ?v_240 ?v_281) ?v_324) (- 81))) (not (= (+ ?v_58 ?v_256) (- 27))))) (or (and (= (+ (+ (+ ?v_89 ?v_90) ?v_276) ?v_72) (- 1)) (< (* 26 ?x2) 0)) (or (or (> (+ (+ (+ ?v_27 ?v_91) ?v_92) ?v_16) 5) (<= (+ (+ ?v_93 ?v_94) ?v_452) 0)) (and (= (+ (+ ?v_347 ?v_95) ?v_105) (- 90)) (<= (+ (+ (+ ?v_123 ?v_338) ?v_96) ?v_97) 0))))))) (and (and (or (or (>= (+ ?v_1 (* 87 ?x4)) 88) (or (or (<= (+ (+ ?v_135 ?v_91) ?v_98) (- 39)) (= (+ (+ ?v_185 ?v_99) ?v_100) (- 39))) (or (<= (+ (+ ?v_315 ?v_212) ?v_101) (- 42)) (not (= (+ (+ (+ ?v_333 ?v_560) ?v_335) ?v_107) 17))))) (and (and (and (>= (+ (+ ?v_102 ?v_103) ?v_122) 0) (>= (+ ?v_200 ?v_104) 64)) (or (not (= (+ (+ ?v_259 ?v_381) ?v_105) (- 61))) (>= (+ ?v_106 ?v_107) 0))) (and (<= (+ ?v_214 ?v_401) (- 28)) (not (= (+ (+ (+ ?v_301 (* 2 ?x2)) ?v_108) ?v_109) (- 3)))))) (or (or (or (or (>= (+ ?v_478 ?v_513) 73) (<= (+ ?v_562 ?v_110) (- 6))) (and (< (+ (+ ?v_303 ?v_21) ?v_111) (- 68)) (= (+ (+ ?v_130 ?v_142) ?v_516) (- 87)))) (and (or (< (+ (+ (+ ?v_112 ?v_539) ?v_201) ?v_82) (- 17)) (>= (+ (+ ?v_113 ?v_278) ?v_114) 0)) (and (not (= (+ (+ ?v_340 ?v_485) ?v_134) 0)) (= (+ (+ (* (- 32) ?x2) ?v_235) (* (- 85) ?x4)) 90)))) (and (or (not (= (+ (+ (+ ?v_58 ?v_389) ?v_206) ?v_115) (- 9))) (= (+ ?v_463 ?v_354) 0)) (or (or (<= (+ (+ (+ ?v_116 ?v_208) ?v_179) ?v_117) (- 69)) (not (= (+ (+ (+ ?v_364 ?v_144) ?v_118) ?v_184) 0))) (or (> (+ (+ ?v_242 ?v_119) ?v_223) 80) (< (+ (+ ?v_120 ?v_295) ?v_148) 25)))))) (or (or (and (or (< (+ (+ (* 34 ?x1) ?v_121) ?v_122) 0) (< (+ (+ (+ ?v_462 ?v_489) ?v_194) ?v_552) 0)) (and (and (= (+ ?v_3 ?v_312) (- 30)) (< (+ (+ (+ ?v_123 ?v_124) ?v_402) ?v_125) 61)) (and (<= ?v_126 (- 57)) (< (+ (+ ?v_36 ?v_266) ?v_279) 28)))) (and (or (or (< (+ (+ ?v_127 ?v_205) ?v_128) (- 80)) (> (+ (+ ?v_129 ?v_130) ?v_44) 32)) (and (not (= (+ ?v_512 ?v_2) (- 88))) (<= (+ ?v_65 ?v_131) (- 48)))) (or (or (> (+ (+ ?v_132 ?v_305) (* (- 71) ?x4)) 95) (not (= (+ (+ ?v_133 ?v_134) ?v_5) 65))) (and (not (= (+ (+ ?v_135 (* (- 8) ?x2)) ?v_440) 0)) (not (= (+ (+ ?v_551 ?v_337) ?v_136) 0)))))) (and (or (or (or (>= (+ ?v_137 ?v_138) 0) (not (= (+ ?v_139 ?v_117) 35))) (and (= (+ ?v_170 ?v_140) (- 42)) (> (+ (+ ?v_141 ?v_142) (* (- 35) ?x4)) (- 25)))) (and (or (<= (+ (+ (* 62 ?x2) ?v_84) ?v_56) 0) (= (+ ?v_329 ?v_143) 30)) (or (not (= (+ (+ (+ ?v_271 ?v_144) ?v_145) ?v_544) (- 97))) (> (+ ?v_146 ?v_187) 11)))) (and (or (and (<= (+ ?v_32 ?v_147) 0) (= (+ ?v_362 ?v_148) (- 84))) (not (= (+ ?v_133 ?v_149) (- 42)))) (or (= (+ (+ (* (- 95) ?x2) ?v_13) ?v_291) 0) (or (>= (+ (+ (+ (* (- 96) ?x1) ?v_150) ?v_174) ?v_117) (- 89)) (> (+ (+ (+ (* 3 ?x1) ?v_151) ?v_152) ?v_153) (- 7)))))))))) (and (and (or (or (or (or (or (and (or (= (+ (+ (+ ?v_250 ?v_154) ?v_155) ?v_156) (- 31)) (not (= (+ (+ ?v_176 ?v_157) ?v_289) 69))) (and (not (= (+ (* (- 79) ?x3) ?v_107) 36)) (= ?v_158 0))) (and (or (= (+ (+ ?v_350 ?v_159) ?v_387) 0) (> (+ (+ ?v_130 ?v_53) ?v_51) (- 3))) (and (>= (+ (+ ?v_160 ?v_542) ?v_569) 28) (> (+ (+ (* (- 92) ?x1) ?v_186) ?v_88) 0)))) (or (and (>= (+ (+ ?v_19 ?v_161) ?v_162) (- 95)) (not (= (+ (+ (+ ?v_163 ?v_262) ?v_49) ?v_164) 0))) (and (not (= (+ ?v_165 (* (- 91) ?x4)) 5)) (< (+ (+ (+ ?v_77 ?v_166) ?v_167) ?v_168) (- 32))))) (or (and (and (or (and (> (+ (+ (+ ?v_48 ?v_91) ?v_169) (* 43 ?x4)) (- 55)) (>= (+ (+ ?v_328 ?v_265) ?v_499) 0)) (or (= (+ ?v_234 ?v_479) 51) (= (+ (+ ?v_170 ?v_171) ?v_447) (- 51)))) (and (and (>= (+ ?v_180 ?v_455) 73) (not (= (+ (+ (+ ?v_172 ?v_173) ?v_174) ?v_16) 98))) (and (>= (+ (+ (+ ?v_38 ?v_492) ?v_175) ?v_35) 73) (>= (+ (+ ?v_176 ?v_482) ?v_309) 0)))) (and (and (or (= (+ (+ (* 64 ?x2) ?v_435) ?v_177) (- 24)) (<= (+ (+ (+ ?v_160 ?v_178) ?v_179) ?v_472) 0)) (and (not (= (+ (+ (+ ?v_180 ?v_181) ?v_182) ?v_293) 0)) (< (+ (+ ?v_91 ?v_183) ?v_184) (- 29)))) (and (= (+ (+ (+ ?v_371 ?v_457) ?v_275) ?v_0) (- 100)) (or (< (+ (+ ?v_185 ?v_186) ?v_187) (- 53)) (not (= (+ ?v_137 ?v_35) 8)))))) (or (and (or (<= (+ ?v_268 ?v_188) 68) (< (+ ?v_48 ?v_331) 16)) (and (<= (+ (+ (* (- 41) ?x1) (* (- 51) ?x2)) ?v_183) 95) (< (+ (+ ?v_158 ?v_470) ?v_231) 0))) (or (and (< (+ (+ ?v_42 ?v_189) ?v_190) 0) (not (= (+ (+ ?v_33 ?v_191) ?v_323) 42))) (and (>= (+ (+ ?v_249 ?v_232) ?v_0) (- 2)) (> ?v_192 99)))))) (or (or (and (and (and (and (= (+ (+ ?v_283 ?v_514) ?v_245) (- 96)) (>= (+ ?v_465 (* 3 ?x4)) 0)) (or (> (+ ?v_225 ?v_183) 92) (>= (+ (+ (+ (* 80 ?x1) ?v_193) ?v_194) ?v_361) 1))) (and (or (<= (+ (* (- 85) ?x2) ?v_195) 0) (= (+ (+ (+ ?v_196 ?v_359) ?v_84) ?v_273) (- 57))) (or (not (= (+ (+ (* 95 ?x1) ?v_197) ?v_72) 80)) (not (= (+ (+ ?v_198 ?v_497) ?v_199) 0))))) (or (and (and (not (= (+ (+ ?v_200 ?v_201) ?v_493) 0)) (> (+ (+ ?v_202 ?v_203) ?v_567) (- 1))) (or (< (+ ?v_204 ?v_408) (- 56)) (> (+ (+ (+ ?v_207 ?v_205) ?v_206) (* 56 ?x4)) 5))) (or (or (<= (+ (+ (+ ?v_207 ?v_208) ?v_14) ?v_209) (- 9)) (>= (+ (+ (+ ?v_210 ?v_166) ?v_411) ?v_2) 13)) (and (>= (+ (+ (+ ?v_211 (* (- 98) ?x2)) ?v_292) ?v_131) 0) (<= (+ ?v_58 ?v_212) 33))))) (and (and (and (or (= (+ (+ (+ ?v_198 ?v_213) ?v_111) ?v_64) (- 96)) (= (+ ?v_214 ?v_215) (- 33))) (or (= (+ (+ (+ ?v_216 ?v_336) ?v_366) ?v_327) (- 6)) (> (+ ?v_91 ?v_217) (- 58)))) (or (> (+ (+ (+ ?v_112 ?v_218) ?v_81) ?v_219) (- 84)) (= (+ (+ ?v_294 ?v_25) ?v_167) 0))) (or (and (> (+ (+ ?v_345 ?v_220) ?v_221) 0) (and (>= (+ (+ (+ ?v_222 ?v_264) ?v_223) ?v_224) 0) (not (= (+ (+ (+ ?v_225 (* (- 5) ?x2)) (* (- 67) ?x3)) ?v_247) 0)))) (or (< (+ (+ ?v_421 ?v_495) ?v_152) 0) (and (> (+ (+ ?v_226 ?v_227) ?v_228) 86) (<= (+ (+ ?v_365 ?v_229) ?v_320) 0)))))) (or (and (or (and (= (+ (+ (* (- 98) ?x1) ?v_233) ?v_47) (- 70)) (>= (+ (+ (+ ?v_230 ?v_415) ?v_231) (* 64 ?x4)) (- 65))) (or (>= (+ (+ (+ ?v_133 ?v_232) ?v_277) ?v_491) (- 68)) (< (+ (+ ?v_8 ?v_233) ?v_393) 43))) (or (= (+ (+ ?v_255 ?v_234) ?v_341) (- 99)) (= (+ (+ (+ ?v_322 (* (- 65) ?x2)) ?v_235) ?v_236) (- 51)))) (and (or (or (< (+ (+ ?v_237 ?v_251) ?v_339) 0) (not (= (+ (+ (+ ?v_507 ?v_246) ?v_238) ?v_239) 30))) (or (<= (+ (+ ?v_45 ?v_358) ?v_62) (- 40)) (< (+ (+ ?v_240 ?v_297) ?v_241) 28))) (and (or (or (>= (+ (+ (+ ?v_242 ?v_178) ?v_290) ?v_56) 0) (<= (+ ?v_243 ?v_244) 0)) (or (< (+ ?v_245 ?v_296) 88) (>= (+ (+ ?v_353 ?v_246) ?v_247) 0))) (and (or (<= (+ (+ (* (- 3) ?x1) ?v_308) ?v_248) 96) (= (+ (+ ?v_249 ?v_14) ?v_64) (- 69))) (> (+ (+ (+ ?v_250 ?v_251) ?v_32) ?v_209) 66))))))) (or (and (and (< ?v_75 31) (> (+ ?v_170 ?v_194) (- 58))) (or (= (+ (+ ?v_252 (* 30 ?x2)) ?v_253) 6) (or (> (+ (+ (+ ?v_368 ?v_233) ?v_311) ?v_254) 0) (>= (+ ?v_255 ?v_256) 58)))) (and (and (or (and (>= (+ (+ ?v_257 ?v_446) (* (- 72) ?x4)) 67) (>= (+ (+ ?v_170 ?v_556) ?v_195) 85)) (and (>= (+ ?v_258 ?v_259) 0) (> (+ (+ (+ ?v_260 ?v_55) ?v_261) ?v_29) (- 34)))) (or (= (+ (+ (+ ?v_45 ?v_262) (* 50 ?x3)) ?v_148) 0) (> (+ (+ ?v_263 ?v_383) ?v_190) 0))) (or (or (and (< (+ (+ ?v_264 ?v_265) ?v_374) (- 26)) (not (= (+ ?v_158 ?v_444) 0))) (and (= (+ (+ (+ ?v_267 ?v_266) ?v_474) ?v_236) (- 30)) (< (+ (+ (+ ?v_267 ?v_268) ?v_88) ?v_285) 37))) (or (and (< (+ ?v_163 ?v_317) 97) (<= (+ (+ ?v_135 ?v_280) ?v_118) 0)) (or (> (+ ?v_269 ?v_270) 5) (< (+ (+ ?v_181 ?v_14) (* (- 84) ?x4)) 55))))))) (and (and (and (and (or (or (or (and (= (+ (+ (+ ?v_271 ?v_181) ?v_111) ?v_272) (- 21)) (<= (+ (+ ?v_260 ?v_269) ?v_236) 0)) (<= (+ (+ (+ (* (- 71) ?x1) ?v_215) (* (- 28) ?x3)) ?v_273) (- 94))) (and (and (= (+ (+ ?v_274 ?v_149) ?v_287) 33) (<= (+ ?v_275 ?v_342) 0)) (and (> (+ (+ ?v_211 ?v_276) ?v_466) 74) (> (+ (+ (+ ?v_453 ?v_130) ?v_277) ?v_187) 83)))) (or (or (and (>= (+ ?v_546 ?v_57) 25) (< (+ ?v_278 ?v_115) 85)) (or (< (+ (+ ?v_58 ?v_451) ?v_17) (- 47)) (> (+ (+ ?v_135 ?v_436) (* 38 ?x3)) (- 79)))) (or (and (< (+ (+ (+ (* 92 ?x1) ?v_298) ?v_376) ?v_300) 82) (= ?v_279 (- 33))) (or (< (+ (+ ?v_280 ?v_281) ?v_282) 1) (>= (+ ?v_397 ?v_164) 0))))) (or (and (> (+ (+ ?v_283 ?v_284) ?v_285) 32) (not (= (+ (+ (+ ?v_510 ?v_473) ?v_286) ?v_287) 0))) (and (or (not (= (+ (+ ?v_288 ?v_289) ?v_314) 21)) (< (+ (+ ?v_464 ?v_290) ?v_291) (- 71))) (or (= (+ (+ (+ ?v_375 ?v_439) ?v_62) (* (- 45) ?x4)) 0) (= (+ (+ (* (- 76) ?x1) ?v_292) ?v_64) 0))))) (and (and (or (or (> (+ (+ (+ ?v_459 ?v_559) ?v_155) ?v_321) (- 54)) (or (= (+ (+ (+ ?v_160 ?v_150) (* 59 ?x3)) ?v_293) 3) (not (= (+ (+ ?v_294 ?v_295) ?v_296) 0)))) (or (or (= (+ (+ ?v_310 ?v_319) ?v_115) (- 84)) (>= (+ ?v_522 ?v_191) (- 98))) (or (<= (+ (+ (+ ?v_568 ?v_297) (* (- 14) ?x3)) ?v_348) 33) (> (+ ?v_68 ?v_284) 41)))) (or (and (or (not (= ?v_363 (- 13))) (< (+ (+ (+ ?v_75 ?v_268) ?v_426) ?v_357) 40)) (or (= (+ (+ ?v_298 ?v_114) ?v_299) 66) (> (+ (+ ?v_158 ?v_44) ?v_300) (- 46)))) (and (or (<= (+ (+ ?v_301 ?v_21) ?v_304) 0) (= (+ (+ ?v_302 ?v_92) ?v_390) (- 90))) (or (= (+ (+ (+ ?v_214 ?v_534) ?v_261) ?v_86) 3) (<= (+ (+ (+ ?v_303 ?v_229) ?v_15) ?v_304) 0))))) (and (and (and (and (>= (+ (+ ?v_189 ?v_373) ?v_153) 40) (= (+ (+ (* 79 ?x2) ?v_305) (* 68 ?x4)) 93)) (> (+ ?v_306 ?v_213) 0)) (and (or (= (+ (+ (+ ?v_307 ?v_308) ?v_128) ?v_309) (- 72)) (= (+ (+ (+ ?v_310 (* (- 9) ?x2)) ?v_311) ?v_312) 9)) (and (>= (+ (+ ?v_280 ?v_549) ?v_313) (- 80)) (> ?v_511 29)))) (or (or (or (<= (+ (+ (+ (* (- 95) ?x1) ?v_73) ?v_527) ?v_314) (- 3)) (not (= (+ (+ ?v_399 ?v_264) (* 58 ?x3)) 0))) (>= (+ (+ (+ ?v_315 ?v_316) ?v_317) ?v_486) (- 65))) (or (or (not (= (+ (+ ?v_318 (* (- 1) ?x3)) ?v_136) (- 82))) (<= (+ (+ ?v_133 ?v_150) (* (- 41) ?x4)) (- 12))) (< (+ ?v_319 ?v_557) 0)))))) (or (and (and (< (+ (* 88 ?x1) ?v_320) (- 23)) (= (* 5 ?x4) 14)) (and (not (= (+ (+ ?v_349 ?v_173) ?v_561) 66)) (> (+ (+ (+ ?v_8 ?v_74) ?v_96) ?v_239) (- 24)))) (or (or (<= (+ (+ ?v_200 ?v_369) ?v_321) 44) (> (+ (+ ?v_218 ?v_370) ?v_388) 0)) (or (>= (+ (+ (+ ?v_322 ?v_186) ?v_360) ?v_356) (- 56)) (>= (+ (+ ?v_405 ?v_323) ?v_324) (- 26)))))) (and (and (or (or (and (= (+ (+ (+ ?v_325 ?v_262) ?v_235) ?v_143) 81) (or (<= (+ (+ (+ ?v_326 ?v_540) ?v_279) ?v_327) (- 19)) (> (+ (* 35 ?x1) ?v_400) 0))) (and (or (= (+ (+ ?v_325 (* (- 46) ?x2)) (* (- 32) ?x4)) (- 34)) (<= ?v_290 62)) (or (not (= (+ ?v_520 ?v_174) (- 15))) (= (+ (+ ?v_328 ?v_329) ?v_330) 0)))) (and (and (and (and (not (= (+ ?v_331 ?v_296) 0)) (= (+ ?v_295 ?v_289) (- 42))) (< (+ (+ (+ ?v_23 ?v_161) ?v_506) ?v_101) 19)) (or (or (not (= (+ (+ ?v_25 ?v_504) ?v_239) 0)) (not (= (+ (+ ?v_294 ?v_332) ?v_164) 0))) (and (<= (+ (+ ?v_333 ?v_334) ?v_311) 54) (> (+ ?v_343 ?v_300) (- 34))))) (or (or (and (= (+ (+ ?v_129 ?v_335) ?v_7) (- 69)) (<= (+ (+ (+ ?v_536 ?v_336) ?v_337) ?v_367) (- 66))) (and (< (+ (+ (+ ?v_250 ?v_338) (* 39 ?x3)) ?v_339) (- 95)) (<= (+ (+ ?v_340 ?v_341) ?v_342) 0))) (or (or (> (+ (+ (* (- 72) ?x1) (* 36 ?x2)) ?v_309) (- 22)) (<= (+ (+ ?v_222 ?v_88) ?v_287) 0)) (and (> (+ (+ ?v_382 ?v_331) ?v_342) 35) (<= (+ (+ (* 13 ?x2) ?v_343) ?v_344) (- 87))))))) (or (and (and (and (not (= (+ (+ ?v_345 ?v_346) ?v_190) 63)) (> ?v_347 75)) (and (>= (+ ?v_538 ?v_348) (- 83)) (= (+ ?v_349 ?v_524) (- 64)))) (or (or (> (+ (+ (+ ?v_283 (* (- 90) ?x2)) ?v_319) ?v_184) 51) (= (+ (+ (+ ?v_350 ?v_351) ?v_188) ?v_352) 0)) (>= (+ (+ (+ ?v_353 ?v_548) ?v_354) ?v_41) 94))) (or (or (and (and (> (+ (+ (+ ?v_378 ?v_298) ?v_70) (* (- 3) ?x4)) (- 76)) (= (+ (+ (+ ?v_355 ?v_263) ?v_31) ?v_356) (- 15))) (and (<= (+ (+ ?v_301 ?v_515) ?v_357) 0) (>= (+ (+ (+ ?v_349 ?v_358) ?v_32) ?v_454) 0))) (or (or (>= (+ (+ ?v_487 ?v_391) ?v_76) 0) (<= (+ (+ (+ ?v_271 ?v_119) ?v_517) ?v_199) (- 66))) (or (<= (+ (+ (+ ?v_129 ?v_359) ?v_152) ?v_17) (- 21)) (<= (+ (+ (+ ?v_180 ?v_297) ?v_543) ?v_437) 0)))) (and (and (and (= (+ (+ ?v_55 ?v_360) ?v_361) 54) (> (+ (+ (+ ?v_362 ?v_234) ?v_149) ?v_219) (- 61))) (= (+ ?v_363 ?v_448) 0)) (or (and (< (+ (+ (+ ?v_364 ?v_563) ?v_341) ?v_344) (- 83)) (not (= (+ (+ ?v_43 ?v_256) ?v_221) 0))) (or (not (= (+ (+ ?v_365 ?v_366) ?v_367) 0)) (< (+ ?v_368 ?v_369) 1))))))) (or (and (or (or (and (< (+ (+ (+ ?v_419 (* (- 70) ?x2)) ?v_370) ?v_219) 0) (> (+ ?v_223 ?v_187) 33)) (not (= (+ (+ (+ ?v_371 ?v_372) ?v_49) ?v_314) 68))) (and (and (= (+ (+ ?v_71 ?v_373) ?v_374) (- 64)) (>= (+ (+ (+ ?v_531 ?v_30) ?v_412) ?v_550) (- 56))) (and (not (= (+ (+ ?v_375 ?v_376) ?v_361) 51)) (>= (+ ?v_377 ?v_300) 70)))) (or (or (or (<= (+ (+ ?v_378 ?v_197) ?v_143) 2) (= (+ (+ ?v_301 ?v_266) ?v_398) 0)) (< ?v_413 (- 8))) (and (or (>= (+ ?v_410 ?v_379) 55) (> (+ (+ ?v_380 (* 21 ?x2)) ?v_381) (- 69))) (and (>= (+ (+ (+ ?v_382 (* 44 ?x2)) ?v_111) ?v_100) (- 59)) (> (+ (+ ?v_85 ?v_432) ?v_236) 0))))) (and (and (and (< (+ ?v_480 ?v_418) (- 20)) (= (+ (+ ?v_424 ?v_331) ?v_383) 33)) (>= (+ (+ (+ ?v_494 ?v_384) ?v_320) (* (- 53) ?x4)) (- 59))) (or (and (or (>= (+ ?v_174 ?v_385) 28) (>= (+ ?v_279 ?v_51) (- 65))) (and (>= (+ ?v_200 ?v_488) (- 11)) (> (+ (+ (+ ?v_371 ?v_154) ?v_337) ?v_386) 0))) (and (and (>= (+ (+ ?v_178 (* 53 ?x3)) ?v_394) 55) (= (+ ?v_498 ?v_387) 26)) (and (< (+ (+ (+ ?v_355 ?v_308) ?v_99) ?v_388) 49) (> (+ (+ ?v_389 (* 1 ?x3)) ?v_390) 0))))))))) (and (or (and (or (or (and (and (and (>= (+ (+ (+ ?v_371 ?v_389) ?v_188) (* 49 ?x4)) 0) (>= (+ (+ ?v_378 ?v_391) ?v_277) 0)) (and (< (+ (+ (+ ?v_392 ?v_331) ?v_292) (* 70 ?x4)) (- 8)) (not (= (+ (+ ?v_302 ?v_393) ?v_394) 8)))) (or (not (= (+ (+ ?v_395 (* 88 ?x2)) ?v_22) 0)) (and (< (+ (+ ?v_396 ?v_165) ?v_17) (- 44)) (< (+ (+ (+ (* (- 46) ?x1) ?v_377) (* (- 51) ?x3)) (* (- 33) ?x4)) 34)))) (and (and (or (< (+ (+ ?v_397 ?v_398) ?v_101) 46) (<= (+ ?v_399 (* 36 ?x3)) (- 93))) (or (> (+ (+ (+ ?v_425 ?v_372) ?v_81) ?v_400) 74) (>= (+ (+ (+ ?v_392 ?v_401) ?v_402) ?v_107) 0))) (and (< (+ (+ ?v_442 ?v_343) ?v_403) (- 38)) (>= (+ (+ (+ ?v_106 ?v_404) ?v_245) ?v_357) (- 8))))) (or (or (and (or (= (+ (+ ?v_405 ?v_226) ?v_449) 0) (< (+ ?v_406 ?v_407) 0)) (or (>= (+ (+ (+ ?v_58 ?v_104) ?v_15) ?v_408) (- 59)) (not (= (+ (+ ?v_127 ?v_409) ?v_403) 15)))) (or (<= (+ (+ ?v_410 ?v_476) ?v_411) 3) (not (= (+ ?v_532 ?v_412) (- 97))))) (and (and (or (and (= (+ (+ ?v_257 (* 98 ?x2)) ?v_29) (- 90)) (> (+ ?v_295 ?v_413) 71)) (or (< (+ ?v_243 (* (- 52) ?x3)) (- 2)) (>= (+ ?v_329 ?v_147) 0))) (and (>= (+ (+ ?v_414 ?v_329) ?v_209) 97) (> (+ (+ (+ ?v_27 ?v_415) (* 64 ?x3)) ?v_162) 0))) (or (or (< (+ (+ ?v_345 ?v_87) ?v_270) (- 8)) (> (+ ?v_416 ?v_417) (- 66))) (or (>= (+ (+ (+ ?v_249 ?v_215) ?v_114) ?v_47) (- 23)) (not (= (+ ?v_213 ?v_418) (- 18)))))))) (or (and (and (or (<= (+ (+ ?v_139 ?v_358) ?v_223) 0) (> (+ (+ (* (- 84) ?x1) (* (- 83) ?x2)) ?v_394) (- 58))) (and (or (> (+ ?v_258 ?v_134) 0) (> (+ (+ (* (- 88) ?x1) ?v_471) ?v_103) 0)) (or (not (= (+ ?v_216 ?v_26) 96)) (< (+ (+ (+ ?v_419 ?v_467) ?v_152) ?v_385) 0)))) (or (and (or (<= (+ ?v_18 ?v_295) (- 49)) (>= (+ (+ ?v_430 ?v_205) ?v_420) 67)) (> (+ ?v_227 ?v_537) 71)) (and (or (<= (+ (+ (+ ?v_421 ?v_501) (* (- 13) ?x3)) ?v_86) (- 1)) (< (+ (+ (+ ?v_422 ?v_295) ?v_554) ?v_254) 0)) (or (>= (+ ?v_294 ?v_423) 28) (= (+ (+ ?v_424 (* (- 22) ?x2)) ?v_108) 0))))) (or (or (and (or (< (+ (+ (+ ?v_425 ?v_384) ?v_426) ?v_427) 0) (= (+ (+ (+ ?v_243 ?v_428) ?v_238) ?v_429) (- 91))) (or (<= (+ (+ (+ ?v_430 ?v_246) ?v_431) ?v_199) (- 40)) (<= (+ (+ (+ ?v_242 ?v_432) ?v_182) (* 21 ?x4)) (- 88)))) (and (<= (+ (+ ?v_207 ?v_433) ?v_125) 0) (or (= (+ (+ (+ ?v_274 ?v_434) ?v_435) ?v_4) (- 61)) (<= (+ (+ (+ ?v_483 ?v_436) ?v_383) ?v_437) 50)))) (or (or (>= (+ ?v_438 ?v_439) (- 26)) (< (+ ?v_242 (* 19 ?x3)) (- 23))) (and (>= (+ (+ ?v_406 ?v_440) (* (- 5) ?x4)) 0) (or (= (+ (+ ?v_308 ?v_34) ?v_441) 44) (>= (+ ?v_442 (* (- 91) ?x3)) (- 74)))))))) (or (and (or (or (or (or (not (= (+ (+ (+ ?v_461 ?v_443) ?v_444) ?v_282) 69)) (or (< (+ (+ ?v_445 ?v_262) ?v_446) 73) (<= (+ (+ ?v_422 ?v_359) ?v_447) (- 63)))) (or (or (< (+ (+ (+ ?v_315 ?v_251) ?v_346) (* 20 ?x4)) 34) (>= (+ (+ ?v_27 ?v_188) (* (- 69) ?x4)) 0)) (and (> (+ (+ (+ ?v_63 ?v_384) ?v_12) ?v_448) (- 46)) (= (+ (+ ?v_333 ?v_526) ?v_449) (- 96))))) (and (and (> (+ (+ (+ ?v_23 ?v_450) ?v_203) ?v_51) 0) (< (* 82 ?x3) 0)) (< (+ (+ ?v_48 ?v_431) ?v_423) (- 5)))) (or (or (not (= (+ (+ (+ ?v_301 ?v_161) ?v_451) ?v_452) 0)) (and (and (not (= (+ (+ (+ ?v_453 ?v_428) (* 7 ?x3)) ?v_388) 98)) (> (+ (+ ?v_380 ?v_54) ?v_454) 11)) (and (<= (+ (+ ?v_36 ?v_455) ?v_400) 0) (> (+ (* 56 ?x1) ?v_91) 71)))) (and (or (= (+ (+ (+ ?v_368 ?v_508) ?v_426) ?v_456) 0) (= (+ (+ (+ ?v_160 ?v_457) ?v_269) ?v_109) 53)) (or (= (+ ?v_399 ?v_458) 0) (< (+ (* 48 ?x1) (* (- 59) ?x3)) 0))))) (or (and (or (not (= (+ (+ ?v_459 ?v_525) ?v_187) 71)) (>= (+ ?v_24 ?v_298) (- 26))) (and (or (= (+ ?v_364 ?v_460) 0) (and (< (+ ?v_234 ?v_304) (- 44)) (> (+ (+ ?v_461 ?v_389) ?v_435) 44))) (and (<= (+ (+ (+ ?v_462 ?v_463) ?v_426) ?v_429) 80) (not (= (+ (+ ?v_464 ?v_465) ?v_321) 93))))) (or (or (and (and (= (+ ?v_308 ?v_466) 0) (< (+ (+ ?v_294 ?v_154) ?v_245) (- 98))) (or (not (= (+ (+ ?v_350 ?v_212) (* (- 2) ?x3)) (- 10))) (<= (+ (+ (+ ?v_430 (* 40 ?x2)) ?v_477) ?v_304) 0))) (or (or (< (+ (+ ?v_180 ?v_379) ?v_224) 40) (not (= (+ (+ ?v_467 ?v_44) ?v_148) 0))) (and (>= (+ ?v_442 ?v_324) 0) (not (= (+ (+ ?v_262 ?v_275) (* (- 37) ?x4)) 68))))) (and (or (or (= (+ (+ ?v_410 ?v_376) ?v_468) 96) (>= (+ (+ ?v_214 ?v_469) (* 48 ?x4)) 0)) (or (>= (+ ?v_470 (* (- 82) ?x4)) 85) (not (= (+ (+ ?v_135 ?v_426) (* 77 ?x4)) (- 4))))) (and (or (>= (+ (+ (+ ?v_523 ?v_471) ?v_369) ?v_472) 19) (>= (+ ?v_473 ?v_474) 0)) (and (<= (+ (+ ?v_453 ?v_146) ?v_49) (- 69)) (< (+ (+ ?v_475 ?v_476) ?v_477) (- 5)))))))) (and (or (or (or (< (+ (+ (* 64 ?x1) ?v_457) ?v_245) (- 8)) (not (= (+ ?v_478 ?v_47) 92))) (and (< (+ (+ ?v_216 ?v_558) ?v_479) (- 68)) (> (+ (+ ?v_480 ?v_481) (* 42 ?x4)) 59))) (< (+ (+ (+ ?v_345 ?v_428) ?v_32) ?v_78) (- 8))) (and (or (or (> (+ (+ (+ ?v_422 ?v_503) ?v_195) ?v_356) 89) (> (+ (+ ?v_113 ?v_482) ?v_293) (- 52))) (and (or (> (+ ?v_483 ?v_484) 0) (<= (+ ?v_485 ?v_486) (- 31))) (or (>= (+ ?v_88 ?v_101) 82) (not (= (+ (+ (* (- 50) ?x1) ?v_87) ?v_221) 3))))) (and (and (or (= (+ ?v_487 ?v_66) 86) (not (= (+ (+ ?v_240 ?v_488) ?v_403) (- 60)))) (< (+ (+ ?v_489 ?v_253) ?v_41) 52)) (and (and (not (= (+ (+ ?v_52 ?v_49) ?v_490) 90)) (not (= (+ (+ (+ ?v_349 ?v_165) ?v_337) ?v_299) (- 18)))) (or (= (+ ?v_68 ?v_491) 0) (not (= (+ (+ ?v_325 ?v_295) ?v_376) (- 15)))))))))) (or (or (and (or (and (or (< (+ (+ ?v_61 ?v_492) ?v_493) 28) (not (= (+ (+ (+ ?v_494 ?v_495) ?v_370) (* 28 ?x4)) 20))) (or (and (>= (+ (+ ?v_146 ?v_458) ?v_394) 25) (<= (+ (+ ?v_166 ?v_496) ?v_125) 5)) (or (> (+ ?v_497 ?v_11) (- 96)) (<= (+ (+ ?v_483 ?v_498) ?v_468) (- 34))))) (or (and (and (< (+ (* (- 57) ?x3) ?v_499) 88) (= (+ ?v_25 ?v_420) 0)) (and (> (+ (+ (+ ?v_500 ?v_501) ?v_182) ?v_78) (- 12)) (or (not (= (+ (+ ?v_375 (* 42 ?x2)) ?v_352) 0)) (= (+ ?v_123 (* (- 80) ?x2)) (- 45))))) (or (> (+ (+ (+ ?v_69 ?v_502) ?v_80) ?v_192) 26) (<= (+ (+ ?v_71 ?v_286) ?v_136) 0)))) (and (and (or (or (>= (+ (+ ?v_129 ?v_415) (* 42 ?x3)) (- 35)) (= (+ (+ ?v_306 ?v_450) (* (- 26) ?x3)) 0)) (<= ?v_341 0)) (and (not (= (+ ?v_193 ?v_418) (- 40))) (or (< (+ (+ ?v_428 ?v_519) ?v_547) 0) (>= (+ ?v_410 ?v_503) (- 23))))) (or (and (= (+ (+ (+ ?v_102 (* (- 94) ?x2)) ?v_504) ?v_505) (- 45)) (not (= (+ (+ ?v_326 ?v_53) ?v_110) 0))) (or (not (= (+ ?v_384 ?v_506) 68)) (not (= (+ (+ ?v_507 ?v_411) ?v_367) 0)))))) (and (or (or (and (and (> (+ ?v_202 ?v_17) 0) (<= (+ (+ ?v_237 ?v_508) ?v_491) 95)) (and (<= (+ (+ ?v_58 ?v_509) ?v_429) 17) (not (= (+ (+ ?v_510 ?v_256) ?v_162) 63)))) (or (and (>= ?v_298 43) (< (+ (+ (+ ?v_445 ?v_10) ?v_369) ?v_388) 0)) (or (= (+ (+ ?v_511 ?v_512) ?v_440) 5) (<= (+ (+ ?v_278 ?v_354) (* (- 11) ?x4)) 11)))) (or (and (and (< (+ (+ (+ ?v_294 ?v_151) ?v_366) ?v_339) 0) (> (+ (+ (+ ?v_365 ?v_513) ?v_506) (* 67 ?x4)) 0)) (and (not (= (+ ?v_108 ?v_105) 69)) (<= (+ (+ (+ ?v_424 ?v_514) ?v_346) ?v_309) 62))) (and (and (>= (+ ?v_566 ?v_496) 70) (< ?v_555 (- 38))) (and (not (= (+ (+ ?v_325 ?v_515) ?v_565) 48)) (not (= (+ (+ ?v_363 ?v_278) ?v_516) 6)))))) (or (>= (+ ?v_517 (* (- 40) ?x4)) 40) (<= (+ ?v_518 ?v_100) 0)))) (and (or (and (or (or (or (or (< (+ (+ (+ ?v_260 ?v_189) ?v_323) ?v_299) (- 53)) (>= (+ (+ ?v_214 ?v_152) ?v_122) (- 92))) (= (+ (+ ?v_249 ?v_381) ?v_117) 26)) (and (or (<= (+ (+ (+ ?v_500 (* 10 ?x2)) ?v_504) ?v_0) (- 36)) (>= (+ (+ ?v_79 ?v_53) ?v_285) 0)) (or (not (= (+ (+ ?v_405 ?v_502) ?v_519) 0)) (>= (+ (+ (+ (* 25 ?x1) ?v_520) ?v_440) ?v_56) 7)))) (and (or (and (= (+ (+ (+ ?v_258 ?v_476) ?v_465) ?v_352) 42) (<= (+ (+ (+ (* 40 ?x1) ?v_264) (* (- 62) ?x3)) ?v_521) 69)) (and (<= (+ ?v_28 ?v_324) 93) (>= (+ (+ (+ ?v_322 ?v_439) ?v_477) ?v_82) 0))) (and (and (not (= (+ (+ ?v_522 ?v_154) (* 23 ?x4)) 0)) (not (= (+ (+ (+ ?v_523 ?v_524) ?v_541) ?v_449) 0))) (and (= (+ ?v_425 ?v_492) 0) (> (+ ?v_127 ?v_373) (- 79)))))) (or (and (or (> (+ (+ (+ ?v_318 ?v_525) ?v_526) ?v_528) (- 48)) (>= (+ (+ ?v_535 ?v_262) ?v_329) 4)) (and (< (+ (+ (+ (* (- 27) ?x1) ?v_570) ?v_458) ?v_109) 0) (<= ?v_527 80))) (or (and (and (= (+ ?v_43 ?v_393) 30) (= (+ (+ ?v_246 ?v_155) ?v_528) 66)) (or (< (+ (+ (+ ?v_529 ?v_55) ?v_530) ?v_78) 76) (< (+ (+ ?v_531 ?v_317) ?v_324) 79))) (and (> (+ (+ (+ ?v_532 ?v_397) ?v_477) ?v_417) (- 69)) (< (+ (+ ?v_274 ?v_407) ?v_253) 0))))) (and (or (or (and (<= (+ (+ ?v_533 ?v_534) ?v_11) (- 16)) (= (+ ?v_535 ?v_413) 0)) (and (> (+ (+ (+ ?v_349 ?v_316) ?v_269) ?v_20) 0) (and (= (+ ?v_244 ?v_156) 48) (= (+ (+ (+ ?v_536 ?v_154) ?v_381) ?v_537) 87)))) (or (and (<= (+ (+ ?v_55 ?v_538) ?v_287) (- 13)) (not (= (+ (+ ?v_364 (* 48 ?x2)) ?v_460) 39))) (or (>= (+ ?v_500 ?v_539) (- 8)) (not (= (+ ?v_315 ?v_95) 96))))) (or (or (and (>= (+ (+ ?v_271 ?v_540) ?v_44) 67) (> (+ (+ (+ ?v_42 ?v_268) ?v_541) ?v_199) 0)) (or (or (>= (+ (+ (+ ?v_123 ?v_542) ?v_543) ?v_544) 0) (>= (+ (+ ?v_176 ?v_81) ?v_403) (- 56))) (<= (+ (+ ?v_303 ?v_545) (* 39 ?x4)) 56))) (and (>= (+ (+ (+ ?v_546 ?v_93) ?v_341) ?v_448) 0) (and (not (= (+ (+ ?v_453 (* 24 ?x2)) ?v_100) (- 21))) (< (+ (+ ?v_345 ?v_59) ?v_547) 85)))))) (or (and (and (or (> (+ (+ ?v_243 ?v_548) ?v_549) (- 4)) (> (+ (* 90 ?x3) ?v_550) (- 1))) (and (<= (+ (+ ?v_340 ?v_442) ?v_311) 21) (< (+ (+ (+ ?v_551 ?v_173) ?v_80) ?v_552) (- 95)))) (and (and (>= (+ (+ ?v_553 ?v_554) ?v_555) 0) (or (not (= (+ (+ ?v_556 ?v_134) ?v_304) 63)) (< ?v_557 (- 5)))) (or (not (= (+ (* (- 63) ?x1) ?v_558) 0)) (= (+ (+ ?v_120 ?v_559) (* 52 ?x3)) 90)))) (or (and (and (not (= (+ (+ (+ ?v_345 ?v_359) ?v_138) ?v_367) 0)) (> (+ (+ ?v_560 ?v_142) ?v_417) 56)) (or (or (> (+ ?v_172 ?v_341) (- 48)) (< ?v_296 0)) (and (<= (+ (+ (* 1 ?x1) ?v_251) ?v_282) (- 22)) (> (+ (+ ?v_358 ?v_440) ?v_561) 0)))) (and (and (and (not (= (+ (+ (+ ?v_562 ?v_563) ?v_277) ?v_561) 81)) (<= ?v_331 50)) (or (>= (+ (+ ?v_562 ?v_564) ?v_565) 34) (> (+ ?v_566 ?v_567) 57))) (and (or (<= (+ (+ (+ ?v_48 ?v_213) ?v_265) ?v_374) 86) (<= (+ (+ (+ ?v_568 ?v_25) ?v_569) ?v_107) 5)) (or (not (= (+ (+ (+ ?v_274 ?v_570) ?v_497) (* 89 ?x4)) (- 57))) (not (= (+ (+ (+ ?v_135 ?v_414) ?v_34) ?v_224) (- 57))))))))))))))))))))
(check-sat)
(exit)
